#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2747
#define LARGE_STATE_COUNT 630
#define SYMBOL_COUNT 406
#define ALIAS_COUNT 0
#define TOKEN_COUNT 192
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 28
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 208

enum ts_symbol_identifiers {
  sym_name = 1,
  anon_sym_QMARK_GT = 2,
  sym_php_tag = 3,
  aux_sym_text_token1 = 4,
  anon_sym_SEMI = 5,
  anon_sym_AMP = 6,
  aux_sym_function_static_declaration_token1 = 7,
  anon_sym_COMMA = 8,
  anon_sym_EQ = 9,
  aux_sym_global_declaration_token1 = 10,
  aux_sym_namespace_definition_token1 = 11,
  aux_sym_namespace_use_declaration_token1 = 12,
  aux_sym_namespace_use_declaration_token2 = 13,
  aux_sym_namespace_use_declaration_token3 = 14,
  anon_sym_BSLASH = 15,
  aux_sym_namespace_aliasing_clause_token1 = 16,
  anon_sym_LBRACE = 17,
  anon_sym_RBRACE = 18,
  aux_sym_trait_declaration_token1 = 19,
  aux_sym_interface_declaration_token1 = 20,
  aux_sym_base_clause_token1 = 21,
  aux_sym_enum_declaration_token1 = 22,
  anon_sym_COLON = 23,
  anon_sym_string = 24,
  anon_sym_int = 25,
  aux_sym_enum_case_token1 = 26,
  aux_sym_class_declaration_token1 = 27,
  aux_sym_final_modifier_token1 = 28,
  aux_sym_abstract_modifier_token1 = 29,
  aux_sym_readonly_modifier_token1 = 30,
  aux_sym_class_interface_clause_token1 = 31,
  sym_var_modifier = 32,
  aux_sym_use_instead_of_clause_token1 = 33,
  aux_sym_visibility_modifier_token1 = 34,
  aux_sym_visibility_modifier_token2 = 35,
  aux_sym_visibility_modifier_token3 = 36,
  aux_sym__arrow_function_header_token1 = 37,
  anon_sym_EQ_GT = 38,
  anon_sym_LPAREN = 39,
  anon_sym_RPAREN = 40,
  anon_sym_DOT_DOT_DOT = 41,
  anon_sym_QMARK = 42,
  sym_bottom_type = 43,
  anon_sym_PIPE = 44,
  anon_sym_array = 45,
  aux_sym_primitive_type_token1 = 46,
  anon_sym_iterable = 47,
  anon_sym_bool = 48,
  anon_sym_float = 49,
  anon_sym_void = 50,
  anon_sym_mixed = 51,
  anon_sym_false = 52,
  anon_sym_null = 53,
  anon_sym_true = 54,
  aux_sym_cast_type_token1 = 55,
  aux_sym_cast_type_token2 = 56,
  aux_sym_cast_type_token3 = 57,
  aux_sym_cast_type_token4 = 58,
  aux_sym_cast_type_token5 = 59,
  aux_sym_cast_type_token6 = 60,
  aux_sym_cast_type_token7 = 61,
  aux_sym_cast_type_token8 = 62,
  aux_sym_cast_type_token9 = 63,
  aux_sym_cast_type_token10 = 64,
  aux_sym_cast_type_token11 = 65,
  aux_sym_cast_type_token12 = 66,
  aux_sym_echo_statement_token1 = 67,
  aux_sym_exit_statement_token1 = 68,
  anon_sym_unset = 69,
  aux_sym_declare_statement_token1 = 70,
  aux_sym_declare_statement_token2 = 71,
  anon_sym_ticks = 72,
  anon_sym_encoding = 73,
  anon_sym_strict_types = 74,
  sym_float = 75,
  aux_sym_try_statement_token1 = 76,
  aux_sym_catch_clause_token1 = 77,
  aux_sym_finally_clause_token1 = 78,
  aux_sym_goto_statement_token1 = 79,
  aux_sym_continue_statement_token1 = 80,
  aux_sym_break_statement_token1 = 81,
  sym_integer = 82,
  aux_sym_return_statement_token1 = 83,
  aux_sym_throw_expression_token1 = 84,
  aux_sym_while_statement_token1 = 85,
  aux_sym_while_statement_token2 = 86,
  aux_sym_do_statement_token1 = 87,
  aux_sym_for_statement_token1 = 88,
  aux_sym_for_statement_token2 = 89,
  aux_sym_foreach_statement_token1 = 90,
  aux_sym_foreach_statement_token2 = 91,
  aux_sym_if_statement_token1 = 92,
  aux_sym_if_statement_token2 = 93,
  aux_sym_else_if_clause_token1 = 94,
  aux_sym_else_clause_token1 = 95,
  aux_sym_match_expression_token1 = 96,
  aux_sym_match_default_expression_token1 = 97,
  aux_sym_switch_statement_token1 = 98,
  aux_sym_switch_block_token1 = 99,
  anon_sym_PLUS = 100,
  anon_sym_DASH = 101,
  anon_sym_TILDE = 102,
  anon_sym_BANG = 103,
  anon_sym_AT = 104,
  aux_sym_clone_expression_token1 = 105,
  anon_sym_COLON_COLON = 106,
  aux_sym_print_intrinsic_token1 = 107,
  aux_sym_object_creation_expression_token1 = 108,
  anon_sym_DASH_DASH = 109,
  anon_sym_PLUS_PLUS = 110,
  anon_sym_STAR_STAR_EQ = 111,
  anon_sym_STAR_EQ = 112,
  anon_sym_SLASH_EQ = 113,
  anon_sym_PERCENT_EQ = 114,
  anon_sym_PLUS_EQ = 115,
  anon_sym_DASH_EQ = 116,
  anon_sym_DOT_EQ = 117,
  anon_sym_LT_LT_EQ = 118,
  anon_sym_GT_GT_EQ = 119,
  anon_sym_AMP_EQ = 120,
  anon_sym_CARET_EQ = 121,
  anon_sym_PIPE_EQ = 122,
  anon_sym_QMARK_QMARK_EQ = 123,
  anon_sym_DASH_GT = 124,
  anon_sym_QMARK_DASH_GT = 125,
  aux_sym__list_destructing_token1 = 126,
  anon_sym_LBRACK = 127,
  anon_sym_RBRACK = 128,
  anon_sym_self = 129,
  anon_sym_parent = 130,
  aux_sym__argument_name_token1 = 131,
  aux_sym__argument_name_token2 = 132,
  anon_sym_POUND_LBRACK = 133,
  sym_escape_sequence = 134,
  anon_sym_BSLASHu = 135,
  aux_sym_encapsed_string_token1 = 136,
  anon_sym_DQUOTE = 137,
  aux_sym_string_token1 = 138,
  anon_sym_SQUOTE = 139,
  aux_sym_string_token2 = 140,
  aux_sym_string_content_token1 = 141,
  anon_sym_LT_LT_LT = 142,
  anon_sym_DQUOTE2 = 143,
  sym__new_line = 144,
  anon_sym_SQUOTE2 = 145,
  anon_sym_BQUOTE = 146,
  anon_sym_DOLLAR = 147,
  aux_sym_yield_expression_token1 = 148,
  aux_sym_yield_expression_token2 = 149,
  aux_sym_binary_expression_token1 = 150,
  anon_sym_QMARK_QMARK = 151,
  anon_sym_STAR_STAR = 152,
  aux_sym_binary_expression_token2 = 153,
  aux_sym_binary_expression_token3 = 154,
  aux_sym_binary_expression_token4 = 155,
  anon_sym_PIPE_PIPE = 156,
  anon_sym_AMP_AMP = 157,
  anon_sym_CARET = 158,
  anon_sym_EQ_EQ = 159,
  anon_sym_BANG_EQ = 160,
  anon_sym_LT_GT = 161,
  anon_sym_EQ_EQ_EQ = 162,
  anon_sym_BANG_EQ_EQ = 163,
  anon_sym_LT = 164,
  anon_sym_GT = 165,
  anon_sym_LT_EQ = 166,
  anon_sym_GT_EQ = 167,
  anon_sym_LT_EQ_GT = 168,
  anon_sym_LT_LT = 169,
  anon_sym_GT_GT = 170,
  anon_sym_DOT = 171,
  anon_sym_STAR = 172,
  anon_sym_SLASH = 173,
  anon_sym_PERCENT = 174,
  aux_sym_include_expression_token1 = 175,
  aux_sym_include_once_expression_token1 = 176,
  aux_sym_require_expression_token1 = 177,
  aux_sym_require_once_expression_token1 = 178,
  sym_comment = 179,
  sym__automatic_semicolon = 180,
  sym_encapsed_string_chars = 181,
  sym_encapsed_string_chars_after_variable = 182,
  sym_execution_string_chars = 183,
  sym_execution_string_chars_after_variable = 184,
  sym_encapsed_string_chars_heredoc = 185,
  sym_encapsed_string_chars_after_variable_heredoc = 186,
  sym__eof = 187,
  sym_heredoc_start = 188,
  sym_heredoc_end = 189,
  sym_nowdoc_string = 190,
  sym_sentinel_error = 191,
  sym_program = 192,
  sym_statement = 193,
  sym_empty_statement = 194,
  sym_reference_modifier = 195,
  sym_function_static_declaration = 196,
  sym_static_variable_declaration = 197,
  sym_global_declaration = 198,
  sym_namespace_definition = 199,
  sym_namespace_use_declaration = 200,
  sym_namespace_use_clause = 201,
  sym_qualified_name = 202,
  sym_namespace_name_as_prefix = 203,
  sym_namespace_name = 204,
  sym_namespace_aliasing_clause = 205,
  sym_namespace_use_group = 206,
  sym_namespace_use_group_clause = 207,
  sym_trait_declaration = 208,
  sym_interface_declaration = 209,
  sym_base_clause = 210,
  sym_enum_declaration = 211,
  sym_enum_declaration_list = 212,
  sym__enum_member_declaration = 213,
  sym_enum_case = 214,
  sym_class_declaration = 215,
  sym_declaration_list = 216,
  sym_final_modifier = 217,
  sym_abstract_modifier = 218,
  sym_readonly_modifier = 219,
  sym_class_interface_clause = 220,
  sym__member_declaration = 221,
  sym_const_declaration = 222,
  sym__class_const_declaration = 223,
  sym__const_declaration = 224,
  sym_property_declaration = 225,
  sym__modifier = 226,
  sym_property_element = 227,
  sym_property_initializer = 228,
  sym_method_declaration = 229,
  sym_static_modifier = 230,
  sym_use_declaration = 231,
  sym_use_list = 232,
  sym_use_instead_of_clause = 233,
  sym_use_as_clause = 234,
  sym_visibility_modifier = 235,
  sym_function_definition = 236,
  sym__function_definition_header = 237,
  sym__arrow_function_header = 238,
  sym_arrow_function = 239,
  sym_formal_parameters = 240,
  sym_property_promotion_parameter = 241,
  sym_simple_parameter = 242,
  sym_variadic_parameter = 243,
  sym_type = 244,
  sym__types = 245,
  sym_named_type = 246,
  sym_optional_type = 247,
  sym_union_type = 248,
  sym_intersection_type = 249,
  sym_disjunctive_normal_form_type = 250,
  sym_primitive_type = 251,
  sym_cast_type = 252,
  sym__return_type = 253,
  sym_const_element = 254,
  sym_echo_statement = 255,
  sym_exit_statement = 256,
  sym_unset_statement = 257,
  sym_declare_statement = 258,
  sym_declare_directive = 259,
  sym_literal = 260,
  sym_try_statement = 261,
  sym_catch_clause = 262,
  sym_type_list = 263,
  sym_finally_clause = 264,
  sym_goto_statement = 265,
  sym_continue_statement = 266,
  sym_break_statement = 267,
  sym_return_statement = 268,
  sym_throw_expression = 269,
  sym_while_statement = 270,
  sym_do_statement = 271,
  sym_for_statement = 272,
  sym__expressions = 273,
  sym_sequence_expression = 274,
  sym_foreach_statement = 275,
  sym_foreach_pair = 276,
  sym_if_statement = 277,
  sym_colon_block = 278,
  sym_else_if_clause = 279,
  sym_else_clause = 280,
  sym_else_if_clause_2 = 281,
  sym_else_clause_2 = 282,
  sym_match_expression = 283,
  sym_match_block = 284,
  sym_match_condition_list = 285,
  sym_match_conditional_expression = 286,
  sym_match_default_expression = 287,
  sym_switch_statement = 288,
  sym_switch_block = 289,
  sym_case_statement = 290,
  sym_default_statement = 291,
  sym_compound_statement = 292,
  sym_named_label_statement = 293,
  sym_expression_statement = 294,
  sym_expression = 295,
  sym__unary_expression = 296,
  sym_unary_op_expression = 297,
  sym_error_suppression_expression = 298,
  sym_clone_expression = 299,
  sym_primary_expression = 300,
  sym_parenthesized_expression = 301,
  sym_class_constant_access_expression = 302,
  sym_print_intrinsic = 303,
  sym_anonymous_function_creation_expression = 304,
  sym_anonymous_function_use_clause = 305,
  sym_object_creation_expression = 306,
  sym_update_expression = 307,
  sym_cast_expression = 308,
  sym_cast_variable = 309,
  sym_assignment_expression = 310,
  sym_reference_assignment_expression = 311,
  sym_conditional_expression = 312,
  sym_augmented_assignment_expression = 313,
  sym_member_access_expression = 314,
  sym_nullsafe_member_access_expression = 315,
  sym_scoped_property_access_expression = 316,
  sym_list_literal = 317,
  sym__list_destructing = 318,
  sym__array_destructing = 319,
  sym__array_destructing_element = 320,
  sym_function_call_expression = 321,
  sym_scoped_call_expression = 322,
  sym__scope_resolution_qualifier = 323,
  sym_relative_scope = 324,
  sym_variadic_placeholder = 325,
  sym_arguments = 326,
  sym_argument = 327,
  sym__argument_name = 328,
  sym_member_call_expression = 329,
  sym_nullsafe_member_call_expression = 330,
  sym_variadic_unpacking = 331,
  sym_subscript_expression = 332,
  sym__dereferencable_expression = 333,
  sym_array_creation_expression = 334,
  sym_attribute_group = 335,
  sym_attribute_list = 336,
  sym_attribute = 337,
  sym__complex_string_part = 338,
  sym__simple_string_member_access_expression = 339,
  sym__simple_string_subscript_unary_expression = 340,
  sym__simple_string_array_access_argument = 341,
  sym__simple_string_subscript_expression = 342,
  sym__simple_string_part = 343,
  aux_sym__interpolated_string_body = 344,
  aux_sym__interpolated_string_body_heredoc = 345,
  sym_encapsed_string = 346,
  sym_string = 347,
  sym_string_content = 348,
  sym_heredoc_body = 349,
  sym_heredoc = 350,
  sym_nowdoc_body = 351,
  sym_nowdoc = 352,
  aux_sym__interpolated_execution_operator_body = 353,
  sym_shell_command_expression = 354,
  sym_boolean = 355,
  sym_null = 356,
  sym__string = 357,
  sym_dynamic_variable_name = 358,
  sym_variable_name = 359,
  sym_variable_reference = 360,
  sym_by_ref = 361,
  sym_yield_expression = 362,
  sym_array_element_initializer = 363,
  sym_binary_expression = 364,
  sym_include_expression = 365,
  sym_include_once_expression = 366,
  sym_require_expression = 367,
  sym_require_once_expression = 368,
  sym__reserved_identifier = 369,
  aux_sym_program_repeat1 = 370,
  aux_sym_function_static_declaration_repeat1 = 371,
  aux_sym_global_declaration_repeat1 = 372,
  aux_sym_namespace_use_declaration_repeat1 = 373,
  aux_sym_namespace_name_repeat1 = 374,
  aux_sym_namespace_use_group_repeat1 = 375,
  aux_sym_base_clause_repeat1 = 376,
  aux_sym_enum_declaration_list_repeat1 = 377,
  aux_sym_class_declaration_repeat1 = 378,
  aux_sym_declaration_list_repeat1 = 379,
  aux_sym__const_declaration_repeat1 = 380,
  aux_sym_property_declaration_repeat1 = 381,
  aux_sym_use_list_repeat1 = 382,
  aux_sym_formal_parameters_repeat1 = 383,
  aux_sym_union_type_repeat1 = 384,
  aux_sym_intersection_type_repeat1 = 385,
  aux_sym_disjunctive_normal_form_type_repeat1 = 386,
  aux_sym_unset_statement_repeat1 = 387,
  aux_sym_try_statement_repeat1 = 388,
  aux_sym_type_list_repeat1 = 389,
  aux_sym_if_statement_repeat1 = 390,
  aux_sym_if_statement_repeat2 = 391,
  aux_sym_match_block_repeat1 = 392,
  aux_sym_match_condition_list_repeat1 = 393,
  aux_sym_switch_block_repeat1 = 394,
  aux_sym_anonymous_function_use_clause_repeat1 = 395,
  aux_sym__list_destructing_repeat1 = 396,
  aux_sym__array_destructing_repeat1 = 397,
  aux_sym_arguments_repeat1 = 398,
  aux_sym_array_creation_expression_repeat1 = 399,
  aux_sym_attribute_group_repeat1 = 400,
  aux_sym_attribute_list_repeat1 = 401,
  aux_sym_string_repeat1 = 402,
  aux_sym_string_content_repeat1 = 403,
  aux_sym_heredoc_body_repeat1 = 404,
  aux_sym_nowdoc_body_repeat1 = 405,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [anon_sym_QMARK_GT] = "\?>",
  [sym_php_tag] = "php_tag",
  [aux_sym_text_token1] = "text_token1",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [sym_php_tag] = sym_php_tag,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_attributes = 4,
  field_body = 5,
  field_condition = 6,
  field_conditional_expressions = 7,
  field_default_value = 8,
  field_end_tag = 9,
  field_function = 10,
  field_identifier = 11,
  field_initialize = 12,
  field_left = 13,
  field_name = 14,
  field_object = 15,
  field_operator = 16,
  field_parameters = 17,
  field_readonly = 18,
  field_reference_modifier = 19,
  field_return_expression = 20,
  field_return_type = 21,
  field_right = 22,
  field_scope = 23,
  field_static_modifier = 24,
  field_type = 25,
  field_update = 26,
  field_value = 27,
  field_visibility = 28,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 4},
  [10] = {.index = 14, .length = 2},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [15] = {.index = 23, .length = 2},
  [16] = {.index = 25, .length = 2},
  [18] = {.index = 27, .length = 2},
  [19] = {.index = 29, .length = 2},
  [20] = {.index = 31, .length = 1},
  [21] = {.index = 32, .length = 5},
  [22] = {.index = 37, .length = 3},
  [23] = {.index = 40, .length = 2},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 5},
  [28] = {.index = 53, .length = 2},
  [29] = {.index = 55, .length = 2},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 2},
  [35] = {.index = 68, .length = 3},
  [36] = {.index = 71, .length = 1},
  [37] = {.index = 72, .length = 3},
  [38] = {.index = 75, .length = 2},
  [39] = {.index = 77, .length = 1},
  [40] = {.index = 78, .length = 2},
  [41] = {.index = 80, .length = 2},
  [42] = {.index = 82, .length = 3},
  [43] = {.index = 85, .length = 2},
  [44] = {.index = 87, .length = 1},
  [45] = {.index = 88, .length = 3},
  [46] = {.index = 91, .length = 3},
  [47] = {.index = 94, .length = 1},
  [50] = {.index = 95, .length = 2},
  [51] = {.index = 97, .length = 3},
  [52] = {.index = 100, .length = 2},
  [53] = {.index = 1, .length = 1},
  [54] = {.index = 102, .length = 1},
  [55] = {.index = 103, .length = 1},
  [56] = {.index = 104, .length = 3},
  [57] = {.index = 107, .length = 2},
  [58] = {.index = 109, .length = 2},
  [59] = {.index = 111, .length = 2},
  [60] = {.index = 113, .length = 2},
  [61] = {.index = 115, .length = 3},
  [62] = {.index = 118, .length = 3},
  [63] = {.index = 121, .length = 3},
  [64] = {.index = 124, .length = 3},
  [65] = {.index = 127, .length = 3},
  [66] = {.index = 130, .length = 3},
  [67] = {.index = 133, .length = 2},
  [68] = {.index = 135, .length = 2},
  [69] = {.index = 137, .length = 2},
  [70] = {.index = 139, .length = 3},
  [71] = {.index = 142, .length = 3},
  [72] = {.index = 145, .length = 2},
  [73] = {.index = 147, .length = 3},
  [74] = {.index = 150, .length = 2},
  [75] = {.index = 152, .length = 3},
  [76] = {.index = 155, .length = 3},
  [77] = {.index = 158, .length = 3},
  [78] = {.index = 161, .length = 2},
  [79] = {.index = 163, .length = 3},
  [80] = {.index = 166, .length = 4},
  [81] = {.index = 170, .length = 3},
  [82] = {.index = 173, .length = 3},
  [83] = {.index = 176, .length = 1},
  [84] = {.index = 177, .length = 3},
  [85] = {.index = 180, .length = 2},
  [86] = {.index = 182, .length = 2},
  [87] = {.index = 182, .length = 2},
  [88] = {.index = 184, .length = 2},
  [89] = {.index = 186, .length = 4},
  [90] = {.index = 190, .length = 2},
  [91] = {.index = 192, .length = 3},
  [92] = {.index = 195, .length = 3},
  [93] = {.index = 198, .length = 2},
  [94] = {.index = 200, .length = 3},
  [95] = {.index = 203, .length = 2},
  [96] = {.index = 205, .length = 4},
  [97] = {.index = 209, .length = 4},
  [98] = {.index = 213, .length = 3},
  [99] = {.index = 216, .length = 3},
  [100] = {.index = 219, .length = 3},
  [102] = {.index = 222, .length = 2},
  [103] = {.index = 224, .length = 4},
  [104] = {.index = 228, .length = 4},
  [105] = {.index = 232, .length = 3},
  [106] = {.index = 235, .length = 3},
  [107] = {.index = 238, .length = 4},
  [108] = {.index = 242, .length = 4},
  [109] = {.index = 246, .length = 3},
  [110] = {.index = 249, .length = 3},
  [111] = {.index = 252, .length = 3},
  [112] = {.index = 255, .length = 1},
  [113] = {.index = 256, .length = 2},
  [114] = {.index = 258, .length = 3},
  [115] = {.index = 261, .length = 4},
  [116] = {.index = 265, .length = 3},
  [117] = {.index = 268, .length = 3},
  [118] = {.index = 271, .length = 3},
  [119] = {.index = 274, .length = 3},
  [120] = {.index = 277, .length = 4},
  [121] = {.index = 281, .length = 4},
  [122] = {.index = 285, .length = 3},
  [123] = {.index = 288, .length = 4},
  [124] = {.index = 292, .length = 3},
  [125] = {.index = 295, .length = 4},
  [126] = {.index = 299, .length = 2},
  [127] = {.index = 301, .length = 4},
  [128] = {.index = 305, .length = 3},
  [129] = {.index = 308, .length = 4},
  [130] = {.index = 312, .length = 2},
  [131] = {.index = 314, .length = 1},
  [132] = {.index = 315, .length = 1},
  [133] = {.index = 316, .length = 2},
  [134] = {.index = 318, .length = 1},
  [137] = {.index = 319, .length = 3},
  [138] = {.index = 322, .length = 3},
  [139] = {.index = 325, .length = 3},
  [140] = {.index = 328, .length = 5},
  [141] = {.index = 333, .length = 4},
  [142] = {.index = 337, .length = 4},
  [143] = {.index = 341, .length = 3},
  [144] = {.index = 344, .length = 3},
  [145] = {.index = 347, .length = 5},
  [146] = {.index = 352, .length = 4},
  [147] = {.index = 356, .length = 4},
  [148] = {.index = 360, .length = 3},
  [149] = {.index = 360, .length = 3},
  [150] = {.index = 363, .length = 5},
  [151] = {.index = 368, .length = 5},
  [152] = {.index = 373, .length = 4},
  [153] = {.index = 377, .length = 4},
  [154] = {.index = 381, .length = 3},
  [155] = {.index = 384, .length = 2},
  [156] = {.index = 386, .length = 4},
  [157] = {.index = 390, .length = 4},
  [158] = {.index = 394, .length = 4},
  [159] = {.index = 398, .length = 4},
  [160] = {.index = 402, .length = 5},
  [161] = {.index = 407, .length = 4},
  [162] = {.index = 411, .length = 4},
  [163] = {.index = 415, .length = 4},
  [164] = {.index = 419, .length = 1},
  [165] = {.index = 420, .length = 4},
  [166] = {.index = 424, .length = 5},
  [167] = {.index = 429, .length = 2},
  [168] = {.index = 431, .length = 1},
  [169] = {.index = 432, .length = 2},
  [170] = {.index = 434, .length = 1},
  [171] = {.index = 435, .length = 2},
  [172] = {.index = 437, .length = 1},
  [173] = {.index = 438, .length = 2},
  [174] = {.index = 440, .length = 1},
  [175] = {.index = 441, .length = 3},
  [176] = {.index = 444, .length = 5},
  [177] = {.index = 449, .length = 5},
  [178] = {.index = 454, .length = 3},
  [179] = {.index = 457, .length = 6},
  [180] = {.index = 463, .length = 5},
  [181] = {.index = 468, .length = 5},
  [182] = {.index = 473, .length = 3},
  [183] = {.index = 476, .length = 5},
  [184] = {.index = 481, .length = 5},
  [185] = {.index = 486, .length = 5},
  [186] = {.index = 491, .length = 5},
  [187] = {.index = 496, .length = 2},
  [188] = {.index = 498, .length = 2},
  [189] = {.index = 500, .length = 3},
  [190] = {.index = 503, .length = 2},
  [191] = {.index = 505, .length = 3},
  [192] = {.index = 508, .length = 2},
  [193] = {.index = 510, .length = 3},
  [194] = {.index = 513, .length = 2},
  [195] = {.index = 515, .length = 3},
  [196] = {.index = 518, .length = 6},
  [197] = {.index = 524, .length = 6},
  [198] = {.index = 530, .length = 3},
  [199] = {.index = 533, .length = 3},
  [200] = {.index = 536, .length = 4},
  [201] = {.index = 540, .length = 2},
  [202] = {.index = 542, .length = 2},
  [203] = {.index = 544, .length = 2},
  [204] = {.index = 546, .length = 3},
  [205] = {.index = 549, .length = 3},
  [206] = {.index = 552, .length = 3},
  [207] = {.index = 555, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_parameters, 1},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [8] =
    {field_arguments, 1},
    {field_function, 0},
  [10] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [14] =
    {field_argument, 0},
    {field_operator, 1},
  [16] =
    {field_name, 1},
  [17] =
    {field_body, 2},
    {field_name, 1},
  [19] =
    {field_name, 1},
    {field_parameters, 2},
  [21] =
    {field_body, 2},
    {field_parameters, 1},
  [23] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [25] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [27] =
    {field_body, 2},
    {field_condition, 1},
  [29] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [31] =
    {field_parameters, 2},
  [32] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [37] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [40] =
    {field_left, 0},
    {field_right, 2},
  [42] =
    {field_name, 2},
    {field_scope, 0},
  [44] =
    {field_name, 2},
    {field_object, 0},
  [46] =
    {field_attributes, 0},
    {field_parameters, 2},
  [48] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [53] =
    {field_name, 0},
    {field_value, 2},
  [55] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [57] =
    {field_name, 1},
    {field_visibility, 0},
  [59] =
    {field_name, 1},
    {field_type, 0},
  [61] =
    {field_attributes, 0},
    {field_name, 1},
  [63] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [66] =
    {field_name, 2},
    {field_parameters, 3},
  [68] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [71] =
    {field_return_type, 1},
  [72] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [75] =
    {field_body, 3},
    {field_parameters, 1},
  [77] =
    {field_type, 1},
  [78] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [80] =
    {field_body, 3},
    {field_name, 1},
  [82] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [85] =
    {field_type, 1},
    {field_value, 3},
  [87] =
    {field_alternative, 0},
  [88] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [91] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [94] =
    {field_attributes, 1},
  [95] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [97] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [100] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [102] =
    {field_reference_modifier, 0},
  [103] =
    {field_name, 0, .inherited = true},
  [104] =
    {field_body, 3},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [107] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [109] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [111] =
    {field_alternative, 3},
    {field_condition, 0},
  [113] =
    {field_left, 0},
    {field_right, 3},
  [115] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [118] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [121] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [124] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [127] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [130] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
  [135] =
    {field_body, 3},
    {field_name, 2},
  [137] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [139] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [142] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [145] =
    {field_name, 2},
    {field_type, 0},
  [147] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [150] =
    {field_attributes, 0},
    {field_name, 2},
  [152] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [155] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [158] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [161] =
    {field_default_value, 2},
    {field_name, 0},
  [163] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [166] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [170] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [173] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [176] =
    {field_type, 1, .inherited = true},
  [177] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [180] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [182] =
    {field_body, 4},
    {field_name, 1},
  [184] =
    {field_body, 1},
    {field_condition, 3},
  [186] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [190] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [192] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [195] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [198] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [200] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [203] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [205] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [209] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [213] =
    {field_body, 4},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [216] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [219] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [222] =
    {field_name, 3},
    {field_object, 0},
  [224] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [228] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [235] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [238] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [242] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [246] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [249] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [252] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [255] =
    {field_type, 2},
  [256] =
    {field_body, 4},
    {field_name, 2},
  [258] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [261] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [265] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [268] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [271] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [274] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [277] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [281] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [285] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [288] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [292] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [295] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [299] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [301] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [305] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [308] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [312] =
    {field_body, 5},
    {field_name, 1},
  [314] =
    {field_body, 5},
  [315] =
    {field_return_expression, 2},
  [316] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [318] =
    {field_value, 1},
  [319] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [322] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [325] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [328] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [333] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [337] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [341] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [344] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [347] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [352] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [356] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [360] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [363] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [368] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [373] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [377] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [381] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [384] =
    {field_body, 5},
    {field_name, 2},
  [386] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [390] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [394] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [398] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [402] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [407] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [411] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [415] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [419] =
    {field_attributes, 0},
  [420] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [424] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [429] =
    {field_body, 4},
    {field_type, 2},
  [431] =
    {field_update, 4},
  [432] =
    {field_body, 6},
    {field_update, 4},
  [434] =
    {field_condition, 3},
  [435] =
    {field_body, 6},
    {field_condition, 3},
  [437] =
    {field_initialize, 2},
  [438] =
    {field_body, 6},
    {field_initialize, 2},
  [440] =
    {field_body, 6},
  [441] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [444] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [449] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [454] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [457] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [463] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [468] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [473] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [476] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [481] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [491] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [496] =
    {field_attributes, 0},
    {field_type, 2},
  [498] =
    {field_name, 1},
    {field_value, 3},
  [500] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [503] =
    {field_condition, 3},
    {field_update, 5},
  [505] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [508] =
    {field_initialize, 2},
    {field_update, 5},
  [510] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [513] =
    {field_condition, 4},
    {field_initialize, 2},
  [515] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [518] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [524] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [530] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [533] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [536] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [540] =
    {field_body, 7},
    {field_update, 4},
  [542] =
    {field_body, 7},
    {field_condition, 3},
  [544] =
    {field_body, 7},
    {field_initialize, 2},
  [546] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [549] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [552] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [555] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_list_literal,
  },
  [17] = {
    [0] = anon_sym_array,
  },
  [48] = {
    [1] = sym_list_literal,
  },
  [49] = {
    [2] = sym_list_literal,
  },
  [53] = {
    [0] = sym_name,
  },
  [86] = {
    [3] = sym_primitive_type,
  },
  [101] = {
    [3] = sym_name,
  },
  [130] = {
    [3] = sym_primitive_type,
  },
  [135] = {
    [3] = sym_list_literal,
  },
  [136] = {
    [4] = sym_list_literal,
  },
  [148] = {
    [4] = sym_primitive_type,
  },
  [178] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 9,
  [10] = 7,
  [11] = 9,
  [12] = 12,
  [13] = 13,
  [14] = 12,
  [15] = 15,
  [16] = 16,
  [17] = 12,
  [18] = 12,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 22,
  [26] = 23,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 22,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 21,
  [43] = 24,
  [44] = 27,
  [45] = 23,
  [46] = 46,
  [47] = 29,
  [48] = 35,
  [49] = 49,
  [50] = 50,
  [51] = 19,
  [52] = 20,
  [53] = 37,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 54,
  [61] = 22,
  [62] = 36,
  [63] = 55,
  [64] = 57,
  [65] = 58,
  [66] = 59,
  [67] = 20,
  [68] = 38,
  [69] = 28,
  [70] = 46,
  [71] = 39,
  [72] = 30,
  [73] = 31,
  [74] = 50,
  [75] = 19,
  [76] = 56,
  [77] = 77,
  [78] = 32,
  [79] = 33,
  [80] = 30,
  [81] = 38,
  [82] = 40,
  [83] = 35,
  [84] = 23,
  [85] = 85,
  [86] = 77,
  [87] = 77,
  [88] = 39,
  [89] = 39,
  [90] = 35,
  [91] = 56,
  [92] = 36,
  [93] = 77,
  [94] = 19,
  [95] = 50,
  [96] = 41,
  [97] = 46,
  [98] = 85,
  [99] = 46,
  [100] = 49,
  [101] = 20,
  [102] = 38,
  [103] = 36,
  [104] = 30,
  [105] = 56,
  [106] = 50,
  [107] = 107,
  [108] = 108,
  [109] = 108,
  [110] = 110,
  [111] = 108,
  [112] = 108,
  [113] = 110,
  [114] = 107,
  [115] = 115,
  [116] = 115,
  [117] = 115,
  [118] = 115,
  [119] = 119,
  [120] = 119,
  [121] = 121,
  [122] = 119,
  [123] = 121,
  [124] = 121,
  [125] = 121,
  [126] = 121,
  [127] = 119,
  [128] = 121,
  [129] = 121,
  [130] = 119,
  [131] = 131,
  [132] = 132,
  [133] = 131,
  [134] = 132,
  [135] = 131,
  [136] = 131,
  [137] = 131,
  [138] = 131,
  [139] = 132,
  [140] = 132,
  [141] = 132,
  [142] = 131,
  [143] = 131,
  [144] = 144,
  [145] = 144,
  [146] = 146,
  [147] = 144,
  [148] = 146,
  [149] = 149,
  [150] = 150,
  [151] = 144,
  [152] = 146,
  [153] = 144,
  [154] = 146,
  [155] = 146,
  [156] = 144,
  [157] = 146,
  [158] = 146,
  [159] = 144,
  [160] = 149,
  [161] = 144,
  [162] = 150,
  [163] = 146,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 167,
  [171] = 164,
  [172] = 165,
  [173] = 169,
  [174] = 168,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 179,
  [181] = 177,
  [182] = 182,
  [183] = 176,
  [184] = 175,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 192,
  [194] = 192,
  [195] = 191,
  [196] = 190,
  [197] = 197,
  [198] = 189,
  [199] = 190,
  [200] = 200,
  [201] = 201,
  [202] = 201,
  [203] = 200,
  [204] = 197,
  [205] = 200,
  [206] = 200,
  [207] = 188,
  [208] = 192,
  [209] = 188,
  [210] = 197,
  [211] = 189,
  [212] = 191,
  [213] = 197,
  [214] = 188,
  [215] = 190,
  [216] = 191,
  [217] = 189,
  [218] = 201,
  [219] = 201,
  [220] = 220,
  [221] = 221,
  [222] = 221,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 225,
  [227] = 224,
  [228] = 228,
  [229] = 229,
  [230] = 221,
  [231] = 223,
  [232] = 232,
  [233] = 221,
  [234] = 232,
  [235] = 221,
  [236] = 236,
  [237] = 221,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 238,
  [242] = 242,
  [243] = 243,
  [244] = 239,
  [245] = 245,
  [246] = 238,
  [247] = 247,
  [248] = 240,
  [249] = 240,
  [250] = 238,
  [251] = 242,
  [252] = 239,
  [253] = 247,
  [254] = 238,
  [255] = 255,
  [256] = 247,
  [257] = 240,
  [258] = 247,
  [259] = 238,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 263,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 282,
  [287] = 287,
  [288] = 260,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 261,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 272,
  [305] = 305,
  [306] = 306,
  [307] = 306,
  [308] = 305,
  [309] = 302,
  [310] = 303,
  [311] = 300,
  [312] = 267,
  [313] = 299,
  [314] = 268,
  [315] = 297,
  [316] = 269,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 266,
  [322] = 297,
  [323] = 261,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 282,
  [328] = 270,
  [329] = 274,
  [330] = 330,
  [331] = 299,
  [332] = 332,
  [333] = 300,
  [334] = 277,
  [335] = 335,
  [336] = 279,
  [337] = 280,
  [338] = 338,
  [339] = 339,
  [340] = 303,
  [341] = 338,
  [342] = 338,
  [343] = 319,
  [344] = 283,
  [345] = 306,
  [346] = 305,
  [347] = 317,
  [348] = 318,
  [349] = 302,
  [350] = 260,
  [351] = 317,
  [352] = 318,
  [353] = 324,
  [354] = 317,
  [355] = 284,
  [356] = 318,
  [357] = 324,
  [358] = 317,
  [359] = 285,
  [360] = 318,
  [361] = 324,
  [362] = 317,
  [363] = 319,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 266,
  [369] = 287,
  [370] = 324,
  [371] = 371,
  [372] = 317,
  [373] = 289,
  [374] = 318,
  [375] = 319,
  [376] = 266,
  [377] = 324,
  [378] = 290,
  [379] = 263,
  [380] = 317,
  [381] = 318,
  [382] = 319,
  [383] = 272,
  [384] = 266,
  [385] = 324,
  [386] = 291,
  [387] = 267,
  [388] = 292,
  [389] = 268,
  [390] = 269,
  [391] = 301,
  [392] = 293,
  [393] = 282,
  [394] = 270,
  [395] = 274,
  [396] = 263,
  [397] = 277,
  [398] = 287,
  [399] = 267,
  [400] = 301,
  [401] = 268,
  [402] = 279,
  [403] = 326,
  [404] = 269,
  [405] = 325,
  [406] = 324,
  [407] = 266,
  [408] = 270,
  [409] = 274,
  [410] = 410,
  [411] = 277,
  [412] = 279,
  [413] = 280,
  [414] = 283,
  [415] = 319,
  [416] = 284,
  [417] = 318,
  [418] = 317,
  [419] = 280,
  [420] = 285,
  [421] = 287,
  [422] = 289,
  [423] = 423,
  [424] = 290,
  [425] = 291,
  [426] = 283,
  [427] = 292,
  [428] = 284,
  [429] = 293,
  [430] = 338,
  [431] = 296,
  [432] = 285,
  [433] = 318,
  [434] = 326,
  [435] = 289,
  [436] = 290,
  [437] = 291,
  [438] = 297,
  [439] = 261,
  [440] = 299,
  [441] = 300,
  [442] = 292,
  [443] = 303,
  [444] = 260,
  [445] = 293,
  [446] = 325,
  [447] = 306,
  [448] = 305,
  [449] = 317,
  [450] = 318,
  [451] = 319,
  [452] = 296,
  [453] = 453,
  [454] = 302,
  [455] = 296,
  [456] = 272,
  [457] = 324,
  [458] = 326,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 461,
  [464] = 462,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 489,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 489,
  [510] = 465,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 470,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 489,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 476,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 489,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 481,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 626,
  [628] = 626,
  [629] = 626,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 653,
  [656] = 638,
  [657] = 639,
  [658] = 636,
  [659] = 637,
  [660] = 634,
  [661] = 661,
  [662] = 635,
  [663] = 663,
  [664] = 639,
  [665] = 653,
  [666] = 666,
  [667] = 644,
  [668] = 648,
  [669] = 646,
  [670] = 630,
  [671] = 640,
  [672] = 631,
  [673] = 653,
  [674] = 674,
  [675] = 645,
  [676] = 647,
  [677] = 651,
  [678] = 643,
  [679] = 632,
  [680] = 642,
  [681] = 652,
  [682] = 633,
  [683] = 661,
  [684] = 666,
  [685] = 641,
  [686] = 649,
  [687] = 650,
  [688] = 654,
  [689] = 689,
  [690] = 661,
  [691] = 654,
  [692] = 692,
  [693] = 661,
  [694] = 694,
  [695] = 695,
  [696] = 695,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 634,
  [702] = 638,
  [703] = 636,
  [704] = 704,
  [705] = 637,
  [706] = 635,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 709,
  [711] = 640,
  [712] = 712,
  [713] = 643,
  [714] = 714,
  [715] = 715,
  [716] = 649,
  [717] = 652,
  [718] = 640,
  [719] = 645,
  [720] = 650,
  [721] = 632,
  [722] = 633,
  [723] = 723,
  [724] = 642,
  [725] = 715,
  [726] = 648,
  [727] = 631,
  [728] = 651,
  [729] = 647,
  [730] = 646,
  [731] = 644,
  [732] = 732,
  [733] = 641,
  [734] = 723,
  [735] = 630,
  [736] = 637,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 638,
  [743] = 636,
  [744] = 635,
  [745] = 634,
  [746] = 746,
  [747] = 637,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 638,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 714,
  [757] = 732,
  [758] = 636,
  [759] = 635,
  [760] = 708,
  [761] = 748,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 763,
  [767] = 634,
  [768] = 764,
  [769] = 769,
  [770] = 638,
  [771] = 771,
  [772] = 765,
  [773] = 636,
  [774] = 762,
  [775] = 635,
  [776] = 637,
  [777] = 777,
  [778] = 634,
  [779] = 648,
  [780] = 780,
  [781] = 649,
  [782] = 782,
  [783] = 645,
  [784] = 784,
  [785] = 633,
  [786] = 630,
  [787] = 787,
  [788] = 788,
  [789] = 632,
  [790] = 790,
  [791] = 642,
  [792] = 792,
  [793] = 631,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 647,
  [798] = 798,
  [799] = 646,
  [800] = 625,
  [801] = 643,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 644,
  [806] = 806,
  [807] = 807,
  [808] = 652,
  [809] = 809,
  [810] = 641,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 651,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 650,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 707,
  [829] = 635,
  [830] = 708,
  [831] = 634,
  [832] = 637,
  [833] = 709,
  [834] = 834,
  [835] = 465,
  [836] = 704,
  [837] = 777,
  [838] = 838,
  [839] = 709,
  [840] = 840,
  [841] = 771,
  [842] = 638,
  [843] = 636,
  [844] = 844,
  [845] = 470,
  [846] = 712,
  [847] = 649,
  [848] = 848,
  [849] = 631,
  [850] = 632,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 652,
  [855] = 645,
  [856] = 848,
  [857] = 651,
  [858] = 647,
  [859] = 646,
  [860] = 852,
  [861] = 648,
  [862] = 853,
  [863] = 643,
  [864] = 633,
  [865] = 641,
  [866] = 640,
  [867] = 867,
  [868] = 650,
  [869] = 644,
  [870] = 642,
  [871] = 630,
  [872] = 640,
  [873] = 873,
  [874] = 481,
  [875] = 732,
  [876] = 876,
  [877] = 777,
  [878] = 748,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 748,
  [883] = 763,
  [884] = 764,
  [885] = 638,
  [886] = 876,
  [887] = 635,
  [888] = 636,
  [889] = 635,
  [890] = 634,
  [891] = 637,
  [892] = 740,
  [893] = 893,
  [894] = 873,
  [895] = 636,
  [896] = 771,
  [897] = 637,
  [898] = 893,
  [899] = 634,
  [900] = 739,
  [901] = 708,
  [902] = 753,
  [903] = 754,
  [904] = 634,
  [905] = 635,
  [906] = 746,
  [907] = 750,
  [908] = 755,
  [909] = 732,
  [910] = 879,
  [911] = 763,
  [912] = 637,
  [913] = 638,
  [914] = 879,
  [915] = 714,
  [916] = 698,
  [917] = 881,
  [918] = 476,
  [919] = 764,
  [920] = 769,
  [921] = 714,
  [922] = 879,
  [923] = 638,
  [924] = 879,
  [925] = 893,
  [926] = 636,
  [927] = 803,
  [928] = 633,
  [929] = 631,
  [930] = 652,
  [931] = 625,
  [932] = 651,
  [933] = 823,
  [934] = 825,
  [935] = 647,
  [936] = 812,
  [937] = 818,
  [938] = 820,
  [939] = 802,
  [940] = 650,
  [941] = 816,
  [942] = 771,
  [943] = 641,
  [944] = 646,
  [945] = 784,
  [946] = 649,
  [947] = 809,
  [948] = 798,
  [949] = 645,
  [950] = 632,
  [951] = 648,
  [952] = 826,
  [953] = 795,
  [954] = 806,
  [955] = 815,
  [956] = 782,
  [957] = 821,
  [958] = 771,
  [959] = 630,
  [960] = 796,
  [961] = 804,
  [962] = 813,
  [963] = 824,
  [964] = 790,
  [965] = 817,
  [966] = 788,
  [967] = 787,
  [968] = 811,
  [969] = 794,
  [970] = 819,
  [971] = 792,
  [972] = 642,
  [973] = 643,
  [974] = 644,
  [975] = 777,
  [976] = 834,
  [977] = 844,
  [978] = 827,
  [979] = 838,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 632,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 630,
  [1005] = 1005,
  [1006] = 633,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 631,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 476,
  [1047] = 481,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1057,
  [1084] = 1071,
  [1085] = 1070,
  [1086] = 1069,
  [1087] = 1087,
  [1088] = 1068,
  [1089] = 1064,
  [1090] = 1066,
  [1091] = 1065,
  [1092] = 1051,
  [1093] = 1081,
  [1094] = 1054,
  [1095] = 1080,
  [1096] = 1055,
  [1097] = 1052,
  [1098] = 1098,
  [1099] = 1058,
  [1100] = 1050,
  [1101] = 1079,
  [1102] = 1082,
  [1103] = 1078,
  [1104] = 1060,
  [1105] = 1077,
  [1106] = 1076,
  [1107] = 1075,
  [1108] = 1074,
  [1109] = 1073,
  [1110] = 1072,
  [1111] = 1067,
  [1112] = 1059,
  [1113] = 1062,
  [1114] = 1056,
  [1115] = 1063,
  [1116] = 1061,
  [1117] = 1117,
  [1118] = 1064,
  [1119] = 1076,
  [1120] = 630,
  [1121] = 1001,
  [1122] = 1002,
  [1123] = 1054,
  [1124] = 1009,
  [1125] = 1011,
  [1126] = 1017,
  [1127] = 1033,
  [1128] = 999,
  [1129] = 1000,
  [1130] = 1035,
  [1131] = 1059,
  [1132] = 1005,
  [1133] = 1039,
  [1134] = 1040,
  [1135] = 1042,
  [1136] = 1062,
  [1137] = 1032,
  [1138] = 1044,
  [1139] = 1055,
  [1140] = 1036,
  [1141] = 1043,
  [1142] = 984,
  [1143] = 1056,
  [1144] = 1041,
  [1145] = 1063,
  [1146] = 1061,
  [1147] = 1057,
  [1148] = 1067,
  [1149] = 470,
  [1150] = 633,
  [1151] = 1038,
  [1152] = 1034,
  [1153] = 998,
  [1154] = 997,
  [1155] = 1037,
  [1156] = 980,
  [1157] = 631,
  [1158] = 1026,
  [1159] = 1025,
  [1160] = 1052,
  [1161] = 1024,
  [1162] = 1027,
  [1163] = 1058,
  [1164] = 1050,
  [1165] = 996,
  [1166] = 1015,
  [1167] = 995,
  [1168] = 1030,
  [1169] = 982,
  [1170] = 983,
  [1171] = 994,
  [1172] = 993,
  [1173] = 992,
  [1174] = 991,
  [1175] = 1014,
  [1176] = 986,
  [1177] = 1031,
  [1178] = 632,
  [1179] = 990,
  [1180] = 985,
  [1181] = 465,
  [1182] = 1012,
  [1183] = 988,
  [1184] = 987,
  [1185] = 1008,
  [1186] = 1028,
  [1187] = 1022,
  [1188] = 1069,
  [1189] = 1018,
  [1190] = 1020,
  [1191] = 1029,
  [1192] = 1019,
  [1193] = 1016,
  [1194] = 1007,
  [1195] = 1066,
  [1196] = 1082,
  [1197] = 1060,
  [1198] = 1081,
  [1199] = 1075,
  [1200] = 1065,
  [1201] = 1074,
  [1202] = 1073,
  [1203] = 1072,
  [1204] = 1071,
  [1205] = 1070,
  [1206] = 1051,
  [1207] = 1003,
  [1208] = 1068,
  [1209] = 1013,
  [1210] = 1021,
  [1211] = 1080,
  [1212] = 1023,
  [1213] = 981,
  [1214] = 1079,
  [1215] = 1078,
  [1216] = 1077,
  [1217] = 1069,
  [1218] = 1072,
  [1219] = 1219,
  [1220] = 1074,
  [1221] = 1051,
  [1222] = 1065,
  [1223] = 1059,
  [1224] = 1066,
  [1225] = 1064,
  [1226] = 1068,
  [1227] = 1056,
  [1228] = 1055,
  [1229] = 1054,
  [1230] = 1070,
  [1231] = 1071,
  [1232] = 1232,
  [1233] = 1073,
  [1234] = 1062,
  [1235] = 1232,
  [1236] = 1075,
  [1237] = 1076,
  [1238] = 1077,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1078,
  [1242] = 1079,
  [1243] = 1080,
  [1244] = 1081,
  [1245] = 1067,
  [1246] = 1057,
  [1247] = 1219,
  [1248] = 1061,
  [1249] = 1082,
  [1250] = 1050,
  [1251] = 1063,
  [1252] = 1058,
  [1253] = 1052,
  [1254] = 1060,
  [1255] = 1255,
  [1256] = 1056,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1056,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1268,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1260,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1268,
  [1285] = 1270,
  [1286] = 1286,
  [1287] = 1272,
  [1288] = 1288,
  [1289] = 1260,
  [1290] = 1290,
  [1291] = 1258,
  [1292] = 1292,
  [1293] = 1275,
  [1294] = 1294,
  [1295] = 1282,
  [1296] = 1296,
  [1297] = 1270,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1273,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1268,
  [1307] = 1270,
  [1308] = 1276,
  [1309] = 1309,
  [1310] = 1275,
  [1311] = 1258,
  [1312] = 1275,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1316,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1321,
  [1324] = 1317,
  [1325] = 1317,
  [1326] = 1318,
  [1327] = 1317,
  [1328] = 1328,
  [1329] = 1321,
  [1330] = 1318,
  [1331] = 1317,
  [1332] = 1315,
  [1333] = 1318,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1317,
  [1337] = 1316,
  [1338] = 1319,
  [1339] = 1318,
  [1340] = 1335,
  [1341] = 1317,
  [1342] = 1315,
  [1343] = 1335,
  [1344] = 1318,
  [1345] = 1335,
  [1346] = 1346,
  [1347] = 1319,
  [1348] = 1346,
  [1349] = 1335,
  [1350] = 1350,
  [1351] = 1317,
  [1352] = 1318,
  [1353] = 1321,
  [1354] = 1328,
  [1355] = 1335,
  [1356] = 1356,
  [1357] = 1335,
  [1358] = 1328,
  [1359] = 1359,
  [1360] = 1321,
  [1361] = 1318,
  [1362] = 1317,
  [1363] = 1363,
  [1364] = 1316,
  [1365] = 1334,
  [1366] = 1363,
  [1367] = 1318,
  [1368] = 1321,
  [1369] = 1316,
  [1370] = 1319,
  [1371] = 1371,
  [1372] = 1335,
  [1373] = 1317,
  [1374] = 1318,
  [1375] = 1346,
  [1376] = 1315,
  [1377] = 1321,
  [1378] = 1319,
  [1379] = 1379,
  [1380] = 1316,
  [1381] = 1381,
  [1382] = 1319,
  [1383] = 1346,
  [1384] = 1335,
  [1385] = 1334,
  [1386] = 1386,
  [1387] = 1386,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1389,
  [1394] = 1388,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1398,
  [1400] = 1400,
  [1401] = 1397,
  [1402] = 1402,
  [1403] = 1397,
  [1404] = 1398,
  [1405] = 1402,
  [1406] = 1400,
  [1407] = 1402,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1408,
  [1411] = 1408,
  [1412] = 1409,
  [1413] = 1409,
  [1414] = 1414,
  [1415] = 1414,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1417,
  [1419] = 1416,
  [1420] = 1416,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1426,
  [1428] = 1428,
  [1429] = 1428,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1455,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1460,
  [1479] = 1479,
  [1480] = 1470,
  [1481] = 1459,
  [1482] = 1482,
  [1483] = 1473,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1490,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 647,
  [1502] = 750,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 708,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1504,
  [1515] = 1515,
  [1516] = 1513,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1523,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1522,
  [1529] = 1529,
  [1530] = 1527,
  [1531] = 1523,
  [1532] = 1532,
  [1533] = 1526,
  [1534] = 1523,
  [1535] = 1526,
  [1536] = 1536,
  [1537] = 1527,
  [1538] = 1523,
  [1539] = 1526,
  [1540] = 1527,
  [1541] = 1527,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1522,
  [1546] = 1546,
  [1547] = 1527,
  [1548] = 1548,
  [1549] = 1523,
  [1550] = 1526,
  [1551] = 1551,
  [1552] = 1523,
  [1553] = 1553,
  [1554] = 1526,
  [1555] = 1526,
  [1556] = 1556,
  [1557] = 1527,
  [1558] = 1558,
  [1559] = 1523,
  [1560] = 1522,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1527,
  [1564] = 647,
  [1565] = 1565,
  [1566] = 1526,
  [1567] = 1567,
  [1568] = 647,
  [1569] = 1523,
  [1570] = 1527,
  [1571] = 1526,
  [1572] = 1527,
  [1573] = 1523,
  [1574] = 1526,
  [1575] = 1523,
  [1576] = 1527,
  [1577] = 1527,
  [1578] = 1578,
  [1579] = 1522,
  [1580] = 1527,
  [1581] = 1581,
  [1582] = 1526,
  [1583] = 1583,
  [1584] = 1486,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 460,
  [1588] = 1588,
  [1589] = 1586,
  [1590] = 1590,
  [1591] = 459,
  [1592] = 1590,
  [1593] = 1593,
  [1594] = 1585,
  [1595] = 1588,
  [1596] = 1596,
  [1597] = 732,
  [1598] = 647,
  [1599] = 1599,
  [1600] = 1599,
  [1601] = 714,
  [1602] = 851,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 732,
  [1606] = 637,
  [1607] = 714,
  [1608] = 1599,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1457,
  [1614] = 1603,
  [1615] = 1599,
  [1616] = 1603,
  [1617] = 1617,
  [1618] = 1610,
  [1619] = 1619,
  [1620] = 1610,
  [1621] = 646,
  [1622] = 1599,
  [1623] = 641,
  [1624] = 637,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1610,
  [1634] = 1610,
  [1635] = 1486,
  [1636] = 1636,
  [1637] = 1599,
  [1638] = 714,
  [1639] = 732,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 647,
  [1645] = 641,
  [1646] = 1629,
  [1647] = 641,
  [1648] = 646,
  [1649] = 646,
  [1650] = 647,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1643,
  [1654] = 462,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1655,
  [1659] = 462,
  [1660] = 1652,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1626,
  [1664] = 461,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1651,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1627,
  [1673] = 1657,
  [1674] = 1674,
  [1675] = 461,
  [1676] = 1676,
  [1677] = 1656,
  [1678] = 1641,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1662,
  [1683] = 1683,
  [1684] = 1680,
  [1685] = 1671,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1626,
  [1689] = 1674,
  [1690] = 1661,
  [1691] = 1668,
  [1692] = 1627,
  [1693] = 1693,
  [1694] = 1670,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1681,
  [1699] = 1666,
  [1700] = 1696,
  [1701] = 1701,
  [1702] = 1665,
  [1703] = 1679,
  [1704] = 1617,
  [1705] = 1701,
  [1706] = 1640,
  [1707] = 1629,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1709,
  [1711] = 1617,
  [1712] = 1676,
  [1713] = 1713,
  [1714] = 1708,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 468,
  [1718] = 1718,
  [1719] = 471,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1509,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1723,
  [1726] = 1726,
  [1727] = 1721,
  [1728] = 1546,
  [1729] = 1500,
  [1730] = 1565,
  [1731] = 1496,
  [1732] = 1491,
  [1733] = 1733,
  [1734] = 483,
  [1735] = 1726,
  [1736] = 479,
  [1737] = 484,
  [1738] = 478,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1567,
  [1742] = 1742,
  [1743] = 1723,
  [1744] = 1726,
  [1745] = 1716,
  [1746] = 1726,
  [1747] = 472,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1726,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 473,
  [1754] = 469,
  [1755] = 1726,
  [1756] = 1726,
  [1757] = 1723,
  [1758] = 1758,
  [1759] = 480,
  [1760] = 1726,
  [1761] = 1761,
  [1762] = 1723,
  [1763] = 1763,
  [1764] = 1715,
  [1765] = 1740,
  [1766] = 475,
  [1767] = 1749,
  [1768] = 1726,
  [1769] = 1769,
  [1770] = 477,
  [1771] = 1723,
  [1772] = 1553,
  [1773] = 1773,
  [1774] = 1544,
  [1775] = 1726,
  [1776] = 1565,
  [1777] = 1723,
  [1778] = 1567,
  [1779] = 1543,
  [1780] = 467,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1723,
  [1784] = 1784,
  [1785] = 1553,
  [1786] = 1546,
  [1787] = 1787,
  [1788] = 466,
  [1789] = 1773,
  [1790] = 1724,
  [1791] = 482,
  [1792] = 1758,
  [1793] = 1683,
  [1794] = 1726,
  [1795] = 1723,
  [1796] = 1796,
  [1797] = 1723,
  [1798] = 1798,
  [1799] = 474,
  [1800] = 1723,
  [1801] = 1543,
  [1802] = 1723,
  [1803] = 1510,
  [1804] = 1544,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1752,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1823,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1805,
  [1849] = 1849,
  [1850] = 1510,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1826,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1806,
  [1860] = 1840,
  [1861] = 1861,
  [1862] = 1823,
  [1863] = 1842,
  [1864] = 1845,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1515,
  [1869] = 1849,
  [1870] = 1851,
  [1871] = 1855,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1512,
  [1876] = 1876,
  [1877] = 1866,
  [1878] = 1878,
  [1879] = 1832,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1827,
  [1883] = 1825,
  [1884] = 1824,
  [1885] = 1885,
  [1886] = 1818,
  [1887] = 1887,
  [1888] = 1839,
  [1889] = 1843,
  [1890] = 1817,
  [1891] = 1856,
  [1892] = 1892,
  [1893] = 1517,
  [1894] = 1865,
  [1895] = 1873,
  [1896] = 1872,
  [1897] = 1823,
  [1898] = 1878,
  [1899] = 1899,
  [1900] = 1816,
  [1901] = 1887,
  [1902] = 1833,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1509,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1812,
  [1910] = 1811,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1846,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1821,
  [1917] = 1520,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1834,
  [1921] = 1519,
  [1922] = 1844,
  [1923] = 698,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1926,
  [1928] = 1857,
  [1929] = 1836,
  [1930] = 1930,
  [1931] = 1861,
  [1932] = 1932,
  [1933] = 1880,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1852,
  [1942] = 1936,
  [1943] = 1935,
  [1944] = 1934,
  [1945] = 1924,
  [1946] = 1946,
  [1947] = 1937,
  [1948] = 1938,
  [1949] = 1915,
  [1950] = 1940,
  [1951] = 1951,
  [1952] = 1951,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 506,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 500,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1720,
  [1967] = 540,
  [1968] = 487,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 485,
  [1972] = 499,
  [1973] = 1973,
  [1974] = 548,
  [1975] = 1954,
  [1976] = 1976,
  [1977] = 616,
  [1978] = 1978,
  [1979] = 619,
  [1980] = 1980,
  [1981] = 620,
  [1982] = 1982,
  [1983] = 491,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 594,
  [1987] = 1987,
  [1988] = 591,
  [1989] = 570,
  [1990] = 603,
  [1991] = 600,
  [1992] = 1992,
  [1993] = 561,
  [1994] = 1994,
  [1995] = 486,
  [1996] = 558,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 1994,
  [2005] = 2005,
  [2006] = 1958,
  [2007] = 565,
  [2008] = 547,
  [2009] = 576,
  [2010] = 586,
  [2011] = 2011,
  [2012] = 592,
  [2013] = 612,
  [2014] = 2014,
  [2015] = 1532,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 545,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 538,
  [2024] = 536,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2001,
  [2032] = 2032,
  [2033] = 562,
  [2034] = 496,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 524,
  [2038] = 1970,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 533,
  [2043] = 2043,
  [2044] = 512,
  [2045] = 508,
  [2046] = 2046,
  [2047] = 532,
  [2048] = 529,
  [2049] = 523,
  [2050] = 2050,
  [2051] = 1973,
  [2052] = 501,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 514,
  [2056] = 563,
  [2057] = 2057,
  [2058] = 2016,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 590,
  [2062] = 2062,
  [2063] = 1978,
  [2064] = 598,
  [2065] = 531,
  [2066] = 606,
  [2067] = 2067,
  [2068] = 615,
  [2069] = 587,
  [2070] = 527,
  [2071] = 520,
  [2072] = 554,
  [2073] = 494,
  [2074] = 2074,
  [2075] = 602,
  [2076] = 609,
  [2077] = 610,
  [2078] = 601,
  [2079] = 608,
  [2080] = 2080,
  [2081] = 560,
  [2082] = 588,
  [2083] = 543,
  [2084] = 2084,
  [2085] = 623,
  [2086] = 2086,
  [2087] = 622,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 517,
  [2097] = 539,
  [2098] = 1962,
  [2099] = 607,
  [2100] = 537,
  [2101] = 513,
  [2102] = 2102,
  [2103] = 534,
  [2104] = 1396,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 1992,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2093,
  [2113] = 2092,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 550,
  [2119] = 2011,
  [2120] = 507,
  [2121] = 1787,
  [2122] = 1957,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 596,
  [2126] = 593,
  [2127] = 2127,
  [2128] = 530,
  [2129] = 549,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 511,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 585,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 502,
  [2143] = 2143,
  [2144] = 584,
  [2145] = 503,
  [2146] = 505,
  [2147] = 2102,
  [2148] = 2134,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 571,
  [2152] = 2152,
  [2153] = 519,
  [2154] = 2154,
  [2155] = 552,
  [2156] = 597,
  [2157] = 2080,
  [2158] = 559,
  [2159] = 564,
  [2160] = 595,
  [2161] = 2161,
  [2162] = 572,
  [2163] = 599,
  [2164] = 516,
  [2165] = 583,
  [2166] = 582,
  [2167] = 611,
  [2168] = 613,
  [2169] = 2169,
  [2170] = 2028,
  [2171] = 2171,
  [2172] = 2002,
  [2173] = 1978,
  [2174] = 579,
  [2175] = 1978,
  [2176] = 578,
  [2177] = 2177,
  [2178] = 577,
  [2179] = 621,
  [2180] = 574,
  [2181] = 2107,
  [2182] = 2182,
  [2183] = 2028,
  [2184] = 2184,
  [2185] = 569,
  [2186] = 618,
  [2187] = 617,
  [2188] = 2028,
  [2189] = 2028,
  [2190] = 614,
  [2191] = 1978,
  [2192] = 2026,
  [2193] = 568,
  [2194] = 1953,
  [2195] = 566,
  [2196] = 605,
  [2197] = 581,
  [2198] = 573,
  [2199] = 556,
  [2200] = 557,
  [2201] = 528,
  [2202] = 555,
  [2203] = 2028,
  [2204] = 526,
  [2205] = 525,
  [2206] = 2206,
  [2207] = 518,
  [2208] = 551,
  [2209] = 495,
  [2210] = 497,
  [2211] = 541,
  [2212] = 2212,
  [2213] = 604,
  [2214] = 493,
  [2215] = 490,
  [2216] = 1978,
  [2217] = 1987,
  [2218] = 546,
  [2219] = 1978,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 544,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2028,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 1874,
  [2231] = 580,
  [2232] = 589,
  [2233] = 542,
  [2234] = 624,
  [2235] = 488,
  [2236] = 492,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 498,
  [2240] = 1978,
  [2241] = 521,
  [2242] = 2140,
  [2243] = 515,
  [2244] = 2028,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2094,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2245,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2266,
  [2314] = 2271,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2296,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2267,
  [2329] = 2329,
  [2330] = 2271,
  [2331] = 2276,
  [2332] = 2277,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2286,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2109,
  [2351] = 2269,
  [2352] = 2269,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2271,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2262,
  [2361] = 2361,
  [2362] = 2343,
  [2363] = 2358,
  [2364] = 2364,
  [2365] = 2342,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2356,
  [2370] = 2370,
  [2371] = 2354,
  [2372] = 2292,
  [2373] = 2373,
  [2374] = 2353,
  [2375] = 2341,
  [2376] = 2376,
  [2377] = 2325,
  [2378] = 2378,
  [2379] = 2349,
  [2380] = 2320,
  [2381] = 2260,
  [2382] = 2258,
  [2383] = 2257,
  [2384] = 2345,
  [2385] = 2270,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2301,
  [2389] = 2389,
  [2390] = 2264,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2295,
  [2400] = 2307,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2347,
  [2412] = 2306,
  [2413] = 2336,
  [2414] = 2409,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2387,
  [2418] = 2378,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2416,
  [2424] = 2247,
  [2425] = 2250,
  [2426] = 2298,
  [2427] = 2300,
  [2428] = 2302,
  [2429] = 2429,
  [2430] = 2305,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2310,
  [2435] = 2435,
  [2436] = 2311,
  [2437] = 2312,
  [2438] = 2419,
  [2439] = 2322,
  [2440] = 2323,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2373,
  [2444] = 2329,
  [2445] = 2429,
  [2446] = 2446,
  [2447] = 2326,
  [2448] = 2431,
  [2449] = 2422,
  [2450] = 2450,
  [2451] = 2432,
  [2452] = 2433,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 1724,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2456,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2393,
  [2462] = 2344,
  [2463] = 2457,
  [2464] = 2442,
  [2465] = 2465,
  [2466] = 2306,
  [2467] = 2316,
  [2468] = 2315,
  [2469] = 2469,
  [2470] = 2396,
  [2471] = 2408,
  [2472] = 2299,
  [2473] = 2294,
  [2474] = 2474,
  [2475] = 2397,
  [2476] = 2476,
  [2477] = 2288,
  [2478] = 2284,
  [2479] = 1721,
  [2480] = 2280,
  [2481] = 2406,
  [2482] = 2249,
  [2483] = 2483,
  [2484] = 2248,
  [2485] = 2405,
  [2486] = 2403,
  [2487] = 2251,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2367,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2489,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2274,
  [2498] = 2275,
  [2499] = 2499,
  [2500] = 2282,
  [2501] = 2501,
  [2502] = 2327,
  [2503] = 2285,
  [2504] = 2504,
  [2505] = 2289,
  [2506] = 2506,
  [2507] = 2293,
  [2508] = 2508,
  [2509] = 2269,
  [2510] = 2303,
  [2511] = 2359,
  [2512] = 2501,
  [2513] = 2348,
  [2514] = 2357,
  [2515] = 2404,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2460,
  [2520] = 2459,
  [2521] = 2521,
  [2522] = 2496,
  [2523] = 2306,
  [2524] = 2524,
  [2525] = 2492,
  [2526] = 2401,
  [2527] = 2483,
  [2528] = 2402,
  [2529] = 2529,
  [2530] = 2493,
  [2531] = 2499,
  [2532] = 2504,
  [2533] = 2506,
  [2534] = 2508,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2535,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2549,
  [2565] = 2552,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2550,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2555,
  [2574] = 2574,
  [2575] = 2575,
  [2576] = 2543,
  [2577] = 2547,
  [2578] = 2546,
  [2579] = 2553,
  [2580] = 2580,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2582,
  [2587] = 2559,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2548,
  [2595] = 2590,
  [2596] = 2596,
  [2597] = 2545,
  [2598] = 2598,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2554,
  [2603] = 2558,
  [2604] = 2540,
  [2605] = 2547,
  [2606] = 2029,
  [2607] = 2607,
  [2608] = 2541,
  [2609] = 2547,
  [2610] = 2610,
  [2611] = 2538,
  [2612] = 2543,
  [2613] = 2613,
  [2614] = 2539,
  [2615] = 2538,
  [2616] = 2616,
  [2617] = 2613,
  [2618] = 2589,
  [2619] = 2598,
  [2620] = 2543,
  [2621] = 2621,
  [2622] = 2593,
  [2623] = 2559,
  [2624] = 2624,
  [2625] = 2592,
  [2626] = 2540,
  [2627] = 2553,
  [2628] = 2558,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2554,
  [2632] = 2541,
  [2633] = 2633,
  [2634] = 2540,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2539,
  [2638] = 2596,
  [2639] = 2543,
  [2640] = 2574,
  [2641] = 2535,
  [2642] = 2642,
  [2643] = 2567,
  [2644] = 2571,
  [2645] = 2645,
  [2646] = 2572,
  [2647] = 2647,
  [2648] = 2642,
  [2649] = 2585,
  [2650] = 2610,
  [2651] = 2600,
  [2652] = 2584,
  [2653] = 2601,
  [2654] = 2557,
  [2655] = 2556,
  [2656] = 2607,
  [2657] = 2540,
  [2658] = 2658,
  [2659] = 2535,
  [2660] = 2645,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2563,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2540,
  [2672] = 2553,
  [2673] = 2636,
  [2674] = 2674,
  [2675] = 2583,
  [2676] = 2559,
  [2677] = 2540,
  [2678] = 2547,
  [2679] = 2538,
  [2680] = 2539,
  [2681] = 2540,
  [2682] = 2541,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2624,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2548,
  [2689] = 2540,
  [2690] = 2545,
  [2691] = 2558,
  [2692] = 2554,
  [2693] = 2545,
  [2694] = 2540,
  [2695] = 2695,
  [2696] = 2696,
  [2697] = 2667,
  [2698] = 2636,
  [2699] = 2699,
  [2700] = 2581,
  [2701] = 2583,
  [2702] = 2545,
  [2703] = 2588,
  [2704] = 2667,
  [2705] = 2705,
  [2706] = 2540,
  [2707] = 2581,
  [2708] = 2708,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2540,
  [2712] = 2658,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2630,
  [2716] = 2545,
  [2717] = 2545,
  [2718] = 2714,
  [2719] = 2599,
  [2720] = 2549,
  [2721] = 2569,
  [2722] = 2713,
  [2723] = 2575,
  [2724] = 2724,
  [2725] = 2667,
  [2726] = 2662,
  [2727] = 2727,
  [2728] = 2583,
  [2729] = 2714,
  [2730] = 2664,
  [2731] = 2575,
  [2732] = 2665,
  [2733] = 2714,
  [2734] = 2710,
  [2735] = 2666,
  [2736] = 2668,
  [2737] = 2540,
  [2738] = 2575,
  [2739] = 2123,
  [2740] = 2710,
  [2741] = 2741,
  [2742] = 2710,
  [2743] = 2709,
  [2744] = 2545,
  [2745] = 2709,
  [2746] = 2709,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 121,
        '"', 169,
        '#', 249,
        '$', 173,
        '%', 209,
        '&', 72,
        '\'', 171,
        '(', 82,
        ')', 83,
        '*', 204,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 202,
        '/', 207,
        '0', 103,
        ':', 80,
        ';', 69,
        '<', 187,
        '=', 74,
        '>', 191,
        '?', 86,
        '@', 122,
        '[', 141,
        '\\', 76,
        ']', 142,
        '^', 181,
        '_', 244,
        '`', 172,
        '{', 77,
        '|', 91,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 210,
        'b', 210,
        'E', 213,
        'e', 213,
        'F', 214,
        'f', 214,
        'I', 228,
        'i', 228,
        'N', 242,
        'n', 242,
        'S', 240,
        's', 240,
        'T', 233,
        't', 233,
        'U', 226,
        'u', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(247);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(247);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(248);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 170,
        '\r', 170,
        '"', 169,
        '#', 250,
        '$', 173,
        '-', 31,
        '/', 20,
        '[', 141,
        '\\', 35,
        '{', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 170,
        '\r', 170,
        '#', 250,
        '$', 173,
        '-', 31,
        '/', 20,
        '[', 141,
        '\\', 36,
        '{', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 121,
        '"', 155,
        '#', 249,
        '$', 173,
        '%', 208,
        '&', 71,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 202,
        '/', 206,
        '0', 103,
        ':', 79,
        ';', 69,
        '<', 188,
        '=', 30,
        '>', 192,
        '?', 89,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 180,
        '_', 244,
        '`', 172,
        '|', 92,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
        'E', 213,
        'e', 213,
        'F', 215,
        'f', 215,
        'N', 242,
        'n', 242,
        'T', 233,
        't', 233,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 249,
        '$', 173,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 99,
        '/', 20,
        '0', 103,
        '<', 26,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '_', 244,
        '`', 172,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
        'E', 213,
        'e', 213,
        'F', 215,
        'f', 215,
        'N', 242,
        'n', 242,
        'T', 233,
        't', 233,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 249,
        '$', 173,
        '\'', 157,
        '(', 82,
        '+', 112,
        '-', 115,
        '.', 100,
        '/', 20,
        '0', 103,
        '<', 26,
        '@', 122,
        '[', 141,
        '\\', 75,
        '_', 244,
        '`', 172,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 210,
        'b', 210,
        'E', 213,
        'e', 213,
        'F', 214,
        'f', 214,
        'I', 228,
        'i', 228,
        'N', 242,
        'n', 242,
        'S', 240,
        's', 240,
        'T', 233,
        't', 233,
        'U', 226,
        'u', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 112,
        ',', 73,
        '-', 117,
        '.', 201,
        '/', 206,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 30,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 35,
        ']', 142,
        '^', 180,
        '`', 172,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 112,
        ',', 73,
        '-', 117,
        '.', 201,
        '/', 206,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 30,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 36,
        ']', 142,
        '^', 180,
        '`', 172,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 29,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '\'', 171,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 111,
        ',', 73,
        '-', 118,
        '.', 201,
        '/', 206,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 74,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 180,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 29,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 111,
        ',', 73,
        '-', 118,
        '.', 201,
        '/', 206,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 74,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 180,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 29,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 111,
        ',', 73,
        '-', 114,
        '.', 201,
        '/', 206,
        ':', 79,
        ';', 69,
        '<', 190,
        '=', 30,
        '>', 192,
        '?', 89,
        '\\', 75,
        ']', 142,
        '^', 180,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 155,
        '#', 249,
        '$', 173,
        '\'', 157,
        '(', 82,
        '/', 20,
        '<', 26,
        '[', 141,
        '\\', 75,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 155,
        '#', 250,
        '$', 173,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '.', 23,
        '/', 20,
        '0', 108,
        '<', 26,
        '[', 141,
        '\\', 75,
        '|', 90,
        '}', 78,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '"', 155,
        '#', 250,
        '\'', 157,
        '.', 100,
        '/', 20,
        '0', 103,
        '<', 26,
        '_', 56,
        'B', 13,
        'b', 13,
        'E', 39,
        'e', 39,
        'F', 40,
        'f', 40,
        'N', 50,
        'n', 50,
        'T', 47,
        't', 47,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 249,
        '$', 173,
        '&', 70,
        '(', 82,
        ')', 83,
        ',', 73,
        '.', 23,
        '/', 20,
        '?', 85,
        '\\', 75,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 250,
        '$', 173,
        '&', 70,
        '(', 82,
        ')', 83,
        '.', 23,
        '/', 20,
        '=', 32,
        '?', 85,
        '\\', 75,
        '{', 77,
        '|', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(166);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '/') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(161);
      if (lookahead != 0) ADVANCE(167);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(248);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(247);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(25);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(84);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(28);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(28);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(168);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(183);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(182);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(66);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(140);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(153);
      if (lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(150);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(148);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(152);
      END_STATE();
    case 37:
      if (lookahead == '}') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(158);
      if (lookahead != 0) ADVANCE(167);
      END_STATE();
    case 39:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 40:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 41:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 42:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(46);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 47:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 48:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(41);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 50:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 51:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(106);
      END_STATE();
    case 52:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(151);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 62:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 121,
        '"', 155,
        '#', 249,
        '$', 173,
        '%', 209,
        '&', 72,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 204,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 202,
        '/', 207,
        '0', 103,
        ':', 80,
        ';', 69,
        '<', 187,
        '=', 74,
        '>', 191,
        '?', 86,
        '@', 122,
        '[', 141,
        '\\', 76,
        ']', 142,
        '^', 181,
        '_', 244,
        '`', 172,
        '{', 77,
        '|', 91,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 210,
        'b', 210,
        'E', 213,
        'e', 213,
        'F', 214,
        'f', 214,
        'I', 228,
        'i', 228,
        'N', 242,
        'n', 242,
        'S', 240,
        's', 240,
        'T', 233,
        't', 233,
        'U', 226,
        'u', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 63:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 249,
        '$', 173,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 100,
        '/', 20,
        '0', 103,
        ':', 79,
        ';', 69,
        '<', 27,
        '=', 32,
        '?', 33,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '_', 244,
        '`', 172,
        '{', 77,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
        'E', 213,
        'e', 213,
        'F', 215,
        'f', 215,
        'N', 242,
        'n', 242,
        'T', 233,
        't', 233,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 64:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 250,
        '$', 173,
        '%', 209,
        '&', 72,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 204,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 203,
        '/', 207,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 189,
        '=', 74,
        '>', 191,
        '?', 87,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 181,
        '{', 77,
        '|', 91,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(67);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(42);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(179);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(179);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(182);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(158);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(123);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '>') ADVANCE(66);
      if (lookahead == '?') ADVANCE(175);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '?') ADVANCE(175);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '?') ADVANCE(174);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(174);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '|') ADVANCE(178);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(178);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 100,
        '_', 52,
        'B', 51,
        'b', 51,
        'E', 39,
        'e', 39,
        'O', 109,
        'o', 109,
        'X', 59,
        'x', 59,
        '8', 24,
        '9', 24,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(51);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(109);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(125);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(183);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(149);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(148);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(61);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(167);
      if (lookahead == '\r') ADVANCE(160);
      if (lookahead == '>') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(166);
      if (lookahead == '/') ADVANCE(162);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(164);
      if (lookahead == '/') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead == '/') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(170);
      if (lookahead == '\r') ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(185);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(186);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(197);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(184);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(198);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(184);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(196);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(184);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(200);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(199);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(195);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(168);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(176);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(248);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(248);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(244);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(225);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(225);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(146);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(97);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(227);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(94);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(144);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(223);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(220);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(217);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(222);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(216);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(221);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(241);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(218);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(219);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(95);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(96);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(98);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(218);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(224);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(93);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(248);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(248);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 63},
  [2] = {.lex_state = 63},
  [3] = {.lex_state = 63},
  [4] = {.lex_state = 63},
  [5] = {.lex_state = 63},
  [6] = {.lex_state = 63},
  [7] = {.lex_state = 63},
  [8] = {.lex_state = 63},
  [9] = {.lex_state = 63},
  [10] = {.lex_state = 63},
  [11] = {.lex_state = 63},
  [12] = {.lex_state = 63, .external_lex_state = 2},
  [13] = {.lex_state = 63},
  [14] = {.lex_state = 63, .external_lex_state = 2},
  [15] = {.lex_state = 63},
  [16] = {.lex_state = 63},
  [17] = {.lex_state = 63, .external_lex_state = 2},
  [18] = {.lex_state = 63, .external_lex_state = 2},
  [19] = {.lex_state = 63, .external_lex_state = 2},
  [20] = {.lex_state = 63, .external_lex_state = 2},
  [21] = {.lex_state = 63},
  [22] = {.lex_state = 63},
  [23] = {.lex_state = 63},
  [24] = {.lex_state = 63},
  [25] = {.lex_state = 63},
  [26] = {.lex_state = 63},
  [27] = {.lex_state = 63},
  [28] = {.lex_state = 63},
  [29] = {.lex_state = 63},
  [30] = {.lex_state = 63, .external_lex_state = 2},
  [31] = {.lex_state = 63},
  [32] = {.lex_state = 63},
  [33] = {.lex_state = 63},
  [34] = {.lex_state = 63},
  [35] = {.lex_state = 63, .external_lex_state = 2},
  [36] = {.lex_state = 63, .external_lex_state = 2},
  [37] = {.lex_state = 63},
  [38] = {.lex_state = 63, .external_lex_state = 2},
  [39] = {.lex_state = 63},
  [40] = {.lex_state = 63},
  [41] = {.lex_state = 63},
  [42] = {.lex_state = 63},
  [43] = {.lex_state = 63},
  [44] = {.lex_state = 63},
  [45] = {.lex_state = 63},
  [46] = {.lex_state = 63, .external_lex_state = 2},
  [47] = {.lex_state = 63},
  [48] = {.lex_state = 63, .external_lex_state = 2},
  [49] = {.lex_state = 63},
  [50] = {.lex_state = 63, .external_lex_state = 2},
  [51] = {.lex_state = 63, .external_lex_state = 2},
  [52] = {.lex_state = 63, .external_lex_state = 2},
  [53] = {.lex_state = 63},
  [54] = {.lex_state = 63},
  [55] = {.lex_state = 63},
  [56] = {.lex_state = 63, .external_lex_state = 2},
  [57] = {.lex_state = 63},
  [58] = {.lex_state = 63},
  [59] = {.lex_state = 63},
  [60] = {.lex_state = 63},
  [61] = {.lex_state = 63},
  [62] = {.lex_state = 63, .external_lex_state = 2},
  [63] = {.lex_state = 63},
  [64] = {.lex_state = 63},
  [65] = {.lex_state = 63},
  [66] = {.lex_state = 63},
  [67] = {.lex_state = 63, .external_lex_state = 2},
  [68] = {.lex_state = 63, .external_lex_state = 2},
  [69] = {.lex_state = 63},
  [70] = {.lex_state = 63, .external_lex_state = 2},
  [71] = {.lex_state = 63},
  [72] = {.lex_state = 63, .external_lex_state = 2},
  [73] = {.lex_state = 63},
  [74] = {.lex_state = 63, .external_lex_state = 2},
  [75] = {.lex_state = 63, .external_lex_state = 2},
  [76] = {.lex_state = 63, .external_lex_state = 2},
  [77] = {.lex_state = 63},
  [78] = {.lex_state = 63},
  [79] = {.lex_state = 63},
  [80] = {.lex_state = 63, .external_lex_state = 2},
  [81] = {.lex_state = 63, .external_lex_state = 2},
  [82] = {.lex_state = 63},
  [83] = {.lex_state = 63, .external_lex_state = 2},
  [84] = {.lex_state = 63},
  [85] = {.lex_state = 63},
  [86] = {.lex_state = 63},
  [87] = {.lex_state = 63},
  [88] = {.lex_state = 63},
  [89] = {.lex_state = 63},
  [90] = {.lex_state = 63, .external_lex_state = 2},
  [91] = {.lex_state = 63, .external_lex_state = 2},
  [92] = {.lex_state = 63, .external_lex_state = 2},
  [93] = {.lex_state = 63},
  [94] = {.lex_state = 63, .external_lex_state = 2},
  [95] = {.lex_state = 63, .external_lex_state = 2},
  [96] = {.lex_state = 63},
  [97] = {.lex_state = 63, .external_lex_state = 2},
  [98] = {.lex_state = 63},
  [99] = {.lex_state = 63, .external_lex_state = 2},
  [100] = {.lex_state = 63},
  [101] = {.lex_state = 63, .external_lex_state = 2},
  [102] = {.lex_state = 63, .external_lex_state = 2},
  [103] = {.lex_state = 63, .external_lex_state = 2},
  [104] = {.lex_state = 63, .external_lex_state = 2},
  [105] = {.lex_state = 63, .external_lex_state = 2},
  [106] = {.lex_state = 63, .external_lex_state = 2},
  [107] = {.lex_state = 63},
  [108] = {.lex_state = 63},
  [109] = {.lex_state = 63},
  [110] = {.lex_state = 63},
  [111] = {.lex_state = 63},
  [112] = {.lex_state = 63},
  [113] = {.lex_state = 63},
  [114] = {.lex_state = 63},
  [115] = {.lex_state = 5},
  [116] = {.lex_state = 5},
  [117] = {.lex_state = 5, .external_lex_state = 2},
  [118] = {.lex_state = 5},
  [119] = {.lex_state = 7},
  [120] = {.lex_state = 7},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 6},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 63},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 6},
  [170] = {.lex_state = 63},
  [171] = {.lex_state = 6},
  [172] = {.lex_state = 6},
  [173] = {.lex_state = 6},
  [174] = {.lex_state = 6},
  [175] = {.lex_state = 63},
  [176] = {.lex_state = 63},
  [177] = {.lex_state = 6},
  [178] = {.lex_state = 63},
  [179] = {.lex_state = 63},
  [180] = {.lex_state = 63},
  [181] = {.lex_state = 6},
  [182] = {.lex_state = 63},
  [183] = {.lex_state = 63},
  [184] = {.lex_state = 63},
  [185] = {.lex_state = 6},
  [186] = {.lex_state = 63},
  [187] = {.lex_state = 63},
  [188] = {.lex_state = 63},
  [189] = {.lex_state = 63},
  [190] = {.lex_state = 63},
  [191] = {.lex_state = 63},
  [192] = {.lex_state = 63},
  [193] = {.lex_state = 63},
  [194] = {.lex_state = 63},
  [195] = {.lex_state = 63},
  [196] = {.lex_state = 63},
  [197] = {.lex_state = 63},
  [198] = {.lex_state = 63},
  [199] = {.lex_state = 63},
  [200] = {.lex_state = 63},
  [201] = {.lex_state = 63},
  [202] = {.lex_state = 63},
  [203] = {.lex_state = 63},
  [204] = {.lex_state = 63},
  [205] = {.lex_state = 63},
  [206] = {.lex_state = 63},
  [207] = {.lex_state = 63},
  [208] = {.lex_state = 63},
  [209] = {.lex_state = 63},
  [210] = {.lex_state = 63},
  [211] = {.lex_state = 63},
  [212] = {.lex_state = 63},
  [213] = {.lex_state = 63},
  [214] = {.lex_state = 63},
  [215] = {.lex_state = 63},
  [216] = {.lex_state = 63},
  [217] = {.lex_state = 63},
  [218] = {.lex_state = 63},
  [219] = {.lex_state = 63},
  [220] = {.lex_state = 63},
  [221] = {.lex_state = 63},
  [222] = {.lex_state = 63},
  [223] = {.lex_state = 63, .external_lex_state = 2},
  [224] = {.lex_state = 63, .external_lex_state = 2},
  [225] = {.lex_state = 63, .external_lex_state = 2},
  [226] = {.lex_state = 63, .external_lex_state = 2},
  [227] = {.lex_state = 63, .external_lex_state = 2},
  [228] = {.lex_state = 6},
  [229] = {.lex_state = 63},
  [230] = {.lex_state = 63},
  [231] = {.lex_state = 63, .external_lex_state = 2},
  [232] = {.lex_state = 63},
  [233] = {.lex_state = 63},
  [234] = {.lex_state = 63},
  [235] = {.lex_state = 63},
  [236] = {.lex_state = 6},
  [237] = {.lex_state = 63},
  [238] = {.lex_state = 63},
  [239] = {.lex_state = 63},
  [240] = {.lex_state = 63},
  [241] = {.lex_state = 63},
  [242] = {.lex_state = 63},
  [243] = {.lex_state = 63},
  [244] = {.lex_state = 63},
  [245] = {.lex_state = 63},
  [246] = {.lex_state = 63},
  [247] = {.lex_state = 63},
  [248] = {.lex_state = 63},
  [249] = {.lex_state = 63},
  [250] = {.lex_state = 63},
  [251] = {.lex_state = 63},
  [252] = {.lex_state = 63},
  [253] = {.lex_state = 63},
  [254] = {.lex_state = 63},
  [255] = {.lex_state = 63},
  [256] = {.lex_state = 63},
  [257] = {.lex_state = 63},
  [258] = {.lex_state = 63},
  [259] = {.lex_state = 63},
  [260] = {.lex_state = 63},
  [261] = {.lex_state = 63},
  [262] = {.lex_state = 63},
  [263] = {.lex_state = 63},
  [264] = {.lex_state = 63},
  [265] = {.lex_state = 63},
  [266] = {.lex_state = 63},
  [267] = {.lex_state = 63},
  [268] = {.lex_state = 63},
  [269] = {.lex_state = 63},
  [270] = {.lex_state = 63},
  [271] = {.lex_state = 63},
  [272] = {.lex_state = 63},
  [273] = {.lex_state = 63},
  [274] = {.lex_state = 63},
  [275] = {.lex_state = 63},
  [276] = {.lex_state = 63},
  [277] = {.lex_state = 63},
  [278] = {.lex_state = 63},
  [279] = {.lex_state = 63},
  [280] = {.lex_state = 63},
  [281] = {.lex_state = 63},
  [282] = {.lex_state = 63},
  [283] = {.lex_state = 63},
  [284] = {.lex_state = 63},
  [285] = {.lex_state = 63},
  [286] = {.lex_state = 63},
  [287] = {.lex_state = 63},
  [288] = {.lex_state = 63},
  [289] = {.lex_state = 63},
  [290] = {.lex_state = 63},
  [291] = {.lex_state = 63},
  [292] = {.lex_state = 63},
  [293] = {.lex_state = 63},
  [294] = {.lex_state = 63},
  [295] = {.lex_state = 63},
  [296] = {.lex_state = 63},
  [297] = {.lex_state = 63},
  [298] = {.lex_state = 63},
  [299] = {.lex_state = 63},
  [300] = {.lex_state = 63},
  [301] = {.lex_state = 63},
  [302] = {.lex_state = 63},
  [303] = {.lex_state = 63},
  [304] = {.lex_state = 63},
  [305] = {.lex_state = 63},
  [306] = {.lex_state = 63},
  [307] = {.lex_state = 63},
  [308] = {.lex_state = 63},
  [309] = {.lex_state = 63},
  [310] = {.lex_state = 63},
  [311] = {.lex_state = 63},
  [312] = {.lex_state = 63},
  [313] = {.lex_state = 63},
  [314] = {.lex_state = 63},
  [315] = {.lex_state = 63},
  [316] = {.lex_state = 63},
  [317] = {.lex_state = 63},
  [318] = {.lex_state = 63},
  [319] = {.lex_state = 63},
  [320] = {.lex_state = 63},
  [321] = {.lex_state = 63},
  [322] = {.lex_state = 63},
  [323] = {.lex_state = 63},
  [324] = {.lex_state = 63},
  [325] = {.lex_state = 63},
  [326] = {.lex_state = 63},
  [327] = {.lex_state = 63},
  [328] = {.lex_state = 63},
  [329] = {.lex_state = 63},
  [330] = {.lex_state = 63},
  [331] = {.lex_state = 63},
  [332] = {.lex_state = 63},
  [333] = {.lex_state = 63},
  [334] = {.lex_state = 63},
  [335] = {.lex_state = 63},
  [336] = {.lex_state = 63},
  [337] = {.lex_state = 63},
  [338] = {.lex_state = 63},
  [339] = {.lex_state = 63},
  [340] = {.lex_state = 63},
  [341] = {.lex_state = 63},
  [342] = {.lex_state = 63},
  [343] = {.lex_state = 63},
  [344] = {.lex_state = 63},
  [345] = {.lex_state = 63},
  [346] = {.lex_state = 63},
  [347] = {.lex_state = 63},
  [348] = {.lex_state = 63},
  [349] = {.lex_state = 63},
  [350] = {.lex_state = 63},
  [351] = {.lex_state = 63},
  [352] = {.lex_state = 63},
  [353] = {.lex_state = 63},
  [354] = {.lex_state = 63},
  [355] = {.lex_state = 63},
  [356] = {.lex_state = 63},
  [357] = {.lex_state = 63},
  [358] = {.lex_state = 63},
  [359] = {.lex_state = 63},
  [360] = {.lex_state = 63},
  [361] = {.lex_state = 63},
  [362] = {.lex_state = 63},
  [363] = {.lex_state = 63},
  [364] = {.lex_state = 63},
  [365] = {.lex_state = 63},
  [366] = {.lex_state = 63},
  [367] = {.lex_state = 63},
  [368] = {.lex_state = 63},
  [369] = {.lex_state = 63},
  [370] = {.lex_state = 63},
  [371] = {.lex_state = 63},
  [372] = {.lex_state = 63},
  [373] = {.lex_state = 63},
  [374] = {.lex_state = 63},
  [375] = {.lex_state = 63},
  [376] = {.lex_state = 63},
  [377] = {.lex_state = 63},
  [378] = {.lex_state = 63},
  [379] = {.lex_state = 63},
  [380] = {.lex_state = 63},
  [381] = {.lex_state = 63},
  [382] = {.lex_state = 63},
  [383] = {.lex_state = 63},
  [384] = {.lex_state = 63},
  [385] = {.lex_state = 63},
  [386] = {.lex_state = 63},
  [387] = {.lex_state = 63},
  [388] = {.lex_state = 63},
  [389] = {.lex_state = 63},
  [390] = {.lex_state = 63},
  [391] = {.lex_state = 63},
  [392] = {.lex_state = 63},
  [393] = {.lex_state = 63},
  [394] = {.lex_state = 63},
  [395] = {.lex_state = 63},
  [396] = {.lex_state = 63},
  [397] = {.lex_state = 63},
  [398] = {.lex_state = 63},
  [399] = {.lex_state = 63},
  [400] = {.lex_state = 63},
  [401] = {.lex_state = 63},
  [402] = {.lex_state = 63},
  [403] = {.lex_state = 63},
  [404] = {.lex_state = 63},
  [405] = {.lex_state = 63},
  [406] = {.lex_state = 63},
  [407] = {.lex_state = 63},
  [408] = {.lex_state = 63},
  [409] = {.lex_state = 63},
  [410] = {.lex_state = 63},
  [411] = {.lex_state = 63},
  [412] = {.lex_state = 63},
  [413] = {.lex_state = 63},
  [414] = {.lex_state = 63},
  [415] = {.lex_state = 63},
  [416] = {.lex_state = 63},
  [417] = {.lex_state = 63},
  [418] = {.lex_state = 63},
  [419] = {.lex_state = 63},
  [420] = {.lex_state = 63},
  [421] = {.lex_state = 63},
  [422] = {.lex_state = 63},
  [423] = {.lex_state = 63},
  [424] = {.lex_state = 63},
  [425] = {.lex_state = 63},
  [426] = {.lex_state = 63},
  [427] = {.lex_state = 63},
  [428] = {.lex_state = 63},
  [429] = {.lex_state = 63},
  [430] = {.lex_state = 63},
  [431] = {.lex_state = 63},
  [432] = {.lex_state = 63},
  [433] = {.lex_state = 63},
  [434] = {.lex_state = 63},
  [435] = {.lex_state = 63},
  [436] = {.lex_state = 63},
  [437] = {.lex_state = 63},
  [438] = {.lex_state = 63},
  [439] = {.lex_state = 63},
  [440] = {.lex_state = 63},
  [441] = {.lex_state = 63},
  [442] = {.lex_state = 63},
  [443] = {.lex_state = 63},
  [444] = {.lex_state = 63},
  [445] = {.lex_state = 63},
  [446] = {.lex_state = 63},
  [447] = {.lex_state = 63},
  [448] = {.lex_state = 63},
  [449] = {.lex_state = 63},
  [450] = {.lex_state = 63},
  [451] = {.lex_state = 63},
  [452] = {.lex_state = 63},
  [453] = {.lex_state = 63},
  [454] = {.lex_state = 63},
  [455] = {.lex_state = 63},
  [456] = {.lex_state = 63},
  [457] = {.lex_state = 63},
  [458] = {.lex_state = 63},
  [459] = {.lex_state = 63},
  [460] = {.lex_state = 63},
  [461] = {.lex_state = 63},
  [462] = {.lex_state = 63},
  [463] = {.lex_state = 63},
  [464] = {.lex_state = 63},
  [465] = {.lex_state = 63},
  [466] = {.lex_state = 63},
  [467] = {.lex_state = 63},
  [468] = {.lex_state = 63},
  [469] = {.lex_state = 63},
  [470] = {.lex_state = 63},
  [471] = {.lex_state = 63, .external_lex_state = 2},
  [472] = {.lex_state = 63, .external_lex_state = 2},
  [473] = {.lex_state = 63, .external_lex_state = 2},
  [474] = {.lex_state = 63, .external_lex_state = 2},
  [475] = {.lex_state = 63, .external_lex_state = 2},
  [476] = {.lex_state = 63, .external_lex_state = 2},
  [477] = {.lex_state = 63, .external_lex_state = 2},
  [478] = {.lex_state = 63, .external_lex_state = 2},
  [479] = {.lex_state = 63, .external_lex_state = 2},
  [480] = {.lex_state = 63, .external_lex_state = 2},
  [481] = {.lex_state = 63, .external_lex_state = 2},
  [482] = {.lex_state = 63, .external_lex_state = 2},
  [483] = {.lex_state = 63, .external_lex_state = 2},
  [484] = {.lex_state = 63, .external_lex_state = 2},
  [485] = {.lex_state = 63},
  [486] = {.lex_state = 63},
  [487] = {.lex_state = 63},
  [488] = {.lex_state = 63},
  [489] = {.lex_state = 63},
  [490] = {.lex_state = 63},
  [491] = {.lex_state = 63},
  [492] = {.lex_state = 63},
  [493] = {.lex_state = 63},
  [494] = {.lex_state = 63},
  [495] = {.lex_state = 63},
  [496] = {.lex_state = 63},
  [497] = {.lex_state = 63},
  [498] = {.lex_state = 63},
  [499] = {.lex_state = 63},
  [500] = {.lex_state = 63},
  [501] = {.lex_state = 63},
  [502] = {.lex_state = 63},
  [503] = {.lex_state = 63},
  [504] = {.lex_state = 63},
  [505] = {.lex_state = 63},
  [506] = {.lex_state = 63},
  [507] = {.lex_state = 63},
  [508] = {.lex_state = 63},
  [509] = {.lex_state = 63},
  [510] = {.lex_state = 63},
  [511] = {.lex_state = 63},
  [512] = {.lex_state = 63},
  [513] = {.lex_state = 63},
  [514] = {.lex_state = 63},
  [515] = {.lex_state = 63},
  [516] = {.lex_state = 63},
  [517] = {.lex_state = 63},
  [518] = {.lex_state = 63},
  [519] = {.lex_state = 63},
  [520] = {.lex_state = 63},
  [521] = {.lex_state = 63},
  [522] = {.lex_state = 63},
  [523] = {.lex_state = 63},
  [524] = {.lex_state = 63},
  [525] = {.lex_state = 63},
  [526] = {.lex_state = 63},
  [527] = {.lex_state = 63},
  [528] = {.lex_state = 63},
  [529] = {.lex_state = 63},
  [530] = {.lex_state = 63},
  [531] = {.lex_state = 63},
  [532] = {.lex_state = 63},
  [533] = {.lex_state = 63},
  [534] = {.lex_state = 63},
  [535] = {.lex_state = 63},
  [536] = {.lex_state = 63},
  [537] = {.lex_state = 63},
  [538] = {.lex_state = 63},
  [539] = {.lex_state = 63},
  [540] = {.lex_state = 63},
  [541] = {.lex_state = 63},
  [542] = {.lex_state = 63},
  [543] = {.lex_state = 63},
  [544] = {.lex_state = 63},
  [545] = {.lex_state = 63},
  [546] = {.lex_state = 63},
  [547] = {.lex_state = 63},
  [548] = {.lex_state = 63},
  [549] = {.lex_state = 63},
  [550] = {.lex_state = 63},
  [551] = {.lex_state = 63},
  [552] = {.lex_state = 63},
  [553] = {.lex_state = 63},
  [554] = {.lex_state = 63},
  [555] = {.lex_state = 63},
  [556] = {.lex_state = 63},
  [557] = {.lex_state = 63},
  [558] = {.lex_state = 63},
  [559] = {.lex_state = 63},
  [560] = {.lex_state = 63},
  [561] = {.lex_state = 63},
  [562] = {.lex_state = 63},
  [563] = {.lex_state = 63},
  [564] = {.lex_state = 63},
  [565] = {.lex_state = 63},
  [566] = {.lex_state = 63},
  [567] = {.lex_state = 63},
  [568] = {.lex_state = 63},
  [569] = {.lex_state = 63},
  [570] = {.lex_state = 63},
  [571] = {.lex_state = 63},
  [572] = {.lex_state = 63},
  [573] = {.lex_state = 63},
  [574] = {.lex_state = 63},
  [575] = {.lex_state = 63},
  [576] = {.lex_state = 63},
  [577] = {.lex_state = 63},
  [578] = {.lex_state = 63},
  [579] = {.lex_state = 63},
  [580] = {.lex_state = 63},
  [581] = {.lex_state = 63},
  [582] = {.lex_state = 63},
  [583] = {.lex_state = 63},
  [584] = {.lex_state = 63},
  [585] = {.lex_state = 63},
  [586] = {.lex_state = 63},
  [587] = {.lex_state = 63},
  [588] = {.lex_state = 63},
  [589] = {.lex_state = 63},
  [590] = {.lex_state = 63},
  [591] = {.lex_state = 63},
  [592] = {.lex_state = 63},
  [593] = {.lex_state = 63},
  [594] = {.lex_state = 63},
  [595] = {.lex_state = 63},
  [596] = {.lex_state = 63},
  [597] = {.lex_state = 63},
  [598] = {.lex_state = 63},
  [599] = {.lex_state = 63},
  [600] = {.lex_state = 63},
  [601] = {.lex_state = 63},
  [602] = {.lex_state = 63},
  [603] = {.lex_state = 63},
  [604] = {.lex_state = 63},
  [605] = {.lex_state = 63},
  [606] = {.lex_state = 63},
  [607] = {.lex_state = 63},
  [608] = {.lex_state = 63},
  [609] = {.lex_state = 63},
  [610] = {.lex_state = 63},
  [611] = {.lex_state = 63},
  [612] = {.lex_state = 63},
  [613] = {.lex_state = 63},
  [614] = {.lex_state = 63},
  [615] = {.lex_state = 63},
  [616] = {.lex_state = 63},
  [617] = {.lex_state = 63},
  [618] = {.lex_state = 63},
  [619] = {.lex_state = 63},
  [620] = {.lex_state = 63},
  [621] = {.lex_state = 63},
  [622] = {.lex_state = 63},
  [623] = {.lex_state = 63},
  [624] = {.lex_state = 63},
  [625] = {.lex_state = 63},
  [626] = {.lex_state = 63},
  [627] = {.lex_state = 63},
  [628] = {.lex_state = 63},
  [629] = {.lex_state = 63},
  [630] = {.lex_state = 64},
  [631] = {.lex_state = 64},
  [632] = {.lex_state = 64},
  [633] = {.lex_state = 64},
  [634] = {.lex_state = 64},
  [635] = {.lex_state = 64},
  [636] = {.lex_state = 64},
  [637] = {.lex_state = 64},
  [638] = {.lex_state = 64},
  [639] = {.lex_state = 64},
  [640] = {.lex_state = 64},
  [641] = {.lex_state = 64},
  [642] = {.lex_state = 64},
  [643] = {.lex_state = 64},
  [644] = {.lex_state = 64},
  [645] = {.lex_state = 64},
  [646] = {.lex_state = 64},
  [647] = {.lex_state = 64},
  [648] = {.lex_state = 64},
  [649] = {.lex_state = 64},
  [650] = {.lex_state = 64},
  [651] = {.lex_state = 64},
  [652] = {.lex_state = 64},
  [653] = {.lex_state = 64},
  [654] = {.lex_state = 64},
  [655] = {.lex_state = 64},
  [656] = {.lex_state = 64, .external_lex_state = 2},
  [657] = {.lex_state = 64},
  [658] = {.lex_state = 64, .external_lex_state = 2},
  [659] = {.lex_state = 64, .external_lex_state = 2},
  [660] = {.lex_state = 64, .external_lex_state = 2},
  [661] = {.lex_state = 64},
  [662] = {.lex_state = 64, .external_lex_state = 2},
  [663] = {.lex_state = 64},
  [664] = {.lex_state = 64, .external_lex_state = 2},
  [665] = {.lex_state = 64, .external_lex_state = 2},
  [666] = {.lex_state = 64},
  [667] = {.lex_state = 64, .external_lex_state = 2},
  [668] = {.lex_state = 64, .external_lex_state = 2},
  [669] = {.lex_state = 64, .external_lex_state = 2},
  [670] = {.lex_state = 64, .external_lex_state = 2},
  [671] = {.lex_state = 64, .external_lex_state = 2},
  [672] = {.lex_state = 64, .external_lex_state = 2},
  [673] = {.lex_state = 64},
  [674] = {.lex_state = 64},
  [675] = {.lex_state = 64, .external_lex_state = 2},
  [676] = {.lex_state = 64, .external_lex_state = 2},
  [677] = {.lex_state = 64, .external_lex_state = 2},
  [678] = {.lex_state = 64, .external_lex_state = 2},
  [679] = {.lex_state = 64, .external_lex_state = 2},
  [680] = {.lex_state = 64, .external_lex_state = 2},
  [681] = {.lex_state = 64, .external_lex_state = 2},
  [682] = {.lex_state = 64, .external_lex_state = 2},
  [683] = {.lex_state = 64},
  [684] = {.lex_state = 64},
  [685] = {.lex_state = 64, .external_lex_state = 2},
  [686] = {.lex_state = 64, .external_lex_state = 2},
  [687] = {.lex_state = 64, .external_lex_state = 2},
  [688] = {.lex_state = 64, .external_lex_state = 2},
  [689] = {.lex_state = 64},
  [690] = {.lex_state = 64, .external_lex_state = 2},
  [691] = {.lex_state = 64},
  [692] = {.lex_state = 64},
  [693] = {.lex_state = 64},
  [694] = {.lex_state = 64},
  [695] = {.lex_state = 64},
  [696] = {.lex_state = 64},
  [697] = {.lex_state = 64},
  [698] = {.lex_state = 10},
  [699] = {.lex_state = 12},
  [700] = {.lex_state = 12},
  [701] = {.lex_state = 8},
  [702] = {.lex_state = 8},
  [703] = {.lex_state = 8},
  [704] = {.lex_state = 10},
  [705] = {.lex_state = 8},
  [706] = {.lex_state = 8},
  [707] = {.lex_state = 10},
  [708] = {.lex_state = 8},
  [709] = {.lex_state = 10},
  [710] = {.lex_state = 10},
  [711] = {.lex_state = 10},
  [712] = {.lex_state = 8},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 10},
  [715] = {.lex_state = 14},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 17},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 14},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 10},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 17},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 10},
  [737] = {.lex_state = 15},
  [738] = {.lex_state = 15},
  [739] = {.lex_state = 10},
  [740] = {.lex_state = 10},
  [741] = {.lex_state = 15},
  [742] = {.lex_state = 10},
  [743] = {.lex_state = 10},
  [744] = {.lex_state = 10},
  [745] = {.lex_state = 10},
  [746] = {.lex_state = 10},
  [747] = {.lex_state = 10},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 15},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 15},
  [752] = {.lex_state = 10},
  [753] = {.lex_state = 10},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 10},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 10},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 10},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 17},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 10},
  [765] = {.lex_state = 17},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 8},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 10},
  [772] = {.lex_state = 17},
  [773] = {.lex_state = 10},
  [774] = {.lex_state = 17},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 8},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 17},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 15},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 10},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10, .external_lex_state = 2},
  [829] = {.lex_state = 8, .external_lex_state = 2},
  [830] = {.lex_state = 8, .external_lex_state = 2},
  [831] = {.lex_state = 8, .external_lex_state = 2},
  [832] = {.lex_state = 8, .external_lex_state = 2},
  [833] = {.lex_state = 10, .external_lex_state = 2},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 12},
  [836] = {.lex_state = 10, .external_lex_state = 2},
  [837] = {.lex_state = 10},
  [838] = {.lex_state = 10},
  [839] = {.lex_state = 10, .external_lex_state = 2},
  [840] = {.lex_state = 6},
  [841] = {.lex_state = 10},
  [842] = {.lex_state = 8, .external_lex_state = 2},
  [843] = {.lex_state = 8, .external_lex_state = 2},
  [844] = {.lex_state = 10},
  [845] = {.lex_state = 12},
  [846] = {.lex_state = 8, .external_lex_state = 2},
  [847] = {.lex_state = 8, .external_lex_state = 2},
  [848] = {.lex_state = 10, .external_lex_state = 2},
  [849] = {.lex_state = 8, .external_lex_state = 2},
  [850] = {.lex_state = 8, .external_lex_state = 2},
  [851] = {.lex_state = 6},
  [852] = {.lex_state = 15},
  [853] = {.lex_state = 15},
  [854] = {.lex_state = 8, .external_lex_state = 2},
  [855] = {.lex_state = 8, .external_lex_state = 2},
  [856] = {.lex_state = 10, .external_lex_state = 2},
  [857] = {.lex_state = 8, .external_lex_state = 2},
  [858] = {.lex_state = 8, .external_lex_state = 2},
  [859] = {.lex_state = 8, .external_lex_state = 2},
  [860] = {.lex_state = 15},
  [861] = {.lex_state = 8, .external_lex_state = 2},
  [862] = {.lex_state = 15},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 8, .external_lex_state = 2},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 10},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 8, .external_lex_state = 2},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 10, .external_lex_state = 2},
  [873] = {.lex_state = 15},
  [874] = {.lex_state = 12},
  [875] = {.lex_state = 10, .external_lex_state = 2},
  [876] = {.lex_state = 15},
  [877] = {.lex_state = 8, .external_lex_state = 2},
  [878] = {.lex_state = 10, .external_lex_state = 2},
  [879] = {.lex_state = 15},
  [880] = {.lex_state = 15},
  [881] = {.lex_state = 15},
  [882] = {.lex_state = 10, .external_lex_state = 2},
  [883] = {.lex_state = 10, .external_lex_state = 2},
  [884] = {.lex_state = 10, .external_lex_state = 2},
  [885] = {.lex_state = 10, .external_lex_state = 2},
  [886] = {.lex_state = 15},
  [887] = {.lex_state = 10, .external_lex_state = 2},
  [888] = {.lex_state = 10, .external_lex_state = 2},
  [889] = {.lex_state = 10, .external_lex_state = 2},
  [890] = {.lex_state = 10, .external_lex_state = 2},
  [891] = {.lex_state = 10, .external_lex_state = 2},
  [892] = {.lex_state = 10, .external_lex_state = 2},
  [893] = {.lex_state = 15},
  [894] = {.lex_state = 15},
  [895] = {.lex_state = 10, .external_lex_state = 2},
  [896] = {.lex_state = 10, .external_lex_state = 2},
  [897] = {.lex_state = 10, .external_lex_state = 2},
  [898] = {.lex_state = 15},
  [899] = {.lex_state = 10, .external_lex_state = 2},
  [900] = {.lex_state = 10, .external_lex_state = 2},
  [901] = {.lex_state = 10, .external_lex_state = 2},
  [902] = {.lex_state = 10, .external_lex_state = 2},
  [903] = {.lex_state = 10, .external_lex_state = 2},
  [904] = {.lex_state = 10, .external_lex_state = 2},
  [905] = {.lex_state = 10, .external_lex_state = 2},
  [906] = {.lex_state = 10, .external_lex_state = 2},
  [907] = {.lex_state = 10, .external_lex_state = 2},
  [908] = {.lex_state = 10, .external_lex_state = 2},
  [909] = {.lex_state = 10, .external_lex_state = 2},
  [910] = {.lex_state = 15},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 10, .external_lex_state = 2},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 15},
  [915] = {.lex_state = 10, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 15},
  [918] = {.lex_state = 12},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 8, .external_lex_state = 2},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 15},
  [923] = {.lex_state = 10, .external_lex_state = 2},
  [924] = {.lex_state = 15},
  [925] = {.lex_state = 15},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 10, .external_lex_state = 2},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 10, .external_lex_state = 2},
  [930] = {.lex_state = 10, .external_lex_state = 2},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 10, .external_lex_state = 2},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 10, .external_lex_state = 2},
  [976] = {.lex_state = 10, .external_lex_state = 2},
  [977] = {.lex_state = 10, .external_lex_state = 2},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 10, .external_lex_state = 2},
  [980] = {.lex_state = 12},
  [981] = {.lex_state = 12},
  [982] = {.lex_state = 12},
  [983] = {.lex_state = 12},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 12},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 12},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 12},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12},
  [1044] = {.lex_state = 12},
  [1045] = {.lex_state = 17},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12, .external_lex_state = 2},
  [1048] = {.lex_state = 18},
  [1049] = {.lex_state = 17},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 12},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12},
  [1061] = {.lex_state = 12},
  [1062] = {.lex_state = 12},
  [1063] = {.lex_state = 12},
  [1064] = {.lex_state = 12},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12},
  [1067] = {.lex_state = 12},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 12},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 12},
  [1082] = {.lex_state = 12},
  [1083] = {.lex_state = 12},
  [1084] = {.lex_state = 12},
  [1085] = {.lex_state = 12},
  [1086] = {.lex_state = 12},
  [1087] = {.lex_state = 17},
  [1088] = {.lex_state = 12},
  [1089] = {.lex_state = 12},
  [1090] = {.lex_state = 12},
  [1091] = {.lex_state = 12},
  [1092] = {.lex_state = 12},
  [1093] = {.lex_state = 12},
  [1094] = {.lex_state = 12},
  [1095] = {.lex_state = 12},
  [1096] = {.lex_state = 12},
  [1097] = {.lex_state = 12},
  [1098] = {.lex_state = 17},
  [1099] = {.lex_state = 12},
  [1100] = {.lex_state = 12},
  [1101] = {.lex_state = 12},
  [1102] = {.lex_state = 12},
  [1103] = {.lex_state = 12},
  [1104] = {.lex_state = 12},
  [1105] = {.lex_state = 12},
  [1106] = {.lex_state = 12},
  [1107] = {.lex_state = 12},
  [1108] = {.lex_state = 12},
  [1109] = {.lex_state = 12},
  [1110] = {.lex_state = 12},
  [1111] = {.lex_state = 12},
  [1112] = {.lex_state = 12},
  [1113] = {.lex_state = 12},
  [1114] = {.lex_state = 12},
  [1115] = {.lex_state = 12},
  [1116] = {.lex_state = 12},
  [1117] = {.lex_state = 17},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12, .external_lex_state = 2},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12, .external_lex_state = 2},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12, .external_lex_state = 2},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12, .external_lex_state = 2},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 12, .external_lex_state = 2},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 12, .external_lex_state = 2},
  [1154] = {.lex_state = 12, .external_lex_state = 2},
  [1155] = {.lex_state = 12, .external_lex_state = 2},
  [1156] = {.lex_state = 12, .external_lex_state = 2},
  [1157] = {.lex_state = 12, .external_lex_state = 2},
  [1158] = {.lex_state = 12, .external_lex_state = 2},
  [1159] = {.lex_state = 12, .external_lex_state = 2},
  [1160] = {.lex_state = 12, .external_lex_state = 2},
  [1161] = {.lex_state = 12, .external_lex_state = 2},
  [1162] = {.lex_state = 12, .external_lex_state = 2},
  [1163] = {.lex_state = 12, .external_lex_state = 2},
  [1164] = {.lex_state = 12, .external_lex_state = 2},
  [1165] = {.lex_state = 12, .external_lex_state = 2},
  [1166] = {.lex_state = 12, .external_lex_state = 2},
  [1167] = {.lex_state = 12, .external_lex_state = 2},
  [1168] = {.lex_state = 12, .external_lex_state = 2},
  [1169] = {.lex_state = 12, .external_lex_state = 2},
  [1170] = {.lex_state = 12, .external_lex_state = 2},
  [1171] = {.lex_state = 12, .external_lex_state = 2},
  [1172] = {.lex_state = 12, .external_lex_state = 2},
  [1173] = {.lex_state = 12, .external_lex_state = 2},
  [1174] = {.lex_state = 12, .external_lex_state = 2},
  [1175] = {.lex_state = 12, .external_lex_state = 2},
  [1176] = {.lex_state = 12, .external_lex_state = 2},
  [1177] = {.lex_state = 12, .external_lex_state = 2},
  [1178] = {.lex_state = 12, .external_lex_state = 2},
  [1179] = {.lex_state = 12, .external_lex_state = 2},
  [1180] = {.lex_state = 12, .external_lex_state = 2},
  [1181] = {.lex_state = 12, .external_lex_state = 2},
  [1182] = {.lex_state = 12, .external_lex_state = 2},
  [1183] = {.lex_state = 12, .external_lex_state = 2},
  [1184] = {.lex_state = 12, .external_lex_state = 2},
  [1185] = {.lex_state = 12, .external_lex_state = 2},
  [1186] = {.lex_state = 12, .external_lex_state = 2},
  [1187] = {.lex_state = 12, .external_lex_state = 2},
  [1188] = {.lex_state = 12, .external_lex_state = 2},
  [1189] = {.lex_state = 12, .external_lex_state = 2},
  [1190] = {.lex_state = 12, .external_lex_state = 2},
  [1191] = {.lex_state = 12, .external_lex_state = 2},
  [1192] = {.lex_state = 12, .external_lex_state = 2},
  [1193] = {.lex_state = 12, .external_lex_state = 2},
  [1194] = {.lex_state = 12, .external_lex_state = 2},
  [1195] = {.lex_state = 12, .external_lex_state = 2},
  [1196] = {.lex_state = 12, .external_lex_state = 2},
  [1197] = {.lex_state = 12, .external_lex_state = 2},
  [1198] = {.lex_state = 12, .external_lex_state = 2},
  [1199] = {.lex_state = 12, .external_lex_state = 2},
  [1200] = {.lex_state = 12, .external_lex_state = 2},
  [1201] = {.lex_state = 12, .external_lex_state = 2},
  [1202] = {.lex_state = 12, .external_lex_state = 2},
  [1203] = {.lex_state = 12, .external_lex_state = 2},
  [1204] = {.lex_state = 12, .external_lex_state = 2},
  [1205] = {.lex_state = 12, .external_lex_state = 2},
  [1206] = {.lex_state = 12, .external_lex_state = 2},
  [1207] = {.lex_state = 12, .external_lex_state = 2},
  [1208] = {.lex_state = 12, .external_lex_state = 2},
  [1209] = {.lex_state = 12, .external_lex_state = 2},
  [1210] = {.lex_state = 12, .external_lex_state = 2},
  [1211] = {.lex_state = 12, .external_lex_state = 2},
  [1212] = {.lex_state = 12, .external_lex_state = 2},
  [1213] = {.lex_state = 12, .external_lex_state = 2},
  [1214] = {.lex_state = 12, .external_lex_state = 2},
  [1215] = {.lex_state = 12, .external_lex_state = 2},
  [1216] = {.lex_state = 12, .external_lex_state = 2},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 12},
  [1226] = {.lex_state = 12},
  [1227] = {.lex_state = 12},
  [1228] = {.lex_state = 12},
  [1229] = {.lex_state = 12},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12, .external_lex_state = 2},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12, .external_lex_state = 2},
  [1261] = {.lex_state = 12, .external_lex_state = 2},
  [1262] = {.lex_state = 12, .external_lex_state = 2},
  [1263] = {.lex_state = 12, .external_lex_state = 2},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 17},
  [1271] = {.lex_state = 17},
  [1272] = {.lex_state = 12, .external_lex_state = 2},
  [1273] = {.lex_state = 12, .external_lex_state = 2},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 17},
  [1276] = {.lex_state = 12, .external_lex_state = 2},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12, .external_lex_state = 2},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 17},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 12, .external_lex_state = 2},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 17},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12, .external_lex_state = 2},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 17},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12, .external_lex_state = 2},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 17},
  [1308] = {.lex_state = 12, .external_lex_state = 2},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 17},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 17},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 12},
  [1327] = {.lex_state = 12},
  [1328] = {.lex_state = 12},
  [1329] = {.lex_state = 12},
  [1330] = {.lex_state = 12},
  [1331] = {.lex_state = 12},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 12},
  [1338] = {.lex_state = 12},
  [1339] = {.lex_state = 12},
  [1340] = {.lex_state = 12},
  [1341] = {.lex_state = 12},
  [1342] = {.lex_state = 12},
  [1343] = {.lex_state = 12},
  [1344] = {.lex_state = 12},
  [1345] = {.lex_state = 12},
  [1346] = {.lex_state = 12},
  [1347] = {.lex_state = 12},
  [1348] = {.lex_state = 12},
  [1349] = {.lex_state = 12},
  [1350] = {.lex_state = 12},
  [1351] = {.lex_state = 12},
  [1352] = {.lex_state = 12},
  [1353] = {.lex_state = 12},
  [1354] = {.lex_state = 12},
  [1355] = {.lex_state = 12},
  [1356] = {.lex_state = 12},
  [1357] = {.lex_state = 12},
  [1358] = {.lex_state = 12},
  [1359] = {.lex_state = 12},
  [1360] = {.lex_state = 12},
  [1361] = {.lex_state = 12},
  [1362] = {.lex_state = 12},
  [1363] = {.lex_state = 12},
  [1364] = {.lex_state = 12},
  [1365] = {.lex_state = 12},
  [1366] = {.lex_state = 12},
  [1367] = {.lex_state = 12},
  [1368] = {.lex_state = 12},
  [1369] = {.lex_state = 12},
  [1370] = {.lex_state = 12},
  [1371] = {.lex_state = 12},
  [1372] = {.lex_state = 12},
  [1373] = {.lex_state = 12},
  [1374] = {.lex_state = 12},
  [1375] = {.lex_state = 12},
  [1376] = {.lex_state = 12},
  [1377] = {.lex_state = 12},
  [1378] = {.lex_state = 12},
  [1379] = {.lex_state = 12},
  [1380] = {.lex_state = 12},
  [1381] = {.lex_state = 12},
  [1382] = {.lex_state = 12},
  [1383] = {.lex_state = 12},
  [1384] = {.lex_state = 12},
  [1385] = {.lex_state = 12},
  [1386] = {.lex_state = 12},
  [1387] = {.lex_state = 12},
  [1388] = {.lex_state = 17},
  [1389] = {.lex_state = 17},
  [1390] = {.lex_state = 17},
  [1391] = {.lex_state = 12},
  [1392] = {.lex_state = 12},
  [1393] = {.lex_state = 17},
  [1394] = {.lex_state = 17},
  [1395] = {.lex_state = 12},
  [1396] = {.lex_state = 12},
  [1397] = {.lex_state = 12},
  [1398] = {.lex_state = 12},
  [1399] = {.lex_state = 12},
  [1400] = {.lex_state = 12},
  [1401] = {.lex_state = 12},
  [1402] = {.lex_state = 12},
  [1403] = {.lex_state = 12},
  [1404] = {.lex_state = 12},
  [1405] = {.lex_state = 12},
  [1406] = {.lex_state = 12},
  [1407] = {.lex_state = 12},
  [1408] = {.lex_state = 12},
  [1409] = {.lex_state = 12},
  [1410] = {.lex_state = 12},
  [1411] = {.lex_state = 12},
  [1412] = {.lex_state = 12},
  [1413] = {.lex_state = 12},
  [1414] = {.lex_state = 64},
  [1415] = {.lex_state = 64},
  [1416] = {.lex_state = 64},
  [1417] = {.lex_state = 64},
  [1418] = {.lex_state = 64},
  [1419] = {.lex_state = 64},
  [1420] = {.lex_state = 64},
  [1421] = {.lex_state = 64},
  [1422] = {.lex_state = 64},
  [1423] = {.lex_state = 64},
  [1424] = {.lex_state = 16},
  [1425] = {.lex_state = 64},
  [1426] = {.lex_state = 64},
  [1427] = {.lex_state = 64},
  [1428] = {.lex_state = 64},
  [1429] = {.lex_state = 64},
  [1430] = {.lex_state = 15},
  [1431] = {.lex_state = 64},
  [1432] = {.lex_state = 3, .external_lex_state = 3},
  [1433] = {.lex_state = 3, .external_lex_state = 3},
  [1434] = {.lex_state = 17},
  [1435] = {.lex_state = 3, .external_lex_state = 3},
  [1436] = {.lex_state = 17},
  [1437] = {.lex_state = 17},
  [1438] = {.lex_state = 17},
  [1439] = {.lex_state = 17},
  [1440] = {.lex_state = 17},
  [1441] = {.lex_state = 3, .external_lex_state = 4},
  [1442] = {.lex_state = 17},
  [1443] = {.lex_state = 17},
  [1444] = {.lex_state = 17},
  [1445] = {.lex_state = 17},
  [1446] = {.lex_state = 17},
  [1447] = {.lex_state = 17},
  [1448] = {.lex_state = 17},
  [1449] = {.lex_state = 17},
  [1450] = {.lex_state = 3, .external_lex_state = 3},
  [1451] = {.lex_state = 3, .external_lex_state = 3},
  [1452] = {.lex_state = 17},
  [1453] = {.lex_state = 17},
  [1454] = {.lex_state = 8, .external_lex_state = 5},
  [1455] = {.lex_state = 8, .external_lex_state = 6},
  [1456] = {.lex_state = 17},
  [1457] = {.lex_state = 18},
  [1458] = {.lex_state = 17},
  [1459] = {.lex_state = 8, .external_lex_state = 5},
  [1460] = {.lex_state = 8, .external_lex_state = 5},
  [1461] = {.lex_state = 8, .external_lex_state = 6},
  [1462] = {.lex_state = 17},
  [1463] = {.lex_state = 17},
  [1464] = {.lex_state = 17},
  [1465] = {.lex_state = 17},
  [1466] = {.lex_state = 17},
  [1467] = {.lex_state = 17},
  [1468] = {.lex_state = 8, .external_lex_state = 6},
  [1469] = {.lex_state = 17},
  [1470] = {.lex_state = 64},
  [1471] = {.lex_state = 17},
  [1472] = {.lex_state = 17},
  [1473] = {.lex_state = 8, .external_lex_state = 6},
  [1474] = {.lex_state = 17},
  [1475] = {.lex_state = 17},
  [1476] = {.lex_state = 17},
  [1477] = {.lex_state = 17},
  [1478] = {.lex_state = 8, .external_lex_state = 5},
  [1479] = {.lex_state = 17},
  [1480] = {.lex_state = 64},
  [1481] = {.lex_state = 8, .external_lex_state = 5},
  [1482] = {.lex_state = 17},
  [1483] = {.lex_state = 8, .external_lex_state = 6},
  [1484] = {.lex_state = 8, .external_lex_state = 4},
  [1485] = {.lex_state = 64},
  [1486] = {.lex_state = 64},
  [1487] = {.lex_state = 64},
  [1488] = {.lex_state = 64},
  [1489] = {.lex_state = 64},
  [1490] = {.lex_state = 64},
  [1491] = {.lex_state = 18},
  [1492] = {.lex_state = 64},
  [1493] = {.lex_state = 15},
  [1494] = {.lex_state = 64},
  [1495] = {.lex_state = 64},
  [1496] = {.lex_state = 18},
  [1497] = {.lex_state = 15},
  [1498] = {.lex_state = 64},
  [1499] = {.lex_state = 64},
  [1500] = {.lex_state = 18},
  [1501] = {.lex_state = 3, .external_lex_state = 7},
  [1502] = {.lex_state = 64},
  [1503] = {.lex_state = 3, .external_lex_state = 7},
  [1504] = {.lex_state = 64},
  [1505] = {.lex_state = 64},
  [1506] = {.lex_state = 64},
  [1507] = {.lex_state = 64},
  [1508] = {.lex_state = 64},
  [1509] = {.lex_state = 64},
  [1510] = {.lex_state = 64},
  [1511] = {.lex_state = 64},
  [1512] = {.lex_state = 18},
  [1513] = {.lex_state = 64},
  [1514] = {.lex_state = 64},
  [1515] = {.lex_state = 18},
  [1516] = {.lex_state = 64},
  [1517] = {.lex_state = 18},
  [1518] = {.lex_state = 64},
  [1519] = {.lex_state = 18},
  [1520] = {.lex_state = 18},
  [1521] = {.lex_state = 64},
  [1522] = {.lex_state = 64},
  [1523] = {.lex_state = 64},
  [1524] = {.lex_state = 64},
  [1525] = {.lex_state = 64},
  [1526] = {.lex_state = 64},
  [1527] = {.lex_state = 64},
  [1528] = {.lex_state = 64},
  [1529] = {.lex_state = 64},
  [1530] = {.lex_state = 64},
  [1531] = {.lex_state = 64},
  [1532] = {.lex_state = 18},
  [1533] = {.lex_state = 64},
  [1534] = {.lex_state = 64},
  [1535] = {.lex_state = 64},
  [1536] = {.lex_state = 64},
  [1537] = {.lex_state = 64},
  [1538] = {.lex_state = 64},
  [1539] = {.lex_state = 64},
  [1540] = {.lex_state = 64},
  [1541] = {.lex_state = 64},
  [1542] = {.lex_state = 64},
  [1543] = {.lex_state = 64},
  [1544] = {.lex_state = 64},
  [1545] = {.lex_state = 64},
  [1546] = {.lex_state = 64},
  [1547] = {.lex_state = 64},
  [1548] = {.lex_state = 8, .external_lex_state = 8},
  [1549] = {.lex_state = 64},
  [1550] = {.lex_state = 64},
  [1551] = {.lex_state = 8, .external_lex_state = 9},
  [1552] = {.lex_state = 64},
  [1553] = {.lex_state = 64},
  [1554] = {.lex_state = 64},
  [1555] = {.lex_state = 64},
  [1556] = {.lex_state = 64},
  [1557] = {.lex_state = 64},
  [1558] = {.lex_state = 64},
  [1559] = {.lex_state = 64},
  [1560] = {.lex_state = 64},
  [1561] = {.lex_state = 64},
  [1562] = {.lex_state = 64},
  [1563] = {.lex_state = 64},
  [1564] = {.lex_state = 8, .external_lex_state = 8},
  [1565] = {.lex_state = 64},
  [1566] = {.lex_state = 64},
  [1567] = {.lex_state = 64},
  [1568] = {.lex_state = 8, .external_lex_state = 9},
  [1569] = {.lex_state = 64},
  [1570] = {.lex_state = 64},
  [1571] = {.lex_state = 64},
  [1572] = {.lex_state = 64},
  [1573] = {.lex_state = 64},
  [1574] = {.lex_state = 64},
  [1575] = {.lex_state = 64},
  [1576] = {.lex_state = 64},
  [1577] = {.lex_state = 64},
  [1578] = {.lex_state = 64},
  [1579] = {.lex_state = 64},
  [1580] = {.lex_state = 64},
  [1581] = {.lex_state = 64},
  [1582] = {.lex_state = 64},
  [1583] = {.lex_state = 64},
  [1584] = {.lex_state = 64, .external_lex_state = 2},
  [1585] = {.lex_state = 64},
  [1586] = {.lex_state = 64},
  [1587] = {.lex_state = 64},
  [1588] = {.lex_state = 64},
  [1589] = {.lex_state = 64},
  [1590] = {.lex_state = 64},
  [1591] = {.lex_state = 64},
  [1592] = {.lex_state = 64},
  [1593] = {.lex_state = 64, .external_lex_state = 2},
  [1594] = {.lex_state = 64},
  [1595] = {.lex_state = 64},
  [1596] = {.lex_state = 64},
  [1597] = {.lex_state = 64},
  [1598] = {.lex_state = 3, .external_lex_state = 3},
  [1599] = {.lex_state = 64},
  [1600] = {.lex_state = 64},
  [1601] = {.lex_state = 64},
  [1602] = {.lex_state = 18},
  [1603] = {.lex_state = 10},
  [1604] = {.lex_state = 64},
  [1605] = {.lex_state = 64},
  [1606] = {.lex_state = 64},
  [1607] = {.lex_state = 64},
  [1608] = {.lex_state = 64},
  [1609] = {.lex_state = 64},
  [1610] = {.lex_state = 64},
  [1611] = {.lex_state = 64},
  [1612] = {.lex_state = 64},
  [1613] = {.lex_state = 64, .external_lex_state = 2},
  [1614] = {.lex_state = 10},
  [1615] = {.lex_state = 64},
  [1616] = {.lex_state = 10},
  [1617] = {.lex_state = 3, .external_lex_state = 3},
  [1618] = {.lex_state = 64},
  [1619] = {.lex_state = 3, .external_lex_state = 3},
  [1620] = {.lex_state = 64},
  [1621] = {.lex_state = 3, .external_lex_state = 3},
  [1622] = {.lex_state = 64},
  [1623] = {.lex_state = 3, .external_lex_state = 3},
  [1624] = {.lex_state = 64},
  [1625] = {.lex_state = 64},
  [1626] = {.lex_state = 3, .external_lex_state = 3},
  [1627] = {.lex_state = 3, .external_lex_state = 3},
  [1628] = {.lex_state = 64},
  [1629] = {.lex_state = 3, .external_lex_state = 3},
  [1630] = {.lex_state = 64},
  [1631] = {.lex_state = 64, .external_lex_state = 2},
  [1632] = {.lex_state = 64},
  [1633] = {.lex_state = 64},
  [1634] = {.lex_state = 64},
  [1635] = {.lex_state = 15},
  [1636] = {.lex_state = 64},
  [1637] = {.lex_state = 64},
  [1638] = {.lex_state = 64},
  [1639] = {.lex_state = 64},
  [1640] = {.lex_state = 64},
  [1641] = {.lex_state = 64},
  [1642] = {.lex_state = 64, .external_lex_state = 2},
  [1643] = {.lex_state = 19},
  [1644] = {.lex_state = 8, .external_lex_state = 5},
  [1645] = {.lex_state = 8, .external_lex_state = 6},
  [1646] = {.lex_state = 8, .external_lex_state = 5},
  [1647] = {.lex_state = 8, .external_lex_state = 5},
  [1648] = {.lex_state = 8, .external_lex_state = 5},
  [1649] = {.lex_state = 8, .external_lex_state = 6},
  [1650] = {.lex_state = 8, .external_lex_state = 6},
  [1651] = {.lex_state = 64},
  [1652] = {.lex_state = 64},
  [1653] = {.lex_state = 19},
  [1654] = {.lex_state = 64},
  [1655] = {.lex_state = 64},
  [1656] = {.lex_state = 64},
  [1657] = {.lex_state = 64},
  [1658] = {.lex_state = 64},
  [1659] = {.lex_state = 64},
  [1660] = {.lex_state = 64},
  [1661] = {.lex_state = 64},
  [1662] = {.lex_state = 64},
  [1663] = {.lex_state = 8, .external_lex_state = 6},
  [1664] = {.lex_state = 64},
  [1665] = {.lex_state = 64},
  [1666] = {.lex_state = 64},
  [1667] = {.lex_state = 64},
  [1668] = {.lex_state = 64},
  [1669] = {.lex_state = 64},
  [1670] = {.lex_state = 64},
  [1671] = {.lex_state = 64},
  [1672] = {.lex_state = 8, .external_lex_state = 6},
  [1673] = {.lex_state = 64},
  [1674] = {.lex_state = 64},
  [1675] = {.lex_state = 64},
  [1676] = {.lex_state = 19},
  [1677] = {.lex_state = 64},
  [1678] = {.lex_state = 64},
  [1679] = {.lex_state = 64},
  [1680] = {.lex_state = 64},
  [1681] = {.lex_state = 64},
  [1682] = {.lex_state = 64},
  [1683] = {.lex_state = 64, .external_lex_state = 2},
  [1684] = {.lex_state = 64},
  [1685] = {.lex_state = 64},
  [1686] = {.lex_state = 8, .external_lex_state = 6},
  [1687] = {.lex_state = 19},
  [1688] = {.lex_state = 8, .external_lex_state = 5},
  [1689] = {.lex_state = 64},
  [1690] = {.lex_state = 64},
  [1691] = {.lex_state = 64},
  [1692] = {.lex_state = 8, .external_lex_state = 5},
  [1693] = {.lex_state = 8, .external_lex_state = 5},
  [1694] = {.lex_state = 64},
  [1695] = {.lex_state = 64, .external_lex_state = 2},
  [1696] = {.lex_state = 64},
  [1697] = {.lex_state = 64},
  [1698] = {.lex_state = 64},
  [1699] = {.lex_state = 64},
  [1700] = {.lex_state = 64},
  [1701] = {.lex_state = 64},
  [1702] = {.lex_state = 64},
  [1703] = {.lex_state = 64},
  [1704] = {.lex_state = 8, .external_lex_state = 6},
  [1705] = {.lex_state = 64},
  [1706] = {.lex_state = 64},
  [1707] = {.lex_state = 8, .external_lex_state = 6},
  [1708] = {.lex_state = 64},
  [1709] = {.lex_state = 64},
  [1710] = {.lex_state = 64},
  [1711] = {.lex_state = 8, .external_lex_state = 5},
  [1712] = {.lex_state = 19},
  [1713] = {.lex_state = 64},
  [1714] = {.lex_state = 64},
  [1715] = {.lex_state = 64},
  [1716] = {.lex_state = 64},
  [1717] = {.lex_state = 64},
  [1718] = {.lex_state = 15},
  [1719] = {.lex_state = 64, .external_lex_state = 2},
  [1720] = {.lex_state = 64, .external_lex_state = 2},
  [1721] = {.lex_state = 64},
  [1722] = {.lex_state = 64, .external_lex_state = 2},
  [1723] = {.lex_state = 64},
  [1724] = {.lex_state = 64},
  [1725] = {.lex_state = 64},
  [1726] = {.lex_state = 64},
  [1727] = {.lex_state = 64, .external_lex_state = 2},
  [1728] = {.lex_state = 64, .external_lex_state = 2},
  [1729] = {.lex_state = 64, .external_lex_state = 2},
  [1730] = {.lex_state = 64, .external_lex_state = 2},
  [1731] = {.lex_state = 64, .external_lex_state = 2},
  [1732] = {.lex_state = 64, .external_lex_state = 2},
  [1733] = {.lex_state = 64},
  [1734] = {.lex_state = 64, .external_lex_state = 2},
  [1735] = {.lex_state = 64},
  [1736] = {.lex_state = 64, .external_lex_state = 2},
  [1737] = {.lex_state = 64, .external_lex_state = 2},
  [1738] = {.lex_state = 64, .external_lex_state = 2},
  [1739] = {.lex_state = 64, .external_lex_state = 2},
  [1740] = {.lex_state = 64},
  [1741] = {.lex_state = 64, .external_lex_state = 2},
  [1742] = {.lex_state = 64},
  [1743] = {.lex_state = 64},
  [1744] = {.lex_state = 64},
  [1745] = {.lex_state = 64},
  [1746] = {.lex_state = 64},
  [1747] = {.lex_state = 64, .external_lex_state = 2},
  [1748] = {.lex_state = 64},
  [1749] = {.lex_state = 64},
  [1750] = {.lex_state = 64},
  [1751] = {.lex_state = 64},
  [1752] = {.lex_state = 64, .external_lex_state = 2},
  [1753] = {.lex_state = 64, .external_lex_state = 2},
  [1754] = {.lex_state = 64},
  [1755] = {.lex_state = 64},
  [1756] = {.lex_state = 64},
  [1757] = {.lex_state = 64},
  [1758] = {.lex_state = 64},
  [1759] = {.lex_state = 64, .external_lex_state = 2},
  [1760] = {.lex_state = 64},
  [1761] = {.lex_state = 64},
  [1762] = {.lex_state = 64},
  [1763] = {.lex_state = 64},
  [1764] = {.lex_state = 64, .external_lex_state = 2},
  [1765] = {.lex_state = 64},
  [1766] = {.lex_state = 64, .external_lex_state = 2},
  [1767] = {.lex_state = 64},
  [1768] = {.lex_state = 64},
  [1769] = {.lex_state = 15},
  [1770] = {.lex_state = 64, .external_lex_state = 2},
  [1771] = {.lex_state = 64},
  [1772] = {.lex_state = 64, .external_lex_state = 2},
  [1773] = {.lex_state = 64, .external_lex_state = 2},
  [1774] = {.lex_state = 15},
  [1775] = {.lex_state = 64},
  [1776] = {.lex_state = 15},
  [1777] = {.lex_state = 64},
  [1778] = {.lex_state = 15},
  [1779] = {.lex_state = 15},
  [1780] = {.lex_state = 64},
  [1781] = {.lex_state = 64},
  [1782] = {.lex_state = 64},
  [1783] = {.lex_state = 64},
  [1784] = {.lex_state = 64, .external_lex_state = 2},
  [1785] = {.lex_state = 15},
  [1786] = {.lex_state = 15},
  [1787] = {.lex_state = 64, .external_lex_state = 2},
  [1788] = {.lex_state = 64},
  [1789] = {.lex_state = 64, .external_lex_state = 2},
  [1790] = {.lex_state = 64, .external_lex_state = 2},
  [1791] = {.lex_state = 64, .external_lex_state = 2},
  [1792] = {.lex_state = 64},
  [1793] = {.lex_state = 64},
  [1794] = {.lex_state = 64},
  [1795] = {.lex_state = 64},
  [1796] = {.lex_state = 64},
  [1797] = {.lex_state = 64},
  [1798] = {.lex_state = 64},
  [1799] = {.lex_state = 64, .external_lex_state = 2},
  [1800] = {.lex_state = 64},
  [1801] = {.lex_state = 64, .external_lex_state = 2},
  [1802] = {.lex_state = 64},
  [1803] = {.lex_state = 64, .external_lex_state = 2},
  [1804] = {.lex_state = 64, .external_lex_state = 2},
  [1805] = {.lex_state = 64},
  [1806] = {.lex_state = 64},
  [1807] = {.lex_state = 64},
  [1808] = {.lex_state = 64},
  [1809] = {.lex_state = 64, .external_lex_state = 2},
  [1810] = {.lex_state = 64, .external_lex_state = 2},
  [1811] = {.lex_state = 64},
  [1812] = {.lex_state = 64},
  [1813] = {.lex_state = 64},
  [1814] = {.lex_state = 64, .external_lex_state = 2},
  [1815] = {.lex_state = 64},
  [1816] = {.lex_state = 64},
  [1817] = {.lex_state = 64},
  [1818] = {.lex_state = 64},
  [1819] = {.lex_state = 64, .external_lex_state = 2},
  [1820] = {.lex_state = 64, .external_lex_state = 2},
  [1821] = {.lex_state = 64},
  [1822] = {.lex_state = 3, .external_lex_state = 10},
  [1823] = {.lex_state = 64},
  [1824] = {.lex_state = 64, .external_lex_state = 2},
  [1825] = {.lex_state = 64, .external_lex_state = 2},
  [1826] = {.lex_state = 64, .external_lex_state = 2},
  [1827] = {.lex_state = 64},
  [1828] = {.lex_state = 64},
  [1829] = {.lex_state = 64},
  [1830] = {.lex_state = 64, .external_lex_state = 2},
  [1831] = {.lex_state = 64, .external_lex_state = 2},
  [1832] = {.lex_state = 64},
  [1833] = {.lex_state = 64},
  [1834] = {.lex_state = 64, .external_lex_state = 2},
  [1835] = {.lex_state = 64},
  [1836] = {.lex_state = 64},
  [1837] = {.lex_state = 64},
  [1838] = {.lex_state = 64},
  [1839] = {.lex_state = 64, .external_lex_state = 2},
  [1840] = {.lex_state = 64, .external_lex_state = 2},
  [1841] = {.lex_state = 64, .external_lex_state = 2},
  [1842] = {.lex_state = 64},
  [1843] = {.lex_state = 64, .external_lex_state = 2},
  [1844] = {.lex_state = 64},
  [1845] = {.lex_state = 64},
  [1846] = {.lex_state = 64},
  [1847] = {.lex_state = 64, .external_lex_state = 2},
  [1848] = {.lex_state = 64},
  [1849] = {.lex_state = 64},
  [1850] = {.lex_state = 15},
  [1851] = {.lex_state = 64},
  [1852] = {.lex_state = 64},
  [1853] = {.lex_state = 64},
  [1854] = {.lex_state = 64, .external_lex_state = 2},
  [1855] = {.lex_state = 64},
  [1856] = {.lex_state = 64, .external_lex_state = 2},
  [1857] = {.lex_state = 64, .external_lex_state = 2},
  [1858] = {.lex_state = 64, .external_lex_state = 2},
  [1859] = {.lex_state = 64},
  [1860] = {.lex_state = 64, .external_lex_state = 2},
  [1861] = {.lex_state = 64, .external_lex_state = 2},
  [1862] = {.lex_state = 64},
  [1863] = {.lex_state = 64},
  [1864] = {.lex_state = 64},
  [1865] = {.lex_state = 64},
  [1866] = {.lex_state = 64, .external_lex_state = 2},
  [1867] = {.lex_state = 64},
  [1868] = {.lex_state = 64, .external_lex_state = 2},
  [1869] = {.lex_state = 64},
  [1870] = {.lex_state = 64},
  [1871] = {.lex_state = 64},
  [1872] = {.lex_state = 64},
  [1873] = {.lex_state = 64, .external_lex_state = 2},
  [1874] = {.lex_state = 64, .external_lex_state = 2},
  [1875] = {.lex_state = 64, .external_lex_state = 2},
  [1876] = {.lex_state = 64},
  [1877] = {.lex_state = 64},
  [1878] = {.lex_state = 64},
  [1879] = {.lex_state = 64, .external_lex_state = 2},
  [1880] = {.lex_state = 3, .external_lex_state = 11},
  [1881] = {.lex_state = 19},
  [1882] = {.lex_state = 64},
  [1883] = {.lex_state = 64, .external_lex_state = 2},
  [1884] = {.lex_state = 64, .external_lex_state = 2},
  [1885] = {.lex_state = 64},
  [1886] = {.lex_state = 64},
  [1887] = {.lex_state = 64},
  [1888] = {.lex_state = 64, .external_lex_state = 2},
  [1889] = {.lex_state = 64, .external_lex_state = 2},
  [1890] = {.lex_state = 64},
  [1891] = {.lex_state = 64, .external_lex_state = 2},
  [1892] = {.lex_state = 64},
  [1893] = {.lex_state = 64, .external_lex_state = 2},
  [1894] = {.lex_state = 64},
  [1895] = {.lex_state = 64, .external_lex_state = 2},
  [1896] = {.lex_state = 64},
  [1897] = {.lex_state = 64},
  [1898] = {.lex_state = 64},
  [1899] = {.lex_state = 64, .external_lex_state = 2},
  [1900] = {.lex_state = 64},
  [1901] = {.lex_state = 64},
  [1902] = {.lex_state = 64, .external_lex_state = 2},
  [1903] = {.lex_state = 64, .external_lex_state = 2},
  [1904] = {.lex_state = 64},
  [1905] = {.lex_state = 15},
  [1906] = {.lex_state = 64},
  [1907] = {.lex_state = 64, .external_lex_state = 2},
  [1908] = {.lex_state = 64, .external_lex_state = 2},
  [1909] = {.lex_state = 64},
  [1910] = {.lex_state = 64},
  [1911] = {.lex_state = 64, .external_lex_state = 2},
  [1912] = {.lex_state = 64, .external_lex_state = 2},
  [1913] = {.lex_state = 64},
  [1914] = {.lex_state = 64, .external_lex_state = 2},
  [1915] = {.lex_state = 64},
  [1916] = {.lex_state = 64},
  [1917] = {.lex_state = 64, .external_lex_state = 2},
  [1918] = {.lex_state = 64},
  [1919] = {.lex_state = 3, .external_lex_state = 10},
  [1920] = {.lex_state = 64, .external_lex_state = 2},
  [1921] = {.lex_state = 64, .external_lex_state = 2},
  [1922] = {.lex_state = 64},
  [1923] = {.lex_state = 15},
  [1924] = {.lex_state = 64, .external_lex_state = 2},
  [1925] = {.lex_state = 19},
  [1926] = {.lex_state = 3, .external_lex_state = 11},
  [1927] = {.lex_state = 3, .external_lex_state = 11},
  [1928] = {.lex_state = 64, .external_lex_state = 2},
  [1929] = {.lex_state = 64},
  [1930] = {.lex_state = 64},
  [1931] = {.lex_state = 64, .external_lex_state = 2},
  [1932] = {.lex_state = 64},
  [1933] = {.lex_state = 3, .external_lex_state = 11},
  [1934] = {.lex_state = 64, .external_lex_state = 2},
  [1935] = {.lex_state = 64},
  [1936] = {.lex_state = 64, .external_lex_state = 2},
  [1937] = {.lex_state = 64, .external_lex_state = 2},
  [1938] = {.lex_state = 64, .external_lex_state = 2},
  [1939] = {.lex_state = 64},
  [1940] = {.lex_state = 64, .external_lex_state = 2},
  [1941] = {.lex_state = 64},
  [1942] = {.lex_state = 64, .external_lex_state = 2},
  [1943] = {.lex_state = 64},
  [1944] = {.lex_state = 64, .external_lex_state = 2},
  [1945] = {.lex_state = 64, .external_lex_state = 2},
  [1946] = {.lex_state = 64},
  [1947] = {.lex_state = 64, .external_lex_state = 2},
  [1948] = {.lex_state = 64, .external_lex_state = 2},
  [1949] = {.lex_state = 64},
  [1950] = {.lex_state = 64, .external_lex_state = 2},
  [1951] = {.lex_state = 64},
  [1952] = {.lex_state = 64, .external_lex_state = 2},
  [1953] = {.lex_state = 3, .external_lex_state = 11},
  [1954] = {.lex_state = 64},
  [1955] = {.lex_state = 64},
  [1956] = {.lex_state = 64},
  [1957] = {.lex_state = 64},
  [1958] = {.lex_state = 64},
  [1959] = {.lex_state = 64},
  [1960] = {.lex_state = 15},
  [1961] = {.lex_state = 64},
  [1962] = {.lex_state = 64},
  [1963] = {.lex_state = 64},
  [1964] = {.lex_state = 64, .external_lex_state = 2},
  [1965] = {.lex_state = 64},
  [1966] = {.lex_state = 64},
  [1967] = {.lex_state = 64},
  [1968] = {.lex_state = 64},
  [1969] = {.lex_state = 64},
  [1970] = {.lex_state = 64},
  [1971] = {.lex_state = 64},
  [1972] = {.lex_state = 64},
  [1973] = {.lex_state = 3, .external_lex_state = 11},
  [1974] = {.lex_state = 64},
  [1975] = {.lex_state = 64},
  [1976] = {.lex_state = 64},
  [1977] = {.lex_state = 64},
  [1978] = {.lex_state = 64},
  [1979] = {.lex_state = 64},
  [1980] = {.lex_state = 64},
  [1981] = {.lex_state = 64},
  [1982] = {.lex_state = 64, .external_lex_state = 2},
  [1983] = {.lex_state = 64},
  [1984] = {.lex_state = 64},
  [1985] = {.lex_state = 64},
  [1986] = {.lex_state = 64},
  [1987] = {.lex_state = 64},
  [1988] = {.lex_state = 64},
  [1989] = {.lex_state = 64},
  [1990] = {.lex_state = 64},
  [1991] = {.lex_state = 64},
  [1992] = {.lex_state = 64},
  [1993] = {.lex_state = 64},
  [1994] = {.lex_state = 64},
  [1995] = {.lex_state = 64},
  [1996] = {.lex_state = 64},
  [1997] = {.lex_state = 64},
  [1998] = {.lex_state = 64},
  [1999] = {.lex_state = 64},
  [2000] = {.lex_state = 64},
  [2001] = {.lex_state = 64},
  [2002] = {.lex_state = 64},
  [2003] = {.lex_state = 64},
  [2004] = {.lex_state = 64},
  [2005] = {.lex_state = 64},
  [2006] = {.lex_state = 64},
  [2007] = {.lex_state = 64},
  [2008] = {.lex_state = 64},
  [2009] = {.lex_state = 64},
  [2010] = {.lex_state = 64},
  [2011] = {.lex_state = 64},
  [2012] = {.lex_state = 64},
  [2013] = {.lex_state = 64},
  [2014] = {.lex_state = 64},
  [2015] = {.lex_state = 64, .external_lex_state = 2},
  [2016] = {.lex_state = 64},
  [2017] = {.lex_state = 64},
  [2018] = {.lex_state = 64},
  [2019] = {.lex_state = 64},
  [2020] = {.lex_state = 64},
  [2021] = {.lex_state = 64},
  [2022] = {.lex_state = 64},
  [2023] = {.lex_state = 64},
  [2024] = {.lex_state = 64},
  [2025] = {.lex_state = 64},
  [2026] = {.lex_state = 3, .external_lex_state = 11},
  [2027] = {.lex_state = 64, .external_lex_state = 2},
  [2028] = {.lex_state = 64},
  [2029] = {.lex_state = 64, .external_lex_state = 2},
  [2030] = {.lex_state = 64},
  [2031] = {.lex_state = 64},
  [2032] = {.lex_state = 64},
  [2033] = {.lex_state = 64},
  [2034] = {.lex_state = 64},
  [2035] = {.lex_state = 64},
  [2036] = {.lex_state = 64},
  [2037] = {.lex_state = 64},
  [2038] = {.lex_state = 64},
  [2039] = {.lex_state = 64},
  [2040] = {.lex_state = 64},
  [2041] = {.lex_state = 64},
  [2042] = {.lex_state = 64},
  [2043] = {.lex_state = 64},
  [2044] = {.lex_state = 64},
  [2045] = {.lex_state = 64},
  [2046] = {.lex_state = 64},
  [2047] = {.lex_state = 64},
  [2048] = {.lex_state = 64},
  [2049] = {.lex_state = 64},
  [2050] = {.lex_state = 64},
  [2051] = {.lex_state = 3, .external_lex_state = 11},
  [2052] = {.lex_state = 64},
  [2053] = {.lex_state = 64},
  [2054] = {.lex_state = 64},
  [2055] = {.lex_state = 64},
  [2056] = {.lex_state = 64},
  [2057] = {.lex_state = 64},
  [2058] = {.lex_state = 64},
  [2059] = {.lex_state = 64},
  [2060] = {.lex_state = 64},
  [2061] = {.lex_state = 64},
  [2062] = {.lex_state = 64},
  [2063] = {.lex_state = 64},
  [2064] = {.lex_state = 64},
  [2065] = {.lex_state = 64},
  [2066] = {.lex_state = 64},
  [2067] = {.lex_state = 64},
  [2068] = {.lex_state = 64},
  [2069] = {.lex_state = 64},
  [2070] = {.lex_state = 64},
  [2071] = {.lex_state = 64},
  [2072] = {.lex_state = 64},
  [2073] = {.lex_state = 64},
  [2074] = {.lex_state = 64},
  [2075] = {.lex_state = 64},
  [2076] = {.lex_state = 64},
  [2077] = {.lex_state = 64},
  [2078] = {.lex_state = 64},
  [2079] = {.lex_state = 64},
  [2080] = {.lex_state = 64, .external_lex_state = 2},
  [2081] = {.lex_state = 64},
  [2082] = {.lex_state = 64},
  [2083] = {.lex_state = 64},
  [2084] = {.lex_state = 64, .external_lex_state = 2},
  [2085] = {.lex_state = 64},
  [2086] = {.lex_state = 64, .external_lex_state = 2},
  [2087] = {.lex_state = 64},
  [2088] = {.lex_state = 64},
  [2089] = {.lex_state = 15},
  [2090] = {.lex_state = 64},
  [2091] = {.lex_state = 64},
  [2092] = {.lex_state = 64},
  [2093] = {.lex_state = 64},
  [2094] = {.lex_state = 64, .external_lex_state = 2},
  [2095] = {.lex_state = 64, .external_lex_state = 2},
  [2096] = {.lex_state = 64},
  [2097] = {.lex_state = 64},
  [2098] = {.lex_state = 64},
  [2099] = {.lex_state = 64},
  [2100] = {.lex_state = 64},
  [2101] = {.lex_state = 64},
  [2102] = {.lex_state = 64},
  [2103] = {.lex_state = 64},
  [2104] = {.lex_state = 64, .external_lex_state = 2},
  [2105] = {.lex_state = 64},
  [2106] = {.lex_state = 64},
  [2107] = {.lex_state = 64},
  [2108] = {.lex_state = 64},
  [2109] = {.lex_state = 64, .external_lex_state = 2},
  [2110] = {.lex_state = 15},
  [2111] = {.lex_state = 64},
  [2112] = {.lex_state = 64},
  [2113] = {.lex_state = 64},
  [2114] = {.lex_state = 64},
  [2115] = {.lex_state = 64},
  [2116] = {.lex_state = 15},
  [2117] = {.lex_state = 64},
  [2118] = {.lex_state = 64},
  [2119] = {.lex_state = 64},
  [2120] = {.lex_state = 64},
  [2121] = {.lex_state = 64},
  [2122] = {.lex_state = 64},
  [2123] = {.lex_state = 64, .external_lex_state = 2},
  [2124] = {.lex_state = 64},
  [2125] = {.lex_state = 64},
  [2126] = {.lex_state = 64},
  [2127] = {.lex_state = 64, .external_lex_state = 2},
  [2128] = {.lex_state = 64},
  [2129] = {.lex_state = 64},
  [2130] = {.lex_state = 64},
  [2131] = {.lex_state = 64, .external_lex_state = 2},
  [2132] = {.lex_state = 64},
  [2133] = {.lex_state = 64},
  [2134] = {.lex_state = 64, .external_lex_state = 12},
  [2135] = {.lex_state = 64},
  [2136] = {.lex_state = 64},
  [2137] = {.lex_state = 64},
  [2138] = {.lex_state = 64},
  [2139] = {.lex_state = 64},
  [2140] = {.lex_state = 64},
  [2141] = {.lex_state = 64},
  [2142] = {.lex_state = 64},
  [2143] = {.lex_state = 64},
  [2144] = {.lex_state = 64},
  [2145] = {.lex_state = 64},
  [2146] = {.lex_state = 64},
  [2147] = {.lex_state = 64},
  [2148] = {.lex_state = 64, .external_lex_state = 12},
  [2149] = {.lex_state = 64},
  [2150] = {.lex_state = 64},
  [2151] = {.lex_state = 64},
  [2152] = {.lex_state = 64},
  [2153] = {.lex_state = 64},
  [2154] = {.lex_state = 64},
  [2155] = {.lex_state = 64},
  [2156] = {.lex_state = 64},
  [2157] = {.lex_state = 64, .external_lex_state = 2},
  [2158] = {.lex_state = 64},
  [2159] = {.lex_state = 64},
  [2160] = {.lex_state = 64},
  [2161] = {.lex_state = 64},
  [2162] = {.lex_state = 64},
  [2163] = {.lex_state = 64},
  [2164] = {.lex_state = 64},
  [2165] = {.lex_state = 64},
  [2166] = {.lex_state = 64},
  [2167] = {.lex_state = 64},
  [2168] = {.lex_state = 64},
  [2169] = {.lex_state = 64},
  [2170] = {.lex_state = 64},
  [2171] = {.lex_state = 64},
  [2172] = {.lex_state = 64},
  [2173] = {.lex_state = 64},
  [2174] = {.lex_state = 64},
  [2175] = {.lex_state = 64},
  [2176] = {.lex_state = 64},
  [2177] = {.lex_state = 64},
  [2178] = {.lex_state = 64},
  [2179] = {.lex_state = 64},
  [2180] = {.lex_state = 64},
  [2181] = {.lex_state = 64},
  [2182] = {.lex_state = 64},
  [2183] = {.lex_state = 64},
  [2184] = {.lex_state = 64},
  [2185] = {.lex_state = 64},
  [2186] = {.lex_state = 64},
  [2187] = {.lex_state = 64},
  [2188] = {.lex_state = 64},
  [2189] = {.lex_state = 64},
  [2190] = {.lex_state = 64},
  [2191] = {.lex_state = 64},
  [2192] = {.lex_state = 3, .external_lex_state = 11},
  [2193] = {.lex_state = 64},
  [2194] = {.lex_state = 3, .external_lex_state = 11},
  [2195] = {.lex_state = 64},
  [2196] = {.lex_state = 64},
  [2197] = {.lex_state = 64},
  [2198] = {.lex_state = 64},
  [2199] = {.lex_state = 64},
  [2200] = {.lex_state = 64},
  [2201] = {.lex_state = 64},
  [2202] = {.lex_state = 64},
  [2203] = {.lex_state = 64},
  [2204] = {.lex_state = 64},
  [2205] = {.lex_state = 64},
  [2206] = {.lex_state = 64},
  [2207] = {.lex_state = 64},
  [2208] = {.lex_state = 64},
  [2209] = {.lex_state = 64},
  [2210] = {.lex_state = 64},
  [2211] = {.lex_state = 64},
  [2212] = {.lex_state = 64},
  [2213] = {.lex_state = 64},
  [2214] = {.lex_state = 64},
  [2215] = {.lex_state = 64},
  [2216] = {.lex_state = 64},
  [2217] = {.lex_state = 64},
  [2218] = {.lex_state = 64},
  [2219] = {.lex_state = 64},
  [2220] = {.lex_state = 64},
  [2221] = {.lex_state = 64, .external_lex_state = 2},
  [2222] = {.lex_state = 64},
  [2223] = {.lex_state = 64},
  [2224] = {.lex_state = 64},
  [2225] = {.lex_state = 64},
  [2226] = {.lex_state = 64},
  [2227] = {.lex_state = 64},
  [2228] = {.lex_state = 64},
  [2229] = {.lex_state = 64},
  [2230] = {.lex_state = 64},
  [2231] = {.lex_state = 64},
  [2232] = {.lex_state = 64},
  [2233] = {.lex_state = 64},
  [2234] = {.lex_state = 64},
  [2235] = {.lex_state = 64},
  [2236] = {.lex_state = 64},
  [2237] = {.lex_state = 64},
  [2238] = {.lex_state = 64, .external_lex_state = 2},
  [2239] = {.lex_state = 64},
  [2240] = {.lex_state = 64},
  [2241] = {.lex_state = 64},
  [2242] = {.lex_state = 64},
  [2243] = {.lex_state = 64},
  [2244] = {.lex_state = 64},
  [2245] = {.lex_state = 64},
  [2246] = {.lex_state = 64},
  [2247] = {.lex_state = 64, .external_lex_state = 2},
  [2248] = {.lex_state = 64},
  [2249] = {.lex_state = 64},
  [2250] = {.lex_state = 64, .external_lex_state = 2},
  [2251] = {.lex_state = 64, .external_lex_state = 2},
  [2252] = {.lex_state = 64},
  [2253] = {.lex_state = 64},
  [2254] = {.lex_state = 64},
  [2255] = {.lex_state = 64},
  [2256] = {.lex_state = 64, .external_lex_state = 2},
  [2257] = {.lex_state = 64, .external_lex_state = 2},
  [2258] = {.lex_state = 64, .external_lex_state = 2},
  [2259] = {.lex_state = 64},
  [2260] = {.lex_state = 64, .external_lex_state = 2},
  [2261] = {.lex_state = 64},
  [2262] = {.lex_state = 64, .external_lex_state = 2},
  [2263] = {.lex_state = 64},
  [2264] = {.lex_state = 64},
  [2265] = {.lex_state = 64},
  [2266] = {.lex_state = 64},
  [2267] = {.lex_state = 64},
  [2268] = {.lex_state = 64},
  [2269] = {.lex_state = 64},
  [2270] = {.lex_state = 64},
  [2271] = {.lex_state = 64},
  [2272] = {.lex_state = 64},
  [2273] = {.lex_state = 64},
  [2274] = {.lex_state = 64, .external_lex_state = 2},
  [2275] = {.lex_state = 64},
  [2276] = {.lex_state = 64},
  [2277] = {.lex_state = 64},
  [2278] = {.lex_state = 64},
  [2279] = {.lex_state = 64},
  [2280] = {.lex_state = 3, .external_lex_state = 11},
  [2281] = {.lex_state = 64},
  [2282] = {.lex_state = 64, .external_lex_state = 2},
  [2283] = {.lex_state = 64},
  [2284] = {.lex_state = 3, .external_lex_state = 11},
  [2285] = {.lex_state = 64, .external_lex_state = 2},
  [2286] = {.lex_state = 64, .external_lex_state = 2},
  [2287] = {.lex_state = 64},
  [2288] = {.lex_state = 64},
  [2289] = {.lex_state = 64, .external_lex_state = 2},
  [2290] = {.lex_state = 64, .external_lex_state = 2},
  [2291] = {.lex_state = 64},
  [2292] = {.lex_state = 64},
  [2293] = {.lex_state = 64, .external_lex_state = 2},
  [2294] = {.lex_state = 64},
  [2295] = {.lex_state = 64},
  [2296] = {.lex_state = 64, .external_lex_state = 2},
  [2297] = {.lex_state = 64},
  [2298] = {.lex_state = 64, .external_lex_state = 2},
  [2299] = {.lex_state = 64},
  [2300] = {.lex_state = 64},
  [2301] = {.lex_state = 64},
  [2302] = {.lex_state = 64},
  [2303] = {.lex_state = 64},
  [2304] = {.lex_state = 64},
  [2305] = {.lex_state = 64},
  [2306] = {.lex_state = 64},
  [2307] = {.lex_state = 64},
  [2308] = {.lex_state = 64},
  [2309] = {.lex_state = 64},
  [2310] = {.lex_state = 64},
  [2311] = {.lex_state = 64},
  [2312] = {.lex_state = 64},
  [2313] = {.lex_state = 64},
  [2314] = {.lex_state = 64},
  [2315] = {.lex_state = 64},
  [2316] = {.lex_state = 64, .external_lex_state = 2},
  [2317] = {.lex_state = 64},
  [2318] = {.lex_state = 64},
  [2319] = {.lex_state = 64},
  [2320] = {.lex_state = 64, .external_lex_state = 2},
  [2321] = {.lex_state = 64},
  [2322] = {.lex_state = 64},
  [2323] = {.lex_state = 64},
  [2324] = {.lex_state = 64},
  [2325] = {.lex_state = 64, .external_lex_state = 2},
  [2326] = {.lex_state = 3, .external_lex_state = 11},
  [2327] = {.lex_state = 64},
  [2328] = {.lex_state = 64},
  [2329] = {.lex_state = 3, .external_lex_state = 11},
  [2330] = {.lex_state = 64},
  [2331] = {.lex_state = 64},
  [2332] = {.lex_state = 64},
  [2333] = {.lex_state = 64},
  [2334] = {.lex_state = 64, .external_lex_state = 13},
  [2335] = {.lex_state = 64, .external_lex_state = 2},
  [2336] = {.lex_state = 64},
  [2337] = {.lex_state = 64},
  [2338] = {.lex_state = 64},
  [2339] = {.lex_state = 64},
  [2340] = {.lex_state = 64, .external_lex_state = 2},
  [2341] = {.lex_state = 64, .external_lex_state = 2},
  [2342] = {.lex_state = 64, .external_lex_state = 2},
  [2343] = {.lex_state = 64, .external_lex_state = 2},
  [2344] = {.lex_state = 64},
  [2345] = {.lex_state = 64, .external_lex_state = 2},
  [2346] = {.lex_state = 64, .external_lex_state = 2},
  [2347] = {.lex_state = 64},
  [2348] = {.lex_state = 64},
  [2349] = {.lex_state = 64, .external_lex_state = 2},
  [2350] = {.lex_state = 64},
  [2351] = {.lex_state = 64},
  [2352] = {.lex_state = 64},
  [2353] = {.lex_state = 64, .external_lex_state = 2},
  [2354] = {.lex_state = 64, .external_lex_state = 2},
  [2355] = {.lex_state = 64},
  [2356] = {.lex_state = 64, .external_lex_state = 2},
  [2357] = {.lex_state = 64},
  [2358] = {.lex_state = 64, .external_lex_state = 2},
  [2359] = {.lex_state = 64},
  [2360] = {.lex_state = 64, .external_lex_state = 2},
  [2361] = {.lex_state = 64},
  [2362] = {.lex_state = 64, .external_lex_state = 2},
  [2363] = {.lex_state = 64, .external_lex_state = 2},
  [2364] = {.lex_state = 64, .external_lex_state = 2},
  [2365] = {.lex_state = 64, .external_lex_state = 2},
  [2366] = {.lex_state = 64},
  [2367] = {.lex_state = 64},
  [2368] = {.lex_state = 64, .external_lex_state = 2},
  [2369] = {.lex_state = 64, .external_lex_state = 2},
  [2370] = {.lex_state = 64},
  [2371] = {.lex_state = 64, .external_lex_state = 2},
  [2372] = {.lex_state = 64},
  [2373] = {.lex_state = 64},
  [2374] = {.lex_state = 64, .external_lex_state = 2},
  [2375] = {.lex_state = 64, .external_lex_state = 2},
  [2376] = {.lex_state = 64},
  [2377] = {.lex_state = 64, .external_lex_state = 2},
  [2378] = {.lex_state = 64},
  [2379] = {.lex_state = 64, .external_lex_state = 2},
  [2380] = {.lex_state = 64, .external_lex_state = 2},
  [2381] = {.lex_state = 64, .external_lex_state = 2},
  [2382] = {.lex_state = 64, .external_lex_state = 2},
  [2383] = {.lex_state = 64, .external_lex_state = 2},
  [2384] = {.lex_state = 64, .external_lex_state = 2},
  [2385] = {.lex_state = 64},
  [2386] = {.lex_state = 64},
  [2387] = {.lex_state = 64, .external_lex_state = 2},
  [2388] = {.lex_state = 64},
  [2389] = {.lex_state = 64},
  [2390] = {.lex_state = 64},
  [2391] = {.lex_state = 64},
  [2392] = {.lex_state = 64},
  [2393] = {.lex_state = 64, .external_lex_state = 2},
  [2394] = {.lex_state = 64},
  [2395] = {.lex_state = 64},
  [2396] = {.lex_state = 64},
  [2397] = {.lex_state = 64, .external_lex_state = 2},
  [2398] = {.lex_state = 64},
  [2399] = {.lex_state = 64},
  [2400] = {.lex_state = 64},
  [2401] = {.lex_state = 64},
  [2402] = {.lex_state = 64},
  [2403] = {.lex_state = 64},
  [2404] = {.lex_state = 64, .external_lex_state = 2},
  [2405] = {.lex_state = 64},
  [2406] = {.lex_state = 64},
  [2407] = {.lex_state = 64},
  [2408] = {.lex_state = 64},
  [2409] = {.lex_state = 64},
  [2410] = {.lex_state = 64},
  [2411] = {.lex_state = 64},
  [2412] = {.lex_state = 64},
  [2413] = {.lex_state = 64},
  [2414] = {.lex_state = 64},
  [2415] = {.lex_state = 64},
  [2416] = {.lex_state = 64},
  [2417] = {.lex_state = 64, .external_lex_state = 2},
  [2418] = {.lex_state = 64},
  [2419] = {.lex_state = 64, .external_lex_state = 2},
  [2420] = {.lex_state = 64},
  [2421] = {.lex_state = 64},
  [2422] = {.lex_state = 64},
  [2423] = {.lex_state = 64},
  [2424] = {.lex_state = 64, .external_lex_state = 2},
  [2425] = {.lex_state = 64, .external_lex_state = 2},
  [2426] = {.lex_state = 64, .external_lex_state = 2},
  [2427] = {.lex_state = 64},
  [2428] = {.lex_state = 64},
  [2429] = {.lex_state = 64, .external_lex_state = 2},
  [2430] = {.lex_state = 64},
  [2431] = {.lex_state = 64},
  [2432] = {.lex_state = 64},
  [2433] = {.lex_state = 64, .external_lex_state = 2},
  [2434] = {.lex_state = 64},
  [2435] = {.lex_state = 64},
  [2436] = {.lex_state = 64},
  [2437] = {.lex_state = 64},
  [2438] = {.lex_state = 64, .external_lex_state = 2},
  [2439] = {.lex_state = 64},
  [2440] = {.lex_state = 64},
  [2441] = {.lex_state = 64},
  [2442] = {.lex_state = 64},
  [2443] = {.lex_state = 64},
  [2444] = {.lex_state = 3, .external_lex_state = 11},
  [2445] = {.lex_state = 64, .external_lex_state = 2},
  [2446] = {.lex_state = 64},
  [2447] = {.lex_state = 3, .external_lex_state = 11},
  [2448] = {.lex_state = 64},
  [2449] = {.lex_state = 64},
  [2450] = {.lex_state = 64},
  [2451] = {.lex_state = 64},
  [2452] = {.lex_state = 64, .external_lex_state = 2},
  [2453] = {.lex_state = 64},
  [2454] = {.lex_state = 64},
  [2455] = {.lex_state = 64},
  [2456] = {.lex_state = 64, .external_lex_state = 2},
  [2457] = {.lex_state = 64, .external_lex_state = 2},
  [2458] = {.lex_state = 64, .external_lex_state = 2},
  [2459] = {.lex_state = 64, .external_lex_state = 2},
  [2460] = {.lex_state = 3, .external_lex_state = 11},
  [2461] = {.lex_state = 64, .external_lex_state = 2},
  [2462] = {.lex_state = 64},
  [2463] = {.lex_state = 64, .external_lex_state = 2},
  [2464] = {.lex_state = 64},
  [2465] = {.lex_state = 64},
  [2466] = {.lex_state = 64},
  [2467] = {.lex_state = 64, .external_lex_state = 2},
  [2468] = {.lex_state = 64},
  [2469] = {.lex_state = 64},
  [2470] = {.lex_state = 64},
  [2471] = {.lex_state = 64},
  [2472] = {.lex_state = 64},
  [2473] = {.lex_state = 64},
  [2474] = {.lex_state = 64},
  [2475] = {.lex_state = 64, .external_lex_state = 2},
  [2476] = {.lex_state = 64, .external_lex_state = 2},
  [2477] = {.lex_state = 64},
  [2478] = {.lex_state = 3, .external_lex_state = 11},
  [2479] = {.lex_state = 64},
  [2480] = {.lex_state = 3, .external_lex_state = 11},
  [2481] = {.lex_state = 64},
  [2482] = {.lex_state = 64},
  [2483] = {.lex_state = 64},
  [2484] = {.lex_state = 64},
  [2485] = {.lex_state = 64},
  [2486] = {.lex_state = 64},
  [2487] = {.lex_state = 64, .external_lex_state = 2},
  [2488] = {.lex_state = 64, .external_lex_state = 2},
  [2489] = {.lex_state = 64},
  [2490] = {.lex_state = 64},
  [2491] = {.lex_state = 64},
  [2492] = {.lex_state = 64},
  [2493] = {.lex_state = 64},
  [2494] = {.lex_state = 64},
  [2495] = {.lex_state = 64},
  [2496] = {.lex_state = 64},
  [2497] = {.lex_state = 64, .external_lex_state = 2},
  [2498] = {.lex_state = 64},
  [2499] = {.lex_state = 64, .external_lex_state = 2},
  [2500] = {.lex_state = 64, .external_lex_state = 2},
  [2501] = {.lex_state = 64},
  [2502] = {.lex_state = 64},
  [2503] = {.lex_state = 64, .external_lex_state = 2},
  [2504] = {.lex_state = 64},
  [2505] = {.lex_state = 64, .external_lex_state = 2},
  [2506] = {.lex_state = 64},
  [2507] = {.lex_state = 64, .external_lex_state = 2},
  [2508] = {.lex_state = 64},
  [2509] = {.lex_state = 64},
  [2510] = {.lex_state = 64},
  [2511] = {.lex_state = 64},
  [2512] = {.lex_state = 64},
  [2513] = {.lex_state = 64},
  [2514] = {.lex_state = 64},
  [2515] = {.lex_state = 64, .external_lex_state = 2},
  [2516] = {.lex_state = 64},
  [2517] = {.lex_state = 64},
  [2518] = {.lex_state = 64},
  [2519] = {.lex_state = 3, .external_lex_state = 11},
  [2520] = {.lex_state = 64, .external_lex_state = 2},
  [2521] = {.lex_state = 64},
  [2522] = {.lex_state = 64},
  [2523] = {.lex_state = 64},
  [2524] = {.lex_state = 64},
  [2525] = {.lex_state = 64},
  [2526] = {.lex_state = 64},
  [2527] = {.lex_state = 64},
  [2528] = {.lex_state = 64},
  [2529] = {.lex_state = 64},
  [2530] = {.lex_state = 64},
  [2531] = {.lex_state = 64, .external_lex_state = 2},
  [2532] = {.lex_state = 64},
  [2533] = {.lex_state = 64},
  [2534] = {.lex_state = 64},
  [2535] = {.lex_state = 64},
  [2536] = {.lex_state = 64},
  [2537] = {.lex_state = 64},
  [2538] = {.lex_state = 64},
  [2539] = {.lex_state = 64},
  [2540] = {.lex_state = 64},
  [2541] = {.lex_state = 64},
  [2542] = {.lex_state = 64},
  [2543] = {.lex_state = 64},
  [2544] = {.lex_state = 64},
  [2545] = {.lex_state = 64},
  [2546] = {.lex_state = 64},
  [2547] = {.lex_state = 64},
  [2548] = {.lex_state = 64},
  [2549] = {.lex_state = 64},
  [2550] = {.lex_state = 64},
  [2551] = {.lex_state = 64},
  [2552] = {.lex_state = 64},
  [2553] = {.lex_state = 64},
  [2554] = {.lex_state = 64},
  [2555] = {.lex_state = 64},
  [2556] = {.lex_state = 64},
  [2557] = {.lex_state = 64},
  [2558] = {.lex_state = 64},
  [2559] = {.lex_state = 64},
  [2560] = {.lex_state = 64},
  [2561] = {.lex_state = 64},
  [2562] = {.lex_state = 64},
  [2563] = {.lex_state = 64},
  [2564] = {.lex_state = 64},
  [2565] = {.lex_state = 64},
  [2566] = {.lex_state = 64},
  [2567] = {.lex_state = 64},
  [2568] = {.lex_state = 64},
  [2569] = {.lex_state = 64},
  [2570] = {.lex_state = 64},
  [2571] = {.lex_state = 64},
  [2572] = {.lex_state = 64},
  [2573] = {.lex_state = 64},
  [2574] = {.lex_state = 64},
  [2575] = {.lex_state = 64},
  [2576] = {.lex_state = 64},
  [2577] = {.lex_state = 64},
  [2578] = {.lex_state = 64},
  [2579] = {.lex_state = 64},
  [2580] = {.lex_state = 64},
  [2581] = {.lex_state = 64},
  [2582] = {.lex_state = 64},
  [2583] = {.lex_state = 64},
  [2584] = {.lex_state = 64, .external_lex_state = 12},
  [2585] = {.lex_state = 64, .external_lex_state = 12},
  [2586] = {.lex_state = 64},
  [2587] = {.lex_state = 64},
  [2588] = {.lex_state = 64, .external_lex_state = 11},
  [2589] = {.lex_state = 64},
  [2590] = {.lex_state = 64},
  [2591] = {.lex_state = 64},
  [2592] = {.lex_state = 64, .external_lex_state = 11},
  [2593] = {.lex_state = 64, .external_lex_state = 11},
  [2594] = {.lex_state = 64},
  [2595] = {.lex_state = 64},
  [2596] = {.lex_state = 10},
  [2597] = {.lex_state = 64},
  [2598] = {.lex_state = 64},
  [2599] = {.lex_state = 64},
  [2600] = {.lex_state = 64},
  [2601] = {.lex_state = 64, .external_lex_state = 11},
  [2602] = {.lex_state = 64},
  [2603] = {.lex_state = 64},
  [2604] = {.lex_state = 64},
  [2605] = {.lex_state = 64},
  [2606] = {.lex_state = 64},
  [2607] = {.lex_state = 64},
  [2608] = {.lex_state = 64},
  [2609] = {.lex_state = 64},
  [2610] = {.lex_state = 64},
  [2611] = {.lex_state = 64},
  [2612] = {.lex_state = 64},
  [2613] = {.lex_state = 64},
  [2614] = {.lex_state = 64},
  [2615] = {.lex_state = 64},
  [2616] = {.lex_state = 64},
  [2617] = {.lex_state = 64},
  [2618] = {.lex_state = 64},
  [2619] = {.lex_state = 64},
  [2620] = {.lex_state = 64},
  [2621] = {.lex_state = 64},
  [2622] = {.lex_state = 64, .external_lex_state = 11},
  [2623] = {.lex_state = 64},
  [2624] = {.lex_state = 64},
  [2625] = {.lex_state = 64, .external_lex_state = 11},
  [2626] = {.lex_state = 64},
  [2627] = {.lex_state = 64},
  [2628] = {.lex_state = 64},
  [2629] = {.lex_state = 64},
  [2630] = {.lex_state = 64},
  [2631] = {.lex_state = 64},
  [2632] = {.lex_state = 64},
  [2633] = {.lex_state = 64},
  [2634] = {.lex_state = 64},
  [2635] = {.lex_state = 64},
  [2636] = {.lex_state = 64},
  [2637] = {.lex_state = 64},
  [2638] = {.lex_state = 10},
  [2639] = {.lex_state = 64},
  [2640] = {.lex_state = 64},
  [2641] = {.lex_state = 64},
  [2642] = {.lex_state = 64, .external_lex_state = 11},
  [2643] = {.lex_state = 64},
  [2644] = {.lex_state = 64},
  [2645] = {.lex_state = 64},
  [2646] = {.lex_state = 64},
  [2647] = {.lex_state = 64},
  [2648] = {.lex_state = 64, .external_lex_state = 11},
  [2649] = {.lex_state = 64, .external_lex_state = 12},
  [2650] = {.lex_state = 64},
  [2651] = {.lex_state = 64},
  [2652] = {.lex_state = 64, .external_lex_state = 12},
  [2653] = {.lex_state = 64, .external_lex_state = 11},
  [2654] = {.lex_state = 64},
  [2655] = {.lex_state = 64},
  [2656] = {.lex_state = 64},
  [2657] = {.lex_state = 64},
  [2658] = {.lex_state = 64},
  [2659] = {.lex_state = 64},
  [2660] = {.lex_state = 64},
  [2661] = {.lex_state = 64},
  [2662] = {.lex_state = 64},
  [2663] = {.lex_state = 64},
  [2664] = {.lex_state = 64},
  [2665] = {.lex_state = 64},
  [2666] = {.lex_state = 64},
  [2667] = {.lex_state = 64},
  [2668] = {.lex_state = 64},
  [2669] = {.lex_state = 64},
  [2670] = {.lex_state = 64},
  [2671] = {.lex_state = 64},
  [2672] = {.lex_state = 64},
  [2673] = {.lex_state = 64},
  [2674] = {.lex_state = 64},
  [2675] = {.lex_state = 64},
  [2676] = {.lex_state = 64},
  [2677] = {.lex_state = 64},
  [2678] = {.lex_state = 64},
  [2679] = {.lex_state = 64},
  [2680] = {.lex_state = 64},
  [2681] = {.lex_state = 64},
  [2682] = {.lex_state = 64},
  [2683] = {.lex_state = 64},
  [2684] = {.lex_state = 64},
  [2685] = {.lex_state = 64},
  [2686] = {.lex_state = 64},
  [2687] = {.lex_state = 64},
  [2688] = {.lex_state = 64},
  [2689] = {.lex_state = 64},
  [2690] = {.lex_state = 64},
  [2691] = {.lex_state = 64},
  [2692] = {.lex_state = 64},
  [2693] = {.lex_state = 64},
  [2694] = {.lex_state = 64},
  [2695] = {.lex_state = 64},
  [2696] = {.lex_state = 64},
  [2697] = {.lex_state = 64},
  [2698] = {.lex_state = 64},
  [2699] = {.lex_state = 64},
  [2700] = {.lex_state = 64},
  [2701] = {.lex_state = 64},
  [2702] = {.lex_state = 64},
  [2703] = {.lex_state = 64, .external_lex_state = 11},
  [2704] = {.lex_state = 64},
  [2705] = {.lex_state = 64},
  [2706] = {.lex_state = 64},
  [2707] = {.lex_state = 64},
  [2708] = {.lex_state = 64},
  [2709] = {.lex_state = 64},
  [2710] = {.lex_state = 64},
  [2711] = {.lex_state = 64},
  [2712] = {.lex_state = 64},
  [2713] = {.lex_state = 64},
  [2714] = {.lex_state = 64},
  [2715] = {.lex_state = 64},
  [2716] = {.lex_state = 64},
  [2717] = {.lex_state = 64},
  [2718] = {.lex_state = 64},
  [2719] = {.lex_state = 64},
  [2720] = {.lex_state = 64},
  [2721] = {.lex_state = 64},
  [2722] = {.lex_state = 64},
  [2723] = {.lex_state = 64},
  [2724] = {.lex_state = 64},
  [2725] = {.lex_state = 64},
  [2726] = {.lex_state = 64},
  [2727] = {.lex_state = 64},
  [2728] = {.lex_state = 64},
  [2729] = {.lex_state = 64},
  [2730] = {.lex_state = 64},
  [2731] = {.lex_state = 64},
  [2732] = {.lex_state = 64},
  [2733] = {.lex_state = 64},
  [2734] = {.lex_state = 64},
  [2735] = {.lex_state = 64},
  [2736] = {.lex_state = 64},
  [2737] = {.lex_state = 64},
  [2738] = {.lex_state = 64},
  [2739] = {.lex_state = 64},
  [2740] = {.lex_state = 64},
  [2741] = {.lex_state = 64},
  [2742] = {.lex_state = 64},
  [2743] = {.lex_state = 64},
  [2744] = {.lex_state = 64},
  [2745] = {.lex_state = 64},
  [2746] = {.lex_state = 64},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2699),
    [sym_statement] = STATE(16),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(9),
    [sym_php_tag] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_name] = ACTIONS(139),
    [anon_sym_QMARK_GT] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(157),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [anon_sym_RBRACE] = ACTIONS(137),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_enum_case_token1] = ACTIONS(178),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [aux_sym__arrow_function_header_token1] = ACTIONS(198),
    [anon_sym_LPAREN] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(216),
    [aux_sym_declare_statement_token2] = ACTIONS(178),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(240),
    [aux_sym_while_statement_token2] = ACTIONS(178),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(246),
    [aux_sym_for_statement_token2] = ACTIONS(178),
    [aux_sym_foreach_statement_token1] = ACTIONS(249),
    [aux_sym_foreach_statement_token2] = ACTIONS(178),
    [aux_sym_if_statement_token1] = ACTIONS(252),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_match_default_expression_token1] = ACTIONS(178),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [aux_sym_switch_block_token1] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym_object_creation_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(330),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(332),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(332),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(332),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_statement] = STATE(3),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(334),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(336),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(336),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(336),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(338),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(340),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(340),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_statement] = STATE(5),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(342),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(344),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(344),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(346),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(346),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_statement] = STATE(8),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(157),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [aux_sym__arrow_function_header_token1] = ACTIONS(198),
    [anon_sym_LPAREN] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(348),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(351),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(354),
    [aux_sym_foreach_statement_token1] = ACTIONS(357),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_else_if_clause_token1] = ACTIONS(178),
    [aux_sym_else_clause_token1] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym_object_creation_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_statement] = STATE(10),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token2] = ACTIONS(373),
    [aux_sym_else_if_clause_token1] = ACTIONS(373),
    [aux_sym_else_clause_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_statement] = STATE(8),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_if_statement_token2] = ACTIONS(346),
    [aux_sym_else_if_clause_token1] = ACTIONS(346),
    [aux_sym_else_clause_token1] = ACTIONS(346),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_statement] = STATE(7),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_statement] = STATE(551),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_colon_block] = STATE(2656),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(375),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(379),
  },
  [13] = {
    [sym_statement] = STATE(15),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [ts_builtin_sym_end] = ACTIONS(381),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_statement] = STATE(2208),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(2607),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(387),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [15] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [ts_builtin_sym_end] = ACTIONS(443),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(445),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [ts_builtin_sym_end] = ACTIONS(381),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_statement] = STATE(551),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_colon_block] = STATE(2656),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(375),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(379),
  },
  [18] = {
    [sym_statement] = STATE(2208),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(2607),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(387),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [19] = {
    [sym_statement] = STATE(2180),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [20] = {
    [sym_statement] = STATE(2209),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(467),
  },
  [21] = {
    [sym_statement] = STATE(82),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(82),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(469),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_statement] = STATE(2077),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(2640),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_statement] = STATE(1675),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(1666),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(475),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_statement] = STATE(610),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_colon_block] = STATE(2574),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_statement] = STATE(461),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_colon_block] = STATE(1699),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(477),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_statement] = STATE(55),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(479),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(481),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_statement] = STATE(511),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(483),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(487),
  },
  [31] = {
    [sym_statement] = STATE(58),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(58),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(489),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_statement] = STATE(59),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(491),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(493),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_statement] = STATE(2077),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(2640),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_statement] = STATE(605),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(495),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(499),
  },
  [36] = {
    [sym_statement] = STATE(491),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [37] = {
    [sym_statement] = STATE(24),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(507),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_statement] = STATE(604),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [39] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(515),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_statement] = STATE(33),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(33),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(519),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_statement] = STATE(40),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(521),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(523),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(525),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_statement] = STATE(463),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_colon_block] = STATE(1699),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(527),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(529),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(531),
  },
  [47] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_statement] = STATE(605),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(495),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(499),
  },
  [49] = {
    [sym_statement] = STATE(85),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(535),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_statement] = STATE(579),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(537),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(539),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(541),
  },
  [51] = {
    [sym_statement] = STATE(574),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(543),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(545),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(547),
  },
  [52] = {
    [sym_statement] = STATE(495),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(551),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(553),
  },
  [53] = {
    [sym_statement] = STATE(43),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(43),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_statement] = STATE(27),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_statement] = STATE(566),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(561),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(563),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(565),
  },
  [57] = {
    [sym_statement] = STATE(29),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(29),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(567),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(569),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(571),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_statement] = STATE(44),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(44),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(573),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_statement] = STATE(610),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_colon_block] = STATE(2574),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_statement] = STATE(1983),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(575),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(577),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(579),
  },
  [63] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(581),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_statement] = STATE(47),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(47),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(583),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(585),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(587),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_statement] = STATE(495),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(551),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(553),
  },
  [68] = {
    [sym_statement] = STATE(604),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [69] = {
    [sym_statement] = STATE(63),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(589),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_statement] = STATE(2071),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(591),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(593),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(595),
  },
  [71] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(597),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_statement] = STATE(511),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(483),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(487),
  },
  [73] = {
    [sym_statement] = STATE(65),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(599),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_statement] = STATE(2174),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(601),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(603),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(605),
  },
  [75] = {
    [sym_statement] = STATE(2180),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [76] = {
    [sym_statement] = STATE(2195),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(607),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(609),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(611),
  },
  [77] = {
    [sym_statement] = STATE(89),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(89),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(613),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_statement] = STATE(66),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(615),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(617),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_statement] = STATE(2133),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(619),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(621),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(623),
  },
  [81] = {
    [sym_statement] = STATE(2213),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(627),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(629),
  },
  [82] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(631),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_statement] = STATE(2196),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(633),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(635),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(637),
  },
  [84] = {
    [sym_statement] = STATE(1664),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_colon_block] = STATE(1666),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(639),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_statement] = STATE(88),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(88),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(641),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_statement] = STATE(71),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(643),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(645),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(647),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_statement] = STATE(2196),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(633),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(635),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(637),
  },
  [91] = {
    [sym_statement] = STATE(566),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(561),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(563),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(565),
  },
  [92] = {
    [sym_statement] = STATE(1983),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(575),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(577),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(579),
  },
  [93] = {
    [sym_statement] = STATE(39),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(39),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(649),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_statement] = STATE(574),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(543),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(545),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(547),
  },
  [95] = {
    [sym_statement] = STATE(579),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(537),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(539),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(541),
  },
  [96] = {
    [sym_statement] = STATE(79),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(79),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(651),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_statement] = STATE(2071),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(591),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(593),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(595),
  },
  [98] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(653),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(527),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(529),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(531),
  },
  [100] = {
    [sym_statement] = STATE(98),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(98),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(655),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_statement] = STATE(2209),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(467),
  },
  [102] = {
    [sym_statement] = STATE(2213),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(627),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(629),
  },
  [103] = {
    [sym_statement] = STATE(491),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [104] = {
    [sym_statement] = STATE(2133),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(619),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(621),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(623),
  },
  [105] = {
    [sym_statement] = STATE(2195),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(607),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(609),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(611),
  },
  [106] = {
    [sym_statement] = STATE(2174),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(601),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(603),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(605),
  },
  [107] = {
    [sym_statement] = STATE(2650),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_statement] = STATE(1967),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_statement] = STATE(540),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_statement] = STATE(554),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_statement] = STATE(1967),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_statement] = STATE(540),
    [sym_empty_statement] = STATE(537),
    [sym_function_static_declaration] = STATE(537),
    [sym_global_declaration] = STATE(537),
    [sym_namespace_definition] = STATE(537),
    [sym_namespace_use_declaration] = STATE(537),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(537),
    [sym_interface_declaration] = STATE(537),
    [sym_enum_declaration] = STATE(537),
    [sym_class_declaration] = STATE(537),
    [sym_final_modifier] = STATE(1427),
    [sym_abstract_modifier] = STATE(1427),
    [sym_readonly_modifier] = STATE(1427),
    [sym_const_declaration] = STATE(537),
    [sym__const_declaration] = STATE(531),
    [sym__modifier] = STATE(1427),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1427),
    [sym_function_definition] = STATE(537),
    [sym__function_definition_header] = STATE(2292),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(537),
    [sym_exit_statement] = STATE(537),
    [sym_unset_statement] = STATE(537),
    [sym_declare_statement] = STATE(537),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_foreach_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(537),
    [sym_compound_statement] = STATE(537),
    [sym_named_label_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1417),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1427),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(363),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(365),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(367),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_statement] = STATE(2072),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_statement] = STATE(2610),
    [sym_empty_statement] = STATE(2100),
    [sym_function_static_declaration] = STATE(2100),
    [sym_global_declaration] = STATE(2100),
    [sym_namespace_definition] = STATE(2100),
    [sym_namespace_use_declaration] = STATE(2100),
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_trait_declaration] = STATE(2100),
    [sym_interface_declaration] = STATE(2100),
    [sym_enum_declaration] = STATE(2100),
    [sym_class_declaration] = STATE(2100),
    [sym_final_modifier] = STATE(1426),
    [sym_abstract_modifier] = STATE(1426),
    [sym_readonly_modifier] = STATE(1426),
    [sym_const_declaration] = STATE(2100),
    [sym__const_declaration] = STATE(2065),
    [sym__modifier] = STATE(1426),
    [sym_static_modifier] = STATE(1488),
    [sym_visibility_modifier] = STATE(1426),
    [sym_function_definition] = STATE(2100),
    [sym__function_definition_header] = STATE(2372),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_echo_statement] = STATE(2100),
    [sym_exit_statement] = STATE(2100),
    [sym_unset_statement] = STATE(2100),
    [sym_declare_statement] = STATE(2100),
    [sym_literal] = STATE(1124),
    [sym_try_statement] = STATE(2100),
    [sym_goto_statement] = STATE(2100),
    [sym_continue_statement] = STATE(2100),
    [sym_break_statement] = STATE(2100),
    [sym_return_statement] = STATE(2100),
    [sym_throw_expression] = STATE(1124),
    [sym_while_statement] = STATE(2100),
    [sym_do_statement] = STATE(2100),
    [sym_for_statement] = STATE(2100),
    [sym_foreach_statement] = STATE(2100),
    [sym_if_statement] = STATE(2100),
    [sym_match_expression] = STATE(1125),
    [sym_switch_statement] = STATE(2100),
    [sym_compound_statement] = STATE(2100),
    [sym_named_label_statement] = STATE(2100),
    [sym_expression_statement] = STATE(2100),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1426),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(471),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(1041),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(661),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(669),
    [anon_sym_RBRACE] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_RPAREN] = ACTIONS(659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(669),
    [anon_sym_PIPE] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_yield_expression_token2] = ACTIONS(715),
    [aux_sym_binary_expression_token1] = ACTIONS(669),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [aux_sym_binary_expression_token2] = ACTIONS(669),
    [aux_sym_binary_expression_token3] = ACTIONS(669),
    [aux_sym_binary_expression_token4] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_EQ_EQ] = ACTIONS(669),
    [anon_sym_BANG_EQ] = ACTIONS(669),
    [anon_sym_LT_GT] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(659),
    [anon_sym_LT_EQ_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(659),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(1041),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(661),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [anon_sym_QMARK] = ACTIONS(669),
    [anon_sym_PIPE] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(659),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_yield_expression_token2] = ACTIONS(745),
    [aux_sym_binary_expression_token1] = ACTIONS(669),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [aux_sym_binary_expression_token2] = ACTIONS(669),
    [aux_sym_binary_expression_token3] = ACTIONS(669),
    [aux_sym_binary_expression_token4] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_EQ_EQ] = ACTIONS(669),
    [anon_sym_BANG_EQ] = ACTIONS(669),
    [anon_sym_LT_GT] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(659),
    [anon_sym_LT_EQ_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(659),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1143),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_variadic_unpacking] = STATE(1140),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_by_ref] = STATE(1140),
    [sym_yield_expression] = STATE(1125),
    [sym_array_element_initializer] = STATE(1144),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(757),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(761),
    [anon_sym_QMARK] = ACTIONS(669),
    [anon_sym_PIPE] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_yield_expression_token2] = ACTIONS(763),
    [aux_sym_binary_expression_token1] = ACTIONS(669),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [aux_sym_binary_expression_token2] = ACTIONS(669),
    [aux_sym_binary_expression_token3] = ACTIONS(669),
    [aux_sym_binary_expression_token4] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_EQ_EQ] = ACTIONS(669),
    [anon_sym_BANG_EQ] = ACTIONS(669),
    [anon_sym_LT_GT] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(659),
    [anon_sym_LT_EQ_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(659),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(659),
  },
  [118] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(1041),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(661),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(669),
    [anon_sym_PIPE] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_yield_expression_token2] = ACTIONS(785),
    [aux_sym_binary_expression_token1] = ACTIONS(669),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [aux_sym_binary_expression_token2] = ACTIONS(669),
    [aux_sym_binary_expression_token3] = ACTIONS(669),
    [aux_sym_binary_expression_token4] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_EQ_EQ] = ACTIONS(669),
    [anon_sym_BANG_EQ] = ACTIONS(669),
    [anon_sym_LT_GT] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(659),
    [anon_sym_LT_EQ_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(659),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2678),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2577),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2612),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2609),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2576),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2639),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2543),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2620),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2605),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2639),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2576),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_cast_type] = STATE(2547),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_variadic_placeholder] = STATE(2545),
    [sym_argument] = STATE(1978),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(695),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(695),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2020),
    [sym__array_destructing_element] = STATE(2005),
    [sym_function_call_expression] = STATE(666),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(666),
    [sym_variable_name] = STATE(666),
    [sym_by_ref] = STATE(2454),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(1994),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym__array_destructing_repeat1] = STATE(2000),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(829),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(831),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_variadic_placeholder] = STATE(2702),
    [sym_argument] = STATE(2191),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(833),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(695),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(695),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2020),
    [sym__array_destructing_element] = STATE(2005),
    [sym_function_call_expression] = STATE(666),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(666),
    [sym_variable_name] = STATE(666),
    [sym_by_ref] = STATE(2454),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(1994),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym__array_destructing_repeat1] = STATE(2000),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(829),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(837),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_variadic_placeholder] = STATE(2717),
    [sym_argument] = STATE(2216),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(839),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_variadic_placeholder] = STATE(2693),
    [sym_argument] = STATE(2173),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(843),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_variadic_placeholder] = STATE(2690),
    [sym_argument] = STATE(2175),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(847),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_variadic_placeholder] = STATE(2744),
    [sym_argument] = STATE(2240),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(695),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(695),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2020),
    [sym__array_destructing_element] = STATE(2005),
    [sym_function_call_expression] = STATE(666),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(666),
    [sym_variable_name] = STATE(666),
    [sym_by_ref] = STATE(2454),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(1994),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym__array_destructing_repeat1] = STATE(2000),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(829),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(695),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(695),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2020),
    [sym__array_destructing_element] = STATE(2005),
    [sym_function_call_expression] = STATE(666),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(666),
    [sym_variable_name] = STATE(666),
    [sym_by_ref] = STATE(2454),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(1994),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym__array_destructing_repeat1] = STATE(2000),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(829),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(857),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(695),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(695),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2020),
    [sym__array_destructing_element] = STATE(2005),
    [sym_function_call_expression] = STATE(666),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(666),
    [sym_variable_name] = STATE(666),
    [sym_by_ref] = STATE(2454),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2004),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym__array_destructing_repeat1] = STATE(2000),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(859),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(861),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_variadic_placeholder] = STATE(2597),
    [sym_argument] = STATE(2063),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(863),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_variadic_placeholder] = STATE(2716),
    [sym_argument] = STATE(2219),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(867),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(879),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(1958),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(881),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2004),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(885),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(887),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(901),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2006),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(907),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(1994),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(913),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(915),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2220),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(919),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2220),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_argument] = STATE(2370),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2446),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1561),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(821),
    [anon_sym_parent] = ACTIONS(821),
    [aux_sym__argument_name_token1] = ACTIONS(823),
    [aux_sym__argument_name_token2] = ACTIONS(825),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_match_condition_list] = STATE(2727),
    [sym_match_conditional_expression] = STATE(2119),
    [sym_match_default_expression] = STATE(2119),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(923),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(925),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2220),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(929),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2220),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_match_condition_list] = STATE(2727),
    [sym_match_conditional_expression] = STATE(2011),
    [sym_match_default_expression] = STATE(2011),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(933),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(935),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2220),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(937),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2220),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2220),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2220),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(943),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1381),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2020),
    [sym__array_destructing_element] = STATE(2474),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(2474),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(945),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(949),
    [anon_sym_RBRACK] = ACTIONS(951),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_match_condition_list] = STATE(2727),
    [sym_match_conditional_expression] = STATE(2407),
    [sym_match_default_expression] = STATE(2407),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(954),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2220),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1381),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2020),
    [sym__array_destructing_element] = STATE(2474),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(2474),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(945),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(949),
    [anon_sym_RBRACK] = ACTIONS(945),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_match_condition_list] = STATE(2727),
    [sym_match_conditional_expression] = STATE(2407),
    [sym_match_default_expression] = STATE(2407),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(956),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_match_condition_list] = STATE(2727),
    [sym_match_conditional_expression] = STATE(2407),
    [sym_match_default_expression] = STATE(2407),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(958),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1011),
    [sym_array_element_initializer] = STATE(2220),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1379),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(689),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(689),
    [sym_nullsafe_member_access_expression] = STATE(689),
    [sym_scoped_property_access_expression] = STATE(689),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(1906),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(663),
    [sym_scoped_call_expression] = STATE(663),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(663),
    [sym_nullsafe_member_call_expression] = STATE(663),
    [sym_subscript_expression] = STATE(663),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(663),
    [sym_variable_name] = STATE(663),
    [sym_by_ref] = STATE(2025),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym__list_destructing_repeat1] = STATE(2030),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(960),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(962),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_match_condition_list] = STATE(2727),
    [sym_match_conditional_expression] = STATE(2407),
    [sym_match_default_expression] = STATE(2407),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(964),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1381),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2020),
    [sym__array_destructing_element] = STATE(2474),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(2474),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(945),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(949),
    [anon_sym_RBRACK] = ACTIONS(966),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_reference_modifier] = STATE(236),
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2287),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1583),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_match_condition_list] = STATE(2727),
    [sym_match_conditional_expression] = STATE(2407),
    [sym_match_default_expression] = STATE(2407),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1356),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2237),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(674),
    [sym_scoped_call_expression] = STATE(674),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(674),
    [sym_nullsafe_member_call_expression] = STATE(674),
    [sym_subscript_expression] = STATE(674),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(674),
    [sym_variable_name] = STATE(674),
    [sym_by_ref] = STATE(2391),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(969),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(969),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2701),
    [sym_sequence_expression] = STATE(2701),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(971),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2704),
    [sym_sequence_expression] = STATE(2704),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(973),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2679),
    [sym_sequence_expression] = STATE(2679),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(975),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2680),
    [sym_sequence_expression] = STATE(2680),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(977),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2682),
    [sym_sequence_expression] = STATE(2682),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(979),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2608),
    [sym_sequence_expression] = STATE(2608),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(981),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2541),
    [sym_sequence_expression] = STATE(2541),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(983),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2539),
    [sym_sequence_expression] = STATE(2539),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(985),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2538),
    [sym_sequence_expression] = STATE(2538),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(987),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2553),
    [sym_sequence_expression] = STATE(2553),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(989),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2697),
    [sym_sequence_expression] = STATE(2697),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(991),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2615),
    [sym_sequence_expression] = STATE(2615),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(993),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_foreach_pair] = STATE(2587),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2466),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_by_ref] = STATE(2587),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2738),
    [sym_sequence_expression] = STATE(2738),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(995),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2731),
    [sym_sequence_expression] = STATE(2731),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(997),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_foreach_pair] = STATE(2676),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2306),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_by_ref] = STATE(2676),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2627),
    [sym_sequence_expression] = STATE(2627),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(999),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_foreach_pair] = STATE(2559),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2523),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_by_ref] = STATE(2559),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_foreach_pair] = STATE(2623),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2412),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_by_ref] = STATE(2623),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2583),
    [sym_sequence_expression] = STATE(2583),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2632),
    [sym_sequence_expression] = STATE(2632),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1003),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2675),
    [sym_sequence_expression] = STATE(2675),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2672),
    [sym_sequence_expression] = STATE(2672),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2667),
    [sym_sequence_expression] = STATE(2667),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1009),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2614),
    [sym_sequence_expression] = STATE(2614),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1011),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2579),
    [sym_sequence_expression] = STATE(2579),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1013),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2728),
    [sym_sequence_expression] = STATE(2728),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1015),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2611),
    [sym_sequence_expression] = STATE(2611),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1017),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2637),
    [sym_sequence_expression] = STATE(2637),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1019),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2725),
    [sym_sequence_expression] = STATE(2725),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1021),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2723),
    [sym_sequence_expression] = STATE(2723),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__expressions] = STATE(2575),
    [sym_sequence_expression] = STATE(2575),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1025),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1359),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2333),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_by_ref] = STATE(2661),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1014),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1027),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_by_ref] = STATE(1175),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [anon_sym_AMP] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1031),
  },
  [224] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1033),
  },
  [225] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1035),
  },
  [226] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1037),
  },
  [227] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1039),
  },
  [228] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2255),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1581),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(697),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(697),
    [sym_nullsafe_member_access_expression] = STATE(697),
    [sym_scoped_property_access_expression] = STATE(697),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2223),
    [sym_function_call_expression] = STATE(692),
    [sym_scoped_call_expression] = STATE(692),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(692),
    [sym_nullsafe_member_call_expression] = STATE(692),
    [sym_subscript_expression] = STATE(692),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(692),
    [sym_variable_name] = STATE(692),
    [sym_by_ref] = STATE(2263),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_by_ref] = STATE(1014),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1041),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1041),
  },
  [232] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym__expressions] = STATE(2419),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1055),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_by_ref] = STATE(1014),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1027),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym__expressions] = STATE(2438),
    [sym_sequence_expression] = STATE(2438),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_by_ref] = STATE(1014),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(827),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_variadic_unpacking] = STATE(2324),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1558),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_by_ref] = STATE(1014),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1027),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1369),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1043),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_sequence_expression] = STATE(2321),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1383),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(1045),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1380),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1047),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1366),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_RPAREN] = ACTIONS(1049),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(2296),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1364),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1055),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1057),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1348),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(1059),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1346),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(1061),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1063),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1363),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_RPAREN] = ACTIONS(1065),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_sequence_expression] = STATE(2321),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1093),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1067),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1069),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1071),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [anon_sym_AMP] = ACTIONS(1073),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1375),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(1075),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1077),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1337),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1079),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1304),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1370),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1376),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1332),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1133),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1040),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1134),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1148),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1362),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1361),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1360),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1338),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1057),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1335),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1334),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1342),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1377),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1040),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1327),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1330),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1099),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1331),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1339),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1340),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1344),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1345),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1373),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1374),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1349),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1336),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1313),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1343),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1324),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1318),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1347),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1355),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1118),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1367),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1368),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1100),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1378),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1328),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1206),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1102),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1095),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1054),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1103),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1385),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1384),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1382),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1110),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1329),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1326),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1104),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1333),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1111),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1051),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1365),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1040),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1351),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1352),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1353),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2603),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(673),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(673),
    [sym_variable_name] = STATE(673),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(683),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2558),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(655),
    [sym_scoped_call_expression] = STATE(655),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(655),
    [sym_nullsafe_member_call_expression] = STATE(655),
    [sym_subscript_expression] = STATE(655),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(655),
    [sym_variable_name] = STATE(655),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1060),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_match_expression] = STATE(1011),
    [sym_expression] = STATE(1357),
    [sym__unary_expression] = STATE(1017),
    [sym_unary_op_expression] = STATE(1017),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1017),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1017),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1011),
    [sym_reference_assignment_expression] = STATE(1011),
    [sym_conditional_expression] = STATE(1011),
    [sym_augmented_assignment_expression] = STATE(1011),
    [sym_member_access_expression] = STATE(661),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2628),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(653),
    [sym_scoped_call_expression] = STATE(653),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(653),
    [sym_nullsafe_member_call_expression] = STATE(653),
    [sym_subscript_expression] = STATE(653),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(653),
    [sym_variable_name] = STATE(653),
    [sym_yield_expression] = STATE(1011),
    [sym_binary_expression] = STATE(1011),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym_require_expression] = STATE(1011),
    [sym_require_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_match_expression] = STATE(1125),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(1126),
    [sym_unary_op_expression] = STATE(1126),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1126),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1126),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1125),
    [sym_reference_assignment_expression] = STATE(1125),
    [sym_conditional_expression] = STATE(1125),
    [sym_augmented_assignment_expression] = STATE(1125),
    [sym_member_access_expression] = STATE(690),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2691),
    [sym__list_destructing] = STATE(2297),
    [sym__array_destructing] = STATE(2297),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym_yield_expression] = STATE(1125),
    [sym_binary_expression] = STATE(1125),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym_require_expression] = STATE(1125),
    [sym_require_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym_catch_clause] = STATE(459),
    [sym_finally_clause] = STATE(459),
    [aux_sym_try_statement_repeat1] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1081),
    [sym_name] = ACTIONS(1083),
    [anon_sym_QMARK_GT] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1081),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1083),
    [aux_sym_global_declaration_token1] = ACTIONS(1083),
    [aux_sym_namespace_definition_token1] = ACTIONS(1083),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1083),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1083),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1083),
    [anon_sym_BSLASH] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_RBRACE] = ACTIONS(1081),
    [aux_sym_trait_declaration_token1] = ACTIONS(1083),
    [aux_sym_interface_declaration_token1] = ACTIONS(1083),
    [aux_sym_enum_declaration_token1] = ACTIONS(1083),
    [aux_sym_enum_case_token1] = ACTIONS(1083),
    [aux_sym_class_declaration_token1] = ACTIONS(1083),
    [aux_sym_final_modifier_token1] = ACTIONS(1083),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1083),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1083),
    [sym_var_modifier] = ACTIONS(1083),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1083),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1083),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1083),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [aux_sym_cast_type_token1] = ACTIONS(1083),
    [aux_sym_echo_statement_token1] = ACTIONS(1083),
    [aux_sym_exit_statement_token1] = ACTIONS(1083),
    [anon_sym_unset] = ACTIONS(1083),
    [aux_sym_declare_statement_token1] = ACTIONS(1083),
    [aux_sym_declare_statement_token2] = ACTIONS(1083),
    [sym_float] = ACTIONS(1083),
    [aux_sym_try_statement_token1] = ACTIONS(1083),
    [aux_sym_catch_clause_token1] = ACTIONS(1085),
    [aux_sym_finally_clause_token1] = ACTIONS(1088),
    [aux_sym_goto_statement_token1] = ACTIONS(1083),
    [aux_sym_continue_statement_token1] = ACTIONS(1083),
    [aux_sym_break_statement_token1] = ACTIONS(1083),
    [sym_integer] = ACTIONS(1083),
    [aux_sym_return_statement_token1] = ACTIONS(1083),
    [aux_sym_throw_expression_token1] = ACTIONS(1083),
    [aux_sym_while_statement_token1] = ACTIONS(1083),
    [aux_sym_while_statement_token2] = ACTIONS(1083),
    [aux_sym_do_statement_token1] = ACTIONS(1083),
    [aux_sym_for_statement_token1] = ACTIONS(1083),
    [aux_sym_for_statement_token2] = ACTIONS(1083),
    [aux_sym_foreach_statement_token1] = ACTIONS(1083),
    [aux_sym_foreach_statement_token2] = ACTIONS(1083),
    [aux_sym_if_statement_token1] = ACTIONS(1083),
    [aux_sym_if_statement_token2] = ACTIONS(1083),
    [aux_sym_else_if_clause_token1] = ACTIONS(1083),
    [aux_sym_else_clause_token1] = ACTIONS(1083),
    [aux_sym_match_expression_token1] = ACTIONS(1083),
    [aux_sym_match_default_expression_token1] = ACTIONS(1083),
    [aux_sym_switch_statement_token1] = ACTIONS(1083),
    [aux_sym_switch_block_token1] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1081),
    [aux_sym_clone_expression_token1] = ACTIONS(1083),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1083),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [aux_sym__list_destructing_token1] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(1083),
    [anon_sym_parent] = ACTIONS(1083),
    [aux_sym__argument_name_token1] = ACTIONS(1083),
    [aux_sym__argument_name_token2] = ACTIONS(1083),
    [anon_sym_POUND_LBRACK] = ACTIONS(1081),
    [aux_sym_encapsed_string_token1] = ACTIONS(1081),
    [anon_sym_DQUOTE] = ACTIONS(1081),
    [aux_sym_string_token1] = ACTIONS(1081),
    [anon_sym_SQUOTE] = ACTIONS(1081),
    [anon_sym_LT_LT_LT] = ACTIONS(1081),
    [anon_sym_BQUOTE] = ACTIONS(1081),
    [anon_sym_DOLLAR] = ACTIONS(1081),
    [aux_sym_yield_expression_token1] = ACTIONS(1083),
    [aux_sym_include_expression_token1] = ACTIONS(1083),
    [aux_sym_include_once_expression_token1] = ACTIONS(1083),
    [aux_sym_require_expression_token1] = ACTIONS(1083),
    [aux_sym_require_once_expression_token1] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [sym_catch_clause] = STATE(459),
    [sym_finally_clause] = STATE(459),
    [aux_sym_try_statement_repeat1] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1091),
    [sym_name] = ACTIONS(1093),
    [anon_sym_QMARK_GT] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1091),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1093),
    [aux_sym_global_declaration_token1] = ACTIONS(1093),
    [aux_sym_namespace_definition_token1] = ACTIONS(1093),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1093),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1093),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1093),
    [anon_sym_BSLASH] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [aux_sym_trait_declaration_token1] = ACTIONS(1093),
    [aux_sym_interface_declaration_token1] = ACTIONS(1093),
    [aux_sym_enum_declaration_token1] = ACTIONS(1093),
    [aux_sym_enum_case_token1] = ACTIONS(1093),
    [aux_sym_class_declaration_token1] = ACTIONS(1093),
    [aux_sym_final_modifier_token1] = ACTIONS(1093),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1093),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1093),
    [sym_var_modifier] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1093),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_cast_type_token1] = ACTIONS(1093),
    [aux_sym_echo_statement_token1] = ACTIONS(1093),
    [aux_sym_exit_statement_token1] = ACTIONS(1093),
    [anon_sym_unset] = ACTIONS(1093),
    [aux_sym_declare_statement_token1] = ACTIONS(1093),
    [aux_sym_declare_statement_token2] = ACTIONS(1093),
    [sym_float] = ACTIONS(1093),
    [aux_sym_try_statement_token1] = ACTIONS(1093),
    [aux_sym_catch_clause_token1] = ACTIONS(1095),
    [aux_sym_finally_clause_token1] = ACTIONS(1097),
    [aux_sym_goto_statement_token1] = ACTIONS(1093),
    [aux_sym_continue_statement_token1] = ACTIONS(1093),
    [aux_sym_break_statement_token1] = ACTIONS(1093),
    [sym_integer] = ACTIONS(1093),
    [aux_sym_return_statement_token1] = ACTIONS(1093),
    [aux_sym_throw_expression_token1] = ACTIONS(1093),
    [aux_sym_while_statement_token1] = ACTIONS(1093),
    [aux_sym_while_statement_token2] = ACTIONS(1093),
    [aux_sym_do_statement_token1] = ACTIONS(1093),
    [aux_sym_for_statement_token1] = ACTIONS(1093),
    [aux_sym_for_statement_token2] = ACTIONS(1093),
    [aux_sym_foreach_statement_token1] = ACTIONS(1093),
    [aux_sym_foreach_statement_token2] = ACTIONS(1093),
    [aux_sym_if_statement_token1] = ACTIONS(1093),
    [aux_sym_if_statement_token2] = ACTIONS(1093),
    [aux_sym_else_if_clause_token1] = ACTIONS(1093),
    [aux_sym_else_clause_token1] = ACTIONS(1093),
    [aux_sym_match_expression_token1] = ACTIONS(1093),
    [aux_sym_match_default_expression_token1] = ACTIONS(1093),
    [aux_sym_switch_statement_token1] = ACTIONS(1093),
    [aux_sym_switch_block_token1] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [aux_sym_clone_expression_token1] = ACTIONS(1093),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1093),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1093),
    [anon_sym_DASH_DASH] = ACTIONS(1091),
    [anon_sym_PLUS_PLUS] = ACTIONS(1091),
    [aux_sym__list_destructing_token1] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1091),
    [anon_sym_self] = ACTIONS(1093),
    [anon_sym_parent] = ACTIONS(1093),
    [aux_sym__argument_name_token1] = ACTIONS(1093),
    [aux_sym__argument_name_token2] = ACTIONS(1093),
    [anon_sym_POUND_LBRACK] = ACTIONS(1091),
    [aux_sym_encapsed_string_token1] = ACTIONS(1091),
    [anon_sym_DQUOTE] = ACTIONS(1091),
    [aux_sym_string_token1] = ACTIONS(1091),
    [anon_sym_SQUOTE] = ACTIONS(1091),
    [anon_sym_LT_LT_LT] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1091),
    [anon_sym_DOLLAR] = ACTIONS(1091),
    [aux_sym_yield_expression_token1] = ACTIONS(1093),
    [aux_sym_include_expression_token1] = ACTIONS(1093),
    [aux_sym_include_once_expression_token1] = ACTIONS(1093),
    [aux_sym_require_expression_token1] = ACTIONS(1093),
    [aux_sym_require_once_expression_token1] = ACTIONS(1093),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym_else_if_clause] = STATE(622),
    [sym_else_clause] = STATE(623),
    [aux_sym_if_statement_repeat1] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym_name] = ACTIONS(1101),
    [anon_sym_QMARK_GT] = ACTIONS(1099),
    [anon_sym_SEMI] = ACTIONS(1099),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1101),
    [aux_sym_global_declaration_token1] = ACTIONS(1101),
    [aux_sym_namespace_definition_token1] = ACTIONS(1101),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1101),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1101),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1101),
    [anon_sym_BSLASH] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [aux_sym_trait_declaration_token1] = ACTIONS(1101),
    [aux_sym_interface_declaration_token1] = ACTIONS(1101),
    [aux_sym_enum_declaration_token1] = ACTIONS(1101),
    [aux_sym_enum_case_token1] = ACTIONS(1101),
    [aux_sym_class_declaration_token1] = ACTIONS(1101),
    [aux_sym_final_modifier_token1] = ACTIONS(1101),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1101),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1101),
    [sym_var_modifier] = ACTIONS(1101),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1101),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1101),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1101),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [aux_sym_cast_type_token1] = ACTIONS(1101),
    [aux_sym_echo_statement_token1] = ACTIONS(1101),
    [aux_sym_exit_statement_token1] = ACTIONS(1101),
    [anon_sym_unset] = ACTIONS(1101),
    [aux_sym_declare_statement_token1] = ACTIONS(1101),
    [aux_sym_declare_statement_token2] = ACTIONS(1101),
    [sym_float] = ACTIONS(1101),
    [aux_sym_try_statement_token1] = ACTIONS(1101),
    [aux_sym_goto_statement_token1] = ACTIONS(1101),
    [aux_sym_continue_statement_token1] = ACTIONS(1101),
    [aux_sym_break_statement_token1] = ACTIONS(1101),
    [sym_integer] = ACTIONS(1101),
    [aux_sym_return_statement_token1] = ACTIONS(1101),
    [aux_sym_throw_expression_token1] = ACTIONS(1101),
    [aux_sym_while_statement_token1] = ACTIONS(1101),
    [aux_sym_while_statement_token2] = ACTIONS(1101),
    [aux_sym_do_statement_token1] = ACTIONS(1101),
    [aux_sym_for_statement_token1] = ACTIONS(1101),
    [aux_sym_for_statement_token2] = ACTIONS(1101),
    [aux_sym_foreach_statement_token1] = ACTIONS(1101),
    [aux_sym_foreach_statement_token2] = ACTIONS(1101),
    [aux_sym_if_statement_token1] = ACTIONS(1101),
    [aux_sym_if_statement_token2] = ACTIONS(1101),
    [aux_sym_else_if_clause_token1] = ACTIONS(1103),
    [aux_sym_else_clause_token1] = ACTIONS(1106),
    [aux_sym_match_expression_token1] = ACTIONS(1101),
    [aux_sym_match_default_expression_token1] = ACTIONS(1101),
    [aux_sym_switch_statement_token1] = ACTIONS(1101),
    [aux_sym_switch_block_token1] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_BANG] = ACTIONS(1099),
    [anon_sym_AT] = ACTIONS(1099),
    [aux_sym_clone_expression_token1] = ACTIONS(1101),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1101),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1101),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [aux_sym__list_destructing_token1] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_self] = ACTIONS(1101),
    [anon_sym_parent] = ACTIONS(1101),
    [aux_sym__argument_name_token1] = ACTIONS(1101),
    [aux_sym__argument_name_token2] = ACTIONS(1101),
    [anon_sym_POUND_LBRACK] = ACTIONS(1099),
    [aux_sym_encapsed_string_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1099),
    [aux_sym_string_token1] = ACTIONS(1099),
    [anon_sym_SQUOTE] = ACTIONS(1099),
    [anon_sym_LT_LT_LT] = ACTIONS(1099),
    [anon_sym_BQUOTE] = ACTIONS(1099),
    [anon_sym_DOLLAR] = ACTIONS(1099),
    [aux_sym_yield_expression_token1] = ACTIONS(1101),
    [aux_sym_include_expression_token1] = ACTIONS(1101),
    [aux_sym_include_once_expression_token1] = ACTIONS(1101),
    [aux_sym_require_expression_token1] = ACTIONS(1101),
    [aux_sym_require_once_expression_token1] = ACTIONS(1101),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [sym_else_if_clause] = STATE(622),
    [sym_else_clause] = STATE(485),
    [aux_sym_if_statement_repeat1] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1109),
    [sym_name] = ACTIONS(1111),
    [anon_sym_QMARK_GT] = ACTIONS(1109),
    [anon_sym_SEMI] = ACTIONS(1109),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1111),
    [aux_sym_global_declaration_token1] = ACTIONS(1111),
    [aux_sym_namespace_definition_token1] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1111),
    [anon_sym_BSLASH] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_RBRACE] = ACTIONS(1109),
    [aux_sym_trait_declaration_token1] = ACTIONS(1111),
    [aux_sym_interface_declaration_token1] = ACTIONS(1111),
    [aux_sym_enum_declaration_token1] = ACTIONS(1111),
    [aux_sym_enum_case_token1] = ACTIONS(1111),
    [aux_sym_class_declaration_token1] = ACTIONS(1111),
    [aux_sym_final_modifier_token1] = ACTIONS(1111),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1111),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1111),
    [sym_var_modifier] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1111),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1111),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [aux_sym_cast_type_token1] = ACTIONS(1111),
    [aux_sym_echo_statement_token1] = ACTIONS(1111),
    [aux_sym_exit_statement_token1] = ACTIONS(1111),
    [anon_sym_unset] = ACTIONS(1111),
    [aux_sym_declare_statement_token1] = ACTIONS(1111),
    [aux_sym_declare_statement_token2] = ACTIONS(1111),
    [sym_float] = ACTIONS(1111),
    [aux_sym_try_statement_token1] = ACTIONS(1111),
    [aux_sym_goto_statement_token1] = ACTIONS(1111),
    [aux_sym_continue_statement_token1] = ACTIONS(1111),
    [aux_sym_break_statement_token1] = ACTIONS(1111),
    [sym_integer] = ACTIONS(1111),
    [aux_sym_return_statement_token1] = ACTIONS(1111),
    [aux_sym_throw_expression_token1] = ACTIONS(1111),
    [aux_sym_while_statement_token1] = ACTIONS(1111),
    [aux_sym_while_statement_token2] = ACTIONS(1111),
    [aux_sym_do_statement_token1] = ACTIONS(1111),
    [aux_sym_for_statement_token1] = ACTIONS(1111),
    [aux_sym_for_statement_token2] = ACTIONS(1111),
    [aux_sym_foreach_statement_token1] = ACTIONS(1111),
    [aux_sym_foreach_statement_token2] = ACTIONS(1111),
    [aux_sym_if_statement_token1] = ACTIONS(1111),
    [aux_sym_if_statement_token2] = ACTIONS(1111),
    [aux_sym_else_if_clause_token1] = ACTIONS(1113),
    [aux_sym_else_clause_token1] = ACTIONS(1116),
    [aux_sym_match_expression_token1] = ACTIONS(1111),
    [aux_sym_match_default_expression_token1] = ACTIONS(1111),
    [aux_sym_switch_statement_token1] = ACTIONS(1111),
    [aux_sym_switch_block_token1] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1111),
    [anon_sym_DASH] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(1109),
    [anon_sym_BANG] = ACTIONS(1109),
    [anon_sym_AT] = ACTIONS(1109),
    [aux_sym_clone_expression_token1] = ACTIONS(1111),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1111),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [aux_sym__list_destructing_token1] = ACTIONS(1111),
    [anon_sym_LBRACK] = ACTIONS(1109),
    [anon_sym_self] = ACTIONS(1111),
    [anon_sym_parent] = ACTIONS(1111),
    [aux_sym__argument_name_token1] = ACTIONS(1111),
    [aux_sym__argument_name_token2] = ACTIONS(1111),
    [anon_sym_POUND_LBRACK] = ACTIONS(1109),
    [aux_sym_encapsed_string_token1] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [aux_sym_string_token1] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_LT_LT_LT] = ACTIONS(1109),
    [anon_sym_BQUOTE] = ACTIONS(1109),
    [anon_sym_DOLLAR] = ACTIONS(1109),
    [aux_sym_yield_expression_token1] = ACTIONS(1111),
    [aux_sym_include_expression_token1] = ACTIONS(1111),
    [aux_sym_include_once_expression_token1] = ACTIONS(1111),
    [aux_sym_require_expression_token1] = ACTIONS(1111),
    [aux_sym_require_once_expression_token1] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [sym_else_if_clause] = STATE(622),
    [sym_else_clause] = STATE(623),
    [aux_sym_if_statement_repeat1] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym_name] = ACTIONS(1101),
    [anon_sym_QMARK_GT] = ACTIONS(1099),
    [anon_sym_SEMI] = ACTIONS(1099),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1101),
    [aux_sym_global_declaration_token1] = ACTIONS(1101),
    [aux_sym_namespace_definition_token1] = ACTIONS(1101),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1101),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1101),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1101),
    [anon_sym_BSLASH] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [aux_sym_trait_declaration_token1] = ACTIONS(1101),
    [aux_sym_interface_declaration_token1] = ACTIONS(1101),
    [aux_sym_enum_declaration_token1] = ACTIONS(1101),
    [aux_sym_enum_case_token1] = ACTIONS(1101),
    [aux_sym_class_declaration_token1] = ACTIONS(1101),
    [aux_sym_final_modifier_token1] = ACTIONS(1101),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1101),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1101),
    [sym_var_modifier] = ACTIONS(1101),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1101),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1101),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1101),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [aux_sym_cast_type_token1] = ACTIONS(1101),
    [aux_sym_echo_statement_token1] = ACTIONS(1101),
    [aux_sym_exit_statement_token1] = ACTIONS(1101),
    [anon_sym_unset] = ACTIONS(1101),
    [aux_sym_declare_statement_token1] = ACTIONS(1101),
    [aux_sym_declare_statement_token2] = ACTIONS(1101),
    [sym_float] = ACTIONS(1101),
    [aux_sym_try_statement_token1] = ACTIONS(1101),
    [aux_sym_goto_statement_token1] = ACTIONS(1101),
    [aux_sym_continue_statement_token1] = ACTIONS(1101),
    [aux_sym_break_statement_token1] = ACTIONS(1101),
    [sym_integer] = ACTIONS(1101),
    [aux_sym_return_statement_token1] = ACTIONS(1101),
    [aux_sym_throw_expression_token1] = ACTIONS(1101),
    [aux_sym_while_statement_token1] = ACTIONS(1101),
    [aux_sym_while_statement_token2] = ACTIONS(1101),
    [aux_sym_do_statement_token1] = ACTIONS(1101),
    [aux_sym_for_statement_token1] = ACTIONS(1101),
    [aux_sym_for_statement_token2] = ACTIONS(1101),
    [aux_sym_foreach_statement_token1] = ACTIONS(1101),
    [aux_sym_foreach_statement_token2] = ACTIONS(1101),
    [aux_sym_if_statement_token1] = ACTIONS(1101),
    [aux_sym_if_statement_token2] = ACTIONS(1101),
    [aux_sym_else_if_clause_token1] = ACTIONS(1119),
    [aux_sym_else_clause_token1] = ACTIONS(1121),
    [aux_sym_match_expression_token1] = ACTIONS(1101),
    [aux_sym_match_default_expression_token1] = ACTIONS(1101),
    [aux_sym_switch_statement_token1] = ACTIONS(1101),
    [aux_sym_switch_block_token1] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_BANG] = ACTIONS(1099),
    [anon_sym_AT] = ACTIONS(1099),
    [aux_sym_clone_expression_token1] = ACTIONS(1101),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1101),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1101),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [aux_sym__list_destructing_token1] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_self] = ACTIONS(1101),
    [anon_sym_parent] = ACTIONS(1101),
    [aux_sym__argument_name_token1] = ACTIONS(1101),
    [aux_sym__argument_name_token2] = ACTIONS(1101),
    [anon_sym_POUND_LBRACK] = ACTIONS(1099),
    [aux_sym_encapsed_string_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1099),
    [aux_sym_string_token1] = ACTIONS(1099),
    [anon_sym_SQUOTE] = ACTIONS(1099),
    [anon_sym_LT_LT_LT] = ACTIONS(1099),
    [anon_sym_BQUOTE] = ACTIONS(1099),
    [anon_sym_DOLLAR] = ACTIONS(1099),
    [aux_sym_yield_expression_token1] = ACTIONS(1101),
    [aux_sym_include_expression_token1] = ACTIONS(1101),
    [aux_sym_include_once_expression_token1] = ACTIONS(1101),
    [aux_sym_require_expression_token1] = ACTIONS(1101),
    [aux_sym_require_once_expression_token1] = ACTIONS(1101),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [sym_else_if_clause] = STATE(622),
    [sym_else_clause] = STATE(485),
    [aux_sym_if_statement_repeat1] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1109),
    [sym_name] = ACTIONS(1111),
    [anon_sym_QMARK_GT] = ACTIONS(1109),
    [anon_sym_SEMI] = ACTIONS(1109),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1111),
    [aux_sym_global_declaration_token1] = ACTIONS(1111),
    [aux_sym_namespace_definition_token1] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1111),
    [anon_sym_BSLASH] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_RBRACE] = ACTIONS(1109),
    [aux_sym_trait_declaration_token1] = ACTIONS(1111),
    [aux_sym_interface_declaration_token1] = ACTIONS(1111),
    [aux_sym_enum_declaration_token1] = ACTIONS(1111),
    [aux_sym_enum_case_token1] = ACTIONS(1111),
    [aux_sym_class_declaration_token1] = ACTIONS(1111),
    [aux_sym_final_modifier_token1] = ACTIONS(1111),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1111),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1111),
    [sym_var_modifier] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1111),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1111),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [aux_sym_cast_type_token1] = ACTIONS(1111),
    [aux_sym_echo_statement_token1] = ACTIONS(1111),
    [aux_sym_exit_statement_token1] = ACTIONS(1111),
    [anon_sym_unset] = ACTIONS(1111),
    [aux_sym_declare_statement_token1] = ACTIONS(1111),
    [aux_sym_declare_statement_token2] = ACTIONS(1111),
    [sym_float] = ACTIONS(1111),
    [aux_sym_try_statement_token1] = ACTIONS(1111),
    [aux_sym_goto_statement_token1] = ACTIONS(1111),
    [aux_sym_continue_statement_token1] = ACTIONS(1111),
    [aux_sym_break_statement_token1] = ACTIONS(1111),
    [sym_integer] = ACTIONS(1111),
    [aux_sym_return_statement_token1] = ACTIONS(1111),
    [aux_sym_throw_expression_token1] = ACTIONS(1111),
    [aux_sym_while_statement_token1] = ACTIONS(1111),
    [aux_sym_while_statement_token2] = ACTIONS(1111),
    [aux_sym_do_statement_token1] = ACTIONS(1111),
    [aux_sym_for_statement_token1] = ACTIONS(1111),
    [aux_sym_for_statement_token2] = ACTIONS(1111),
    [aux_sym_foreach_statement_token1] = ACTIONS(1111),
    [aux_sym_foreach_statement_token2] = ACTIONS(1111),
    [aux_sym_if_statement_token1] = ACTIONS(1111),
    [aux_sym_if_statement_token2] = ACTIONS(1111),
    [aux_sym_else_if_clause_token1] = ACTIONS(1119),
    [aux_sym_else_clause_token1] = ACTIONS(1121),
    [aux_sym_match_expression_token1] = ACTIONS(1111),
    [aux_sym_match_default_expression_token1] = ACTIONS(1111),
    [aux_sym_switch_statement_token1] = ACTIONS(1111),
    [aux_sym_switch_block_token1] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1111),
    [anon_sym_DASH] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(1109),
    [anon_sym_BANG] = ACTIONS(1109),
    [anon_sym_AT] = ACTIONS(1109),
    [aux_sym_clone_expression_token1] = ACTIONS(1111),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1111),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [aux_sym__list_destructing_token1] = ACTIONS(1111),
    [anon_sym_LBRACK] = ACTIONS(1109),
    [anon_sym_self] = ACTIONS(1111),
    [anon_sym_parent] = ACTIONS(1111),
    [aux_sym__argument_name_token1] = ACTIONS(1111),
    [aux_sym__argument_name_token2] = ACTIONS(1111),
    [anon_sym_POUND_LBRACK] = ACTIONS(1109),
    [aux_sym_encapsed_string_token1] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [aux_sym_string_token1] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_LT_LT_LT] = ACTIONS(1109),
    [anon_sym_BQUOTE] = ACTIONS(1109),
    [anon_sym_DOLLAR] = ACTIONS(1109),
    [aux_sym_yield_expression_token1] = ACTIONS(1111),
    [aux_sym_include_expression_token1] = ACTIONS(1111),
    [aux_sym_include_once_expression_token1] = ACTIONS(1111),
    [aux_sym_require_expression_token1] = ACTIONS(1111),
    [aux_sym_require_once_expression_token1] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_name] = ACTIONS(1125),
    [anon_sym_QMARK_GT] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1125),
    [aux_sym_global_declaration_token1] = ACTIONS(1125),
    [aux_sym_namespace_definition_token1] = ACTIONS(1125),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1125),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1125),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1125),
    [anon_sym_BSLASH] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [aux_sym_trait_declaration_token1] = ACTIONS(1125),
    [aux_sym_interface_declaration_token1] = ACTIONS(1125),
    [aux_sym_enum_declaration_token1] = ACTIONS(1125),
    [aux_sym_enum_case_token1] = ACTIONS(1125),
    [aux_sym_class_declaration_token1] = ACTIONS(1125),
    [aux_sym_final_modifier_token1] = ACTIONS(1125),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1125),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1125),
    [sym_var_modifier] = ACTIONS(1125),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1125),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1125),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1125),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [aux_sym_cast_type_token1] = ACTIONS(1125),
    [aux_sym_echo_statement_token1] = ACTIONS(1125),
    [aux_sym_exit_statement_token1] = ACTIONS(1125),
    [anon_sym_unset] = ACTIONS(1125),
    [aux_sym_declare_statement_token1] = ACTIONS(1125),
    [aux_sym_declare_statement_token2] = ACTIONS(1125),
    [sym_float] = ACTIONS(1125),
    [aux_sym_try_statement_token1] = ACTIONS(1125),
    [aux_sym_catch_clause_token1] = ACTIONS(1125),
    [aux_sym_finally_clause_token1] = ACTIONS(1125),
    [aux_sym_goto_statement_token1] = ACTIONS(1125),
    [aux_sym_continue_statement_token1] = ACTIONS(1125),
    [aux_sym_break_statement_token1] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [aux_sym_return_statement_token1] = ACTIONS(1125),
    [aux_sym_throw_expression_token1] = ACTIONS(1125),
    [aux_sym_while_statement_token1] = ACTIONS(1125),
    [aux_sym_while_statement_token2] = ACTIONS(1125),
    [aux_sym_do_statement_token1] = ACTIONS(1125),
    [aux_sym_for_statement_token1] = ACTIONS(1125),
    [aux_sym_for_statement_token2] = ACTIONS(1125),
    [aux_sym_foreach_statement_token1] = ACTIONS(1125),
    [aux_sym_foreach_statement_token2] = ACTIONS(1125),
    [aux_sym_if_statement_token1] = ACTIONS(1125),
    [aux_sym_if_statement_token2] = ACTIONS(1125),
    [aux_sym_else_if_clause_token1] = ACTIONS(1125),
    [aux_sym_else_clause_token1] = ACTIONS(1125),
    [aux_sym_match_expression_token1] = ACTIONS(1125),
    [aux_sym_match_default_expression_token1] = ACTIONS(1125),
    [aux_sym_switch_statement_token1] = ACTIONS(1125),
    [aux_sym_switch_block_token1] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_AT] = ACTIONS(1123),
    [aux_sym_clone_expression_token1] = ACTIONS(1125),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1125),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1125),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [aux_sym__list_destructing_token1] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_self] = ACTIONS(1125),
    [anon_sym_parent] = ACTIONS(1125),
    [aux_sym__argument_name_token1] = ACTIONS(1125),
    [aux_sym__argument_name_token2] = ACTIONS(1125),
    [anon_sym_POUND_LBRACK] = ACTIONS(1123),
    [aux_sym_encapsed_string_token1] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [aux_sym_string_token1] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_LT_LT_LT] = ACTIONS(1123),
    [anon_sym_BQUOTE] = ACTIONS(1123),
    [anon_sym_DOLLAR] = ACTIONS(1123),
    [aux_sym_yield_expression_token1] = ACTIONS(1125),
    [aux_sym_include_expression_token1] = ACTIONS(1125),
    [aux_sym_include_once_expression_token1] = ACTIONS(1125),
    [aux_sym_require_expression_token1] = ACTIONS(1125),
    [aux_sym_require_once_expression_token1] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1127),
    [sym_name] = ACTIONS(1129),
    [anon_sym_QMARK_GT] = ACTIONS(1127),
    [anon_sym_SEMI] = ACTIONS(1127),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1129),
    [aux_sym_global_declaration_token1] = ACTIONS(1129),
    [aux_sym_namespace_definition_token1] = ACTIONS(1129),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1129),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1129),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1129),
    [anon_sym_BSLASH] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(1127),
    [aux_sym_trait_declaration_token1] = ACTIONS(1129),
    [aux_sym_interface_declaration_token1] = ACTIONS(1129),
    [aux_sym_enum_declaration_token1] = ACTIONS(1129),
    [aux_sym_enum_case_token1] = ACTIONS(1129),
    [aux_sym_class_declaration_token1] = ACTIONS(1129),
    [aux_sym_final_modifier_token1] = ACTIONS(1129),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1129),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1129),
    [sym_var_modifier] = ACTIONS(1129),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1129),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1129),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1129),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [aux_sym_cast_type_token1] = ACTIONS(1129),
    [aux_sym_echo_statement_token1] = ACTIONS(1129),
    [aux_sym_exit_statement_token1] = ACTIONS(1129),
    [anon_sym_unset] = ACTIONS(1129),
    [aux_sym_declare_statement_token1] = ACTIONS(1129),
    [aux_sym_declare_statement_token2] = ACTIONS(1129),
    [sym_float] = ACTIONS(1129),
    [aux_sym_try_statement_token1] = ACTIONS(1129),
    [aux_sym_catch_clause_token1] = ACTIONS(1129),
    [aux_sym_finally_clause_token1] = ACTIONS(1129),
    [aux_sym_goto_statement_token1] = ACTIONS(1129),
    [aux_sym_continue_statement_token1] = ACTIONS(1129),
    [aux_sym_break_statement_token1] = ACTIONS(1129),
    [sym_integer] = ACTIONS(1129),
    [aux_sym_return_statement_token1] = ACTIONS(1129),
    [aux_sym_throw_expression_token1] = ACTIONS(1129),
    [aux_sym_while_statement_token1] = ACTIONS(1129),
    [aux_sym_while_statement_token2] = ACTIONS(1129),
    [aux_sym_do_statement_token1] = ACTIONS(1129),
    [aux_sym_for_statement_token1] = ACTIONS(1129),
    [aux_sym_for_statement_token2] = ACTIONS(1129),
    [aux_sym_foreach_statement_token1] = ACTIONS(1129),
    [aux_sym_foreach_statement_token2] = ACTIONS(1129),
    [aux_sym_if_statement_token1] = ACTIONS(1129),
    [aux_sym_if_statement_token2] = ACTIONS(1129),
    [aux_sym_else_if_clause_token1] = ACTIONS(1129),
    [aux_sym_else_clause_token1] = ACTIONS(1129),
    [aux_sym_match_expression_token1] = ACTIONS(1129),
    [aux_sym_match_default_expression_token1] = ACTIONS(1129),
    [aux_sym_switch_statement_token1] = ACTIONS(1129),
    [aux_sym_switch_block_token1] = ACTIONS(1129),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1127),
    [aux_sym_clone_expression_token1] = ACTIONS(1129),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1129),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1129),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [aux_sym__list_destructing_token1] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_self] = ACTIONS(1129),
    [anon_sym_parent] = ACTIONS(1129),
    [aux_sym__argument_name_token1] = ACTIONS(1129),
    [aux_sym__argument_name_token2] = ACTIONS(1129),
    [anon_sym_POUND_LBRACK] = ACTIONS(1127),
    [aux_sym_encapsed_string_token1] = ACTIONS(1127),
    [anon_sym_DQUOTE] = ACTIONS(1127),
    [aux_sym_string_token1] = ACTIONS(1127),
    [anon_sym_SQUOTE] = ACTIONS(1127),
    [anon_sym_LT_LT_LT] = ACTIONS(1127),
    [anon_sym_BQUOTE] = ACTIONS(1127),
    [anon_sym_DOLLAR] = ACTIONS(1127),
    [aux_sym_yield_expression_token1] = ACTIONS(1129),
    [aux_sym_include_expression_token1] = ACTIONS(1129),
    [aux_sym_include_once_expression_token1] = ACTIONS(1129),
    [aux_sym_require_expression_token1] = ACTIONS(1129),
    [aux_sym_require_once_expression_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1131),
    [sym_name] = ACTIONS(1133),
    [anon_sym_QMARK_GT] = ACTIONS(1131),
    [anon_sym_SEMI] = ACTIONS(1131),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1133),
    [aux_sym_global_declaration_token1] = ACTIONS(1133),
    [aux_sym_namespace_definition_token1] = ACTIONS(1133),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1133),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1133),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1133),
    [anon_sym_BSLASH] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_RBRACE] = ACTIONS(1131),
    [aux_sym_trait_declaration_token1] = ACTIONS(1133),
    [aux_sym_interface_declaration_token1] = ACTIONS(1133),
    [aux_sym_enum_declaration_token1] = ACTIONS(1133),
    [aux_sym_enum_case_token1] = ACTIONS(1133),
    [aux_sym_class_declaration_token1] = ACTIONS(1133),
    [aux_sym_final_modifier_token1] = ACTIONS(1133),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1133),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1133),
    [sym_var_modifier] = ACTIONS(1133),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1133),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1133),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1133),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1133),
    [anon_sym_LPAREN] = ACTIONS(1131),
    [aux_sym_cast_type_token1] = ACTIONS(1133),
    [aux_sym_echo_statement_token1] = ACTIONS(1133),
    [aux_sym_exit_statement_token1] = ACTIONS(1133),
    [anon_sym_unset] = ACTIONS(1133),
    [aux_sym_declare_statement_token1] = ACTIONS(1133),
    [aux_sym_declare_statement_token2] = ACTIONS(1133),
    [sym_float] = ACTIONS(1133),
    [aux_sym_try_statement_token1] = ACTIONS(1133),
    [aux_sym_catch_clause_token1] = ACTIONS(1133),
    [aux_sym_finally_clause_token1] = ACTIONS(1133),
    [aux_sym_goto_statement_token1] = ACTIONS(1133),
    [aux_sym_continue_statement_token1] = ACTIONS(1133),
    [aux_sym_break_statement_token1] = ACTIONS(1133),
    [sym_integer] = ACTIONS(1133),
    [aux_sym_return_statement_token1] = ACTIONS(1133),
    [aux_sym_throw_expression_token1] = ACTIONS(1133),
    [aux_sym_while_statement_token1] = ACTIONS(1133),
    [aux_sym_while_statement_token2] = ACTIONS(1133),
    [aux_sym_do_statement_token1] = ACTIONS(1133),
    [aux_sym_for_statement_token1] = ACTIONS(1133),
    [aux_sym_for_statement_token2] = ACTIONS(1133),
    [aux_sym_foreach_statement_token1] = ACTIONS(1133),
    [aux_sym_foreach_statement_token2] = ACTIONS(1133),
    [aux_sym_if_statement_token1] = ACTIONS(1133),
    [aux_sym_if_statement_token2] = ACTIONS(1133),
    [aux_sym_else_if_clause_token1] = ACTIONS(1133),
    [aux_sym_else_clause_token1] = ACTIONS(1133),
    [aux_sym_match_expression_token1] = ACTIONS(1133),
    [aux_sym_match_default_expression_token1] = ACTIONS(1133),
    [aux_sym_switch_statement_token1] = ACTIONS(1133),
    [aux_sym_switch_block_token1] = ACTIONS(1133),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_AT] = ACTIONS(1131),
    [aux_sym_clone_expression_token1] = ACTIONS(1133),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1133),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1133),
    [anon_sym_DASH_DASH] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1131),
    [aux_sym__list_destructing_token1] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1131),
    [anon_sym_self] = ACTIONS(1133),
    [anon_sym_parent] = ACTIONS(1133),
    [aux_sym__argument_name_token1] = ACTIONS(1133),
    [aux_sym__argument_name_token2] = ACTIONS(1133),
    [anon_sym_POUND_LBRACK] = ACTIONS(1131),
    [aux_sym_encapsed_string_token1] = ACTIONS(1131),
    [anon_sym_DQUOTE] = ACTIONS(1131),
    [aux_sym_string_token1] = ACTIONS(1131),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [anon_sym_LT_LT_LT] = ACTIONS(1131),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [anon_sym_DOLLAR] = ACTIONS(1131),
    [aux_sym_yield_expression_token1] = ACTIONS(1133),
    [aux_sym_include_expression_token1] = ACTIONS(1133),
    [aux_sym_include_once_expression_token1] = ACTIONS(1133),
    [aux_sym_require_expression_token1] = ACTIONS(1133),
    [aux_sym_require_once_expression_token1] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [sym_else_if_clause] = STATE(622),
    [aux_sym_if_statement_repeat1] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1135),
    [sym_name] = ACTIONS(1137),
    [anon_sym_QMARK_GT] = ACTIONS(1135),
    [anon_sym_SEMI] = ACTIONS(1135),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1137),
    [aux_sym_global_declaration_token1] = ACTIONS(1137),
    [aux_sym_namespace_definition_token1] = ACTIONS(1137),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1137),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1137),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1137),
    [anon_sym_BSLASH] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1135),
    [anon_sym_RBRACE] = ACTIONS(1135),
    [aux_sym_trait_declaration_token1] = ACTIONS(1137),
    [aux_sym_interface_declaration_token1] = ACTIONS(1137),
    [aux_sym_enum_declaration_token1] = ACTIONS(1137),
    [aux_sym_enum_case_token1] = ACTIONS(1137),
    [aux_sym_class_declaration_token1] = ACTIONS(1137),
    [aux_sym_final_modifier_token1] = ACTIONS(1137),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1137),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1137),
    [sym_var_modifier] = ACTIONS(1137),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1137),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1137),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1137),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [aux_sym_cast_type_token1] = ACTIONS(1137),
    [aux_sym_echo_statement_token1] = ACTIONS(1137),
    [aux_sym_exit_statement_token1] = ACTIONS(1137),
    [anon_sym_unset] = ACTIONS(1137),
    [aux_sym_declare_statement_token1] = ACTIONS(1137),
    [aux_sym_declare_statement_token2] = ACTIONS(1137),
    [sym_float] = ACTIONS(1137),
    [aux_sym_try_statement_token1] = ACTIONS(1137),
    [aux_sym_goto_statement_token1] = ACTIONS(1137),
    [aux_sym_continue_statement_token1] = ACTIONS(1137),
    [aux_sym_break_statement_token1] = ACTIONS(1137),
    [sym_integer] = ACTIONS(1137),
    [aux_sym_return_statement_token1] = ACTIONS(1137),
    [aux_sym_throw_expression_token1] = ACTIONS(1137),
    [aux_sym_while_statement_token1] = ACTIONS(1137),
    [aux_sym_while_statement_token2] = ACTIONS(1137),
    [aux_sym_do_statement_token1] = ACTIONS(1137),
    [aux_sym_for_statement_token1] = ACTIONS(1137),
    [aux_sym_for_statement_token2] = ACTIONS(1137),
    [aux_sym_foreach_statement_token1] = ACTIONS(1137),
    [aux_sym_foreach_statement_token2] = ACTIONS(1137),
    [aux_sym_if_statement_token1] = ACTIONS(1137),
    [aux_sym_if_statement_token2] = ACTIONS(1137),
    [aux_sym_else_if_clause_token1] = ACTIONS(1139),
    [aux_sym_else_clause_token1] = ACTIONS(1137),
    [aux_sym_match_expression_token1] = ACTIONS(1137),
    [aux_sym_match_default_expression_token1] = ACTIONS(1137),
    [aux_sym_switch_statement_token1] = ACTIONS(1137),
    [aux_sym_switch_block_token1] = ACTIONS(1137),
    [anon_sym_PLUS] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1135),
    [anon_sym_BANG] = ACTIONS(1135),
    [anon_sym_AT] = ACTIONS(1135),
    [aux_sym_clone_expression_token1] = ACTIONS(1137),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1137),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1137),
    [anon_sym_DASH_DASH] = ACTIONS(1135),
    [anon_sym_PLUS_PLUS] = ACTIONS(1135),
    [aux_sym__list_destructing_token1] = ACTIONS(1137),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_self] = ACTIONS(1137),
    [anon_sym_parent] = ACTIONS(1137),
    [aux_sym__argument_name_token1] = ACTIONS(1137),
    [aux_sym__argument_name_token2] = ACTIONS(1137),
    [anon_sym_POUND_LBRACK] = ACTIONS(1135),
    [aux_sym_encapsed_string_token1] = ACTIONS(1135),
    [anon_sym_DQUOTE] = ACTIONS(1135),
    [aux_sym_string_token1] = ACTIONS(1135),
    [anon_sym_SQUOTE] = ACTIONS(1135),
    [anon_sym_LT_LT_LT] = ACTIONS(1135),
    [anon_sym_BQUOTE] = ACTIONS(1135),
    [anon_sym_DOLLAR] = ACTIONS(1135),
    [aux_sym_yield_expression_token1] = ACTIONS(1137),
    [aux_sym_include_expression_token1] = ACTIONS(1137),
    [aux_sym_include_once_expression_token1] = ACTIONS(1137),
    [aux_sym_require_expression_token1] = ACTIONS(1137),
    [aux_sym_require_once_expression_token1] = ACTIONS(1137),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_name] = ACTIONS(1144),
    [anon_sym_QMARK_GT] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1144),
    [aux_sym_global_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_definition_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1144),
    [anon_sym_BSLASH] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [aux_sym_trait_declaration_token1] = ACTIONS(1144),
    [aux_sym_interface_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_case_token1] = ACTIONS(1144),
    [aux_sym_class_declaration_token1] = ACTIONS(1144),
    [aux_sym_final_modifier_token1] = ACTIONS(1144),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1144),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1144),
    [sym_var_modifier] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1144),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [aux_sym_cast_type_token1] = ACTIONS(1144),
    [aux_sym_echo_statement_token1] = ACTIONS(1144),
    [aux_sym_exit_statement_token1] = ACTIONS(1144),
    [anon_sym_unset] = ACTIONS(1144),
    [aux_sym_declare_statement_token1] = ACTIONS(1144),
    [aux_sym_declare_statement_token2] = ACTIONS(1144),
    [sym_float] = ACTIONS(1144),
    [aux_sym_try_statement_token1] = ACTIONS(1144),
    [aux_sym_catch_clause_token1] = ACTIONS(1144),
    [aux_sym_finally_clause_token1] = ACTIONS(1144),
    [aux_sym_goto_statement_token1] = ACTIONS(1144),
    [aux_sym_continue_statement_token1] = ACTIONS(1144),
    [aux_sym_break_statement_token1] = ACTIONS(1144),
    [sym_integer] = ACTIONS(1144),
    [aux_sym_return_statement_token1] = ACTIONS(1144),
    [aux_sym_throw_expression_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token2] = ACTIONS(1144),
    [aux_sym_do_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token2] = ACTIONS(1144),
    [aux_sym_foreach_statement_token1] = ACTIONS(1144),
    [aux_sym_foreach_statement_token2] = ACTIONS(1144),
    [aux_sym_if_statement_token1] = ACTIONS(1144),
    [aux_sym_if_statement_token2] = ACTIONS(1144),
    [aux_sym_else_if_clause_token1] = ACTIONS(1144),
    [aux_sym_else_clause_token1] = ACTIONS(1144),
    [aux_sym_match_expression_token1] = ACTIONS(1144),
    [aux_sym_match_default_expression_token1] = ACTIONS(1144),
    [aux_sym_switch_statement_token1] = ACTIONS(1144),
    [aux_sym_switch_block_token1] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1142),
    [aux_sym_clone_expression_token1] = ACTIONS(1144),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1144),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [aux_sym__list_destructing_token1] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_self] = ACTIONS(1144),
    [anon_sym_parent] = ACTIONS(1144),
    [aux_sym__argument_name_token1] = ACTIONS(1144),
    [aux_sym__argument_name_token2] = ACTIONS(1144),
    [anon_sym_POUND_LBRACK] = ACTIONS(1142),
    [aux_sym_encapsed_string_token1] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [aux_sym_string_token1] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_LT_LT_LT] = ACTIONS(1142),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1142),
    [aux_sym_yield_expression_token1] = ACTIONS(1144),
    [aux_sym_include_expression_token1] = ACTIONS(1144),
    [aux_sym_include_once_expression_token1] = ACTIONS(1144),
    [aux_sym_require_expression_token1] = ACTIONS(1144),
    [aux_sym_require_once_expression_token1] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_name] = ACTIONS(1148),
    [anon_sym_QMARK_GT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1148),
    [aux_sym_global_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_definition_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1148),
    [anon_sym_BSLASH] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [aux_sym_trait_declaration_token1] = ACTIONS(1148),
    [aux_sym_interface_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_case_token1] = ACTIONS(1148),
    [aux_sym_class_declaration_token1] = ACTIONS(1148),
    [aux_sym_final_modifier_token1] = ACTIONS(1148),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1148),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1148),
    [sym_var_modifier] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1148),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [aux_sym_cast_type_token1] = ACTIONS(1148),
    [aux_sym_echo_statement_token1] = ACTIONS(1148),
    [aux_sym_exit_statement_token1] = ACTIONS(1148),
    [anon_sym_unset] = ACTIONS(1148),
    [aux_sym_declare_statement_token1] = ACTIONS(1148),
    [aux_sym_declare_statement_token2] = ACTIONS(1148),
    [sym_float] = ACTIONS(1148),
    [aux_sym_try_statement_token1] = ACTIONS(1148),
    [aux_sym_catch_clause_token1] = ACTIONS(1148),
    [aux_sym_finally_clause_token1] = ACTIONS(1148),
    [aux_sym_goto_statement_token1] = ACTIONS(1148),
    [aux_sym_continue_statement_token1] = ACTIONS(1148),
    [aux_sym_break_statement_token1] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1148),
    [aux_sym_return_statement_token1] = ACTIONS(1148),
    [aux_sym_throw_expression_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token2] = ACTIONS(1148),
    [aux_sym_do_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token2] = ACTIONS(1148),
    [aux_sym_foreach_statement_token1] = ACTIONS(1148),
    [aux_sym_foreach_statement_token2] = ACTIONS(1148),
    [aux_sym_if_statement_token1] = ACTIONS(1148),
    [aux_sym_if_statement_token2] = ACTIONS(1148),
    [aux_sym_else_if_clause_token1] = ACTIONS(1148),
    [aux_sym_else_clause_token1] = ACTIONS(1148),
    [aux_sym_match_expression_token1] = ACTIONS(1148),
    [aux_sym_match_default_expression_token1] = ACTIONS(1148),
    [aux_sym_switch_statement_token1] = ACTIONS(1148),
    [aux_sym_switch_block_token1] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [aux_sym_clone_expression_token1] = ACTIONS(1148),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1148),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [aux_sym__list_destructing_token1] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_self] = ACTIONS(1148),
    [anon_sym_parent] = ACTIONS(1148),
    [aux_sym__argument_name_token1] = ACTIONS(1148),
    [aux_sym__argument_name_token2] = ACTIONS(1148),
    [anon_sym_POUND_LBRACK] = ACTIONS(1146),
    [aux_sym_encapsed_string_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [aux_sym_string_token1] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_LT_LT_LT] = ACTIONS(1146),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [aux_sym_yield_expression_token1] = ACTIONS(1148),
    [aux_sym_include_expression_token1] = ACTIONS(1148),
    [aux_sym_include_once_expression_token1] = ACTIONS(1148),
    [aux_sym_require_expression_token1] = ACTIONS(1148),
    [aux_sym_require_once_expression_token1] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_name] = ACTIONS(1152),
    [anon_sym_QMARK_GT] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1154),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1152),
    [aux_sym_global_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_definition_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1152),
    [anon_sym_BSLASH] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [aux_sym_trait_declaration_token1] = ACTIONS(1152),
    [aux_sym_interface_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_case_token1] = ACTIONS(1152),
    [aux_sym_class_declaration_token1] = ACTIONS(1152),
    [aux_sym_final_modifier_token1] = ACTIONS(1152),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1152),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1152),
    [sym_var_modifier] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1152),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1152),
    [anon_sym_LPAREN] = ACTIONS(1150),
    [aux_sym_cast_type_token1] = ACTIONS(1152),
    [aux_sym_echo_statement_token1] = ACTIONS(1152),
    [aux_sym_exit_statement_token1] = ACTIONS(1152),
    [anon_sym_unset] = ACTIONS(1152),
    [aux_sym_declare_statement_token1] = ACTIONS(1152),
    [aux_sym_declare_statement_token2] = ACTIONS(1152),
    [sym_float] = ACTIONS(1152),
    [aux_sym_try_statement_token1] = ACTIONS(1152),
    [aux_sym_goto_statement_token1] = ACTIONS(1152),
    [aux_sym_continue_statement_token1] = ACTIONS(1152),
    [aux_sym_break_statement_token1] = ACTIONS(1152),
    [sym_integer] = ACTIONS(1152),
    [aux_sym_return_statement_token1] = ACTIONS(1152),
    [aux_sym_throw_expression_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token2] = ACTIONS(1152),
    [aux_sym_do_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token2] = ACTIONS(1152),
    [aux_sym_foreach_statement_token1] = ACTIONS(1152),
    [aux_sym_foreach_statement_token2] = ACTIONS(1152),
    [aux_sym_if_statement_token1] = ACTIONS(1152),
    [aux_sym_if_statement_token2] = ACTIONS(1152),
    [aux_sym_else_if_clause_token1] = ACTIONS(1152),
    [aux_sym_else_clause_token1] = ACTIONS(1152),
    [aux_sym_match_expression_token1] = ACTIONS(1152),
    [aux_sym_match_default_expression_token1] = ACTIONS(1152),
    [aux_sym_switch_statement_token1] = ACTIONS(1152),
    [aux_sym_switch_block_token1] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1150),
    [aux_sym_clone_expression_token1] = ACTIONS(1152),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1152),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [aux_sym__list_destructing_token1] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_self] = ACTIONS(1152),
    [anon_sym_parent] = ACTIONS(1152),
    [aux_sym__argument_name_token1] = ACTIONS(1152),
    [aux_sym__argument_name_token2] = ACTIONS(1152),
    [anon_sym_POUND_LBRACK] = ACTIONS(1150),
    [aux_sym_encapsed_string_token1] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [aux_sym_string_token1] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_LT_LT_LT] = ACTIONS(1150),
    [anon_sym_BQUOTE] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1150),
    [aux_sym_yield_expression_token1] = ACTIONS(1152),
    [aux_sym_include_expression_token1] = ACTIONS(1152),
    [aux_sym_include_once_expression_token1] = ACTIONS(1152),
    [aux_sym_require_expression_token1] = ACTIONS(1152),
    [aux_sym_require_once_expression_token1] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1154),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(1156),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [sym_var_modifier] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [aux_sym_exit_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [aux_sym__argument_name_token1] = ACTIONS(1158),
    [aux_sym__argument_name_token2] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1160),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1162),
    [sym_name] = ACTIONS(1164),
    [anon_sym_QMARK_GT] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1164),
    [aux_sym_global_declaration_token1] = ACTIONS(1164),
    [aux_sym_namespace_definition_token1] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1164),
    [anon_sym_BSLASH] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [aux_sym_trait_declaration_token1] = ACTIONS(1164),
    [aux_sym_interface_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_case_token1] = ACTIONS(1164),
    [aux_sym_class_declaration_token1] = ACTIONS(1164),
    [aux_sym_final_modifier_token1] = ACTIONS(1164),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1164),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1164),
    [sym_var_modifier] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1164),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1164),
    [anon_sym_LPAREN] = ACTIONS(1162),
    [aux_sym_cast_type_token1] = ACTIONS(1164),
    [aux_sym_echo_statement_token1] = ACTIONS(1164),
    [aux_sym_exit_statement_token1] = ACTIONS(1164),
    [anon_sym_unset] = ACTIONS(1164),
    [aux_sym_declare_statement_token1] = ACTIONS(1164),
    [aux_sym_declare_statement_token2] = ACTIONS(1164),
    [sym_float] = ACTIONS(1164),
    [aux_sym_try_statement_token1] = ACTIONS(1164),
    [aux_sym_goto_statement_token1] = ACTIONS(1164),
    [aux_sym_continue_statement_token1] = ACTIONS(1164),
    [aux_sym_break_statement_token1] = ACTIONS(1164),
    [sym_integer] = ACTIONS(1164),
    [aux_sym_return_statement_token1] = ACTIONS(1164),
    [aux_sym_throw_expression_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token2] = ACTIONS(1164),
    [aux_sym_do_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token2] = ACTIONS(1164),
    [aux_sym_foreach_statement_token1] = ACTIONS(1164),
    [aux_sym_foreach_statement_token2] = ACTIONS(1164),
    [aux_sym_if_statement_token1] = ACTIONS(1164),
    [aux_sym_if_statement_token2] = ACTIONS(1164),
    [aux_sym_else_if_clause_token1] = ACTIONS(1164),
    [aux_sym_else_clause_token1] = ACTIONS(1164),
    [aux_sym_match_expression_token1] = ACTIONS(1164),
    [aux_sym_match_default_expression_token1] = ACTIONS(1164),
    [aux_sym_switch_statement_token1] = ACTIONS(1164),
    [aux_sym_switch_block_token1] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1162),
    [aux_sym_clone_expression_token1] = ACTIONS(1164),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1164),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [aux_sym__list_destructing_token1] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(1164),
    [anon_sym_parent] = ACTIONS(1164),
    [aux_sym__argument_name_token1] = ACTIONS(1164),
    [aux_sym__argument_name_token2] = ACTIONS(1164),
    [anon_sym_POUND_LBRACK] = ACTIONS(1162),
    [aux_sym_encapsed_string_token1] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [aux_sym_string_token1] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_LT_LT_LT] = ACTIONS(1162),
    [anon_sym_BQUOTE] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1162),
    [aux_sym_yield_expression_token1] = ACTIONS(1164),
    [aux_sym_include_expression_token1] = ACTIONS(1164),
    [aux_sym_include_once_expression_token1] = ACTIONS(1164),
    [aux_sym_require_expression_token1] = ACTIONS(1164),
    [aux_sym_require_once_expression_token1] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1166),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(1168),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [sym_var_modifier] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [aux_sym_exit_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [aux_sym__argument_name_token1] = ACTIONS(1170),
    [aux_sym__argument_name_token2] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1172),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_name] = ACTIONS(1176),
    [anon_sym_QMARK_GT] = ACTIONS(1174),
    [anon_sym_SEMI] = ACTIONS(1178),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1176),
    [aux_sym_global_declaration_token1] = ACTIONS(1176),
    [aux_sym_namespace_definition_token1] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1176),
    [anon_sym_BSLASH] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [aux_sym_trait_declaration_token1] = ACTIONS(1176),
    [aux_sym_interface_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_case_token1] = ACTIONS(1176),
    [aux_sym_class_declaration_token1] = ACTIONS(1176),
    [aux_sym_final_modifier_token1] = ACTIONS(1176),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1176),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1176),
    [sym_var_modifier] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1176),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1176),
    [anon_sym_LPAREN] = ACTIONS(1174),
    [aux_sym_cast_type_token1] = ACTIONS(1176),
    [aux_sym_echo_statement_token1] = ACTIONS(1176),
    [aux_sym_exit_statement_token1] = ACTIONS(1176),
    [anon_sym_unset] = ACTIONS(1176),
    [aux_sym_declare_statement_token1] = ACTIONS(1176),
    [aux_sym_declare_statement_token2] = ACTIONS(1176),
    [sym_float] = ACTIONS(1176),
    [aux_sym_try_statement_token1] = ACTIONS(1176),
    [aux_sym_goto_statement_token1] = ACTIONS(1176),
    [aux_sym_continue_statement_token1] = ACTIONS(1176),
    [aux_sym_break_statement_token1] = ACTIONS(1176),
    [sym_integer] = ACTIONS(1176),
    [aux_sym_return_statement_token1] = ACTIONS(1176),
    [aux_sym_throw_expression_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token2] = ACTIONS(1176),
    [aux_sym_do_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token2] = ACTIONS(1176),
    [aux_sym_foreach_statement_token1] = ACTIONS(1176),
    [aux_sym_foreach_statement_token2] = ACTIONS(1176),
    [aux_sym_if_statement_token1] = ACTIONS(1176),
    [aux_sym_if_statement_token2] = ACTIONS(1176),
    [aux_sym_else_if_clause_token1] = ACTIONS(1176),
    [aux_sym_else_clause_token1] = ACTIONS(1176),
    [aux_sym_match_expression_token1] = ACTIONS(1176),
    [aux_sym_match_default_expression_token1] = ACTIONS(1176),
    [aux_sym_switch_statement_token1] = ACTIONS(1176),
    [aux_sym_switch_block_token1] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1174),
    [aux_sym_clone_expression_token1] = ACTIONS(1176),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1176),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [aux_sym__list_destructing_token1] = ACTIONS(1176),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(1176),
    [anon_sym_parent] = ACTIONS(1176),
    [aux_sym__argument_name_token1] = ACTIONS(1176),
    [aux_sym__argument_name_token2] = ACTIONS(1176),
    [anon_sym_POUND_LBRACK] = ACTIONS(1174),
    [aux_sym_encapsed_string_token1] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [aux_sym_string_token1] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [anon_sym_LT_LT_LT] = ACTIONS(1174),
    [anon_sym_BQUOTE] = ACTIONS(1174),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [aux_sym_yield_expression_token1] = ACTIONS(1176),
    [aux_sym_include_expression_token1] = ACTIONS(1176),
    [aux_sym_include_once_expression_token1] = ACTIONS(1176),
    [aux_sym_require_expression_token1] = ACTIONS(1176),
    [aux_sym_require_once_expression_token1] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1178),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(1180),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [sym_var_modifier] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [aux_sym_exit_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [aux_sym__argument_name_token1] = ACTIONS(1182),
    [aux_sym__argument_name_token2] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1180),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(1184),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [sym_var_modifier] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [aux_sym_exit_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [aux_sym__argument_name_token1] = ACTIONS(1186),
    [aux_sym__argument_name_token2] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1188),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_name] = ACTIONS(1192),
    [anon_sym_QMARK_GT] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1192),
    [aux_sym_global_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_definition_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1192),
    [anon_sym_BSLASH] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [aux_sym_trait_declaration_token1] = ACTIONS(1192),
    [aux_sym_interface_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_case_token1] = ACTIONS(1192),
    [aux_sym_class_declaration_token1] = ACTIONS(1192),
    [aux_sym_final_modifier_token1] = ACTIONS(1192),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1192),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1192),
    [sym_var_modifier] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1192),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1192),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [aux_sym_cast_type_token1] = ACTIONS(1192),
    [aux_sym_echo_statement_token1] = ACTIONS(1192),
    [aux_sym_exit_statement_token1] = ACTIONS(1192),
    [anon_sym_unset] = ACTIONS(1192),
    [aux_sym_declare_statement_token1] = ACTIONS(1192),
    [aux_sym_declare_statement_token2] = ACTIONS(1192),
    [sym_float] = ACTIONS(1192),
    [aux_sym_try_statement_token1] = ACTIONS(1192),
    [aux_sym_goto_statement_token1] = ACTIONS(1192),
    [aux_sym_continue_statement_token1] = ACTIONS(1192),
    [aux_sym_break_statement_token1] = ACTIONS(1192),
    [sym_integer] = ACTIONS(1192),
    [aux_sym_return_statement_token1] = ACTIONS(1192),
    [aux_sym_throw_expression_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token2] = ACTIONS(1192),
    [aux_sym_do_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token2] = ACTIONS(1192),
    [aux_sym_foreach_statement_token1] = ACTIONS(1192),
    [aux_sym_foreach_statement_token2] = ACTIONS(1192),
    [aux_sym_if_statement_token1] = ACTIONS(1192),
    [aux_sym_if_statement_token2] = ACTIONS(1192),
    [aux_sym_else_if_clause_token1] = ACTIONS(1192),
    [aux_sym_else_clause_token1] = ACTIONS(1192),
    [aux_sym_match_expression_token1] = ACTIONS(1192),
    [aux_sym_match_default_expression_token1] = ACTIONS(1192),
    [aux_sym_switch_statement_token1] = ACTIONS(1192),
    [aux_sym_switch_block_token1] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [aux_sym_clone_expression_token1] = ACTIONS(1192),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1192),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [aux_sym__list_destructing_token1] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_self] = ACTIONS(1192),
    [anon_sym_parent] = ACTIONS(1192),
    [aux_sym__argument_name_token1] = ACTIONS(1192),
    [aux_sym__argument_name_token2] = ACTIONS(1192),
    [anon_sym_POUND_LBRACK] = ACTIONS(1190),
    [aux_sym_encapsed_string_token1] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [aux_sym_string_token1] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [anon_sym_LT_LT_LT] = ACTIONS(1190),
    [anon_sym_BQUOTE] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [aux_sym_yield_expression_token1] = ACTIONS(1192),
    [aux_sym_include_expression_token1] = ACTIONS(1192),
    [aux_sym_include_once_expression_token1] = ACTIONS(1192),
    [aux_sym_require_expression_token1] = ACTIONS(1192),
    [aux_sym_require_once_expression_token1] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1194),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1200),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_name] = ACTIONS(1204),
    [anon_sym_QMARK_GT] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1206),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1204),
    [aux_sym_global_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_definition_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1204),
    [anon_sym_BSLASH] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [aux_sym_trait_declaration_token1] = ACTIONS(1204),
    [aux_sym_interface_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_case_token1] = ACTIONS(1204),
    [aux_sym_class_declaration_token1] = ACTIONS(1204),
    [aux_sym_final_modifier_token1] = ACTIONS(1204),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1204),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1204),
    [sym_var_modifier] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1204),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1204),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [aux_sym_cast_type_token1] = ACTIONS(1204),
    [aux_sym_echo_statement_token1] = ACTIONS(1204),
    [aux_sym_exit_statement_token1] = ACTIONS(1204),
    [anon_sym_unset] = ACTIONS(1204),
    [aux_sym_declare_statement_token1] = ACTIONS(1204),
    [aux_sym_declare_statement_token2] = ACTIONS(1204),
    [sym_float] = ACTIONS(1204),
    [aux_sym_try_statement_token1] = ACTIONS(1204),
    [aux_sym_goto_statement_token1] = ACTIONS(1204),
    [aux_sym_continue_statement_token1] = ACTIONS(1204),
    [aux_sym_break_statement_token1] = ACTIONS(1204),
    [sym_integer] = ACTIONS(1204),
    [aux_sym_return_statement_token1] = ACTIONS(1204),
    [aux_sym_throw_expression_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token2] = ACTIONS(1204),
    [aux_sym_do_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token2] = ACTIONS(1204),
    [aux_sym_foreach_statement_token1] = ACTIONS(1204),
    [aux_sym_foreach_statement_token2] = ACTIONS(1204),
    [aux_sym_if_statement_token1] = ACTIONS(1204),
    [aux_sym_if_statement_token2] = ACTIONS(1204),
    [aux_sym_else_if_clause_token1] = ACTIONS(1204),
    [aux_sym_else_clause_token1] = ACTIONS(1204),
    [aux_sym_match_expression_token1] = ACTIONS(1204),
    [aux_sym_match_default_expression_token1] = ACTIONS(1204),
    [aux_sym_switch_statement_token1] = ACTIONS(1204),
    [aux_sym_switch_block_token1] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [aux_sym_clone_expression_token1] = ACTIONS(1204),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1204),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [aux_sym__list_destructing_token1] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_self] = ACTIONS(1204),
    [anon_sym_parent] = ACTIONS(1204),
    [aux_sym__argument_name_token1] = ACTIONS(1204),
    [aux_sym__argument_name_token2] = ACTIONS(1204),
    [anon_sym_POUND_LBRACK] = ACTIONS(1202),
    [aux_sym_encapsed_string_token1] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [aux_sym_string_token1] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_LT_LT_LT] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [aux_sym_yield_expression_token1] = ACTIONS(1204),
    [aux_sym_include_expression_token1] = ACTIONS(1204),
    [aux_sym_include_once_expression_token1] = ACTIONS(1204),
    [aux_sym_require_expression_token1] = ACTIONS(1204),
    [aux_sym_require_once_expression_token1] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1206),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1208),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(1212),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [sym_var_modifier] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [aux_sym_exit_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [aux_sym__argument_name_token1] = ACTIONS(1214),
    [aux_sym__argument_name_token2] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1216),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_name] = ACTIONS(1220),
    [anon_sym_QMARK_GT] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1222),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1220),
    [aux_sym_global_declaration_token1] = ACTIONS(1220),
    [aux_sym_namespace_definition_token1] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1220),
    [anon_sym_BSLASH] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [aux_sym_trait_declaration_token1] = ACTIONS(1220),
    [aux_sym_interface_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_case_token1] = ACTIONS(1220),
    [aux_sym_class_declaration_token1] = ACTIONS(1220),
    [aux_sym_final_modifier_token1] = ACTIONS(1220),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1220),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1220),
    [sym_var_modifier] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1220),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1220),
    [anon_sym_LPAREN] = ACTIONS(1218),
    [aux_sym_cast_type_token1] = ACTIONS(1220),
    [aux_sym_echo_statement_token1] = ACTIONS(1220),
    [aux_sym_exit_statement_token1] = ACTIONS(1220),
    [anon_sym_unset] = ACTIONS(1220),
    [aux_sym_declare_statement_token1] = ACTIONS(1220),
    [aux_sym_declare_statement_token2] = ACTIONS(1220),
    [sym_float] = ACTIONS(1220),
    [aux_sym_try_statement_token1] = ACTIONS(1220),
    [aux_sym_goto_statement_token1] = ACTIONS(1220),
    [aux_sym_continue_statement_token1] = ACTIONS(1220),
    [aux_sym_break_statement_token1] = ACTIONS(1220),
    [sym_integer] = ACTIONS(1220),
    [aux_sym_return_statement_token1] = ACTIONS(1220),
    [aux_sym_throw_expression_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token2] = ACTIONS(1220),
    [aux_sym_do_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token2] = ACTIONS(1220),
    [aux_sym_foreach_statement_token1] = ACTIONS(1220),
    [aux_sym_foreach_statement_token2] = ACTIONS(1220),
    [aux_sym_if_statement_token1] = ACTIONS(1220),
    [aux_sym_if_statement_token2] = ACTIONS(1220),
    [aux_sym_else_if_clause_token1] = ACTIONS(1220),
    [aux_sym_else_clause_token1] = ACTIONS(1220),
    [aux_sym_match_expression_token1] = ACTIONS(1220),
    [aux_sym_match_default_expression_token1] = ACTIONS(1220),
    [aux_sym_switch_statement_token1] = ACTIONS(1220),
    [aux_sym_switch_block_token1] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [aux_sym_clone_expression_token1] = ACTIONS(1220),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1220),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [aux_sym__list_destructing_token1] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1218),
    [anon_sym_self] = ACTIONS(1220),
    [anon_sym_parent] = ACTIONS(1220),
    [aux_sym__argument_name_token1] = ACTIONS(1220),
    [aux_sym__argument_name_token2] = ACTIONS(1220),
    [anon_sym_POUND_LBRACK] = ACTIONS(1218),
    [aux_sym_encapsed_string_token1] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [aux_sym_string_token1] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_LT_LT_LT] = ACTIONS(1218),
    [anon_sym_BQUOTE] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [aux_sym_yield_expression_token1] = ACTIONS(1220),
    [aux_sym_include_expression_token1] = ACTIONS(1220),
    [aux_sym_include_once_expression_token1] = ACTIONS(1220),
    [aux_sym_require_expression_token1] = ACTIONS(1220),
    [aux_sym_require_once_expression_token1] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1222),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [sym_var_modifier] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [aux_sym_exit_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [aux_sym__argument_name_token1] = ACTIONS(1226),
    [aux_sym__argument_name_token2] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1228),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_name] = ACTIONS(1232),
    [anon_sym_QMARK_GT] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1232),
    [aux_sym_global_declaration_token1] = ACTIONS(1232),
    [aux_sym_namespace_definition_token1] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1232),
    [anon_sym_BSLASH] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [aux_sym_trait_declaration_token1] = ACTIONS(1232),
    [aux_sym_interface_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_case_token1] = ACTIONS(1232),
    [aux_sym_class_declaration_token1] = ACTIONS(1232),
    [aux_sym_final_modifier_token1] = ACTIONS(1232),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1232),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1232),
    [sym_var_modifier] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1232),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1230),
    [aux_sym_cast_type_token1] = ACTIONS(1232),
    [aux_sym_echo_statement_token1] = ACTIONS(1232),
    [aux_sym_exit_statement_token1] = ACTIONS(1232),
    [anon_sym_unset] = ACTIONS(1232),
    [aux_sym_declare_statement_token1] = ACTIONS(1232),
    [aux_sym_declare_statement_token2] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [aux_sym_try_statement_token1] = ACTIONS(1232),
    [aux_sym_goto_statement_token1] = ACTIONS(1232),
    [aux_sym_continue_statement_token1] = ACTIONS(1232),
    [aux_sym_break_statement_token1] = ACTIONS(1232),
    [sym_integer] = ACTIONS(1232),
    [aux_sym_return_statement_token1] = ACTIONS(1232),
    [aux_sym_throw_expression_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token2] = ACTIONS(1232),
    [aux_sym_do_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token2] = ACTIONS(1232),
    [aux_sym_foreach_statement_token1] = ACTIONS(1232),
    [aux_sym_foreach_statement_token2] = ACTIONS(1232),
    [aux_sym_if_statement_token1] = ACTIONS(1232),
    [aux_sym_if_statement_token2] = ACTIONS(1232),
    [aux_sym_else_if_clause_token1] = ACTIONS(1232),
    [aux_sym_else_clause_token1] = ACTIONS(1232),
    [aux_sym_match_expression_token1] = ACTIONS(1232),
    [aux_sym_match_default_expression_token1] = ACTIONS(1232),
    [aux_sym_switch_statement_token1] = ACTIONS(1232),
    [aux_sym_switch_block_token1] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1230),
    [aux_sym_clone_expression_token1] = ACTIONS(1232),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1232),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [aux_sym__list_destructing_token1] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_self] = ACTIONS(1232),
    [anon_sym_parent] = ACTIONS(1232),
    [aux_sym__argument_name_token1] = ACTIONS(1232),
    [aux_sym__argument_name_token2] = ACTIONS(1232),
    [anon_sym_POUND_LBRACK] = ACTIONS(1230),
    [aux_sym_encapsed_string_token1] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [aux_sym_string_token1] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1230),
    [anon_sym_BQUOTE] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1230),
    [aux_sym_yield_expression_token1] = ACTIONS(1232),
    [aux_sym_include_expression_token1] = ACTIONS(1232),
    [aux_sym_include_once_expression_token1] = ACTIONS(1232),
    [aux_sym_require_expression_token1] = ACTIONS(1232),
    [aux_sym_require_once_expression_token1] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_name] = ACTIONS(1236),
    [anon_sym_QMARK_GT] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1236),
    [aux_sym_global_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_definition_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1236),
    [anon_sym_BSLASH] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [aux_sym_trait_declaration_token1] = ACTIONS(1236),
    [aux_sym_interface_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_case_token1] = ACTIONS(1236),
    [aux_sym_class_declaration_token1] = ACTIONS(1236),
    [aux_sym_final_modifier_token1] = ACTIONS(1236),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1236),
    [sym_var_modifier] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1236),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1234),
    [aux_sym_cast_type_token1] = ACTIONS(1236),
    [aux_sym_echo_statement_token1] = ACTIONS(1236),
    [aux_sym_exit_statement_token1] = ACTIONS(1236),
    [anon_sym_unset] = ACTIONS(1236),
    [aux_sym_declare_statement_token1] = ACTIONS(1236),
    [aux_sym_declare_statement_token2] = ACTIONS(1236),
    [sym_float] = ACTIONS(1236),
    [aux_sym_try_statement_token1] = ACTIONS(1236),
    [aux_sym_goto_statement_token1] = ACTIONS(1236),
    [aux_sym_continue_statement_token1] = ACTIONS(1236),
    [aux_sym_break_statement_token1] = ACTIONS(1236),
    [sym_integer] = ACTIONS(1236),
    [aux_sym_return_statement_token1] = ACTIONS(1236),
    [aux_sym_throw_expression_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token2] = ACTIONS(1236),
    [aux_sym_do_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token2] = ACTIONS(1236),
    [aux_sym_foreach_statement_token1] = ACTIONS(1236),
    [aux_sym_foreach_statement_token2] = ACTIONS(1236),
    [aux_sym_if_statement_token1] = ACTIONS(1236),
    [aux_sym_if_statement_token2] = ACTIONS(1236),
    [aux_sym_else_if_clause_token1] = ACTIONS(1236),
    [aux_sym_else_clause_token1] = ACTIONS(1236),
    [aux_sym_match_expression_token1] = ACTIONS(1236),
    [aux_sym_match_default_expression_token1] = ACTIONS(1236),
    [aux_sym_switch_statement_token1] = ACTIONS(1236),
    [aux_sym_switch_block_token1] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1234),
    [aux_sym_clone_expression_token1] = ACTIONS(1236),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1236),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [aux_sym__list_destructing_token1] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1234),
    [anon_sym_self] = ACTIONS(1236),
    [anon_sym_parent] = ACTIONS(1236),
    [aux_sym__argument_name_token1] = ACTIONS(1236),
    [aux_sym__argument_name_token2] = ACTIONS(1236),
    [anon_sym_POUND_LBRACK] = ACTIONS(1234),
    [aux_sym_encapsed_string_token1] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [aux_sym_string_token1] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1234),
    [anon_sym_BQUOTE] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1234),
    [aux_sym_yield_expression_token1] = ACTIONS(1236),
    [aux_sym_include_expression_token1] = ACTIONS(1236),
    [aux_sym_include_once_expression_token1] = ACTIONS(1236),
    [aux_sym_require_expression_token1] = ACTIONS(1236),
    [aux_sym_require_once_expression_token1] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_name] = ACTIONS(1240),
    [anon_sym_QMARK_GT] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1240),
    [aux_sym_global_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_definition_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1240),
    [anon_sym_BSLASH] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [aux_sym_trait_declaration_token1] = ACTIONS(1240),
    [aux_sym_interface_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_case_token1] = ACTIONS(1240),
    [aux_sym_class_declaration_token1] = ACTIONS(1240),
    [aux_sym_final_modifier_token1] = ACTIONS(1240),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1240),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1240),
    [sym_var_modifier] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [aux_sym_cast_type_token1] = ACTIONS(1240),
    [aux_sym_echo_statement_token1] = ACTIONS(1240),
    [aux_sym_exit_statement_token1] = ACTIONS(1240),
    [anon_sym_unset] = ACTIONS(1240),
    [aux_sym_declare_statement_token1] = ACTIONS(1240),
    [aux_sym_declare_statement_token2] = ACTIONS(1240),
    [sym_float] = ACTIONS(1240),
    [aux_sym_try_statement_token1] = ACTIONS(1240),
    [aux_sym_goto_statement_token1] = ACTIONS(1240),
    [aux_sym_continue_statement_token1] = ACTIONS(1240),
    [aux_sym_break_statement_token1] = ACTIONS(1240),
    [sym_integer] = ACTIONS(1240),
    [aux_sym_return_statement_token1] = ACTIONS(1240),
    [aux_sym_throw_expression_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token2] = ACTIONS(1240),
    [aux_sym_do_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token2] = ACTIONS(1240),
    [aux_sym_foreach_statement_token1] = ACTIONS(1240),
    [aux_sym_foreach_statement_token2] = ACTIONS(1240),
    [aux_sym_if_statement_token1] = ACTIONS(1240),
    [aux_sym_if_statement_token2] = ACTIONS(1240),
    [aux_sym_else_if_clause_token1] = ACTIONS(1240),
    [aux_sym_else_clause_token1] = ACTIONS(1240),
    [aux_sym_match_expression_token1] = ACTIONS(1240),
    [aux_sym_match_default_expression_token1] = ACTIONS(1240),
    [aux_sym_switch_statement_token1] = ACTIONS(1240),
    [aux_sym_switch_block_token1] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [aux_sym_clone_expression_token1] = ACTIONS(1240),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1240),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [aux_sym__list_destructing_token1] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_self] = ACTIONS(1240),
    [anon_sym_parent] = ACTIONS(1240),
    [aux_sym__argument_name_token1] = ACTIONS(1240),
    [aux_sym__argument_name_token2] = ACTIONS(1240),
    [anon_sym_POUND_LBRACK] = ACTIONS(1238),
    [aux_sym_encapsed_string_token1] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [aux_sym_string_token1] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_BQUOTE] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [aux_sym_yield_expression_token1] = ACTIONS(1240),
    [aux_sym_include_expression_token1] = ACTIONS(1240),
    [aux_sym_include_once_expression_token1] = ACTIONS(1240),
    [aux_sym_require_expression_token1] = ACTIONS(1240),
    [aux_sym_require_once_expression_token1] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_name] = ACTIONS(1244),
    [anon_sym_QMARK_GT] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1244),
    [aux_sym_global_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_definition_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1244),
    [anon_sym_BSLASH] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [aux_sym_trait_declaration_token1] = ACTIONS(1244),
    [aux_sym_interface_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_case_token1] = ACTIONS(1244),
    [aux_sym_class_declaration_token1] = ACTIONS(1244),
    [aux_sym_final_modifier_token1] = ACTIONS(1244),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1244),
    [sym_var_modifier] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1244),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [aux_sym_cast_type_token1] = ACTIONS(1244),
    [aux_sym_echo_statement_token1] = ACTIONS(1244),
    [aux_sym_exit_statement_token1] = ACTIONS(1244),
    [anon_sym_unset] = ACTIONS(1244),
    [aux_sym_declare_statement_token1] = ACTIONS(1244),
    [aux_sym_declare_statement_token2] = ACTIONS(1244),
    [sym_float] = ACTIONS(1244),
    [aux_sym_try_statement_token1] = ACTIONS(1244),
    [aux_sym_goto_statement_token1] = ACTIONS(1244),
    [aux_sym_continue_statement_token1] = ACTIONS(1244),
    [aux_sym_break_statement_token1] = ACTIONS(1244),
    [sym_integer] = ACTIONS(1244),
    [aux_sym_return_statement_token1] = ACTIONS(1244),
    [aux_sym_throw_expression_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token2] = ACTIONS(1244),
    [aux_sym_do_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token2] = ACTIONS(1244),
    [aux_sym_foreach_statement_token1] = ACTIONS(1244),
    [aux_sym_foreach_statement_token2] = ACTIONS(1244),
    [aux_sym_if_statement_token1] = ACTIONS(1244),
    [aux_sym_if_statement_token2] = ACTIONS(1244),
    [aux_sym_else_if_clause_token1] = ACTIONS(1244),
    [aux_sym_else_clause_token1] = ACTIONS(1244),
    [aux_sym_match_expression_token1] = ACTIONS(1244),
    [aux_sym_match_default_expression_token1] = ACTIONS(1244),
    [aux_sym_switch_statement_token1] = ACTIONS(1244),
    [aux_sym_switch_block_token1] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1242),
    [aux_sym_clone_expression_token1] = ACTIONS(1244),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1244),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [aux_sym__list_destructing_token1] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_self] = ACTIONS(1244),
    [anon_sym_parent] = ACTIONS(1244),
    [aux_sym__argument_name_token1] = ACTIONS(1244),
    [aux_sym__argument_name_token2] = ACTIONS(1244),
    [anon_sym_POUND_LBRACK] = ACTIONS(1242),
    [aux_sym_encapsed_string_token1] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [aux_sym_string_token1] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1242),
    [aux_sym_yield_expression_token1] = ACTIONS(1244),
    [aux_sym_include_expression_token1] = ACTIONS(1244),
    [aux_sym_include_once_expression_token1] = ACTIONS(1244),
    [aux_sym_require_expression_token1] = ACTIONS(1244),
    [aux_sym_require_once_expression_token1] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__unary_expression] = STATE(984),
    [sym_unary_op_expression] = STATE(984),
    [sym_error_suppression_expression] = STATE(984),
    [sym_clone_expression] = STATE(984),
    [sym_primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(984),
    [sym_cast_variable] = STATE(654),
    [sym_member_access_expression] = STATE(654),
    [sym_nullsafe_member_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(654),
    [sym_function_call_expression] = STATE(639),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(639),
    [sym_variable_name] = STATE(639),
    [sym_include_expression] = STATE(984),
    [sym_include_once_expression] = STATE(984),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [sym_var_modifier] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [aux_sym_exit_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [aux_sym__argument_name_token1] = ACTIONS(1274),
    [aux_sym__argument_name_token2] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [sym_var_modifier] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [aux_sym_exit_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [aux_sym__argument_name_token1] = ACTIONS(1278),
    [aux_sym__argument_name_token2] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(1292),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [sym_var_modifier] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [aux_sym_exit_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [aux_sym__argument_name_token1] = ACTIONS(1294),
    [aux_sym__argument_name_token2] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__unary_expression] = STATE(984),
    [sym_unary_op_expression] = STATE(984),
    [sym_error_suppression_expression] = STATE(984),
    [sym_clone_expression] = STATE(984),
    [sym_primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(984),
    [sym_cast_variable] = STATE(691),
    [sym_member_access_expression] = STATE(691),
    [sym_nullsafe_member_access_expression] = STATE(691),
    [sym_scoped_property_access_expression] = STATE(691),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_include_expression] = STATE(984),
    [sym_include_once_expression] = STATE(984),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(1296),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [sym_var_modifier] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [aux_sym_exit_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [aux_sym__argument_name_token1] = ACTIONS(1302),
    [aux_sym__argument_name_token2] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [sym_var_modifier] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [aux_sym_exit_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [aux_sym__argument_name_token1] = ACTIONS(1310),
    [aux_sym__argument_name_token2] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__unary_expression] = STATE(984),
    [sym_unary_op_expression] = STATE(984),
    [sym_error_suppression_expression] = STATE(984),
    [sym_clone_expression] = STATE(984),
    [sym_primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(984),
    [sym_cast_variable] = STATE(654),
    [sym_member_access_expression] = STATE(654),
    [sym_nullsafe_member_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(654),
    [sym_function_call_expression] = STATE(639),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(639),
    [sym_variable_name] = STATE(639),
    [sym_include_expression] = STATE(984),
    [sym_include_once_expression] = STATE(984),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_name] = ACTIONS(1125),
    [anon_sym_QMARK_GT] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1125),
    [aux_sym_global_declaration_token1] = ACTIONS(1125),
    [aux_sym_namespace_definition_token1] = ACTIONS(1125),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1125),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1125),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1125),
    [anon_sym_BSLASH] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [aux_sym_trait_declaration_token1] = ACTIONS(1125),
    [aux_sym_interface_declaration_token1] = ACTIONS(1125),
    [aux_sym_enum_declaration_token1] = ACTIONS(1125),
    [aux_sym_enum_case_token1] = ACTIONS(1125),
    [aux_sym_class_declaration_token1] = ACTIONS(1125),
    [aux_sym_final_modifier_token1] = ACTIONS(1125),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1125),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1125),
    [sym_var_modifier] = ACTIONS(1125),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1125),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1125),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1125),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [aux_sym_cast_type_token1] = ACTIONS(1125),
    [aux_sym_echo_statement_token1] = ACTIONS(1125),
    [aux_sym_exit_statement_token1] = ACTIONS(1125),
    [anon_sym_unset] = ACTIONS(1125),
    [aux_sym_declare_statement_token1] = ACTIONS(1125),
    [aux_sym_declare_statement_token2] = ACTIONS(1125),
    [sym_float] = ACTIONS(1125),
    [aux_sym_try_statement_token1] = ACTIONS(1125),
    [aux_sym_goto_statement_token1] = ACTIONS(1125),
    [aux_sym_continue_statement_token1] = ACTIONS(1125),
    [aux_sym_break_statement_token1] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [aux_sym_return_statement_token1] = ACTIONS(1125),
    [aux_sym_throw_expression_token1] = ACTIONS(1125),
    [aux_sym_while_statement_token1] = ACTIONS(1125),
    [aux_sym_while_statement_token2] = ACTIONS(1125),
    [aux_sym_do_statement_token1] = ACTIONS(1125),
    [aux_sym_for_statement_token1] = ACTIONS(1125),
    [aux_sym_for_statement_token2] = ACTIONS(1125),
    [aux_sym_foreach_statement_token1] = ACTIONS(1125),
    [aux_sym_foreach_statement_token2] = ACTIONS(1125),
    [aux_sym_if_statement_token1] = ACTIONS(1125),
    [aux_sym_if_statement_token2] = ACTIONS(1125),
    [aux_sym_else_if_clause_token1] = ACTIONS(1125),
    [aux_sym_else_clause_token1] = ACTIONS(1125),
    [aux_sym_match_expression_token1] = ACTIONS(1125),
    [aux_sym_match_default_expression_token1] = ACTIONS(1125),
    [aux_sym_switch_statement_token1] = ACTIONS(1125),
    [aux_sym_switch_block_token1] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_AT] = ACTIONS(1123),
    [aux_sym_clone_expression_token1] = ACTIONS(1125),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1125),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1125),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [aux_sym__list_destructing_token1] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_self] = ACTIONS(1125),
    [anon_sym_parent] = ACTIONS(1125),
    [aux_sym__argument_name_token1] = ACTIONS(1125),
    [aux_sym__argument_name_token2] = ACTIONS(1125),
    [anon_sym_POUND_LBRACK] = ACTIONS(1123),
    [aux_sym_encapsed_string_token1] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [aux_sym_string_token1] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_LT_LT_LT] = ACTIONS(1123),
    [anon_sym_BQUOTE] = ACTIONS(1123),
    [anon_sym_DOLLAR] = ACTIONS(1123),
    [aux_sym_yield_expression_token1] = ACTIONS(1125),
    [aux_sym_include_expression_token1] = ACTIONS(1125),
    [aux_sym_include_once_expression_token1] = ACTIONS(1125),
    [aux_sym_require_expression_token1] = ACTIONS(1125),
    [aux_sym_require_once_expression_token1] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [sym_var_modifier] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [aux_sym_exit_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [aux_sym__argument_name_token1] = ACTIONS(1314),
    [aux_sym__argument_name_token2] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [sym_var_modifier] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [aux_sym_exit_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [aux_sym__argument_name_token1] = ACTIONS(1318),
    [aux_sym__argument_name_token2] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [sym_var_modifier] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [aux_sym_exit_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [aux_sym__argument_name_token1] = ACTIONS(1326),
    [aux_sym__argument_name_token2] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [sym_var_modifier] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [aux_sym_exit_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [aux_sym__argument_name_token1] = ACTIONS(1334),
    [aux_sym__argument_name_token2] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [sym_var_modifier] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [aux_sym_exit_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [aux_sym__argument_name_token1] = ACTIONS(1338),
    [aux_sym__argument_name_token2] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [sym_var_modifier] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [aux_sym_exit_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [aux_sym__argument_name_token1] = ACTIONS(1346),
    [aux_sym__argument_name_token2] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [sym_var_modifier] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [aux_sym_exit_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [aux_sym__argument_name_token1] = ACTIONS(1354),
    [aux_sym__argument_name_token2] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_name] = ACTIONS(1148),
    [anon_sym_QMARK_GT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1148),
    [aux_sym_global_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_definition_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1148),
    [anon_sym_BSLASH] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [aux_sym_trait_declaration_token1] = ACTIONS(1148),
    [aux_sym_interface_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_case_token1] = ACTIONS(1148),
    [aux_sym_class_declaration_token1] = ACTIONS(1148),
    [aux_sym_final_modifier_token1] = ACTIONS(1148),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1148),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1148),
    [sym_var_modifier] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1148),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [aux_sym_cast_type_token1] = ACTIONS(1148),
    [aux_sym_echo_statement_token1] = ACTIONS(1148),
    [aux_sym_exit_statement_token1] = ACTIONS(1148),
    [anon_sym_unset] = ACTIONS(1148),
    [aux_sym_declare_statement_token1] = ACTIONS(1148),
    [aux_sym_declare_statement_token2] = ACTIONS(1148),
    [sym_float] = ACTIONS(1148),
    [aux_sym_try_statement_token1] = ACTIONS(1148),
    [aux_sym_goto_statement_token1] = ACTIONS(1148),
    [aux_sym_continue_statement_token1] = ACTIONS(1148),
    [aux_sym_break_statement_token1] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1148),
    [aux_sym_return_statement_token1] = ACTIONS(1148),
    [aux_sym_throw_expression_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token2] = ACTIONS(1148),
    [aux_sym_do_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token2] = ACTIONS(1148),
    [aux_sym_foreach_statement_token1] = ACTIONS(1148),
    [aux_sym_foreach_statement_token2] = ACTIONS(1148),
    [aux_sym_if_statement_token1] = ACTIONS(1148),
    [aux_sym_if_statement_token2] = ACTIONS(1148),
    [aux_sym_else_if_clause_token1] = ACTIONS(1148),
    [aux_sym_else_clause_token1] = ACTIONS(1148),
    [aux_sym_match_expression_token1] = ACTIONS(1148),
    [aux_sym_match_default_expression_token1] = ACTIONS(1148),
    [aux_sym_switch_statement_token1] = ACTIONS(1148),
    [aux_sym_switch_block_token1] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [aux_sym_clone_expression_token1] = ACTIONS(1148),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1148),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [aux_sym__list_destructing_token1] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_self] = ACTIONS(1148),
    [anon_sym_parent] = ACTIONS(1148),
    [aux_sym__argument_name_token1] = ACTIONS(1148),
    [aux_sym__argument_name_token2] = ACTIONS(1148),
    [anon_sym_POUND_LBRACK] = ACTIONS(1146),
    [aux_sym_encapsed_string_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [aux_sym_string_token1] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_LT_LT_LT] = ACTIONS(1146),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [aux_sym_yield_expression_token1] = ACTIONS(1148),
    [aux_sym_include_expression_token1] = ACTIONS(1148),
    [aux_sym_include_once_expression_token1] = ACTIONS(1148),
    [aux_sym_require_expression_token1] = ACTIONS(1148),
    [aux_sym_require_once_expression_token1] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [sym_var_modifier] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [aux_sym_exit_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [aux_sym__argument_name_token1] = ACTIONS(1358),
    [aux_sym__argument_name_token2] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [sym_var_modifier] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [aux_sym_exit_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [aux_sym__argument_name_token1] = ACTIONS(1366),
    [aux_sym__argument_name_token2] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [sym_var_modifier] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [aux_sym_exit_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [aux_sym__argument_name_token1] = ACTIONS(1370),
    [aux_sym__argument_name_token2] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [sym_var_modifier] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [aux_sym_exit_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [aux_sym__argument_name_token1] = ACTIONS(1378),
    [aux_sym__argument_name_token2] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [sym_var_modifier] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [aux_sym_exit_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_AT] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [aux_sym__argument_name_token1] = ACTIONS(1382),
    [aux_sym__argument_name_token2] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [sym_var_modifier] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [aux_sym_exit_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [aux_sym__argument_name_token1] = ACTIONS(1386),
    [aux_sym__argument_name_token2] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [sym_var_modifier] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [aux_sym_exit_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [aux_sym__argument_name_token1] = ACTIONS(1390),
    [aux_sym__argument_name_token2] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [sym_var_modifier] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [aux_sym_exit_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [aux_sym__argument_name_token1] = ACTIONS(1394),
    [aux_sym__argument_name_token2] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [sym_var_modifier] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [aux_sym_exit_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [aux_sym__argument_name_token1] = ACTIONS(1398),
    [aux_sym__argument_name_token2] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [sym_var_modifier] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [aux_sym_exit_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [aux_sym__argument_name_token1] = ACTIONS(1402),
    [aux_sym__argument_name_token2] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [sym_qualified_name] = STATE(919),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym__unary_expression] = STATE(1142),
    [sym_unary_op_expression] = STATE(1142),
    [sym_error_suppression_expression] = STATE(1142),
    [sym_clone_expression] = STATE(1142),
    [sym_primary_expression] = STATE(1142),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_expression] = STATE(1142),
    [sym_cast_variable] = STATE(688),
    [sym_member_access_expression] = STATE(688),
    [sym_nullsafe_member_access_expression] = STATE(688),
    [sym_scoped_property_access_expression] = STATE(688),
    [sym_function_call_expression] = STATE(664),
    [sym_scoped_call_expression] = STATE(664),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2689),
    [sym_member_call_expression] = STATE(664),
    [sym_nullsafe_member_call_expression] = STATE(664),
    [sym_subscript_expression] = STATE(664),
    [sym__dereferencable_expression] = STATE(1794),
    [sym_array_creation_expression] = STATE(911),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(878),
    [sym_string] = STATE(878),
    [sym_heredoc] = STATE(878),
    [sym_nowdoc] = STATE(878),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(878),
    [sym_dynamic_variable_name] = STATE(664),
    [sym_variable_name] = STATE(664),
    [sym_include_expression] = STATE(1142),
    [sym_include_once_expression] = STATE(1142),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_name] = ACTIONS(1408),
    [anon_sym_QMARK_GT] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1408),
    [aux_sym_global_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_definition_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [aux_sym_trait_declaration_token1] = ACTIONS(1408),
    [aux_sym_interface_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_case_token1] = ACTIONS(1408),
    [aux_sym_class_declaration_token1] = ACTIONS(1408),
    [aux_sym_final_modifier_token1] = ACTIONS(1408),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1408),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1408),
    [sym_var_modifier] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1408),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_cast_type_token1] = ACTIONS(1408),
    [aux_sym_echo_statement_token1] = ACTIONS(1408),
    [aux_sym_exit_statement_token1] = ACTIONS(1408),
    [anon_sym_unset] = ACTIONS(1408),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [aux_sym_declare_statement_token2] = ACTIONS(1408),
    [sym_float] = ACTIONS(1408),
    [aux_sym_try_statement_token1] = ACTIONS(1408),
    [aux_sym_goto_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [sym_integer] = ACTIONS(1408),
    [aux_sym_return_statement_token1] = ACTIONS(1408),
    [aux_sym_throw_expression_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token2] = ACTIONS(1408),
    [aux_sym_do_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token2] = ACTIONS(1408),
    [aux_sym_foreach_statement_token1] = ACTIONS(1408),
    [aux_sym_foreach_statement_token2] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token2] = ACTIONS(1408),
    [aux_sym_else_if_clause_token1] = ACTIONS(1408),
    [aux_sym_else_clause_token1] = ACTIONS(1408),
    [aux_sym_match_expression_token1] = ACTIONS(1408),
    [aux_sym_match_default_expression_token1] = ACTIONS(1408),
    [aux_sym_switch_statement_token1] = ACTIONS(1408),
    [aux_sym_switch_block_token1] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1406),
    [aux_sym_clone_expression_token1] = ACTIONS(1408),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1408),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [aux_sym__list_destructing_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_self] = ACTIONS(1408),
    [anon_sym_parent] = ACTIONS(1408),
    [aux_sym__argument_name_token1] = ACTIONS(1408),
    [aux_sym__argument_name_token2] = ACTIONS(1408),
    [anon_sym_POUND_LBRACK] = ACTIONS(1406),
    [aux_sym_encapsed_string_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [aux_sym_string_token1] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_LT_LT_LT] = ACTIONS(1406),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [aux_sym_yield_expression_token1] = ACTIONS(1408),
    [aux_sym_include_expression_token1] = ACTIONS(1408),
    [aux_sym_include_once_expression_token1] = ACTIONS(1408),
    [aux_sym_require_expression_token1] = ACTIONS(1408),
    [aux_sym_require_once_expression_token1] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_name] = ACTIONS(1412),
    [anon_sym_QMARK_GT] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1412),
    [aux_sym_global_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_definition_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1412),
    [anon_sym_BSLASH] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [aux_sym_trait_declaration_token1] = ACTIONS(1412),
    [aux_sym_interface_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_case_token1] = ACTIONS(1412),
    [aux_sym_class_declaration_token1] = ACTIONS(1412),
    [aux_sym_final_modifier_token1] = ACTIONS(1412),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1412),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1412),
    [sym_var_modifier] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1412),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_cast_type_token1] = ACTIONS(1412),
    [aux_sym_echo_statement_token1] = ACTIONS(1412),
    [aux_sym_exit_statement_token1] = ACTIONS(1412),
    [anon_sym_unset] = ACTIONS(1412),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [aux_sym_declare_statement_token2] = ACTIONS(1412),
    [sym_float] = ACTIONS(1412),
    [aux_sym_try_statement_token1] = ACTIONS(1412),
    [aux_sym_goto_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [sym_integer] = ACTIONS(1412),
    [aux_sym_return_statement_token1] = ACTIONS(1412),
    [aux_sym_throw_expression_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token2] = ACTIONS(1412),
    [aux_sym_do_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token2] = ACTIONS(1412),
    [aux_sym_foreach_statement_token1] = ACTIONS(1412),
    [aux_sym_foreach_statement_token2] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token2] = ACTIONS(1412),
    [aux_sym_else_if_clause_token1] = ACTIONS(1412),
    [aux_sym_else_clause_token1] = ACTIONS(1412),
    [aux_sym_match_expression_token1] = ACTIONS(1412),
    [aux_sym_match_default_expression_token1] = ACTIONS(1412),
    [aux_sym_switch_statement_token1] = ACTIONS(1412),
    [aux_sym_switch_block_token1] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1410),
    [aux_sym_clone_expression_token1] = ACTIONS(1412),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1412),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [aux_sym__list_destructing_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_self] = ACTIONS(1412),
    [anon_sym_parent] = ACTIONS(1412),
    [aux_sym__argument_name_token1] = ACTIONS(1412),
    [aux_sym__argument_name_token2] = ACTIONS(1412),
    [anon_sym_POUND_LBRACK] = ACTIONS(1410),
    [aux_sym_encapsed_string_token1] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [aux_sym_string_token1] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_LT_LT_LT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1410),
    [aux_sym_yield_expression_token1] = ACTIONS(1412),
    [aux_sym_include_expression_token1] = ACTIONS(1412),
    [aux_sym_include_once_expression_token1] = ACTIONS(1412),
    [aux_sym_require_expression_token1] = ACTIONS(1412),
    [aux_sym_require_once_expression_token1] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_name] = ACTIONS(1416),
    [anon_sym_QMARK_GT] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1416),
    [aux_sym_global_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_definition_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1416),
    [anon_sym_BSLASH] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [aux_sym_trait_declaration_token1] = ACTIONS(1416),
    [aux_sym_interface_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_case_token1] = ACTIONS(1416),
    [aux_sym_class_declaration_token1] = ACTIONS(1416),
    [aux_sym_final_modifier_token1] = ACTIONS(1416),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1416),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1416),
    [sym_var_modifier] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1416),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_cast_type_token1] = ACTIONS(1416),
    [aux_sym_echo_statement_token1] = ACTIONS(1416),
    [aux_sym_exit_statement_token1] = ACTIONS(1416),
    [anon_sym_unset] = ACTIONS(1416),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [aux_sym_declare_statement_token2] = ACTIONS(1416),
    [sym_float] = ACTIONS(1416),
    [aux_sym_try_statement_token1] = ACTIONS(1416),
    [aux_sym_goto_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [sym_integer] = ACTIONS(1416),
    [aux_sym_return_statement_token1] = ACTIONS(1416),
    [aux_sym_throw_expression_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token2] = ACTIONS(1416),
    [aux_sym_do_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token2] = ACTIONS(1416),
    [aux_sym_foreach_statement_token1] = ACTIONS(1416),
    [aux_sym_foreach_statement_token2] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token2] = ACTIONS(1416),
    [aux_sym_else_if_clause_token1] = ACTIONS(1416),
    [aux_sym_else_clause_token1] = ACTIONS(1416),
    [aux_sym_match_expression_token1] = ACTIONS(1416),
    [aux_sym_match_default_expression_token1] = ACTIONS(1416),
    [aux_sym_switch_statement_token1] = ACTIONS(1416),
    [aux_sym_switch_block_token1] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1414),
    [aux_sym_clone_expression_token1] = ACTIONS(1416),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1416),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [aux_sym__list_destructing_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_self] = ACTIONS(1416),
    [anon_sym_parent] = ACTIONS(1416),
    [aux_sym__argument_name_token1] = ACTIONS(1416),
    [aux_sym__argument_name_token2] = ACTIONS(1416),
    [anon_sym_POUND_LBRACK] = ACTIONS(1414),
    [aux_sym_encapsed_string_token1] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [aux_sym_string_token1] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_LT_LT_LT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [aux_sym_yield_expression_token1] = ACTIONS(1416),
    [aux_sym_include_expression_token1] = ACTIONS(1416),
    [aux_sym_include_once_expression_token1] = ACTIONS(1416),
    [aux_sym_require_expression_token1] = ACTIONS(1416),
    [aux_sym_require_once_expression_token1] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [sym_var_modifier] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [aux_sym_exit_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [aux_sym__argument_name_token1] = ACTIONS(1420),
    [aux_sym__argument_name_token2] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_name] = ACTIONS(1424),
    [anon_sym_QMARK_GT] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1424),
    [aux_sym_global_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_definition_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1424),
    [anon_sym_BSLASH] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [aux_sym_trait_declaration_token1] = ACTIONS(1424),
    [aux_sym_interface_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_case_token1] = ACTIONS(1424),
    [aux_sym_class_declaration_token1] = ACTIONS(1424),
    [aux_sym_final_modifier_token1] = ACTIONS(1424),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1424),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1424),
    [sym_var_modifier] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1424),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_cast_type_token1] = ACTIONS(1424),
    [aux_sym_echo_statement_token1] = ACTIONS(1424),
    [aux_sym_exit_statement_token1] = ACTIONS(1424),
    [anon_sym_unset] = ACTIONS(1424),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [aux_sym_declare_statement_token2] = ACTIONS(1424),
    [sym_float] = ACTIONS(1424),
    [aux_sym_try_statement_token1] = ACTIONS(1424),
    [aux_sym_goto_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [sym_integer] = ACTIONS(1424),
    [aux_sym_return_statement_token1] = ACTIONS(1424),
    [aux_sym_throw_expression_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token2] = ACTIONS(1424),
    [aux_sym_do_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token2] = ACTIONS(1424),
    [aux_sym_foreach_statement_token1] = ACTIONS(1424),
    [aux_sym_foreach_statement_token2] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token2] = ACTIONS(1424),
    [aux_sym_else_if_clause_token1] = ACTIONS(1424),
    [aux_sym_else_clause_token1] = ACTIONS(1424),
    [aux_sym_match_expression_token1] = ACTIONS(1424),
    [aux_sym_match_default_expression_token1] = ACTIONS(1424),
    [aux_sym_switch_statement_token1] = ACTIONS(1424),
    [aux_sym_switch_block_token1] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1422),
    [aux_sym_clone_expression_token1] = ACTIONS(1424),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1424),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [aux_sym__list_destructing_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_self] = ACTIONS(1424),
    [anon_sym_parent] = ACTIONS(1424),
    [aux_sym__argument_name_token1] = ACTIONS(1424),
    [aux_sym__argument_name_token2] = ACTIONS(1424),
    [anon_sym_POUND_LBRACK] = ACTIONS(1422),
    [aux_sym_encapsed_string_token1] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_LT_LT_LT] = ACTIONS(1422),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1422),
    [aux_sym_yield_expression_token1] = ACTIONS(1424),
    [aux_sym_include_expression_token1] = ACTIONS(1424),
    [aux_sym_include_once_expression_token1] = ACTIONS(1424),
    [aux_sym_require_expression_token1] = ACTIONS(1424),
    [aux_sym_require_once_expression_token1] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [sym_var_modifier] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [aux_sym_exit_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [aux_sym__argument_name_token1] = ACTIONS(1274),
    [aux_sym__argument_name_token2] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_name] = ACTIONS(1428),
    [anon_sym_QMARK_GT] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1428),
    [aux_sym_global_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_definition_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1428),
    [anon_sym_BSLASH] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [aux_sym_trait_declaration_token1] = ACTIONS(1428),
    [aux_sym_interface_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_case_token1] = ACTIONS(1428),
    [aux_sym_class_declaration_token1] = ACTIONS(1428),
    [aux_sym_final_modifier_token1] = ACTIONS(1428),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1428),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1428),
    [sym_var_modifier] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1428),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_cast_type_token1] = ACTIONS(1428),
    [aux_sym_echo_statement_token1] = ACTIONS(1428),
    [aux_sym_exit_statement_token1] = ACTIONS(1428),
    [anon_sym_unset] = ACTIONS(1428),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [aux_sym_declare_statement_token2] = ACTIONS(1428),
    [sym_float] = ACTIONS(1428),
    [aux_sym_try_statement_token1] = ACTIONS(1428),
    [aux_sym_goto_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [sym_integer] = ACTIONS(1428),
    [aux_sym_return_statement_token1] = ACTIONS(1428),
    [aux_sym_throw_expression_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token2] = ACTIONS(1428),
    [aux_sym_do_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token2] = ACTIONS(1428),
    [aux_sym_foreach_statement_token1] = ACTIONS(1428),
    [aux_sym_foreach_statement_token2] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token2] = ACTIONS(1428),
    [aux_sym_else_if_clause_token1] = ACTIONS(1428),
    [aux_sym_else_clause_token1] = ACTIONS(1428),
    [aux_sym_match_expression_token1] = ACTIONS(1428),
    [aux_sym_match_default_expression_token1] = ACTIONS(1428),
    [aux_sym_switch_statement_token1] = ACTIONS(1428),
    [aux_sym_switch_block_token1] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1426),
    [aux_sym_clone_expression_token1] = ACTIONS(1428),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1428),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [aux_sym__list_destructing_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_self] = ACTIONS(1428),
    [anon_sym_parent] = ACTIONS(1428),
    [aux_sym__argument_name_token1] = ACTIONS(1428),
    [aux_sym__argument_name_token2] = ACTIONS(1428),
    [anon_sym_POUND_LBRACK] = ACTIONS(1426),
    [aux_sym_encapsed_string_token1] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [aux_sym_string_token1] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_LT_LT_LT] = ACTIONS(1426),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1426),
    [aux_sym_yield_expression_token1] = ACTIONS(1428),
    [aux_sym_include_expression_token1] = ACTIONS(1428),
    [aux_sym_include_once_expression_token1] = ACTIONS(1428),
    [aux_sym_require_expression_token1] = ACTIONS(1428),
    [aux_sym_require_once_expression_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [sym_var_modifier] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [aux_sym_exit_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [aux_sym__argument_name_token1] = ACTIONS(1420),
    [aux_sym__argument_name_token2] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_name] = ACTIONS(1432),
    [anon_sym_QMARK_GT] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1432),
    [aux_sym_global_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_definition_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1432),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [aux_sym_trait_declaration_token1] = ACTIONS(1432),
    [aux_sym_interface_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_case_token1] = ACTIONS(1432),
    [aux_sym_class_declaration_token1] = ACTIONS(1432),
    [aux_sym_final_modifier_token1] = ACTIONS(1432),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1432),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1432),
    [sym_var_modifier] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1432),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_cast_type_token1] = ACTIONS(1432),
    [aux_sym_echo_statement_token1] = ACTIONS(1432),
    [aux_sym_exit_statement_token1] = ACTIONS(1432),
    [anon_sym_unset] = ACTIONS(1432),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [aux_sym_declare_statement_token2] = ACTIONS(1432),
    [sym_float] = ACTIONS(1432),
    [aux_sym_try_statement_token1] = ACTIONS(1432),
    [aux_sym_goto_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [sym_integer] = ACTIONS(1432),
    [aux_sym_return_statement_token1] = ACTIONS(1432),
    [aux_sym_throw_expression_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token2] = ACTIONS(1432),
    [aux_sym_do_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token2] = ACTIONS(1432),
    [aux_sym_foreach_statement_token1] = ACTIONS(1432),
    [aux_sym_foreach_statement_token2] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token2] = ACTIONS(1432),
    [aux_sym_else_if_clause_token1] = ACTIONS(1432),
    [aux_sym_else_clause_token1] = ACTIONS(1432),
    [aux_sym_match_expression_token1] = ACTIONS(1432),
    [aux_sym_match_default_expression_token1] = ACTIONS(1432),
    [aux_sym_switch_statement_token1] = ACTIONS(1432),
    [aux_sym_switch_block_token1] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1430),
    [aux_sym_clone_expression_token1] = ACTIONS(1432),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1432),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [aux_sym__list_destructing_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_self] = ACTIONS(1432),
    [anon_sym_parent] = ACTIONS(1432),
    [aux_sym__argument_name_token1] = ACTIONS(1432),
    [aux_sym__argument_name_token2] = ACTIONS(1432),
    [anon_sym_POUND_LBRACK] = ACTIONS(1430),
    [aux_sym_encapsed_string_token1] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_string_token1] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_LT_LT_LT] = ACTIONS(1430),
    [anon_sym_BQUOTE] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [aux_sym_yield_expression_token1] = ACTIONS(1432),
    [aux_sym_include_expression_token1] = ACTIONS(1432),
    [aux_sym_include_once_expression_token1] = ACTIONS(1432),
    [aux_sym_require_expression_token1] = ACTIONS(1432),
    [aux_sym_require_once_expression_token1] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_name] = ACTIONS(1436),
    [anon_sym_QMARK_GT] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1436),
    [aux_sym_global_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_definition_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1436),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [aux_sym_trait_declaration_token1] = ACTIONS(1436),
    [aux_sym_interface_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_case_token1] = ACTIONS(1436),
    [aux_sym_class_declaration_token1] = ACTIONS(1436),
    [aux_sym_final_modifier_token1] = ACTIONS(1436),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1436),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1436),
    [sym_var_modifier] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1436),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_cast_type_token1] = ACTIONS(1436),
    [aux_sym_echo_statement_token1] = ACTIONS(1436),
    [aux_sym_exit_statement_token1] = ACTIONS(1436),
    [anon_sym_unset] = ACTIONS(1436),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [aux_sym_declare_statement_token2] = ACTIONS(1436),
    [sym_float] = ACTIONS(1436),
    [aux_sym_try_statement_token1] = ACTIONS(1436),
    [aux_sym_goto_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [sym_integer] = ACTIONS(1436),
    [aux_sym_return_statement_token1] = ACTIONS(1436),
    [aux_sym_throw_expression_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token2] = ACTIONS(1436),
    [aux_sym_do_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token2] = ACTIONS(1436),
    [aux_sym_foreach_statement_token1] = ACTIONS(1436),
    [aux_sym_foreach_statement_token2] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token2] = ACTIONS(1436),
    [aux_sym_else_if_clause_token1] = ACTIONS(1436),
    [aux_sym_else_clause_token1] = ACTIONS(1436),
    [aux_sym_match_expression_token1] = ACTIONS(1436),
    [aux_sym_match_default_expression_token1] = ACTIONS(1436),
    [aux_sym_switch_statement_token1] = ACTIONS(1436),
    [aux_sym_switch_block_token1] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [aux_sym_clone_expression_token1] = ACTIONS(1436),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1436),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [aux_sym__list_destructing_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_self] = ACTIONS(1436),
    [anon_sym_parent] = ACTIONS(1436),
    [aux_sym__argument_name_token1] = ACTIONS(1436),
    [aux_sym__argument_name_token2] = ACTIONS(1436),
    [anon_sym_POUND_LBRACK] = ACTIONS(1434),
    [aux_sym_encapsed_string_token1] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [aux_sym_string_token1] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_LT_LT_LT] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [aux_sym_yield_expression_token1] = ACTIONS(1436),
    [aux_sym_include_expression_token1] = ACTIONS(1436),
    [aux_sym_include_once_expression_token1] = ACTIONS(1436),
    [aux_sym_require_expression_token1] = ACTIONS(1436),
    [aux_sym_require_once_expression_token1] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_name] = ACTIONS(1432),
    [anon_sym_QMARK_GT] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1432),
    [aux_sym_global_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_definition_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1432),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [aux_sym_trait_declaration_token1] = ACTIONS(1432),
    [aux_sym_interface_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_case_token1] = ACTIONS(1432),
    [aux_sym_class_declaration_token1] = ACTIONS(1432),
    [aux_sym_final_modifier_token1] = ACTIONS(1432),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1432),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1432),
    [sym_var_modifier] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1432),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_cast_type_token1] = ACTIONS(1432),
    [aux_sym_echo_statement_token1] = ACTIONS(1432),
    [aux_sym_exit_statement_token1] = ACTIONS(1432),
    [anon_sym_unset] = ACTIONS(1432),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [aux_sym_declare_statement_token2] = ACTIONS(1432),
    [sym_float] = ACTIONS(1432),
    [aux_sym_try_statement_token1] = ACTIONS(1432),
    [aux_sym_goto_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [sym_integer] = ACTIONS(1432),
    [aux_sym_return_statement_token1] = ACTIONS(1432),
    [aux_sym_throw_expression_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token2] = ACTIONS(1432),
    [aux_sym_do_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token2] = ACTIONS(1432),
    [aux_sym_foreach_statement_token1] = ACTIONS(1432),
    [aux_sym_foreach_statement_token2] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token2] = ACTIONS(1432),
    [aux_sym_else_if_clause_token1] = ACTIONS(1432),
    [aux_sym_else_clause_token1] = ACTIONS(1432),
    [aux_sym_match_expression_token1] = ACTIONS(1432),
    [aux_sym_match_default_expression_token1] = ACTIONS(1432),
    [aux_sym_switch_statement_token1] = ACTIONS(1432),
    [aux_sym_switch_block_token1] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1430),
    [aux_sym_clone_expression_token1] = ACTIONS(1432),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1432),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [aux_sym__list_destructing_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_self] = ACTIONS(1432),
    [anon_sym_parent] = ACTIONS(1432),
    [aux_sym__argument_name_token1] = ACTIONS(1432),
    [aux_sym__argument_name_token2] = ACTIONS(1432),
    [anon_sym_POUND_LBRACK] = ACTIONS(1430),
    [aux_sym_encapsed_string_token1] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_string_token1] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_LT_LT_LT] = ACTIONS(1430),
    [anon_sym_BQUOTE] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [aux_sym_yield_expression_token1] = ACTIONS(1432),
    [aux_sym_include_expression_token1] = ACTIONS(1432),
    [aux_sym_include_once_expression_token1] = ACTIONS(1432),
    [aux_sym_require_expression_token1] = ACTIONS(1432),
    [aux_sym_require_once_expression_token1] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_name] = ACTIONS(1440),
    [anon_sym_QMARK_GT] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1440),
    [aux_sym_global_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_definition_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [aux_sym_trait_declaration_token1] = ACTIONS(1440),
    [aux_sym_interface_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_case_token1] = ACTIONS(1440),
    [aux_sym_class_declaration_token1] = ACTIONS(1440),
    [aux_sym_final_modifier_token1] = ACTIONS(1440),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1440),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1440),
    [sym_var_modifier] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1440),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_cast_type_token1] = ACTIONS(1440),
    [aux_sym_echo_statement_token1] = ACTIONS(1440),
    [aux_sym_exit_statement_token1] = ACTIONS(1440),
    [anon_sym_unset] = ACTIONS(1440),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [aux_sym_declare_statement_token2] = ACTIONS(1440),
    [sym_float] = ACTIONS(1440),
    [aux_sym_try_statement_token1] = ACTIONS(1440),
    [aux_sym_goto_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [sym_integer] = ACTIONS(1440),
    [aux_sym_return_statement_token1] = ACTIONS(1440),
    [aux_sym_throw_expression_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token2] = ACTIONS(1440),
    [aux_sym_do_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token2] = ACTIONS(1440),
    [aux_sym_foreach_statement_token1] = ACTIONS(1440),
    [aux_sym_foreach_statement_token2] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token2] = ACTIONS(1440),
    [aux_sym_else_if_clause_token1] = ACTIONS(1440),
    [aux_sym_else_clause_token1] = ACTIONS(1440),
    [aux_sym_match_expression_token1] = ACTIONS(1440),
    [aux_sym_match_default_expression_token1] = ACTIONS(1440),
    [aux_sym_switch_statement_token1] = ACTIONS(1440),
    [aux_sym_switch_block_token1] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [aux_sym_clone_expression_token1] = ACTIONS(1440),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1440),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [aux_sym__list_destructing_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_self] = ACTIONS(1440),
    [anon_sym_parent] = ACTIONS(1440),
    [aux_sym__argument_name_token1] = ACTIONS(1440),
    [aux_sym__argument_name_token2] = ACTIONS(1440),
    [anon_sym_POUND_LBRACK] = ACTIONS(1438),
    [aux_sym_encapsed_string_token1] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_LT_LT_LT] = ACTIONS(1438),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [aux_sym_yield_expression_token1] = ACTIONS(1440),
    [aux_sym_include_expression_token1] = ACTIONS(1440),
    [aux_sym_include_once_expression_token1] = ACTIONS(1440),
    [aux_sym_require_expression_token1] = ACTIONS(1440),
    [aux_sym_require_once_expression_token1] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_name] = ACTIONS(1444),
    [anon_sym_QMARK_GT] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1444),
    [aux_sym_global_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_definition_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1444),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_trait_declaration_token1] = ACTIONS(1444),
    [aux_sym_interface_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_case_token1] = ACTIONS(1444),
    [aux_sym_class_declaration_token1] = ACTIONS(1444),
    [aux_sym_final_modifier_token1] = ACTIONS(1444),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1444),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1444),
    [sym_var_modifier] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1444),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_cast_type_token1] = ACTIONS(1444),
    [aux_sym_echo_statement_token1] = ACTIONS(1444),
    [aux_sym_exit_statement_token1] = ACTIONS(1444),
    [anon_sym_unset] = ACTIONS(1444),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [aux_sym_declare_statement_token2] = ACTIONS(1444),
    [sym_float] = ACTIONS(1444),
    [aux_sym_try_statement_token1] = ACTIONS(1444),
    [aux_sym_goto_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [sym_integer] = ACTIONS(1444),
    [aux_sym_return_statement_token1] = ACTIONS(1444),
    [aux_sym_throw_expression_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token2] = ACTIONS(1444),
    [aux_sym_do_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token2] = ACTIONS(1444),
    [aux_sym_foreach_statement_token1] = ACTIONS(1444),
    [aux_sym_foreach_statement_token2] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token2] = ACTIONS(1444),
    [aux_sym_else_if_clause_token1] = ACTIONS(1444),
    [aux_sym_else_clause_token1] = ACTIONS(1444),
    [aux_sym_match_expression_token1] = ACTIONS(1444),
    [aux_sym_match_default_expression_token1] = ACTIONS(1444),
    [aux_sym_switch_statement_token1] = ACTIONS(1444),
    [aux_sym_switch_block_token1] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [aux_sym_clone_expression_token1] = ACTIONS(1444),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1444),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [aux_sym__list_destructing_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_self] = ACTIONS(1444),
    [anon_sym_parent] = ACTIONS(1444),
    [aux_sym__argument_name_token1] = ACTIONS(1444),
    [aux_sym__argument_name_token2] = ACTIONS(1444),
    [anon_sym_POUND_LBRACK] = ACTIONS(1442),
    [aux_sym_encapsed_string_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_LT_LT_LT] = ACTIONS(1442),
    [anon_sym_BQUOTE] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [aux_sym_yield_expression_token1] = ACTIONS(1444),
    [aux_sym_include_expression_token1] = ACTIONS(1444),
    [aux_sym_include_once_expression_token1] = ACTIONS(1444),
    [aux_sym_require_expression_token1] = ACTIONS(1444),
    [aux_sym_require_once_expression_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_name] = ACTIONS(1448),
    [anon_sym_QMARK_GT] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1448),
    [aux_sym_global_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_definition_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [aux_sym_trait_declaration_token1] = ACTIONS(1448),
    [aux_sym_interface_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_case_token1] = ACTIONS(1448),
    [aux_sym_class_declaration_token1] = ACTIONS(1448),
    [aux_sym_final_modifier_token1] = ACTIONS(1448),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1448),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1448),
    [sym_var_modifier] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1448),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_cast_type_token1] = ACTIONS(1448),
    [aux_sym_echo_statement_token1] = ACTIONS(1448),
    [aux_sym_exit_statement_token1] = ACTIONS(1448),
    [anon_sym_unset] = ACTIONS(1448),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [aux_sym_declare_statement_token2] = ACTIONS(1448),
    [sym_float] = ACTIONS(1448),
    [aux_sym_try_statement_token1] = ACTIONS(1448),
    [aux_sym_goto_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [sym_integer] = ACTIONS(1448),
    [aux_sym_return_statement_token1] = ACTIONS(1448),
    [aux_sym_throw_expression_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token2] = ACTIONS(1448),
    [aux_sym_do_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token2] = ACTIONS(1448),
    [aux_sym_foreach_statement_token1] = ACTIONS(1448),
    [aux_sym_foreach_statement_token2] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token2] = ACTIONS(1448),
    [aux_sym_else_if_clause_token1] = ACTIONS(1448),
    [aux_sym_else_clause_token1] = ACTIONS(1448),
    [aux_sym_match_expression_token1] = ACTIONS(1448),
    [aux_sym_match_default_expression_token1] = ACTIONS(1448),
    [aux_sym_switch_statement_token1] = ACTIONS(1448),
    [aux_sym_switch_block_token1] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1446),
    [aux_sym_clone_expression_token1] = ACTIONS(1448),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1448),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [aux_sym__list_destructing_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_self] = ACTIONS(1448),
    [anon_sym_parent] = ACTIONS(1448),
    [aux_sym__argument_name_token1] = ACTIONS(1448),
    [aux_sym__argument_name_token2] = ACTIONS(1448),
    [anon_sym_POUND_LBRACK] = ACTIONS(1446),
    [aux_sym_encapsed_string_token1] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [aux_sym_string_token1] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_LT_LT_LT] = ACTIONS(1446),
    [anon_sym_BQUOTE] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1446),
    [aux_sym_yield_expression_token1] = ACTIONS(1448),
    [aux_sym_include_expression_token1] = ACTIONS(1448),
    [aux_sym_include_once_expression_token1] = ACTIONS(1448),
    [aux_sym_require_expression_token1] = ACTIONS(1448),
    [aux_sym_require_once_expression_token1] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_name] = ACTIONS(1452),
    [anon_sym_QMARK_GT] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1452),
    [aux_sym_global_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_definition_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [aux_sym_trait_declaration_token1] = ACTIONS(1452),
    [aux_sym_interface_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_case_token1] = ACTIONS(1452),
    [aux_sym_class_declaration_token1] = ACTIONS(1452),
    [aux_sym_final_modifier_token1] = ACTIONS(1452),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1452),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1452),
    [sym_var_modifier] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1452),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_cast_type_token1] = ACTIONS(1452),
    [aux_sym_echo_statement_token1] = ACTIONS(1452),
    [aux_sym_exit_statement_token1] = ACTIONS(1452),
    [anon_sym_unset] = ACTIONS(1452),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [aux_sym_declare_statement_token2] = ACTIONS(1452),
    [sym_float] = ACTIONS(1452),
    [aux_sym_try_statement_token1] = ACTIONS(1452),
    [aux_sym_goto_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [sym_integer] = ACTIONS(1452),
    [aux_sym_return_statement_token1] = ACTIONS(1452),
    [aux_sym_throw_expression_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token2] = ACTIONS(1452),
    [aux_sym_do_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token2] = ACTIONS(1452),
    [aux_sym_foreach_statement_token1] = ACTIONS(1452),
    [aux_sym_foreach_statement_token2] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token2] = ACTIONS(1452),
    [aux_sym_else_if_clause_token1] = ACTIONS(1452),
    [aux_sym_else_clause_token1] = ACTIONS(1452),
    [aux_sym_match_expression_token1] = ACTIONS(1452),
    [aux_sym_match_default_expression_token1] = ACTIONS(1452),
    [aux_sym_switch_statement_token1] = ACTIONS(1452),
    [aux_sym_switch_block_token1] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [aux_sym_clone_expression_token1] = ACTIONS(1452),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1452),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [aux_sym__list_destructing_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_self] = ACTIONS(1452),
    [anon_sym_parent] = ACTIONS(1452),
    [aux_sym__argument_name_token1] = ACTIONS(1452),
    [aux_sym__argument_name_token2] = ACTIONS(1452),
    [anon_sym_POUND_LBRACK] = ACTIONS(1450),
    [aux_sym_encapsed_string_token1] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [aux_sym_string_token1] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_LT_LT_LT] = ACTIONS(1450),
    [anon_sym_BQUOTE] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [aux_sym_yield_expression_token1] = ACTIONS(1452),
    [aux_sym_include_expression_token1] = ACTIONS(1452),
    [aux_sym_include_once_expression_token1] = ACTIONS(1452),
    [aux_sym_require_expression_token1] = ACTIONS(1452),
    [aux_sym_require_once_expression_token1] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_name] = ACTIONS(1456),
    [anon_sym_QMARK_GT] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1456),
    [aux_sym_global_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_definition_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1456),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [aux_sym_trait_declaration_token1] = ACTIONS(1456),
    [aux_sym_interface_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_case_token1] = ACTIONS(1456),
    [aux_sym_class_declaration_token1] = ACTIONS(1456),
    [aux_sym_final_modifier_token1] = ACTIONS(1456),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1456),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1456),
    [sym_var_modifier] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1456),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_cast_type_token1] = ACTIONS(1456),
    [aux_sym_echo_statement_token1] = ACTIONS(1456),
    [aux_sym_exit_statement_token1] = ACTIONS(1456),
    [anon_sym_unset] = ACTIONS(1456),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [aux_sym_declare_statement_token2] = ACTIONS(1456),
    [sym_float] = ACTIONS(1456),
    [aux_sym_try_statement_token1] = ACTIONS(1456),
    [aux_sym_goto_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [sym_integer] = ACTIONS(1456),
    [aux_sym_return_statement_token1] = ACTIONS(1456),
    [aux_sym_throw_expression_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token2] = ACTIONS(1456),
    [aux_sym_do_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token2] = ACTIONS(1456),
    [aux_sym_foreach_statement_token1] = ACTIONS(1456),
    [aux_sym_foreach_statement_token2] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token2] = ACTIONS(1456),
    [aux_sym_else_if_clause_token1] = ACTIONS(1456),
    [aux_sym_else_clause_token1] = ACTIONS(1456),
    [aux_sym_match_expression_token1] = ACTIONS(1456),
    [aux_sym_match_default_expression_token1] = ACTIONS(1456),
    [aux_sym_switch_statement_token1] = ACTIONS(1456),
    [aux_sym_switch_block_token1] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [aux_sym_clone_expression_token1] = ACTIONS(1456),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1456),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [aux_sym__list_destructing_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_self] = ACTIONS(1456),
    [anon_sym_parent] = ACTIONS(1456),
    [aux_sym__argument_name_token1] = ACTIONS(1456),
    [aux_sym__argument_name_token2] = ACTIONS(1456),
    [anon_sym_POUND_LBRACK] = ACTIONS(1454),
    [aux_sym_encapsed_string_token1] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_LT_LT_LT] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [aux_sym_yield_expression_token1] = ACTIONS(1456),
    [aux_sym_include_expression_token1] = ACTIONS(1456),
    [aux_sym_include_once_expression_token1] = ACTIONS(1456),
    [aux_sym_require_expression_token1] = ACTIONS(1456),
    [aux_sym_require_once_expression_token1] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_name] = ACTIONS(1460),
    [anon_sym_QMARK_GT] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1460),
    [aux_sym_global_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_definition_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [aux_sym_trait_declaration_token1] = ACTIONS(1460),
    [aux_sym_interface_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_case_token1] = ACTIONS(1460),
    [aux_sym_class_declaration_token1] = ACTIONS(1460),
    [aux_sym_final_modifier_token1] = ACTIONS(1460),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1460),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1460),
    [sym_var_modifier] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1460),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_cast_type_token1] = ACTIONS(1460),
    [aux_sym_echo_statement_token1] = ACTIONS(1460),
    [aux_sym_exit_statement_token1] = ACTIONS(1460),
    [anon_sym_unset] = ACTIONS(1460),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [aux_sym_declare_statement_token2] = ACTIONS(1460),
    [sym_float] = ACTIONS(1460),
    [aux_sym_try_statement_token1] = ACTIONS(1460),
    [aux_sym_goto_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [sym_integer] = ACTIONS(1460),
    [aux_sym_return_statement_token1] = ACTIONS(1460),
    [aux_sym_throw_expression_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token2] = ACTIONS(1460),
    [aux_sym_do_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token2] = ACTIONS(1460),
    [aux_sym_foreach_statement_token1] = ACTIONS(1460),
    [aux_sym_foreach_statement_token2] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token2] = ACTIONS(1460),
    [aux_sym_else_if_clause_token1] = ACTIONS(1460),
    [aux_sym_else_clause_token1] = ACTIONS(1460),
    [aux_sym_match_expression_token1] = ACTIONS(1460),
    [aux_sym_match_default_expression_token1] = ACTIONS(1460),
    [aux_sym_switch_statement_token1] = ACTIONS(1460),
    [aux_sym_switch_block_token1] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [aux_sym_clone_expression_token1] = ACTIONS(1460),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1460),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [aux_sym__list_destructing_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_self] = ACTIONS(1460),
    [anon_sym_parent] = ACTIONS(1460),
    [aux_sym__argument_name_token1] = ACTIONS(1460),
    [aux_sym__argument_name_token2] = ACTIONS(1460),
    [anon_sym_POUND_LBRACK] = ACTIONS(1458),
    [aux_sym_encapsed_string_token1] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_LT_LT_LT] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [aux_sym_yield_expression_token1] = ACTIONS(1460),
    [aux_sym_include_expression_token1] = ACTIONS(1460),
    [aux_sym_include_once_expression_token1] = ACTIONS(1460),
    [aux_sym_require_expression_token1] = ACTIONS(1460),
    [aux_sym_require_once_expression_token1] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(1180),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [sym_var_modifier] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [aux_sym_exit_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [aux_sym__argument_name_token1] = ACTIONS(1182),
    [aux_sym__argument_name_token2] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_name] = ACTIONS(1464),
    [anon_sym_QMARK_GT] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1464),
    [aux_sym_global_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_definition_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [aux_sym_trait_declaration_token1] = ACTIONS(1464),
    [aux_sym_interface_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_case_token1] = ACTIONS(1464),
    [aux_sym_class_declaration_token1] = ACTIONS(1464),
    [aux_sym_final_modifier_token1] = ACTIONS(1464),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1464),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1464),
    [sym_var_modifier] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1464),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_cast_type_token1] = ACTIONS(1464),
    [aux_sym_echo_statement_token1] = ACTIONS(1464),
    [aux_sym_exit_statement_token1] = ACTIONS(1464),
    [anon_sym_unset] = ACTIONS(1464),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [aux_sym_declare_statement_token2] = ACTIONS(1464),
    [sym_float] = ACTIONS(1464),
    [aux_sym_try_statement_token1] = ACTIONS(1464),
    [aux_sym_goto_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [sym_integer] = ACTIONS(1464),
    [aux_sym_return_statement_token1] = ACTIONS(1464),
    [aux_sym_throw_expression_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token2] = ACTIONS(1464),
    [aux_sym_do_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token2] = ACTIONS(1464),
    [aux_sym_foreach_statement_token1] = ACTIONS(1464),
    [aux_sym_foreach_statement_token2] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token2] = ACTIONS(1464),
    [aux_sym_else_if_clause_token1] = ACTIONS(1464),
    [aux_sym_else_clause_token1] = ACTIONS(1464),
    [aux_sym_match_expression_token1] = ACTIONS(1464),
    [aux_sym_match_default_expression_token1] = ACTIONS(1464),
    [aux_sym_switch_statement_token1] = ACTIONS(1464),
    [aux_sym_switch_block_token1] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [aux_sym_clone_expression_token1] = ACTIONS(1464),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1464),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [aux_sym__list_destructing_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_self] = ACTIONS(1464),
    [anon_sym_parent] = ACTIONS(1464),
    [aux_sym__argument_name_token1] = ACTIONS(1464),
    [aux_sym__argument_name_token2] = ACTIONS(1464),
    [anon_sym_POUND_LBRACK] = ACTIONS(1462),
    [aux_sym_encapsed_string_token1] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [aux_sym_string_token1] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_LT_LT_LT] = ACTIONS(1462),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [aux_sym_yield_expression_token1] = ACTIONS(1464),
    [aux_sym_include_expression_token1] = ACTIONS(1464),
    [aux_sym_include_once_expression_token1] = ACTIONS(1464),
    [aux_sym_require_expression_token1] = ACTIONS(1464),
    [aux_sym_require_once_expression_token1] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [sym_var_modifier] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [aux_sym_exit_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [aux_sym__argument_name_token1] = ACTIONS(1468),
    [aux_sym__argument_name_token2] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_name] = ACTIONS(1472),
    [anon_sym_QMARK_GT] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1472),
    [aux_sym_global_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_definition_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [aux_sym_trait_declaration_token1] = ACTIONS(1472),
    [aux_sym_interface_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_case_token1] = ACTIONS(1472),
    [aux_sym_class_declaration_token1] = ACTIONS(1472),
    [aux_sym_final_modifier_token1] = ACTIONS(1472),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1472),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1472),
    [sym_var_modifier] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1472),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_cast_type_token1] = ACTIONS(1472),
    [aux_sym_echo_statement_token1] = ACTIONS(1472),
    [aux_sym_exit_statement_token1] = ACTIONS(1472),
    [anon_sym_unset] = ACTIONS(1472),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [aux_sym_declare_statement_token2] = ACTIONS(1472),
    [sym_float] = ACTIONS(1472),
    [aux_sym_try_statement_token1] = ACTIONS(1472),
    [aux_sym_goto_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [sym_integer] = ACTIONS(1472),
    [aux_sym_return_statement_token1] = ACTIONS(1472),
    [aux_sym_throw_expression_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token2] = ACTIONS(1472),
    [aux_sym_do_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token2] = ACTIONS(1472),
    [aux_sym_foreach_statement_token1] = ACTIONS(1472),
    [aux_sym_foreach_statement_token2] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token2] = ACTIONS(1472),
    [aux_sym_else_if_clause_token1] = ACTIONS(1472),
    [aux_sym_else_clause_token1] = ACTIONS(1472),
    [aux_sym_match_expression_token1] = ACTIONS(1472),
    [aux_sym_match_default_expression_token1] = ACTIONS(1472),
    [aux_sym_switch_statement_token1] = ACTIONS(1472),
    [aux_sym_switch_block_token1] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [aux_sym_clone_expression_token1] = ACTIONS(1472),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1472),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [aux_sym__list_destructing_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_self] = ACTIONS(1472),
    [anon_sym_parent] = ACTIONS(1472),
    [aux_sym__argument_name_token1] = ACTIONS(1472),
    [aux_sym__argument_name_token2] = ACTIONS(1472),
    [anon_sym_POUND_LBRACK] = ACTIONS(1470),
    [aux_sym_encapsed_string_token1] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_LT_LT_LT] = ACTIONS(1470),
    [anon_sym_BQUOTE] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [aux_sym_yield_expression_token1] = ACTIONS(1472),
    [aux_sym_include_expression_token1] = ACTIONS(1472),
    [aux_sym_include_once_expression_token1] = ACTIONS(1472),
    [aux_sym_require_expression_token1] = ACTIONS(1472),
    [aux_sym_require_once_expression_token1] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [sym_var_modifier] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [aux_sym_exit_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [aux_sym__argument_name_token1] = ACTIONS(1468),
    [aux_sym__argument_name_token2] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_name] = ACTIONS(1476),
    [anon_sym_QMARK_GT] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1476),
    [aux_sym_global_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_definition_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [aux_sym_trait_declaration_token1] = ACTIONS(1476),
    [aux_sym_interface_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_case_token1] = ACTIONS(1476),
    [aux_sym_class_declaration_token1] = ACTIONS(1476),
    [aux_sym_final_modifier_token1] = ACTIONS(1476),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1476),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1476),
    [sym_var_modifier] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1476),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_cast_type_token1] = ACTIONS(1476),
    [aux_sym_echo_statement_token1] = ACTIONS(1476),
    [aux_sym_exit_statement_token1] = ACTIONS(1476),
    [anon_sym_unset] = ACTIONS(1476),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [aux_sym_declare_statement_token2] = ACTIONS(1476),
    [sym_float] = ACTIONS(1476),
    [aux_sym_try_statement_token1] = ACTIONS(1476),
    [aux_sym_goto_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [sym_integer] = ACTIONS(1476),
    [aux_sym_return_statement_token1] = ACTIONS(1476),
    [aux_sym_throw_expression_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token2] = ACTIONS(1476),
    [aux_sym_do_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token2] = ACTIONS(1476),
    [aux_sym_foreach_statement_token1] = ACTIONS(1476),
    [aux_sym_foreach_statement_token2] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token2] = ACTIONS(1476),
    [aux_sym_else_if_clause_token1] = ACTIONS(1476),
    [aux_sym_else_clause_token1] = ACTIONS(1476),
    [aux_sym_match_expression_token1] = ACTIONS(1476),
    [aux_sym_match_default_expression_token1] = ACTIONS(1476),
    [aux_sym_switch_statement_token1] = ACTIONS(1476),
    [aux_sym_switch_block_token1] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [aux_sym_clone_expression_token1] = ACTIONS(1476),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1476),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [aux_sym__list_destructing_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_self] = ACTIONS(1476),
    [anon_sym_parent] = ACTIONS(1476),
    [aux_sym__argument_name_token1] = ACTIONS(1476),
    [aux_sym__argument_name_token2] = ACTIONS(1476),
    [anon_sym_POUND_LBRACK] = ACTIONS(1474),
    [aux_sym_encapsed_string_token1] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [aux_sym_string_token1] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_LT_LT_LT] = ACTIONS(1474),
    [anon_sym_BQUOTE] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [aux_sym_yield_expression_token1] = ACTIONS(1476),
    [aux_sym_include_expression_token1] = ACTIONS(1476),
    [aux_sym_include_once_expression_token1] = ACTIONS(1476),
    [aux_sym_require_expression_token1] = ACTIONS(1476),
    [aux_sym_require_once_expression_token1] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_name] = ACTIONS(1480),
    [anon_sym_QMARK_GT] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1480),
    [aux_sym_global_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_definition_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [aux_sym_trait_declaration_token1] = ACTIONS(1480),
    [aux_sym_interface_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_case_token1] = ACTIONS(1480),
    [aux_sym_class_declaration_token1] = ACTIONS(1480),
    [aux_sym_final_modifier_token1] = ACTIONS(1480),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1480),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1480),
    [sym_var_modifier] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1480),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [aux_sym_cast_type_token1] = ACTIONS(1480),
    [aux_sym_echo_statement_token1] = ACTIONS(1480),
    [aux_sym_exit_statement_token1] = ACTIONS(1480),
    [anon_sym_unset] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [aux_sym_declare_statement_token2] = ACTIONS(1480),
    [sym_float] = ACTIONS(1480),
    [aux_sym_try_statement_token1] = ACTIONS(1480),
    [aux_sym_goto_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [sym_integer] = ACTIONS(1480),
    [aux_sym_return_statement_token1] = ACTIONS(1480),
    [aux_sym_throw_expression_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token2] = ACTIONS(1480),
    [aux_sym_do_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token2] = ACTIONS(1480),
    [aux_sym_foreach_statement_token1] = ACTIONS(1480),
    [aux_sym_foreach_statement_token2] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token2] = ACTIONS(1480),
    [aux_sym_else_if_clause_token1] = ACTIONS(1480),
    [aux_sym_else_clause_token1] = ACTIONS(1480),
    [aux_sym_match_expression_token1] = ACTIONS(1480),
    [aux_sym_match_default_expression_token1] = ACTIONS(1480),
    [aux_sym_switch_statement_token1] = ACTIONS(1480),
    [aux_sym_switch_block_token1] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [aux_sym_clone_expression_token1] = ACTIONS(1480),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1480),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [aux_sym__list_destructing_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_self] = ACTIONS(1480),
    [anon_sym_parent] = ACTIONS(1480),
    [aux_sym__argument_name_token1] = ACTIONS(1480),
    [aux_sym__argument_name_token2] = ACTIONS(1480),
    [anon_sym_POUND_LBRACK] = ACTIONS(1478),
    [aux_sym_encapsed_string_token1] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [aux_sym_string_token1] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_LT_LT_LT] = ACTIONS(1478),
    [anon_sym_BQUOTE] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [aux_sym_yield_expression_token1] = ACTIONS(1480),
    [aux_sym_include_expression_token1] = ACTIONS(1480),
    [aux_sym_include_once_expression_token1] = ACTIONS(1480),
    [aux_sym_require_expression_token1] = ACTIONS(1480),
    [aux_sym_require_once_expression_token1] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_name] = ACTIONS(1484),
    [anon_sym_QMARK_GT] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1484),
    [aux_sym_global_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_definition_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [aux_sym_trait_declaration_token1] = ACTIONS(1484),
    [aux_sym_interface_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_case_token1] = ACTIONS(1484),
    [aux_sym_class_declaration_token1] = ACTIONS(1484),
    [aux_sym_final_modifier_token1] = ACTIONS(1484),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1484),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1484),
    [sym_var_modifier] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1484),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [aux_sym_cast_type_token1] = ACTIONS(1484),
    [aux_sym_echo_statement_token1] = ACTIONS(1484),
    [aux_sym_exit_statement_token1] = ACTIONS(1484),
    [anon_sym_unset] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_declare_statement_token2] = ACTIONS(1484),
    [sym_float] = ACTIONS(1484),
    [aux_sym_try_statement_token1] = ACTIONS(1484),
    [aux_sym_goto_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [sym_integer] = ACTIONS(1484),
    [aux_sym_return_statement_token1] = ACTIONS(1484),
    [aux_sym_throw_expression_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token2] = ACTIONS(1484),
    [aux_sym_do_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token2] = ACTIONS(1484),
    [aux_sym_foreach_statement_token1] = ACTIONS(1484),
    [aux_sym_foreach_statement_token2] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token2] = ACTIONS(1484),
    [aux_sym_else_if_clause_token1] = ACTIONS(1484),
    [aux_sym_else_clause_token1] = ACTIONS(1484),
    [aux_sym_match_expression_token1] = ACTIONS(1484),
    [aux_sym_match_default_expression_token1] = ACTIONS(1484),
    [aux_sym_switch_statement_token1] = ACTIONS(1484),
    [aux_sym_switch_block_token1] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [aux_sym_clone_expression_token1] = ACTIONS(1484),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1484),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [aux_sym__list_destructing_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_self] = ACTIONS(1484),
    [anon_sym_parent] = ACTIONS(1484),
    [aux_sym__argument_name_token1] = ACTIONS(1484),
    [aux_sym__argument_name_token2] = ACTIONS(1484),
    [anon_sym_POUND_LBRACK] = ACTIONS(1482),
    [aux_sym_encapsed_string_token1] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [aux_sym_string_token1] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_LT_LT_LT] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [aux_sym_yield_expression_token1] = ACTIONS(1484),
    [aux_sym_include_expression_token1] = ACTIONS(1484),
    [aux_sym_include_once_expression_token1] = ACTIONS(1484),
    [aux_sym_require_expression_token1] = ACTIONS(1484),
    [aux_sym_require_once_expression_token1] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_name] = ACTIONS(1488),
    [anon_sym_QMARK_GT] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1488),
    [aux_sym_global_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_definition_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [aux_sym_trait_declaration_token1] = ACTIONS(1488),
    [aux_sym_interface_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_case_token1] = ACTIONS(1488),
    [aux_sym_class_declaration_token1] = ACTIONS(1488),
    [aux_sym_final_modifier_token1] = ACTIONS(1488),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1488),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1488),
    [sym_var_modifier] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1488),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [aux_sym_cast_type_token1] = ACTIONS(1488),
    [aux_sym_echo_statement_token1] = ACTIONS(1488),
    [aux_sym_exit_statement_token1] = ACTIONS(1488),
    [anon_sym_unset] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_declare_statement_token2] = ACTIONS(1488),
    [sym_float] = ACTIONS(1488),
    [aux_sym_try_statement_token1] = ACTIONS(1488),
    [aux_sym_goto_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [sym_integer] = ACTIONS(1488),
    [aux_sym_return_statement_token1] = ACTIONS(1488),
    [aux_sym_throw_expression_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token2] = ACTIONS(1488),
    [aux_sym_do_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token2] = ACTIONS(1488),
    [aux_sym_foreach_statement_token1] = ACTIONS(1488),
    [aux_sym_foreach_statement_token2] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token2] = ACTIONS(1488),
    [aux_sym_else_if_clause_token1] = ACTIONS(1488),
    [aux_sym_else_clause_token1] = ACTIONS(1488),
    [aux_sym_match_expression_token1] = ACTIONS(1488),
    [aux_sym_match_default_expression_token1] = ACTIONS(1488),
    [aux_sym_switch_statement_token1] = ACTIONS(1488),
    [aux_sym_switch_block_token1] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [aux_sym_clone_expression_token1] = ACTIONS(1488),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1488),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [aux_sym__list_destructing_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_self] = ACTIONS(1488),
    [anon_sym_parent] = ACTIONS(1488),
    [aux_sym__argument_name_token1] = ACTIONS(1488),
    [aux_sym__argument_name_token2] = ACTIONS(1488),
    [anon_sym_POUND_LBRACK] = ACTIONS(1486),
    [aux_sym_encapsed_string_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_LT_LT_LT] = ACTIONS(1486),
    [anon_sym_BQUOTE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [aux_sym_yield_expression_token1] = ACTIONS(1488),
    [aux_sym_include_expression_token1] = ACTIONS(1488),
    [aux_sym_include_once_expression_token1] = ACTIONS(1488),
    [aux_sym_require_expression_token1] = ACTIONS(1488),
    [aux_sym_require_once_expression_token1] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_name] = ACTIONS(1492),
    [anon_sym_QMARK_GT] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1492),
    [aux_sym_global_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_definition_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [aux_sym_trait_declaration_token1] = ACTIONS(1492),
    [aux_sym_interface_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_case_token1] = ACTIONS(1492),
    [aux_sym_class_declaration_token1] = ACTIONS(1492),
    [aux_sym_final_modifier_token1] = ACTIONS(1492),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1492),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1492),
    [sym_var_modifier] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1492),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1490),
    [aux_sym_cast_type_token1] = ACTIONS(1492),
    [aux_sym_echo_statement_token1] = ACTIONS(1492),
    [aux_sym_exit_statement_token1] = ACTIONS(1492),
    [anon_sym_unset] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_declare_statement_token2] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [aux_sym_try_statement_token1] = ACTIONS(1492),
    [aux_sym_goto_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [sym_integer] = ACTIONS(1492),
    [aux_sym_return_statement_token1] = ACTIONS(1492),
    [aux_sym_throw_expression_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token2] = ACTIONS(1492),
    [aux_sym_do_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token2] = ACTIONS(1492),
    [aux_sym_foreach_statement_token1] = ACTIONS(1492),
    [aux_sym_foreach_statement_token2] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token2] = ACTIONS(1492),
    [aux_sym_else_if_clause_token1] = ACTIONS(1492),
    [aux_sym_else_clause_token1] = ACTIONS(1492),
    [aux_sym_match_expression_token1] = ACTIONS(1492),
    [aux_sym_match_default_expression_token1] = ACTIONS(1492),
    [aux_sym_switch_statement_token1] = ACTIONS(1492),
    [aux_sym_switch_block_token1] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [aux_sym_clone_expression_token1] = ACTIONS(1492),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1492),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [aux_sym__list_destructing_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_self] = ACTIONS(1492),
    [anon_sym_parent] = ACTIONS(1492),
    [aux_sym__argument_name_token1] = ACTIONS(1492),
    [aux_sym__argument_name_token2] = ACTIONS(1492),
    [anon_sym_POUND_LBRACK] = ACTIONS(1490),
    [aux_sym_encapsed_string_token1] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_LT_LT_LT] = ACTIONS(1490),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [aux_sym_yield_expression_token1] = ACTIONS(1492),
    [aux_sym_include_expression_token1] = ACTIONS(1492),
    [aux_sym_include_once_expression_token1] = ACTIONS(1492),
    [aux_sym_require_expression_token1] = ACTIONS(1492),
    [aux_sym_require_once_expression_token1] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_case_token1] = ACTIONS(1496),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [sym_var_modifier] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [aux_sym_exit_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_declare_statement_token2] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token2] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token2] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token2] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token2] = ACTIONS(1496),
    [aux_sym_else_if_clause_token1] = ACTIONS(1496),
    [aux_sym_else_clause_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_match_default_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [aux_sym_switch_block_token1] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [aux_sym__argument_name_token1] = ACTIONS(1496),
    [aux_sym__argument_name_token2] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1494),
    [aux_sym_encapsed_string_token1] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_LT_LT_LT] = ACTIONS(1494),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1500),
    [aux_sym_global_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_definition_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1500),
    [aux_sym_interface_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_case_token1] = ACTIONS(1500),
    [aux_sym_class_declaration_token1] = ACTIONS(1500),
    [aux_sym_final_modifier_token1] = ACTIONS(1500),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1500),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1500),
    [sym_var_modifier] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1500),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1500),
    [aux_sym_echo_statement_token1] = ACTIONS(1500),
    [aux_sym_exit_statement_token1] = ACTIONS(1500),
    [anon_sym_unset] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_declare_statement_token2] = ACTIONS(1500),
    [sym_float] = ACTIONS(1500),
    [aux_sym_try_statement_token1] = ACTIONS(1500),
    [aux_sym_goto_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [sym_integer] = ACTIONS(1500),
    [aux_sym_return_statement_token1] = ACTIONS(1500),
    [aux_sym_throw_expression_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token2] = ACTIONS(1500),
    [aux_sym_do_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token2] = ACTIONS(1500),
    [aux_sym_foreach_statement_token1] = ACTIONS(1500),
    [aux_sym_foreach_statement_token2] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token2] = ACTIONS(1500),
    [aux_sym_else_if_clause_token1] = ACTIONS(1500),
    [aux_sym_else_clause_token1] = ACTIONS(1500),
    [aux_sym_match_expression_token1] = ACTIONS(1500),
    [aux_sym_match_default_expression_token1] = ACTIONS(1500),
    [aux_sym_switch_statement_token1] = ACTIONS(1500),
    [aux_sym_switch_block_token1] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1500),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1500),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1500),
    [anon_sym_parent] = ACTIONS(1500),
    [aux_sym__argument_name_token1] = ACTIONS(1500),
    [aux_sym__argument_name_token2] = ACTIONS(1500),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1500),
    [aux_sym_include_expression_token1] = ACTIONS(1500),
    [aux_sym_include_once_expression_token1] = ACTIONS(1500),
    [aux_sym_require_expression_token1] = ACTIONS(1500),
    [aux_sym_require_once_expression_token1] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_name] = ACTIONS(1504),
    [anon_sym_QMARK_GT] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1504),
    [aux_sym_global_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_definition_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1504),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [aux_sym_trait_declaration_token1] = ACTIONS(1504),
    [aux_sym_interface_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_case_token1] = ACTIONS(1504),
    [aux_sym_class_declaration_token1] = ACTIONS(1504),
    [aux_sym_final_modifier_token1] = ACTIONS(1504),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1504),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1504),
    [sym_var_modifier] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1504),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(1504),
    [aux_sym_echo_statement_token1] = ACTIONS(1504),
    [aux_sym_exit_statement_token1] = ACTIONS(1504),
    [anon_sym_unset] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [aux_sym_declare_statement_token2] = ACTIONS(1504),
    [sym_float] = ACTIONS(1504),
    [aux_sym_try_statement_token1] = ACTIONS(1504),
    [aux_sym_goto_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [sym_integer] = ACTIONS(1504),
    [aux_sym_return_statement_token1] = ACTIONS(1504),
    [aux_sym_throw_expression_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token2] = ACTIONS(1504),
    [aux_sym_do_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token2] = ACTIONS(1504),
    [aux_sym_foreach_statement_token1] = ACTIONS(1504),
    [aux_sym_foreach_statement_token2] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token2] = ACTIONS(1504),
    [aux_sym_else_if_clause_token1] = ACTIONS(1504),
    [aux_sym_else_clause_token1] = ACTIONS(1504),
    [aux_sym_match_expression_token1] = ACTIONS(1504),
    [aux_sym_match_default_expression_token1] = ACTIONS(1504),
    [aux_sym_switch_statement_token1] = ACTIONS(1504),
    [aux_sym_switch_block_token1] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [aux_sym_clone_expression_token1] = ACTIONS(1504),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1504),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [aux_sym__list_destructing_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_self] = ACTIONS(1504),
    [anon_sym_parent] = ACTIONS(1504),
    [aux_sym__argument_name_token1] = ACTIONS(1504),
    [aux_sym__argument_name_token2] = ACTIONS(1504),
    [anon_sym_POUND_LBRACK] = ACTIONS(1502),
    [aux_sym_encapsed_string_token1] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [aux_sym_string_token1] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_LT_LT_LT] = ACTIONS(1502),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [aux_sym_yield_expression_token1] = ACTIONS(1504),
    [aux_sym_include_expression_token1] = ACTIONS(1504),
    [aux_sym_include_once_expression_token1] = ACTIONS(1504),
    [aux_sym_require_expression_token1] = ACTIONS(1504),
    [aux_sym_require_once_expression_token1] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_name] = ACTIONS(1508),
    [anon_sym_QMARK_GT] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1508),
    [aux_sym_global_declaration_token1] = ACTIONS(1508),
    [aux_sym_namespace_definition_token1] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1508),
    [anon_sym_BSLASH] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [aux_sym_trait_declaration_token1] = ACTIONS(1508),
    [aux_sym_interface_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_case_token1] = ACTIONS(1508),
    [aux_sym_class_declaration_token1] = ACTIONS(1508),
    [aux_sym_final_modifier_token1] = ACTIONS(1508),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1508),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1508),
    [sym_var_modifier] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1508),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [aux_sym_cast_type_token1] = ACTIONS(1508),
    [aux_sym_echo_statement_token1] = ACTIONS(1508),
    [aux_sym_exit_statement_token1] = ACTIONS(1508),
    [anon_sym_unset] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [aux_sym_declare_statement_token2] = ACTIONS(1508),
    [sym_float] = ACTIONS(1508),
    [aux_sym_try_statement_token1] = ACTIONS(1508),
    [aux_sym_goto_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [sym_integer] = ACTIONS(1508),
    [aux_sym_return_statement_token1] = ACTIONS(1508),
    [aux_sym_throw_expression_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token2] = ACTIONS(1508),
    [aux_sym_do_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token2] = ACTIONS(1508),
    [aux_sym_foreach_statement_token1] = ACTIONS(1508),
    [aux_sym_foreach_statement_token2] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token2] = ACTIONS(1508),
    [aux_sym_else_if_clause_token1] = ACTIONS(1508),
    [aux_sym_else_clause_token1] = ACTIONS(1508),
    [aux_sym_match_expression_token1] = ACTIONS(1508),
    [aux_sym_match_default_expression_token1] = ACTIONS(1508),
    [aux_sym_switch_statement_token1] = ACTIONS(1508),
    [aux_sym_switch_block_token1] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1506),
    [aux_sym_clone_expression_token1] = ACTIONS(1508),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1508),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [aux_sym__list_destructing_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_self] = ACTIONS(1508),
    [anon_sym_parent] = ACTIONS(1508),
    [aux_sym__argument_name_token1] = ACTIONS(1508),
    [aux_sym__argument_name_token2] = ACTIONS(1508),
    [anon_sym_POUND_LBRACK] = ACTIONS(1506),
    [aux_sym_encapsed_string_token1] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [aux_sym_string_token1] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_LT_LT_LT] = ACTIONS(1506),
    [anon_sym_BQUOTE] = ACTIONS(1506),
    [anon_sym_DOLLAR] = ACTIONS(1506),
    [aux_sym_yield_expression_token1] = ACTIONS(1508),
    [aux_sym_include_expression_token1] = ACTIONS(1508),
    [aux_sym_include_once_expression_token1] = ACTIONS(1508),
    [aux_sym_require_expression_token1] = ACTIONS(1508),
    [aux_sym_require_once_expression_token1] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [sym_qualified_name] = STATE(768),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym__unary_expression] = STATE(984),
    [sym_unary_op_expression] = STATE(984),
    [sym_error_suppression_expression] = STATE(984),
    [sym_clone_expression] = STATE(984),
    [sym_primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(766),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_expression] = STATE(984),
    [sym_cast_variable] = STATE(654),
    [sym_member_access_expression] = STATE(654),
    [sym_nullsafe_member_access_expression] = STATE(654),
    [sym_scoped_property_access_expression] = STATE(654),
    [sym_function_call_expression] = STATE(639),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2626),
    [sym_relative_scope] = STATE(2626),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1768),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(748),
    [sym_string] = STATE(748),
    [sym_heredoc] = STATE(748),
    [sym_nowdoc] = STATE(748),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(748),
    [sym_dynamic_variable_name] = STATE(639),
    [sym_variable_name] = STATE(639),
    [sym_include_expression] = STATE(984),
    [sym_include_once_expression] = STATE(984),
    [sym__reserved_identifier] = STATE(1600),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_name] = ACTIONS(1512),
    [anon_sym_QMARK_GT] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1512),
    [aux_sym_global_declaration_token1] = ACTIONS(1512),
    [aux_sym_namespace_definition_token1] = ACTIONS(1512),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1512),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1512),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1512),
    [anon_sym_BSLASH] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [aux_sym_trait_declaration_token1] = ACTIONS(1512),
    [aux_sym_interface_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_case_token1] = ACTIONS(1512),
    [aux_sym_class_declaration_token1] = ACTIONS(1512),
    [aux_sym_final_modifier_token1] = ACTIONS(1512),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1512),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1512),
    [sym_var_modifier] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1512),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [aux_sym_cast_type_token1] = ACTIONS(1512),
    [aux_sym_echo_statement_token1] = ACTIONS(1512),
    [aux_sym_exit_statement_token1] = ACTIONS(1512),
    [anon_sym_unset] = ACTIONS(1512),
    [aux_sym_declare_statement_token1] = ACTIONS(1512),
    [aux_sym_declare_statement_token2] = ACTIONS(1512),
    [sym_float] = ACTIONS(1512),
    [aux_sym_try_statement_token1] = ACTIONS(1512),
    [aux_sym_goto_statement_token1] = ACTIONS(1512),
    [aux_sym_continue_statement_token1] = ACTIONS(1512),
    [aux_sym_break_statement_token1] = ACTIONS(1512),
    [sym_integer] = ACTIONS(1512),
    [aux_sym_return_statement_token1] = ACTIONS(1512),
    [aux_sym_throw_expression_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token2] = ACTIONS(1512),
    [aux_sym_do_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token2] = ACTIONS(1512),
    [aux_sym_foreach_statement_token1] = ACTIONS(1512),
    [aux_sym_foreach_statement_token2] = ACTIONS(1512),
    [aux_sym_if_statement_token1] = ACTIONS(1512),
    [aux_sym_if_statement_token2] = ACTIONS(1512),
    [aux_sym_else_if_clause_token1] = ACTIONS(1512),
    [aux_sym_else_clause_token1] = ACTIONS(1512),
    [aux_sym_match_expression_token1] = ACTIONS(1512),
    [aux_sym_match_default_expression_token1] = ACTIONS(1512),
    [aux_sym_switch_statement_token1] = ACTIONS(1512),
    [aux_sym_switch_block_token1] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1510),
    [aux_sym_clone_expression_token1] = ACTIONS(1512),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1512),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [aux_sym__list_destructing_token1] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_self] = ACTIONS(1512),
    [anon_sym_parent] = ACTIONS(1512),
    [aux_sym__argument_name_token1] = ACTIONS(1512),
    [aux_sym__argument_name_token2] = ACTIONS(1512),
    [anon_sym_POUND_LBRACK] = ACTIONS(1510),
    [aux_sym_encapsed_string_token1] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [aux_sym_string_token1] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_LT_LT_LT] = ACTIONS(1510),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [aux_sym_yield_expression_token1] = ACTIONS(1512),
    [aux_sym_include_expression_token1] = ACTIONS(1512),
    [aux_sym_include_once_expression_token1] = ACTIONS(1512),
    [aux_sym_require_expression_token1] = ACTIONS(1512),
    [aux_sym_require_once_expression_token1] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_name] = ACTIONS(1512),
    [anon_sym_QMARK_GT] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1512),
    [aux_sym_global_declaration_token1] = ACTIONS(1512),
    [aux_sym_namespace_definition_token1] = ACTIONS(1512),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1512),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1512),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1512),
    [anon_sym_BSLASH] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [aux_sym_trait_declaration_token1] = ACTIONS(1512),
    [aux_sym_interface_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_case_token1] = ACTIONS(1512),
    [aux_sym_class_declaration_token1] = ACTIONS(1512),
    [aux_sym_final_modifier_token1] = ACTIONS(1512),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1512),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1512),
    [sym_var_modifier] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1512),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [aux_sym_cast_type_token1] = ACTIONS(1512),
    [aux_sym_echo_statement_token1] = ACTIONS(1512),
    [aux_sym_exit_statement_token1] = ACTIONS(1512),
    [anon_sym_unset] = ACTIONS(1512),
    [aux_sym_declare_statement_token1] = ACTIONS(1512),
    [aux_sym_declare_statement_token2] = ACTIONS(1512),
    [sym_float] = ACTIONS(1512),
    [aux_sym_try_statement_token1] = ACTIONS(1512),
    [aux_sym_goto_statement_token1] = ACTIONS(1512),
    [aux_sym_continue_statement_token1] = ACTIONS(1512),
    [aux_sym_break_statement_token1] = ACTIONS(1512),
    [sym_integer] = ACTIONS(1512),
    [aux_sym_return_statement_token1] = ACTIONS(1512),
    [aux_sym_throw_expression_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token2] = ACTIONS(1512),
    [aux_sym_do_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token2] = ACTIONS(1512),
    [aux_sym_foreach_statement_token1] = ACTIONS(1512),
    [aux_sym_foreach_statement_token2] = ACTIONS(1512),
    [aux_sym_if_statement_token1] = ACTIONS(1512),
    [aux_sym_if_statement_token2] = ACTIONS(1512),
    [aux_sym_else_if_clause_token1] = ACTIONS(1512),
    [aux_sym_else_clause_token1] = ACTIONS(1512),
    [aux_sym_match_expression_token1] = ACTIONS(1512),
    [aux_sym_match_default_expression_token1] = ACTIONS(1512),
    [aux_sym_switch_statement_token1] = ACTIONS(1512),
    [aux_sym_switch_block_token1] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1510),
    [aux_sym_clone_expression_token1] = ACTIONS(1512),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1512),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [aux_sym__list_destructing_token1] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_self] = ACTIONS(1512),
    [anon_sym_parent] = ACTIONS(1512),
    [aux_sym__argument_name_token1] = ACTIONS(1512),
    [aux_sym__argument_name_token2] = ACTIONS(1512),
    [anon_sym_POUND_LBRACK] = ACTIONS(1510),
    [aux_sym_encapsed_string_token1] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [aux_sym_string_token1] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_LT_LT_LT] = ACTIONS(1510),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [aux_sym_yield_expression_token1] = ACTIONS(1512),
    [aux_sym_include_expression_token1] = ACTIONS(1512),
    [aux_sym_include_once_expression_token1] = ACTIONS(1512),
    [aux_sym_require_expression_token1] = ACTIONS(1512),
    [aux_sym_require_once_expression_token1] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_name] = ACTIONS(1516),
    [anon_sym_QMARK_GT] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1516),
    [aux_sym_global_declaration_token1] = ACTIONS(1516),
    [aux_sym_namespace_definition_token1] = ACTIONS(1516),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1516),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1516),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1516),
    [anon_sym_BSLASH] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [aux_sym_trait_declaration_token1] = ACTIONS(1516),
    [aux_sym_interface_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_case_token1] = ACTIONS(1516),
    [aux_sym_class_declaration_token1] = ACTIONS(1516),
    [aux_sym_final_modifier_token1] = ACTIONS(1516),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1516),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1516),
    [sym_var_modifier] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1516),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [aux_sym_cast_type_token1] = ACTIONS(1516),
    [aux_sym_echo_statement_token1] = ACTIONS(1516),
    [aux_sym_exit_statement_token1] = ACTIONS(1516),
    [anon_sym_unset] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [aux_sym_declare_statement_token2] = ACTIONS(1516),
    [sym_float] = ACTIONS(1516),
    [aux_sym_try_statement_token1] = ACTIONS(1516),
    [aux_sym_goto_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [sym_integer] = ACTIONS(1516),
    [aux_sym_return_statement_token1] = ACTIONS(1516),
    [aux_sym_throw_expression_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token2] = ACTIONS(1516),
    [aux_sym_do_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token2] = ACTIONS(1516),
    [aux_sym_foreach_statement_token1] = ACTIONS(1516),
    [aux_sym_foreach_statement_token2] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token2] = ACTIONS(1516),
    [aux_sym_else_if_clause_token1] = ACTIONS(1516),
    [aux_sym_else_clause_token1] = ACTIONS(1516),
    [aux_sym_match_expression_token1] = ACTIONS(1516),
    [aux_sym_match_default_expression_token1] = ACTIONS(1516),
    [aux_sym_switch_statement_token1] = ACTIONS(1516),
    [aux_sym_switch_block_token1] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_AT] = ACTIONS(1514),
    [aux_sym_clone_expression_token1] = ACTIONS(1516),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1516),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [aux_sym__list_destructing_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_self] = ACTIONS(1516),
    [anon_sym_parent] = ACTIONS(1516),
    [aux_sym__argument_name_token1] = ACTIONS(1516),
    [aux_sym__argument_name_token2] = ACTIONS(1516),
    [anon_sym_POUND_LBRACK] = ACTIONS(1514),
    [aux_sym_encapsed_string_token1] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [aux_sym_string_token1] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_LT_LT_LT] = ACTIONS(1514),
    [anon_sym_BQUOTE] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [aux_sym_yield_expression_token1] = ACTIONS(1516),
    [aux_sym_include_expression_token1] = ACTIONS(1516),
    [aux_sym_include_once_expression_token1] = ACTIONS(1516),
    [aux_sym_require_expression_token1] = ACTIONS(1516),
    [aux_sym_require_once_expression_token1] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_name] = ACTIONS(1520),
    [anon_sym_QMARK_GT] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1520),
    [aux_sym_global_declaration_token1] = ACTIONS(1520),
    [aux_sym_namespace_definition_token1] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1520),
    [anon_sym_BSLASH] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [aux_sym_trait_declaration_token1] = ACTIONS(1520),
    [aux_sym_interface_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_case_token1] = ACTIONS(1520),
    [aux_sym_class_declaration_token1] = ACTIONS(1520),
    [aux_sym_final_modifier_token1] = ACTIONS(1520),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1520),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1520),
    [sym_var_modifier] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1520),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [aux_sym_cast_type_token1] = ACTIONS(1520),
    [aux_sym_echo_statement_token1] = ACTIONS(1520),
    [aux_sym_exit_statement_token1] = ACTIONS(1520),
    [anon_sym_unset] = ACTIONS(1520),
    [aux_sym_declare_statement_token1] = ACTIONS(1520),
    [aux_sym_declare_statement_token2] = ACTIONS(1520),
    [sym_float] = ACTIONS(1520),
    [aux_sym_try_statement_token1] = ACTIONS(1520),
    [aux_sym_goto_statement_token1] = ACTIONS(1520),
    [aux_sym_continue_statement_token1] = ACTIONS(1520),
    [aux_sym_break_statement_token1] = ACTIONS(1520),
    [sym_integer] = ACTIONS(1520),
    [aux_sym_return_statement_token1] = ACTIONS(1520),
    [aux_sym_throw_expression_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token2] = ACTIONS(1520),
    [aux_sym_do_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token2] = ACTIONS(1520),
    [aux_sym_foreach_statement_token1] = ACTIONS(1520),
    [aux_sym_foreach_statement_token2] = ACTIONS(1520),
    [aux_sym_if_statement_token1] = ACTIONS(1520),
    [aux_sym_if_statement_token2] = ACTIONS(1520),
    [aux_sym_else_if_clause_token1] = ACTIONS(1520),
    [aux_sym_else_clause_token1] = ACTIONS(1520),
    [aux_sym_match_expression_token1] = ACTIONS(1520),
    [aux_sym_match_default_expression_token1] = ACTIONS(1520),
    [aux_sym_switch_statement_token1] = ACTIONS(1520),
    [aux_sym_switch_block_token1] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_AT] = ACTIONS(1518),
    [aux_sym_clone_expression_token1] = ACTIONS(1520),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1520),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [aux_sym__list_destructing_token1] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_self] = ACTIONS(1520),
    [anon_sym_parent] = ACTIONS(1520),
    [aux_sym__argument_name_token1] = ACTIONS(1520),
    [aux_sym__argument_name_token2] = ACTIONS(1520),
    [anon_sym_POUND_LBRACK] = ACTIONS(1518),
    [aux_sym_encapsed_string_token1] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [aux_sym_string_token1] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_LT_LT_LT] = ACTIONS(1518),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [aux_sym_yield_expression_token1] = ACTIONS(1520),
    [aux_sym_include_expression_token1] = ACTIONS(1520),
    [aux_sym_include_once_expression_token1] = ACTIONS(1520),
    [aux_sym_require_expression_token1] = ACTIONS(1520),
    [aux_sym_require_once_expression_token1] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1522),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(1522),
    [anon_sym_SEMI] = ACTIONS(1522),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1524),
    [aux_sym_global_declaration_token1] = ACTIONS(1524),
    [aux_sym_namespace_definition_token1] = ACTIONS(1524),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1524),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1524),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1524),
    [anon_sym_BSLASH] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [aux_sym_trait_declaration_token1] = ACTIONS(1524),
    [aux_sym_interface_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_case_token1] = ACTIONS(1524),
    [aux_sym_class_declaration_token1] = ACTIONS(1524),
    [aux_sym_final_modifier_token1] = ACTIONS(1524),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1524),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1524),
    [sym_var_modifier] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1524),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(1524),
    [aux_sym_echo_statement_token1] = ACTIONS(1524),
    [aux_sym_exit_statement_token1] = ACTIONS(1524),
    [anon_sym_unset] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1524),
    [aux_sym_declare_statement_token2] = ACTIONS(1524),
    [sym_float] = ACTIONS(1524),
    [aux_sym_try_statement_token1] = ACTIONS(1524),
    [aux_sym_goto_statement_token1] = ACTIONS(1524),
    [aux_sym_continue_statement_token1] = ACTIONS(1524),
    [aux_sym_break_statement_token1] = ACTIONS(1524),
    [sym_integer] = ACTIONS(1524),
    [aux_sym_return_statement_token1] = ACTIONS(1524),
    [aux_sym_throw_expression_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token2] = ACTIONS(1524),
    [aux_sym_do_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token2] = ACTIONS(1524),
    [aux_sym_foreach_statement_token1] = ACTIONS(1524),
    [aux_sym_foreach_statement_token2] = ACTIONS(1524),
    [aux_sym_if_statement_token1] = ACTIONS(1524),
    [aux_sym_if_statement_token2] = ACTIONS(1524),
    [aux_sym_else_if_clause_token1] = ACTIONS(1524),
    [aux_sym_else_clause_token1] = ACTIONS(1524),
    [aux_sym_match_expression_token1] = ACTIONS(1524),
    [aux_sym_match_default_expression_token1] = ACTIONS(1524),
    [aux_sym_switch_statement_token1] = ACTIONS(1524),
    [aux_sym_switch_block_token1] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_AT] = ACTIONS(1522),
    [aux_sym_clone_expression_token1] = ACTIONS(1524),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1524),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [aux_sym__list_destructing_token1] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_self] = ACTIONS(1524),
    [anon_sym_parent] = ACTIONS(1524),
    [aux_sym__argument_name_token1] = ACTIONS(1524),
    [aux_sym__argument_name_token2] = ACTIONS(1524),
    [anon_sym_POUND_LBRACK] = ACTIONS(1522),
    [aux_sym_encapsed_string_token1] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [aux_sym_string_token1] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_LT_LT_LT] = ACTIONS(1522),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1522),
    [aux_sym_yield_expression_token1] = ACTIONS(1524),
    [aux_sym_include_expression_token1] = ACTIONS(1524),
    [aux_sym_include_once_expression_token1] = ACTIONS(1524),
    [aux_sym_require_expression_token1] = ACTIONS(1524),
    [aux_sym_require_once_expression_token1] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1526),
    [sym_name] = ACTIONS(1528),
    [anon_sym_QMARK_GT] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1526),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1528),
    [aux_sym_global_declaration_token1] = ACTIONS(1528),
    [aux_sym_namespace_definition_token1] = ACTIONS(1528),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1528),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1528),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1528),
    [anon_sym_BSLASH] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [aux_sym_trait_declaration_token1] = ACTIONS(1528),
    [aux_sym_interface_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_case_token1] = ACTIONS(1528),
    [aux_sym_class_declaration_token1] = ACTIONS(1528),
    [aux_sym_final_modifier_token1] = ACTIONS(1528),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1528),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1528),
    [sym_var_modifier] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1528),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(1528),
    [aux_sym_echo_statement_token1] = ACTIONS(1528),
    [aux_sym_exit_statement_token1] = ACTIONS(1528),
    [anon_sym_unset] = ACTIONS(1528),
    [aux_sym_declare_statement_token1] = ACTIONS(1528),
    [aux_sym_declare_statement_token2] = ACTIONS(1528),
    [sym_float] = ACTIONS(1528),
    [aux_sym_try_statement_token1] = ACTIONS(1528),
    [aux_sym_goto_statement_token1] = ACTIONS(1528),
    [aux_sym_continue_statement_token1] = ACTIONS(1528),
    [aux_sym_break_statement_token1] = ACTIONS(1528),
    [sym_integer] = ACTIONS(1528),
    [aux_sym_return_statement_token1] = ACTIONS(1528),
    [aux_sym_throw_expression_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token2] = ACTIONS(1528),
    [aux_sym_do_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token2] = ACTIONS(1528),
    [aux_sym_foreach_statement_token1] = ACTIONS(1528),
    [aux_sym_foreach_statement_token2] = ACTIONS(1528),
    [aux_sym_if_statement_token1] = ACTIONS(1528),
    [aux_sym_if_statement_token2] = ACTIONS(1528),
    [aux_sym_else_if_clause_token1] = ACTIONS(1528),
    [aux_sym_else_clause_token1] = ACTIONS(1528),
    [aux_sym_match_expression_token1] = ACTIONS(1528),
    [aux_sym_match_default_expression_token1] = ACTIONS(1528),
    [aux_sym_switch_statement_token1] = ACTIONS(1528),
    [aux_sym_switch_block_token1] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_AT] = ACTIONS(1526),
    [aux_sym_clone_expression_token1] = ACTIONS(1528),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1528),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [aux_sym__list_destructing_token1] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_self] = ACTIONS(1528),
    [anon_sym_parent] = ACTIONS(1528),
    [aux_sym__argument_name_token1] = ACTIONS(1528),
    [aux_sym__argument_name_token2] = ACTIONS(1528),
    [anon_sym_POUND_LBRACK] = ACTIONS(1526),
    [aux_sym_encapsed_string_token1] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [aux_sym_string_token1] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_LT_LT_LT] = ACTIONS(1526),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [aux_sym_yield_expression_token1] = ACTIONS(1528),
    [aux_sym_include_expression_token1] = ACTIONS(1528),
    [aux_sym_include_once_expression_token1] = ACTIONS(1528),
    [aux_sym_require_expression_token1] = ACTIONS(1528),
    [aux_sym_require_once_expression_token1] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym_name] = ACTIONS(1532),
    [anon_sym_QMARK_GT] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1532),
    [aux_sym_global_declaration_token1] = ACTIONS(1532),
    [aux_sym_namespace_definition_token1] = ACTIONS(1532),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1532),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1532),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1532),
    [anon_sym_BSLASH] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [aux_sym_trait_declaration_token1] = ACTIONS(1532),
    [aux_sym_interface_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_case_token1] = ACTIONS(1532),
    [aux_sym_class_declaration_token1] = ACTIONS(1532),
    [aux_sym_final_modifier_token1] = ACTIONS(1532),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1532),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1532),
    [sym_var_modifier] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1532),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [aux_sym_cast_type_token1] = ACTIONS(1532),
    [aux_sym_echo_statement_token1] = ACTIONS(1532),
    [aux_sym_exit_statement_token1] = ACTIONS(1532),
    [anon_sym_unset] = ACTIONS(1532),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [aux_sym_declare_statement_token2] = ACTIONS(1532),
    [sym_float] = ACTIONS(1532),
    [aux_sym_try_statement_token1] = ACTIONS(1532),
    [aux_sym_goto_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [sym_integer] = ACTIONS(1532),
    [aux_sym_return_statement_token1] = ACTIONS(1532),
    [aux_sym_throw_expression_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token2] = ACTIONS(1532),
    [aux_sym_do_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token2] = ACTIONS(1532),
    [aux_sym_foreach_statement_token1] = ACTIONS(1532),
    [aux_sym_foreach_statement_token2] = ACTIONS(1532),
    [aux_sym_if_statement_token1] = ACTIONS(1532),
    [aux_sym_if_statement_token2] = ACTIONS(1532),
    [aux_sym_else_if_clause_token1] = ACTIONS(1532),
    [aux_sym_else_clause_token1] = ACTIONS(1532),
    [aux_sym_match_expression_token1] = ACTIONS(1532),
    [aux_sym_match_default_expression_token1] = ACTIONS(1532),
    [aux_sym_switch_statement_token1] = ACTIONS(1532),
    [aux_sym_switch_block_token1] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_AT] = ACTIONS(1530),
    [aux_sym_clone_expression_token1] = ACTIONS(1532),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1532),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [aux_sym__list_destructing_token1] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_self] = ACTIONS(1532),
    [anon_sym_parent] = ACTIONS(1532),
    [aux_sym__argument_name_token1] = ACTIONS(1532),
    [aux_sym__argument_name_token2] = ACTIONS(1532),
    [anon_sym_POUND_LBRACK] = ACTIONS(1530),
    [aux_sym_encapsed_string_token1] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [aux_sym_string_token1] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [anon_sym_LT_LT_LT] = ACTIONS(1530),
    [anon_sym_BQUOTE] = ACTIONS(1530),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [aux_sym_yield_expression_token1] = ACTIONS(1532),
    [aux_sym_include_expression_token1] = ACTIONS(1532),
    [aux_sym_include_once_expression_token1] = ACTIONS(1532),
    [aux_sym_require_expression_token1] = ACTIONS(1532),
    [aux_sym_require_once_expression_token1] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1534),
    [sym_name] = ACTIONS(1536),
    [anon_sym_QMARK_GT] = ACTIONS(1534),
    [anon_sym_SEMI] = ACTIONS(1534),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1536),
    [aux_sym_global_declaration_token1] = ACTIONS(1536),
    [aux_sym_namespace_definition_token1] = ACTIONS(1536),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1536),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1536),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1536),
    [anon_sym_BSLASH] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [aux_sym_trait_declaration_token1] = ACTIONS(1536),
    [aux_sym_interface_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_case_token1] = ACTIONS(1536),
    [aux_sym_class_declaration_token1] = ACTIONS(1536),
    [aux_sym_final_modifier_token1] = ACTIONS(1536),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1536),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1536),
    [sym_var_modifier] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1536),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1534),
    [aux_sym_cast_type_token1] = ACTIONS(1536),
    [aux_sym_echo_statement_token1] = ACTIONS(1536),
    [aux_sym_exit_statement_token1] = ACTIONS(1536),
    [anon_sym_unset] = ACTIONS(1536),
    [aux_sym_declare_statement_token1] = ACTIONS(1536),
    [aux_sym_declare_statement_token2] = ACTIONS(1536),
    [sym_float] = ACTIONS(1536),
    [aux_sym_try_statement_token1] = ACTIONS(1536),
    [aux_sym_goto_statement_token1] = ACTIONS(1536),
    [aux_sym_continue_statement_token1] = ACTIONS(1536),
    [aux_sym_break_statement_token1] = ACTIONS(1536),
    [sym_integer] = ACTIONS(1536),
    [aux_sym_return_statement_token1] = ACTIONS(1536),
    [aux_sym_throw_expression_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token2] = ACTIONS(1536),
    [aux_sym_do_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token2] = ACTIONS(1536),
    [aux_sym_foreach_statement_token1] = ACTIONS(1536),
    [aux_sym_foreach_statement_token2] = ACTIONS(1536),
    [aux_sym_if_statement_token1] = ACTIONS(1536),
    [aux_sym_if_statement_token2] = ACTIONS(1536),
    [aux_sym_else_if_clause_token1] = ACTIONS(1536),
    [aux_sym_else_clause_token1] = ACTIONS(1536),
    [aux_sym_match_expression_token1] = ACTIONS(1536),
    [aux_sym_match_default_expression_token1] = ACTIONS(1536),
    [aux_sym_switch_statement_token1] = ACTIONS(1536),
    [aux_sym_switch_block_token1] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [aux_sym_clone_expression_token1] = ACTIONS(1536),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1536),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [aux_sym__list_destructing_token1] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_self] = ACTIONS(1536),
    [anon_sym_parent] = ACTIONS(1536),
    [aux_sym__argument_name_token1] = ACTIONS(1536),
    [aux_sym__argument_name_token2] = ACTIONS(1536),
    [anon_sym_POUND_LBRACK] = ACTIONS(1534),
    [aux_sym_encapsed_string_token1] = ACTIONS(1534),
    [anon_sym_DQUOTE] = ACTIONS(1534),
    [aux_sym_string_token1] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1534),
    [anon_sym_LT_LT_LT] = ACTIONS(1534),
    [anon_sym_BQUOTE] = ACTIONS(1534),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [aux_sym_yield_expression_token1] = ACTIONS(1536),
    [aux_sym_include_expression_token1] = ACTIONS(1536),
    [aux_sym_include_once_expression_token1] = ACTIONS(1536),
    [aux_sym_require_expression_token1] = ACTIONS(1536),
    [aux_sym_require_once_expression_token1] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [sym_name] = ACTIONS(1540),
    [anon_sym_QMARK_GT] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1538),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1540),
    [aux_sym_global_declaration_token1] = ACTIONS(1540),
    [aux_sym_namespace_definition_token1] = ACTIONS(1540),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1540),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1540),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1540),
    [anon_sym_BSLASH] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [aux_sym_trait_declaration_token1] = ACTIONS(1540),
    [aux_sym_interface_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_case_token1] = ACTIONS(1540),
    [aux_sym_class_declaration_token1] = ACTIONS(1540),
    [aux_sym_final_modifier_token1] = ACTIONS(1540),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1540),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1540),
    [sym_var_modifier] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1540),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [aux_sym_cast_type_token1] = ACTIONS(1540),
    [aux_sym_echo_statement_token1] = ACTIONS(1540),
    [aux_sym_exit_statement_token1] = ACTIONS(1540),
    [anon_sym_unset] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [aux_sym_declare_statement_token2] = ACTIONS(1540),
    [sym_float] = ACTIONS(1540),
    [aux_sym_try_statement_token1] = ACTIONS(1540),
    [aux_sym_goto_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [sym_integer] = ACTIONS(1540),
    [aux_sym_return_statement_token1] = ACTIONS(1540),
    [aux_sym_throw_expression_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token2] = ACTIONS(1540),
    [aux_sym_do_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token2] = ACTIONS(1540),
    [aux_sym_foreach_statement_token1] = ACTIONS(1540),
    [aux_sym_foreach_statement_token2] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token2] = ACTIONS(1540),
    [aux_sym_else_if_clause_token1] = ACTIONS(1540),
    [aux_sym_else_clause_token1] = ACTIONS(1540),
    [aux_sym_match_expression_token1] = ACTIONS(1540),
    [aux_sym_match_default_expression_token1] = ACTIONS(1540),
    [aux_sym_switch_statement_token1] = ACTIONS(1540),
    [aux_sym_switch_block_token1] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [aux_sym_clone_expression_token1] = ACTIONS(1540),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1540),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [aux_sym__list_destructing_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_self] = ACTIONS(1540),
    [anon_sym_parent] = ACTIONS(1540),
    [aux_sym__argument_name_token1] = ACTIONS(1540),
    [aux_sym__argument_name_token2] = ACTIONS(1540),
    [anon_sym_POUND_LBRACK] = ACTIONS(1538),
    [aux_sym_encapsed_string_token1] = ACTIONS(1538),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [anon_sym_LT_LT_LT] = ACTIONS(1538),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [aux_sym_yield_expression_token1] = ACTIONS(1540),
    [aux_sym_include_expression_token1] = ACTIONS(1540),
    [aux_sym_include_once_expression_token1] = ACTIONS(1540),
    [aux_sym_require_expression_token1] = ACTIONS(1540),
    [aux_sym_require_once_expression_token1] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [sym_name] = ACTIONS(1540),
    [anon_sym_QMARK_GT] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1538),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1540),
    [aux_sym_global_declaration_token1] = ACTIONS(1540),
    [aux_sym_namespace_definition_token1] = ACTIONS(1540),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1540),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1540),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1540),
    [anon_sym_BSLASH] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [aux_sym_trait_declaration_token1] = ACTIONS(1540),
    [aux_sym_interface_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_case_token1] = ACTIONS(1540),
    [aux_sym_class_declaration_token1] = ACTIONS(1540),
    [aux_sym_final_modifier_token1] = ACTIONS(1540),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1540),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1540),
    [sym_var_modifier] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1540),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [aux_sym_cast_type_token1] = ACTIONS(1540),
    [aux_sym_echo_statement_token1] = ACTIONS(1540),
    [aux_sym_exit_statement_token1] = ACTIONS(1540),
    [anon_sym_unset] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [aux_sym_declare_statement_token2] = ACTIONS(1540),
    [sym_float] = ACTIONS(1540),
    [aux_sym_try_statement_token1] = ACTIONS(1540),
    [aux_sym_goto_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [sym_integer] = ACTIONS(1540),
    [aux_sym_return_statement_token1] = ACTIONS(1540),
    [aux_sym_throw_expression_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token2] = ACTIONS(1540),
    [aux_sym_do_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token2] = ACTIONS(1540),
    [aux_sym_foreach_statement_token1] = ACTIONS(1540),
    [aux_sym_foreach_statement_token2] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token2] = ACTIONS(1540),
    [aux_sym_else_if_clause_token1] = ACTIONS(1540),
    [aux_sym_else_clause_token1] = ACTIONS(1540),
    [aux_sym_match_expression_token1] = ACTIONS(1540),
    [aux_sym_match_default_expression_token1] = ACTIONS(1540),
    [aux_sym_switch_statement_token1] = ACTIONS(1540),
    [aux_sym_switch_block_token1] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [aux_sym_clone_expression_token1] = ACTIONS(1540),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1540),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [aux_sym__list_destructing_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_self] = ACTIONS(1540),
    [anon_sym_parent] = ACTIONS(1540),
    [aux_sym__argument_name_token1] = ACTIONS(1540),
    [aux_sym__argument_name_token2] = ACTIONS(1540),
    [anon_sym_POUND_LBRACK] = ACTIONS(1538),
    [aux_sym_encapsed_string_token1] = ACTIONS(1538),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [anon_sym_LT_LT_LT] = ACTIONS(1538),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [aux_sym_yield_expression_token1] = ACTIONS(1540),
    [aux_sym_include_expression_token1] = ACTIONS(1540),
    [aux_sym_include_once_expression_token1] = ACTIONS(1540),
    [aux_sym_require_expression_token1] = ACTIONS(1540),
    [aux_sym_require_once_expression_token1] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(1542),
    [sym_name] = ACTIONS(1544),
    [anon_sym_QMARK_GT] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1542),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1544),
    [aux_sym_global_declaration_token1] = ACTIONS(1544),
    [aux_sym_namespace_definition_token1] = ACTIONS(1544),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1544),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1544),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1544),
    [anon_sym_BSLASH] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [aux_sym_trait_declaration_token1] = ACTIONS(1544),
    [aux_sym_interface_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_case_token1] = ACTIONS(1544),
    [aux_sym_class_declaration_token1] = ACTIONS(1544),
    [aux_sym_final_modifier_token1] = ACTIONS(1544),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1544),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1544),
    [sym_var_modifier] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1544),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1544),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [aux_sym_cast_type_token1] = ACTIONS(1544),
    [aux_sym_echo_statement_token1] = ACTIONS(1544),
    [aux_sym_exit_statement_token1] = ACTIONS(1544),
    [anon_sym_unset] = ACTIONS(1544),
    [aux_sym_declare_statement_token1] = ACTIONS(1544),
    [aux_sym_declare_statement_token2] = ACTIONS(1544),
    [sym_float] = ACTIONS(1544),
    [aux_sym_try_statement_token1] = ACTIONS(1544),
    [aux_sym_goto_statement_token1] = ACTIONS(1544),
    [aux_sym_continue_statement_token1] = ACTIONS(1544),
    [aux_sym_break_statement_token1] = ACTIONS(1544),
    [sym_integer] = ACTIONS(1544),
    [aux_sym_return_statement_token1] = ACTIONS(1544),
    [aux_sym_throw_expression_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token2] = ACTIONS(1544),
    [aux_sym_do_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token2] = ACTIONS(1544),
    [aux_sym_foreach_statement_token1] = ACTIONS(1544),
    [aux_sym_foreach_statement_token2] = ACTIONS(1544),
    [aux_sym_if_statement_token1] = ACTIONS(1544),
    [aux_sym_if_statement_token2] = ACTIONS(1544),
    [aux_sym_else_if_clause_token1] = ACTIONS(1544),
    [aux_sym_else_clause_token1] = ACTIONS(1544),
    [aux_sym_match_expression_token1] = ACTIONS(1544),
    [aux_sym_match_default_expression_token1] = ACTIONS(1544),
    [aux_sym_switch_statement_token1] = ACTIONS(1544),
    [aux_sym_switch_block_token1] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [aux_sym_clone_expression_token1] = ACTIONS(1544),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1544),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [aux_sym__list_destructing_token1] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_self] = ACTIONS(1544),
    [anon_sym_parent] = ACTIONS(1544),
    [aux_sym__argument_name_token1] = ACTIONS(1544),
    [aux_sym__argument_name_token2] = ACTIONS(1544),
    [anon_sym_POUND_LBRACK] = ACTIONS(1542),
    [aux_sym_encapsed_string_token1] = ACTIONS(1542),
    [anon_sym_DQUOTE] = ACTIONS(1542),
    [aux_sym_string_token1] = ACTIONS(1542),
    [anon_sym_SQUOTE] = ACTIONS(1542),
    [anon_sym_LT_LT_LT] = ACTIONS(1542),
    [anon_sym_BQUOTE] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [aux_sym_yield_expression_token1] = ACTIONS(1544),
    [aux_sym_include_expression_token1] = ACTIONS(1544),
    [aux_sym_include_once_expression_token1] = ACTIONS(1544),
    [aux_sym_require_expression_token1] = ACTIONS(1544),
    [aux_sym_require_once_expression_token1] = ACTIONS(1544),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(1546),
    [sym_name] = ACTIONS(1548),
    [anon_sym_QMARK_GT] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1546),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1548),
    [aux_sym_global_declaration_token1] = ACTIONS(1548),
    [aux_sym_namespace_definition_token1] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1548),
    [anon_sym_BSLASH] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [aux_sym_trait_declaration_token1] = ACTIONS(1548),
    [aux_sym_interface_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_case_token1] = ACTIONS(1548),
    [aux_sym_class_declaration_token1] = ACTIONS(1548),
    [aux_sym_final_modifier_token1] = ACTIONS(1548),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1548),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1548),
    [sym_var_modifier] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1548),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1546),
    [aux_sym_cast_type_token1] = ACTIONS(1548),
    [aux_sym_echo_statement_token1] = ACTIONS(1548),
    [aux_sym_exit_statement_token1] = ACTIONS(1548),
    [anon_sym_unset] = ACTIONS(1548),
    [aux_sym_declare_statement_token1] = ACTIONS(1548),
    [aux_sym_declare_statement_token2] = ACTIONS(1548),
    [sym_float] = ACTIONS(1548),
    [aux_sym_try_statement_token1] = ACTIONS(1548),
    [aux_sym_goto_statement_token1] = ACTIONS(1548),
    [aux_sym_continue_statement_token1] = ACTIONS(1548),
    [aux_sym_break_statement_token1] = ACTIONS(1548),
    [sym_integer] = ACTIONS(1548),
    [aux_sym_return_statement_token1] = ACTIONS(1548),
    [aux_sym_throw_expression_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token2] = ACTIONS(1548),
    [aux_sym_do_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token2] = ACTIONS(1548),
    [aux_sym_foreach_statement_token1] = ACTIONS(1548),
    [aux_sym_foreach_statement_token2] = ACTIONS(1548),
    [aux_sym_if_statement_token1] = ACTIONS(1548),
    [aux_sym_if_statement_token2] = ACTIONS(1548),
    [aux_sym_else_if_clause_token1] = ACTIONS(1548),
    [aux_sym_else_clause_token1] = ACTIONS(1548),
    [aux_sym_match_expression_token1] = ACTIONS(1548),
    [aux_sym_match_default_expression_token1] = ACTIONS(1548),
    [aux_sym_switch_statement_token1] = ACTIONS(1548),
    [aux_sym_switch_block_token1] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_AT] = ACTIONS(1546),
    [aux_sym_clone_expression_token1] = ACTIONS(1548),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1548),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [aux_sym__list_destructing_token1] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_self] = ACTIONS(1548),
    [anon_sym_parent] = ACTIONS(1548),
    [aux_sym__argument_name_token1] = ACTIONS(1548),
    [aux_sym__argument_name_token2] = ACTIONS(1548),
    [anon_sym_POUND_LBRACK] = ACTIONS(1546),
    [aux_sym_encapsed_string_token1] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [aux_sym_string_token1] = ACTIONS(1546),
    [anon_sym_SQUOTE] = ACTIONS(1546),
    [anon_sym_LT_LT_LT] = ACTIONS(1546),
    [anon_sym_BQUOTE] = ACTIONS(1546),
    [anon_sym_DOLLAR] = ACTIONS(1546),
    [aux_sym_yield_expression_token1] = ACTIONS(1548),
    [aux_sym_include_expression_token1] = ACTIONS(1548),
    [aux_sym_include_once_expression_token1] = ACTIONS(1548),
    [aux_sym_require_expression_token1] = ACTIONS(1548),
    [aux_sym_require_once_expression_token1] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(1526),
    [sym_name] = ACTIONS(1528),
    [anon_sym_QMARK_GT] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1526),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1528),
    [aux_sym_global_declaration_token1] = ACTIONS(1528),
    [aux_sym_namespace_definition_token1] = ACTIONS(1528),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1528),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1528),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1528),
    [anon_sym_BSLASH] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [aux_sym_trait_declaration_token1] = ACTIONS(1528),
    [aux_sym_interface_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_case_token1] = ACTIONS(1528),
    [aux_sym_class_declaration_token1] = ACTIONS(1528),
    [aux_sym_final_modifier_token1] = ACTIONS(1528),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1528),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1528),
    [sym_var_modifier] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1528),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(1528),
    [aux_sym_echo_statement_token1] = ACTIONS(1528),
    [aux_sym_exit_statement_token1] = ACTIONS(1528),
    [anon_sym_unset] = ACTIONS(1528),
    [aux_sym_declare_statement_token1] = ACTIONS(1528),
    [aux_sym_declare_statement_token2] = ACTIONS(1528),
    [sym_float] = ACTIONS(1528),
    [aux_sym_try_statement_token1] = ACTIONS(1528),
    [aux_sym_goto_statement_token1] = ACTIONS(1528),
    [aux_sym_continue_statement_token1] = ACTIONS(1528),
    [aux_sym_break_statement_token1] = ACTIONS(1528),
    [sym_integer] = ACTIONS(1528),
    [aux_sym_return_statement_token1] = ACTIONS(1528),
    [aux_sym_throw_expression_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token2] = ACTIONS(1528),
    [aux_sym_do_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token2] = ACTIONS(1528),
    [aux_sym_foreach_statement_token1] = ACTIONS(1528),
    [aux_sym_foreach_statement_token2] = ACTIONS(1528),
    [aux_sym_if_statement_token1] = ACTIONS(1528),
    [aux_sym_if_statement_token2] = ACTIONS(1528),
    [aux_sym_else_if_clause_token1] = ACTIONS(1528),
    [aux_sym_else_clause_token1] = ACTIONS(1528),
    [aux_sym_match_expression_token1] = ACTIONS(1528),
    [aux_sym_match_default_expression_token1] = ACTIONS(1528),
    [aux_sym_switch_statement_token1] = ACTIONS(1528),
    [aux_sym_switch_block_token1] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_AT] = ACTIONS(1526),
    [aux_sym_clone_expression_token1] = ACTIONS(1528),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1528),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [aux_sym__list_destructing_token1] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_self] = ACTIONS(1528),
    [anon_sym_parent] = ACTIONS(1528),
    [aux_sym__argument_name_token1] = ACTIONS(1528),
    [aux_sym__argument_name_token2] = ACTIONS(1528),
    [anon_sym_POUND_LBRACK] = ACTIONS(1526),
    [aux_sym_encapsed_string_token1] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [aux_sym_string_token1] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_LT_LT_LT] = ACTIONS(1526),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [aux_sym_yield_expression_token1] = ACTIONS(1528),
    [aux_sym_include_expression_token1] = ACTIONS(1528),
    [aux_sym_include_once_expression_token1] = ACTIONS(1528),
    [aux_sym_require_expression_token1] = ACTIONS(1528),
    [aux_sym_require_once_expression_token1] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
  },
  [582] = {
    [ts_builtin_sym_end] = ACTIONS(1550),
    [sym_name] = ACTIONS(1552),
    [anon_sym_QMARK_GT] = ACTIONS(1550),
    [anon_sym_SEMI] = ACTIONS(1550),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1552),
    [aux_sym_global_declaration_token1] = ACTIONS(1552),
    [aux_sym_namespace_definition_token1] = ACTIONS(1552),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1552),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1552),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1552),
    [anon_sym_BSLASH] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [aux_sym_trait_declaration_token1] = ACTIONS(1552),
    [aux_sym_interface_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_case_token1] = ACTIONS(1552),
    [aux_sym_class_declaration_token1] = ACTIONS(1552),
    [aux_sym_final_modifier_token1] = ACTIONS(1552),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1552),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1552),
    [sym_var_modifier] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1552),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1552),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [aux_sym_cast_type_token1] = ACTIONS(1552),
    [aux_sym_echo_statement_token1] = ACTIONS(1552),
    [aux_sym_exit_statement_token1] = ACTIONS(1552),
    [anon_sym_unset] = ACTIONS(1552),
    [aux_sym_declare_statement_token1] = ACTIONS(1552),
    [aux_sym_declare_statement_token2] = ACTIONS(1552),
    [sym_float] = ACTIONS(1552),
    [aux_sym_try_statement_token1] = ACTIONS(1552),
    [aux_sym_goto_statement_token1] = ACTIONS(1552),
    [aux_sym_continue_statement_token1] = ACTIONS(1552),
    [aux_sym_break_statement_token1] = ACTIONS(1552),
    [sym_integer] = ACTIONS(1552),
    [aux_sym_return_statement_token1] = ACTIONS(1552),
    [aux_sym_throw_expression_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token2] = ACTIONS(1552),
    [aux_sym_do_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token2] = ACTIONS(1552),
    [aux_sym_foreach_statement_token1] = ACTIONS(1552),
    [aux_sym_foreach_statement_token2] = ACTIONS(1552),
    [aux_sym_if_statement_token1] = ACTIONS(1552),
    [aux_sym_if_statement_token2] = ACTIONS(1552),
    [aux_sym_else_if_clause_token1] = ACTIONS(1552),
    [aux_sym_else_clause_token1] = ACTIONS(1552),
    [aux_sym_match_expression_token1] = ACTIONS(1552),
    [aux_sym_match_default_expression_token1] = ACTIONS(1552),
    [aux_sym_switch_statement_token1] = ACTIONS(1552),
    [aux_sym_switch_block_token1] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [aux_sym_clone_expression_token1] = ACTIONS(1552),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1552),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [aux_sym__list_destructing_token1] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_self] = ACTIONS(1552),
    [anon_sym_parent] = ACTIONS(1552),
    [aux_sym__argument_name_token1] = ACTIONS(1552),
    [aux_sym__argument_name_token2] = ACTIONS(1552),
    [anon_sym_POUND_LBRACK] = ACTIONS(1550),
    [aux_sym_encapsed_string_token1] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [aux_sym_string_token1] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [anon_sym_LT_LT_LT] = ACTIONS(1550),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [aux_sym_yield_expression_token1] = ACTIONS(1552),
    [aux_sym_include_expression_token1] = ACTIONS(1552),
    [aux_sym_include_once_expression_token1] = ACTIONS(1552),
    [aux_sym_require_expression_token1] = ACTIONS(1552),
    [aux_sym_require_once_expression_token1] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(1550),
    [sym_name] = ACTIONS(1552),
    [anon_sym_QMARK_GT] = ACTIONS(1550),
    [anon_sym_SEMI] = ACTIONS(1550),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1552),
    [aux_sym_global_declaration_token1] = ACTIONS(1552),
    [aux_sym_namespace_definition_token1] = ACTIONS(1552),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1552),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1552),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1552),
    [anon_sym_BSLASH] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [aux_sym_trait_declaration_token1] = ACTIONS(1552),
    [aux_sym_interface_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_case_token1] = ACTIONS(1552),
    [aux_sym_class_declaration_token1] = ACTIONS(1552),
    [aux_sym_final_modifier_token1] = ACTIONS(1552),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1552),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1552),
    [sym_var_modifier] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1552),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1552),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [aux_sym_cast_type_token1] = ACTIONS(1552),
    [aux_sym_echo_statement_token1] = ACTIONS(1552),
    [aux_sym_exit_statement_token1] = ACTIONS(1552),
    [anon_sym_unset] = ACTIONS(1552),
    [aux_sym_declare_statement_token1] = ACTIONS(1552),
    [aux_sym_declare_statement_token2] = ACTIONS(1552),
    [sym_float] = ACTIONS(1552),
    [aux_sym_try_statement_token1] = ACTIONS(1552),
    [aux_sym_goto_statement_token1] = ACTIONS(1552),
    [aux_sym_continue_statement_token1] = ACTIONS(1552),
    [aux_sym_break_statement_token1] = ACTIONS(1552),
    [sym_integer] = ACTIONS(1552),
    [aux_sym_return_statement_token1] = ACTIONS(1552),
    [aux_sym_throw_expression_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token2] = ACTIONS(1552),
    [aux_sym_do_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token2] = ACTIONS(1552),
    [aux_sym_foreach_statement_token1] = ACTIONS(1552),
    [aux_sym_foreach_statement_token2] = ACTIONS(1552),
    [aux_sym_if_statement_token1] = ACTIONS(1552),
    [aux_sym_if_statement_token2] = ACTIONS(1552),
    [aux_sym_else_if_clause_token1] = ACTIONS(1552),
    [aux_sym_else_clause_token1] = ACTIONS(1552),
    [aux_sym_match_expression_token1] = ACTIONS(1552),
    [aux_sym_match_default_expression_token1] = ACTIONS(1552),
    [aux_sym_switch_statement_token1] = ACTIONS(1552),
    [aux_sym_switch_block_token1] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [aux_sym_clone_expression_token1] = ACTIONS(1552),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1552),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [aux_sym__list_destructing_token1] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_self] = ACTIONS(1552),
    [anon_sym_parent] = ACTIONS(1552),
    [aux_sym__argument_name_token1] = ACTIONS(1552),
    [aux_sym__argument_name_token2] = ACTIONS(1552),
    [anon_sym_POUND_LBRACK] = ACTIONS(1550),
    [aux_sym_encapsed_string_token1] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [aux_sym_string_token1] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [anon_sym_LT_LT_LT] = ACTIONS(1550),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [aux_sym_yield_expression_token1] = ACTIONS(1552),
    [aux_sym_include_expression_token1] = ACTIONS(1552),
    [aux_sym_include_once_expression_token1] = ACTIONS(1552),
    [aux_sym_require_expression_token1] = ACTIONS(1552),
    [aux_sym_require_once_expression_token1] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(1554),
    [sym_name] = ACTIONS(1556),
    [anon_sym_QMARK_GT] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1554),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1556),
    [aux_sym_global_declaration_token1] = ACTIONS(1556),
    [aux_sym_namespace_definition_token1] = ACTIONS(1556),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1556),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1556),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1556),
    [anon_sym_BSLASH] = ACTIONS(1554),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_RBRACE] = ACTIONS(1554),
    [aux_sym_trait_declaration_token1] = ACTIONS(1556),
    [aux_sym_interface_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_case_token1] = ACTIONS(1556),
    [aux_sym_class_declaration_token1] = ACTIONS(1556),
    [aux_sym_final_modifier_token1] = ACTIONS(1556),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1556),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1556),
    [sym_var_modifier] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [aux_sym_cast_type_token1] = ACTIONS(1556),
    [aux_sym_echo_statement_token1] = ACTIONS(1556),
    [aux_sym_exit_statement_token1] = ACTIONS(1556),
    [anon_sym_unset] = ACTIONS(1556),
    [aux_sym_declare_statement_token1] = ACTIONS(1556),
    [aux_sym_declare_statement_token2] = ACTIONS(1556),
    [sym_float] = ACTIONS(1556),
    [aux_sym_try_statement_token1] = ACTIONS(1556),
    [aux_sym_goto_statement_token1] = ACTIONS(1556),
    [aux_sym_continue_statement_token1] = ACTIONS(1556),
    [aux_sym_break_statement_token1] = ACTIONS(1556),
    [sym_integer] = ACTIONS(1556),
    [aux_sym_return_statement_token1] = ACTIONS(1556),
    [aux_sym_throw_expression_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token2] = ACTIONS(1556),
    [aux_sym_do_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token2] = ACTIONS(1556),
    [aux_sym_foreach_statement_token1] = ACTIONS(1556),
    [aux_sym_foreach_statement_token2] = ACTIONS(1556),
    [aux_sym_if_statement_token1] = ACTIONS(1556),
    [aux_sym_if_statement_token2] = ACTIONS(1556),
    [aux_sym_else_if_clause_token1] = ACTIONS(1556),
    [aux_sym_else_clause_token1] = ACTIONS(1556),
    [aux_sym_match_expression_token1] = ACTIONS(1556),
    [aux_sym_match_default_expression_token1] = ACTIONS(1556),
    [aux_sym_switch_statement_token1] = ACTIONS(1556),
    [aux_sym_switch_block_token1] = ACTIONS(1556),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1554),
    [anon_sym_AT] = ACTIONS(1554),
    [aux_sym_clone_expression_token1] = ACTIONS(1556),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1556),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1556),
    [anon_sym_DASH_DASH] = ACTIONS(1554),
    [anon_sym_PLUS_PLUS] = ACTIONS(1554),
    [aux_sym__list_destructing_token1] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_self] = ACTIONS(1556),
    [anon_sym_parent] = ACTIONS(1556),
    [aux_sym__argument_name_token1] = ACTIONS(1556),
    [aux_sym__argument_name_token2] = ACTIONS(1556),
    [anon_sym_POUND_LBRACK] = ACTIONS(1554),
    [aux_sym_encapsed_string_token1] = ACTIONS(1554),
    [anon_sym_DQUOTE] = ACTIONS(1554),
    [aux_sym_string_token1] = ACTIONS(1554),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_LT_LT_LT] = ACTIONS(1554),
    [anon_sym_BQUOTE] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1554),
    [aux_sym_yield_expression_token1] = ACTIONS(1556),
    [aux_sym_include_expression_token1] = ACTIONS(1556),
    [aux_sym_include_once_expression_token1] = ACTIONS(1556),
    [aux_sym_require_expression_token1] = ACTIONS(1556),
    [aux_sym_require_once_expression_token1] = ACTIONS(1556),
    [sym_comment] = ACTIONS(3),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(1558),
    [sym_name] = ACTIONS(1560),
    [anon_sym_QMARK_GT] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1558),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1560),
    [aux_sym_global_declaration_token1] = ACTIONS(1560),
    [aux_sym_namespace_definition_token1] = ACTIONS(1560),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1560),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1560),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1560),
    [anon_sym_BSLASH] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1558),
    [anon_sym_RBRACE] = ACTIONS(1558),
    [aux_sym_trait_declaration_token1] = ACTIONS(1560),
    [aux_sym_interface_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_case_token1] = ACTIONS(1560),
    [aux_sym_class_declaration_token1] = ACTIONS(1560),
    [aux_sym_final_modifier_token1] = ACTIONS(1560),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1560),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1560),
    [sym_var_modifier] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1560),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1560),
    [anon_sym_LPAREN] = ACTIONS(1558),
    [aux_sym_cast_type_token1] = ACTIONS(1560),
    [aux_sym_echo_statement_token1] = ACTIONS(1560),
    [aux_sym_exit_statement_token1] = ACTIONS(1560),
    [anon_sym_unset] = ACTIONS(1560),
    [aux_sym_declare_statement_token1] = ACTIONS(1560),
    [aux_sym_declare_statement_token2] = ACTIONS(1560),
    [sym_float] = ACTIONS(1560),
    [aux_sym_try_statement_token1] = ACTIONS(1560),
    [aux_sym_goto_statement_token1] = ACTIONS(1560),
    [aux_sym_continue_statement_token1] = ACTIONS(1560),
    [aux_sym_break_statement_token1] = ACTIONS(1560),
    [sym_integer] = ACTIONS(1560),
    [aux_sym_return_statement_token1] = ACTIONS(1560),
    [aux_sym_throw_expression_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token2] = ACTIONS(1560),
    [aux_sym_do_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token2] = ACTIONS(1560),
    [aux_sym_foreach_statement_token1] = ACTIONS(1560),
    [aux_sym_foreach_statement_token2] = ACTIONS(1560),
    [aux_sym_if_statement_token1] = ACTIONS(1560),
    [aux_sym_if_statement_token2] = ACTIONS(1560),
    [aux_sym_else_if_clause_token1] = ACTIONS(1560),
    [aux_sym_else_clause_token1] = ACTIONS(1560),
    [aux_sym_match_expression_token1] = ACTIONS(1560),
    [aux_sym_match_default_expression_token1] = ACTIONS(1560),
    [aux_sym_switch_statement_token1] = ACTIONS(1560),
    [aux_sym_switch_block_token1] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_AT] = ACTIONS(1558),
    [aux_sym_clone_expression_token1] = ACTIONS(1560),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1560),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1558),
    [aux_sym__list_destructing_token1] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1558),
    [anon_sym_self] = ACTIONS(1560),
    [anon_sym_parent] = ACTIONS(1560),
    [aux_sym__argument_name_token1] = ACTIONS(1560),
    [aux_sym__argument_name_token2] = ACTIONS(1560),
    [anon_sym_POUND_LBRACK] = ACTIONS(1558),
    [aux_sym_encapsed_string_token1] = ACTIONS(1558),
    [anon_sym_DQUOTE] = ACTIONS(1558),
    [aux_sym_string_token1] = ACTIONS(1558),
    [anon_sym_SQUOTE] = ACTIONS(1558),
    [anon_sym_LT_LT_LT] = ACTIONS(1558),
    [anon_sym_BQUOTE] = ACTIONS(1558),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [aux_sym_yield_expression_token1] = ACTIONS(1560),
    [aux_sym_include_expression_token1] = ACTIONS(1560),
    [aux_sym_include_once_expression_token1] = ACTIONS(1560),
    [aux_sym_require_expression_token1] = ACTIONS(1560),
    [aux_sym_require_once_expression_token1] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(1562),
    [sym_name] = ACTIONS(1564),
    [anon_sym_QMARK_GT] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1562),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1564),
    [aux_sym_global_declaration_token1] = ACTIONS(1564),
    [aux_sym_namespace_definition_token1] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1562),
    [aux_sym_trait_declaration_token1] = ACTIONS(1564),
    [aux_sym_interface_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_case_token1] = ACTIONS(1564),
    [aux_sym_class_declaration_token1] = ACTIONS(1564),
    [aux_sym_final_modifier_token1] = ACTIONS(1564),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1564),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1564),
    [sym_var_modifier] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1564),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1564),
    [anon_sym_LPAREN] = ACTIONS(1562),
    [aux_sym_cast_type_token1] = ACTIONS(1564),
    [aux_sym_echo_statement_token1] = ACTIONS(1564),
    [aux_sym_exit_statement_token1] = ACTIONS(1564),
    [anon_sym_unset] = ACTIONS(1564),
    [aux_sym_declare_statement_token1] = ACTIONS(1564),
    [aux_sym_declare_statement_token2] = ACTIONS(1564),
    [sym_float] = ACTIONS(1564),
    [aux_sym_try_statement_token1] = ACTIONS(1564),
    [aux_sym_goto_statement_token1] = ACTIONS(1564),
    [aux_sym_continue_statement_token1] = ACTIONS(1564),
    [aux_sym_break_statement_token1] = ACTIONS(1564),
    [sym_integer] = ACTIONS(1564),
    [aux_sym_return_statement_token1] = ACTIONS(1564),
    [aux_sym_throw_expression_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token2] = ACTIONS(1564),
    [aux_sym_do_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token2] = ACTIONS(1564),
    [aux_sym_foreach_statement_token1] = ACTIONS(1564),
    [aux_sym_foreach_statement_token2] = ACTIONS(1564),
    [aux_sym_if_statement_token1] = ACTIONS(1564),
    [aux_sym_if_statement_token2] = ACTIONS(1564),
    [aux_sym_else_if_clause_token1] = ACTIONS(1564),
    [aux_sym_else_clause_token1] = ACTIONS(1564),
    [aux_sym_match_expression_token1] = ACTIONS(1564),
    [aux_sym_match_default_expression_token1] = ACTIONS(1564),
    [aux_sym_switch_statement_token1] = ACTIONS(1564),
    [aux_sym_switch_block_token1] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [aux_sym_clone_expression_token1] = ACTIONS(1564),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1564),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1562),
    [aux_sym__list_destructing_token1] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_self] = ACTIONS(1564),
    [anon_sym_parent] = ACTIONS(1564),
    [aux_sym__argument_name_token1] = ACTIONS(1564),
    [aux_sym__argument_name_token2] = ACTIONS(1564),
    [anon_sym_POUND_LBRACK] = ACTIONS(1562),
    [aux_sym_encapsed_string_token1] = ACTIONS(1562),
    [anon_sym_DQUOTE] = ACTIONS(1562),
    [aux_sym_string_token1] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1562),
    [anon_sym_LT_LT_LT] = ACTIONS(1562),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [aux_sym_yield_expression_token1] = ACTIONS(1564),
    [aux_sym_include_expression_token1] = ACTIONS(1564),
    [aux_sym_include_once_expression_token1] = ACTIONS(1564),
    [aux_sym_require_expression_token1] = ACTIONS(1564),
    [aux_sym_require_once_expression_token1] = ACTIONS(1564),
    [sym_comment] = ACTIONS(3),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(1566),
    [sym_name] = ACTIONS(1568),
    [anon_sym_QMARK_GT] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1566),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1568),
    [aux_sym_global_declaration_token1] = ACTIONS(1568),
    [aux_sym_namespace_definition_token1] = ACTIONS(1568),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1568),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1568),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1568),
    [anon_sym_BSLASH] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [anon_sym_RBRACE] = ACTIONS(1566),
    [aux_sym_trait_declaration_token1] = ACTIONS(1568),
    [aux_sym_interface_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_case_token1] = ACTIONS(1568),
    [aux_sym_class_declaration_token1] = ACTIONS(1568),
    [aux_sym_final_modifier_token1] = ACTIONS(1568),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1568),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1568),
    [sym_var_modifier] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1568),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1566),
    [aux_sym_cast_type_token1] = ACTIONS(1568),
    [aux_sym_echo_statement_token1] = ACTIONS(1568),
    [aux_sym_exit_statement_token1] = ACTIONS(1568),
    [anon_sym_unset] = ACTIONS(1568),
    [aux_sym_declare_statement_token1] = ACTIONS(1568),
    [aux_sym_declare_statement_token2] = ACTIONS(1568),
    [sym_float] = ACTIONS(1568),
    [aux_sym_try_statement_token1] = ACTIONS(1568),
    [aux_sym_goto_statement_token1] = ACTIONS(1568),
    [aux_sym_continue_statement_token1] = ACTIONS(1568),
    [aux_sym_break_statement_token1] = ACTIONS(1568),
    [sym_integer] = ACTIONS(1568),
    [aux_sym_return_statement_token1] = ACTIONS(1568),
    [aux_sym_throw_expression_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token2] = ACTIONS(1568),
    [aux_sym_do_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token2] = ACTIONS(1568),
    [aux_sym_foreach_statement_token1] = ACTIONS(1568),
    [aux_sym_foreach_statement_token2] = ACTIONS(1568),
    [aux_sym_if_statement_token1] = ACTIONS(1568),
    [aux_sym_if_statement_token2] = ACTIONS(1568),
    [aux_sym_else_if_clause_token1] = ACTIONS(1568),
    [aux_sym_else_clause_token1] = ACTIONS(1568),
    [aux_sym_match_expression_token1] = ACTIONS(1568),
    [aux_sym_match_default_expression_token1] = ACTIONS(1568),
    [aux_sym_switch_statement_token1] = ACTIONS(1568),
    [aux_sym_switch_block_token1] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [aux_sym_clone_expression_token1] = ACTIONS(1568),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1568),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1566),
    [aux_sym__list_destructing_token1] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_self] = ACTIONS(1568),
    [anon_sym_parent] = ACTIONS(1568),
    [aux_sym__argument_name_token1] = ACTIONS(1568),
    [aux_sym__argument_name_token2] = ACTIONS(1568),
    [anon_sym_POUND_LBRACK] = ACTIONS(1566),
    [aux_sym_encapsed_string_token1] = ACTIONS(1566),
    [anon_sym_DQUOTE] = ACTIONS(1566),
    [aux_sym_string_token1] = ACTIONS(1566),
    [anon_sym_SQUOTE] = ACTIONS(1566),
    [anon_sym_LT_LT_LT] = ACTIONS(1566),
    [anon_sym_BQUOTE] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [aux_sym_yield_expression_token1] = ACTIONS(1568),
    [aux_sym_include_expression_token1] = ACTIONS(1568),
    [aux_sym_include_once_expression_token1] = ACTIONS(1568),
    [aux_sym_require_expression_token1] = ACTIONS(1568),
    [aux_sym_require_once_expression_token1] = ACTIONS(1568),
    [sym_comment] = ACTIONS(3),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(1570),
    [sym_name] = ACTIONS(1572),
    [anon_sym_QMARK_GT] = ACTIONS(1570),
    [anon_sym_SEMI] = ACTIONS(1570),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1572),
    [aux_sym_global_declaration_token1] = ACTIONS(1572),
    [aux_sym_namespace_definition_token1] = ACTIONS(1572),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1572),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1572),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1572),
    [anon_sym_BSLASH] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [aux_sym_trait_declaration_token1] = ACTIONS(1572),
    [aux_sym_interface_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_case_token1] = ACTIONS(1572),
    [aux_sym_class_declaration_token1] = ACTIONS(1572),
    [aux_sym_final_modifier_token1] = ACTIONS(1572),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1572),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1572),
    [sym_var_modifier] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1572),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1570),
    [aux_sym_cast_type_token1] = ACTIONS(1572),
    [aux_sym_echo_statement_token1] = ACTIONS(1572),
    [aux_sym_exit_statement_token1] = ACTIONS(1572),
    [anon_sym_unset] = ACTIONS(1572),
    [aux_sym_declare_statement_token1] = ACTIONS(1572),
    [aux_sym_declare_statement_token2] = ACTIONS(1572),
    [sym_float] = ACTIONS(1572),
    [aux_sym_try_statement_token1] = ACTIONS(1572),
    [aux_sym_goto_statement_token1] = ACTIONS(1572),
    [aux_sym_continue_statement_token1] = ACTIONS(1572),
    [aux_sym_break_statement_token1] = ACTIONS(1572),
    [sym_integer] = ACTIONS(1572),
    [aux_sym_return_statement_token1] = ACTIONS(1572),
    [aux_sym_throw_expression_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token2] = ACTIONS(1572),
    [aux_sym_do_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token2] = ACTIONS(1572),
    [aux_sym_foreach_statement_token1] = ACTIONS(1572),
    [aux_sym_foreach_statement_token2] = ACTIONS(1572),
    [aux_sym_if_statement_token1] = ACTIONS(1572),
    [aux_sym_if_statement_token2] = ACTIONS(1572),
    [aux_sym_else_if_clause_token1] = ACTIONS(1572),
    [aux_sym_else_clause_token1] = ACTIONS(1572),
    [aux_sym_match_expression_token1] = ACTIONS(1572),
    [aux_sym_match_default_expression_token1] = ACTIONS(1572),
    [aux_sym_switch_statement_token1] = ACTIONS(1572),
    [aux_sym_switch_block_token1] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [aux_sym_clone_expression_token1] = ACTIONS(1572),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1572),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1570),
    [aux_sym__list_destructing_token1] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_self] = ACTIONS(1572),
    [anon_sym_parent] = ACTIONS(1572),
    [aux_sym__argument_name_token1] = ACTIONS(1572),
    [aux_sym__argument_name_token2] = ACTIONS(1572),
    [anon_sym_POUND_LBRACK] = ACTIONS(1570),
    [aux_sym_encapsed_string_token1] = ACTIONS(1570),
    [anon_sym_DQUOTE] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1570),
    [anon_sym_SQUOTE] = ACTIONS(1570),
    [anon_sym_LT_LT_LT] = ACTIONS(1570),
    [anon_sym_BQUOTE] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [aux_sym_yield_expression_token1] = ACTIONS(1572),
    [aux_sym_include_expression_token1] = ACTIONS(1572),
    [aux_sym_include_once_expression_token1] = ACTIONS(1572),
    [aux_sym_require_expression_token1] = ACTIONS(1572),
    [aux_sym_require_once_expression_token1] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(1546),
    [sym_name] = ACTIONS(1548),
    [anon_sym_QMARK_GT] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1546),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1548),
    [aux_sym_global_declaration_token1] = ACTIONS(1548),
    [aux_sym_namespace_definition_token1] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1548),
    [anon_sym_BSLASH] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [aux_sym_trait_declaration_token1] = ACTIONS(1548),
    [aux_sym_interface_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_case_token1] = ACTIONS(1548),
    [aux_sym_class_declaration_token1] = ACTIONS(1548),
    [aux_sym_final_modifier_token1] = ACTIONS(1548),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1548),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1548),
    [sym_var_modifier] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1548),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1546),
    [aux_sym_cast_type_token1] = ACTIONS(1548),
    [aux_sym_echo_statement_token1] = ACTIONS(1548),
    [aux_sym_exit_statement_token1] = ACTIONS(1548),
    [anon_sym_unset] = ACTIONS(1548),
    [aux_sym_declare_statement_token1] = ACTIONS(1548),
    [aux_sym_declare_statement_token2] = ACTIONS(1548),
    [sym_float] = ACTIONS(1548),
    [aux_sym_try_statement_token1] = ACTIONS(1548),
    [aux_sym_goto_statement_token1] = ACTIONS(1548),
    [aux_sym_continue_statement_token1] = ACTIONS(1548),
    [aux_sym_break_statement_token1] = ACTIONS(1548),
    [sym_integer] = ACTIONS(1548),
    [aux_sym_return_statement_token1] = ACTIONS(1548),
    [aux_sym_throw_expression_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token2] = ACTIONS(1548),
    [aux_sym_do_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token2] = ACTIONS(1548),
    [aux_sym_foreach_statement_token1] = ACTIONS(1548),
    [aux_sym_foreach_statement_token2] = ACTIONS(1548),
    [aux_sym_if_statement_token1] = ACTIONS(1548),
    [aux_sym_if_statement_token2] = ACTIONS(1548),
    [aux_sym_else_if_clause_token1] = ACTIONS(1548),
    [aux_sym_else_clause_token1] = ACTIONS(1548),
    [aux_sym_match_expression_token1] = ACTIONS(1548),
    [aux_sym_match_default_expression_token1] = ACTIONS(1548),
    [aux_sym_switch_statement_token1] = ACTIONS(1548),
    [aux_sym_switch_block_token1] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_AT] = ACTIONS(1546),
    [aux_sym_clone_expression_token1] = ACTIONS(1548),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1548),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [aux_sym__list_destructing_token1] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_self] = ACTIONS(1548),
    [anon_sym_parent] = ACTIONS(1548),
    [aux_sym__argument_name_token1] = ACTIONS(1548),
    [aux_sym__argument_name_token2] = ACTIONS(1548),
    [anon_sym_POUND_LBRACK] = ACTIONS(1546),
    [aux_sym_encapsed_string_token1] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [aux_sym_string_token1] = ACTIONS(1546),
    [anon_sym_SQUOTE] = ACTIONS(1546),
    [anon_sym_LT_LT_LT] = ACTIONS(1546),
    [anon_sym_BQUOTE] = ACTIONS(1546),
    [anon_sym_DOLLAR] = ACTIONS(1546),
    [aux_sym_yield_expression_token1] = ACTIONS(1548),
    [aux_sym_include_expression_token1] = ACTIONS(1548),
    [aux_sym_include_once_expression_token1] = ACTIONS(1548),
    [aux_sym_require_expression_token1] = ACTIONS(1548),
    [aux_sym_require_once_expression_token1] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(1574),
    [sym_name] = ACTIONS(1576),
    [anon_sym_QMARK_GT] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1574),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1576),
    [aux_sym_global_declaration_token1] = ACTIONS(1576),
    [aux_sym_namespace_definition_token1] = ACTIONS(1576),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1576),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1576),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1576),
    [anon_sym_BSLASH] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [aux_sym_trait_declaration_token1] = ACTIONS(1576),
    [aux_sym_interface_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_case_token1] = ACTIONS(1576),
    [aux_sym_class_declaration_token1] = ACTIONS(1576),
    [aux_sym_final_modifier_token1] = ACTIONS(1576),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1576),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1576),
    [sym_var_modifier] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1576),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [aux_sym_cast_type_token1] = ACTIONS(1576),
    [aux_sym_echo_statement_token1] = ACTIONS(1576),
    [aux_sym_exit_statement_token1] = ACTIONS(1576),
    [anon_sym_unset] = ACTIONS(1576),
    [aux_sym_declare_statement_token1] = ACTIONS(1576),
    [aux_sym_declare_statement_token2] = ACTIONS(1576),
    [sym_float] = ACTIONS(1576),
    [aux_sym_try_statement_token1] = ACTIONS(1576),
    [aux_sym_goto_statement_token1] = ACTIONS(1576),
    [aux_sym_continue_statement_token1] = ACTIONS(1576),
    [aux_sym_break_statement_token1] = ACTIONS(1576),
    [sym_integer] = ACTIONS(1576),
    [aux_sym_return_statement_token1] = ACTIONS(1576),
    [aux_sym_throw_expression_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token2] = ACTIONS(1576),
    [aux_sym_do_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token2] = ACTIONS(1576),
    [aux_sym_foreach_statement_token1] = ACTIONS(1576),
    [aux_sym_foreach_statement_token2] = ACTIONS(1576),
    [aux_sym_if_statement_token1] = ACTIONS(1576),
    [aux_sym_if_statement_token2] = ACTIONS(1576),
    [aux_sym_else_if_clause_token1] = ACTIONS(1576),
    [aux_sym_else_clause_token1] = ACTIONS(1576),
    [aux_sym_match_expression_token1] = ACTIONS(1576),
    [aux_sym_match_default_expression_token1] = ACTIONS(1576),
    [aux_sym_switch_statement_token1] = ACTIONS(1576),
    [aux_sym_switch_block_token1] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [aux_sym_clone_expression_token1] = ACTIONS(1576),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1576),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [aux_sym__list_destructing_token1] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_self] = ACTIONS(1576),
    [anon_sym_parent] = ACTIONS(1576),
    [aux_sym__argument_name_token1] = ACTIONS(1576),
    [aux_sym__argument_name_token2] = ACTIONS(1576),
    [anon_sym_POUND_LBRACK] = ACTIONS(1574),
    [aux_sym_encapsed_string_token1] = ACTIONS(1574),
    [anon_sym_DQUOTE] = ACTIONS(1574),
    [aux_sym_string_token1] = ACTIONS(1574),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_LT_LT_LT] = ACTIONS(1574),
    [anon_sym_BQUOTE] = ACTIONS(1574),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [aux_sym_yield_expression_token1] = ACTIONS(1576),
    [aux_sym_include_expression_token1] = ACTIONS(1576),
    [aux_sym_include_once_expression_token1] = ACTIONS(1576),
    [aux_sym_require_expression_token1] = ACTIONS(1576),
    [aux_sym_require_once_expression_token1] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [sym_name] = ACTIONS(1580),
    [anon_sym_QMARK_GT] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1580),
    [aux_sym_global_declaration_token1] = ACTIONS(1580),
    [aux_sym_namespace_definition_token1] = ACTIONS(1580),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1580),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1580),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1580),
    [anon_sym_BSLASH] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [aux_sym_trait_declaration_token1] = ACTIONS(1580),
    [aux_sym_interface_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_case_token1] = ACTIONS(1580),
    [aux_sym_class_declaration_token1] = ACTIONS(1580),
    [aux_sym_final_modifier_token1] = ACTIONS(1580),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1580),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1580),
    [sym_var_modifier] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1580),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [aux_sym_cast_type_token1] = ACTIONS(1580),
    [aux_sym_echo_statement_token1] = ACTIONS(1580),
    [aux_sym_exit_statement_token1] = ACTIONS(1580),
    [anon_sym_unset] = ACTIONS(1580),
    [aux_sym_declare_statement_token1] = ACTIONS(1580),
    [aux_sym_declare_statement_token2] = ACTIONS(1580),
    [sym_float] = ACTIONS(1580),
    [aux_sym_try_statement_token1] = ACTIONS(1580),
    [aux_sym_goto_statement_token1] = ACTIONS(1580),
    [aux_sym_continue_statement_token1] = ACTIONS(1580),
    [aux_sym_break_statement_token1] = ACTIONS(1580),
    [sym_integer] = ACTIONS(1580),
    [aux_sym_return_statement_token1] = ACTIONS(1580),
    [aux_sym_throw_expression_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token2] = ACTIONS(1580),
    [aux_sym_do_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token2] = ACTIONS(1580),
    [aux_sym_foreach_statement_token1] = ACTIONS(1580),
    [aux_sym_foreach_statement_token2] = ACTIONS(1580),
    [aux_sym_if_statement_token1] = ACTIONS(1580),
    [aux_sym_if_statement_token2] = ACTIONS(1580),
    [aux_sym_else_if_clause_token1] = ACTIONS(1580),
    [aux_sym_else_clause_token1] = ACTIONS(1580),
    [aux_sym_match_expression_token1] = ACTIONS(1580),
    [aux_sym_match_default_expression_token1] = ACTIONS(1580),
    [aux_sym_switch_statement_token1] = ACTIONS(1580),
    [aux_sym_switch_block_token1] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1578),
    [anon_sym_AT] = ACTIONS(1578),
    [aux_sym_clone_expression_token1] = ACTIONS(1580),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1580),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1580),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [aux_sym__list_destructing_token1] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_self] = ACTIONS(1580),
    [anon_sym_parent] = ACTIONS(1580),
    [aux_sym__argument_name_token1] = ACTIONS(1580),
    [aux_sym__argument_name_token2] = ACTIONS(1580),
    [anon_sym_POUND_LBRACK] = ACTIONS(1578),
    [aux_sym_encapsed_string_token1] = ACTIONS(1578),
    [anon_sym_DQUOTE] = ACTIONS(1578),
    [aux_sym_string_token1] = ACTIONS(1578),
    [anon_sym_SQUOTE] = ACTIONS(1578),
    [anon_sym_LT_LT_LT] = ACTIONS(1578),
    [anon_sym_BQUOTE] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1578),
    [aux_sym_yield_expression_token1] = ACTIONS(1580),
    [aux_sym_include_expression_token1] = ACTIONS(1580),
    [aux_sym_include_once_expression_token1] = ACTIONS(1580),
    [aux_sym_require_expression_token1] = ACTIONS(1580),
    [aux_sym_require_once_expression_token1] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_name] = ACTIONS(1584),
    [anon_sym_QMARK_GT] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1584),
    [aux_sym_global_declaration_token1] = ACTIONS(1584),
    [aux_sym_namespace_definition_token1] = ACTIONS(1584),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1584),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1584),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1584),
    [anon_sym_BSLASH] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [aux_sym_trait_declaration_token1] = ACTIONS(1584),
    [aux_sym_interface_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_case_token1] = ACTIONS(1584),
    [aux_sym_class_declaration_token1] = ACTIONS(1584),
    [aux_sym_final_modifier_token1] = ACTIONS(1584),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1584),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1584),
    [sym_var_modifier] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1584),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [aux_sym_cast_type_token1] = ACTIONS(1584),
    [aux_sym_echo_statement_token1] = ACTIONS(1584),
    [aux_sym_exit_statement_token1] = ACTIONS(1584),
    [anon_sym_unset] = ACTIONS(1584),
    [aux_sym_declare_statement_token1] = ACTIONS(1584),
    [aux_sym_declare_statement_token2] = ACTIONS(1584),
    [sym_float] = ACTIONS(1584),
    [aux_sym_try_statement_token1] = ACTIONS(1584),
    [aux_sym_goto_statement_token1] = ACTIONS(1584),
    [aux_sym_continue_statement_token1] = ACTIONS(1584),
    [aux_sym_break_statement_token1] = ACTIONS(1584),
    [sym_integer] = ACTIONS(1584),
    [aux_sym_return_statement_token1] = ACTIONS(1584),
    [aux_sym_throw_expression_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token2] = ACTIONS(1584),
    [aux_sym_do_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token2] = ACTIONS(1584),
    [aux_sym_foreach_statement_token1] = ACTIONS(1584),
    [aux_sym_foreach_statement_token2] = ACTIONS(1584),
    [aux_sym_if_statement_token1] = ACTIONS(1584),
    [aux_sym_if_statement_token2] = ACTIONS(1584),
    [aux_sym_else_if_clause_token1] = ACTIONS(1584),
    [aux_sym_else_clause_token1] = ACTIONS(1584),
    [aux_sym_match_expression_token1] = ACTIONS(1584),
    [aux_sym_match_default_expression_token1] = ACTIONS(1584),
    [aux_sym_switch_statement_token1] = ACTIONS(1584),
    [aux_sym_switch_block_token1] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(1582),
    [aux_sym_clone_expression_token1] = ACTIONS(1584),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1584),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [aux_sym__list_destructing_token1] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_self] = ACTIONS(1584),
    [anon_sym_parent] = ACTIONS(1584),
    [aux_sym__argument_name_token1] = ACTIONS(1584),
    [aux_sym__argument_name_token2] = ACTIONS(1584),
    [anon_sym_POUND_LBRACK] = ACTIONS(1582),
    [aux_sym_encapsed_string_token1] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [aux_sym_string_token1] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [anon_sym_LT_LT_LT] = ACTIONS(1582),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1582),
    [aux_sym_yield_expression_token1] = ACTIONS(1584),
    [aux_sym_include_expression_token1] = ACTIONS(1584),
    [aux_sym_include_once_expression_token1] = ACTIONS(1584),
    [aux_sym_require_expression_token1] = ACTIONS(1584),
    [aux_sym_require_once_expression_token1] = ACTIONS(1584),
    [sym_comment] = ACTIONS(3),
  },
  [593] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [sym_name] = ACTIONS(1588),
    [anon_sym_QMARK_GT] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1588),
    [aux_sym_global_declaration_token1] = ACTIONS(1588),
    [aux_sym_namespace_definition_token1] = ACTIONS(1588),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1588),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1588),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1588),
    [anon_sym_BSLASH] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_RBRACE] = ACTIONS(1586),
    [aux_sym_trait_declaration_token1] = ACTIONS(1588),
    [aux_sym_interface_declaration_token1] = ACTIONS(1588),
    [aux_sym_enum_declaration_token1] = ACTIONS(1588),
    [aux_sym_enum_case_token1] = ACTIONS(1588),
    [aux_sym_class_declaration_token1] = ACTIONS(1588),
    [aux_sym_final_modifier_token1] = ACTIONS(1588),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1588),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1588),
    [sym_var_modifier] = ACTIONS(1588),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1588),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1588),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1588),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [aux_sym_cast_type_token1] = ACTIONS(1588),
    [aux_sym_echo_statement_token1] = ACTIONS(1588),
    [aux_sym_exit_statement_token1] = ACTIONS(1588),
    [anon_sym_unset] = ACTIONS(1588),
    [aux_sym_declare_statement_token1] = ACTIONS(1588),
    [aux_sym_declare_statement_token2] = ACTIONS(1588),
    [sym_float] = ACTIONS(1588),
    [aux_sym_try_statement_token1] = ACTIONS(1588),
    [aux_sym_goto_statement_token1] = ACTIONS(1588),
    [aux_sym_continue_statement_token1] = ACTIONS(1588),
    [aux_sym_break_statement_token1] = ACTIONS(1588),
    [sym_integer] = ACTIONS(1588),
    [aux_sym_return_statement_token1] = ACTIONS(1588),
    [aux_sym_throw_expression_token1] = ACTIONS(1588),
    [aux_sym_while_statement_token1] = ACTIONS(1588),
    [aux_sym_while_statement_token2] = ACTIONS(1588),
    [aux_sym_do_statement_token1] = ACTIONS(1588),
    [aux_sym_for_statement_token1] = ACTIONS(1588),
    [aux_sym_for_statement_token2] = ACTIONS(1588),
    [aux_sym_foreach_statement_token1] = ACTIONS(1588),
    [aux_sym_foreach_statement_token2] = ACTIONS(1588),
    [aux_sym_if_statement_token1] = ACTIONS(1588),
    [aux_sym_if_statement_token2] = ACTIONS(1588),
    [aux_sym_else_if_clause_token1] = ACTIONS(1588),
    [aux_sym_else_clause_token1] = ACTIONS(1588),
    [aux_sym_match_expression_token1] = ACTIONS(1588),
    [aux_sym_match_default_expression_token1] = ACTIONS(1588),
    [aux_sym_switch_statement_token1] = ACTIONS(1588),
    [aux_sym_switch_block_token1] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1586),
    [anon_sym_BANG] = ACTIONS(1586),
    [anon_sym_AT] = ACTIONS(1586),
    [aux_sym_clone_expression_token1] = ACTIONS(1588),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1588),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1588),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [aux_sym__list_destructing_token1] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_self] = ACTIONS(1588),
    [anon_sym_parent] = ACTIONS(1588),
    [aux_sym__argument_name_token1] = ACTIONS(1588),
    [aux_sym__argument_name_token2] = ACTIONS(1588),
    [anon_sym_POUND_LBRACK] = ACTIONS(1586),
    [aux_sym_encapsed_string_token1] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1586),
    [aux_sym_string_token1] = ACTIONS(1586),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_LT_LT_LT] = ACTIONS(1586),
    [anon_sym_BQUOTE] = ACTIONS(1586),
    [anon_sym_DOLLAR] = ACTIONS(1586),
    [aux_sym_yield_expression_token1] = ACTIONS(1588),
    [aux_sym_include_expression_token1] = ACTIONS(1588),
    [aux_sym_include_once_expression_token1] = ACTIONS(1588),
    [aux_sym_require_expression_token1] = ACTIONS(1588),
    [aux_sym_require_once_expression_token1] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(1590),
    [sym_name] = ACTIONS(1592),
    [anon_sym_QMARK_GT] = ACTIONS(1590),
    [anon_sym_SEMI] = ACTIONS(1590),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1592),
    [aux_sym_global_declaration_token1] = ACTIONS(1592),
    [aux_sym_namespace_definition_token1] = ACTIONS(1592),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1592),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1592),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1592),
    [anon_sym_BSLASH] = ACTIONS(1590),
    [anon_sym_LBRACE] = ACTIONS(1590),
    [anon_sym_RBRACE] = ACTIONS(1590),
    [aux_sym_trait_declaration_token1] = ACTIONS(1592),
    [aux_sym_interface_declaration_token1] = ACTIONS(1592),
    [aux_sym_enum_declaration_token1] = ACTIONS(1592),
    [aux_sym_enum_case_token1] = ACTIONS(1592),
    [aux_sym_class_declaration_token1] = ACTIONS(1592),
    [aux_sym_final_modifier_token1] = ACTIONS(1592),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1592),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1592),
    [sym_var_modifier] = ACTIONS(1592),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1592),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1592),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1592),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1590),
    [aux_sym_cast_type_token1] = ACTIONS(1592),
    [aux_sym_echo_statement_token1] = ACTIONS(1592),
    [aux_sym_exit_statement_token1] = ACTIONS(1592),
    [anon_sym_unset] = ACTIONS(1592),
    [aux_sym_declare_statement_token1] = ACTIONS(1592),
    [aux_sym_declare_statement_token2] = ACTIONS(1592),
    [sym_float] = ACTIONS(1592),
    [aux_sym_try_statement_token1] = ACTIONS(1592),
    [aux_sym_goto_statement_token1] = ACTIONS(1592),
    [aux_sym_continue_statement_token1] = ACTIONS(1592),
    [aux_sym_break_statement_token1] = ACTIONS(1592),
    [sym_integer] = ACTIONS(1592),
    [aux_sym_return_statement_token1] = ACTIONS(1592),
    [aux_sym_throw_expression_token1] = ACTIONS(1592),
    [aux_sym_while_statement_token1] = ACTIONS(1592),
    [aux_sym_while_statement_token2] = ACTIONS(1592),
    [aux_sym_do_statement_token1] = ACTIONS(1592),
    [aux_sym_for_statement_token1] = ACTIONS(1592),
    [aux_sym_for_statement_token2] = ACTIONS(1592),
    [aux_sym_foreach_statement_token1] = ACTIONS(1592),
    [aux_sym_foreach_statement_token2] = ACTIONS(1592),
    [aux_sym_if_statement_token1] = ACTIONS(1592),
    [aux_sym_if_statement_token2] = ACTIONS(1592),
    [aux_sym_else_if_clause_token1] = ACTIONS(1592),
    [aux_sym_else_clause_token1] = ACTIONS(1592),
    [aux_sym_match_expression_token1] = ACTIONS(1592),
    [aux_sym_match_default_expression_token1] = ACTIONS(1592),
    [aux_sym_switch_statement_token1] = ACTIONS(1592),
    [aux_sym_switch_block_token1] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1590),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_AT] = ACTIONS(1590),
    [aux_sym_clone_expression_token1] = ACTIONS(1592),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1592),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1592),
    [anon_sym_DASH_DASH] = ACTIONS(1590),
    [anon_sym_PLUS_PLUS] = ACTIONS(1590),
    [aux_sym__list_destructing_token1] = ACTIONS(1592),
    [anon_sym_LBRACK] = ACTIONS(1590),
    [anon_sym_self] = ACTIONS(1592),
    [anon_sym_parent] = ACTIONS(1592),
    [aux_sym__argument_name_token1] = ACTIONS(1592),
    [aux_sym__argument_name_token2] = ACTIONS(1592),
    [anon_sym_POUND_LBRACK] = ACTIONS(1590),
    [aux_sym_encapsed_string_token1] = ACTIONS(1590),
    [anon_sym_DQUOTE] = ACTIONS(1590),
    [aux_sym_string_token1] = ACTIONS(1590),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_LT_LT_LT] = ACTIONS(1590),
    [anon_sym_BQUOTE] = ACTIONS(1590),
    [anon_sym_DOLLAR] = ACTIONS(1590),
    [aux_sym_yield_expression_token1] = ACTIONS(1592),
    [aux_sym_include_expression_token1] = ACTIONS(1592),
    [aux_sym_include_once_expression_token1] = ACTIONS(1592),
    [aux_sym_require_expression_token1] = ACTIONS(1592),
    [aux_sym_require_once_expression_token1] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(1594),
    [sym_name] = ACTIONS(1596),
    [anon_sym_QMARK_GT] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1594),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1596),
    [aux_sym_global_declaration_token1] = ACTIONS(1596),
    [aux_sym_namespace_definition_token1] = ACTIONS(1596),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1596),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1596),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1596),
    [anon_sym_BSLASH] = ACTIONS(1594),
    [anon_sym_LBRACE] = ACTIONS(1594),
    [anon_sym_RBRACE] = ACTIONS(1594),
    [aux_sym_trait_declaration_token1] = ACTIONS(1596),
    [aux_sym_interface_declaration_token1] = ACTIONS(1596),
    [aux_sym_enum_declaration_token1] = ACTIONS(1596),
    [aux_sym_enum_case_token1] = ACTIONS(1596),
    [aux_sym_class_declaration_token1] = ACTIONS(1596),
    [aux_sym_final_modifier_token1] = ACTIONS(1596),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1596),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1596),
    [sym_var_modifier] = ACTIONS(1596),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1596),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1596),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1596),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1594),
    [aux_sym_cast_type_token1] = ACTIONS(1596),
    [aux_sym_echo_statement_token1] = ACTIONS(1596),
    [aux_sym_exit_statement_token1] = ACTIONS(1596),
    [anon_sym_unset] = ACTIONS(1596),
    [aux_sym_declare_statement_token1] = ACTIONS(1596),
    [aux_sym_declare_statement_token2] = ACTIONS(1596),
    [sym_float] = ACTIONS(1596),
    [aux_sym_try_statement_token1] = ACTIONS(1596),
    [aux_sym_goto_statement_token1] = ACTIONS(1596),
    [aux_sym_continue_statement_token1] = ACTIONS(1596),
    [aux_sym_break_statement_token1] = ACTIONS(1596),
    [sym_integer] = ACTIONS(1596),
    [aux_sym_return_statement_token1] = ACTIONS(1596),
    [aux_sym_throw_expression_token1] = ACTIONS(1596),
    [aux_sym_while_statement_token1] = ACTIONS(1596),
    [aux_sym_while_statement_token2] = ACTIONS(1596),
    [aux_sym_do_statement_token1] = ACTIONS(1596),
    [aux_sym_for_statement_token1] = ACTIONS(1596),
    [aux_sym_for_statement_token2] = ACTIONS(1596),
    [aux_sym_foreach_statement_token1] = ACTIONS(1596),
    [aux_sym_foreach_statement_token2] = ACTIONS(1596),
    [aux_sym_if_statement_token1] = ACTIONS(1596),
    [aux_sym_if_statement_token2] = ACTIONS(1596),
    [aux_sym_else_if_clause_token1] = ACTIONS(1596),
    [aux_sym_else_clause_token1] = ACTIONS(1596),
    [aux_sym_match_expression_token1] = ACTIONS(1596),
    [aux_sym_match_default_expression_token1] = ACTIONS(1596),
    [aux_sym_switch_statement_token1] = ACTIONS(1596),
    [aux_sym_switch_block_token1] = ACTIONS(1596),
    [anon_sym_PLUS] = ACTIONS(1596),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_TILDE] = ACTIONS(1594),
    [anon_sym_BANG] = ACTIONS(1594),
    [anon_sym_AT] = ACTIONS(1594),
    [aux_sym_clone_expression_token1] = ACTIONS(1596),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1596),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1596),
    [anon_sym_DASH_DASH] = ACTIONS(1594),
    [anon_sym_PLUS_PLUS] = ACTIONS(1594),
    [aux_sym__list_destructing_token1] = ACTIONS(1596),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_self] = ACTIONS(1596),
    [anon_sym_parent] = ACTIONS(1596),
    [aux_sym__argument_name_token1] = ACTIONS(1596),
    [aux_sym__argument_name_token2] = ACTIONS(1596),
    [anon_sym_POUND_LBRACK] = ACTIONS(1594),
    [aux_sym_encapsed_string_token1] = ACTIONS(1594),
    [anon_sym_DQUOTE] = ACTIONS(1594),
    [aux_sym_string_token1] = ACTIONS(1594),
    [anon_sym_SQUOTE] = ACTIONS(1594),
    [anon_sym_LT_LT_LT] = ACTIONS(1594),
    [anon_sym_BQUOTE] = ACTIONS(1594),
    [anon_sym_DOLLAR] = ACTIONS(1594),
    [aux_sym_yield_expression_token1] = ACTIONS(1596),
    [aux_sym_include_expression_token1] = ACTIONS(1596),
    [aux_sym_include_once_expression_token1] = ACTIONS(1596),
    [aux_sym_require_expression_token1] = ACTIONS(1596),
    [aux_sym_require_once_expression_token1] = ACTIONS(1596),
    [sym_comment] = ACTIONS(3),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [sym_name] = ACTIONS(1600),
    [anon_sym_QMARK_GT] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1600),
    [aux_sym_global_declaration_token1] = ACTIONS(1600),
    [aux_sym_namespace_definition_token1] = ACTIONS(1600),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1600),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1600),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1600),
    [anon_sym_BSLASH] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [aux_sym_trait_declaration_token1] = ACTIONS(1600),
    [aux_sym_interface_declaration_token1] = ACTIONS(1600),
    [aux_sym_enum_declaration_token1] = ACTIONS(1600),
    [aux_sym_enum_case_token1] = ACTIONS(1600),
    [aux_sym_class_declaration_token1] = ACTIONS(1600),
    [aux_sym_final_modifier_token1] = ACTIONS(1600),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1600),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1600),
    [sym_var_modifier] = ACTIONS(1600),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1600),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1600),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1600),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [aux_sym_cast_type_token1] = ACTIONS(1600),
    [aux_sym_echo_statement_token1] = ACTIONS(1600),
    [aux_sym_exit_statement_token1] = ACTIONS(1600),
    [anon_sym_unset] = ACTIONS(1600),
    [aux_sym_declare_statement_token1] = ACTIONS(1600),
    [aux_sym_declare_statement_token2] = ACTIONS(1600),
    [sym_float] = ACTIONS(1600),
    [aux_sym_try_statement_token1] = ACTIONS(1600),
    [aux_sym_goto_statement_token1] = ACTIONS(1600),
    [aux_sym_continue_statement_token1] = ACTIONS(1600),
    [aux_sym_break_statement_token1] = ACTIONS(1600),
    [sym_integer] = ACTIONS(1600),
    [aux_sym_return_statement_token1] = ACTIONS(1600),
    [aux_sym_throw_expression_token1] = ACTIONS(1600),
    [aux_sym_while_statement_token1] = ACTIONS(1600),
    [aux_sym_while_statement_token2] = ACTIONS(1600),
    [aux_sym_do_statement_token1] = ACTIONS(1600),
    [aux_sym_for_statement_token1] = ACTIONS(1600),
    [aux_sym_for_statement_token2] = ACTIONS(1600),
    [aux_sym_foreach_statement_token1] = ACTIONS(1600),
    [aux_sym_foreach_statement_token2] = ACTIONS(1600),
    [aux_sym_if_statement_token1] = ACTIONS(1600),
    [aux_sym_if_statement_token2] = ACTIONS(1600),
    [aux_sym_else_if_clause_token1] = ACTIONS(1600),
    [aux_sym_else_clause_token1] = ACTIONS(1600),
    [aux_sym_match_expression_token1] = ACTIONS(1600),
    [aux_sym_match_default_expression_token1] = ACTIONS(1600),
    [aux_sym_switch_statement_token1] = ACTIONS(1600),
    [aux_sym_switch_block_token1] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1598),
    [anon_sym_AT] = ACTIONS(1598),
    [aux_sym_clone_expression_token1] = ACTIONS(1600),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1600),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [aux_sym__list_destructing_token1] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_self] = ACTIONS(1600),
    [anon_sym_parent] = ACTIONS(1600),
    [aux_sym__argument_name_token1] = ACTIONS(1600),
    [aux_sym__argument_name_token2] = ACTIONS(1600),
    [anon_sym_POUND_LBRACK] = ACTIONS(1598),
    [aux_sym_encapsed_string_token1] = ACTIONS(1598),
    [anon_sym_DQUOTE] = ACTIONS(1598),
    [aux_sym_string_token1] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1598),
    [anon_sym_LT_LT_LT] = ACTIONS(1598),
    [anon_sym_BQUOTE] = ACTIONS(1598),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [aux_sym_yield_expression_token1] = ACTIONS(1600),
    [aux_sym_include_expression_token1] = ACTIONS(1600),
    [aux_sym_include_once_expression_token1] = ACTIONS(1600),
    [aux_sym_require_expression_token1] = ACTIONS(1600),
    [aux_sym_require_once_expression_token1] = ACTIONS(1600),
    [sym_comment] = ACTIONS(3),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(1602),
    [sym_name] = ACTIONS(1604),
    [anon_sym_QMARK_GT] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1602),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1604),
    [aux_sym_global_declaration_token1] = ACTIONS(1604),
    [aux_sym_namespace_definition_token1] = ACTIONS(1604),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1604),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1604),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1604),
    [anon_sym_BSLASH] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [aux_sym_trait_declaration_token1] = ACTIONS(1604),
    [aux_sym_interface_declaration_token1] = ACTIONS(1604),
    [aux_sym_enum_declaration_token1] = ACTIONS(1604),
    [aux_sym_enum_case_token1] = ACTIONS(1604),
    [aux_sym_class_declaration_token1] = ACTIONS(1604),
    [aux_sym_final_modifier_token1] = ACTIONS(1604),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1604),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1604),
    [sym_var_modifier] = ACTIONS(1604),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1604),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1604),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1604),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [aux_sym_cast_type_token1] = ACTIONS(1604),
    [aux_sym_echo_statement_token1] = ACTIONS(1604),
    [aux_sym_exit_statement_token1] = ACTIONS(1604),
    [anon_sym_unset] = ACTIONS(1604),
    [aux_sym_declare_statement_token1] = ACTIONS(1604),
    [aux_sym_declare_statement_token2] = ACTIONS(1604),
    [sym_float] = ACTIONS(1604),
    [aux_sym_try_statement_token1] = ACTIONS(1604),
    [aux_sym_goto_statement_token1] = ACTIONS(1604),
    [aux_sym_continue_statement_token1] = ACTIONS(1604),
    [aux_sym_break_statement_token1] = ACTIONS(1604),
    [sym_integer] = ACTIONS(1604),
    [aux_sym_return_statement_token1] = ACTIONS(1604),
    [aux_sym_throw_expression_token1] = ACTIONS(1604),
    [aux_sym_while_statement_token1] = ACTIONS(1604),
    [aux_sym_while_statement_token2] = ACTIONS(1604),
    [aux_sym_do_statement_token1] = ACTIONS(1604),
    [aux_sym_for_statement_token1] = ACTIONS(1604),
    [aux_sym_for_statement_token2] = ACTIONS(1604),
    [aux_sym_foreach_statement_token1] = ACTIONS(1604),
    [aux_sym_foreach_statement_token2] = ACTIONS(1604),
    [aux_sym_if_statement_token1] = ACTIONS(1604),
    [aux_sym_if_statement_token2] = ACTIONS(1604),
    [aux_sym_else_if_clause_token1] = ACTIONS(1604),
    [aux_sym_else_clause_token1] = ACTIONS(1604),
    [aux_sym_match_expression_token1] = ACTIONS(1604),
    [aux_sym_match_default_expression_token1] = ACTIONS(1604),
    [aux_sym_switch_statement_token1] = ACTIONS(1604),
    [aux_sym_switch_block_token1] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1602),
    [anon_sym_BANG] = ACTIONS(1602),
    [anon_sym_AT] = ACTIONS(1602),
    [aux_sym_clone_expression_token1] = ACTIONS(1604),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1604),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1604),
    [anon_sym_DASH_DASH] = ACTIONS(1602),
    [anon_sym_PLUS_PLUS] = ACTIONS(1602),
    [aux_sym__list_destructing_token1] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(1602),
    [anon_sym_self] = ACTIONS(1604),
    [anon_sym_parent] = ACTIONS(1604),
    [aux_sym__argument_name_token1] = ACTIONS(1604),
    [aux_sym__argument_name_token2] = ACTIONS(1604),
    [anon_sym_POUND_LBRACK] = ACTIONS(1602),
    [aux_sym_encapsed_string_token1] = ACTIONS(1602),
    [anon_sym_DQUOTE] = ACTIONS(1602),
    [aux_sym_string_token1] = ACTIONS(1602),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [anon_sym_LT_LT_LT] = ACTIONS(1602),
    [anon_sym_BQUOTE] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1602),
    [aux_sym_yield_expression_token1] = ACTIONS(1604),
    [aux_sym_include_expression_token1] = ACTIONS(1604),
    [aux_sym_include_once_expression_token1] = ACTIONS(1604),
    [aux_sym_require_expression_token1] = ACTIONS(1604),
    [aux_sym_require_once_expression_token1] = ACTIONS(1604),
    [sym_comment] = ACTIONS(3),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(1606),
    [sym_name] = ACTIONS(1608),
    [anon_sym_QMARK_GT] = ACTIONS(1606),
    [anon_sym_SEMI] = ACTIONS(1606),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1608),
    [aux_sym_global_declaration_token1] = ACTIONS(1608),
    [aux_sym_namespace_definition_token1] = ACTIONS(1608),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1608),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1608),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1608),
    [anon_sym_BSLASH] = ACTIONS(1606),
    [anon_sym_LBRACE] = ACTIONS(1606),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [aux_sym_trait_declaration_token1] = ACTIONS(1608),
    [aux_sym_interface_declaration_token1] = ACTIONS(1608),
    [aux_sym_enum_declaration_token1] = ACTIONS(1608),
    [aux_sym_enum_case_token1] = ACTIONS(1608),
    [aux_sym_class_declaration_token1] = ACTIONS(1608),
    [aux_sym_final_modifier_token1] = ACTIONS(1608),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1608),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1608),
    [sym_var_modifier] = ACTIONS(1608),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1608),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1608),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1608),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [aux_sym_cast_type_token1] = ACTIONS(1608),
    [aux_sym_echo_statement_token1] = ACTIONS(1608),
    [aux_sym_exit_statement_token1] = ACTIONS(1608),
    [anon_sym_unset] = ACTIONS(1608),
    [aux_sym_declare_statement_token1] = ACTIONS(1608),
    [aux_sym_declare_statement_token2] = ACTIONS(1608),
    [sym_float] = ACTIONS(1608),
    [aux_sym_try_statement_token1] = ACTIONS(1608),
    [aux_sym_goto_statement_token1] = ACTIONS(1608),
    [aux_sym_continue_statement_token1] = ACTIONS(1608),
    [aux_sym_break_statement_token1] = ACTIONS(1608),
    [sym_integer] = ACTIONS(1608),
    [aux_sym_return_statement_token1] = ACTIONS(1608),
    [aux_sym_throw_expression_token1] = ACTIONS(1608),
    [aux_sym_while_statement_token1] = ACTIONS(1608),
    [aux_sym_while_statement_token2] = ACTIONS(1608),
    [aux_sym_do_statement_token1] = ACTIONS(1608),
    [aux_sym_for_statement_token1] = ACTIONS(1608),
    [aux_sym_for_statement_token2] = ACTIONS(1608),
    [aux_sym_foreach_statement_token1] = ACTIONS(1608),
    [aux_sym_foreach_statement_token2] = ACTIONS(1608),
    [aux_sym_if_statement_token1] = ACTIONS(1608),
    [aux_sym_if_statement_token2] = ACTIONS(1608),
    [aux_sym_else_if_clause_token1] = ACTIONS(1608),
    [aux_sym_else_clause_token1] = ACTIONS(1608),
    [aux_sym_match_expression_token1] = ACTIONS(1608),
    [aux_sym_match_default_expression_token1] = ACTIONS(1608),
    [aux_sym_switch_statement_token1] = ACTIONS(1608),
    [aux_sym_switch_block_token1] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1606),
    [anon_sym_BANG] = ACTIONS(1606),
    [anon_sym_AT] = ACTIONS(1606),
    [aux_sym_clone_expression_token1] = ACTIONS(1608),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1608),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1608),
    [anon_sym_DASH_DASH] = ACTIONS(1606),
    [anon_sym_PLUS_PLUS] = ACTIONS(1606),
    [aux_sym__list_destructing_token1] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_self] = ACTIONS(1608),
    [anon_sym_parent] = ACTIONS(1608),
    [aux_sym__argument_name_token1] = ACTIONS(1608),
    [aux_sym__argument_name_token2] = ACTIONS(1608),
    [anon_sym_POUND_LBRACK] = ACTIONS(1606),
    [aux_sym_encapsed_string_token1] = ACTIONS(1606),
    [anon_sym_DQUOTE] = ACTIONS(1606),
    [aux_sym_string_token1] = ACTIONS(1606),
    [anon_sym_SQUOTE] = ACTIONS(1606),
    [anon_sym_LT_LT_LT] = ACTIONS(1606),
    [anon_sym_BQUOTE] = ACTIONS(1606),
    [anon_sym_DOLLAR] = ACTIONS(1606),
    [aux_sym_yield_expression_token1] = ACTIONS(1608),
    [aux_sym_include_expression_token1] = ACTIONS(1608),
    [aux_sym_include_once_expression_token1] = ACTIONS(1608),
    [aux_sym_require_expression_token1] = ACTIONS(1608),
    [aux_sym_require_once_expression_token1] = ACTIONS(1608),
    [sym_comment] = ACTIONS(3),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [sym_name] = ACTIONS(1612),
    [anon_sym_QMARK_GT] = ACTIONS(1610),
    [anon_sym_SEMI] = ACTIONS(1610),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1612),
    [aux_sym_global_declaration_token1] = ACTIONS(1612),
    [aux_sym_namespace_definition_token1] = ACTIONS(1612),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1612),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1612),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1612),
    [anon_sym_BSLASH] = ACTIONS(1610),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [aux_sym_trait_declaration_token1] = ACTIONS(1612),
    [aux_sym_interface_declaration_token1] = ACTIONS(1612),
    [aux_sym_enum_declaration_token1] = ACTIONS(1612),
    [aux_sym_enum_case_token1] = ACTIONS(1612),
    [aux_sym_class_declaration_token1] = ACTIONS(1612),
    [aux_sym_final_modifier_token1] = ACTIONS(1612),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1612),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1612),
    [sym_var_modifier] = ACTIONS(1612),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1612),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1612),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1612),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [aux_sym_cast_type_token1] = ACTIONS(1612),
    [aux_sym_echo_statement_token1] = ACTIONS(1612),
    [aux_sym_exit_statement_token1] = ACTIONS(1612),
    [anon_sym_unset] = ACTIONS(1612),
    [aux_sym_declare_statement_token1] = ACTIONS(1612),
    [aux_sym_declare_statement_token2] = ACTIONS(1612),
    [sym_float] = ACTIONS(1612),
    [aux_sym_try_statement_token1] = ACTIONS(1612),
    [aux_sym_goto_statement_token1] = ACTIONS(1612),
    [aux_sym_continue_statement_token1] = ACTIONS(1612),
    [aux_sym_break_statement_token1] = ACTIONS(1612),
    [sym_integer] = ACTIONS(1612),
    [aux_sym_return_statement_token1] = ACTIONS(1612),
    [aux_sym_throw_expression_token1] = ACTIONS(1612),
    [aux_sym_while_statement_token1] = ACTIONS(1612),
    [aux_sym_while_statement_token2] = ACTIONS(1612),
    [aux_sym_do_statement_token1] = ACTIONS(1612),
    [aux_sym_for_statement_token1] = ACTIONS(1612),
    [aux_sym_for_statement_token2] = ACTIONS(1612),
    [aux_sym_foreach_statement_token1] = ACTIONS(1612),
    [aux_sym_foreach_statement_token2] = ACTIONS(1612),
    [aux_sym_if_statement_token1] = ACTIONS(1612),
    [aux_sym_if_statement_token2] = ACTIONS(1612),
    [aux_sym_else_if_clause_token1] = ACTIONS(1612),
    [aux_sym_else_clause_token1] = ACTIONS(1612),
    [aux_sym_match_expression_token1] = ACTIONS(1612),
    [aux_sym_match_default_expression_token1] = ACTIONS(1612),
    [aux_sym_switch_statement_token1] = ACTIONS(1612),
    [aux_sym_switch_block_token1] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_BANG] = ACTIONS(1610),
    [anon_sym_AT] = ACTIONS(1610),
    [aux_sym_clone_expression_token1] = ACTIONS(1612),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1612),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1612),
    [anon_sym_DASH_DASH] = ACTIONS(1610),
    [anon_sym_PLUS_PLUS] = ACTIONS(1610),
    [aux_sym__list_destructing_token1] = ACTIONS(1612),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_self] = ACTIONS(1612),
    [anon_sym_parent] = ACTIONS(1612),
    [aux_sym__argument_name_token1] = ACTIONS(1612),
    [aux_sym__argument_name_token2] = ACTIONS(1612),
    [anon_sym_POUND_LBRACK] = ACTIONS(1610),
    [aux_sym_encapsed_string_token1] = ACTIONS(1610),
    [anon_sym_DQUOTE] = ACTIONS(1610),
    [aux_sym_string_token1] = ACTIONS(1610),
    [anon_sym_SQUOTE] = ACTIONS(1610),
    [anon_sym_LT_LT_LT] = ACTIONS(1610),
    [anon_sym_BQUOTE] = ACTIONS(1610),
    [anon_sym_DOLLAR] = ACTIONS(1610),
    [aux_sym_yield_expression_token1] = ACTIONS(1612),
    [aux_sym_include_expression_token1] = ACTIONS(1612),
    [aux_sym_include_once_expression_token1] = ACTIONS(1612),
    [aux_sym_require_expression_token1] = ACTIONS(1612),
    [aux_sym_require_once_expression_token1] = ACTIONS(1612),
    [sym_comment] = ACTIONS(3),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(1614),
    [sym_name] = ACTIONS(1616),
    [anon_sym_QMARK_GT] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1614),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1616),
    [aux_sym_global_declaration_token1] = ACTIONS(1616),
    [aux_sym_namespace_definition_token1] = ACTIONS(1616),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1616),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1616),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1616),
    [anon_sym_BSLASH] = ACTIONS(1614),
    [anon_sym_LBRACE] = ACTIONS(1614),
    [anon_sym_RBRACE] = ACTIONS(1614),
    [aux_sym_trait_declaration_token1] = ACTIONS(1616),
    [aux_sym_interface_declaration_token1] = ACTIONS(1616),
    [aux_sym_enum_declaration_token1] = ACTIONS(1616),
    [aux_sym_enum_case_token1] = ACTIONS(1616),
    [aux_sym_class_declaration_token1] = ACTIONS(1616),
    [aux_sym_final_modifier_token1] = ACTIONS(1616),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1616),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1616),
    [sym_var_modifier] = ACTIONS(1616),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1616),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1616),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1616),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1616),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [aux_sym_cast_type_token1] = ACTIONS(1616),
    [aux_sym_echo_statement_token1] = ACTIONS(1616),
    [aux_sym_exit_statement_token1] = ACTIONS(1616),
    [anon_sym_unset] = ACTIONS(1616),
    [aux_sym_declare_statement_token1] = ACTIONS(1616),
    [aux_sym_declare_statement_token2] = ACTIONS(1616),
    [sym_float] = ACTIONS(1616),
    [aux_sym_try_statement_token1] = ACTIONS(1616),
    [aux_sym_goto_statement_token1] = ACTIONS(1616),
    [aux_sym_continue_statement_token1] = ACTIONS(1616),
    [aux_sym_break_statement_token1] = ACTIONS(1616),
    [sym_integer] = ACTIONS(1616),
    [aux_sym_return_statement_token1] = ACTIONS(1616),
    [aux_sym_throw_expression_token1] = ACTIONS(1616),
    [aux_sym_while_statement_token1] = ACTIONS(1616),
    [aux_sym_while_statement_token2] = ACTIONS(1616),
    [aux_sym_do_statement_token1] = ACTIONS(1616),
    [aux_sym_for_statement_token1] = ACTIONS(1616),
    [aux_sym_for_statement_token2] = ACTIONS(1616),
    [aux_sym_foreach_statement_token1] = ACTIONS(1616),
    [aux_sym_foreach_statement_token2] = ACTIONS(1616),
    [aux_sym_if_statement_token1] = ACTIONS(1616),
    [aux_sym_if_statement_token2] = ACTIONS(1616),
    [aux_sym_else_if_clause_token1] = ACTIONS(1616),
    [aux_sym_else_clause_token1] = ACTIONS(1616),
    [aux_sym_match_expression_token1] = ACTIONS(1616),
    [aux_sym_match_default_expression_token1] = ACTIONS(1616),
    [aux_sym_switch_statement_token1] = ACTIONS(1616),
    [aux_sym_switch_block_token1] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1616),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_TILDE] = ACTIONS(1614),
    [anon_sym_BANG] = ACTIONS(1614),
    [anon_sym_AT] = ACTIONS(1614),
    [aux_sym_clone_expression_token1] = ACTIONS(1616),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1616),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1616),
    [anon_sym_DASH_DASH] = ACTIONS(1614),
    [anon_sym_PLUS_PLUS] = ACTIONS(1614),
    [aux_sym__list_destructing_token1] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [anon_sym_self] = ACTIONS(1616),
    [anon_sym_parent] = ACTIONS(1616),
    [aux_sym__argument_name_token1] = ACTIONS(1616),
    [aux_sym__argument_name_token2] = ACTIONS(1616),
    [anon_sym_POUND_LBRACK] = ACTIONS(1614),
    [aux_sym_encapsed_string_token1] = ACTIONS(1614),
    [anon_sym_DQUOTE] = ACTIONS(1614),
    [aux_sym_string_token1] = ACTIONS(1614),
    [anon_sym_SQUOTE] = ACTIONS(1614),
    [anon_sym_LT_LT_LT] = ACTIONS(1614),
    [anon_sym_BQUOTE] = ACTIONS(1614),
    [anon_sym_DOLLAR] = ACTIONS(1614),
    [aux_sym_yield_expression_token1] = ACTIONS(1616),
    [aux_sym_include_expression_token1] = ACTIONS(1616),
    [aux_sym_include_once_expression_token1] = ACTIONS(1616),
    [aux_sym_require_expression_token1] = ACTIONS(1616),
    [aux_sym_require_once_expression_token1] = ACTIONS(1616),
    [sym_comment] = ACTIONS(3),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(1618),
    [sym_name] = ACTIONS(1620),
    [anon_sym_QMARK_GT] = ACTIONS(1618),
    [anon_sym_SEMI] = ACTIONS(1618),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1620),
    [aux_sym_global_declaration_token1] = ACTIONS(1620),
    [aux_sym_namespace_definition_token1] = ACTIONS(1620),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1620),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1620),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1620),
    [anon_sym_BSLASH] = ACTIONS(1618),
    [anon_sym_LBRACE] = ACTIONS(1618),
    [anon_sym_RBRACE] = ACTIONS(1618),
    [aux_sym_trait_declaration_token1] = ACTIONS(1620),
    [aux_sym_interface_declaration_token1] = ACTIONS(1620),
    [aux_sym_enum_declaration_token1] = ACTIONS(1620),
    [aux_sym_enum_case_token1] = ACTIONS(1620),
    [aux_sym_class_declaration_token1] = ACTIONS(1620),
    [aux_sym_final_modifier_token1] = ACTIONS(1620),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1620),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1620),
    [sym_var_modifier] = ACTIONS(1620),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1620),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1620),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1620),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(1618),
    [aux_sym_cast_type_token1] = ACTIONS(1620),
    [aux_sym_echo_statement_token1] = ACTIONS(1620),
    [aux_sym_exit_statement_token1] = ACTIONS(1620),
    [anon_sym_unset] = ACTIONS(1620),
    [aux_sym_declare_statement_token1] = ACTIONS(1620),
    [aux_sym_declare_statement_token2] = ACTIONS(1620),
    [sym_float] = ACTIONS(1620),
    [aux_sym_try_statement_token1] = ACTIONS(1620),
    [aux_sym_goto_statement_token1] = ACTIONS(1620),
    [aux_sym_continue_statement_token1] = ACTIONS(1620),
    [aux_sym_break_statement_token1] = ACTIONS(1620),
    [sym_integer] = ACTIONS(1620),
    [aux_sym_return_statement_token1] = ACTIONS(1620),
    [aux_sym_throw_expression_token1] = ACTIONS(1620),
    [aux_sym_while_statement_token1] = ACTIONS(1620),
    [aux_sym_while_statement_token2] = ACTIONS(1620),
    [aux_sym_do_statement_token1] = ACTIONS(1620),
    [aux_sym_for_statement_token1] = ACTIONS(1620),
    [aux_sym_for_statement_token2] = ACTIONS(1620),
    [aux_sym_foreach_statement_token1] = ACTIONS(1620),
    [aux_sym_foreach_statement_token2] = ACTIONS(1620),
    [aux_sym_if_statement_token1] = ACTIONS(1620),
    [aux_sym_if_statement_token2] = ACTIONS(1620),
    [aux_sym_else_if_clause_token1] = ACTIONS(1620),
    [aux_sym_else_clause_token1] = ACTIONS(1620),
    [aux_sym_match_expression_token1] = ACTIONS(1620),
    [aux_sym_match_default_expression_token1] = ACTIONS(1620),
    [aux_sym_switch_statement_token1] = ACTIONS(1620),
    [aux_sym_switch_block_token1] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(1620),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_TILDE] = ACTIONS(1618),
    [anon_sym_BANG] = ACTIONS(1618),
    [anon_sym_AT] = ACTIONS(1618),
    [aux_sym_clone_expression_token1] = ACTIONS(1620),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1620),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1618),
    [anon_sym_PLUS_PLUS] = ACTIONS(1618),
    [aux_sym__list_destructing_token1] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [anon_sym_self] = ACTIONS(1620),
    [anon_sym_parent] = ACTIONS(1620),
    [aux_sym__argument_name_token1] = ACTIONS(1620),
    [aux_sym__argument_name_token2] = ACTIONS(1620),
    [anon_sym_POUND_LBRACK] = ACTIONS(1618),
    [aux_sym_encapsed_string_token1] = ACTIONS(1618),
    [anon_sym_DQUOTE] = ACTIONS(1618),
    [aux_sym_string_token1] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1618),
    [anon_sym_LT_LT_LT] = ACTIONS(1618),
    [anon_sym_BQUOTE] = ACTIONS(1618),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [aux_sym_yield_expression_token1] = ACTIONS(1620),
    [aux_sym_include_expression_token1] = ACTIONS(1620),
    [aux_sym_include_once_expression_token1] = ACTIONS(1620),
    [aux_sym_require_expression_token1] = ACTIONS(1620),
    [aux_sym_require_once_expression_token1] = ACTIONS(1620),
    [sym_comment] = ACTIONS(3),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [sym_name] = ACTIONS(1624),
    [anon_sym_QMARK_GT] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1624),
    [aux_sym_global_declaration_token1] = ACTIONS(1624),
    [aux_sym_namespace_definition_token1] = ACTIONS(1624),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1624),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1624),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1624),
    [anon_sym_BSLASH] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_RBRACE] = ACTIONS(1622),
    [aux_sym_trait_declaration_token1] = ACTIONS(1624),
    [aux_sym_interface_declaration_token1] = ACTIONS(1624),
    [aux_sym_enum_declaration_token1] = ACTIONS(1624),
    [aux_sym_enum_case_token1] = ACTIONS(1624),
    [aux_sym_class_declaration_token1] = ACTIONS(1624),
    [aux_sym_final_modifier_token1] = ACTIONS(1624),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1624),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1624),
    [sym_var_modifier] = ACTIONS(1624),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1624),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1624),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1624),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1624),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [aux_sym_cast_type_token1] = ACTIONS(1624),
    [aux_sym_echo_statement_token1] = ACTIONS(1624),
    [aux_sym_exit_statement_token1] = ACTIONS(1624),
    [anon_sym_unset] = ACTIONS(1624),
    [aux_sym_declare_statement_token1] = ACTIONS(1624),
    [aux_sym_declare_statement_token2] = ACTIONS(1624),
    [sym_float] = ACTIONS(1624),
    [aux_sym_try_statement_token1] = ACTIONS(1624),
    [aux_sym_goto_statement_token1] = ACTIONS(1624),
    [aux_sym_continue_statement_token1] = ACTIONS(1624),
    [aux_sym_break_statement_token1] = ACTIONS(1624),
    [sym_integer] = ACTIONS(1624),
    [aux_sym_return_statement_token1] = ACTIONS(1624),
    [aux_sym_throw_expression_token1] = ACTIONS(1624),
    [aux_sym_while_statement_token1] = ACTIONS(1624),
    [aux_sym_while_statement_token2] = ACTIONS(1624),
    [aux_sym_do_statement_token1] = ACTIONS(1624),
    [aux_sym_for_statement_token1] = ACTIONS(1624),
    [aux_sym_for_statement_token2] = ACTIONS(1624),
    [aux_sym_foreach_statement_token1] = ACTIONS(1624),
    [aux_sym_foreach_statement_token2] = ACTIONS(1624),
    [aux_sym_if_statement_token1] = ACTIONS(1624),
    [aux_sym_if_statement_token2] = ACTIONS(1624),
    [aux_sym_else_if_clause_token1] = ACTIONS(1624),
    [aux_sym_else_clause_token1] = ACTIONS(1624),
    [aux_sym_match_expression_token1] = ACTIONS(1624),
    [aux_sym_match_default_expression_token1] = ACTIONS(1624),
    [aux_sym_switch_statement_token1] = ACTIONS(1624),
    [aux_sym_switch_block_token1] = ACTIONS(1624),
    [anon_sym_PLUS] = ACTIONS(1624),
    [anon_sym_DASH] = ACTIONS(1624),
    [anon_sym_TILDE] = ACTIONS(1622),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [aux_sym_clone_expression_token1] = ACTIONS(1624),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1624),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1624),
    [anon_sym_DASH_DASH] = ACTIONS(1622),
    [anon_sym_PLUS_PLUS] = ACTIONS(1622),
    [aux_sym__list_destructing_token1] = ACTIONS(1624),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_self] = ACTIONS(1624),
    [anon_sym_parent] = ACTIONS(1624),
    [aux_sym__argument_name_token1] = ACTIONS(1624),
    [aux_sym__argument_name_token2] = ACTIONS(1624),
    [anon_sym_POUND_LBRACK] = ACTIONS(1622),
    [aux_sym_encapsed_string_token1] = ACTIONS(1622),
    [anon_sym_DQUOTE] = ACTIONS(1622),
    [aux_sym_string_token1] = ACTIONS(1622),
    [anon_sym_SQUOTE] = ACTIONS(1622),
    [anon_sym_LT_LT_LT] = ACTIONS(1622),
    [anon_sym_BQUOTE] = ACTIONS(1622),
    [anon_sym_DOLLAR] = ACTIONS(1622),
    [aux_sym_yield_expression_token1] = ACTIONS(1624),
    [aux_sym_include_expression_token1] = ACTIONS(1624),
    [aux_sym_include_once_expression_token1] = ACTIONS(1624),
    [aux_sym_require_expression_token1] = ACTIONS(1624),
    [aux_sym_require_once_expression_token1] = ACTIONS(1624),
    [sym_comment] = ACTIONS(3),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(1626),
    [sym_name] = ACTIONS(1628),
    [anon_sym_QMARK_GT] = ACTIONS(1626),
    [anon_sym_SEMI] = ACTIONS(1626),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1628),
    [aux_sym_global_declaration_token1] = ACTIONS(1628),
    [aux_sym_namespace_definition_token1] = ACTIONS(1628),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1628),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1628),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1628),
    [anon_sym_BSLASH] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_RBRACE] = ACTIONS(1626),
    [aux_sym_trait_declaration_token1] = ACTIONS(1628),
    [aux_sym_interface_declaration_token1] = ACTIONS(1628),
    [aux_sym_enum_declaration_token1] = ACTIONS(1628),
    [aux_sym_enum_case_token1] = ACTIONS(1628),
    [aux_sym_class_declaration_token1] = ACTIONS(1628),
    [aux_sym_final_modifier_token1] = ACTIONS(1628),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1628),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1628),
    [sym_var_modifier] = ACTIONS(1628),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1628),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1628),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1628),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1626),
    [aux_sym_cast_type_token1] = ACTIONS(1628),
    [aux_sym_echo_statement_token1] = ACTIONS(1628),
    [aux_sym_exit_statement_token1] = ACTIONS(1628),
    [anon_sym_unset] = ACTIONS(1628),
    [aux_sym_declare_statement_token1] = ACTIONS(1628),
    [aux_sym_declare_statement_token2] = ACTIONS(1628),
    [sym_float] = ACTIONS(1628),
    [aux_sym_try_statement_token1] = ACTIONS(1628),
    [aux_sym_goto_statement_token1] = ACTIONS(1628),
    [aux_sym_continue_statement_token1] = ACTIONS(1628),
    [aux_sym_break_statement_token1] = ACTIONS(1628),
    [sym_integer] = ACTIONS(1628),
    [aux_sym_return_statement_token1] = ACTIONS(1628),
    [aux_sym_throw_expression_token1] = ACTIONS(1628),
    [aux_sym_while_statement_token1] = ACTIONS(1628),
    [aux_sym_while_statement_token2] = ACTIONS(1628),
    [aux_sym_do_statement_token1] = ACTIONS(1628),
    [aux_sym_for_statement_token1] = ACTIONS(1628),
    [aux_sym_for_statement_token2] = ACTIONS(1628),
    [aux_sym_foreach_statement_token1] = ACTIONS(1628),
    [aux_sym_foreach_statement_token2] = ACTIONS(1628),
    [aux_sym_if_statement_token1] = ACTIONS(1628),
    [aux_sym_if_statement_token2] = ACTIONS(1628),
    [aux_sym_else_if_clause_token1] = ACTIONS(1628),
    [aux_sym_else_clause_token1] = ACTIONS(1628),
    [aux_sym_match_expression_token1] = ACTIONS(1628),
    [aux_sym_match_default_expression_token1] = ACTIONS(1628),
    [aux_sym_switch_statement_token1] = ACTIONS(1628),
    [aux_sym_switch_block_token1] = ACTIONS(1628),
    [anon_sym_PLUS] = ACTIONS(1628),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_TILDE] = ACTIONS(1626),
    [anon_sym_BANG] = ACTIONS(1626),
    [anon_sym_AT] = ACTIONS(1626),
    [aux_sym_clone_expression_token1] = ACTIONS(1628),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1628),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1628),
    [anon_sym_DASH_DASH] = ACTIONS(1626),
    [anon_sym_PLUS_PLUS] = ACTIONS(1626),
    [aux_sym__list_destructing_token1] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [anon_sym_self] = ACTIONS(1628),
    [anon_sym_parent] = ACTIONS(1628),
    [aux_sym__argument_name_token1] = ACTIONS(1628),
    [aux_sym__argument_name_token2] = ACTIONS(1628),
    [anon_sym_POUND_LBRACK] = ACTIONS(1626),
    [aux_sym_encapsed_string_token1] = ACTIONS(1626),
    [anon_sym_DQUOTE] = ACTIONS(1626),
    [aux_sym_string_token1] = ACTIONS(1626),
    [anon_sym_SQUOTE] = ACTIONS(1626),
    [anon_sym_LT_LT_LT] = ACTIONS(1626),
    [anon_sym_BQUOTE] = ACTIONS(1626),
    [anon_sym_DOLLAR] = ACTIONS(1626),
    [aux_sym_yield_expression_token1] = ACTIONS(1628),
    [aux_sym_include_expression_token1] = ACTIONS(1628),
    [aux_sym_include_once_expression_token1] = ACTIONS(1628),
    [aux_sym_require_expression_token1] = ACTIONS(1628),
    [aux_sym_require_once_expression_token1] = ACTIONS(1628),
    [sym_comment] = ACTIONS(3),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(1630),
    [sym_name] = ACTIONS(1632),
    [anon_sym_QMARK_GT] = ACTIONS(1630),
    [anon_sym_SEMI] = ACTIONS(1630),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1632),
    [aux_sym_global_declaration_token1] = ACTIONS(1632),
    [aux_sym_namespace_definition_token1] = ACTIONS(1632),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1632),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1632),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1632),
    [anon_sym_BSLASH] = ACTIONS(1630),
    [anon_sym_LBRACE] = ACTIONS(1630),
    [anon_sym_RBRACE] = ACTIONS(1630),
    [aux_sym_trait_declaration_token1] = ACTIONS(1632),
    [aux_sym_interface_declaration_token1] = ACTIONS(1632),
    [aux_sym_enum_declaration_token1] = ACTIONS(1632),
    [aux_sym_enum_case_token1] = ACTIONS(1632),
    [aux_sym_class_declaration_token1] = ACTIONS(1632),
    [aux_sym_final_modifier_token1] = ACTIONS(1632),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1632),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1632),
    [sym_var_modifier] = ACTIONS(1632),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1632),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1632),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1632),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1632),
    [anon_sym_LPAREN] = ACTIONS(1630),
    [aux_sym_cast_type_token1] = ACTIONS(1632),
    [aux_sym_echo_statement_token1] = ACTIONS(1632),
    [aux_sym_exit_statement_token1] = ACTIONS(1632),
    [anon_sym_unset] = ACTIONS(1632),
    [aux_sym_declare_statement_token1] = ACTIONS(1632),
    [aux_sym_declare_statement_token2] = ACTIONS(1632),
    [sym_float] = ACTIONS(1632),
    [aux_sym_try_statement_token1] = ACTIONS(1632),
    [aux_sym_goto_statement_token1] = ACTIONS(1632),
    [aux_sym_continue_statement_token1] = ACTIONS(1632),
    [aux_sym_break_statement_token1] = ACTIONS(1632),
    [sym_integer] = ACTIONS(1632),
    [aux_sym_return_statement_token1] = ACTIONS(1632),
    [aux_sym_throw_expression_token1] = ACTIONS(1632),
    [aux_sym_while_statement_token1] = ACTIONS(1632),
    [aux_sym_while_statement_token2] = ACTIONS(1632),
    [aux_sym_do_statement_token1] = ACTIONS(1632),
    [aux_sym_for_statement_token1] = ACTIONS(1632),
    [aux_sym_for_statement_token2] = ACTIONS(1632),
    [aux_sym_foreach_statement_token1] = ACTIONS(1632),
    [aux_sym_foreach_statement_token2] = ACTIONS(1632),
    [aux_sym_if_statement_token1] = ACTIONS(1632),
    [aux_sym_if_statement_token2] = ACTIONS(1632),
    [aux_sym_else_if_clause_token1] = ACTIONS(1632),
    [aux_sym_else_clause_token1] = ACTIONS(1632),
    [aux_sym_match_expression_token1] = ACTIONS(1632),
    [aux_sym_match_default_expression_token1] = ACTIONS(1632),
    [aux_sym_switch_statement_token1] = ACTIONS(1632),
    [aux_sym_switch_block_token1] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1630),
    [anon_sym_AT] = ACTIONS(1630),
    [aux_sym_clone_expression_token1] = ACTIONS(1632),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1632),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1632),
    [anon_sym_DASH_DASH] = ACTIONS(1630),
    [anon_sym_PLUS_PLUS] = ACTIONS(1630),
    [aux_sym__list_destructing_token1] = ACTIONS(1632),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [anon_sym_self] = ACTIONS(1632),
    [anon_sym_parent] = ACTIONS(1632),
    [aux_sym__argument_name_token1] = ACTIONS(1632),
    [aux_sym__argument_name_token2] = ACTIONS(1632),
    [anon_sym_POUND_LBRACK] = ACTIONS(1630),
    [aux_sym_encapsed_string_token1] = ACTIONS(1630),
    [anon_sym_DQUOTE] = ACTIONS(1630),
    [aux_sym_string_token1] = ACTIONS(1630),
    [anon_sym_SQUOTE] = ACTIONS(1630),
    [anon_sym_LT_LT_LT] = ACTIONS(1630),
    [anon_sym_BQUOTE] = ACTIONS(1630),
    [anon_sym_DOLLAR] = ACTIONS(1630),
    [aux_sym_yield_expression_token1] = ACTIONS(1632),
    [aux_sym_include_expression_token1] = ACTIONS(1632),
    [aux_sym_include_once_expression_token1] = ACTIONS(1632),
    [aux_sym_require_expression_token1] = ACTIONS(1632),
    [aux_sym_require_once_expression_token1] = ACTIONS(1632),
    [sym_comment] = ACTIONS(3),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(1634),
    [sym_name] = ACTIONS(1636),
    [anon_sym_QMARK_GT] = ACTIONS(1634),
    [anon_sym_SEMI] = ACTIONS(1634),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1636),
    [aux_sym_global_declaration_token1] = ACTIONS(1636),
    [aux_sym_namespace_definition_token1] = ACTIONS(1636),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1636),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1636),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1636),
    [anon_sym_BSLASH] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1634),
    [anon_sym_RBRACE] = ACTIONS(1634),
    [aux_sym_trait_declaration_token1] = ACTIONS(1636),
    [aux_sym_interface_declaration_token1] = ACTIONS(1636),
    [aux_sym_enum_declaration_token1] = ACTIONS(1636),
    [aux_sym_enum_case_token1] = ACTIONS(1636),
    [aux_sym_class_declaration_token1] = ACTIONS(1636),
    [aux_sym_final_modifier_token1] = ACTIONS(1636),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1636),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1636),
    [sym_var_modifier] = ACTIONS(1636),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1636),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1636),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1636),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1634),
    [aux_sym_cast_type_token1] = ACTIONS(1636),
    [aux_sym_echo_statement_token1] = ACTIONS(1636),
    [aux_sym_exit_statement_token1] = ACTIONS(1636),
    [anon_sym_unset] = ACTIONS(1636),
    [aux_sym_declare_statement_token1] = ACTIONS(1636),
    [aux_sym_declare_statement_token2] = ACTIONS(1636),
    [sym_float] = ACTIONS(1636),
    [aux_sym_try_statement_token1] = ACTIONS(1636),
    [aux_sym_goto_statement_token1] = ACTIONS(1636),
    [aux_sym_continue_statement_token1] = ACTIONS(1636),
    [aux_sym_break_statement_token1] = ACTIONS(1636),
    [sym_integer] = ACTIONS(1636),
    [aux_sym_return_statement_token1] = ACTIONS(1636),
    [aux_sym_throw_expression_token1] = ACTIONS(1636),
    [aux_sym_while_statement_token1] = ACTIONS(1636),
    [aux_sym_while_statement_token2] = ACTIONS(1636),
    [aux_sym_do_statement_token1] = ACTIONS(1636),
    [aux_sym_for_statement_token1] = ACTIONS(1636),
    [aux_sym_for_statement_token2] = ACTIONS(1636),
    [aux_sym_foreach_statement_token1] = ACTIONS(1636),
    [aux_sym_foreach_statement_token2] = ACTIONS(1636),
    [aux_sym_if_statement_token1] = ACTIONS(1636),
    [aux_sym_if_statement_token2] = ACTIONS(1636),
    [aux_sym_else_if_clause_token1] = ACTIONS(1636),
    [aux_sym_else_clause_token1] = ACTIONS(1636),
    [aux_sym_match_expression_token1] = ACTIONS(1636),
    [aux_sym_match_default_expression_token1] = ACTIONS(1636),
    [aux_sym_switch_statement_token1] = ACTIONS(1636),
    [aux_sym_switch_block_token1] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1636),
    [anon_sym_TILDE] = ACTIONS(1634),
    [anon_sym_BANG] = ACTIONS(1634),
    [anon_sym_AT] = ACTIONS(1634),
    [aux_sym_clone_expression_token1] = ACTIONS(1636),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1636),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1636),
    [anon_sym_DASH_DASH] = ACTIONS(1634),
    [anon_sym_PLUS_PLUS] = ACTIONS(1634),
    [aux_sym__list_destructing_token1] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [anon_sym_self] = ACTIONS(1636),
    [anon_sym_parent] = ACTIONS(1636),
    [aux_sym__argument_name_token1] = ACTIONS(1636),
    [aux_sym__argument_name_token2] = ACTIONS(1636),
    [anon_sym_POUND_LBRACK] = ACTIONS(1634),
    [aux_sym_encapsed_string_token1] = ACTIONS(1634),
    [anon_sym_DQUOTE] = ACTIONS(1634),
    [aux_sym_string_token1] = ACTIONS(1634),
    [anon_sym_SQUOTE] = ACTIONS(1634),
    [anon_sym_LT_LT_LT] = ACTIONS(1634),
    [anon_sym_BQUOTE] = ACTIONS(1634),
    [anon_sym_DOLLAR] = ACTIONS(1634),
    [aux_sym_yield_expression_token1] = ACTIONS(1636),
    [aux_sym_include_expression_token1] = ACTIONS(1636),
    [aux_sym_include_once_expression_token1] = ACTIONS(1636),
    [aux_sym_require_expression_token1] = ACTIONS(1636),
    [aux_sym_require_once_expression_token1] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(1638),
    [sym_name] = ACTIONS(1640),
    [anon_sym_QMARK_GT] = ACTIONS(1638),
    [anon_sym_SEMI] = ACTIONS(1638),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1640),
    [aux_sym_global_declaration_token1] = ACTIONS(1640),
    [aux_sym_namespace_definition_token1] = ACTIONS(1640),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1640),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1640),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1640),
    [anon_sym_BSLASH] = ACTIONS(1638),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym_RBRACE] = ACTIONS(1638),
    [aux_sym_trait_declaration_token1] = ACTIONS(1640),
    [aux_sym_interface_declaration_token1] = ACTIONS(1640),
    [aux_sym_enum_declaration_token1] = ACTIONS(1640),
    [aux_sym_enum_case_token1] = ACTIONS(1640),
    [aux_sym_class_declaration_token1] = ACTIONS(1640),
    [aux_sym_final_modifier_token1] = ACTIONS(1640),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1640),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1640),
    [sym_var_modifier] = ACTIONS(1640),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1640),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1640),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1640),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1640),
    [anon_sym_LPAREN] = ACTIONS(1638),
    [aux_sym_cast_type_token1] = ACTIONS(1640),
    [aux_sym_echo_statement_token1] = ACTIONS(1640),
    [aux_sym_exit_statement_token1] = ACTIONS(1640),
    [anon_sym_unset] = ACTIONS(1640),
    [aux_sym_declare_statement_token1] = ACTIONS(1640),
    [aux_sym_declare_statement_token2] = ACTIONS(1640),
    [sym_float] = ACTIONS(1640),
    [aux_sym_try_statement_token1] = ACTIONS(1640),
    [aux_sym_goto_statement_token1] = ACTIONS(1640),
    [aux_sym_continue_statement_token1] = ACTIONS(1640),
    [aux_sym_break_statement_token1] = ACTIONS(1640),
    [sym_integer] = ACTIONS(1640),
    [aux_sym_return_statement_token1] = ACTIONS(1640),
    [aux_sym_throw_expression_token1] = ACTIONS(1640),
    [aux_sym_while_statement_token1] = ACTIONS(1640),
    [aux_sym_while_statement_token2] = ACTIONS(1640),
    [aux_sym_do_statement_token1] = ACTIONS(1640),
    [aux_sym_for_statement_token1] = ACTIONS(1640),
    [aux_sym_for_statement_token2] = ACTIONS(1640),
    [aux_sym_foreach_statement_token1] = ACTIONS(1640),
    [aux_sym_foreach_statement_token2] = ACTIONS(1640),
    [aux_sym_if_statement_token1] = ACTIONS(1640),
    [aux_sym_if_statement_token2] = ACTIONS(1640),
    [aux_sym_else_if_clause_token1] = ACTIONS(1640),
    [aux_sym_else_clause_token1] = ACTIONS(1640),
    [aux_sym_match_expression_token1] = ACTIONS(1640),
    [aux_sym_match_default_expression_token1] = ACTIONS(1640),
    [aux_sym_switch_statement_token1] = ACTIONS(1640),
    [aux_sym_switch_block_token1] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1640),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_AT] = ACTIONS(1638),
    [aux_sym_clone_expression_token1] = ACTIONS(1640),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1640),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1640),
    [anon_sym_DASH_DASH] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1638),
    [aux_sym__list_destructing_token1] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_self] = ACTIONS(1640),
    [anon_sym_parent] = ACTIONS(1640),
    [aux_sym__argument_name_token1] = ACTIONS(1640),
    [aux_sym__argument_name_token2] = ACTIONS(1640),
    [anon_sym_POUND_LBRACK] = ACTIONS(1638),
    [aux_sym_encapsed_string_token1] = ACTIONS(1638),
    [anon_sym_DQUOTE] = ACTIONS(1638),
    [aux_sym_string_token1] = ACTIONS(1638),
    [anon_sym_SQUOTE] = ACTIONS(1638),
    [anon_sym_LT_LT_LT] = ACTIONS(1638),
    [anon_sym_BQUOTE] = ACTIONS(1638),
    [anon_sym_DOLLAR] = ACTIONS(1638),
    [aux_sym_yield_expression_token1] = ACTIONS(1640),
    [aux_sym_include_expression_token1] = ACTIONS(1640),
    [aux_sym_include_once_expression_token1] = ACTIONS(1640),
    [aux_sym_require_expression_token1] = ACTIONS(1640),
    [aux_sym_require_once_expression_token1] = ACTIONS(1640),
    [sym_comment] = ACTIONS(3),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(1642),
    [sym_name] = ACTIONS(1644),
    [anon_sym_QMARK_GT] = ACTIONS(1642),
    [anon_sym_SEMI] = ACTIONS(1642),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1644),
    [aux_sym_global_declaration_token1] = ACTIONS(1644),
    [aux_sym_namespace_definition_token1] = ACTIONS(1644),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1644),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1644),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1644),
    [anon_sym_BSLASH] = ACTIONS(1642),
    [anon_sym_LBRACE] = ACTIONS(1642),
    [anon_sym_RBRACE] = ACTIONS(1642),
    [aux_sym_trait_declaration_token1] = ACTIONS(1644),
    [aux_sym_interface_declaration_token1] = ACTIONS(1644),
    [aux_sym_enum_declaration_token1] = ACTIONS(1644),
    [aux_sym_enum_case_token1] = ACTIONS(1644),
    [aux_sym_class_declaration_token1] = ACTIONS(1644),
    [aux_sym_final_modifier_token1] = ACTIONS(1644),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1644),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1644),
    [sym_var_modifier] = ACTIONS(1644),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1644),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1644),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1644),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1642),
    [aux_sym_cast_type_token1] = ACTIONS(1644),
    [aux_sym_echo_statement_token1] = ACTIONS(1644),
    [aux_sym_exit_statement_token1] = ACTIONS(1644),
    [anon_sym_unset] = ACTIONS(1644),
    [aux_sym_declare_statement_token1] = ACTIONS(1644),
    [aux_sym_declare_statement_token2] = ACTIONS(1644),
    [sym_float] = ACTIONS(1644),
    [aux_sym_try_statement_token1] = ACTIONS(1644),
    [aux_sym_goto_statement_token1] = ACTIONS(1644),
    [aux_sym_continue_statement_token1] = ACTIONS(1644),
    [aux_sym_break_statement_token1] = ACTIONS(1644),
    [sym_integer] = ACTIONS(1644),
    [aux_sym_return_statement_token1] = ACTIONS(1644),
    [aux_sym_throw_expression_token1] = ACTIONS(1644),
    [aux_sym_while_statement_token1] = ACTIONS(1644),
    [aux_sym_while_statement_token2] = ACTIONS(1644),
    [aux_sym_do_statement_token1] = ACTIONS(1644),
    [aux_sym_for_statement_token1] = ACTIONS(1644),
    [aux_sym_for_statement_token2] = ACTIONS(1644),
    [aux_sym_foreach_statement_token1] = ACTIONS(1644),
    [aux_sym_foreach_statement_token2] = ACTIONS(1644),
    [aux_sym_if_statement_token1] = ACTIONS(1644),
    [aux_sym_if_statement_token2] = ACTIONS(1644),
    [aux_sym_else_if_clause_token1] = ACTIONS(1644),
    [aux_sym_else_clause_token1] = ACTIONS(1644),
    [aux_sym_match_expression_token1] = ACTIONS(1644),
    [aux_sym_match_default_expression_token1] = ACTIONS(1644),
    [aux_sym_switch_statement_token1] = ACTIONS(1644),
    [aux_sym_switch_block_token1] = ACTIONS(1644),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AT] = ACTIONS(1642),
    [aux_sym_clone_expression_token1] = ACTIONS(1644),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1644),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1644),
    [anon_sym_DASH_DASH] = ACTIONS(1642),
    [anon_sym_PLUS_PLUS] = ACTIONS(1642),
    [aux_sym__list_destructing_token1] = ACTIONS(1644),
    [anon_sym_LBRACK] = ACTIONS(1642),
    [anon_sym_self] = ACTIONS(1644),
    [anon_sym_parent] = ACTIONS(1644),
    [aux_sym__argument_name_token1] = ACTIONS(1644),
    [aux_sym__argument_name_token2] = ACTIONS(1644),
    [anon_sym_POUND_LBRACK] = ACTIONS(1642),
    [aux_sym_encapsed_string_token1] = ACTIONS(1642),
    [anon_sym_DQUOTE] = ACTIONS(1642),
    [aux_sym_string_token1] = ACTIONS(1642),
    [anon_sym_SQUOTE] = ACTIONS(1642),
    [anon_sym_LT_LT_LT] = ACTIONS(1642),
    [anon_sym_BQUOTE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1642),
    [aux_sym_yield_expression_token1] = ACTIONS(1644),
    [aux_sym_include_expression_token1] = ACTIONS(1644),
    [aux_sym_include_once_expression_token1] = ACTIONS(1644),
    [aux_sym_require_expression_token1] = ACTIONS(1644),
    [aux_sym_require_once_expression_token1] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(1646),
    [sym_name] = ACTIONS(1648),
    [anon_sym_QMARK_GT] = ACTIONS(1646),
    [anon_sym_SEMI] = ACTIONS(1646),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1648),
    [aux_sym_global_declaration_token1] = ACTIONS(1648),
    [aux_sym_namespace_definition_token1] = ACTIONS(1648),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1648),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1648),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1648),
    [anon_sym_BSLASH] = ACTIONS(1646),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_RBRACE] = ACTIONS(1646),
    [aux_sym_trait_declaration_token1] = ACTIONS(1648),
    [aux_sym_interface_declaration_token1] = ACTIONS(1648),
    [aux_sym_enum_declaration_token1] = ACTIONS(1648),
    [aux_sym_enum_case_token1] = ACTIONS(1648),
    [aux_sym_class_declaration_token1] = ACTIONS(1648),
    [aux_sym_final_modifier_token1] = ACTIONS(1648),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1648),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1648),
    [sym_var_modifier] = ACTIONS(1648),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1648),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1648),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1648),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1646),
    [aux_sym_cast_type_token1] = ACTIONS(1648),
    [aux_sym_echo_statement_token1] = ACTIONS(1648),
    [aux_sym_exit_statement_token1] = ACTIONS(1648),
    [anon_sym_unset] = ACTIONS(1648),
    [aux_sym_declare_statement_token1] = ACTIONS(1648),
    [aux_sym_declare_statement_token2] = ACTIONS(1648),
    [sym_float] = ACTIONS(1648),
    [aux_sym_try_statement_token1] = ACTIONS(1648),
    [aux_sym_goto_statement_token1] = ACTIONS(1648),
    [aux_sym_continue_statement_token1] = ACTIONS(1648),
    [aux_sym_break_statement_token1] = ACTIONS(1648),
    [sym_integer] = ACTIONS(1648),
    [aux_sym_return_statement_token1] = ACTIONS(1648),
    [aux_sym_throw_expression_token1] = ACTIONS(1648),
    [aux_sym_while_statement_token1] = ACTIONS(1648),
    [aux_sym_while_statement_token2] = ACTIONS(1648),
    [aux_sym_do_statement_token1] = ACTIONS(1648),
    [aux_sym_for_statement_token1] = ACTIONS(1648),
    [aux_sym_for_statement_token2] = ACTIONS(1648),
    [aux_sym_foreach_statement_token1] = ACTIONS(1648),
    [aux_sym_foreach_statement_token2] = ACTIONS(1648),
    [aux_sym_if_statement_token1] = ACTIONS(1648),
    [aux_sym_if_statement_token2] = ACTIONS(1648),
    [aux_sym_else_if_clause_token1] = ACTIONS(1648),
    [aux_sym_else_clause_token1] = ACTIONS(1648),
    [aux_sym_match_expression_token1] = ACTIONS(1648),
    [aux_sym_match_default_expression_token1] = ACTIONS(1648),
    [aux_sym_switch_statement_token1] = ACTIONS(1648),
    [aux_sym_switch_block_token1] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1646),
    [anon_sym_BANG] = ACTIONS(1646),
    [anon_sym_AT] = ACTIONS(1646),
    [aux_sym_clone_expression_token1] = ACTIONS(1648),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1648),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1646),
    [anon_sym_PLUS_PLUS] = ACTIONS(1646),
    [aux_sym__list_destructing_token1] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1646),
    [anon_sym_self] = ACTIONS(1648),
    [anon_sym_parent] = ACTIONS(1648),
    [aux_sym__argument_name_token1] = ACTIONS(1648),
    [aux_sym__argument_name_token2] = ACTIONS(1648),
    [anon_sym_POUND_LBRACK] = ACTIONS(1646),
    [aux_sym_encapsed_string_token1] = ACTIONS(1646),
    [anon_sym_DQUOTE] = ACTIONS(1646),
    [aux_sym_string_token1] = ACTIONS(1646),
    [anon_sym_SQUOTE] = ACTIONS(1646),
    [anon_sym_LT_LT_LT] = ACTIONS(1646),
    [anon_sym_BQUOTE] = ACTIONS(1646),
    [anon_sym_DOLLAR] = ACTIONS(1646),
    [aux_sym_yield_expression_token1] = ACTIONS(1648),
    [aux_sym_include_expression_token1] = ACTIONS(1648),
    [aux_sym_include_once_expression_token1] = ACTIONS(1648),
    [aux_sym_require_expression_token1] = ACTIONS(1648),
    [aux_sym_require_once_expression_token1] = ACTIONS(1648),
    [sym_comment] = ACTIONS(3),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(1650),
    [sym_name] = ACTIONS(1652),
    [anon_sym_QMARK_GT] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1650),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1652),
    [aux_sym_global_declaration_token1] = ACTIONS(1652),
    [aux_sym_namespace_definition_token1] = ACTIONS(1652),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1652),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1652),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1652),
    [anon_sym_BSLASH] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_RBRACE] = ACTIONS(1650),
    [aux_sym_trait_declaration_token1] = ACTIONS(1652),
    [aux_sym_interface_declaration_token1] = ACTIONS(1652),
    [aux_sym_enum_declaration_token1] = ACTIONS(1652),
    [aux_sym_enum_case_token1] = ACTIONS(1652),
    [aux_sym_class_declaration_token1] = ACTIONS(1652),
    [aux_sym_final_modifier_token1] = ACTIONS(1652),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1652),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1652),
    [sym_var_modifier] = ACTIONS(1652),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1652),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1652),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1652),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1652),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [aux_sym_cast_type_token1] = ACTIONS(1652),
    [aux_sym_echo_statement_token1] = ACTIONS(1652),
    [aux_sym_exit_statement_token1] = ACTIONS(1652),
    [anon_sym_unset] = ACTIONS(1652),
    [aux_sym_declare_statement_token1] = ACTIONS(1652),
    [aux_sym_declare_statement_token2] = ACTIONS(1652),
    [sym_float] = ACTIONS(1652),
    [aux_sym_try_statement_token1] = ACTIONS(1652),
    [aux_sym_goto_statement_token1] = ACTIONS(1652),
    [aux_sym_continue_statement_token1] = ACTIONS(1652),
    [aux_sym_break_statement_token1] = ACTIONS(1652),
    [sym_integer] = ACTIONS(1652),
    [aux_sym_return_statement_token1] = ACTIONS(1652),
    [aux_sym_throw_expression_token1] = ACTIONS(1652),
    [aux_sym_while_statement_token1] = ACTIONS(1652),
    [aux_sym_while_statement_token2] = ACTIONS(1652),
    [aux_sym_do_statement_token1] = ACTIONS(1652),
    [aux_sym_for_statement_token1] = ACTIONS(1652),
    [aux_sym_for_statement_token2] = ACTIONS(1652),
    [aux_sym_foreach_statement_token1] = ACTIONS(1652),
    [aux_sym_foreach_statement_token2] = ACTIONS(1652),
    [aux_sym_if_statement_token1] = ACTIONS(1652),
    [aux_sym_if_statement_token2] = ACTIONS(1652),
    [aux_sym_else_if_clause_token1] = ACTIONS(1652),
    [aux_sym_else_clause_token1] = ACTIONS(1652),
    [aux_sym_match_expression_token1] = ACTIONS(1652),
    [aux_sym_match_default_expression_token1] = ACTIONS(1652),
    [aux_sym_switch_statement_token1] = ACTIONS(1652),
    [aux_sym_switch_block_token1] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1652),
    [anon_sym_TILDE] = ACTIONS(1650),
    [anon_sym_BANG] = ACTIONS(1650),
    [anon_sym_AT] = ACTIONS(1650),
    [aux_sym_clone_expression_token1] = ACTIONS(1652),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1652),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1652),
    [anon_sym_DASH_DASH] = ACTIONS(1650),
    [anon_sym_PLUS_PLUS] = ACTIONS(1650),
    [aux_sym__list_destructing_token1] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [anon_sym_self] = ACTIONS(1652),
    [anon_sym_parent] = ACTIONS(1652),
    [aux_sym__argument_name_token1] = ACTIONS(1652),
    [aux_sym__argument_name_token2] = ACTIONS(1652),
    [anon_sym_POUND_LBRACK] = ACTIONS(1650),
    [aux_sym_encapsed_string_token1] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(1650),
    [aux_sym_string_token1] = ACTIONS(1650),
    [anon_sym_SQUOTE] = ACTIONS(1650),
    [anon_sym_LT_LT_LT] = ACTIONS(1650),
    [anon_sym_BQUOTE] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1650),
    [aux_sym_yield_expression_token1] = ACTIONS(1652),
    [aux_sym_include_expression_token1] = ACTIONS(1652),
    [aux_sym_include_once_expression_token1] = ACTIONS(1652),
    [aux_sym_require_expression_token1] = ACTIONS(1652),
    [aux_sym_require_once_expression_token1] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(1654),
    [sym_name] = ACTIONS(1656),
    [anon_sym_QMARK_GT] = ACTIONS(1654),
    [anon_sym_SEMI] = ACTIONS(1654),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1656),
    [aux_sym_global_declaration_token1] = ACTIONS(1656),
    [aux_sym_namespace_definition_token1] = ACTIONS(1656),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1656),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1656),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1656),
    [anon_sym_BSLASH] = ACTIONS(1654),
    [anon_sym_LBRACE] = ACTIONS(1654),
    [anon_sym_RBRACE] = ACTIONS(1654),
    [aux_sym_trait_declaration_token1] = ACTIONS(1656),
    [aux_sym_interface_declaration_token1] = ACTIONS(1656),
    [aux_sym_enum_declaration_token1] = ACTIONS(1656),
    [aux_sym_enum_case_token1] = ACTIONS(1656),
    [aux_sym_class_declaration_token1] = ACTIONS(1656),
    [aux_sym_final_modifier_token1] = ACTIONS(1656),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1656),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1656),
    [sym_var_modifier] = ACTIONS(1656),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1656),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1656),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1656),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1654),
    [aux_sym_cast_type_token1] = ACTIONS(1656),
    [aux_sym_echo_statement_token1] = ACTIONS(1656),
    [aux_sym_exit_statement_token1] = ACTIONS(1656),
    [anon_sym_unset] = ACTIONS(1656),
    [aux_sym_declare_statement_token1] = ACTIONS(1656),
    [aux_sym_declare_statement_token2] = ACTIONS(1656),
    [sym_float] = ACTIONS(1656),
    [aux_sym_try_statement_token1] = ACTIONS(1656),
    [aux_sym_goto_statement_token1] = ACTIONS(1656),
    [aux_sym_continue_statement_token1] = ACTIONS(1656),
    [aux_sym_break_statement_token1] = ACTIONS(1656),
    [sym_integer] = ACTIONS(1656),
    [aux_sym_return_statement_token1] = ACTIONS(1656),
    [aux_sym_throw_expression_token1] = ACTIONS(1656),
    [aux_sym_while_statement_token1] = ACTIONS(1656),
    [aux_sym_while_statement_token2] = ACTIONS(1656),
    [aux_sym_do_statement_token1] = ACTIONS(1656),
    [aux_sym_for_statement_token1] = ACTIONS(1656),
    [aux_sym_for_statement_token2] = ACTIONS(1656),
    [aux_sym_foreach_statement_token1] = ACTIONS(1656),
    [aux_sym_foreach_statement_token2] = ACTIONS(1656),
    [aux_sym_if_statement_token1] = ACTIONS(1656),
    [aux_sym_if_statement_token2] = ACTIONS(1656),
    [aux_sym_else_if_clause_token1] = ACTIONS(1656),
    [aux_sym_else_clause_token1] = ACTIONS(1656),
    [aux_sym_match_expression_token1] = ACTIONS(1656),
    [aux_sym_match_default_expression_token1] = ACTIONS(1656),
    [aux_sym_switch_statement_token1] = ACTIONS(1656),
    [aux_sym_switch_block_token1] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1654),
    [anon_sym_BANG] = ACTIONS(1654),
    [anon_sym_AT] = ACTIONS(1654),
    [aux_sym_clone_expression_token1] = ACTIONS(1656),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1656),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1656),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [aux_sym__list_destructing_token1] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_self] = ACTIONS(1656),
    [anon_sym_parent] = ACTIONS(1656),
    [aux_sym__argument_name_token1] = ACTIONS(1656),
    [aux_sym__argument_name_token2] = ACTIONS(1656),
    [anon_sym_POUND_LBRACK] = ACTIONS(1654),
    [aux_sym_encapsed_string_token1] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(1654),
    [aux_sym_string_token1] = ACTIONS(1654),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [anon_sym_LT_LT_LT] = ACTIONS(1654),
    [anon_sym_BQUOTE] = ACTIONS(1654),
    [anon_sym_DOLLAR] = ACTIONS(1654),
    [aux_sym_yield_expression_token1] = ACTIONS(1656),
    [aux_sym_include_expression_token1] = ACTIONS(1656),
    [aux_sym_include_once_expression_token1] = ACTIONS(1656),
    [aux_sym_require_expression_token1] = ACTIONS(1656),
    [aux_sym_require_once_expression_token1] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(1658),
    [sym_name] = ACTIONS(1660),
    [anon_sym_QMARK_GT] = ACTIONS(1658),
    [anon_sym_SEMI] = ACTIONS(1658),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1660),
    [aux_sym_global_declaration_token1] = ACTIONS(1660),
    [aux_sym_namespace_definition_token1] = ACTIONS(1660),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1660),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1660),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1660),
    [anon_sym_BSLASH] = ACTIONS(1658),
    [anon_sym_LBRACE] = ACTIONS(1658),
    [anon_sym_RBRACE] = ACTIONS(1658),
    [aux_sym_trait_declaration_token1] = ACTIONS(1660),
    [aux_sym_interface_declaration_token1] = ACTIONS(1660),
    [aux_sym_enum_declaration_token1] = ACTIONS(1660),
    [aux_sym_enum_case_token1] = ACTIONS(1660),
    [aux_sym_class_declaration_token1] = ACTIONS(1660),
    [aux_sym_final_modifier_token1] = ACTIONS(1660),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1660),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1660),
    [sym_var_modifier] = ACTIONS(1660),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1660),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1660),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1660),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1660),
    [anon_sym_LPAREN] = ACTIONS(1658),
    [aux_sym_cast_type_token1] = ACTIONS(1660),
    [aux_sym_echo_statement_token1] = ACTIONS(1660),
    [aux_sym_exit_statement_token1] = ACTIONS(1660),
    [anon_sym_unset] = ACTIONS(1660),
    [aux_sym_declare_statement_token1] = ACTIONS(1660),
    [aux_sym_declare_statement_token2] = ACTIONS(1660),
    [sym_float] = ACTIONS(1660),
    [aux_sym_try_statement_token1] = ACTIONS(1660),
    [aux_sym_goto_statement_token1] = ACTIONS(1660),
    [aux_sym_continue_statement_token1] = ACTIONS(1660),
    [aux_sym_break_statement_token1] = ACTIONS(1660),
    [sym_integer] = ACTIONS(1660),
    [aux_sym_return_statement_token1] = ACTIONS(1660),
    [aux_sym_throw_expression_token1] = ACTIONS(1660),
    [aux_sym_while_statement_token1] = ACTIONS(1660),
    [aux_sym_while_statement_token2] = ACTIONS(1660),
    [aux_sym_do_statement_token1] = ACTIONS(1660),
    [aux_sym_for_statement_token1] = ACTIONS(1660),
    [aux_sym_for_statement_token2] = ACTIONS(1660),
    [aux_sym_foreach_statement_token1] = ACTIONS(1660),
    [aux_sym_foreach_statement_token2] = ACTIONS(1660),
    [aux_sym_if_statement_token1] = ACTIONS(1660),
    [aux_sym_if_statement_token2] = ACTIONS(1660),
    [aux_sym_else_if_clause_token1] = ACTIONS(1660),
    [aux_sym_else_clause_token1] = ACTIONS(1660),
    [aux_sym_match_expression_token1] = ACTIONS(1660),
    [aux_sym_match_default_expression_token1] = ACTIONS(1660),
    [aux_sym_switch_statement_token1] = ACTIONS(1660),
    [aux_sym_switch_block_token1] = ACTIONS(1660),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1658),
    [anon_sym_BANG] = ACTIONS(1658),
    [anon_sym_AT] = ACTIONS(1658),
    [aux_sym_clone_expression_token1] = ACTIONS(1660),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1660),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1660),
    [anon_sym_DASH_DASH] = ACTIONS(1658),
    [anon_sym_PLUS_PLUS] = ACTIONS(1658),
    [aux_sym__list_destructing_token1] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_self] = ACTIONS(1660),
    [anon_sym_parent] = ACTIONS(1660),
    [aux_sym__argument_name_token1] = ACTIONS(1660),
    [aux_sym__argument_name_token2] = ACTIONS(1660),
    [anon_sym_POUND_LBRACK] = ACTIONS(1658),
    [aux_sym_encapsed_string_token1] = ACTIONS(1658),
    [anon_sym_DQUOTE] = ACTIONS(1658),
    [aux_sym_string_token1] = ACTIONS(1658),
    [anon_sym_SQUOTE] = ACTIONS(1658),
    [anon_sym_LT_LT_LT] = ACTIONS(1658),
    [anon_sym_BQUOTE] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1658),
    [aux_sym_yield_expression_token1] = ACTIONS(1660),
    [aux_sym_include_expression_token1] = ACTIONS(1660),
    [aux_sym_include_once_expression_token1] = ACTIONS(1660),
    [aux_sym_require_expression_token1] = ACTIONS(1660),
    [aux_sym_require_once_expression_token1] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(1662),
    [sym_name] = ACTIONS(1664),
    [anon_sym_QMARK_GT] = ACTIONS(1662),
    [anon_sym_SEMI] = ACTIONS(1662),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1664),
    [aux_sym_global_declaration_token1] = ACTIONS(1664),
    [aux_sym_namespace_definition_token1] = ACTIONS(1664),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1664),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1664),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1664),
    [anon_sym_BSLASH] = ACTIONS(1662),
    [anon_sym_LBRACE] = ACTIONS(1662),
    [anon_sym_RBRACE] = ACTIONS(1662),
    [aux_sym_trait_declaration_token1] = ACTIONS(1664),
    [aux_sym_interface_declaration_token1] = ACTIONS(1664),
    [aux_sym_enum_declaration_token1] = ACTIONS(1664),
    [aux_sym_enum_case_token1] = ACTIONS(1664),
    [aux_sym_class_declaration_token1] = ACTIONS(1664),
    [aux_sym_final_modifier_token1] = ACTIONS(1664),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1664),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1664),
    [sym_var_modifier] = ACTIONS(1664),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1664),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1664),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1664),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [aux_sym_cast_type_token1] = ACTIONS(1664),
    [aux_sym_echo_statement_token1] = ACTIONS(1664),
    [aux_sym_exit_statement_token1] = ACTIONS(1664),
    [anon_sym_unset] = ACTIONS(1664),
    [aux_sym_declare_statement_token1] = ACTIONS(1664),
    [aux_sym_declare_statement_token2] = ACTIONS(1664),
    [sym_float] = ACTIONS(1664),
    [aux_sym_try_statement_token1] = ACTIONS(1664),
    [aux_sym_goto_statement_token1] = ACTIONS(1664),
    [aux_sym_continue_statement_token1] = ACTIONS(1664),
    [aux_sym_break_statement_token1] = ACTIONS(1664),
    [sym_integer] = ACTIONS(1664),
    [aux_sym_return_statement_token1] = ACTIONS(1664),
    [aux_sym_throw_expression_token1] = ACTIONS(1664),
    [aux_sym_while_statement_token1] = ACTIONS(1664),
    [aux_sym_while_statement_token2] = ACTIONS(1664),
    [aux_sym_do_statement_token1] = ACTIONS(1664),
    [aux_sym_for_statement_token1] = ACTIONS(1664),
    [aux_sym_for_statement_token2] = ACTIONS(1664),
    [aux_sym_foreach_statement_token1] = ACTIONS(1664),
    [aux_sym_foreach_statement_token2] = ACTIONS(1664),
    [aux_sym_if_statement_token1] = ACTIONS(1664),
    [aux_sym_if_statement_token2] = ACTIONS(1664),
    [aux_sym_else_if_clause_token1] = ACTIONS(1664),
    [aux_sym_else_clause_token1] = ACTIONS(1664),
    [aux_sym_match_expression_token1] = ACTIONS(1664),
    [aux_sym_match_default_expression_token1] = ACTIONS(1664),
    [aux_sym_switch_statement_token1] = ACTIONS(1664),
    [aux_sym_switch_block_token1] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1662),
    [anon_sym_BANG] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1662),
    [aux_sym_clone_expression_token1] = ACTIONS(1664),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1664),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1664),
    [anon_sym_DASH_DASH] = ACTIONS(1662),
    [anon_sym_PLUS_PLUS] = ACTIONS(1662),
    [aux_sym__list_destructing_token1] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1662),
    [anon_sym_self] = ACTIONS(1664),
    [anon_sym_parent] = ACTIONS(1664),
    [aux_sym__argument_name_token1] = ACTIONS(1664),
    [aux_sym__argument_name_token2] = ACTIONS(1664),
    [anon_sym_POUND_LBRACK] = ACTIONS(1662),
    [aux_sym_encapsed_string_token1] = ACTIONS(1662),
    [anon_sym_DQUOTE] = ACTIONS(1662),
    [aux_sym_string_token1] = ACTIONS(1662),
    [anon_sym_SQUOTE] = ACTIONS(1662),
    [anon_sym_LT_LT_LT] = ACTIONS(1662),
    [anon_sym_BQUOTE] = ACTIONS(1662),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [aux_sym_yield_expression_token1] = ACTIONS(1664),
    [aux_sym_include_expression_token1] = ACTIONS(1664),
    [aux_sym_include_once_expression_token1] = ACTIONS(1664),
    [aux_sym_require_expression_token1] = ACTIONS(1664),
    [aux_sym_require_once_expression_token1] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(1666),
    [sym_name] = ACTIONS(1668),
    [anon_sym_QMARK_GT] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1666),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1668),
    [aux_sym_global_declaration_token1] = ACTIONS(1668),
    [aux_sym_namespace_definition_token1] = ACTIONS(1668),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1668),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1668),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1668),
    [anon_sym_BSLASH] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1666),
    [anon_sym_RBRACE] = ACTIONS(1666),
    [aux_sym_trait_declaration_token1] = ACTIONS(1668),
    [aux_sym_interface_declaration_token1] = ACTIONS(1668),
    [aux_sym_enum_declaration_token1] = ACTIONS(1668),
    [aux_sym_enum_case_token1] = ACTIONS(1668),
    [aux_sym_class_declaration_token1] = ACTIONS(1668),
    [aux_sym_final_modifier_token1] = ACTIONS(1668),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1668),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1668),
    [sym_var_modifier] = ACTIONS(1668),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1668),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1668),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1668),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1668),
    [anon_sym_LPAREN] = ACTIONS(1666),
    [aux_sym_cast_type_token1] = ACTIONS(1668),
    [aux_sym_echo_statement_token1] = ACTIONS(1668),
    [aux_sym_exit_statement_token1] = ACTIONS(1668),
    [anon_sym_unset] = ACTIONS(1668),
    [aux_sym_declare_statement_token1] = ACTIONS(1668),
    [aux_sym_declare_statement_token2] = ACTIONS(1668),
    [sym_float] = ACTIONS(1668),
    [aux_sym_try_statement_token1] = ACTIONS(1668),
    [aux_sym_goto_statement_token1] = ACTIONS(1668),
    [aux_sym_continue_statement_token1] = ACTIONS(1668),
    [aux_sym_break_statement_token1] = ACTIONS(1668),
    [sym_integer] = ACTIONS(1668),
    [aux_sym_return_statement_token1] = ACTIONS(1668),
    [aux_sym_throw_expression_token1] = ACTIONS(1668),
    [aux_sym_while_statement_token1] = ACTIONS(1668),
    [aux_sym_while_statement_token2] = ACTIONS(1668),
    [aux_sym_do_statement_token1] = ACTIONS(1668),
    [aux_sym_for_statement_token1] = ACTIONS(1668),
    [aux_sym_for_statement_token2] = ACTIONS(1668),
    [aux_sym_foreach_statement_token1] = ACTIONS(1668),
    [aux_sym_foreach_statement_token2] = ACTIONS(1668),
    [aux_sym_if_statement_token1] = ACTIONS(1668),
    [aux_sym_if_statement_token2] = ACTIONS(1668),
    [aux_sym_else_if_clause_token1] = ACTIONS(1668),
    [aux_sym_else_clause_token1] = ACTIONS(1668),
    [aux_sym_match_expression_token1] = ACTIONS(1668),
    [aux_sym_match_default_expression_token1] = ACTIONS(1668),
    [aux_sym_switch_statement_token1] = ACTIONS(1668),
    [aux_sym_switch_block_token1] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1668),
    [anon_sym_TILDE] = ACTIONS(1666),
    [anon_sym_BANG] = ACTIONS(1666),
    [anon_sym_AT] = ACTIONS(1666),
    [aux_sym_clone_expression_token1] = ACTIONS(1668),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1668),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1668),
    [anon_sym_DASH_DASH] = ACTIONS(1666),
    [anon_sym_PLUS_PLUS] = ACTIONS(1666),
    [aux_sym__list_destructing_token1] = ACTIONS(1668),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_self] = ACTIONS(1668),
    [anon_sym_parent] = ACTIONS(1668),
    [aux_sym__argument_name_token1] = ACTIONS(1668),
    [aux_sym__argument_name_token2] = ACTIONS(1668),
    [anon_sym_POUND_LBRACK] = ACTIONS(1666),
    [aux_sym_encapsed_string_token1] = ACTIONS(1666),
    [anon_sym_DQUOTE] = ACTIONS(1666),
    [aux_sym_string_token1] = ACTIONS(1666),
    [anon_sym_SQUOTE] = ACTIONS(1666),
    [anon_sym_LT_LT_LT] = ACTIONS(1666),
    [anon_sym_BQUOTE] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1666),
    [aux_sym_yield_expression_token1] = ACTIONS(1668),
    [aux_sym_include_expression_token1] = ACTIONS(1668),
    [aux_sym_include_once_expression_token1] = ACTIONS(1668),
    [aux_sym_require_expression_token1] = ACTIONS(1668),
    [aux_sym_require_once_expression_token1] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(1670),
    [sym_name] = ACTIONS(1672),
    [anon_sym_QMARK_GT] = ACTIONS(1670),
    [anon_sym_SEMI] = ACTIONS(1670),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1672),
    [aux_sym_global_declaration_token1] = ACTIONS(1672),
    [aux_sym_namespace_definition_token1] = ACTIONS(1672),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1672),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1672),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1672),
    [anon_sym_BSLASH] = ACTIONS(1670),
    [anon_sym_LBRACE] = ACTIONS(1670),
    [anon_sym_RBRACE] = ACTIONS(1670),
    [aux_sym_trait_declaration_token1] = ACTIONS(1672),
    [aux_sym_interface_declaration_token1] = ACTIONS(1672),
    [aux_sym_enum_declaration_token1] = ACTIONS(1672),
    [aux_sym_enum_case_token1] = ACTIONS(1672),
    [aux_sym_class_declaration_token1] = ACTIONS(1672),
    [aux_sym_final_modifier_token1] = ACTIONS(1672),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1672),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1672),
    [sym_var_modifier] = ACTIONS(1672),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1672),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1672),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1672),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1672),
    [anon_sym_LPAREN] = ACTIONS(1670),
    [aux_sym_cast_type_token1] = ACTIONS(1672),
    [aux_sym_echo_statement_token1] = ACTIONS(1672),
    [aux_sym_exit_statement_token1] = ACTIONS(1672),
    [anon_sym_unset] = ACTIONS(1672),
    [aux_sym_declare_statement_token1] = ACTIONS(1672),
    [aux_sym_declare_statement_token2] = ACTIONS(1672),
    [sym_float] = ACTIONS(1672),
    [aux_sym_try_statement_token1] = ACTIONS(1672),
    [aux_sym_goto_statement_token1] = ACTIONS(1672),
    [aux_sym_continue_statement_token1] = ACTIONS(1672),
    [aux_sym_break_statement_token1] = ACTIONS(1672),
    [sym_integer] = ACTIONS(1672),
    [aux_sym_return_statement_token1] = ACTIONS(1672),
    [aux_sym_throw_expression_token1] = ACTIONS(1672),
    [aux_sym_while_statement_token1] = ACTIONS(1672),
    [aux_sym_while_statement_token2] = ACTIONS(1672),
    [aux_sym_do_statement_token1] = ACTIONS(1672),
    [aux_sym_for_statement_token1] = ACTIONS(1672),
    [aux_sym_for_statement_token2] = ACTIONS(1672),
    [aux_sym_foreach_statement_token1] = ACTIONS(1672),
    [aux_sym_foreach_statement_token2] = ACTIONS(1672),
    [aux_sym_if_statement_token1] = ACTIONS(1672),
    [aux_sym_if_statement_token2] = ACTIONS(1672),
    [aux_sym_else_if_clause_token1] = ACTIONS(1672),
    [aux_sym_else_clause_token1] = ACTIONS(1672),
    [aux_sym_match_expression_token1] = ACTIONS(1672),
    [aux_sym_match_default_expression_token1] = ACTIONS(1672),
    [aux_sym_switch_statement_token1] = ACTIONS(1672),
    [aux_sym_switch_block_token1] = ACTIONS(1672),
    [anon_sym_PLUS] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1670),
    [anon_sym_AT] = ACTIONS(1670),
    [aux_sym_clone_expression_token1] = ACTIONS(1672),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1672),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1672),
    [anon_sym_DASH_DASH] = ACTIONS(1670),
    [anon_sym_PLUS_PLUS] = ACTIONS(1670),
    [aux_sym__list_destructing_token1] = ACTIONS(1672),
    [anon_sym_LBRACK] = ACTIONS(1670),
    [anon_sym_self] = ACTIONS(1672),
    [anon_sym_parent] = ACTIONS(1672),
    [aux_sym__argument_name_token1] = ACTIONS(1672),
    [aux_sym__argument_name_token2] = ACTIONS(1672),
    [anon_sym_POUND_LBRACK] = ACTIONS(1670),
    [aux_sym_encapsed_string_token1] = ACTIONS(1670),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [aux_sym_string_token1] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1670),
    [anon_sym_LT_LT_LT] = ACTIONS(1670),
    [anon_sym_BQUOTE] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [aux_sym_yield_expression_token1] = ACTIONS(1672),
    [aux_sym_include_expression_token1] = ACTIONS(1672),
    [aux_sym_include_once_expression_token1] = ACTIONS(1672),
    [aux_sym_require_expression_token1] = ACTIONS(1672),
    [aux_sym_require_once_expression_token1] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(1674),
    [sym_name] = ACTIONS(1676),
    [anon_sym_QMARK_GT] = ACTIONS(1674),
    [anon_sym_SEMI] = ACTIONS(1674),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1676),
    [aux_sym_global_declaration_token1] = ACTIONS(1676),
    [aux_sym_namespace_definition_token1] = ACTIONS(1676),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1676),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1676),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1676),
    [anon_sym_BSLASH] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [aux_sym_trait_declaration_token1] = ACTIONS(1676),
    [aux_sym_interface_declaration_token1] = ACTIONS(1676),
    [aux_sym_enum_declaration_token1] = ACTIONS(1676),
    [aux_sym_enum_case_token1] = ACTIONS(1676),
    [aux_sym_class_declaration_token1] = ACTIONS(1676),
    [aux_sym_final_modifier_token1] = ACTIONS(1676),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1676),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1676),
    [sym_var_modifier] = ACTIONS(1676),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1676),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1676),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1676),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [aux_sym_cast_type_token1] = ACTIONS(1676),
    [aux_sym_echo_statement_token1] = ACTIONS(1676),
    [aux_sym_exit_statement_token1] = ACTIONS(1676),
    [anon_sym_unset] = ACTIONS(1676),
    [aux_sym_declare_statement_token1] = ACTIONS(1676),
    [aux_sym_declare_statement_token2] = ACTIONS(1676),
    [sym_float] = ACTIONS(1676),
    [aux_sym_try_statement_token1] = ACTIONS(1676),
    [aux_sym_goto_statement_token1] = ACTIONS(1676),
    [aux_sym_continue_statement_token1] = ACTIONS(1676),
    [aux_sym_break_statement_token1] = ACTIONS(1676),
    [sym_integer] = ACTIONS(1676),
    [aux_sym_return_statement_token1] = ACTIONS(1676),
    [aux_sym_throw_expression_token1] = ACTIONS(1676),
    [aux_sym_while_statement_token1] = ACTIONS(1676),
    [aux_sym_while_statement_token2] = ACTIONS(1676),
    [aux_sym_do_statement_token1] = ACTIONS(1676),
    [aux_sym_for_statement_token1] = ACTIONS(1676),
    [aux_sym_for_statement_token2] = ACTIONS(1676),
    [aux_sym_foreach_statement_token1] = ACTIONS(1676),
    [aux_sym_foreach_statement_token2] = ACTIONS(1676),
    [aux_sym_if_statement_token1] = ACTIONS(1676),
    [aux_sym_if_statement_token2] = ACTIONS(1676),
    [aux_sym_else_if_clause_token1] = ACTIONS(1676),
    [aux_sym_else_clause_token1] = ACTIONS(1676),
    [aux_sym_match_expression_token1] = ACTIONS(1676),
    [aux_sym_match_default_expression_token1] = ACTIONS(1676),
    [aux_sym_switch_statement_token1] = ACTIONS(1676),
    [aux_sym_switch_block_token1] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_TILDE] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_AT] = ACTIONS(1674),
    [aux_sym_clone_expression_token1] = ACTIONS(1676),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1676),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1676),
    [anon_sym_DASH_DASH] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1674),
    [aux_sym__list_destructing_token1] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_self] = ACTIONS(1676),
    [anon_sym_parent] = ACTIONS(1676),
    [aux_sym__argument_name_token1] = ACTIONS(1676),
    [aux_sym__argument_name_token2] = ACTIONS(1676),
    [anon_sym_POUND_LBRACK] = ACTIONS(1674),
    [aux_sym_encapsed_string_token1] = ACTIONS(1674),
    [anon_sym_DQUOTE] = ACTIONS(1674),
    [aux_sym_string_token1] = ACTIONS(1674),
    [anon_sym_SQUOTE] = ACTIONS(1674),
    [anon_sym_LT_LT_LT] = ACTIONS(1674),
    [anon_sym_BQUOTE] = ACTIONS(1674),
    [anon_sym_DOLLAR] = ACTIONS(1674),
    [aux_sym_yield_expression_token1] = ACTIONS(1676),
    [aux_sym_include_expression_token1] = ACTIONS(1676),
    [aux_sym_include_once_expression_token1] = ACTIONS(1676),
    [aux_sym_require_expression_token1] = ACTIONS(1676),
    [aux_sym_require_once_expression_token1] = ACTIONS(1676),
    [sym_comment] = ACTIONS(3),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [sym_name] = ACTIONS(1680),
    [anon_sym_QMARK_GT] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1680),
    [aux_sym_global_declaration_token1] = ACTIONS(1680),
    [aux_sym_namespace_definition_token1] = ACTIONS(1680),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1680),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1680),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1680),
    [anon_sym_BSLASH] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [aux_sym_trait_declaration_token1] = ACTIONS(1680),
    [aux_sym_interface_declaration_token1] = ACTIONS(1680),
    [aux_sym_enum_declaration_token1] = ACTIONS(1680),
    [aux_sym_enum_case_token1] = ACTIONS(1680),
    [aux_sym_class_declaration_token1] = ACTIONS(1680),
    [aux_sym_final_modifier_token1] = ACTIONS(1680),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1680),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1680),
    [sym_var_modifier] = ACTIONS(1680),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1680),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1680),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1680),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [aux_sym_cast_type_token1] = ACTIONS(1680),
    [aux_sym_echo_statement_token1] = ACTIONS(1680),
    [aux_sym_exit_statement_token1] = ACTIONS(1680),
    [anon_sym_unset] = ACTIONS(1680),
    [aux_sym_declare_statement_token1] = ACTIONS(1680),
    [aux_sym_declare_statement_token2] = ACTIONS(1680),
    [sym_float] = ACTIONS(1680),
    [aux_sym_try_statement_token1] = ACTIONS(1680),
    [aux_sym_goto_statement_token1] = ACTIONS(1680),
    [aux_sym_continue_statement_token1] = ACTIONS(1680),
    [aux_sym_break_statement_token1] = ACTIONS(1680),
    [sym_integer] = ACTIONS(1680),
    [aux_sym_return_statement_token1] = ACTIONS(1680),
    [aux_sym_throw_expression_token1] = ACTIONS(1680),
    [aux_sym_while_statement_token1] = ACTIONS(1680),
    [aux_sym_while_statement_token2] = ACTIONS(1680),
    [aux_sym_do_statement_token1] = ACTIONS(1680),
    [aux_sym_for_statement_token1] = ACTIONS(1680),
    [aux_sym_for_statement_token2] = ACTIONS(1680),
    [aux_sym_foreach_statement_token1] = ACTIONS(1680),
    [aux_sym_foreach_statement_token2] = ACTIONS(1680),
    [aux_sym_if_statement_token1] = ACTIONS(1680),
    [aux_sym_if_statement_token2] = ACTIONS(1680),
    [aux_sym_else_if_clause_token1] = ACTIONS(1680),
    [aux_sym_else_clause_token1] = ACTIONS(1680),
    [aux_sym_match_expression_token1] = ACTIONS(1680),
    [aux_sym_match_default_expression_token1] = ACTIONS(1680),
    [aux_sym_switch_statement_token1] = ACTIONS(1680),
    [aux_sym_switch_block_token1] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_AT] = ACTIONS(1678),
    [aux_sym_clone_expression_token1] = ACTIONS(1680),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1680),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1678),
    [anon_sym_PLUS_PLUS] = ACTIONS(1678),
    [aux_sym__list_destructing_token1] = ACTIONS(1680),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_self] = ACTIONS(1680),
    [anon_sym_parent] = ACTIONS(1680),
    [aux_sym__argument_name_token1] = ACTIONS(1680),
    [aux_sym__argument_name_token2] = ACTIONS(1680),
    [anon_sym_POUND_LBRACK] = ACTIONS(1678),
    [aux_sym_encapsed_string_token1] = ACTIONS(1678),
    [anon_sym_DQUOTE] = ACTIONS(1678),
    [aux_sym_string_token1] = ACTIONS(1678),
    [anon_sym_SQUOTE] = ACTIONS(1678),
    [anon_sym_LT_LT_LT] = ACTIONS(1678),
    [anon_sym_BQUOTE] = ACTIONS(1678),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [aux_sym_yield_expression_token1] = ACTIONS(1680),
    [aux_sym_include_expression_token1] = ACTIONS(1680),
    [aux_sym_include_once_expression_token1] = ACTIONS(1680),
    [aux_sym_require_expression_token1] = ACTIONS(1680),
    [aux_sym_require_once_expression_token1] = ACTIONS(1680),
    [sym_comment] = ACTIONS(3),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(1682),
    [sym_name] = ACTIONS(1684),
    [anon_sym_QMARK_GT] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1682),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1684),
    [aux_sym_global_declaration_token1] = ACTIONS(1684),
    [aux_sym_namespace_definition_token1] = ACTIONS(1684),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1684),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1684),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1684),
    [anon_sym_BSLASH] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [aux_sym_trait_declaration_token1] = ACTIONS(1684),
    [aux_sym_interface_declaration_token1] = ACTIONS(1684),
    [aux_sym_enum_declaration_token1] = ACTIONS(1684),
    [aux_sym_enum_case_token1] = ACTIONS(1684),
    [aux_sym_class_declaration_token1] = ACTIONS(1684),
    [aux_sym_final_modifier_token1] = ACTIONS(1684),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1684),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1684),
    [sym_var_modifier] = ACTIONS(1684),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1684),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1684),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1684),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1684),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [aux_sym_cast_type_token1] = ACTIONS(1684),
    [aux_sym_echo_statement_token1] = ACTIONS(1684),
    [aux_sym_exit_statement_token1] = ACTIONS(1684),
    [anon_sym_unset] = ACTIONS(1684),
    [aux_sym_declare_statement_token1] = ACTIONS(1684),
    [aux_sym_declare_statement_token2] = ACTIONS(1684),
    [sym_float] = ACTIONS(1684),
    [aux_sym_try_statement_token1] = ACTIONS(1684),
    [aux_sym_goto_statement_token1] = ACTIONS(1684),
    [aux_sym_continue_statement_token1] = ACTIONS(1684),
    [aux_sym_break_statement_token1] = ACTIONS(1684),
    [sym_integer] = ACTIONS(1684),
    [aux_sym_return_statement_token1] = ACTIONS(1684),
    [aux_sym_throw_expression_token1] = ACTIONS(1684),
    [aux_sym_while_statement_token1] = ACTIONS(1684),
    [aux_sym_while_statement_token2] = ACTIONS(1684),
    [aux_sym_do_statement_token1] = ACTIONS(1684),
    [aux_sym_for_statement_token1] = ACTIONS(1684),
    [aux_sym_for_statement_token2] = ACTIONS(1684),
    [aux_sym_foreach_statement_token1] = ACTIONS(1684),
    [aux_sym_foreach_statement_token2] = ACTIONS(1684),
    [aux_sym_if_statement_token1] = ACTIONS(1684),
    [aux_sym_if_statement_token2] = ACTIONS(1684),
    [aux_sym_else_if_clause_token1] = ACTIONS(1684),
    [aux_sym_else_clause_token1] = ACTIONS(1684),
    [aux_sym_match_expression_token1] = ACTIONS(1684),
    [aux_sym_match_default_expression_token1] = ACTIONS(1684),
    [aux_sym_switch_statement_token1] = ACTIONS(1684),
    [aux_sym_switch_block_token1] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1684),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_AT] = ACTIONS(1682),
    [aux_sym_clone_expression_token1] = ACTIONS(1684),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1684),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1684),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [aux_sym__list_destructing_token1] = ACTIONS(1684),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_self] = ACTIONS(1684),
    [anon_sym_parent] = ACTIONS(1684),
    [aux_sym__argument_name_token1] = ACTIONS(1684),
    [aux_sym__argument_name_token2] = ACTIONS(1684),
    [anon_sym_POUND_LBRACK] = ACTIONS(1682),
    [aux_sym_encapsed_string_token1] = ACTIONS(1682),
    [anon_sym_DQUOTE] = ACTIONS(1682),
    [aux_sym_string_token1] = ACTIONS(1682),
    [anon_sym_SQUOTE] = ACTIONS(1682),
    [anon_sym_LT_LT_LT] = ACTIONS(1682),
    [anon_sym_BQUOTE] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [aux_sym_yield_expression_token1] = ACTIONS(1684),
    [aux_sym_include_expression_token1] = ACTIONS(1684),
    [aux_sym_include_once_expression_token1] = ACTIONS(1684),
    [aux_sym_require_expression_token1] = ACTIONS(1684),
    [aux_sym_require_once_expression_token1] = ACTIONS(1684),
    [sym_comment] = ACTIONS(3),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(1686),
    [sym_name] = ACTIONS(1688),
    [anon_sym_QMARK_GT] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1686),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1688),
    [aux_sym_global_declaration_token1] = ACTIONS(1688),
    [aux_sym_namespace_definition_token1] = ACTIONS(1688),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1688),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1688),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1688),
    [anon_sym_BSLASH] = ACTIONS(1686),
    [anon_sym_LBRACE] = ACTIONS(1686),
    [anon_sym_RBRACE] = ACTIONS(1686),
    [aux_sym_trait_declaration_token1] = ACTIONS(1688),
    [aux_sym_interface_declaration_token1] = ACTIONS(1688),
    [aux_sym_enum_declaration_token1] = ACTIONS(1688),
    [aux_sym_enum_case_token1] = ACTIONS(1688),
    [aux_sym_class_declaration_token1] = ACTIONS(1688),
    [aux_sym_final_modifier_token1] = ACTIONS(1688),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1688),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1688),
    [sym_var_modifier] = ACTIONS(1688),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1688),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1688),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1688),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1688),
    [anon_sym_LPAREN] = ACTIONS(1686),
    [aux_sym_cast_type_token1] = ACTIONS(1688),
    [aux_sym_echo_statement_token1] = ACTIONS(1688),
    [aux_sym_exit_statement_token1] = ACTIONS(1688),
    [anon_sym_unset] = ACTIONS(1688),
    [aux_sym_declare_statement_token1] = ACTIONS(1688),
    [aux_sym_declare_statement_token2] = ACTIONS(1688),
    [sym_float] = ACTIONS(1688),
    [aux_sym_try_statement_token1] = ACTIONS(1688),
    [aux_sym_goto_statement_token1] = ACTIONS(1688),
    [aux_sym_continue_statement_token1] = ACTIONS(1688),
    [aux_sym_break_statement_token1] = ACTIONS(1688),
    [sym_integer] = ACTIONS(1688),
    [aux_sym_return_statement_token1] = ACTIONS(1688),
    [aux_sym_throw_expression_token1] = ACTIONS(1688),
    [aux_sym_while_statement_token1] = ACTIONS(1688),
    [aux_sym_while_statement_token2] = ACTIONS(1688),
    [aux_sym_do_statement_token1] = ACTIONS(1688),
    [aux_sym_for_statement_token1] = ACTIONS(1688),
    [aux_sym_for_statement_token2] = ACTIONS(1688),
    [aux_sym_foreach_statement_token1] = ACTIONS(1688),
    [aux_sym_foreach_statement_token2] = ACTIONS(1688),
    [aux_sym_if_statement_token1] = ACTIONS(1688),
    [aux_sym_if_statement_token2] = ACTIONS(1688),
    [aux_sym_else_if_clause_token1] = ACTIONS(1688),
    [aux_sym_else_clause_token1] = ACTIONS(1688),
    [aux_sym_match_expression_token1] = ACTIONS(1688),
    [aux_sym_match_default_expression_token1] = ACTIONS(1688),
    [aux_sym_switch_statement_token1] = ACTIONS(1688),
    [aux_sym_switch_block_token1] = ACTIONS(1688),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1688),
    [anon_sym_TILDE] = ACTIONS(1686),
    [anon_sym_BANG] = ACTIONS(1686),
    [anon_sym_AT] = ACTIONS(1686),
    [aux_sym_clone_expression_token1] = ACTIONS(1688),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1688),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1688),
    [anon_sym_DASH_DASH] = ACTIONS(1686),
    [anon_sym_PLUS_PLUS] = ACTIONS(1686),
    [aux_sym__list_destructing_token1] = ACTIONS(1688),
    [anon_sym_LBRACK] = ACTIONS(1686),
    [anon_sym_self] = ACTIONS(1688),
    [anon_sym_parent] = ACTIONS(1688),
    [aux_sym__argument_name_token1] = ACTIONS(1688),
    [aux_sym__argument_name_token2] = ACTIONS(1688),
    [anon_sym_POUND_LBRACK] = ACTIONS(1686),
    [aux_sym_encapsed_string_token1] = ACTIONS(1686),
    [anon_sym_DQUOTE] = ACTIONS(1686),
    [aux_sym_string_token1] = ACTIONS(1686),
    [anon_sym_SQUOTE] = ACTIONS(1686),
    [anon_sym_LT_LT_LT] = ACTIONS(1686),
    [anon_sym_BQUOTE] = ACTIONS(1686),
    [anon_sym_DOLLAR] = ACTIONS(1686),
    [aux_sym_yield_expression_token1] = ACTIONS(1688),
    [aux_sym_include_expression_token1] = ACTIONS(1688),
    [aux_sym_include_once_expression_token1] = ACTIONS(1688),
    [aux_sym_require_expression_token1] = ACTIONS(1688),
    [aux_sym_require_once_expression_token1] = ACTIONS(1688),
    [sym_comment] = ACTIONS(3),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(1690),
    [sym_name] = ACTIONS(1692),
    [anon_sym_QMARK_GT] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1692),
    [aux_sym_global_declaration_token1] = ACTIONS(1692),
    [aux_sym_namespace_definition_token1] = ACTIONS(1692),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1692),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1692),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1692),
    [anon_sym_BSLASH] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [aux_sym_trait_declaration_token1] = ACTIONS(1692),
    [aux_sym_interface_declaration_token1] = ACTIONS(1692),
    [aux_sym_enum_declaration_token1] = ACTIONS(1692),
    [aux_sym_enum_case_token1] = ACTIONS(1692),
    [aux_sym_class_declaration_token1] = ACTIONS(1692),
    [aux_sym_final_modifier_token1] = ACTIONS(1692),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1692),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1692),
    [sym_var_modifier] = ACTIONS(1692),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1692),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1692),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1692),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1692),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [aux_sym_cast_type_token1] = ACTIONS(1692),
    [aux_sym_echo_statement_token1] = ACTIONS(1692),
    [aux_sym_exit_statement_token1] = ACTIONS(1692),
    [anon_sym_unset] = ACTIONS(1692),
    [aux_sym_declare_statement_token1] = ACTIONS(1692),
    [aux_sym_declare_statement_token2] = ACTIONS(1692),
    [sym_float] = ACTIONS(1692),
    [aux_sym_try_statement_token1] = ACTIONS(1692),
    [aux_sym_goto_statement_token1] = ACTIONS(1692),
    [aux_sym_continue_statement_token1] = ACTIONS(1692),
    [aux_sym_break_statement_token1] = ACTIONS(1692),
    [sym_integer] = ACTIONS(1692),
    [aux_sym_return_statement_token1] = ACTIONS(1692),
    [aux_sym_throw_expression_token1] = ACTIONS(1692),
    [aux_sym_while_statement_token1] = ACTIONS(1692),
    [aux_sym_while_statement_token2] = ACTIONS(1692),
    [aux_sym_do_statement_token1] = ACTIONS(1692),
    [aux_sym_for_statement_token1] = ACTIONS(1692),
    [aux_sym_for_statement_token2] = ACTIONS(1692),
    [aux_sym_foreach_statement_token1] = ACTIONS(1692),
    [aux_sym_foreach_statement_token2] = ACTIONS(1692),
    [aux_sym_if_statement_token1] = ACTIONS(1692),
    [aux_sym_if_statement_token2] = ACTIONS(1692),
    [aux_sym_else_if_clause_token1] = ACTIONS(1692),
    [aux_sym_else_clause_token1] = ACTIONS(1692),
    [aux_sym_match_expression_token1] = ACTIONS(1692),
    [aux_sym_match_default_expression_token1] = ACTIONS(1692),
    [aux_sym_switch_statement_token1] = ACTIONS(1692),
    [aux_sym_switch_block_token1] = ACTIONS(1692),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_AT] = ACTIONS(1690),
    [aux_sym_clone_expression_token1] = ACTIONS(1692),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1692),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [aux_sym__list_destructing_token1] = ACTIONS(1692),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_self] = ACTIONS(1692),
    [anon_sym_parent] = ACTIONS(1692),
    [aux_sym__argument_name_token1] = ACTIONS(1692),
    [aux_sym__argument_name_token2] = ACTIONS(1692),
    [anon_sym_POUND_LBRACK] = ACTIONS(1690),
    [aux_sym_encapsed_string_token1] = ACTIONS(1690),
    [anon_sym_DQUOTE] = ACTIONS(1690),
    [aux_sym_string_token1] = ACTIONS(1690),
    [anon_sym_SQUOTE] = ACTIONS(1690),
    [anon_sym_LT_LT_LT] = ACTIONS(1690),
    [anon_sym_BQUOTE] = ACTIONS(1690),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [aux_sym_yield_expression_token1] = ACTIONS(1692),
    [aux_sym_include_expression_token1] = ACTIONS(1692),
    [aux_sym_include_once_expression_token1] = ACTIONS(1692),
    [aux_sym_require_expression_token1] = ACTIONS(1692),
    [aux_sym_require_once_expression_token1] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(1694),
    [sym_name] = ACTIONS(1696),
    [anon_sym_QMARK_GT] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1694),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1696),
    [aux_sym_global_declaration_token1] = ACTIONS(1696),
    [aux_sym_namespace_definition_token1] = ACTIONS(1696),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1696),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1696),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1696),
    [anon_sym_BSLASH] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_RBRACE] = ACTIONS(1694),
    [aux_sym_trait_declaration_token1] = ACTIONS(1696),
    [aux_sym_interface_declaration_token1] = ACTIONS(1696),
    [aux_sym_enum_declaration_token1] = ACTIONS(1696),
    [aux_sym_enum_case_token1] = ACTIONS(1696),
    [aux_sym_class_declaration_token1] = ACTIONS(1696),
    [aux_sym_final_modifier_token1] = ACTIONS(1696),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1696),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1696),
    [sym_var_modifier] = ACTIONS(1696),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1696),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1696),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1696),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1694),
    [aux_sym_cast_type_token1] = ACTIONS(1696),
    [aux_sym_echo_statement_token1] = ACTIONS(1696),
    [aux_sym_exit_statement_token1] = ACTIONS(1696),
    [anon_sym_unset] = ACTIONS(1696),
    [aux_sym_declare_statement_token1] = ACTIONS(1696),
    [aux_sym_declare_statement_token2] = ACTIONS(1696),
    [sym_float] = ACTIONS(1696),
    [aux_sym_try_statement_token1] = ACTIONS(1696),
    [aux_sym_goto_statement_token1] = ACTIONS(1696),
    [aux_sym_continue_statement_token1] = ACTIONS(1696),
    [aux_sym_break_statement_token1] = ACTIONS(1696),
    [sym_integer] = ACTIONS(1696),
    [aux_sym_return_statement_token1] = ACTIONS(1696),
    [aux_sym_throw_expression_token1] = ACTIONS(1696),
    [aux_sym_while_statement_token1] = ACTIONS(1696),
    [aux_sym_while_statement_token2] = ACTIONS(1696),
    [aux_sym_do_statement_token1] = ACTIONS(1696),
    [aux_sym_for_statement_token1] = ACTIONS(1696),
    [aux_sym_for_statement_token2] = ACTIONS(1696),
    [aux_sym_foreach_statement_token1] = ACTIONS(1696),
    [aux_sym_foreach_statement_token2] = ACTIONS(1696),
    [aux_sym_if_statement_token1] = ACTIONS(1696),
    [aux_sym_if_statement_token2] = ACTIONS(1696),
    [aux_sym_else_if_clause_token1] = ACTIONS(1696),
    [aux_sym_else_clause_token1] = ACTIONS(1696),
    [aux_sym_match_expression_token1] = ACTIONS(1696),
    [aux_sym_match_default_expression_token1] = ACTIONS(1696),
    [aux_sym_switch_statement_token1] = ACTIONS(1696),
    [aux_sym_switch_block_token1] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1694),
    [aux_sym_clone_expression_token1] = ACTIONS(1696),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1696),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1696),
    [anon_sym_DASH_DASH] = ACTIONS(1694),
    [anon_sym_PLUS_PLUS] = ACTIONS(1694),
    [aux_sym__list_destructing_token1] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(1694),
    [anon_sym_self] = ACTIONS(1696),
    [anon_sym_parent] = ACTIONS(1696),
    [aux_sym__argument_name_token1] = ACTIONS(1696),
    [aux_sym__argument_name_token2] = ACTIONS(1696),
    [anon_sym_POUND_LBRACK] = ACTIONS(1694),
    [aux_sym_encapsed_string_token1] = ACTIONS(1694),
    [anon_sym_DQUOTE] = ACTIONS(1694),
    [aux_sym_string_token1] = ACTIONS(1694),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [anon_sym_LT_LT_LT] = ACTIONS(1694),
    [anon_sym_BQUOTE] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1694),
    [aux_sym_yield_expression_token1] = ACTIONS(1696),
    [aux_sym_include_expression_token1] = ACTIONS(1696),
    [aux_sym_include_once_expression_token1] = ACTIONS(1696),
    [aux_sym_require_expression_token1] = ACTIONS(1696),
    [aux_sym_require_once_expression_token1] = ACTIONS(1696),
    [sym_comment] = ACTIONS(3),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(1698),
    [sym_name] = ACTIONS(1700),
    [anon_sym_QMARK_GT] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1698),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1700),
    [aux_sym_global_declaration_token1] = ACTIONS(1700),
    [aux_sym_namespace_definition_token1] = ACTIONS(1700),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1700),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1700),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1700),
    [anon_sym_BSLASH] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [aux_sym_trait_declaration_token1] = ACTIONS(1700),
    [aux_sym_interface_declaration_token1] = ACTIONS(1700),
    [aux_sym_enum_declaration_token1] = ACTIONS(1700),
    [aux_sym_enum_case_token1] = ACTIONS(1700),
    [aux_sym_class_declaration_token1] = ACTIONS(1700),
    [aux_sym_final_modifier_token1] = ACTIONS(1700),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1700),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1700),
    [sym_var_modifier] = ACTIONS(1700),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1700),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1700),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1700),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [aux_sym_cast_type_token1] = ACTIONS(1700),
    [aux_sym_echo_statement_token1] = ACTIONS(1700),
    [aux_sym_exit_statement_token1] = ACTIONS(1700),
    [anon_sym_unset] = ACTIONS(1700),
    [aux_sym_declare_statement_token1] = ACTIONS(1700),
    [aux_sym_declare_statement_token2] = ACTIONS(1700),
    [sym_float] = ACTIONS(1700),
    [aux_sym_try_statement_token1] = ACTIONS(1700),
    [aux_sym_goto_statement_token1] = ACTIONS(1700),
    [aux_sym_continue_statement_token1] = ACTIONS(1700),
    [aux_sym_break_statement_token1] = ACTIONS(1700),
    [sym_integer] = ACTIONS(1700),
    [aux_sym_return_statement_token1] = ACTIONS(1700),
    [aux_sym_throw_expression_token1] = ACTIONS(1700),
    [aux_sym_while_statement_token1] = ACTIONS(1700),
    [aux_sym_while_statement_token2] = ACTIONS(1700),
    [aux_sym_do_statement_token1] = ACTIONS(1700),
    [aux_sym_for_statement_token1] = ACTIONS(1700),
    [aux_sym_for_statement_token2] = ACTIONS(1700),
    [aux_sym_foreach_statement_token1] = ACTIONS(1700),
    [aux_sym_foreach_statement_token2] = ACTIONS(1700),
    [aux_sym_if_statement_token1] = ACTIONS(1700),
    [aux_sym_if_statement_token2] = ACTIONS(1700),
    [aux_sym_else_if_clause_token1] = ACTIONS(1700),
    [aux_sym_else_clause_token1] = ACTIONS(1700),
    [aux_sym_match_expression_token1] = ACTIONS(1700),
    [aux_sym_match_default_expression_token1] = ACTIONS(1700),
    [aux_sym_switch_statement_token1] = ACTIONS(1700),
    [aux_sym_switch_block_token1] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_AT] = ACTIONS(1698),
    [aux_sym_clone_expression_token1] = ACTIONS(1700),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1700),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1700),
    [anon_sym_DASH_DASH] = ACTIONS(1698),
    [anon_sym_PLUS_PLUS] = ACTIONS(1698),
    [aux_sym__list_destructing_token1] = ACTIONS(1700),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_self] = ACTIONS(1700),
    [anon_sym_parent] = ACTIONS(1700),
    [aux_sym__argument_name_token1] = ACTIONS(1700),
    [aux_sym__argument_name_token2] = ACTIONS(1700),
    [anon_sym_POUND_LBRACK] = ACTIONS(1698),
    [aux_sym_encapsed_string_token1] = ACTIONS(1698),
    [anon_sym_DQUOTE] = ACTIONS(1698),
    [aux_sym_string_token1] = ACTIONS(1698),
    [anon_sym_SQUOTE] = ACTIONS(1698),
    [anon_sym_LT_LT_LT] = ACTIONS(1698),
    [anon_sym_BQUOTE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [aux_sym_yield_expression_token1] = ACTIONS(1700),
    [aux_sym_include_expression_token1] = ACTIONS(1700),
    [aux_sym_include_once_expression_token1] = ACTIONS(1700),
    [aux_sym_require_expression_token1] = ACTIONS(1700),
    [aux_sym_require_once_expression_token1] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [sym_name] = ACTIONS(1704),
    [anon_sym_QMARK_GT] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1704),
    [aux_sym_global_declaration_token1] = ACTIONS(1704),
    [aux_sym_namespace_definition_token1] = ACTIONS(1704),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1704),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1704),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1704),
    [anon_sym_BSLASH] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [aux_sym_trait_declaration_token1] = ACTIONS(1704),
    [aux_sym_interface_declaration_token1] = ACTIONS(1704),
    [aux_sym_enum_declaration_token1] = ACTIONS(1704),
    [aux_sym_enum_case_token1] = ACTIONS(1704),
    [aux_sym_class_declaration_token1] = ACTIONS(1704),
    [aux_sym_final_modifier_token1] = ACTIONS(1704),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1704),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1704),
    [sym_var_modifier] = ACTIONS(1704),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1704),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1704),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1704),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [aux_sym_cast_type_token1] = ACTIONS(1704),
    [aux_sym_echo_statement_token1] = ACTIONS(1704),
    [aux_sym_exit_statement_token1] = ACTIONS(1704),
    [anon_sym_unset] = ACTIONS(1704),
    [aux_sym_declare_statement_token1] = ACTIONS(1704),
    [aux_sym_declare_statement_token2] = ACTIONS(1704),
    [sym_float] = ACTIONS(1704),
    [aux_sym_try_statement_token1] = ACTIONS(1704),
    [aux_sym_goto_statement_token1] = ACTIONS(1704),
    [aux_sym_continue_statement_token1] = ACTIONS(1704),
    [aux_sym_break_statement_token1] = ACTIONS(1704),
    [sym_integer] = ACTIONS(1704),
    [aux_sym_return_statement_token1] = ACTIONS(1704),
    [aux_sym_throw_expression_token1] = ACTIONS(1704),
    [aux_sym_while_statement_token1] = ACTIONS(1704),
    [aux_sym_while_statement_token2] = ACTIONS(1704),
    [aux_sym_do_statement_token1] = ACTIONS(1704),
    [aux_sym_for_statement_token1] = ACTIONS(1704),
    [aux_sym_for_statement_token2] = ACTIONS(1704),
    [aux_sym_foreach_statement_token1] = ACTIONS(1704),
    [aux_sym_foreach_statement_token2] = ACTIONS(1704),
    [aux_sym_if_statement_token1] = ACTIONS(1704),
    [aux_sym_if_statement_token2] = ACTIONS(1704),
    [aux_sym_else_if_clause_token1] = ACTIONS(1704),
    [aux_sym_else_clause_token1] = ACTIONS(1704),
    [aux_sym_match_expression_token1] = ACTIONS(1704),
    [aux_sym_match_default_expression_token1] = ACTIONS(1704),
    [aux_sym_switch_statement_token1] = ACTIONS(1704),
    [aux_sym_switch_block_token1] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_AT] = ACTIONS(1702),
    [aux_sym_clone_expression_token1] = ACTIONS(1704),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1704),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1704),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [aux_sym__list_destructing_token1] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_self] = ACTIONS(1704),
    [anon_sym_parent] = ACTIONS(1704),
    [aux_sym__argument_name_token1] = ACTIONS(1704),
    [aux_sym__argument_name_token2] = ACTIONS(1704),
    [anon_sym_POUND_LBRACK] = ACTIONS(1702),
    [aux_sym_encapsed_string_token1] = ACTIONS(1702),
    [anon_sym_DQUOTE] = ACTIONS(1702),
    [aux_sym_string_token1] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1702),
    [anon_sym_LT_LT_LT] = ACTIONS(1702),
    [anon_sym_BQUOTE] = ACTIONS(1702),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [aux_sym_yield_expression_token1] = ACTIONS(1704),
    [aux_sym_include_expression_token1] = ACTIONS(1704),
    [aux_sym_include_once_expression_token1] = ACTIONS(1704),
    [aux_sym_require_expression_token1] = ACTIONS(1704),
    [aux_sym_require_once_expression_token1] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [sym_name] = ACTIONS(1708),
    [anon_sym_QMARK_GT] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1708),
    [aux_sym_global_declaration_token1] = ACTIONS(1708),
    [aux_sym_namespace_definition_token1] = ACTIONS(1708),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1708),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1708),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1708),
    [anon_sym_BSLASH] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [aux_sym_trait_declaration_token1] = ACTIONS(1708),
    [aux_sym_interface_declaration_token1] = ACTIONS(1708),
    [aux_sym_enum_declaration_token1] = ACTIONS(1708),
    [aux_sym_enum_case_token1] = ACTIONS(1708),
    [aux_sym_class_declaration_token1] = ACTIONS(1708),
    [aux_sym_final_modifier_token1] = ACTIONS(1708),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1708),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1708),
    [sym_var_modifier] = ACTIONS(1708),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1708),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1708),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1708),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [aux_sym_cast_type_token1] = ACTIONS(1708),
    [aux_sym_echo_statement_token1] = ACTIONS(1708),
    [aux_sym_exit_statement_token1] = ACTIONS(1708),
    [anon_sym_unset] = ACTIONS(1708),
    [aux_sym_declare_statement_token1] = ACTIONS(1708),
    [aux_sym_declare_statement_token2] = ACTIONS(1708),
    [sym_float] = ACTIONS(1708),
    [aux_sym_try_statement_token1] = ACTIONS(1708),
    [aux_sym_goto_statement_token1] = ACTIONS(1708),
    [aux_sym_continue_statement_token1] = ACTIONS(1708),
    [aux_sym_break_statement_token1] = ACTIONS(1708),
    [sym_integer] = ACTIONS(1708),
    [aux_sym_return_statement_token1] = ACTIONS(1708),
    [aux_sym_throw_expression_token1] = ACTIONS(1708),
    [aux_sym_while_statement_token1] = ACTIONS(1708),
    [aux_sym_while_statement_token2] = ACTIONS(1708),
    [aux_sym_do_statement_token1] = ACTIONS(1708),
    [aux_sym_for_statement_token1] = ACTIONS(1708),
    [aux_sym_for_statement_token2] = ACTIONS(1708),
    [aux_sym_foreach_statement_token1] = ACTIONS(1708),
    [aux_sym_foreach_statement_token2] = ACTIONS(1708),
    [aux_sym_if_statement_token1] = ACTIONS(1708),
    [aux_sym_if_statement_token2] = ACTIONS(1708),
    [aux_sym_else_if_clause_token1] = ACTIONS(1708),
    [aux_sym_else_clause_token1] = ACTIONS(1708),
    [aux_sym_match_expression_token1] = ACTIONS(1708),
    [aux_sym_match_default_expression_token1] = ACTIONS(1708),
    [aux_sym_switch_statement_token1] = ACTIONS(1708),
    [aux_sym_switch_block_token1] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_AT] = ACTIONS(1706),
    [aux_sym_clone_expression_token1] = ACTIONS(1708),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1708),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1708),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [aux_sym__list_destructing_token1] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_self] = ACTIONS(1708),
    [anon_sym_parent] = ACTIONS(1708),
    [aux_sym__argument_name_token1] = ACTIONS(1708),
    [aux_sym__argument_name_token2] = ACTIONS(1708),
    [anon_sym_POUND_LBRACK] = ACTIONS(1706),
    [aux_sym_encapsed_string_token1] = ACTIONS(1706),
    [anon_sym_DQUOTE] = ACTIONS(1706),
    [aux_sym_string_token1] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1706),
    [anon_sym_LT_LT_LT] = ACTIONS(1706),
    [anon_sym_BQUOTE] = ACTIONS(1706),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [aux_sym_yield_expression_token1] = ACTIONS(1708),
    [aux_sym_include_expression_token1] = ACTIONS(1708),
    [aux_sym_include_once_expression_token1] = ACTIONS(1708),
    [aux_sym_require_expression_token1] = ACTIONS(1708),
    [aux_sym_require_once_expression_token1] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
  },
  [625] = {
    [sym_name] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1710),
    [aux_sym_global_declaration_token1] = ACTIONS(1710),
    [aux_sym_namespace_definition_token1] = ACTIONS(1710),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1710),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1710),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1710),
    [anon_sym_BSLASH] = ACTIONS(1712),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [aux_sym_trait_declaration_token1] = ACTIONS(1710),
    [aux_sym_interface_declaration_token1] = ACTIONS(1710),
    [aux_sym_enum_declaration_token1] = ACTIONS(1710),
    [anon_sym_COLON] = ACTIONS(1712),
    [aux_sym_class_declaration_token1] = ACTIONS(1710),
    [aux_sym_final_modifier_token1] = ACTIONS(1710),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1710),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1710),
    [sym_var_modifier] = ACTIONS(1710),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1710),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1710),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1710),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_cast_type_token1] = ACTIONS(1710),
    [aux_sym_echo_statement_token1] = ACTIONS(1710),
    [aux_sym_exit_statement_token1] = ACTIONS(1710),
    [anon_sym_unset] = ACTIONS(1710),
    [aux_sym_declare_statement_token1] = ACTIONS(1710),
    [sym_float] = ACTIONS(1710),
    [aux_sym_try_statement_token1] = ACTIONS(1710),
    [aux_sym_goto_statement_token1] = ACTIONS(1710),
    [aux_sym_continue_statement_token1] = ACTIONS(1710),
    [aux_sym_break_statement_token1] = ACTIONS(1710),
    [sym_integer] = ACTIONS(1710),
    [aux_sym_return_statement_token1] = ACTIONS(1710),
    [aux_sym_throw_expression_token1] = ACTIONS(1710),
    [aux_sym_while_statement_token1] = ACTIONS(1710),
    [aux_sym_do_statement_token1] = ACTIONS(1710),
    [aux_sym_for_statement_token1] = ACTIONS(1710),
    [aux_sym_foreach_statement_token1] = ACTIONS(1710),
    [aux_sym_if_statement_token1] = ACTIONS(1710),
    [aux_sym_match_expression_token1] = ACTIONS(1710),
    [aux_sym_switch_statement_token1] = ACTIONS(1710),
    [anon_sym_PLUS] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1712),
    [anon_sym_BANG] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(1712),
    [aux_sym_clone_expression_token1] = ACTIONS(1710),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1710),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1712),
    [anon_sym_PLUS_PLUS] = ACTIONS(1712),
    [aux_sym__list_destructing_token1] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [anon_sym_self] = ACTIONS(1710),
    [anon_sym_parent] = ACTIONS(1710),
    [aux_sym__argument_name_token1] = ACTIONS(1710),
    [aux_sym__argument_name_token2] = ACTIONS(1710),
    [anon_sym_POUND_LBRACK] = ACTIONS(1712),
    [aux_sym_encapsed_string_token1] = ACTIONS(1712),
    [anon_sym_DQUOTE] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1712),
    [anon_sym_SQUOTE] = ACTIONS(1712),
    [anon_sym_LT_LT_LT] = ACTIONS(1712),
    [anon_sym_BQUOTE] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1712),
    [aux_sym_yield_expression_token1] = ACTIONS(1710),
    [aux_sym_include_expression_token1] = ACTIONS(1710),
    [aux_sym_include_once_expression_token1] = ACTIONS(1710),
    [aux_sym_require_expression_token1] = ACTIONS(1710),
    [aux_sym_require_once_expression_token1] = ACTIONS(1710),
    [sym_comment] = ACTIONS(3),
  },
  [626] = {
    [sym_qualified_name] = STATE(764),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2554),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(763),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_variable] = STATE(769),
    [sym_member_access_expression] = STATE(769),
    [sym_nullsafe_member_access_expression] = STATE(769),
    [sym_scoped_property_access_expression] = STATE(769),
    [sym_function_call_expression] = STATE(712),
    [sym_scoped_call_expression] = STATE(712),
    [sym__scope_resolution_qualifier] = STATE(2634),
    [sym_relative_scope] = STATE(2634),
    [sym_member_call_expression] = STATE(712),
    [sym_nullsafe_member_call_expression] = STATE(712),
    [sym_subscript_expression] = STATE(712),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(763),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(712),
    [sym_variable_name] = STATE(712),
    [sym__reserved_identifier] = STATE(1608),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(1714),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [sym_comment] = ACTIONS(3),
  },
  [627] = {
    [sym_qualified_name] = STATE(884),
    [sym_namespace_name_as_prefix] = STATE(2698),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2347),
    [sym__arrow_function_header] = STATE(2692),
    [sym_arrow_function] = STATE(1124),
    [sym_literal] = STATE(1124),
    [sym_throw_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1135),
    [sym_parenthesized_expression] = STATE(883),
    [sym_class_constant_access_expression] = STATE(979),
    [sym_print_intrinsic] = STATE(1124),
    [sym_anonymous_function_creation_expression] = STATE(1124),
    [sym_object_creation_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_cast_variable] = STATE(920),
    [sym_member_access_expression] = STATE(920),
    [sym_nullsafe_member_access_expression] = STATE(920),
    [sym_scoped_property_access_expression] = STATE(920),
    [sym_function_call_expression] = STATE(846),
    [sym_scoped_call_expression] = STATE(846),
    [sym__scope_resolution_qualifier] = STATE(2657),
    [sym_relative_scope] = STATE(2657),
    [sym_member_call_expression] = STATE(846),
    [sym_nullsafe_member_call_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(883),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1865),
    [sym_encapsed_string] = STATE(882),
    [sym_string] = STATE(882),
    [sym_heredoc] = STATE(882),
    [sym_nowdoc] = STATE(882),
    [sym_shell_command_expression] = STATE(1124),
    [sym_boolean] = STATE(1213),
    [sym_null] = STATE(1213),
    [sym__string] = STATE(882),
    [sym_dynamic_variable_name] = STATE(846),
    [sym_variable_name] = STATE(846),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(1720),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
  },
  [628] = {
    [sym_qualified_name] = STATE(764),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(763),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_variable] = STATE(769),
    [sym_member_access_expression] = STATE(769),
    [sym_nullsafe_member_access_expression] = STATE(769),
    [sym_scoped_property_access_expression] = STATE(769),
    [sym_function_call_expression] = STATE(712),
    [sym_scoped_call_expression] = STATE(712),
    [sym__scope_resolution_qualifier] = STATE(2634),
    [sym_relative_scope] = STATE(2634),
    [sym_member_call_expression] = STATE(712),
    [sym_nullsafe_member_call_expression] = STATE(712),
    [sym_subscript_expression] = STATE(712),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(763),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(712),
    [sym_variable_name] = STATE(712),
    [sym__reserved_identifier] = STATE(1608),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(1714),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [sym_comment] = ACTIONS(3),
  },
  [629] = {
    [sym_qualified_name] = STATE(764),
    [sym_namespace_name_as_prefix] = STATE(2636),
    [sym_namespace_name] = STATE(2696),
    [sym_static_modifier] = STATE(2411),
    [sym__arrow_function_header] = STATE(2631),
    [sym_arrow_function] = STATE(1009),
    [sym_literal] = STATE(1009),
    [sym_throw_expression] = STATE(1009),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(763),
    [sym_class_constant_access_expression] = STATE(838),
    [sym_print_intrinsic] = STATE(1009),
    [sym_anonymous_function_creation_expression] = STATE(1009),
    [sym_object_creation_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_cast_variable] = STATE(769),
    [sym_member_access_expression] = STATE(769),
    [sym_nullsafe_member_access_expression] = STATE(769),
    [sym_scoped_property_access_expression] = STATE(769),
    [sym_function_call_expression] = STATE(712),
    [sym_scoped_call_expression] = STATE(712),
    [sym__scope_resolution_qualifier] = STATE(2634),
    [sym_relative_scope] = STATE(2634),
    [sym_member_call_expression] = STATE(712),
    [sym_nullsafe_member_call_expression] = STATE(712),
    [sym_subscript_expression] = STATE(712),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(763),
    [sym_attribute_group] = STATE(1049),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(1009),
    [sym_boolean] = STATE(981),
    [sym_null] = STATE(981),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(712),
    [sym_variable_name] = STATE(712),
    [sym__reserved_identifier] = STATE(1608),
    [aux_sym_attribute_list_repeat1] = STATE(1049),
    [sym_name] = ACTIONS(1714),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1728), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1726), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [70] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1734), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1732), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [140] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1738), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1736), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [210] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1742), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1740), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [280] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_arguments,
    ACTIONS(1746), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1744), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [353] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(652), 1,
      sym_arguments,
    ACTIONS(1752), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1750), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [426] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym_arguments,
    ACTIONS(1756), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1754), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [499] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(648), 1,
      sym_arguments,
    ACTIONS(1760), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1758), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [572] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(642), 1,
      sym_arguments,
    ACTIONS(1764), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1762), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [645] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1776), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [726] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1780), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1778), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [794] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1784), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1782), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [862] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1788), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1786), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [930] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1792), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1790), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [998] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1796), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1794), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1066] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1800), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1798), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1134] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1804), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1802), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1202] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1808), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1806), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1270] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1812), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1810), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1338] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1816), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1814), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1406] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1820), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1818), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1474] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1824), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1822), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1542] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1828), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1826), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1610] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1830), 1,
      anon_sym_EQ,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1832), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1689] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1776), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1764] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1834), 1,
      anon_sym_EQ,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1836), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1842] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1764), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1762), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1911] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1776), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1988] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(678), 1,
      sym_arguments,
    ACTIONS(1756), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1754), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2057] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(668), 1,
      sym_arguments,
    ACTIONS(1760), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1758), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2126] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(675), 1,
      sym_arguments,
    ACTIONS(1746), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1744), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2195] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_EQ,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1832), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2268] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(681), 1,
      sym_arguments,
    ACTIONS(1752), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1750), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2337] = 12,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1830), 1,
      anon_sym_EQ,
    ACTIONS(1840), 1,
      anon_sym_RPAREN,
    STATE(649), 1,
      sym_arguments,
    STATE(2228), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1832), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2420] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(686), 1,
      sym_arguments,
    ACTIONS(1842), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1776), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2497] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    ACTIONS(1844), 1,
      anon_sym_EQ,
    STATE(686), 1,
      sym_arguments,
    ACTIONS(1842), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1846), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2574] = 10,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1834), 1,
      anon_sym_EQ,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1836), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2652] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1796), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1794), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2716] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1812), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1810), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2780] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1804), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1802), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2844] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1728), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1726), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2908] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1780), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1778), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2972] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1734), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1732), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3036] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1851), 1,
      anon_sym_EQ,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1853), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3112] = 10,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1830), 1,
      anon_sym_EQ,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1855), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1832), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3190] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1800), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1798), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3254] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1808), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1806), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3318] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1824), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1822), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3382] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1792), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1790), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3446] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1738), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1736), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3510] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1788), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1786), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3574] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1828), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1826), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3638] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1742), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1740), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3702] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_EQ,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1836), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3774] = 10,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1830), 1,
      anon_sym_EQ,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1857), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1832), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3852] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1784), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1782), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3916] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1816), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1814), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3980] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1820), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1818), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4044] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    ACTIONS(1842), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1776), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4115] = 10,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_EQ,
    ACTIONS(1840), 1,
      anon_sym_RPAREN,
    STATE(2228), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1832), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4192] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_EQ,
    ACTIONS(1842), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1846), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4263] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1770), 1,
      anon_sym_EQ,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1776), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4334] = 10,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1834), 1,
      anon_sym_EQ,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1859), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1836), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4411] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_EQ,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1853), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1766), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4481] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_EQ,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1855), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1832), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4553] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_EQ,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1848), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1836), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4625] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_EQ,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1857), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1832), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4697] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_EQ,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1859), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1836), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1768), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4768] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1862), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1864), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [4826] = 26,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1868), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1870), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1872), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1876), 1,
      sym_var_modifier,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(1882), 1,
      anon_sym_DOLLAR,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1739), 1,
      sym_variable_name,
    STATE(1819), 1,
      sym__function_definition_header,
    STATE(1820), 1,
      sym_property_element,
    STATE(2177), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1486), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1053), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [4929] = 26,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1868), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1870), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1872), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1876), 1,
      sym_var_modifier,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(1882), 1,
      anon_sym_DOLLAR,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1739), 1,
      sym_variable_name,
    STATE(1912), 1,
      sym_property_element,
    STATE(1914), 1,
      sym__function_definition_header,
    STATE(1998), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1486), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1053), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5032] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(719), 1,
      sym_arguments,
    ACTIONS(1746), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1744), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5091] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1764), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5150] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(713), 1,
      sym_arguments,
    ACTIONS(1756), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5209] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(809), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1888), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1886), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5274] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1760), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5333] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_arguments,
    ACTIONS(1752), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5392] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(649), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1897), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5457] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1770), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5518] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(649), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5583] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(716), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5648] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1780), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5703] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_arguments,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5766] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1792), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5820] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(644), 1,
      sym_arguments,
    ACTIONS(1901), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5878] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1903), 1,
      sym_name,
    ACTIONS(1905), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2651), 1,
      sym_attribute_list,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(755), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2737), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(753), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1746), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(754), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [5974] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1816), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6028] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1828), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1826), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6082] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1780), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6136] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1800), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1798), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6190] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1820), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1818), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6244] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1738), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6298] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1742), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1740), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6352] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(1913), 1,
      anon_sym_COMMA,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    ACTIONS(1917), 1,
      anon_sym_RPAREN,
    ACTIONS(1919), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(1048), 1,
      sym_attribute_list,
    STATE(1257), 1,
      sym_visibility_modifier,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1718), 1,
      sym_type,
    STATE(1960), 1,
      sym_reference_modifier,
    STATE(1965), 1,
      sym_variable_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1962), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1635), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6452] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1788), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1786), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6506] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1925), 1,
      sym_name,
    ACTIONS(1929), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1931), 1,
      anon_sym_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    STATE(2600), 1,
      sym_attribute_list,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(908), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2677), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1927), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(902), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1775), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(903), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6602] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1812), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6656] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1734), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6710] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1824), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6764] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1808), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1806), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6818] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1804), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1802), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6872] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1796), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1794), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6926] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(648), 1,
      sym_arguments,
    ACTIONS(1937), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1935), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6984] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1784), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1782), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7038] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    ACTIONS(1919), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(1941), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_attribute_list,
    STATE(1257), 1,
      sym_visibility_modifier,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1718), 1,
      sym_type,
    STATE(1960), 1,
      sym_reference_modifier,
    STATE(1965), 1,
      sym_variable_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2098), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1635), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7138] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1728), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1726), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7192] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(779), 1,
      sym_arguments,
    ACTIONS(1760), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7249] = 22,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      sym_name,
    ACTIONS(1945), 1,
      anon_sym_RBRACE,
    STATE(738), 1,
      aux_sym_use_list_repeat1,
    STATE(1628), 1,
      sym_class_constant_access_expression,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2488), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1755), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1620), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [7340] = 22,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      sym_name,
    ACTIONS(1947), 1,
      anon_sym_RBRACE,
    STATE(749), 1,
      aux_sym_use_list_repeat1,
    STATE(1628), 1,
      sym_class_constant_access_expression,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2488), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1755), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1620), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [7431] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(781), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1951), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7490] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1897), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7549] = 24,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(827), 1,
      anon_sym_AMP,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    STATE(2043), 1,
      sym__list_destructing,
    STATE(2053), 1,
      sym_by_ref,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1755), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1596), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1508), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7644] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(642), 1,
      sym_arguments,
    ACTIONS(1764), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7701] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym_arguments,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7758] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(652), 1,
      sym_arguments,
    ACTIONS(1752), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7815] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_arguments,
    ACTIONS(1746), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1744), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7872] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1897), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7931] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(648), 1,
      sym_arguments,
    ACTIONS(1760), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7988] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1957), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8047] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1959), 1,
      sym_name,
    ACTIONS(1965), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1968), 1,
      anon_sym_BSLASH,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1979), 1,
      anon_sym_LBRACK,
    ACTIONS(1988), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1991), 1,
      anon_sym_DOLLAR,
    STATE(749), 1,
      aux_sym_use_list_repeat1,
    STATE(1628), 1,
      sym_class_constant_access_expression,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(1982), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1985), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2488), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1962), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1755), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1620), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8138] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(781), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1996), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8197] = 24,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(827), 1,
      anon_sym_AMP,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    STATE(2420), 1,
      sym_by_ref,
    STATE(2490), 1,
      sym__list_destructing,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1755), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1604), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1524), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8292] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1764), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8349] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    STATE(1008), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1888), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1886), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8408] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(809), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1888), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1886), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8467] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(809), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1888), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1886), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8526] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(731), 1,
      sym_arguments,
    ACTIONS(1901), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8583] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1937), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1935), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8640] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(801), 1,
      sym_arguments,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8697] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(808), 1,
      sym_arguments,
    ACTIONS(1752), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8754] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(781), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1770), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8813] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1957), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8872] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    ACTIONS(1919), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2000), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_attribute_list,
    STATE(1257), 1,
      sym_visibility_modifier,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1718), 1,
      sym_type,
    STATE(1960), 1,
      sym_reference_modifier,
    STATE(1965), 1,
      sym_variable_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2337), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1635), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8969] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9028] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9087] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    ACTIONS(1919), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2002), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_attribute_list,
    STATE(1257), 1,
      sym_visibility_modifier,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1718), 1,
      sym_type,
    STATE(1960), 1,
      sym_reference_modifier,
    STATE(1965), 1,
      sym_variable_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2337), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1635), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9184] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9243] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(783), 1,
      sym_arguments,
    ACTIONS(1746), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1744), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9300] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9359] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1774), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9416] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(642), 1,
      sym_arguments,
    ACTIONS(1764), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9471] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_EQ,
    ACTIONS(2008), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2006), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 30,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9528] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    ACTIONS(1919), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2013), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_attribute_list,
    STATE(1257), 1,
      sym_visibility_modifier,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1718), 1,
      sym_type,
    STATE(1960), 1,
      sym_reference_modifier,
    STATE(1965), 1,
      sym_variable_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2337), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1635), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9625] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(643), 1,
      sym_arguments,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9680] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    ACTIONS(1919), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2015), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_attribute_list,
    STATE(1257), 1,
      sym_visibility_modifier,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1718), 1,
      sym_type,
    STATE(1960), 1,
      sym_reference_modifier,
    STATE(1965), 1,
      sym_variable_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2337), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1635), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9777] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(652), 1,
      sym_arguments,
    ACTIONS(1752), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9832] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(648), 1,
      sym_arguments,
    ACTIONS(1760), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9887] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1770), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9942] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(645), 1,
      sym_arguments,
    ACTIONS(1746), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1744), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9997] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1812), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10049] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    ACTIONS(1919), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(1048), 1,
      sym_attribute_list,
    STATE(1257), 1,
      sym_visibility_modifier,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1718), 1,
      sym_type,
    STATE(1960), 1,
      sym_reference_modifier,
    STATE(1965), 1,
      sym_variable_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2337), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1635), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10143] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1816), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10195] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2019), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10247] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1800), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1798), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10299] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2023), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10351] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1742), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1740), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10403] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1728), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1726), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10455] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2027), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10507] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2006), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10559] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1738), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10611] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2031), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10663] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1788), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1786), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10715] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2035), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10767] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1734), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10819] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2039), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10871] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2043), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10923] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2047), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10975] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1808), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1806), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11027] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2051), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11079] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1804), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1802), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11131] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1710), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1712), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11183] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1792), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11235] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2055), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11287] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2059), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11339] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2063), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11391] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1796), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1794), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11443] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2067), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2065), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11495] = 23,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(827), 1,
      anon_sym_AMP,
    ACTIONS(949), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    STATE(2361), 1,
      sym_by_ref,
    STATE(2366), 1,
      sym__array_destructing,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1755), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1632), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1578), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [11587] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1828), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1826), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11639] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1814), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2071), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11693] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1784), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1782), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11745] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2075), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11797] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2079), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11849] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2083), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11901] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1824), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11953] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2087), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12005] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2091), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12057] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2095), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12109] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2099), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12161] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2103), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12213] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12265] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1780), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12319] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1820), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1818), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12371] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2113), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2111), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12423] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2117), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2115), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12475] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2121), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2119), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12527] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2125), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2123), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12579] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1951), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12632] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(649), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1897), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12693] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(854), 1,
      sym_arguments,
    ACTIONS(1752), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12748] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1770), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12805] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(855), 1,
      sym_arguments,
    ACTIONS(1746), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1744), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12860] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(861), 1,
      sym_arguments,
    ACTIONS(1760), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12915] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12976] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1996), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13029] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1125), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13080] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(947), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1888), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1886), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13141] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1770), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13194] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13247] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(686), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2131), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [13359] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_RPAREN,
    ACTIONS(2011), 1,
      anon_sym_EQ,
    ACTIONS(2006), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13414] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(870), 1,
      sym_arguments,
    ACTIONS(1764), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13469] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13524] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1897), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13577] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1148), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1146), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13628] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_arguments,
    ACTIONS(1842), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13687] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1816), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13737] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(2135), 1,
      anon_sym_COLON,
    STATE(686), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13799] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1734), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13849] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1738), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2137), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [13949] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    ACTIONS(2141), 1,
      anon_sym_RPAREN,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1755), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1536), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [14035] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    ACTIONS(2143), 1,
      anon_sym_RPAREN,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1755), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1536), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [14121] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1828), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1826), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14171] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1800), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1798), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14221] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(2145), 1,
      anon_sym_COLON,
    STATE(686), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14283] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1824), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14333] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1808), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1806), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14383] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1804), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1802), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14433] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    ACTIONS(2147), 1,
      anon_sym_RPAREN,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1755), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1536), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [14519] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1812), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14569] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    ACTIONS(2149), 1,
      anon_sym_RPAREN,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1755), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1536), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [14655] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1792), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14705] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1742), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1740), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14755] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1784), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1782), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14805] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1780), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14855] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_COLON,
    STATE(649), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14917] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1820), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1818), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14967] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1796), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1794), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15017] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1788), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1786), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15067] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1728), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1726), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15117] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15166] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2153), 1,
      sym_name,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(892), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2694), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1927), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(977), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1744), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(906), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15249] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1210), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1208), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15298] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(668), 1,
      sym_arguments,
    ACTIONS(1937), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1935), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15351] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2155), 1,
      sym_name,
    ACTIONS(2157), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1622), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1726), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2711), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(978), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(900), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1634), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15434] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1770), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15485] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(686), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1957), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15540] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1724), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2159), 1,
      sym_name,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1599), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1760), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2671), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(877), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(830), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1618), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15623] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1755), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1630), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1536), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15706] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1755), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1588), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1504), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15789] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1957), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15844] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15899] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15954] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(642), 1,
      sym_arguments,
    ACTIONS(1764), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16007] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(2163), 1,
      sym_name,
    ACTIONS(2165), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1637), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1750), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2706), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(827), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(739), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1633), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16090] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(652), 1,
      sym_arguments,
    ACTIONS(1752), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16141] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym_arguments,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16194] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(652), 1,
      sym_arguments,
    ACTIONS(1752), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16247] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_arguments,
    ACTIONS(1746), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1744), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16300] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(648), 1,
      sym_arguments,
    ACTIONS(1760), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16353] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1897), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16408] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2155), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(976), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1622), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2540), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1726), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(907), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1634), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16491] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(2167), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(740), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2681), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(844), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1756), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(746), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16574] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(643), 1,
      sym_arguments,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16625] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_EQ,
    ACTIONS(2006), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16676] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(951), 1,
      sym_arguments,
    ACTIONS(1760), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16729] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(834), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1755), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1502), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16812] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(645), 1,
      sym_arguments,
    ACTIONS(1746), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1744), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16863] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(946), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1951), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16918] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(946), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1770), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16973] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_LPAREN,
    STATE(1185), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1888), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1886), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17028] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(947), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1888), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1886), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17083] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(949), 1,
      sym_arguments,
    ACTIONS(1746), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1744), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17136] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(930), 1,
      sym_arguments,
    ACTIONS(1752), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17189] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1897), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17244] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(946), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1996), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17299] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(947), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1888), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1886), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17354] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(861), 1,
      sym_arguments,
    ACTIONS(1937), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1935), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17407] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2155), 1,
      sym_name,
    ACTIONS(2157), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1622), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1726), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2711), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(975), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(901), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1634), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17490] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(686), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17545] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(648), 1,
      sym_arguments,
    ACTIONS(1760), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1758), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17596] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(642), 1,
      sym_arguments,
    ACTIONS(1764), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17647] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2171), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1608), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1735), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2634), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(777), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(708), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1610), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17730] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(869), 1,
      sym_arguments,
    ACTIONS(1901), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17783] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1862), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1864), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17832] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1755), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1595), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1514), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17915] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1182), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1180), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17964] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(686), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18019] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1842), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18072] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(667), 1,
      sym_arguments,
    ACTIONS(1901), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18125] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(2163), 1,
      sym_name,
    ACTIONS(2165), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1637), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1750), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2706), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(837), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(760), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1633), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [18208] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(972), 1,
      sym_arguments,
    ACTIONS(1764), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1762), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18261] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1755), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(777), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1507), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1620), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [18344] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1246), 1,
      anon_sym_LBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(2163), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(834), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1637), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2604), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1750), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(750), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1633), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [18427] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(973), 1,
      sym_arguments,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18480] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2059), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18528] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1742), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1740), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18576] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1734), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18624] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1828), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1826), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18672] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1710), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1712), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18720] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1824), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18768] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2113), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2111), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18816] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2121), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2119), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18864] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1808), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1806), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18912] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2079), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18960] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2099), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19008] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2107), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19056] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2055), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19104] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1820), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1818), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19152] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2091), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19200] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_EQ,
    ACTIONS(2006), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19250] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1784), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1782), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19298] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1804), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1802), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19346] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2023), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19394] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1816), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19442] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1814), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2071), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19492] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2051), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19540] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1800), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1798), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19588] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1738), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19636] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19684] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2125), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2123), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19732] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2043), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19780] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2067), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2065), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19828] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2087), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19876] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2019), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19924] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19974] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_EQ,
    ACTIONS(2173), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2006), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 26,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20026] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1728), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1726), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20074] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2047), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20122] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2063), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20170] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2083), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20218] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2117), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2115), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20266] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2031), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20314] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2095), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20362] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2006), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2004), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20410] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2027), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20458] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2075), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20506] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2039), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20554] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2103), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20602] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2035), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20650] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1788), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1786), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20698] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1792), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20746] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1796), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1794), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20794] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1770), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20843] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1996), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20892] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1897), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20941] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1951), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20990] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21039] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2177), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2175), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21085] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1957), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21131] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2181), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21177] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2185), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2183), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21223] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2189), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2187), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21269] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2193), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2191), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21315] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2197), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2195), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21361] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2201), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2199), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21407] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2205), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21453] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1738), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21499] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2209), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2207), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21545] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2213), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2211), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21591] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2217), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2215), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21637] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2221), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2219), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21683] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2225), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2223), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21729] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2229), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2227), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21775] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2233), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2231), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21821] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2237), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21867] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2241), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21913] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2245), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2243), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21959] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2249), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2247), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22005] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2253), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22051] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2257), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22097] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2261), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2259), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22143] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1728), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1726), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22189] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2265), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2263), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22235] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1742), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1740), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22281] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2269), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2267), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22327] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2071), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22373] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1768), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22419] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1734), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22465] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2273), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2271), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22511] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2277), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2275), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22557] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2281), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2279), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22603] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2285), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2283), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22649] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2289), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2287), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22695] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2293), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2291), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22741] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2295), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2273), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2271), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22789] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2299), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2297), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22835] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2303), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22881] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2307), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2305), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22927] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2311), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2309), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22973] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2315), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2313), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23019] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2319), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2317), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23065] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2323), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2321), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23111] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2327), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2325), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23157] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2331), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2329), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23203] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2335), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2333), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23249] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2339), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2337), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23295] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2343), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2341), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23341] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2347), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2345), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23387] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2351), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2349), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23433] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2355), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2353), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23479] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2359), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2357), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23525] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2363), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23571] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2367), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2365), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23617] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2371), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2369), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23663] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2375), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23709] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2379), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2377), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23755] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2383), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2381), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23801] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2387), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2385), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23847] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2391), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2389), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23893] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2395), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2393), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23939] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2399), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2397), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23985] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2403), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2401), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2409), 1,
      anon_sym_POUND_LBRACK,
    STATE(1045), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2407), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2405), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [24080] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1182), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1180), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24125] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1210), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1208), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24170] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2412), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1255), 1,
      sym_visibility_modifier,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1769), 1,
      sym_type,
    STATE(2116), 1,
      sym_reference_modifier,
    STATE(2117), 1,
      sym_variable_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1635), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [24249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    STATE(1045), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2416), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2414), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [24298] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2422), 1,
      anon_sym_QMARK,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2418), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24374] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2454), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24456] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2464), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24532] = 10,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2470), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2475), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2478), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2481), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2484), 1,
      sym_var_modifier,
    ACTIONS(2487), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2473), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    STATE(1053), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2468), 17,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [24590] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2490), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24672] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2283), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24754] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2492), 1,
      anon_sym_EQ_GT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2369), 6,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24838] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2494), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24920] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2496), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24996] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2498), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25078] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2500), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25160] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2502), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25242] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2504), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25324] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2506), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25406] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 24,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [25456] = 13,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [25520] = 15,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [25588] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2508), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25670] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25746] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1897), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25792] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25868] = 21,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [25948] = 20,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26026] = 17,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 12,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [26098] = 16,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26168] = 14,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26234] = 11,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1897), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1895), 18,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [26294] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [26350] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 22,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26402] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [26456] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1897), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26502] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2510), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26578] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2512), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26654] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2494), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [26735] = 21,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [26814] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26889] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1897), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2556), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2554), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [26977] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27052] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27101] = 15,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27168] = 13,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27231] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2454), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27312] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2510), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27387] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2490), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27468] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1897), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27513] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2283), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27594] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2464), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2558), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27712] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2496), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27787] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_QMARK,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2418), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27862] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [27915] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2512), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27990] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28041] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2500), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28122] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [28177] = 11,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1897), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1895), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28236] = 14,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28301] = 16,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28370] = 17,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [28441] = 20,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28518] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2508), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28599] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2498), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28680] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2504), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28761] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2562), 1,
      anon_sym_EQ_GT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2369), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28844] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2506), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28925] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2502), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2564), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [29049] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29097] = 11,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1897), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1895), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29155] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1728), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1726), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29197] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2253), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29239] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2257), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29281] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2490), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29361] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1768), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29403] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2273), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2271), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29445] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2273), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2271), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29489] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2359), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2357), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29531] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2245), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2243), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29573] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2249), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2247), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29615] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2367), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2365), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29657] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2498), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29737] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2265), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2263), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29779] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2383), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2381), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29821] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2387), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2385), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29863] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2395), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2393), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29905] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2504), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29985] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2355), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2353), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30027] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2403), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2401), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30069] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2283), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30149] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2371), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2369), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30191] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2399), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2397), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30233] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2189), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2187), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30275] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2610), 1,
      anon_sym_EQ_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2369), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_binary_expression_token1,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30357] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2391), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2389), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30399] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2506), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30479] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2502), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30559] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2494), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30639] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2508), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30719] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1148), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1146), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30761] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1742), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1740), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30803] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2379), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2377), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30845] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2363), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30887] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2241), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30929] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2237), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30971] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2375), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31013] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2177), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2175), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31055] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1734), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31097] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2331), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2329), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31139] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2327), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2325), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31181] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2464), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31255] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2323), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2321), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31297] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2335), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2333), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31339] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2496), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31413] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_QMARK,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2418), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31487] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2233), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2231), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31529] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2289), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2287), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31571] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2229), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2227), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31613] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2347), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2345), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31655] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2181), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2179), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31697] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2185), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2183), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31739] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2225), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2223), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31781] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2221), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2219), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31823] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2217), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2215), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31865] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2213), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2211), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31907] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2285), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2283), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31949] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2197), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2195), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31991] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2351), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2349), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32033] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1738), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32075] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2209), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2207), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32117] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2193), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2191), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32159] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1125), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1123), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32201] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2277), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2275), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32243] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2205), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32285] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2201), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2199), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32327] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2071), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32369] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2339), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2337), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32411] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2315), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2313), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32453] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1897), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32497] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2299), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2297), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32539] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2307), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2305), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32581] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2343), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2341), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32623] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2303), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32665] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2293), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2291), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32707] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2269), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2267), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32749] = 15,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(1897), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32815] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2512), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32889] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2500), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32969] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2510), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33043] = 14,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(1897), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33107] = 13,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1897), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33169] = 16,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33237] = 17,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 10,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [33307] = 20,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33383] = 21,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [33461] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33535] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2454), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33615] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2261), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2259), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33657] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33731] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2281), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2279), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33773] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2311), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2309), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33815] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1897), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33859] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2319), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2317), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33901] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1957), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33943] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [33995] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 20,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34045] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [34099] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1897), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34142] = 20,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34217] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(2648), 1,
      sym_name,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1656), 1,
      sym_type,
    STATE(1895), 1,
      sym_const_element,
    STATE(2635), 1,
      sym__reserved_identifier,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1486), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34284] = 16,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34351] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34430] = 13,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34491] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2498), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34570] = 15,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34635] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 21,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34682] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34755] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2656), 1,
      anon_sym_EQ_GT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2369), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34836] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2283), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34915] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2490), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34994] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35067] = 21,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [35144] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(2648), 1,
      sym_name,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1673), 1,
      sym_type,
    STATE(1861), 1,
      sym_const_element,
    STATE(2635), 1,
      sym__reserved_identifier,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1486), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35211] = 17,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_QMARK,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 9,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [35280] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2504), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35359] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(2648), 1,
      sym_name,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1657), 1,
      sym_type,
    STATE(1931), 1,
      sym_const_element,
    STATE(2635), 1,
      sym__reserved_identifier,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1486), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35426] = 14,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(1897), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1895), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35489] = 11,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1897), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1895), 15,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35546] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [35599] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_COLON,
    ACTIONS(2257), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35642] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_COLON,
    ACTIONS(2253), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35685] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 19,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35734] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1895), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [35785] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1897), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35828] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2510), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35901] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2508), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35980] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2494), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36059] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(2648), 1,
      sym_name,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1677), 1,
      sym_type,
    STATE(1873), 1,
      sym_const_element,
    STATE(2635), 1,
      sym__reserved_identifier,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1486), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36126] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2502), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36205] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2512), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36278] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_QMARK,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2418), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36351] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2506), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36430] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2496), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36503] = 19,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2464), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36576] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2500), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36655] = 17,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(1350), 1,
      sym_readonly_modifier,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2091), 1,
      sym_variable_name,
    STATE(2415), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1486), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36723] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2660), 1,
      anon_sym_EQ_GT,
    ACTIONS(2369), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36803] = 17,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(1371), 1,
      sym_readonly_modifier,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2106), 1,
      sym_variable_name,
    STATE(2392), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1486), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36871] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2664), 1,
      anon_sym_COMMA,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36951] = 24,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2666), 1,
      anon_sym_COMMA,
    ACTIONS(2668), 1,
      anon_sym_EQ_GT,
    STATE(2017), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37033] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2664), 1,
      anon_sym_COMMA,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37113] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2672), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37191] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2674), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37269] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2676), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37347] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2678), 1,
      anon_sym_EQ_GT,
    ACTIONS(2369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37427] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2680), 1,
      anon_sym_EQ_GT,
    ACTIONS(2369), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37507] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2682), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37584] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2684), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37661] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2686), 1,
      anon_sym_EQ_GT,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37740] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2686), 1,
      anon_sym_EQ_GT,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37819] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2698), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2700), 1,
      anon_sym_RBRACE,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2708), 1,
      sym_var_modifier,
    STATE(1421), 1,
      sym_attribute_list,
    STATE(1471), 1,
      sym__class_const_declaration,
    STATE(1472), 1,
      sym__const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1312), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(700), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [37890] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2712), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2715), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2721), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2729), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2732), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2735), 1,
      sym_var_modifier,
    ACTIONS(2741), 1,
      anon_sym_POUND_LBRACK,
    STATE(1421), 1,
      sym_attribute_list,
    STATE(1471), 1,
      sym__class_const_declaration,
    STATE(1472), 1,
      sym__const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2738), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1271), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(700), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [37961] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2744), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38038] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2746), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38115] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2748), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38192] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2698), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2708), 1,
      sym_var_modifier,
    ACTIONS(2750), 1,
      anon_sym_RBRACE,
    STATE(1421), 1,
      sym_attribute_list,
    STATE(1471), 1,
      sym__class_const_declaration,
    STATE(1472), 1,
      sym__const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1271), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(700), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38263] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2752), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38340] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2754), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38417] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2756), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38494] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2758), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38571] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2760), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38648] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2670), 1,
      anon_sym_SEMI,
    ACTIONS(2762), 1,
      anon_sym_COMMA,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38727] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2764), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38804] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38881] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2686), 1,
      anon_sym_EQ_GT,
    ACTIONS(2768), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38960] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2698), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2708), 1,
      sym_var_modifier,
    ACTIONS(2770), 1,
      anon_sym_RBRACE,
    STATE(1421), 1,
      sym_attribute_list,
    STATE(1471), 1,
      sym__class_const_declaration,
    STATE(1472), 1,
      sym__const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1275), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(700), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39031] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2772), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39108] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2774), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39185] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2776), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39262] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    ACTIONS(2778), 1,
      anon_sym_COMMA,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39341] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39418] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2662), 1,
      anon_sym_RPAREN,
    ACTIONS(2778), 1,
      anon_sym_COMMA,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39497] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2782), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39574] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2698), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2708), 1,
      sym_var_modifier,
    ACTIONS(2784), 1,
      anon_sym_RBRACE,
    STATE(1421), 1,
      sym_attribute_list,
    STATE(1471), 1,
      sym__class_const_declaration,
    STATE(1472), 1,
      sym__const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1271), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(700), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39645] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2786), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39722] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2788), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39799] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2790), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39876] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2698), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2708), 1,
      sym_var_modifier,
    ACTIONS(2792), 1,
      anon_sym_RBRACE,
    STATE(1421), 1,
      sym_attribute_list,
    STATE(1471), 1,
      sym__class_const_declaration,
    STATE(1472), 1,
      sym__const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1310), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(700), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39947] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2794), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40024] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40101] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2798), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40178] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2800), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40255] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2802), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40332] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2804), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40409] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2806), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40486] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2808), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40563] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2686), 1,
      anon_sym_EQ_GT,
    ACTIONS(2810), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40642] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2698), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2708), 1,
      sym_var_modifier,
    ACTIONS(2812), 1,
      anon_sym_RBRACE,
    STATE(1421), 1,
      sym_attribute_list,
    STATE(1471), 1,
      sym__class_const_declaration,
    STATE(1472), 1,
      sym__const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1293), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(700), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40713] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2578), 1,
      anon_sym_GT_EQ,
    ACTIONS(2582), 1,
      anon_sym_DOT,
    ACTIONS(2584), 1,
      anon_sym_AMP,
    ACTIONS(2586), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_PIPE,
    ACTIONS(2590), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2592), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2594), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2596), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2600), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2602), 1,
      anon_sym_CARET,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2580), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2604), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2814), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2576), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2606), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40790] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2816), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40867] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2698), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2708), 1,
      sym_var_modifier,
    ACTIONS(2818), 1,
      anon_sym_RBRACE,
    STATE(1421), 1,
      sym_attribute_list,
    STATE(1471), 1,
      sym__class_const_declaration,
    STATE(1472), 1,
      sym__const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1271), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(700), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40938] = 23,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2662), 1,
      anon_sym_SEMI,
    ACTIONS(2762), 1,
      anon_sym_COMMA,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41017] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2698), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2708), 1,
      sym_var_modifier,
    ACTIONS(2820), 1,
      anon_sym_RBRACE,
    STATE(1421), 1,
      sym_attribute_list,
    STATE(1471), 1,
      sym__class_const_declaration,
    STATE(1472), 1,
      sym__const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1271), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(700), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [41088] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2822), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41165] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP,
    ACTIONS(2616), 1,
      anon_sym_QMARK,
    ACTIONS(2618), 1,
      anon_sym_PIPE,
    ACTIONS(2622), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2624), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2626), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2628), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2630), 1,
      anon_sym_CARET,
    ACTIONS(2638), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_DOT,
    ACTIONS(2646), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2644), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2824), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41242] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2826), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41318] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2828), 1,
      anon_sym_RBRACK,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41394] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2830), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41470] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2832), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41546] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2834), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41622] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2834), 1,
      anon_sym_RBRACK,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41698] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2836), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41774] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2840), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2838), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [41812] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2842), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41888] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2844), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41964] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2846), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42040] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2848), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42116] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2850), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42192] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2852), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42268] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2854), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42344] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2856), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42420] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2858), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42496] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2860), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42572] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2862), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42648] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2864), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42724] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2866), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42800] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2868), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42876] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2870), 1,
      anon_sym_RBRACK,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42952] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2828), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43028] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2872), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43104] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2874), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43180] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2876), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43256] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2878), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43332] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2880), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43408] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2882), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43484] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2884), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43560] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2886), 1,
      anon_sym_COLON,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43636] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2870), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43712] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2888), 1,
      anon_sym_COLON,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43788] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2890), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43864] = 15,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2149), 1,
      sym_variable_name,
    STATE(2279), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1486), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43926] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2892), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44002] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2894), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44078] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2896), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44154] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2898), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44230] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2900), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44306] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2902), 1,
      anon_sym_EQ_GT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44382] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2904), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44458] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2906), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44534] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2908), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44610] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2910), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44686] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2912), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44762] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2914), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44838] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2916), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44914] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2918), 1,
      anon_sym_RBRACK,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44990] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2920), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45066] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2922), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45142] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2924), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45218] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2926), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45294] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2928), 1,
      anon_sym_RBRACK,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45370] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2918), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45446] = 15,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2137), 1,
      sym_variable_name,
    STATE(2319), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1486), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45508] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2930), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45584] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2932), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45660] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2934), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45736] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2936), 1,
      anon_sym_COLON,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45812] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2938), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45888] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2940), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45964] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2928), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46040] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2942), 1,
      anon_sym_EQ_GT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46116] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_AMP,
    ACTIONS(2516), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_PIPE,
    ACTIONS(2522), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2524), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2528), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2530), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2534), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2536), 1,
      anon_sym_CARET,
    ACTIONS(2544), 1,
      anon_sym_GT_EQ,
    ACTIONS(2548), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_PERCENT,
    ACTIONS(2944), 1,
      anon_sym_RBRACK,
    ACTIONS(2520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2538), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2546), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2550), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2540), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46192] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2946), 1,
      anon_sym_EQ_GT,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46268] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2944), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46344] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2948), 1,
      anon_sym_COLON,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46420] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2950), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46496] = 22,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2434), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2436), 1,
      anon_sym_CARET,
    ACTIONS(2444), 1,
      anon_sym_GT_EQ,
    ACTIONS(2448), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2952), 1,
      anon_sym_RBRACE,
    ACTIONS(2426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2438), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2446), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2450), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2442), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2440), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46572] = 14,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_name,
    ACTIONS(2958), 1,
      anon_sym_LPAREN,
    ACTIONS(2960), 1,
      anon_sym_QMARK,
    ACTIONS(2962), 1,
      sym_bottom_type,
    STATE(1731), 1,
      sym_qualified_name,
    STATE(2109), 1,
      sym_type,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    STATE(2015), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1584), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2956), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46631] = 14,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1878), 1,
      anon_sym_LPAREN,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(2964), 1,
      sym_bottom_type,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2350), 1,
      sym_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1532), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1486), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46690] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2966), 1,
      anon_sym_RBRACE,
    ACTIONS(2968), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2970), 1,
      sym_var_modifier,
    STATE(1422), 1,
      sym_attribute_list,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1393), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1425), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46755] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2968), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2970), 1,
      sym_var_modifier,
    ACTIONS(2972), 1,
      anon_sym_RBRACE,
    STATE(1422), 1,
      sym_attribute_list,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1425), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46820] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2977), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2980), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2983), 1,
      anon_sym_RBRACE,
    ACTIONS(2985), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2988), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2991), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2994), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2997), 1,
      sym_var_modifier,
    ACTIONS(3003), 1,
      anon_sym_POUND_LBRACK,
    STATE(1422), 1,
      sym_attribute_list,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(3000), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1425), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46885] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3008), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(3006), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46922] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3012), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(3010), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46959] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2968), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2970), 1,
      sym_var_modifier,
    ACTIONS(3014), 1,
      anon_sym_RBRACE,
    STATE(1422), 1,
      sym_attribute_list,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1425), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47024] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2968), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2970), 1,
      sym_var_modifier,
    ACTIONS(3016), 1,
      anon_sym_RBRACE,
    STATE(1422), 1,
      sym_attribute_list,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1049), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1389), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1425), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47089] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3020), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(3018), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [47126] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3024), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(3022), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [47163] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_name,
    ACTIONS(2960), 1,
      anon_sym_QMARK,
    ACTIONS(3026), 1,
      anon_sym_LPAREN,
    STATE(1731), 1,
      sym_qualified_name,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    STATE(1893), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2956), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47211] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47259] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_name,
    ACTIONS(2960), 1,
      anon_sym_QMARK,
    ACTIONS(3026), 1,
      anon_sym_LPAREN,
    STATE(1731), 1,
      sym_qualified_name,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    STATE(1921), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2956), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47307] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2595), 1,
      sym_intersection_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1969), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47355] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1517), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47403] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2564), 1,
      sym_intersection_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1969), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47451] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1517), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47499] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47547] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2549), 1,
      sym_intersection_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1969), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47595] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2590), 1,
      sym_intersection_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1969), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47643] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2720), 1,
      sym_intersection_type,
    STATE(1969), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47691] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_name,
    ACTIONS(2960), 1,
      anon_sym_QMARK,
    STATE(1731), 1,
      sym_qualified_name,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    STATE(1868), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2956), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47736] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1520), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47781] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1880), 1,
      anon_sym_QMARK,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1515), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47826] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1515), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47871] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    ACTIONS(1921), 1,
      anon_sym_QMARK,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1520), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47916] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_name,
    ACTIONS(2960), 1,
      anon_sym_QMARK,
    STATE(1731), 1,
      sym_qualified_name,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    STATE(1917), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2956), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47961] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOLLAR,
    ACTIONS(2109), 1,
      anon_sym_COLON_COLON,
    STATE(1839), 1,
      sym_static_variable_declaration,
    STATE(1841), 1,
      sym_variable_name,
    ACTIONS(1778), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2840), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [47998] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOLLAR,
    ACTIONS(2109), 1,
      anon_sym_COLON_COLON,
    STATE(1841), 1,
      sym_variable_name,
    STATE(1888), 1,
      sym_static_variable_declaration,
    ACTIONS(1778), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2840), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [48035] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2673), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1500), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48075] = 14,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3030), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3032), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3034), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(3036), 1,
      sym_var_modifier,
    ACTIONS(3038), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1489), 1,
      sym_static_modifier,
    STATE(2494), 1,
      sym__function_definition_header,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1428), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48125] = 14,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3030), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3038), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3040), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3042), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(3044), 1,
      sym_var_modifier,
    STATE(1489), 1,
      sym_static_modifier,
    STATE(2489), 1,
      sym__function_definition_header,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1429), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48175] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_name,
    STATE(1731), 1,
      sym_qualified_name,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    STATE(1729), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2956), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48215] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1500), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1874), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48255] = 12,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2698), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3046), 1,
      sym_var_modifier,
    STATE(1479), 1,
      sym__const_declaration,
    STATE(1911), 1,
      sym__function_definition_header,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(699), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48300] = 11,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3048), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3050), 1,
      sym_var_modifier,
    STATE(1911), 1,
      sym__function_definition_header,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1423), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48342] = 10,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3052), 1,
      sym_var_modifier,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1053), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48381] = 10,
    ACTIONS(677), 1,
      sym_integer,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3054), 1,
      sym_float,
    ACTIONS(3056), 1,
      aux_sym__argument_name_token1,
    ACTIONS(3058), 1,
      aux_sym__argument_name_token2,
    STATE(2562), 1,
      sym_literal,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(981), 7,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym_boolean,
      sym_null,
      sym__string,
  [48420] = 10,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3052), 1,
      sym_var_modifier,
    STATE(1914), 1,
      sym__function_definition_header,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1053), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48459] = 10,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3052), 1,
      sym_var_modifier,
    ACTIONS(3060), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(3062), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1053), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48498] = 10,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3052), 1,
      sym_var_modifier,
    ACTIONS(3064), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(3066), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1053), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48537] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3052), 1,
      sym_var_modifier,
    ACTIONS(3068), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1053), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48573] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3052), 1,
      sym_var_modifier,
    ACTIONS(3070), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1053), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48609] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3072), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1971), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [48633] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2702), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2704), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3052), 1,
      sym_var_modifier,
    ACTIONS(3064), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2710), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1053), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48669] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3074), 1,
      anon_sym_LBRACE,
    ACTIONS(3080), 1,
      anon_sym_BSLASHu,
    ACTIONS(3083), 1,
      sym__new_line,
    ACTIONS(3086), 1,
      anon_sym_DOLLAR,
    ACTIONS(3089), 1,
      sym_heredoc_end,
    STATE(1432), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1503), 1,
      sym_variable_name,
    STATE(1617), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3077), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1451), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48708] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LBRACE,
    ACTIONS(3095), 1,
      anon_sym_BSLASHu,
    ACTIONS(3097), 1,
      sym__new_line,
    ACTIONS(3100), 1,
      anon_sym_DOLLAR,
    ACTIONS(3102), 1,
      sym_heredoc_end,
    STATE(1432), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1503), 1,
      sym_variable_name,
    STATE(1617), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3093), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1451), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48767] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LBRACE,
    ACTIONS(3100), 1,
      anon_sym_DOLLAR,
    ACTIONS(3108), 1,
      anon_sym_BSLASHu,
    STATE(1503), 1,
      sym_variable_name,
    STATE(1617), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3089), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(3106), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1450), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3114), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3116), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48901] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LBRACE,
    ACTIONS(3095), 1,
      anon_sym_BSLASHu,
    ACTIONS(3100), 1,
      anon_sym_DOLLAR,
    ACTIONS(3118), 1,
      sym__new_line,
    STATE(1433), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1503), 1,
      sym_variable_name,
    STATE(1617), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3093), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1451), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3120), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3128), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3130), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49097] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3132), 1,
      anon_sym_LBRACE,
    ACTIONS(3138), 1,
      anon_sym_BSLASHu,
    ACTIONS(3143), 1,
      anon_sym_DOLLAR,
    STATE(1503), 1,
      sym_variable_name,
    STATE(1617), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3135), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(3141), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1450), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [49131] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LBRACE,
    ACTIONS(3100), 1,
      anon_sym_DOLLAR,
    ACTIONS(3108), 1,
      anon_sym_BSLASHu,
    STATE(1503), 1,
      sym_variable_name,
    STATE(1617), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3106), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(3146), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1450), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [49165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49205] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3150), 1,
      anon_sym_LBRACE,
    ACTIONS(3156), 1,
      anon_sym_BSLASHu,
    ACTIONS(3159), 1,
      anon_sym_DQUOTE,
    ACTIONS(3161), 1,
      anon_sym_DOLLAR,
    STATE(1548), 1,
      sym_variable_name,
    STATE(1711), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3153), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1454), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49238] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3164), 1,
      anon_sym_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_BSLASHu,
    ACTIONS(3170), 1,
      anon_sym_BQUOTE,
    ACTIONS(3172), 1,
      anon_sym_DOLLAR,
    STATE(1551), 1,
      sym_variable_name,
    STATE(1704), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3166), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1461), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3174), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49290] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3176), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3178), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3180), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49334] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3182), 1,
      anon_sym_LBRACE,
    ACTIONS(3186), 1,
      anon_sym_BSLASHu,
    ACTIONS(3188), 1,
      anon_sym_DQUOTE,
    ACTIONS(3190), 1,
      anon_sym_DOLLAR,
    STATE(1548), 1,
      sym_variable_name,
    STATE(1711), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3184), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1454), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49367] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3182), 1,
      anon_sym_LBRACE,
    ACTIONS(3190), 1,
      anon_sym_DOLLAR,
    ACTIONS(3194), 1,
      anon_sym_BSLASHu,
    ACTIONS(3196), 1,
      anon_sym_DQUOTE,
    STATE(1548), 1,
      sym_variable_name,
    STATE(1711), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3192), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1481), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49400] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3198), 1,
      anon_sym_LBRACE,
    ACTIONS(3204), 1,
      anon_sym_BSLASHu,
    ACTIONS(3207), 1,
      anon_sym_BQUOTE,
    ACTIONS(3209), 1,
      anon_sym_DOLLAR,
    STATE(1551), 1,
      sym_variable_name,
    STATE(1704), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3201), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1461), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3212), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3216), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3220), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3222), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49547] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3164), 1,
      anon_sym_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_BSLASHu,
    ACTIONS(3172), 1,
      anon_sym_DOLLAR,
    ACTIONS(3224), 1,
      anon_sym_BQUOTE,
    STATE(1551), 1,
      sym_variable_name,
    STATE(1704), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3166), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1461), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49599] = 10,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3228), 1,
      sym_name,
    ACTIONS(3234), 1,
      anon_sym_BSLASH,
    STATE(1891), 1,
      sym_namespace_use_clause,
    STATE(2645), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3232), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1784), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3236), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3238), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49672] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3164), 1,
      anon_sym_LBRACE,
    ACTIONS(3172), 1,
      anon_sym_DOLLAR,
    ACTIONS(3242), 1,
      anon_sym_BSLASHu,
    ACTIONS(3244), 1,
      anon_sym_BQUOTE,
    STATE(1551), 1,
      sym_variable_name,
    STATE(1704), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3240), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1468), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3248), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3250), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3252), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49781] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3182), 1,
      anon_sym_LBRACE,
    ACTIONS(3190), 1,
      anon_sym_DOLLAR,
    ACTIONS(3256), 1,
      anon_sym_BSLASHu,
    ACTIONS(3258), 1,
      anon_sym_DQUOTE,
    STATE(1548), 1,
      sym_variable_name,
    STATE(1711), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3254), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1459), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49833] = 10,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3228), 1,
      sym_name,
    ACTIONS(3264), 1,
      anon_sym_BSLASH,
    STATE(1856), 1,
      sym_namespace_use_clause,
    STATE(2660), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3262), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1784), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49868] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3182), 1,
      anon_sym_LBRACE,
    ACTIONS(3186), 1,
      anon_sym_BSLASHu,
    ACTIONS(3190), 1,
      anon_sym_DOLLAR,
    ACTIONS(3266), 1,
      anon_sym_DQUOTE,
    STATE(1548), 1,
      sym_variable_name,
    STATE(1711), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3184), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1454), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49920] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3164), 1,
      anon_sym_LBRACE,
    ACTIONS(3172), 1,
      anon_sym_DOLLAR,
    ACTIONS(3272), 1,
      anon_sym_BSLASHu,
    ACTIONS(3274), 1,
      anon_sym_BQUOTE,
    STATE(1551), 1,
      sym_variable_name,
    STATE(1704), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3270), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1455), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49953] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3276), 1,
      anon_sym_LBRACE,
    ACTIONS(3280), 1,
      anon_sym_BSLASHu,
    ACTIONS(3282), 1,
      anon_sym_DOLLAR,
    STATE(1503), 1,
      sym_variable_name,
    STATE(1617), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3278), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1435), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [49983] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3284), 1,
      sym_name,
    ACTIONS(3286), 1,
      anon_sym_RBRACK,
    STATE(2268), 1,
      sym_attribute,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1918), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50017] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_AMP,
    ACTIONS(3300), 1,
      anon_sym_PIPE,
    STATE(1509), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1565), 1,
      aux_sym_union_type_repeat1,
    STATE(1567), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3295), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3288), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50047] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3284), 1,
      sym_name,
    ACTIONS(3302), 1,
      anon_sym_RBRACK,
    STATE(2268), 1,
      sym_attribute,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1918), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50081] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3306), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3308), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3304), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50103] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3310), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3312), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3304), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50124] = 9,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3228), 1,
      sym_name,
    ACTIONS(3314), 1,
      anon_sym_BSLASH,
    STATE(1948), 1,
      sym_namespace_use_clause,
    STATE(2557), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    STATE(1784), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50155] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3316), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3318), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50174] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3284), 1,
      sym_name,
    STATE(1999), 1,
      sym_attribute,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1918), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50205] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3320), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2256), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [50230] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3284), 1,
      sym_name,
    STATE(2268), 1,
      sym_attribute,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1918), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50261] = 9,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3228), 1,
      sym_name,
    ACTIONS(3322), 1,
      anon_sym_BSLASH,
    STATE(1938), 1,
      sym_namespace_use_clause,
    STATE(2654), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    STATE(1784), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50292] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3176), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3178), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50311] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3324), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2476), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [50336] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3228), 1,
      sym_name,
    STATE(2095), 1,
      sym_namespace_use_clause,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    STATE(1784), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50367] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2151), 1,
      anon_sym_COLON,
    ACTIONS(2840), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1778), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50390] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3326), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3328), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1808), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [50427] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1994), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3332), 1,
      anon_sym_DASH_GT,
    ACTIONS(3334), 1,
      anon_sym_LBRACK,
    ACTIONS(3338), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    ACTIONS(3330), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3336), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [50473] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3342), 1,
      anon_sym_RPAREN,
    STATE(649), 1,
      sym_arguments,
    STATE(2181), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50499] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3344), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2161), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50527] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3346), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(1828), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50555] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1776), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50577] = 7,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(3348), 1,
      anon_sym_RPAREN,
    STATE(649), 1,
      sym_arguments,
    STATE(2022), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50603] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_AMP,
    STATE(1510), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3350), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3352), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [50625] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3356), 1,
      anon_sym_AMP,
    STATE(1510), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3354), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3359), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [50647] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3361), 1,
      sym_name,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    STATE(1695), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50675] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3363), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3365), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50693] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3367), 1,
      sym_name,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2698), 1,
      sym_namespace_name_as_prefix,
    STATE(1874), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50721] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(3369), 1,
      anon_sym_COMMA,
    ACTIONS(3371), 1,
      anon_sym_RPAREN,
    STATE(649), 1,
      sym_arguments,
    STATE(2107), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50747] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3354), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3359), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [50765] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3373), 1,
      sym_name,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
    STATE(2230), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50793] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3375), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3378), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50811] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(3381), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(649), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50837] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3383), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3385), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50855] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3387), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3389), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50873] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2840), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1778), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50893] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50916] = 6,
    ACTIONS(1724), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3391), 1,
      sym_name,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    ACTIONS(3393), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(831), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50939] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(3397), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50960] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(3399), 1,
      sym_name,
    ACTIONS(3401), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50983] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(3403), 1,
      sym_name,
    ACTIONS(3405), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(759), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51006] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(3407), 1,
      sym_name,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    STATE(1605), 1,
      sym__reserved_identifier,
    STATE(736), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51031] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(781), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51054] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(3411), 1,
      anon_sym_EQ,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3178), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3176), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51077] = 7,
    ACTIONS(1724), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3413), 1,
      sym_name,
    ACTIONS(3415), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym__reserved_identifier,
    STATE(832), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51102] = 6,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3417), 1,
      sym_name,
    ACTIONS(3421), 1,
      anon_sym_LBRACE,
    ACTIONS(3419), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(634), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51125] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3423), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3425), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [51142] = 6,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3427), 1,
      sym_name,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3419), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(635), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51165] = 6,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3417), 1,
      sym_name,
    ACTIONS(3421), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(634), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51188] = 6,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3427), 1,
      sym_name,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(635), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51211] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(3431), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51232] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(3433), 1,
      sym_name,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym__reserved_identifier,
    STATE(891), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51257] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(3437), 1,
      sym_name,
    ACTIONS(3439), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(745), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51280] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(3441), 1,
      sym_name,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(744), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51303] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(3433), 1,
      sym_name,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym__reserved_identifier,
    STATE(747), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51328] = 7,
    ACTIONS(1724), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3445), 1,
      sym_name,
    ACTIONS(3447), 1,
      anon_sym_LBRACE,
    STATE(1639), 1,
      sym__reserved_identifier,
    STATE(832), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51353] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3449), 1,
      sym_name,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1611), 1,
      sym_reference_modifier,
    STATE(1655), 1,
      sym_formal_parameters,
    STATE(2336), 1,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51380] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_PIPE,
    STATE(1543), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3385), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3383), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51401] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3456), 1,
      anon_sym_PIPE,
    STATE(1544), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3389), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3387), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51422] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(946), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51445] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_PIPE,
    STATE(1543), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3461), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3459), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51466] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(3433), 1,
      sym_name,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym__reserved_identifier,
    STATE(912), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51491] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_BSLASHu,
    ACTIONS(3465), 1,
      anon_sym_DASH_GT,
    ACTIONS(3467), 1,
      anon_sym_LBRACK,
    ACTIONS(3469), 1,
      sym_encapsed_string_chars_after_variable,
    ACTIONS(3336), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [51514] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(3471), 1,
      sym_name,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(904), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51537] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(3475), 1,
      sym_name,
    ACTIONS(3477), 1,
      anon_sym_LBRACE,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(905), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51560] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_BSLASHu,
    ACTIONS(3479), 1,
      anon_sym_DASH_GT,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3483), 1,
      sym_execution_string_chars_after_variable,
    ACTIONS(3336), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [51583] = 6,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3485), 1,
      sym_name,
    ACTIONS(3489), 1,
      anon_sym_LBRACE,
    ACTIONS(3487), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(660), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51606] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_PIPE,
    STATE(1546), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3493), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3491), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51627] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(3495), 1,
      sym_name,
    ACTIONS(3497), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(775), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51650] = 6,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3499), 1,
      sym_name,
    ACTIONS(3501), 1,
      anon_sym_LBRACE,
    ACTIONS(3487), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(662), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51673] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3449), 1,
      sym_name,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1609), 1,
      sym_reference_modifier,
    STATE(1671), 1,
      sym_formal_parameters,
    STATE(2336), 1,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51700] = 7,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3407), 1,
      sym_name,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    STATE(1605), 1,
      sym__reserved_identifier,
    STATE(1624), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51725] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(2786), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51746] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(3503), 1,
      sym_name,
    ACTIONS(3505), 1,
      anon_sym_LBRACE,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(778), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51769] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(716), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51792] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(2760), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51813] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2151), 1,
      anon_sym_COLON,
    ACTIONS(1778), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51832] = 7,
    ACTIONS(1718), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3507), 1,
      sym_name,
    ACTIONS(3509), 1,
      anon_sym_LBRACE,
    STATE(757), 1,
      sym__reserved_identifier,
    STATE(705), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51857] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_BSLASHu,
    ACTIONS(1806), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [51874] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_PIPE,
    STATE(1544), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3513), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3511), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51895] = 6,
    ACTIONS(1718), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3517), 1,
      sym_name,
    ACTIONS(3521), 1,
      anon_sym_LBRACE,
    ACTIONS(3519), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(706), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51918] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_PIPE,
    STATE(1543), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3525), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3523), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51939] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_BSLASHu,
    ACTIONS(1806), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [51956] = 6,
    ACTIONS(1718), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3527), 1,
      sym_name,
    ACTIONS(3529), 1,
      anon_sym_LBRACE,
    ACTIONS(3519), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(701), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51979] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(3433), 1,
      sym_name,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym__reserved_identifier,
    STATE(776), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52004] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(3531), 1,
      sym_name,
    ACTIONS(3533), 1,
      anon_sym_LBRACE,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(889), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52027] = 7,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_name,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(1597), 1,
      sym__reserved_identifier,
    STATE(1606), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52052] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(3539), 1,
      sym_name,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(890), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52075] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(3543), 1,
      sym_name,
    ACTIONS(3545), 1,
      anon_sym_LBRACE,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(887), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52098] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(3547), 1,
      sym_name,
    ACTIONS(3549), 1,
      anon_sym_LBRACE,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(899), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52121] = 7,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3433), 1,
      sym_name,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym__reserved_identifier,
    STATE(637), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52146] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(3535), 1,
      sym_name,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(1597), 1,
      sym__reserved_identifier,
    STATE(897), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52171] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(3551), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52192] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(649), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52215] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3553), 1,
      sym_name,
    ACTIONS(3555), 1,
      anon_sym_LBRACE,
    STATE(875), 1,
      sym__reserved_identifier,
    STATE(659), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3230), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52240] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(2748), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52261] = 6,
    ACTIONS(1724), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_name,
    ACTIONS(3559), 1,
      anon_sym_LBRACE,
    ACTIONS(3393), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(829), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52284] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(2754), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52305] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_AMP,
    ACTIONS(3563), 1,
      anon_sym_PIPE,
    STATE(1722), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1730), 1,
      aux_sym_union_type_repeat1,
    STATE(1741), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3295), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [52329] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1008), 1,
      sym_declaration_list,
    STATE(1681), 1,
      sym_arguments,
    STATE(1806), 1,
      sym_base_clause,
    STATE(2527), 1,
      sym_class_interface_clause,
  [52357] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1207), 1,
      sym_declaration_list,
    STATE(1670), 1,
      sym_arguments,
    STATE(1812), 1,
      sym_base_clause,
    STATE(2249), 1,
      sym_class_interface_clause,
  [52385] = 6,
    ACTIONS(1093), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3575), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1091), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1591), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [52407] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3342), 1,
      anon_sym_RPAREN,
    STATE(2181), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52427] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1003), 1,
      sym_declaration_list,
    STATE(1694), 1,
      sym_arguments,
    STATE(1909), 1,
      sym_base_clause,
    STATE(2482), 1,
      sym_class_interface_clause,
  [52455] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1946), 1,
      sym_named_type,
    STATE(1975), 1,
      sym_type_list,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
  [52483] = 6,
    ACTIONS(1083), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3577), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3580), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1081), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1591), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [52505] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(1946), 1,
      sym_named_type,
    STATE(1954), 1,
      sym_type_list,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
  [52533] = 8,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    ACTIONS(3587), 1,
      anon_sym_LBRACE,
    STATE(1449), 1,
      sym_use_list,
    STATE(1642), 1,
      aux_sym_base_clause_repeat1,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3583), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52559] = 9,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1185), 1,
      sym_declaration_list,
    STATE(1698), 1,
      sym_arguments,
    STATE(1859), 1,
      sym_base_clause,
    STATE(2483), 1,
      sym_class_interface_clause,
  [52587] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_COMMA,
    ACTIONS(3371), 1,
      anon_sym_RPAREN,
    STATE(2107), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52607] = 5,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3348), 1,
      anon_sym_RPAREN,
    STATE(2022), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52627] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(951), 1,
      sym_arguments,
    ACTIONS(1935), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1808), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1806), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52659] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52676] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52693] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(974), 1,
      sym_arguments,
    ACTIONS(1899), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52710] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2139), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2137), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [52725] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      anon_sym_DASH,
    ACTIONS(3589), 2,
      sym_integer,
      sym_name,
    STATE(2700), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52744] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3397), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52759] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(779), 1,
      sym_arguments,
    ACTIONS(1935), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52776] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(951), 1,
      sym_arguments,
    ACTIONS(1758), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52793] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(805), 1,
      sym_arguments,
    ACTIONS(1899), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52810] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52827] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    ACTIONS(3593), 1,
      sym_name,
    STATE(1701), 1,
      sym_formal_parameters,
    STATE(2525), 1,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52848] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52865] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    ACTIONS(3593), 1,
      sym_name,
    STATE(1641), 1,
      sym_formal_parameters,
    STATE(2525), 1,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52886] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1866), 1,
      sym_name,
    STATE(1496), 1,
      sym_qualified_name,
    STATE(2035), 1,
      sym_named_type,
    STATE(2636), 1,
      sym_namespace_name_as_prefix,
    STATE(2696), 1,
      sym_namespace_name,
  [52911] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3178), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [52928] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      anon_sym_DASH,
    ACTIONS(3595), 2,
      sym_integer,
      sym_name,
    STATE(2581), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52947] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_LPAREN,
    STATE(686), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52964] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      anon_sym_DASH,
    ACTIONS(3597), 2,
      sym_integer,
      sym_name,
    STATE(2707), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3599), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3601), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52998] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3603), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3141), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53030] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1802), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53062] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(946), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1784), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1782), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53094] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(779), 1,
      sym_arguments,
    ACTIONS(1758), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53111] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3605), 1,
      sym_name,
    STATE(1733), 1,
      sym_reference_modifier,
    STATE(2413), 1,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3607), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3609), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3611), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3613), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53162] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3381), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3615), 1,
      aux_sym_use_instead_of_clause_token1,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3617), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3619), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53194] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3431), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53209] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(3623), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1964), 1,
      sym_namespace_aliasing_clause,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3621), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [53230] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3551), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53245] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(781), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53262] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(946), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53279] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3625), 1,
      anon_sym_AMP,
    ACTIONS(3631), 1,
      anon_sym_PIPE,
    STATE(1776), 1,
      aux_sym_union_type_repeat1,
    STATE(1778), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1905), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3295), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [53302] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3635), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3638), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3633), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1636), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53321] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(781), 1,
      sym_arguments,
    ACTIONS(1772), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53338] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(869), 1,
      sym_arguments,
    ACTIONS(1899), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53355] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LPAREN,
    STATE(861), 1,
      sym_arguments,
    ACTIONS(1935), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53372] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(1021), 1,
      sym_compound_statement,
    STATE(1864), 1,
      sym_anonymous_function_use_clause,
    STATE(2430), 1,
      sym__return_type,
  [53394] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1170), 1,
      sym_compound_statement,
    STATE(1844), 1,
      sym_anonymous_function_use_clause,
    STATE(2357), 1,
      sym__return_type,
  [53416] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    ACTIONS(3587), 1,
      anon_sym_LBRACE,
    STATE(1436), 1,
      sym_use_list,
    STATE(1752), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3647), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_SQUOTE,
    ACTIONS(3651), 1,
      aux_sym_string_token2,
    ACTIONS(3653), 1,
      aux_sym_string_content_token1,
    STATE(1925), 1,
      aux_sym_string_content_repeat1,
    STATE(1712), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53456] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_BSLASHu,
    ACTIONS(1806), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53470] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1784), 1,
      anon_sym_BSLASHu,
    ACTIONS(1782), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53484] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3617), 1,
      anon_sym_BSLASHu,
    ACTIONS(3619), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53498] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1784), 1,
      anon_sym_BSLASHu,
    ACTIONS(1782), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53512] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_BSLASHu,
    ACTIONS(1802), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53526] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_BSLASHu,
    ACTIONS(1802), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53540] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_BSLASHu,
    ACTIONS(1806), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53554] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3655), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3657), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3659), 1,
      aux_sym_switch_block_token1,
    STATE(1636), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53572] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3661), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3663), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3665), 1,
      aux_sym_else_clause_token1,
    STATE(1763), 1,
      aux_sym_if_statement_repeat2,
    STATE(2206), 1,
      sym_else_if_clause_2,
    STATE(2619), 1,
      sym_else_clause_2,
  [53594] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3653), 1,
      aux_sym_string_content_token1,
    ACTIONS(3667), 1,
      anon_sym_SQUOTE,
    ACTIONS(3669), 1,
      aux_sym_string_token2,
    STATE(1925), 1,
      aux_sym_string_content_repeat1,
    STATE(1676), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53614] = 7,
    ACTIONS(1109), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3671), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3673), 1,
      aux_sym_else_clause_token1,
    STATE(1717), 1,
      aux_sym_if_statement_repeat1,
    STATE(1971), 1,
      sym_else_clause,
    STATE(2087), 1,
      sym_else_if_clause,
  [53636] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1162), 1,
      sym_compound_statement,
    STATE(1935), 1,
      sym_anonymous_function_use_clause,
    STATE(2522), 1,
      sym__return_type,
  [53658] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3675), 1,
      sym_name,
    STATE(1944), 1,
      sym_const_element,
    STATE(2635), 1,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53676] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3675), 1,
      sym_name,
    STATE(1884), 1,
      sym_const_element,
    STATE(2635), 1,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53694] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(1027), 1,
      sym_compound_statement,
    STATE(1943), 1,
      sym_anonymous_function_use_clause,
    STATE(2496), 1,
      sym__return_type,
  [53716] = 7,
    ACTIONS(1109), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3677), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3680), 1,
      aux_sym_else_clause_token1,
    STATE(1717), 1,
      aux_sym_if_statement_repeat1,
    STATE(1971), 1,
      sym_else_clause,
    STATE(2087), 1,
      sym_else_if_clause,
  [53738] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3663), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3665), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3683), 1,
      aux_sym_if_statement_token2,
    STATE(1763), 1,
      aux_sym_if_statement_repeat2,
    STATE(2206), 1,
      sym_else_if_clause_2,
    STATE(2598), 1,
      sym_else_clause_2,
  [53760] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_declaration_list,
    STATE(1827), 1,
      sym_base_clause,
    STATE(2315), 1,
      sym_class_interface_clause,
  [53782] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1770), 1,
      sym_declaration_list,
    STATE(1949), 1,
      sym_base_clause,
    STATE(2533), 1,
      sym_class_interface_clause,
  [53804] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_BSLASHu,
    ACTIONS(3609), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53818] = 7,
    ACTIONS(1099), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3687), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3690), 1,
      aux_sym_else_clause_token1,
    STATE(1659), 1,
      aux_sym_if_statement_repeat1,
    STATE(2085), 1,
      sym_else_clause,
    STATE(2087), 1,
      sym_else_if_clause,
  [53840] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3655), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3657), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3693), 1,
      aux_sym_switch_block_token1,
    STATE(1651), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53858] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3663), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3665), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3695), 1,
      aux_sym_if_statement_token2,
    STATE(1652), 1,
      aux_sym_if_statement_repeat2,
    STATE(2206), 1,
      sym_else_if_clause_2,
    STATE(2630), 1,
      sym_else_clause_2,
  [53880] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(3697), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      aux_sym_base_clause_repeat1,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3699), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [53900] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3655), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3657), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3701), 1,
      anon_sym_RBRACE,
    STATE(1636), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53918] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3655), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3657), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3703), 1,
      aux_sym_switch_block_token1,
    STATE(1636), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53936] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1127), 1,
      sym_declaration_list,
    STATE(1896), 1,
      sym_base_clause,
    STATE(2422), 1,
      sym_class_interface_clause,
  [53958] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1161), 1,
      sym_compound_statement,
    STATE(1817), 1,
      sym_anonymous_function_use_clause,
    STATE(2294), 1,
      sym__return_type,
  [53980] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_BSLASHu,
    ACTIONS(3613), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53994] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3675), 1,
      sym_name,
    STATE(1824), 1,
      sym_const_element,
    STATE(2635), 1,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54012] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(478), 1,
      sym_declaration_list,
    STATE(1818), 1,
      sym_base_clause,
    STATE(2304), 1,
      sym_class_interface_clause,
  [54034] = 7,
    ACTIONS(1099), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3671), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3673), 1,
      aux_sym_else_clause_token1,
    STATE(1654), 1,
      aux_sym_if_statement_repeat1,
    STATE(2085), 1,
      sym_else_clause,
    STATE(2087), 1,
      sym_else_if_clause,
  [54056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3653), 1,
      aux_sym_string_content_token1,
    ACTIONS(3705), 1,
      anon_sym_SQUOTE,
    ACTIONS(3707), 1,
      aux_sym_string_token2,
    STATE(1925), 1,
      aux_sym_string_content_repeat1,
    STATE(1687), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54076] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3675), 1,
      sym_name,
    STATE(1934), 1,
      sym_const_element,
    STATE(2635), 1,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54094] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(983), 1,
      sym_compound_statement,
    STATE(1922), 1,
      sym_anonymous_function_use_clause,
    STATE(2514), 1,
      sym__return_type,
  [54116] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3655), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3657), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3709), 1,
      anon_sym_RBRACE,
    STATE(1691), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54134] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1166), 1,
      sym_compound_statement,
    STATE(1816), 1,
      sym_anonymous_function_use_clause,
    STATE(2288), 1,
      sym__return_type,
  [54156] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1018), 1,
      sym_declaration_list,
    STATE(1910), 1,
      sym_base_clause,
    STATE(2484), 1,
      sym_class_interface_clause,
  [54178] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_declaration_list,
    STATE(1915), 1,
      sym_base_clause,
    STATE(2506), 1,
      sym_class_interface_clause,
  [54200] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3711), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [54216] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(1015), 1,
      sym_compound_statement,
    STATE(1900), 1,
      sym_anonymous_function_use_clause,
    STATE(2477), 1,
      sym__return_type,
  [54238] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(1024), 1,
      sym_compound_statement,
    STATE(1890), 1,
      sym_anonymous_function_use_clause,
    STATE(2473), 1,
      sym__return_type,
  [54260] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3713), 1,
      anon_sym_BSLASHu,
    ACTIONS(3207), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3715), 1,
      anon_sym_SQUOTE,
    ACTIONS(3717), 1,
      aux_sym_string_token2,
    ACTIONS(3720), 1,
      aux_sym_string_content_token1,
    STATE(1925), 1,
      aux_sym_string_content_repeat1,
    STATE(1687), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54294] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_BSLASHu,
    ACTIONS(3609), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54308] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1738), 1,
      sym_declaration_list,
    STATE(1886), 1,
      sym_base_clause,
    STATE(2245), 1,
      sym_class_interface_clause,
  [54330] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1736), 1,
      sym_declaration_list,
    STATE(1882), 1,
      sym_base_clause,
    STATE(2468), 1,
      sym_class_interface_clause,
  [54352] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3655), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3657), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3723), 1,
      anon_sym_RBRACE,
    STATE(1636), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54370] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_BSLASHu,
    ACTIONS(3613), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54384] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3725), 1,
      anon_sym_BSLASHu,
    ACTIONS(3159), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54398] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1033), 1,
      sym_declaration_list,
    STATE(1872), 1,
      sym_base_clause,
    STATE(2449), 1,
      sym_class_interface_clause,
  [54420] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    ACTIONS(3587), 1,
      anon_sym_LBRACE,
    STATE(1449), 1,
      sym_use_list,
    STATE(1642), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3583), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54440] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(1044), 1,
      sym_compound_statement,
    STATE(1871), 1,
      sym_anonymous_function_use_clause,
    STATE(2440), 1,
      sym__return_type,
  [54462] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(2469), 1,
      sym_arguments,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3727), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [54482] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1189), 1,
      sym_declaration_list,
    STATE(1811), 1,
      sym_base_clause,
    STATE(2248), 1,
      sym_class_interface_clause,
  [54504] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3663), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3665), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3729), 1,
      aux_sym_if_statement_token2,
    STATE(1660), 1,
      aux_sym_if_statement_repeat2,
    STATE(2206), 1,
      sym_else_if_clause_2,
    STATE(2715), 1,
      sym_else_clause_2,
  [54526] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1138), 1,
      sym_compound_statement,
    STATE(1855), 1,
      sym_anonymous_function_use_clause,
    STATE(2323), 1,
      sym__return_type,
  [54548] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1177), 1,
      sym_compound_statement,
    STATE(1851), 1,
      sym_anonymous_function_use_clause,
    STATE(2312), 1,
      sym__return_type,
  [54570] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3655), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3657), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3731), 1,
      aux_sym_switch_block_token1,
    STATE(1669), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54588] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3655), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3657), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3733), 1,
      anon_sym_RBRACE,
    STATE(1668), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54606] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3599), 1,
      anon_sym_BSLASHu,
    ACTIONS(3601), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54620] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(1031), 1,
      sym_compound_statement,
    STATE(1870), 1,
      sym_anonymous_function_use_clause,
    STATE(2437), 1,
      sym__return_type,
  [54642] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1210), 1,
      sym_compound_statement,
    STATE(1845), 1,
      sym_anonymous_function_use_clause,
    STATE(2305), 1,
      sym__return_type,
  [54664] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3617), 1,
      anon_sym_BSLASHu,
    ACTIONS(3619), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54678] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1179), 1,
      sym_compound_statement,
    STATE(1941), 1,
      sym_anonymous_function_use_clause,
    STATE(2486), 1,
      sym__return_type,
  [54700] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1737), 1,
      sym_declaration_list,
    STATE(1863), 1,
      sym_base_clause,
    STATE(2428), 1,
      sym_class_interface_clause,
  [54722] = 7,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_declaration_list,
    STATE(1842), 1,
      sym_base_clause,
    STATE(2302), 1,
      sym_class_interface_clause,
  [54744] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3599), 1,
      anon_sym_BSLASHu,
    ACTIONS(3601), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3653), 1,
      aux_sym_string_content_token1,
    ACTIONS(3707), 1,
      aux_sym_string_token2,
    ACTIONS(3735), 1,
      anon_sym_SQUOTE,
    STATE(1925), 1,
      aux_sym_string_content_repeat1,
    STATE(1687), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54778] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3675), 1,
      sym_name,
    STATE(2131), 1,
      sym_const_element,
    STATE(2635), 1,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54796] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(990), 1,
      sym_compound_statement,
    STATE(1852), 1,
      sym_anonymous_function_use_clause,
    STATE(2403), 1,
      sym__return_type,
  [54818] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3739), 1,
      anon_sym_BSLASH,
    STATE(1715), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3737), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [54833] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    ACTIONS(3744), 1,
      anon_sym_COLON,
    STATE(592), 1,
      sym_enum_declaration_list,
    STATE(2299), 1,
      sym_class_interface_clause,
  [54852] = 6,
    ACTIONS(1135), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1137), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3746), 1,
      aux_sym_else_if_clause_token1,
    STATE(1717), 1,
      aux_sym_if_statement_repeat1,
    STATE(2087), 1,
      sym_else_if_clause,
  [54871] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3749), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2110), 1,
      sym_reference_modifier,
    STATE(2111), 1,
      sym_variable_name,
  [54890] = 4,
    ACTIONS(1152), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1150), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3751), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54905] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3755), 1,
      anon_sym_COLON,
    STATE(2123), 1,
      sym__return_type,
    ACTIONS(3753), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54920] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_BSLASH,
    STATE(1715), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3757), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [54935] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_AMP,
    STATE(1803), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3352), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54950] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3761), 1,
      sym_name,
    ACTIONS(3763), 1,
      anon_sym_LBRACE,
    ACTIONS(3765), 1,
      anon_sym_DOLLAR,
    STATE(1621), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54967] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_BSLASH,
    STATE(1721), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3767), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [54982] = 5,
    ACTIONS(1724), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3769), 1,
      sym_name,
    ACTIONS(3771), 1,
      anon_sym_LBRACE,
    STATE(859), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54999] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_LBRACE,
    ACTIONS(3775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3777), 1,
      anon_sym_DASH_GT,
    ACTIONS(3779), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
  [55018] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3783), 1,
      anon_sym_BSLASH,
    STATE(1764), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3757), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55033] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3786), 1,
      anon_sym_PIPE,
    STATE(1801), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3461), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55048] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3328), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55059] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_PIPE,
    STATE(1804), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3513), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55074] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3178), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55085] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3318), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55096] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3790), 1,
      sym_name,
    STATE(2492), 1,
      sym__reserved_identifier,
    ACTIONS(2650), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55111] = 4,
    ACTIONS(1220), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1218), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3792), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55126] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3794), 1,
      anon_sym_LBRACE,
    ACTIONS(3796), 1,
      anon_sym_DASH_GT,
    ACTIONS(3798), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3800), 1,
      anon_sym_LBRACK,
  [55145] = 4,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3802), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55160] = 4,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3804), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55175] = 4,
    ACTIONS(1192), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1190), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3806), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55190] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3810), 1,
      anon_sym_EQ,
    STATE(2221), 1,
      sym_property_initializer,
    ACTIONS(3808), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [55205] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3812), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3814), 1,
      aux_sym_finally_clause_token1,
    STATE(460), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55220] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3786), 1,
      anon_sym_PIPE,
    STATE(1801), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3525), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55235] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3816), 1,
      anon_sym_AMP,
    ACTIONS(3818), 1,
      anon_sym_RPAREN,
    STATE(2518), 2,
      sym_variable_name,
      sym_variable_reference,
  [55252] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_DOLLAR,
    ACTIONS(3820), 1,
      sym_name,
    ACTIONS(3822), 1,
      anon_sym_LBRACE,
    STATE(944), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55269] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_LBRACE,
    ACTIONS(3775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3824), 1,
      anon_sym_DASH_GT,
    ACTIONS(3826), 1,
      anon_sym_QMARK_DASH_GT,
  [55288] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3828), 1,
      anon_sym_LBRACE,
    ACTIONS(3830), 1,
      anon_sym_COLON,
    STATE(2012), 1,
      sym_enum_declaration_list,
    STATE(2472), 1,
      sym_class_interface_clause,
  [55307] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3832), 1,
      anon_sym_LBRACE,
    ACTIONS(3834), 1,
      anon_sym_DASH_GT,
    ACTIONS(3836), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3838), 1,
      anon_sym_LBRACK,
  [55326] = 4,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3840), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55341] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(2658), 1,
      anon_sym_COLON,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1658), 1,
      sym_formal_parameters,
    STATE(2504), 1,
      sym_reference_modifier,
  [55360] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    ACTIONS(3842), 1,
      anon_sym_COLON,
    STATE(501), 1,
      sym_enum_declaration_list,
    STATE(2508), 1,
      sym_class_interface_clause,
  [55379] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3832), 1,
      anon_sym_LBRACE,
    ACTIONS(3838), 1,
      anon_sym_LBRACK,
    ACTIONS(3844), 1,
      anon_sym_DASH_GT,
    ACTIONS(3846), 1,
      anon_sym_QMARK_DASH_GT,
  [55398] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(2658), 1,
      anon_sym_COLON,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(2050), 1,
      sym_formal_parameters,
    STATE(2395), 1,
      sym_reference_modifier,
  [55417] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_COMMA,
    STATE(1752), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3711), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55432] = 4,
    ACTIONS(1164), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1162), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3851), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55447] = 3,
    ACTIONS(1144), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1142), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55460] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3853), 1,
      anon_sym_LBRACE,
    ACTIONS(3855), 1,
      anon_sym_DASH_GT,
    ACTIONS(3857), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3859), 1,
      anon_sym_LBRACK,
  [55479] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3832), 1,
      anon_sym_LBRACE,
    ACTIONS(3838), 1,
      anon_sym_LBRACK,
    ACTIONS(3861), 1,
      anon_sym_DASH_GT,
    ACTIONS(3863), 1,
      anon_sym_QMARK_DASH_GT,
  [55498] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3865), 1,
      sym_name,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    ACTIONS(3869), 1,
      anon_sym_DOLLAR,
    STATE(1648), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55515] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym_name,
    ACTIONS(3873), 1,
      anon_sym_BSLASH,
    STATE(514), 1,
      sym_compound_statement,
    STATE(1789), 1,
      sym_namespace_name,
  [55534] = 4,
    ACTIONS(1204), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3875), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55549] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    ACTIONS(3879), 1,
      anon_sym_DASH_GT,
    ACTIONS(3881), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3883), 1,
      anon_sym_LBRACK,
  [55568] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3885), 1,
      sym_name,
    STATE(2127), 1,
      sym_visibility_modifier,
    ACTIONS(3887), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55583] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3889), 1,
      sym_name,
    ACTIONS(3891), 1,
      anon_sym_LBRACE,
    ACTIONS(3893), 1,
      anon_sym_DOLLAR,
    STATE(1649), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55600] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3895), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3897), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3900), 1,
      aux_sym_else_clause_token1,
    STATE(1763), 1,
      aux_sym_if_statement_repeat2,
    STATE(2206), 1,
      sym_else_if_clause_2,
  [55619] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_BSLASH,
    STATE(1764), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3737), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55634] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3575), 1,
      aux_sym_finally_clause_token1,
    STATE(1587), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55649] = 4,
    ACTIONS(1176), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1174), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3905), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55664] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3828), 1,
      anon_sym_LBRACE,
    ACTIONS(3907), 1,
      anon_sym_COLON,
    STATE(2052), 1,
      sym_enum_declaration_list,
    STATE(2534), 1,
      sym_class_interface_clause,
  [55683] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3853), 1,
      anon_sym_LBRACE,
    ACTIONS(3859), 1,
      anon_sym_LBRACK,
    ACTIONS(3909), 1,
      anon_sym_DASH_GT,
    ACTIONS(3911), 1,
      anon_sym_QMARK_DASH_GT,
  [55702] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3913), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2088), 1,
      sym_variable_name,
    STATE(2089), 1,
      sym_reference_modifier,
  [55721] = 4,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3915), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55736] = 5,
    ACTIONS(1718), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym_name,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    STATE(730), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55753] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3786), 1,
      anon_sym_PIPE,
    STATE(1728), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3493), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55768] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_BSLASH,
    STATE(1981), 1,
      sym_compound_statement,
    ACTIONS(3921), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55785] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3925), 1,
      anon_sym_PIPE,
    STATE(1774), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3389), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55800] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_LBRACE,
    ACTIONS(3775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3928), 1,
      anon_sym_DASH_GT,
    ACTIONS(3930), 1,
      anon_sym_QMARK_DASH_GT,
  [55819] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3932), 1,
      anon_sym_PIPE,
    STATE(1774), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3513), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55834] = 5,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3934), 1,
      sym_name,
    ACTIONS(3936), 1,
      anon_sym_LBRACE,
    STATE(646), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55851] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3938), 1,
      anon_sym_PIPE,
    STATE(1779), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3525), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55866] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3940), 1,
      anon_sym_PIPE,
    STATE(1779), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3385), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55881] = 3,
    ACTIONS(1133), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1131), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55894] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3816), 1,
      anon_sym_AMP,
    ACTIONS(3943), 1,
      anon_sym_RPAREN,
    STATE(2518), 2,
      sym_variable_name,
      sym_variable_reference,
  [55911] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3945), 1,
      sym_name,
    STATE(1829), 1,
      sym_namespace_name,
    STATE(2521), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3947), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [55928] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_DOLLAR,
    ACTIONS(3949), 1,
      sym_name,
    ACTIONS(3951), 1,
      anon_sym_LBRACE,
    STATE(799), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55945] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3623), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1964), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3621), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [55960] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3938), 1,
      anon_sym_PIPE,
    STATE(1786), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3493), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55975] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3938), 1,
      anon_sym_PIPE,
    STATE(1779), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3461), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55990] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3755), 1,
      anon_sym_COLON,
    STATE(2029), 1,
      sym__return_type,
    ACTIONS(3953), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56005] = 3,
    ACTIONS(1129), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1127), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [56018] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_BSLASH,
    STATE(620), 1,
      sym_compound_statement,
    ACTIONS(3955), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56035] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3957), 1,
      anon_sym_BSLASH,
    STATE(1727), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3767), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56050] = 4,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3960), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56065] = 6,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3871), 1,
      sym_name,
    ACTIONS(3873), 1,
      anon_sym_BSLASH,
    STATE(1773), 1,
      sym_namespace_name,
    STATE(2055), 1,
      sym_compound_statement,
  [56084] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3711), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56099] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3962), 1,
      anon_sym_LBRACE,
    ACTIONS(3964), 1,
      anon_sym_DASH_GT,
    ACTIONS(3966), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3968), 1,
      anon_sym_LBRACK,
  [56118] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_LBRACE,
    ACTIONS(3869), 1,
      anon_sym_DOLLAR,
    ACTIONS(3970), 1,
      sym_name,
    STATE(1648), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [56135] = 6,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    ACTIONS(3697), 1,
      anon_sym_COMMA,
    ACTIONS(3972), 1,
      anon_sym_LBRACE,
    STATE(1976), 1,
      aux_sym_base_clause_repeat1,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
  [56154] = 5,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym_name,
    ACTIONS(3976), 1,
      anon_sym_LBRACE,
    STATE(669), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [56171] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3945), 1,
      sym_name,
    STATE(1829), 1,
      sym_namespace_name,
    STATE(2143), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3947), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [56188] = 4,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3978), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56203] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3891), 1,
      anon_sym_LBRACE,
    ACTIONS(3893), 1,
      anon_sym_DOLLAR,
    ACTIONS(3980), 1,
      sym_name,
    STATE(1649), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [56220] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3982), 1,
      anon_sym_PIPE,
    STATE(1801), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3385), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56235] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_LBRACE,
    ACTIONS(3765), 1,
      anon_sym_DOLLAR,
    ACTIONS(3985), 1,
      sym_name,
    STATE(1621), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [56252] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3987), 1,
      anon_sym_AMP,
    STATE(1803), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3359), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56267] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_PIPE,
    STATE(1804), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3389), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56282] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1706), 1,
      sym_formal_parameters,
    STATE(2307), 1,
      sym_reference_modifier,
  [56298] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1018), 1,
      sym_declaration_list,
    STATE(2484), 1,
      sym_class_interface_clause,
  [56314] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(2050), 1,
      sym_formal_parameters,
    STATE(2395), 1,
      sym_reference_modifier,
  [56330] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3993), 1,
      anon_sym_COMMA,
    STATE(1808), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3711), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56344] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_COMMA,
    STATE(1899), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3996), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56358] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_COMMA,
    STATE(1903), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4000), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56372] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1128), 1,
      sym_declaration_list,
    STATE(2432), 1,
      sym_class_interface_clause,
  [56388] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1127), 1,
      sym_declaration_list,
    STATE(2422), 1,
      sym_class_interface_clause,
  [56404] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3816), 1,
      anon_sym_AMP,
    STATE(2518), 2,
      sym_variable_name,
      sym_variable_reference,
  [56418] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_COMMA,
    STATE(1903), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4002), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56432] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4004), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [56442] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1155), 1,
      sym_compound_statement,
    STATE(2322), 1,
      sym__return_type,
  [56458] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1212), 1,
      sym_compound_statement,
    STATE(2311), 1,
      sym__return_type,
  [56474] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_declaration_list,
    STATE(2310), 1,
      sym_class_interface_clause,
  [56490] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_SEMI,
    ACTIONS(4008), 1,
      sym__automatic_semicolon,
    STATE(1439), 1,
      sym_compound_statement,
  [56506] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_COMMA,
    STATE(1908), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4010), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56520] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    STATE(600), 1,
      sym_enum_declaration_list,
    STATE(2344), 1,
      sym_class_interface_clause,
  [56536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 1,
      sym_nowdoc_string,
    STATE(1822), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4012), 2,
      sym_heredoc_end,
      sym__new_line,
  [56550] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(2659), 1,
      sym_declare_directive,
    ACTIONS(4017), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56562] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1840), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4019), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56576] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4023), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56590] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4025), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [56600] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(472), 1,
      sym_declaration_list,
    STATE(2300), 1,
      sym_class_interface_clause,
  [56616] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3697), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3699), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56630] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4029), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2291), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(4027), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [56644] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4031), 1,
      anon_sym_SEMI,
    ACTIONS(4033), 1,
      sym__automatic_semicolon,
    STATE(1442), 1,
      sym_compound_statement,
  [56660] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4037), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4035), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56674] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4040), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56684] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4042), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56694] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4044), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56708] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(2542), 1,
      sym_declare_directive,
    ACTIONS(4017), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56720] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1684), 1,
      sym_formal_parameters,
    STATE(2373), 1,
      sym_reference_modifier,
  [56736] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4029), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2524), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(4046), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [56750] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3816), 1,
      anon_sym_AMP,
    STATE(2054), 2,
      sym_variable_name,
      sym_variable_reference,
  [56764] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1942), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4048), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56778] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4052), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56792] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4056), 1,
      anon_sym_EQ,
    ACTIONS(4054), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56804] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(473), 1,
      sym_declaration_list,
    STATE(2526), 1,
      sym_class_interface_clause,
  [56820] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(1947), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4058), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56834] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1158), 1,
      sym_compound_statement,
    STATE(2442), 1,
      sym__return_type,
  [56850] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1184), 1,
      sym_compound_statement,
    STATE(2528), 1,
      sym__return_type,
  [56866] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1671), 1,
      sym_formal_parameters,
    STATE(2388), 1,
      sym_reference_modifier,
  [56882] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    STATE(1847), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4062), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56896] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1640), 1,
      sym_formal_parameters,
    STATE(2400), 1,
      sym_reference_modifier,
  [56912] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    STATE(530), 1,
      sym_enum_declaration_list,
    STATE(2485), 1,
      sym_class_interface_clause,
  [56928] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4067), 1,
      anon_sym_AMP,
    STATE(1850), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3359), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56942] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1173), 1,
      sym_compound_statement,
    STATE(2481), 1,
      sym__return_type,
  [56958] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(1019), 1,
      sym_compound_statement,
    STATE(2385), 1,
      sym__return_type,
  [56974] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4025), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56984] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4070), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56998] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1167), 1,
      sym_compound_statement,
    STATE(2471), 1,
      sym__return_type,
  [57014] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1950), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4075), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57028] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4079), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57042] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4083), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4081), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57056] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1189), 1,
      sym_declaration_list,
    STATE(2248), 1,
      sym_class_interface_clause,
  [57072] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4086), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57086] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1825), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4088), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57100] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(2641), 1,
      sym_declare_directive,
    ACTIONS(4017), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [57112] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1753), 1,
      sym_declaration_list,
    STATE(2401), 1,
      sym_class_interface_clause,
  [57128] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(987), 1,
      sym_compound_statement,
    STATE(2402), 1,
      sym__return_type,
  [57144] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3038), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4090), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2327), 1,
      sym_static_modifier,
  [57160] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3737), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [57170] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(2154), 1,
      sym_formal_parameters,
    STATE(2309), 1,
      sym_reference_modifier,
  [57186] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3359), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [57196] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3828), 1,
      anon_sym_LBRACE,
    STATE(2128), 1,
      sym_enum_declaration_list,
    STATE(2405), 1,
      sym_class_interface_clause,
  [57212] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_compound_statement,
    STATE(2406), 1,
      sym__return_type,
  [57228] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(995), 1,
      sym_compound_statement,
    STATE(2408), 1,
      sym__return_type,
  [57244] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    STATE(997), 1,
      sym_declaration_list,
    STATE(2414), 1,
      sym_class_interface_clause,
  [57260] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1924), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4092), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57274] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3711), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [57284] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3365), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57294] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_COLON,
    ACTIONS(3873), 1,
      anon_sym_BSLASH,
    ACTIONS(4094), 1,
      sym_name,
    STATE(2633), 1,
      sym_namespace_name,
  [57310] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3737), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [57320] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_declaration_list,
    STATE(2512), 1,
      sym_base_clause,
  [57336] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4040), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [57346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4098), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4100), 1,
      sym__new_line,
    ACTIONS(4102), 1,
      sym_heredoc_end,
    STATE(2284), 1,
      sym_heredoc_body,
  [57362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4106), 1,
      aux_sym_string_content_token1,
    STATE(1881), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(4104), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [57376] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1747), 1,
      sym_declaration_list,
    STATE(2427), 1,
      sym_class_interface_clause,
  [57392] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4109), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57406] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1860), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4111), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57420] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    STATE(1885), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4113), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [57434] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_declaration_list,
    STATE(2434), 1,
      sym_class_interface_clause,
  [57450] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1658), 1,
      sym_formal_parameters,
    STATE(2504), 1,
      sym_reference_modifier,
  [57466] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1936), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4118), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57480] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(1937), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4120), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57494] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(1023), 1,
      sym_compound_statement,
    STATE(2436), 1,
      sym__return_type,
  [57510] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1940), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4122), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57524] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4124), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [57534] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3378), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57544] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2692), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3038), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4126), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2502), 1,
      sym_static_modifier,
  [57560] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1945), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4128), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57574] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1154), 1,
      sym_declaration_list,
    STATE(2409), 1,
      sym_class_interface_clause,
  [57590] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(2535), 1,
      sym_declare_directive,
    ACTIONS(4017), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [57602] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3567), 1,
      aux_sym_base_clause_token1,
    STATE(2045), 1,
      sym_declaration_list,
    STATE(2501), 1,
      sym_base_clause,
  [57618] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_COMMA,
    STATE(1903), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4130), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57632] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(1037), 1,
      sym_compound_statement,
    STATE(2439), 1,
      sym__return_type,
  [57648] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1655), 1,
      sym_formal_parameters,
    STATE(2532), 1,
      sym_reference_modifier,
  [57664] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4042), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [57674] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_COMMA,
    STATE(1903), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4132), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57688] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_PIPE,
    STATE(1885), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4137), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [57702] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_AMP,
    STATE(1850), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3352), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [57716] = 5,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4144), 1,
      anon_sym_EQ,
    ACTIONS(4146), 1,
      anon_sym_RPAREN,
    STATE(2226), 1,
      aux_sym__list_destructing_repeat1,
  [57732] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_COMMA,
    STATE(1814), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4148), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57746] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_COMMA,
    STATE(1903), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4150), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57760] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1033), 1,
      sym_declaration_list,
    STATE(2449), 1,
      sym_class_interface_clause,
  [57776] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    STATE(999), 1,
      sym_declaration_list,
    STATE(2451), 1,
      sym_class_interface_clause,
  [57792] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4152), 1,
      anon_sym_SEMI,
    ACTIONS(4154), 1,
      sym__automatic_semicolon,
    STATE(1452), 1,
      sym_compound_statement,
  [57808] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4156), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57822] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1685), 1,
      sym_formal_parameters,
    STATE(2301), 1,
      sym_reference_modifier,
  [57838] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_SEMI,
    ACTIONS(4160), 1,
      sym__automatic_semicolon,
    STATE(1444), 1,
      sym_compound_statement,
  [57854] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_declaration_list,
    STATE(2303), 1,
      sym_class_interface_clause,
  [57870] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3828), 1,
      anon_sym_LBRACE,
    STATE(1991), 1,
      sym_enum_declaration_list,
    STATE(2462), 1,
      sym_class_interface_clause,
  [57886] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3389), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57896] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LPAREN,
    STATE(2469), 1,
      sym_arguments,
    ACTIONS(3727), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4164), 1,
      sym_nowdoc_string,
    STATE(1822), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4162), 2,
      sym_heredoc_end,
      sym__new_line,
  [57924] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4166), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57938] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3385), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57948] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(1026), 1,
      sym_compound_statement,
    STATE(2464), 1,
      sym__return_type,
  [57964] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1864), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57974] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4088), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 1,
      aux_sym_string_content_token1,
    STATE(1881), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(4168), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [58002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      sym__new_line,
    ACTIONS(4172), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4174), 1,
      sym_heredoc_end,
    STATE(2519), 1,
      sym_heredoc_body,
  [58018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      sym__new_line,
    ACTIONS(4176), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4178), 1,
      sym_heredoc_end,
    STATE(2460), 1,
      sym_heredoc_body,
  [58034] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4180), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58048] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1680), 1,
      sym_formal_parameters,
    STATE(2443), 1,
      sym_reference_modifier,
  [58064] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(2067), 1,
      sym_formal_parameters,
    STATE(2441), 1,
      sym_reference_modifier,
  [58080] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1883), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4182), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58094] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3697), 1,
      anon_sym_COMMA,
    STATE(1808), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(4184), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [58108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      sym__new_line,
    ACTIONS(4186), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4188), 1,
      sym_heredoc_end,
    STATE(2478), 1,
      sym_heredoc_body,
  [58124] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4190), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58138] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1168), 1,
      sym_compound_statement,
    STATE(2348), 1,
      sym__return_type,
  [58154] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1847), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4192), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58168] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4194), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58182] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1928), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4196), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58196] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_AMP,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(2074), 1,
      sym_formal_parameters,
    STATE(2435), 1,
      sym_reference_modifier,
  [58212] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4196), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58226] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1192), 1,
      sym_compound_statement,
    STATE(2270), 1,
      sym__return_type,
  [58242] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1847), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4198), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58256] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    STATE(1030), 1,
      sym_compound_statement,
    STATE(2513), 1,
      sym__return_type,
  [58272] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1920), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4200), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58286] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4182), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58300] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_PIPE,
    STATE(1904), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4202), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [58314] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4204), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58328] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1857), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4206), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58342] = 5,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3569), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1791), 1,
      sym_declaration_list,
    STATE(2510), 1,
      sym_class_interface_clause,
  [58358] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4206), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58372] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4208), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [58382] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4208), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [58392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      sym__new_line,
    ACTIONS(4210), 1,
      sym_heredoc_end,
    STATE(2447), 1,
      sym_heredoc_body,
  [58405] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(4212), 1,
      anon_sym_RPAREN,
    STATE(2618), 1,
      sym_variable_name,
  [58418] = 3,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58429] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOLLAR,
    STATE(1841), 1,
      sym_variable_name,
    STATE(2084), 1,
      sym_static_variable_declaration,
  [58442] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4214), 1,
      sym_name,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    STATE(2404), 1,
      sym_namespace_use_group,
  [58455] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_COMMA,
    ACTIONS(4220), 1,
      anon_sym_RPAREN,
    STATE(2002), 1,
      aux_sym_array_creation_expression_repeat1,
  [58468] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(2086), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [58479] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(4222), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2105), 1,
      sym_variable_name,
  [58492] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3431), 1,
      anon_sym_RPAREN,
    ACTIONS(4224), 1,
      anon_sym_COMMA,
    STATE(1961), 1,
      aux_sym_unset_statement_repeat1,
  [58505] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4227), 1,
      anon_sym_COMMA,
    ACTIONS(4229), 1,
      anon_sym_RPAREN,
    STATE(2108), 1,
      aux_sym_formal_parameters_repeat1,
  [58518] = 3,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58529] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4231), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58538] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_EQ,
    ACTIONS(4233), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58549] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3753), 1,
      anon_sym_LBRACE,
    STATE(2739), 1,
      sym__return_type,
  [58562] = 3,
    ACTIONS(1424), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1422), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58573] = 3,
    ACTIONS(1240), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1238), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58584] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_AMP,
    ACTIONS(4237), 1,
      anon_sym_RPAREN,
    STATE(1509), 1,
      aux_sym_intersection_type_repeat1,
  [58597] = 4,
    ACTIONS(937), 1,
      anon_sym_RBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4239), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      aux_sym_array_creation_expression_repeat1,
  [58610] = 3,
    ACTIONS(1232), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1230), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58621] = 3,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      sym__new_line,
    ACTIONS(4241), 1,
      sym_heredoc_end,
    STATE(2480), 1,
      sym_heredoc_body,
  [58645] = 3,
    ACTIONS(1444), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1442), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58656] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(4243), 1,
      anon_sym_RPAREN,
    STATE(2589), 1,
      sym_variable_name,
  [58669] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3697), 1,
      anon_sym_COMMA,
    ACTIONS(4245), 1,
      anon_sym_LBRACE,
    STATE(1808), 1,
      aux_sym_base_clause_repeat1,
  [58682] = 3,
    ACTIONS(1676), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1674), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58693] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4247), 1,
      anon_sym_COMMA,
    ACTIONS(4249), 1,
      anon_sym_RPAREN,
    STATE(2028), 1,
      aux_sym_arguments_repeat1,
  [58706] = 3,
    ACTIONS(1688), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1686), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58717] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4253), 1,
      anon_sym_EQ,
    ACTIONS(4251), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58728] = 3,
    ACTIONS(1692), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1690), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58739] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_EQ,
    ACTIONS(4255), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58750] = 3,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58761] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_COMMA,
    ACTIONS(4262), 1,
      anon_sym_RBRACE,
    STATE(1984), 1,
      aux_sym_namespace_use_group_repeat1,
  [58774] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(4264), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58785] = 3,
    ACTIONS(1592), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1590), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58796] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_COMMA,
    ACTIONS(4271), 1,
      anon_sym_RPAREN,
    STATE(1987), 1,
      aux_sym_array_creation_expression_repeat1,
  [58809] = 3,
    ACTIONS(1580), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1578), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58820] = 3,
    ACTIONS(1516), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1514), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58831] = 3,
    ACTIONS(1628), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1626), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58842] = 3,
    ACTIONS(1616), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1614), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58853] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_RPAREN,
    ACTIONS(4273), 1,
      anon_sym_COMMA,
    STATE(2130), 1,
      aux_sym_formal_parameters_repeat1,
  [58866] = 3,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1486), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58877] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_COMMA,
    ACTIONS(4277), 1,
      anon_sym_RBRACK,
    STATE(1970), 1,
      aux_sym_array_creation_expression_repeat1,
  [58890] = 3,
    ACTIONS(1236), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1234), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58901] = 3,
    ACTIONS(1476), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1474), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58912] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4279), 1,
      anon_sym_COMMA,
    ACTIONS(4282), 1,
      anon_sym_RPAREN,
    STATE(1997), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [58925] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOLLAR,
    STATE(1739), 1,
      sym_variable_name,
    STATE(1809), 1,
      sym_property_element,
  [58938] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_COMMA,
    ACTIONS(4286), 1,
      anon_sym_RBRACK,
    STATE(2046), 1,
      aux_sym_attribute_group_repeat1,
  [58951] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_COMMA,
    ACTIONS(4290), 1,
      anon_sym_RBRACK,
    STATE(2040), 1,
      aux_sym__array_destructing_repeat1,
  [58964] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4292), 1,
      anon_sym_LBRACE,
    ACTIONS(4294), 1,
      anon_sym_COLON,
    STATE(2079), 1,
      sym_switch_block,
  [58977] = 4,
    ACTIONS(941), 1,
      anon_sym_RPAREN,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_COMMA,
    STATE(1987), 1,
      aux_sym_array_creation_expression_repeat1,
  [58990] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(4298), 1,
      anon_sym_EQ_GT,
    STATE(2687), 1,
      sym__return_type,
  [59003] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_COMMA,
    ACTIONS(4302), 1,
      anon_sym_RBRACK,
    STATE(2038), 1,
      aux_sym_array_creation_expression_repeat1,
  [59016] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_COMMA,
    ACTIONS(4290), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym__array_destructing_repeat1,
  [59029] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4304), 1,
      anon_sym_COMMA,
    ACTIONS(4306), 1,
      anon_sym_RPAREN,
    STATE(2172), 1,
      aux_sym_array_creation_expression_repeat1,
  [59042] = 3,
    ACTIONS(1504), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1502), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59053] = 3,
    ACTIONS(1440), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1438), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59064] = 3,
    ACTIONS(1536), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1534), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59075] = 3,
    ACTIONS(1564), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1562), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59086] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_RBRACE,
    STATE(2058), 1,
      aux_sym_match_block_repeat1,
  [59099] = 3,
    ACTIONS(1584), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1582), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59110] = 3,
    ACTIONS(1664), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1662), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59121] = 4,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_RPAREN,
    STATE(2224), 1,
      aux_sym__list_destructing_repeat1,
  [59134] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3425), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59143] = 4,
    ACTIONS(958), 1,
      anon_sym_RBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_COMMA,
    STATE(2041), 1,
      aux_sym_match_block_repeat1,
  [59156] = 4,
    ACTIONS(1053), 1,
      anon_sym_EQ_GT,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_COMMA,
    STATE(2039), 1,
      aux_sym_match_condition_list_repeat1,
  [59169] = 3,
    ACTIONS(1436), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1434), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59180] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4318), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59189] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4144), 1,
      anon_sym_EQ,
    ACTIONS(4320), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59200] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4322), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59209] = 4,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_RPAREN,
    STATE(2224), 1,
      aux_sym__list_destructing_repeat1,
  [59222] = 3,
    ACTIONS(1416), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1414), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59233] = 3,
    ACTIONS(1408), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1406), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59244] = 4,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_RPAREN,
    STATE(2228), 1,
      aux_sym__list_destructing_repeat1,
  [59257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym__new_line,
    ACTIONS(4328), 1,
      sym_heredoc_end,
    STATE(2444), 1,
      sym_nowdoc_body,
  [59270] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4132), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59279] = 4,
    ACTIONS(871), 1,
      anon_sym_RPAREN,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_COMMA,
    STATE(2090), 1,
      aux_sym_arguments_repeat1,
  [59292] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4332), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59301] = 4,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_RPAREN,
    STATE(2224), 1,
      aux_sym__list_destructing_repeat1,
  [59314] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LBRACE,
    ACTIONS(4336), 1,
      anon_sym_COLON,
    STATE(608), 1,
      sym_switch_block,
  [59327] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4338), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59336] = 3,
    ACTIONS(1492), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1490), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59347] = 3,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59358] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4113), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59367] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_COMMA,
    ACTIONS(4340), 1,
      anon_sym_RBRACK,
    STATE(2040), 1,
      aux_sym__array_destructing_repeat1,
  [59380] = 3,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59391] = 4,
    ACTIONS(919), 1,
      anon_sym_RBRACK,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4342), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      aux_sym_array_creation_expression_repeat1,
  [59404] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2804), 1,
      anon_sym_EQ_GT,
    ACTIONS(4344), 1,
      anon_sym_COMMA,
    STATE(2039), 1,
      aux_sym_match_condition_list_repeat1,
  [59417] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_COMMA,
    ACTIONS(4350), 1,
      anon_sym_RBRACK,
    STATE(2040), 1,
      aux_sym__array_destructing_repeat1,
  [59430] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4352), 1,
      anon_sym_COMMA,
    ACTIONS(4355), 1,
      anon_sym_RBRACE,
    STATE(2041), 1,
      aux_sym_match_block_repeat1,
  [59443] = 3,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59454] = 4,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4357), 1,
      anon_sym_RPAREN,
    STATE(2014), 1,
      aux_sym__list_destructing_repeat1,
  [59467] = 3,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59478] = 3,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59489] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3302), 1,
      anon_sym_RBRACK,
    ACTIONS(4359), 1,
      anon_sym_COMMA,
    STATE(2212), 1,
      aux_sym_attribute_group_repeat1,
  [59502] = 3,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59513] = 3,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59524] = 3,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59535] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(4361), 1,
      anon_sym_EQ_GT,
    STATE(2551), 1,
      sym__return_type,
  [59548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      sym__new_line,
    ACTIONS(4363), 1,
      sym_heredoc_end,
    STATE(2280), 1,
      sym_heredoc_body,
  [59561] = 3,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59572] = 4,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3348), 1,
      anon_sym_RPAREN,
    STATE(2022), 1,
      aux_sym__list_destructing_repeat1,
  [59585] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_COMMA,
    ACTIONS(4367), 1,
      anon_sym_RPAREN,
    STATE(2171), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [59598] = 3,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59609] = 3,
    ACTIONS(1496), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1494), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59620] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4369), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59629] = 4,
    ACTIONS(956), 1,
      anon_sym_RBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_COMMA,
    STATE(2041), 1,
      aux_sym_match_block_repeat1,
  [59642] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4373), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59651] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_COLON,
    ACTIONS(4375), 1,
      anon_sym_LPAREN,
    STATE(2448), 1,
      sym_parenthesized_expression,
  [59664] = 3,
    ACTIONS(1576), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1574), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59675] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4379), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4377), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [59686] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4381), 1,
      anon_sym_COMMA,
    ACTIONS(4383), 1,
      anon_sym_RPAREN,
    STATE(2189), 1,
      aux_sym_arguments_repeat1,
  [59699] = 3,
    ACTIONS(1608), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1606), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59710] = 3,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59721] = 3,
    ACTIONS(1640), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1638), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59732] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(4385), 1,
      anon_sym_EQ_GT,
    STATE(2695), 1,
      sym__return_type,
  [59745] = 3,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59756] = 3,
    ACTIONS(1568), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1566), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59767] = 3,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59778] = 3,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59789] = 3,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1462), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59800] = 3,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59811] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(4387), 1,
      anon_sym_EQ_GT,
    STATE(2684), 1,
      sym__return_type,
  [59824] = 3,
    ACTIONS(1624), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1622), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59835] = 3,
    ACTIONS(1652), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1650), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59846] = 3,
    ACTIONS(1656), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1654), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59857] = 3,
    ACTIONS(1620), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1618), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59868] = 3,
    ACTIONS(1648), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1646), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59879] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4391), 1,
      anon_sym_LPAREN,
    ACTIONS(4389), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59890] = 3,
    ACTIONS(1484), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1482), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59901] = 3,
    ACTIONS(1572), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1570), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59912] = 3,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59923] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4062), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59932] = 3,
    ACTIONS(1704), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1702), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59943] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4081), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59952] = 3,
    ACTIONS(1700), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1698), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59963] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4395), 1,
      anon_sym_EQ,
    ACTIONS(4393), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59974] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(4397), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2152), 1,
      sym_variable_name,
  [59987] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_COMMA,
    ACTIONS(4402), 1,
      anon_sym_RPAREN,
    STATE(2090), 1,
      aux_sym_arguments_repeat1,
  [60000] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_EQ,
    ACTIONS(4404), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60011] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4214), 1,
      sym_name,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    STATE(2316), 1,
      sym_namespace_use_group,
  [60024] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4408), 1,
      sym_name,
    STATE(2316), 1,
      sym_namespace_use_group,
  [60037] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4410), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60046] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4070), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60055] = 3,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60066] = 3,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60077] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4412), 1,
      anon_sym_COMMA,
    ACTIONS(4414), 1,
      anon_sym_RPAREN,
    STATE(1992), 1,
      aux_sym_formal_parameters_repeat1,
  [60090] = 3,
    ACTIONS(1644), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1642), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60101] = 3,
    ACTIONS(1412), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1410), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60112] = 3,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60123] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4408), 1,
      sym_name,
    STATE(2426), 1,
      sym_namespace_use_group,
  [60136] = 3,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60147] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3024), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [60156] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_EQ,
    ACTIONS(4416), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60167] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_EQ,
    ACTIONS(4420), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60178] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2143), 1,
      anon_sym_RPAREN,
    ACTIONS(4424), 1,
      anon_sym_COMMA,
    STATE(1961), 1,
      aux_sym_unset_statement_repeat1,
  [60191] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2013), 1,
      anon_sym_RPAREN,
    ACTIONS(4426), 1,
      anon_sym_COMMA,
    STATE(2130), 1,
      aux_sym_formal_parameters_repeat1,
  [60204] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4428), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60213] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(4430), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2115), 1,
      sym_variable_name,
  [60226] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4434), 1,
      anon_sym_EQ,
    ACTIONS(4432), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60237] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4408), 1,
      sym_name,
    STATE(2467), 1,
      sym_namespace_use_group,
  [60250] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4214), 1,
      sym_name,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    STATE(2467), 1,
      sym_namespace_use_group,
  [60263] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_BSLASH,
    ACTIONS(4094), 1,
      sym_name,
    STATE(2633), 1,
      sym_namespace_name,
  [60276] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_EQ,
    ACTIONS(4436), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60287] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(4440), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1980), 1,
      sym_variable_name,
  [60300] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4444), 1,
      anon_sym_EQ,
    ACTIONS(4442), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60311] = 3,
    ACTIONS(1452), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1450), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60322] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4446), 1,
      anon_sym_COMMA,
    ACTIONS(4448), 1,
      anon_sym_RBRACE,
    STATE(2016), 1,
      aux_sym_match_block_repeat1,
  [60335] = 3,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60346] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(3953), 1,
      anon_sym_LBRACE,
    STATE(2606), 1,
      sym__return_type,
  [60359] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4214), 1,
      sym_name,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    STATE(2515), 1,
      sym_namespace_use_group,
  [60372] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4450), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60381] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(4452), 1,
      anon_sym_EQ_GT,
    STATE(2544), 1,
      sym__return_type,
  [60394] = 3,
    ACTIONS(1600), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1598), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60405] = 3,
    ACTIONS(1588), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1586), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60416] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4454), 1,
      sym_name,
    ACTIONS(4456), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60427] = 3,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60438] = 3,
    ACTIONS(1448), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1446), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60449] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4458), 1,
      anon_sym_COMMA,
    ACTIONS(4461), 1,
      anon_sym_RPAREN,
    STATE(2130), 1,
      aux_sym_formal_parameters_repeat1,
  [60462] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4035), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60471] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_COMMA,
    ACTIONS(4465), 1,
      anon_sym_RBRACE,
    STATE(1984), 1,
      aux_sym_namespace_use_group_repeat1,
  [60484] = 3,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60495] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_DQUOTE,
    ACTIONS(4469), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      sym_heredoc_start,
  [60508] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_EQ,
    ACTIONS(4473), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60519] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4479), 1,
      anon_sym_EQ,
    ACTIONS(4477), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60530] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4483), 1,
      anon_sym_EQ,
    ACTIONS(4481), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60541] = 3,
    ACTIONS(1560), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1558), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60552] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4485), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60561] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1889), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60572] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4487), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60581] = 3,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60592] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_COMMA,
    ACTIONS(4489), 1,
      anon_sym_RBRACE,
    STATE(2132), 1,
      aux_sym_namespace_use_group_repeat1,
  [60605] = 3,
    ACTIONS(1556), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1554), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60616] = 3,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60627] = 3,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60638] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4408), 1,
      sym_name,
    STATE(2298), 1,
      sym_namespace_use_group,
  [60651] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4491), 1,
      anon_sym_DQUOTE,
    ACTIONS(4493), 1,
      anon_sym_SQUOTE,
    ACTIONS(4495), 1,
      sym_heredoc_start,
  [60664] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4499), 1,
      anon_sym_EQ,
    ACTIONS(4497), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60675] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4503), 1,
      anon_sym_EQ,
    ACTIONS(4501), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60686] = 3,
    ACTIONS(1520), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1518), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60697] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4507), 1,
      anon_sym_EQ,
    ACTIONS(4505), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60708] = 3,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60719] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(4509), 1,
      anon_sym_EQ_GT,
    STATE(2683), 1,
      sym__return_type,
  [60732] = 3,
    ACTIONS(1460), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1458), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60743] = 3,
    ACTIONS(1604), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1602), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60754] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    ACTIONS(4511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60765] = 3,
    ACTIONS(1480), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1478), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60776] = 3,
    ACTIONS(1500), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1498), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60787] = 3,
    ACTIONS(1596), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1594), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60798] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3697), 1,
      anon_sym_COMMA,
    ACTIONS(3972), 1,
      anon_sym_LBRACE,
    STATE(1976), 1,
      aux_sym_base_clause_repeat1,
  [60811] = 3,
    ACTIONS(1524), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1522), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60822] = 3,
    ACTIONS(1612), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1610), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60833] = 3,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60844] = 3,
    ACTIONS(1552), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1550), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60855] = 3,
    ACTIONS(1552), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1550), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60866] = 3,
    ACTIONS(1660), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1658), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60877] = 3,
    ACTIONS(1668), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1666), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60888] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(4515), 1,
      anon_sym_EQ_GT,
    STATE(2674), 1,
      sym__return_type,
  [60901] = 4,
    ACTIONS(889), 1,
      anon_sym_RPAREN,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4517), 1,
      anon_sym_COMMA,
    STATE(2090), 1,
      aux_sym_arguments_repeat1,
  [60914] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3943), 1,
      anon_sym_RPAREN,
    ACTIONS(4519), 1,
      anon_sym_COMMA,
    STATE(1997), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60927] = 4,
    ACTIONS(931), 1,
      anon_sym_RPAREN,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_COMMA,
    STATE(1987), 1,
      aux_sym_array_creation_expression_repeat1,
  [60940] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4523), 1,
      anon_sym_COMMA,
    ACTIONS(4525), 1,
      anon_sym_RPAREN,
    STATE(2170), 1,
      aux_sym_arguments_repeat1,
  [60953] = 3,
    ACTIONS(1544), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1542), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60964] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4527), 1,
      anon_sym_COMMA,
    ACTIONS(4529), 1,
      anon_sym_RPAREN,
    STATE(2183), 1,
      aux_sym_arguments_repeat1,
  [60977] = 3,
    ACTIONS(1540), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1538), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60988] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOLLAR,
    STATE(1739), 1,
      sym_variable_name,
    STATE(1907), 1,
      sym_property_element,
  [61001] = 3,
    ACTIONS(1540), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1538), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61012] = 3,
    ACTIONS(1696), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1694), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61023] = 3,
    ACTIONS(1532), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1530), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61034] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_RPAREN,
    ACTIONS(4531), 1,
      anon_sym_COMMA,
    STATE(1961), 1,
      aux_sym_unset_statement_repeat1,
  [61047] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(4533), 1,
      anon_sym_EQ_GT,
    STATE(2669), 1,
      sym__return_type,
  [61060] = 4,
    ACTIONS(877), 1,
      anon_sym_RPAREN,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4535), 1,
      anon_sym_COMMA,
    STATE(2090), 1,
      aux_sym_arguments_repeat1,
  [61073] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOLLAR,
    STATE(1739), 1,
      sym_variable_name,
    STATE(2027), 1,
      sym_property_element,
  [61086] = 3,
    ACTIONS(1512), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1510), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61097] = 3,
    ACTIONS(1684), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1682), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61108] = 3,
    ACTIONS(1680), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1678), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61119] = 4,
    ACTIONS(911), 1,
      anon_sym_RPAREN,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4537), 1,
      anon_sym_COMMA,
    STATE(2090), 1,
      aux_sym_arguments_repeat1,
  [61132] = 4,
    ACTIONS(905), 1,
      anon_sym_RPAREN,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4539), 1,
      anon_sym_COMMA,
    STATE(2090), 1,
      aux_sym_arguments_repeat1,
  [61145] = 3,
    ACTIONS(1672), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1670), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61156] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4541), 1,
      anon_sym_COMMA,
    ACTIONS(4543), 1,
      anon_sym_RPAREN,
    STATE(2188), 1,
      aux_sym_arguments_repeat1,
  [61169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym__new_line,
    ACTIONS(4545), 1,
      sym_heredoc_end,
    STATE(2329), 1,
      sym_nowdoc_body,
  [61182] = 3,
    ACTIONS(1512), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1510), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4100), 1,
      sym__new_line,
    ACTIONS(4547), 1,
      sym_heredoc_end,
    STATE(2326), 1,
      sym_heredoc_body,
  [61206] = 3,
    ACTIONS(1508), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1506), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61217] = 3,
    ACTIONS(1636), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1634), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61228] = 3,
    ACTIONS(1528), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1526), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61239] = 3,
    ACTIONS(1528), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1526), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61250] = 3,
    ACTIONS(1472), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1470), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61261] = 3,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61272] = 3,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61283] = 3,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61294] = 4,
    ACTIONS(873), 1,
      anon_sym_RPAREN,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4549), 1,
      anon_sym_COMMA,
    STATE(2090), 1,
      aux_sym_arguments_repeat1,
  [61307] = 3,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61318] = 3,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61329] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4553), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4551), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [61340] = 3,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61351] = 3,
    ACTIONS(1456), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1454), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61362] = 3,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61373] = 3,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61384] = 3,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61395] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4555), 1,
      anon_sym_COMMA,
    ACTIONS(4558), 1,
      anon_sym_RBRACK,
    STATE(2212), 1,
      aux_sym_attribute_group_repeat1,
  [61408] = 3,
    ACTIONS(1632), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1630), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61419] = 3,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61430] = 3,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61441] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4560), 1,
      anon_sym_COMMA,
    ACTIONS(4562), 1,
      anon_sym_RPAREN,
    STATE(2203), 1,
      aux_sym_arguments_repeat1,
  [61454] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_RBRACK,
    ACTIONS(4564), 1,
      anon_sym_COMMA,
    STATE(2217), 1,
      aux_sym_array_creation_expression_repeat1,
  [61467] = 3,
    ACTIONS(1432), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1430), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61478] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4567), 1,
      anon_sym_COMMA,
    ACTIONS(4569), 1,
      anon_sym_RPAREN,
    STATE(2225), 1,
      aux_sym_arguments_repeat1,
  [61491] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4271), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [61500] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4571), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [61509] = 3,
    ACTIONS(1432), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1430), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61520] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4144), 1,
      anon_sym_EQ,
    ACTIONS(4573), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61531] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1855), 1,
      anon_sym_RPAREN,
    ACTIONS(4575), 1,
      anon_sym_COMMA,
    STATE(2224), 1,
      aux_sym__list_destructing_repeat1,
  [61544] = 4,
    ACTIONS(893), 1,
      anon_sym_RPAREN,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(2090), 1,
      aux_sym_arguments_repeat1,
  [61557] = 4,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_RPAREN,
    STATE(2224), 1,
      aux_sym__list_destructing_repeat1,
  [61570] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4582), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [61579] = 4,
    ACTIONS(960), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_RPAREN,
    STATE(2224), 1,
      aux_sym__list_destructing_repeat1,
  [61592] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4586), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [61601] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3711), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [61610] = 3,
    ACTIONS(1548), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1546), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61621] = 3,
    ACTIONS(1548), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1546), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61632] = 3,
    ACTIONS(1428), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1426), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61643] = 3,
    ACTIONS(1708), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1706), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61654] = 3,
    ACTIONS(1244), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1242), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61665] = 3,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61676] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4144), 1,
      anon_sym_EQ,
    ACTIONS(4588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61687] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_EQ,
    ACTIONS(4590), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61698] = 3,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61709] = 4,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_COMMA,
    ACTIONS(4596), 1,
      anon_sym_RPAREN,
    STATE(2244), 1,
      aux_sym_arguments_repeat1,
  [61722] = 3,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61733] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1843), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61744] = 3,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61755] = 4,
    ACTIONS(899), 1,
      anon_sym_RPAREN,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_COMMA,
    STATE(2090), 1,
      aux_sym_arguments_repeat1,
  [61768] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_declaration_list,
  [61778] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2281), 1,
      sym_variable_name,
  [61788] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61796] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1128), 1,
      sym_declaration_list,
  [61806] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1127), 1,
      sym_declaration_list,
  [61816] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4602), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61824] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3701), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61832] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4410), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61840] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4604), 1,
      sym_name,
    STATE(2633), 1,
      sym_namespace_name,
  [61850] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4607), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61858] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2748), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61866] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4609), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61874] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4611), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61882] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61890] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4615), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61898] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61906] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4619), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61914] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61922] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4623), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61930] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4604), 1,
      sym_name,
    STATE(2663), 1,
      sym_namespace_name,
  [61940] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2517), 1,
      sym_variable_name,
  [61950] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4604), 1,
      sym_name,
    STATE(2655), 1,
      sym_namespace_name,
  [61960] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1740), 1,
      sym_compound_statement,
  [61970] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4558), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61978] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_LPAREN,
    STATE(25), 1,
      sym_parenthesized_expression,
  [61988] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1209), 1,
      sym_compound_statement,
  [61998] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_LPAREN,
    STATE(45), 1,
      sym_parenthesized_expression,
  [62008] = 3,
    ACTIONS(377), 1,
      anon_sym_COLON,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(2591), 1,
      sym_colon_block,
  [62018] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_LPAREN,
    STATE(2465), 1,
      sym_parenthesized_expression,
  [62028] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4628), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62036] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_LPAREN,
    STATE(110), 1,
      sym_parenthesized_expression,
  [62046] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_LPAREN,
    STATE(2431), 1,
      sym_parenthesized_expression,
  [62056] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_LPAREN,
    STATE(2031), 1,
      sym_parenthesized_expression,
  [62066] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4630), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62074] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(1985), 1,
      sym_variable_name,
  [62084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      sym__new_line,
    ACTIONS(4634), 1,
      sym_heredoc_end,
  [62094] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4636), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62102] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4638), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62110] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4640), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4642), 1,
      sym__new_line,
    ACTIONS(4644), 1,
      sym_heredoc_end,
  [62128] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4646), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62136] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4648), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62144] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2754), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62152] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1151), 1,
      sym_compound_statement,
  [62162] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62170] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4652), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62178] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4046), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62186] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(565), 1,
      sym_compound_statement,
  [62196] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4654), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62204] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1191), 1,
      sym_compound_statement,
  [62214] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4656), 2,
      anon_sym_string,
      anon_sym_int,
  [62222] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2670), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62230] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4144), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [62238] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62246] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    STATE(545), 1,
      sym_enum_declaration_list,
  [62256] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(474), 1,
      sym_declaration_list,
  [62266] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1705), 1,
      sym_formal_parameters,
  [62276] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(473), 1,
      sym_declaration_list,
  [62286] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_declaration_list,
  [62296] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_declaration_list,
  [62306] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1183), 1,
      sym_compound_statement,
  [62316] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2768), 1,
      anon_sym_RPAREN,
    ACTIONS(4660), 1,
      anon_sym_EQ,
  [62326] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1708), 1,
      sym_formal_parameters,
  [62336] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4662), 1,
      sym_name,
    STATE(2561), 1,
      sym_namespace_name,
  [62346] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(2124), 1,
      sym_formal_parameters,
  [62356] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(475), 1,
      sym_declaration_list,
  [62366] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1174), 1,
      sym_compound_statement,
  [62376] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1172), 1,
      sym_compound_statement,
  [62386] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4604), 1,
      sym_name,
    STATE(2556), 1,
      sym_namespace_name,
  [62396] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_LPAREN,
    STATE(84), 1,
      sym_parenthesized_expression,
  [62406] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(472), 1,
      sym_declaration_list,
  [62416] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4665), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62424] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4667), 1,
      sym_name,
    STATE(1837), 1,
      sym_namespace_name,
  [62434] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4669), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62442] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2135), 1,
      sym_variable_name,
  [62452] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4671), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62460] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2670), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [62468] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1171), 1,
      sym_compound_statement,
  [62478] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1165), 1,
      sym_compound_statement,
  [62488] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2786), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62496] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4673), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym__new_line,
    ACTIONS(4677), 1,
      sym_heredoc_end,
  [62514] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3310), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3312), 1,
      aux_sym__arrow_function_header_token1,
  [62524] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1765), 1,
      sym_compound_statement,
  [62534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4679), 1,
      sym__new_line,
    ACTIONS(4681), 1,
      sym_heredoc_end,
  [62544] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_LPAREN,
    STATE(26), 1,
      sym_parenthesized_expression,
  [62554] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_LPAREN,
    STATE(2448), 1,
      sym_parenthesized_expression,
  [62564] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_LPAREN,
    STATE(2001), 1,
      sym_parenthesized_expression,
  [62574] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_RPAREN,
    ACTIONS(4660), 1,
      anon_sym_EQ,
  [62584] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4683), 1,
      sym_nowdoc_string,
    STATE(1919), 1,
      aux_sym_nowdoc_body_repeat1,
  [62594] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4456), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62602] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1966), 1,
      sym_formal_parameters,
  [62612] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4461), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62620] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62628] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2283), 1,
      sym_variable_name,
  [62638] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4687), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62646] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62654] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62662] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62670] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    STATE(590), 1,
      sym_enum_declaration_list,
  [62680] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62688] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62696] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3306), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3308), 1,
      aux_sym__arrow_function_header_token1,
  [62706] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1156), 1,
      sym_compound_statement,
  [62716] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4699), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62724] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4428), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [62732] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_LPAREN,
    STATE(22), 1,
      sym_parenthesized_expression,
  [62742] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_LPAREN,
    STATE(61), 1,
      sym_parenthesized_expression,
  [62752] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4701), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62760] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4703), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62768] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_LPAREN,
    STATE(23), 1,
      sym_parenthesized_expression,
  [62778] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4705), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62786] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1159), 1,
      sym_compound_statement,
  [62796] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4707), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62804] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4709), 2,
      anon_sym_string,
      anon_sym_int,
  [62812] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4711), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62820] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3551), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62828] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4713), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62836] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4715), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62844] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4717), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62852] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4719), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62860] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4573), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62868] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4721), 1,
      anon_sym_LPAREN,
    STATE(2500), 1,
      sym_parenthesized_expression,
  [62878] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4723), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62886] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4725), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62894] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4402), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62902] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4727), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62910] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(2007), 1,
      sym_compound_statement,
  [62920] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1696), 1,
      sym_formal_parameters,
  [62930] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4729), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62938] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4731), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62946] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2389), 1,
      sym_variable_name,
  [62956] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4733), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62964] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_declaration_list,
  [62974] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4735), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62982] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4737), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62990] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4739), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62998] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4741), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63006] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63014] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4745), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63022] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1013), 1,
      sym_compound_statement,
  [63032] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2338), 1,
      sym_variable_name,
  [63042] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_SEMI,
    ACTIONS(4749), 1,
      sym__automatic_semicolon,
  [63052] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1701), 1,
      sym_formal_parameters,
  [63062] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4751), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63070] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4604), 1,
      sym_name,
    STATE(2563), 1,
      sym_namespace_name,
  [63080] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1855), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63088] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2136), 1,
      sym_variable_name,
  [63098] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4753), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63106] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2318), 1,
      sym_variable_name,
  [63116] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(2003), 1,
      sym_formal_parameters,
  [63126] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1754), 1,
      sym_compound_statement,
  [63136] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4755), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63144] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4757), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63152] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4759), 2,
      anon_sym_string,
      anon_sym_int,
  [63160] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1714), 1,
      sym_formal_parameters,
  [63170] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1759), 1,
      sym_declaration_list,
  [63180] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1016), 1,
      sym_compound_statement,
  [63190] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1020), 1,
      sym_compound_statement,
  [63200] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4079), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63208] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_LBRACE,
    STATE(2243), 1,
      sym_enum_declaration_list,
  [63218] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1022), 1,
      sym_compound_statement,
  [63228] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63236] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1028), 1,
      sym_compound_statement,
  [63246] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1180), 1,
      sym_declaration_list,
  [63256] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4761), 1,
      anon_sym_LPAREN,
    ACTIONS(4763), 1,
      anon_sym_RPAREN,
  [63266] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3308), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4765), 1,
      aux_sym_namespace_use_declaration_token2,
  [63276] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
    ACTIONS(4660), 1,
      anon_sym_EQ,
  [63286] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4767), 1,
      anon_sym_LPAREN,
    STATE(1720), 1,
      sym_formal_parameters,
  [63296] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(985), 1,
      sym_declaration_list,
  [63306] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2150), 1,
      sym_variable_name,
  [63316] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4769), 1,
      anon_sym_LBRACE,
    STATE(466), 1,
      sym_compound_statement,
  [63326] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4771), 1,
      anon_sym_SEMI,
    ACTIONS(4773), 1,
      sym__automatic_semicolon,
  [63336] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(2044), 1,
      sym_declaration_list,
  [63346] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4775), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63354] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3397), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63362] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2278), 1,
      sym_variable_name,
  [63372] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1154), 1,
      sym_declaration_list,
  [63382] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1788), 1,
      sym_compound_statement,
  [63392] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4777), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63400] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4779), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63408] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4781), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63416] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1799), 1,
      sym_declaration_list,
  [63426] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1753), 1,
      sym_declaration_list,
  [63436] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4783), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63444] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(988), 1,
      sym_compound_statement,
  [63454] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(1182), 1,
      sym_match_block,
  [63464] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1153), 1,
      sym_declaration_list,
  [63474] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4787), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63482] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1766), 1,
      sym_declaration_list,
  [63492] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(2169), 1,
      sym_formal_parameters,
  [63502] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(991), 1,
      sym_compound_statement,
  [63512] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(993), 1,
      sym_compound_statement,
  [63522] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4789), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63530] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(994), 1,
      sym_compound_statement,
  [63540] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(996), 1,
      sym_compound_statement,
  [63550] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(2182), 1,
      sym_formal_parameters,
  [63560] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1132), 1,
      sym_compound_statement,
  [63570] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1700), 1,
      sym_formal_parameters,
  [63580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym__new_line,
    ACTIONS(4793), 1,
      sym_heredoc_end,
  [63590] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4795), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63598] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2760), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 1,
      sym__new_line,
    ACTIONS(4799), 1,
      sym_heredoc_end,
  [63616] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4801), 1,
      anon_sym_LBRACE,
    STATE(1012), 1,
      sym_match_block,
  [63626] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(997), 1,
      sym_declaration_list,
  [63636] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_COLON,
    ACTIONS(4761), 1,
      anon_sym_LPAREN,
  [63646] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(998), 1,
      sym_declaration_list,
  [63656] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4803), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63664] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2261), 1,
      sym_variable_name,
  [63674] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4805), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63682] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_BSLASH,
    STATE(2479), 1,
      aux_sym_namespace_name_repeat1,
  [63692] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_SEMI,
    ACTIONS(4810), 1,
      sym__automatic_semicolon,
  [63702] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4812), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63710] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_SEMI,
    ACTIONS(4816), 1,
      sym__automatic_semicolon,
  [63720] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4818), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      sym__new_line,
    ACTIONS(4822), 1,
      sym_heredoc_end,
  [63738] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4824), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63746] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_LBRACE,
    STATE(2061), 1,
      sym_enum_declaration_list,
  [63756] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4826), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63764] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1005), 1,
      sym_compound_statement,
  [63774] = 3,
    ACTIONS(473), 1,
      anon_sym_COLON,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(2062), 1,
      sym_colon_block,
  [63784] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    ACTIONS(4660), 1,
      anon_sym_EQ,
  [63794] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4828), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63802] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1747), 1,
      sym_declaration_list,
  [63812] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4830), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63820] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4769), 1,
      anon_sym_LBRACE,
    STATE(469), 1,
      sym_compound_statement,
  [63830] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1186), 1,
      sym_compound_statement,
  [63840] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_LBRACE,
    STATE(2018), 1,
      sym_enum_declaration_list,
  [63850] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1029), 1,
      sym_compound_statement,
  [63860] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4350), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63868] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4832), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63876] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4834), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63884] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1038), 1,
      sym_compound_statement,
  [63894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4836), 1,
      sym__new_line,
    ACTIONS(4838), 1,
      sym_heredoc_end,
  [63904] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_BSLASH,
    STATE(1715), 1,
      aux_sym_namespace_name_repeat1,
  [63914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 1,
      sym__new_line,
    ACTIONS(4845), 1,
      sym_heredoc_end,
  [63924] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1187), 1,
      sym_compound_statement,
  [63934] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(1033), 1,
      sym_declaration_list,
  [63944] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1189), 1,
      sym_declaration_list,
  [63954] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(999), 1,
      sym_declaration_list,
  [63964] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_enum_declaration_list,
  [63974] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1190), 1,
      sym_compound_statement,
  [63984] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3723), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63992] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4847), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64000] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(2120), 1,
      sym_compound_statement,
  [64010] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4849), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64018] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4721), 1,
      anon_sym_LPAREN,
    STATE(2282), 1,
      sym_parenthesized_expression,
  [64028] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4767), 1,
      anon_sym_LPAREN,
    STATE(1787), 1,
      sym_formal_parameters,
  [64038] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4769), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_compound_statement,
  [64048] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(507), 1,
      sym_compound_statement,
  [64058] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4851), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [64066] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(982), 1,
      sym_compound_statement,
  [64076] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4853), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64084] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_LPAREN,
    STATE(113), 1,
      sym_parenthesized_expression,
  [64094] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4855), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64102] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4857), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64110] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(2144), 1,
      sym_declaration_list,
  [64120] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3312), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4859), 1,
      aux_sym_namespace_use_declaration_token2,
  [64130] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64138] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1678), 1,
      sym_formal_parameters,
  [64148] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4863), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64156] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_declaration_list,
  [64166] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4865), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64174] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    STATE(593), 1,
      sym_enum_declaration_list,
  [64184] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_parenthesized_expression,
  [64194] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1719), 1,
      sym_declaration_list,
  [64204] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4867), 2,
      anon_sym_string,
      anon_sym_int,
  [64212] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    STATE(584), 1,
      sym_declaration_list,
  [64222] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(980), 1,
      sym_compound_statement,
  [64232] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1025), 1,
      sym_compound_statement,
  [64242] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4180), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64250] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4869), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64258] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4871), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64266] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4282), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4873), 1,
      sym__new_line,
    ACTIONS(4875), 1,
      sym_heredoc_end,
  [64284] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4877), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64292] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4262), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [64300] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1169), 1,
      sym_compound_statement,
  [64310] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2810), 1,
      anon_sym_RPAREN,
    ACTIONS(4660), 1,
      anon_sym_EQ,
  [64320] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4879), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [64328] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(2121), 1,
      sym_formal_parameters,
  [64338] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_declaration_list,
  [64348] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(1018), 1,
      sym_declaration_list,
  [64358] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    STATE(1193), 1,
      sym_compound_statement,
  [64368] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2398), 1,
      sym_variable_name,
  [64378] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1730), 1,
      sym_comment,
    STATE(1780), 1,
      sym_compound_statement,
  [64388] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4881), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64396] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN,
    STATE(1641), 1,
      sym_formal_parameters,
  [64406] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_LBRACE,
    STATE(1791), 1,
      sym_declaration_list,
  [64416] = 3,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_LBRACE,
    STATE(2126), 1,
      sym_enum_declaration_list,
  [64426] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_RPAREN,
  [64433] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_LPAREN,
  [64440] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4887), 1,
      sym_name,
  [64447] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_RPAREN,
  [64454] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_RPAREN,
  [64461] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_COLON_COLON,
  [64468] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_RPAREN,
  [64475] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_RPAREN,
  [64482] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_RPAREN,
  [64489] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4901), 1,
      anon_sym_EQ_GT,
  [64496] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4249), 1,
      anon_sym_RPAREN,
  [64503] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_RBRACK,
  [64510] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4903), 1,
      anon_sym_RPAREN,
  [64517] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4905), 1,
      sym_name,
  [64524] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4907), 1,
      anon_sym_RPAREN,
  [64531] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4229), 1,
      anon_sym_RPAREN,
  [64538] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4909), 1,
      anon_sym_EQ_GT,
  [64545] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_RPAREN,
  [64552] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4911), 1,
      anon_sym_RPAREN,
  [64559] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4913), 1,
      anon_sym_EQ_GT,
  [64566] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4915), 1,
      sym_name,
  [64573] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4917), 1,
      anon_sym_BSLASH,
  [64580] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_BSLASH,
  [64587] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_EQ,
  [64594] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2810), 1,
      anon_sym_RPAREN,
  [64601] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4408), 1,
      sym_name,
  [64608] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4923), 1,
      anon_sym_BSLASH,
  [64615] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4925), 1,
      anon_sym_RPAREN,
  [64622] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_BSLASH,
  [64629] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4929), 1,
      anon_sym_RPAREN,
  [64636] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_RPAREN,
  [64643] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4931), 1,
      ts_builtin_sym_end,
  [64650] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4933), 1,
      sym_name,
  [64657] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_EQ,
  [64664] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4937), 1,
      anon_sym_LPAREN,
  [64671] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_RPAREN,
  [64678] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4939), 1,
      sym_name,
  [64685] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4941), 1,
      sym_name,
  [64692] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4943), 1,
      sym_name,
  [64699] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4945), 1,
      aux_sym_while_statement_token2,
  [64706] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_SEMI,
  [64713] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4949), 1,
      anon_sym_RPAREN,
  [64720] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4951), 1,
      anon_sym_RPAREN,
  [64727] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_RBRACK,
  [64734] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4953), 1,
      anon_sym_RPAREN,
  [64741] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4214), 1,
      sym_name,
  [64748] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_RBRACK,
  [64755] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4957), 1,
      sym_name,
  [64762] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_SEMI,
  [64769] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4961), 1,
      sym_heredoc_start,
  [64776] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4963), 1,
      sym_heredoc_start,
  [64783] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4965), 1,
      sym_name,
  [64790] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
  [64797] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4967), 1,
      sym_heredoc_end,
  [64804] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4969), 1,
      anon_sym_RPAREN,
  [64811] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4971), 1,
      anon_sym_RPAREN,
  [64818] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4973), 1,
      aux_sym_if_statement_token2,
  [64825] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4975), 1,
      sym_heredoc_end,
  [64832] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4977), 1,
      sym_heredoc_end,
  [64839] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4979), 1,
      sym_name,
  [64846] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4981), 1,
      anon_sym_RPAREN,
  [64853] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4983), 1,
      anon_sym_SQUOTE2,
  [64860] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_RPAREN,
  [64867] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4985), 1,
      aux_sym_if_statement_token2,
  [64874] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_RBRACE,
  [64881] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4987), 1,
      aux_sym_class_declaration_token1,
  [64888] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4989), 1,
      sym_heredoc_end,
  [64895] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_EQ_GT,
  [64902] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4993), 1,
      anon_sym_EQ,
  [64909] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4995), 1,
      anon_sym_COLON_COLON,
  [64916] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_RPAREN,
  [64923] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4332), 1,
      anon_sym_LBRACE,
  [64930] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4999), 1,
      aux_sym_foreach_statement_token2,
  [64937] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5001), 1,
      anon_sym_RPAREN,
  [64944] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_RPAREN,
  [64951] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5005), 1,
      aux_sym_while_statement_token1,
  [64958] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5007), 1,
      anon_sym_RPAREN,
  [64965] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5009), 1,
      anon_sym_RPAREN,
  [64972] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5011), 1,
      sym_name,
  [64979] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5013), 1,
      anon_sym_RPAREN,
  [64986] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5015), 1,
      anon_sym_RPAREN,
  [64993] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5017), 1,
      sym_name,
  [65000] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5019), 1,
      sym_name,
  [65007] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5021), 1,
      anon_sym_RPAREN,
  [65014] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5023), 1,
      aux_sym_if_statement_token2,
  [65021] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5025), 1,
      anon_sym_RPAREN,
  [65028] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4763), 1,
      anon_sym_RPAREN,
  [65035] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5027), 1,
      sym_heredoc_end,
  [65042] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
  [65049] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3934), 1,
      sym_name,
  [65056] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5029), 1,
      sym_heredoc_end,
  [65063] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5031), 1,
      anon_sym_COLON_COLON,
  [65070] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5033), 1,
      anon_sym_RPAREN,
  [65077] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_EQ,
  [65084] = 2,
    ACTIONS(381), 1,
      ts_builtin_sym_end,
    ACTIONS(1730), 1,
      sym_comment,
  [65091] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5035), 1,
      aux_sym_if_statement_token2,
  [65098] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5037), 1,
      anon_sym_EQ_GT,
  [65105] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5039), 1,
      anon_sym_RPAREN,
  [65112] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_BSLASH,
  [65119] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5041), 1,
      anon_sym_COLON_COLON,
  [65126] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_EQ,
  [65133] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5043), 1,
      sym_name,
  [65140] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5045), 1,
      anon_sym_RPAREN,
  [65147] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5047), 1,
      anon_sym_SQUOTE2,
  [65154] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5049), 1,
      anon_sym_RPAREN,
  [65161] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5051), 1,
      aux_sym_while_statement_token2,
  [65168] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5053), 1,
      anon_sym_RPAREN,
  [65175] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5055), 1,
      sym_heredoc_end,
  [65182] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5057), 1,
      sym_name,
  [65189] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5059), 1,
      sym_name,
  [65196] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5061), 1,
      anon_sym_BSLASH,
  [65203] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5063), 1,
      sym_name,
  [65210] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5065), 1,
      anon_sym_RBRACK,
  [65217] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5067), 1,
      sym_heredoc_end,
  [65224] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5069), 1,
      sym_heredoc_start,
  [65231] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5071), 1,
      aux_sym_while_statement_token1,
  [65238] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5073), 1,
      aux_sym_class_declaration_token1,
  [65245] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5075), 1,
      sym_heredoc_start,
  [65252] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5077), 1,
      sym_heredoc_end,
  [65259] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5079), 1,
      anon_sym_BSLASH,
  [65266] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_BSLASH,
  [65273] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5083), 1,
      aux_sym_foreach_statement_token2,
  [65280] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_COLON_COLON,
  [65287] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5087), 1,
      sym_name,
  [65294] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5089), 1,
      anon_sym_RPAREN,
  [65301] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5091), 1,
      anon_sym_BSLASH,
  [65308] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_RPAREN,
  [65315] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4761), 1,
      anon_sym_LPAREN,
  [65322] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_BSLASH,
  [65329] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5095), 1,
      sym_name,
  [65336] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5097), 1,
      sym_name,
  [65343] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5099), 1,
      sym_name,
  [65350] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5101), 1,
      anon_sym_SEMI,
  [65357] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5103), 1,
      sym_name,
  [65364] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5105), 1,
      anon_sym_EQ_GT,
  [65371] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5107), 1,
      sym_name,
  [65378] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5109), 1,
      anon_sym_COLON_COLON,
  [65385] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5111), 1,
      anon_sym_RPAREN,
  [65392] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5113), 1,
      sym_name,
  [65399] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5115), 1,
      anon_sym_EQ_GT,
  [65406] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5117), 1,
      anon_sym_SEMI,
  [65413] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(2768), 1,
      anon_sym_RPAREN,
  [65420] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_COLON_COLON,
  [65427] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_RPAREN,
  [65434] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5123), 1,
      anon_sym_RPAREN,
  [65441] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5125), 1,
      anon_sym_RPAREN,
  [65448] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
  [65455] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5129), 1,
      anon_sym_RPAREN,
  [65462] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5131), 1,
      anon_sym_EQ_GT,
  [65469] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_EQ_GT,
  [65476] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym_name,
  [65483] = 2,
    ACTIONS(443), 1,
      ts_builtin_sym_end,
    ACTIONS(1730), 1,
      sym_comment,
  [65490] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5135), 1,
      anon_sym_EQ_GT,
  [65497] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5137), 1,
      sym_name,
  [65504] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5139), 1,
      anon_sym_COLON_COLON,
  [65511] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_RPAREN,
  [65518] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5141), 1,
      anon_sym_EQ,
  [65525] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5143), 1,
      anon_sym_EQ_GT,
  [65532] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_RPAREN,
  [65539] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_COLON_COLON,
  [65546] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5147), 1,
      anon_sym_EQ_GT,
  [65553] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5149), 1,
      anon_sym_BSLASH,
  [65560] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5151), 1,
      anon_sym_SEMI,
  [65567] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5153), 1,
      sym_name,
  [65574] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5155), 1,
      ts_builtin_sym_end,
  [65581] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_RBRACK,
  [65588] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_SEMI,
  [65595] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_RPAREN,
  [65602] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5161), 1,
      sym_heredoc_end,
  [65609] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_SEMI,
  [65616] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
  [65623] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_COLON_COLON,
  [65630] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_RBRACK,
  [65637] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5171), 1,
      sym_integer,
  [65644] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym_LPAREN,
  [65651] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_LPAREN,
  [65658] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_COLON_COLON,
  [65665] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5179), 1,
      sym_name,
  [65672] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5181), 1,
      anon_sym_LPAREN,
  [65679] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
  [65686] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5185), 1,
      aux_sym_if_statement_token2,
  [65693] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_RPAREN,
  [65700] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_RPAREN,
  [65707] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5187), 1,
      anon_sym_LPAREN,
  [65714] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4448), 1,
      anon_sym_RBRACE,
  [65721] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5189), 1,
      anon_sym_RPAREN,
  [65728] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5191), 1,
      anon_sym_LPAREN,
  [65735] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5193), 1,
      anon_sym_LPAREN,
  [65742] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5195), 1,
      anon_sym_SEMI,
  [65749] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_EQ_GT,
  [65756] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_SEMI,
  [65763] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
  [65770] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_EQ_GT,
  [65777] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_SEMI,
  [65784] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_LPAREN,
  [65791] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5209), 1,
      sym_name,
  [65798] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5211), 1,
      anon_sym_SEMI,
  [65805] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5213), 1,
      sym_name,
  [65812] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LPAREN,
  [65819] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5217), 1,
      anon_sym_LPAREN,
  [65826] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5219), 1,
      sym_name,
  [65833] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5221), 1,
      sym_name,
  [65840] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5223), 1,
      anon_sym_COLON_COLON,
  [65847] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5225), 1,
      anon_sym_SEMI,
  [65854] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_LBRACE,
  [65861] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5227), 1,
      anon_sym_LPAREN,
  [65868] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5229), 1,
      sym_name,
  [65875] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5231), 1,
      anon_sym_LPAREN,
  [65882] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5233), 1,
      anon_sym_LPAREN,
  [65889] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_RPAREN,
  [65896] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_LPAREN,
  [65903] = 2,
    ACTIONS(1730), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(630)] = 0,
  [SMALL_STATE(631)] = 70,
  [SMALL_STATE(632)] = 140,
  [SMALL_STATE(633)] = 210,
  [SMALL_STATE(634)] = 280,
  [SMALL_STATE(635)] = 353,
  [SMALL_STATE(636)] = 426,
  [SMALL_STATE(637)] = 499,
  [SMALL_STATE(638)] = 572,
  [SMALL_STATE(639)] = 645,
  [SMALL_STATE(640)] = 726,
  [SMALL_STATE(641)] = 794,
  [SMALL_STATE(642)] = 862,
  [SMALL_STATE(643)] = 930,
  [SMALL_STATE(644)] = 998,
  [SMALL_STATE(645)] = 1066,
  [SMALL_STATE(646)] = 1134,
  [SMALL_STATE(647)] = 1202,
  [SMALL_STATE(648)] = 1270,
  [SMALL_STATE(649)] = 1338,
  [SMALL_STATE(650)] = 1406,
  [SMALL_STATE(651)] = 1474,
  [SMALL_STATE(652)] = 1542,
  [SMALL_STATE(653)] = 1610,
  [SMALL_STATE(654)] = 1689,
  [SMALL_STATE(655)] = 1764,
  [SMALL_STATE(656)] = 1842,
  [SMALL_STATE(657)] = 1911,
  [SMALL_STATE(658)] = 1988,
  [SMALL_STATE(659)] = 2057,
  [SMALL_STATE(660)] = 2126,
  [SMALL_STATE(661)] = 2195,
  [SMALL_STATE(662)] = 2268,
  [SMALL_STATE(663)] = 2337,
  [SMALL_STATE(664)] = 2420,
  [SMALL_STATE(665)] = 2497,
  [SMALL_STATE(666)] = 2574,
  [SMALL_STATE(667)] = 2652,
  [SMALL_STATE(668)] = 2716,
  [SMALL_STATE(669)] = 2780,
  [SMALL_STATE(670)] = 2844,
  [SMALL_STATE(671)] = 2908,
  [SMALL_STATE(672)] = 2972,
  [SMALL_STATE(673)] = 3036,
  [SMALL_STATE(674)] = 3112,
  [SMALL_STATE(675)] = 3190,
  [SMALL_STATE(676)] = 3254,
  [SMALL_STATE(677)] = 3318,
  [SMALL_STATE(678)] = 3382,
  [SMALL_STATE(679)] = 3446,
  [SMALL_STATE(680)] = 3510,
  [SMALL_STATE(681)] = 3574,
  [SMALL_STATE(682)] = 3638,
  [SMALL_STATE(683)] = 3702,
  [SMALL_STATE(684)] = 3774,
  [SMALL_STATE(685)] = 3852,
  [SMALL_STATE(686)] = 3916,
  [SMALL_STATE(687)] = 3980,
  [SMALL_STATE(688)] = 4044,
  [SMALL_STATE(689)] = 4115,
  [SMALL_STATE(690)] = 4192,
  [SMALL_STATE(691)] = 4263,
  [SMALL_STATE(692)] = 4334,
  [SMALL_STATE(693)] = 4411,
  [SMALL_STATE(694)] = 4481,
  [SMALL_STATE(695)] = 4553,
  [SMALL_STATE(696)] = 4625,
  [SMALL_STATE(697)] = 4697,
  [SMALL_STATE(698)] = 4768,
  [SMALL_STATE(699)] = 4826,
  [SMALL_STATE(700)] = 4929,
  [SMALL_STATE(701)] = 5032,
  [SMALL_STATE(702)] = 5091,
  [SMALL_STATE(703)] = 5150,
  [SMALL_STATE(704)] = 5209,
  [SMALL_STATE(705)] = 5274,
  [SMALL_STATE(706)] = 5333,
  [SMALL_STATE(707)] = 5392,
  [SMALL_STATE(708)] = 5457,
  [SMALL_STATE(709)] = 5518,
  [SMALL_STATE(710)] = 5583,
  [SMALL_STATE(711)] = 5648,
  [SMALL_STATE(712)] = 5703,
  [SMALL_STATE(713)] = 5766,
  [SMALL_STATE(714)] = 5820,
  [SMALL_STATE(715)] = 5878,
  [SMALL_STATE(716)] = 5974,
  [SMALL_STATE(717)] = 6028,
  [SMALL_STATE(718)] = 6082,
  [SMALL_STATE(719)] = 6136,
  [SMALL_STATE(720)] = 6190,
  [SMALL_STATE(721)] = 6244,
  [SMALL_STATE(722)] = 6298,
  [SMALL_STATE(723)] = 6352,
  [SMALL_STATE(724)] = 6452,
  [SMALL_STATE(725)] = 6506,
  [SMALL_STATE(726)] = 6602,
  [SMALL_STATE(727)] = 6656,
  [SMALL_STATE(728)] = 6710,
  [SMALL_STATE(729)] = 6764,
  [SMALL_STATE(730)] = 6818,
  [SMALL_STATE(731)] = 6872,
  [SMALL_STATE(732)] = 6926,
  [SMALL_STATE(733)] = 6984,
  [SMALL_STATE(734)] = 7038,
  [SMALL_STATE(735)] = 7138,
  [SMALL_STATE(736)] = 7192,
  [SMALL_STATE(737)] = 7249,
  [SMALL_STATE(738)] = 7340,
  [SMALL_STATE(739)] = 7431,
  [SMALL_STATE(740)] = 7490,
  [SMALL_STATE(741)] = 7549,
  [SMALL_STATE(742)] = 7644,
  [SMALL_STATE(743)] = 7701,
  [SMALL_STATE(744)] = 7758,
  [SMALL_STATE(745)] = 7815,
  [SMALL_STATE(746)] = 7872,
  [SMALL_STATE(747)] = 7931,
  [SMALL_STATE(748)] = 7988,
  [SMALL_STATE(749)] = 8047,
  [SMALL_STATE(750)] = 8138,
  [SMALL_STATE(751)] = 8197,
  [SMALL_STATE(752)] = 8292,
  [SMALL_STATE(753)] = 8349,
  [SMALL_STATE(754)] = 8408,
  [SMALL_STATE(755)] = 8467,
  [SMALL_STATE(756)] = 8526,
  [SMALL_STATE(757)] = 8583,
  [SMALL_STATE(758)] = 8640,
  [SMALL_STATE(759)] = 8697,
  [SMALL_STATE(760)] = 8754,
  [SMALL_STATE(761)] = 8813,
  [SMALL_STATE(762)] = 8872,
  [SMALL_STATE(763)] = 8969,
  [SMALL_STATE(764)] = 9028,
  [SMALL_STATE(765)] = 9087,
  [SMALL_STATE(766)] = 9184,
  [SMALL_STATE(767)] = 9243,
  [SMALL_STATE(768)] = 9300,
  [SMALL_STATE(769)] = 9359,
  [SMALL_STATE(770)] = 9416,
  [SMALL_STATE(771)] = 9471,
  [SMALL_STATE(772)] = 9528,
  [SMALL_STATE(773)] = 9625,
  [SMALL_STATE(774)] = 9680,
  [SMALL_STATE(775)] = 9777,
  [SMALL_STATE(776)] = 9832,
  [SMALL_STATE(777)] = 9887,
  [SMALL_STATE(778)] = 9942,
  [SMALL_STATE(779)] = 9997,
  [SMALL_STATE(780)] = 10049,
  [SMALL_STATE(781)] = 10143,
  [SMALL_STATE(782)] = 10195,
  [SMALL_STATE(783)] = 10247,
  [SMALL_STATE(784)] = 10299,
  [SMALL_STATE(785)] = 10351,
  [SMALL_STATE(786)] = 10403,
  [SMALL_STATE(787)] = 10455,
  [SMALL_STATE(788)] = 10507,
  [SMALL_STATE(789)] = 10559,
  [SMALL_STATE(790)] = 10611,
  [SMALL_STATE(791)] = 10663,
  [SMALL_STATE(792)] = 10715,
  [SMALL_STATE(793)] = 10767,
  [SMALL_STATE(794)] = 10819,
  [SMALL_STATE(795)] = 10871,
  [SMALL_STATE(796)] = 10923,
  [SMALL_STATE(797)] = 10975,
  [SMALL_STATE(798)] = 11027,
  [SMALL_STATE(799)] = 11079,
  [SMALL_STATE(800)] = 11131,
  [SMALL_STATE(801)] = 11183,
  [SMALL_STATE(802)] = 11235,
  [SMALL_STATE(803)] = 11287,
  [SMALL_STATE(804)] = 11339,
  [SMALL_STATE(805)] = 11391,
  [SMALL_STATE(806)] = 11443,
  [SMALL_STATE(807)] = 11495,
  [SMALL_STATE(808)] = 11587,
  [SMALL_STATE(809)] = 11639,
  [SMALL_STATE(810)] = 11693,
  [SMALL_STATE(811)] = 11745,
  [SMALL_STATE(812)] = 11797,
  [SMALL_STATE(813)] = 11849,
  [SMALL_STATE(814)] = 11901,
  [SMALL_STATE(815)] = 11953,
  [SMALL_STATE(816)] = 12005,
  [SMALL_STATE(817)] = 12057,
  [SMALL_STATE(818)] = 12109,
  [SMALL_STATE(819)] = 12161,
  [SMALL_STATE(820)] = 12213,
  [SMALL_STATE(821)] = 12265,
  [SMALL_STATE(822)] = 12319,
  [SMALL_STATE(823)] = 12371,
  [SMALL_STATE(824)] = 12423,
  [SMALL_STATE(825)] = 12475,
  [SMALL_STATE(826)] = 12527,
  [SMALL_STATE(827)] = 12579,
  [SMALL_STATE(828)] = 12632,
  [SMALL_STATE(829)] = 12693,
  [SMALL_STATE(830)] = 12748,
  [SMALL_STATE(831)] = 12805,
  [SMALL_STATE(832)] = 12860,
  [SMALL_STATE(833)] = 12915,
  [SMALL_STATE(834)] = 12976,
  [SMALL_STATE(835)] = 13029,
  [SMALL_STATE(836)] = 13080,
  [SMALL_STATE(837)] = 13141,
  [SMALL_STATE(838)] = 13194,
  [SMALL_STATE(839)] = 13247,
  [SMALL_STATE(840)] = 13308,
  [SMALL_STATE(841)] = 13359,
  [SMALL_STATE(842)] = 13414,
  [SMALL_STATE(843)] = 13469,
  [SMALL_STATE(844)] = 13524,
  [SMALL_STATE(845)] = 13577,
  [SMALL_STATE(846)] = 13628,
  [SMALL_STATE(847)] = 13687,
  [SMALL_STATE(848)] = 13737,
  [SMALL_STATE(849)] = 13799,
  [SMALL_STATE(850)] = 13849,
  [SMALL_STATE(851)] = 13899,
  [SMALL_STATE(852)] = 13949,
  [SMALL_STATE(853)] = 14035,
  [SMALL_STATE(854)] = 14121,
  [SMALL_STATE(855)] = 14171,
  [SMALL_STATE(856)] = 14221,
  [SMALL_STATE(857)] = 14283,
  [SMALL_STATE(858)] = 14333,
  [SMALL_STATE(859)] = 14383,
  [SMALL_STATE(860)] = 14433,
  [SMALL_STATE(861)] = 14519,
  [SMALL_STATE(862)] = 14569,
  [SMALL_STATE(863)] = 14655,
  [SMALL_STATE(864)] = 14705,
  [SMALL_STATE(865)] = 14755,
  [SMALL_STATE(866)] = 14805,
  [SMALL_STATE(867)] = 14855,
  [SMALL_STATE(868)] = 14917,
  [SMALL_STATE(869)] = 14967,
  [SMALL_STATE(870)] = 15017,
  [SMALL_STATE(871)] = 15067,
  [SMALL_STATE(872)] = 15117,
  [SMALL_STATE(873)] = 15166,
  [SMALL_STATE(874)] = 15249,
  [SMALL_STATE(875)] = 15298,
  [SMALL_STATE(876)] = 15351,
  [SMALL_STATE(877)] = 15434,
  [SMALL_STATE(878)] = 15485,
  [SMALL_STATE(879)] = 15540,
  [SMALL_STATE(880)] = 15623,
  [SMALL_STATE(881)] = 15706,
  [SMALL_STATE(882)] = 15789,
  [SMALL_STATE(883)] = 15844,
  [SMALL_STATE(884)] = 15899,
  [SMALL_STATE(885)] = 15954,
  [SMALL_STATE(886)] = 16007,
  [SMALL_STATE(887)] = 16090,
  [SMALL_STATE(888)] = 16141,
  [SMALL_STATE(889)] = 16194,
  [SMALL_STATE(890)] = 16247,
  [SMALL_STATE(891)] = 16300,
  [SMALL_STATE(892)] = 16353,
  [SMALL_STATE(893)] = 16408,
  [SMALL_STATE(894)] = 16491,
  [SMALL_STATE(895)] = 16574,
  [SMALL_STATE(896)] = 16625,
  [SMALL_STATE(897)] = 16676,
  [SMALL_STATE(898)] = 16729,
  [SMALL_STATE(899)] = 16812,
  [SMALL_STATE(900)] = 16863,
  [SMALL_STATE(901)] = 16918,
  [SMALL_STATE(902)] = 16973,
  [SMALL_STATE(903)] = 17028,
  [SMALL_STATE(904)] = 17083,
  [SMALL_STATE(905)] = 17136,
  [SMALL_STATE(906)] = 17189,
  [SMALL_STATE(907)] = 17244,
  [SMALL_STATE(908)] = 17299,
  [SMALL_STATE(909)] = 17354,
  [SMALL_STATE(910)] = 17407,
  [SMALL_STATE(911)] = 17490,
  [SMALL_STATE(912)] = 17545,
  [SMALL_STATE(913)] = 17596,
  [SMALL_STATE(914)] = 17647,
  [SMALL_STATE(915)] = 17730,
  [SMALL_STATE(916)] = 17783,
  [SMALL_STATE(917)] = 17832,
  [SMALL_STATE(918)] = 17915,
  [SMALL_STATE(919)] = 17964,
  [SMALL_STATE(920)] = 18019,
  [SMALL_STATE(921)] = 18072,
  [SMALL_STATE(922)] = 18125,
  [SMALL_STATE(923)] = 18208,
  [SMALL_STATE(924)] = 18261,
  [SMALL_STATE(925)] = 18344,
  [SMALL_STATE(926)] = 18427,
  [SMALL_STATE(927)] = 18480,
  [SMALL_STATE(928)] = 18528,
  [SMALL_STATE(929)] = 18576,
  [SMALL_STATE(930)] = 18624,
  [SMALL_STATE(931)] = 18672,
  [SMALL_STATE(932)] = 18720,
  [SMALL_STATE(933)] = 18768,
  [SMALL_STATE(934)] = 18816,
  [SMALL_STATE(935)] = 18864,
  [SMALL_STATE(936)] = 18912,
  [SMALL_STATE(937)] = 18960,
  [SMALL_STATE(938)] = 19008,
  [SMALL_STATE(939)] = 19056,
  [SMALL_STATE(940)] = 19104,
  [SMALL_STATE(941)] = 19152,
  [SMALL_STATE(942)] = 19200,
  [SMALL_STATE(943)] = 19250,
  [SMALL_STATE(944)] = 19298,
  [SMALL_STATE(945)] = 19346,
  [SMALL_STATE(946)] = 19394,
  [SMALL_STATE(947)] = 19442,
  [SMALL_STATE(948)] = 19492,
  [SMALL_STATE(949)] = 19540,
  [SMALL_STATE(950)] = 19588,
  [SMALL_STATE(951)] = 19636,
  [SMALL_STATE(952)] = 19684,
  [SMALL_STATE(953)] = 19732,
  [SMALL_STATE(954)] = 19780,
  [SMALL_STATE(955)] = 19828,
  [SMALL_STATE(956)] = 19876,
  [SMALL_STATE(957)] = 19924,
  [SMALL_STATE(958)] = 19974,
  [SMALL_STATE(959)] = 20026,
  [SMALL_STATE(960)] = 20074,
  [SMALL_STATE(961)] = 20122,
  [SMALL_STATE(962)] = 20170,
  [SMALL_STATE(963)] = 20218,
  [SMALL_STATE(964)] = 20266,
  [SMALL_STATE(965)] = 20314,
  [SMALL_STATE(966)] = 20362,
  [SMALL_STATE(967)] = 20410,
  [SMALL_STATE(968)] = 20458,
  [SMALL_STATE(969)] = 20506,
  [SMALL_STATE(970)] = 20554,
  [SMALL_STATE(971)] = 20602,
  [SMALL_STATE(972)] = 20650,
  [SMALL_STATE(973)] = 20698,
  [SMALL_STATE(974)] = 20746,
  [SMALL_STATE(975)] = 20794,
  [SMALL_STATE(976)] = 20843,
  [SMALL_STATE(977)] = 20892,
  [SMALL_STATE(978)] = 20941,
  [SMALL_STATE(979)] = 20990,
  [SMALL_STATE(980)] = 21039,
  [SMALL_STATE(981)] = 21085,
  [SMALL_STATE(982)] = 21131,
  [SMALL_STATE(983)] = 21177,
  [SMALL_STATE(984)] = 21223,
  [SMALL_STATE(985)] = 21269,
  [SMALL_STATE(986)] = 21315,
  [SMALL_STATE(987)] = 21361,
  [SMALL_STATE(988)] = 21407,
  [SMALL_STATE(989)] = 21453,
  [SMALL_STATE(990)] = 21499,
  [SMALL_STATE(991)] = 21545,
  [SMALL_STATE(992)] = 21591,
  [SMALL_STATE(993)] = 21637,
  [SMALL_STATE(994)] = 21683,
  [SMALL_STATE(995)] = 21729,
  [SMALL_STATE(996)] = 21775,
  [SMALL_STATE(997)] = 21821,
  [SMALL_STATE(998)] = 21867,
  [SMALL_STATE(999)] = 21913,
  [SMALL_STATE(1000)] = 21959,
  [SMALL_STATE(1001)] = 22005,
  [SMALL_STATE(1002)] = 22051,
  [SMALL_STATE(1003)] = 22097,
  [SMALL_STATE(1004)] = 22143,
  [SMALL_STATE(1005)] = 22189,
  [SMALL_STATE(1006)] = 22235,
  [SMALL_STATE(1007)] = 22281,
  [SMALL_STATE(1008)] = 22327,
  [SMALL_STATE(1009)] = 22373,
  [SMALL_STATE(1010)] = 22419,
  [SMALL_STATE(1011)] = 22465,
  [SMALL_STATE(1012)] = 22511,
  [SMALL_STATE(1013)] = 22557,
  [SMALL_STATE(1014)] = 22603,
  [SMALL_STATE(1015)] = 22649,
  [SMALL_STATE(1016)] = 22695,
  [SMALL_STATE(1017)] = 22741,
  [SMALL_STATE(1018)] = 22789,
  [SMALL_STATE(1019)] = 22835,
  [SMALL_STATE(1020)] = 22881,
  [SMALL_STATE(1021)] = 22927,
  [SMALL_STATE(1022)] = 22973,
  [SMALL_STATE(1023)] = 23019,
  [SMALL_STATE(1024)] = 23065,
  [SMALL_STATE(1025)] = 23111,
  [SMALL_STATE(1026)] = 23157,
  [SMALL_STATE(1027)] = 23203,
  [SMALL_STATE(1028)] = 23249,
  [SMALL_STATE(1029)] = 23295,
  [SMALL_STATE(1030)] = 23341,
  [SMALL_STATE(1031)] = 23387,
  [SMALL_STATE(1032)] = 23433,
  [SMALL_STATE(1033)] = 23479,
  [SMALL_STATE(1034)] = 23525,
  [SMALL_STATE(1035)] = 23571,
  [SMALL_STATE(1036)] = 23617,
  [SMALL_STATE(1037)] = 23663,
  [SMALL_STATE(1038)] = 23709,
  [SMALL_STATE(1039)] = 23755,
  [SMALL_STATE(1040)] = 23801,
  [SMALL_STATE(1041)] = 23847,
  [SMALL_STATE(1042)] = 23893,
  [SMALL_STATE(1043)] = 23939,
  [SMALL_STATE(1044)] = 23985,
  [SMALL_STATE(1045)] = 24031,
  [SMALL_STATE(1046)] = 24080,
  [SMALL_STATE(1047)] = 24125,
  [SMALL_STATE(1048)] = 24170,
  [SMALL_STATE(1049)] = 24249,
  [SMALL_STATE(1050)] = 24298,
  [SMALL_STATE(1051)] = 24374,
  [SMALL_STATE(1052)] = 24456,
  [SMALL_STATE(1053)] = 24532,
  [SMALL_STATE(1054)] = 24590,
  [SMALL_STATE(1055)] = 24672,
  [SMALL_STATE(1056)] = 24754,
  [SMALL_STATE(1057)] = 24838,
  [SMALL_STATE(1058)] = 24920,
  [SMALL_STATE(1059)] = 24996,
  [SMALL_STATE(1060)] = 25078,
  [SMALL_STATE(1061)] = 25160,
  [SMALL_STATE(1062)] = 25242,
  [SMALL_STATE(1063)] = 25324,
  [SMALL_STATE(1064)] = 25406,
  [SMALL_STATE(1065)] = 25456,
  [SMALL_STATE(1066)] = 25520,
  [SMALL_STATE(1067)] = 25588,
  [SMALL_STATE(1068)] = 25670,
  [SMALL_STATE(1069)] = 25746,
  [SMALL_STATE(1070)] = 25792,
  [SMALL_STATE(1071)] = 25868,
  [SMALL_STATE(1072)] = 25948,
  [SMALL_STATE(1073)] = 26026,
  [SMALL_STATE(1074)] = 26098,
  [SMALL_STATE(1075)] = 26168,
  [SMALL_STATE(1076)] = 26234,
  [SMALL_STATE(1077)] = 26294,
  [SMALL_STATE(1078)] = 26350,
  [SMALL_STATE(1079)] = 26402,
  [SMALL_STATE(1080)] = 26456,
  [SMALL_STATE(1081)] = 26502,
  [SMALL_STATE(1082)] = 26578,
  [SMALL_STATE(1083)] = 26654,
  [SMALL_STATE(1084)] = 26735,
  [SMALL_STATE(1085)] = 26814,
  [SMALL_STATE(1086)] = 26889,
  [SMALL_STATE(1087)] = 26934,
  [SMALL_STATE(1088)] = 26977,
  [SMALL_STATE(1089)] = 27052,
  [SMALL_STATE(1090)] = 27101,
  [SMALL_STATE(1091)] = 27168,
  [SMALL_STATE(1092)] = 27231,
  [SMALL_STATE(1093)] = 27312,
  [SMALL_STATE(1094)] = 27387,
  [SMALL_STATE(1095)] = 27468,
  [SMALL_STATE(1096)] = 27513,
  [SMALL_STATE(1097)] = 27594,
  [SMALL_STATE(1098)] = 27669,
  [SMALL_STATE(1099)] = 27712,
  [SMALL_STATE(1100)] = 27787,
  [SMALL_STATE(1101)] = 27862,
  [SMALL_STATE(1102)] = 27915,
  [SMALL_STATE(1103)] = 27990,
  [SMALL_STATE(1104)] = 28041,
  [SMALL_STATE(1105)] = 28122,
  [SMALL_STATE(1106)] = 28177,
  [SMALL_STATE(1107)] = 28236,
  [SMALL_STATE(1108)] = 28301,
  [SMALL_STATE(1109)] = 28370,
  [SMALL_STATE(1110)] = 28441,
  [SMALL_STATE(1111)] = 28518,
  [SMALL_STATE(1112)] = 28599,
  [SMALL_STATE(1113)] = 28680,
  [SMALL_STATE(1114)] = 28761,
  [SMALL_STATE(1115)] = 28844,
  [SMALL_STATE(1116)] = 28925,
  [SMALL_STATE(1117)] = 29006,
  [SMALL_STATE(1118)] = 29049,
  [SMALL_STATE(1119)] = 29097,
  [SMALL_STATE(1120)] = 29155,
  [SMALL_STATE(1121)] = 29197,
  [SMALL_STATE(1122)] = 29239,
  [SMALL_STATE(1123)] = 29281,
  [SMALL_STATE(1124)] = 29361,
  [SMALL_STATE(1125)] = 29403,
  [SMALL_STATE(1126)] = 29445,
  [SMALL_STATE(1127)] = 29489,
  [SMALL_STATE(1128)] = 29531,
  [SMALL_STATE(1129)] = 29573,
  [SMALL_STATE(1130)] = 29615,
  [SMALL_STATE(1131)] = 29657,
  [SMALL_STATE(1132)] = 29737,
  [SMALL_STATE(1133)] = 29779,
  [SMALL_STATE(1134)] = 29821,
  [SMALL_STATE(1135)] = 29863,
  [SMALL_STATE(1136)] = 29905,
  [SMALL_STATE(1137)] = 29985,
  [SMALL_STATE(1138)] = 30027,
  [SMALL_STATE(1139)] = 30069,
  [SMALL_STATE(1140)] = 30149,
  [SMALL_STATE(1141)] = 30191,
  [SMALL_STATE(1142)] = 30233,
  [SMALL_STATE(1143)] = 30275,
  [SMALL_STATE(1144)] = 30357,
  [SMALL_STATE(1145)] = 30399,
  [SMALL_STATE(1146)] = 30479,
  [SMALL_STATE(1147)] = 30559,
  [SMALL_STATE(1148)] = 30639,
  [SMALL_STATE(1149)] = 30719,
  [SMALL_STATE(1150)] = 30761,
  [SMALL_STATE(1151)] = 30803,
  [SMALL_STATE(1152)] = 30845,
  [SMALL_STATE(1153)] = 30887,
  [SMALL_STATE(1154)] = 30929,
  [SMALL_STATE(1155)] = 30971,
  [SMALL_STATE(1156)] = 31013,
  [SMALL_STATE(1157)] = 31055,
  [SMALL_STATE(1158)] = 31097,
  [SMALL_STATE(1159)] = 31139,
  [SMALL_STATE(1160)] = 31181,
  [SMALL_STATE(1161)] = 31255,
  [SMALL_STATE(1162)] = 31297,
  [SMALL_STATE(1163)] = 31339,
  [SMALL_STATE(1164)] = 31413,
  [SMALL_STATE(1165)] = 31487,
  [SMALL_STATE(1166)] = 31529,
  [SMALL_STATE(1167)] = 31571,
  [SMALL_STATE(1168)] = 31613,
  [SMALL_STATE(1169)] = 31655,
  [SMALL_STATE(1170)] = 31697,
  [SMALL_STATE(1171)] = 31739,
  [SMALL_STATE(1172)] = 31781,
  [SMALL_STATE(1173)] = 31823,
  [SMALL_STATE(1174)] = 31865,
  [SMALL_STATE(1175)] = 31907,
  [SMALL_STATE(1176)] = 31949,
  [SMALL_STATE(1177)] = 31991,
  [SMALL_STATE(1178)] = 32033,
  [SMALL_STATE(1179)] = 32075,
  [SMALL_STATE(1180)] = 32117,
  [SMALL_STATE(1181)] = 32159,
  [SMALL_STATE(1182)] = 32201,
  [SMALL_STATE(1183)] = 32243,
  [SMALL_STATE(1184)] = 32285,
  [SMALL_STATE(1185)] = 32327,
  [SMALL_STATE(1186)] = 32369,
  [SMALL_STATE(1187)] = 32411,
  [SMALL_STATE(1188)] = 32453,
  [SMALL_STATE(1189)] = 32497,
  [SMALL_STATE(1190)] = 32539,
  [SMALL_STATE(1191)] = 32581,
  [SMALL_STATE(1192)] = 32623,
  [SMALL_STATE(1193)] = 32665,
  [SMALL_STATE(1194)] = 32707,
  [SMALL_STATE(1195)] = 32749,
  [SMALL_STATE(1196)] = 32815,
  [SMALL_STATE(1197)] = 32889,
  [SMALL_STATE(1198)] = 32969,
  [SMALL_STATE(1199)] = 33043,
  [SMALL_STATE(1200)] = 33107,
  [SMALL_STATE(1201)] = 33169,
  [SMALL_STATE(1202)] = 33237,
  [SMALL_STATE(1203)] = 33307,
  [SMALL_STATE(1204)] = 33383,
  [SMALL_STATE(1205)] = 33461,
  [SMALL_STATE(1206)] = 33535,
  [SMALL_STATE(1207)] = 33615,
  [SMALL_STATE(1208)] = 33657,
  [SMALL_STATE(1209)] = 33731,
  [SMALL_STATE(1210)] = 33773,
  [SMALL_STATE(1211)] = 33815,
  [SMALL_STATE(1212)] = 33859,
  [SMALL_STATE(1213)] = 33901,
  [SMALL_STATE(1214)] = 33943,
  [SMALL_STATE(1215)] = 33995,
  [SMALL_STATE(1216)] = 34045,
  [SMALL_STATE(1217)] = 34099,
  [SMALL_STATE(1218)] = 34142,
  [SMALL_STATE(1219)] = 34217,
  [SMALL_STATE(1220)] = 34284,
  [SMALL_STATE(1221)] = 34351,
  [SMALL_STATE(1222)] = 34430,
  [SMALL_STATE(1223)] = 34491,
  [SMALL_STATE(1224)] = 34570,
  [SMALL_STATE(1225)] = 34635,
  [SMALL_STATE(1226)] = 34682,
  [SMALL_STATE(1227)] = 34755,
  [SMALL_STATE(1228)] = 34836,
  [SMALL_STATE(1229)] = 34915,
  [SMALL_STATE(1230)] = 34994,
  [SMALL_STATE(1231)] = 35067,
  [SMALL_STATE(1232)] = 35144,
  [SMALL_STATE(1233)] = 35211,
  [SMALL_STATE(1234)] = 35280,
  [SMALL_STATE(1235)] = 35359,
  [SMALL_STATE(1236)] = 35426,
  [SMALL_STATE(1237)] = 35489,
  [SMALL_STATE(1238)] = 35546,
  [SMALL_STATE(1239)] = 35599,
  [SMALL_STATE(1240)] = 35642,
  [SMALL_STATE(1241)] = 35685,
  [SMALL_STATE(1242)] = 35734,
  [SMALL_STATE(1243)] = 35785,
  [SMALL_STATE(1244)] = 35828,
  [SMALL_STATE(1245)] = 35901,
  [SMALL_STATE(1246)] = 35980,
  [SMALL_STATE(1247)] = 36059,
  [SMALL_STATE(1248)] = 36126,
  [SMALL_STATE(1249)] = 36205,
  [SMALL_STATE(1250)] = 36278,
  [SMALL_STATE(1251)] = 36351,
  [SMALL_STATE(1252)] = 36430,
  [SMALL_STATE(1253)] = 36503,
  [SMALL_STATE(1254)] = 36576,
  [SMALL_STATE(1255)] = 36655,
  [SMALL_STATE(1256)] = 36723,
  [SMALL_STATE(1257)] = 36803,
  [SMALL_STATE(1258)] = 36871,
  [SMALL_STATE(1259)] = 36951,
  [SMALL_STATE(1260)] = 37033,
  [SMALL_STATE(1261)] = 37113,
  [SMALL_STATE(1262)] = 37191,
  [SMALL_STATE(1263)] = 37269,
  [SMALL_STATE(1264)] = 37347,
  [SMALL_STATE(1265)] = 37427,
  [SMALL_STATE(1266)] = 37507,
  [SMALL_STATE(1267)] = 37584,
  [SMALL_STATE(1268)] = 37661,
  [SMALL_STATE(1269)] = 37740,
  [SMALL_STATE(1270)] = 37819,
  [SMALL_STATE(1271)] = 37890,
  [SMALL_STATE(1272)] = 37961,
  [SMALL_STATE(1273)] = 38038,
  [SMALL_STATE(1274)] = 38115,
  [SMALL_STATE(1275)] = 38192,
  [SMALL_STATE(1276)] = 38263,
  [SMALL_STATE(1277)] = 38340,
  [SMALL_STATE(1278)] = 38417,
  [SMALL_STATE(1279)] = 38494,
  [SMALL_STATE(1280)] = 38571,
  [SMALL_STATE(1281)] = 38648,
  [SMALL_STATE(1282)] = 38727,
  [SMALL_STATE(1283)] = 38804,
  [SMALL_STATE(1284)] = 38881,
  [SMALL_STATE(1285)] = 38960,
  [SMALL_STATE(1286)] = 39031,
  [SMALL_STATE(1287)] = 39108,
  [SMALL_STATE(1288)] = 39185,
  [SMALL_STATE(1289)] = 39262,
  [SMALL_STATE(1290)] = 39341,
  [SMALL_STATE(1291)] = 39418,
  [SMALL_STATE(1292)] = 39497,
  [SMALL_STATE(1293)] = 39574,
  [SMALL_STATE(1294)] = 39645,
  [SMALL_STATE(1295)] = 39722,
  [SMALL_STATE(1296)] = 39799,
  [SMALL_STATE(1297)] = 39876,
  [SMALL_STATE(1298)] = 39947,
  [SMALL_STATE(1299)] = 40024,
  [SMALL_STATE(1300)] = 40101,
  [SMALL_STATE(1301)] = 40178,
  [SMALL_STATE(1302)] = 40255,
  [SMALL_STATE(1303)] = 40332,
  [SMALL_STATE(1304)] = 40409,
  [SMALL_STATE(1305)] = 40486,
  [SMALL_STATE(1306)] = 40563,
  [SMALL_STATE(1307)] = 40642,
  [SMALL_STATE(1308)] = 40713,
  [SMALL_STATE(1309)] = 40790,
  [SMALL_STATE(1310)] = 40867,
  [SMALL_STATE(1311)] = 40938,
  [SMALL_STATE(1312)] = 41017,
  [SMALL_STATE(1313)] = 41088,
  [SMALL_STATE(1314)] = 41165,
  [SMALL_STATE(1315)] = 41242,
  [SMALL_STATE(1316)] = 41318,
  [SMALL_STATE(1317)] = 41394,
  [SMALL_STATE(1318)] = 41470,
  [SMALL_STATE(1319)] = 41546,
  [SMALL_STATE(1320)] = 41622,
  [SMALL_STATE(1321)] = 41698,
  [SMALL_STATE(1322)] = 41774,
  [SMALL_STATE(1323)] = 41812,
  [SMALL_STATE(1324)] = 41888,
  [SMALL_STATE(1325)] = 41964,
  [SMALL_STATE(1326)] = 42040,
  [SMALL_STATE(1327)] = 42116,
  [SMALL_STATE(1328)] = 42192,
  [SMALL_STATE(1329)] = 42268,
  [SMALL_STATE(1330)] = 42344,
  [SMALL_STATE(1331)] = 42420,
  [SMALL_STATE(1332)] = 42496,
  [SMALL_STATE(1333)] = 42572,
  [SMALL_STATE(1334)] = 42648,
  [SMALL_STATE(1335)] = 42724,
  [SMALL_STATE(1336)] = 42800,
  [SMALL_STATE(1337)] = 42876,
  [SMALL_STATE(1338)] = 42952,
  [SMALL_STATE(1339)] = 43028,
  [SMALL_STATE(1340)] = 43104,
  [SMALL_STATE(1341)] = 43180,
  [SMALL_STATE(1342)] = 43256,
  [SMALL_STATE(1343)] = 43332,
  [SMALL_STATE(1344)] = 43408,
  [SMALL_STATE(1345)] = 43484,
  [SMALL_STATE(1346)] = 43560,
  [SMALL_STATE(1347)] = 43636,
  [SMALL_STATE(1348)] = 43712,
  [SMALL_STATE(1349)] = 43788,
  [SMALL_STATE(1350)] = 43864,
  [SMALL_STATE(1351)] = 43926,
  [SMALL_STATE(1352)] = 44002,
  [SMALL_STATE(1353)] = 44078,
  [SMALL_STATE(1354)] = 44154,
  [SMALL_STATE(1355)] = 44230,
  [SMALL_STATE(1356)] = 44306,
  [SMALL_STATE(1357)] = 44382,
  [SMALL_STATE(1358)] = 44458,
  [SMALL_STATE(1359)] = 44534,
  [SMALL_STATE(1360)] = 44610,
  [SMALL_STATE(1361)] = 44686,
  [SMALL_STATE(1362)] = 44762,
  [SMALL_STATE(1363)] = 44838,
  [SMALL_STATE(1364)] = 44914,
  [SMALL_STATE(1365)] = 44990,
  [SMALL_STATE(1366)] = 45066,
  [SMALL_STATE(1367)] = 45142,
  [SMALL_STATE(1368)] = 45218,
  [SMALL_STATE(1369)] = 45294,
  [SMALL_STATE(1370)] = 45370,
  [SMALL_STATE(1371)] = 45446,
  [SMALL_STATE(1372)] = 45508,
  [SMALL_STATE(1373)] = 45584,
  [SMALL_STATE(1374)] = 45660,
  [SMALL_STATE(1375)] = 45736,
  [SMALL_STATE(1376)] = 45812,
  [SMALL_STATE(1377)] = 45888,
  [SMALL_STATE(1378)] = 45964,
  [SMALL_STATE(1379)] = 46040,
  [SMALL_STATE(1380)] = 46116,
  [SMALL_STATE(1381)] = 46192,
  [SMALL_STATE(1382)] = 46268,
  [SMALL_STATE(1383)] = 46344,
  [SMALL_STATE(1384)] = 46420,
  [SMALL_STATE(1385)] = 46496,
  [SMALL_STATE(1386)] = 46572,
  [SMALL_STATE(1387)] = 46631,
  [SMALL_STATE(1388)] = 46690,
  [SMALL_STATE(1389)] = 46755,
  [SMALL_STATE(1390)] = 46820,
  [SMALL_STATE(1391)] = 46885,
  [SMALL_STATE(1392)] = 46922,
  [SMALL_STATE(1393)] = 46959,
  [SMALL_STATE(1394)] = 47024,
  [SMALL_STATE(1395)] = 47089,
  [SMALL_STATE(1396)] = 47126,
  [SMALL_STATE(1397)] = 47163,
  [SMALL_STATE(1398)] = 47211,
  [SMALL_STATE(1399)] = 47259,
  [SMALL_STATE(1400)] = 47307,
  [SMALL_STATE(1401)] = 47355,
  [SMALL_STATE(1402)] = 47403,
  [SMALL_STATE(1403)] = 47451,
  [SMALL_STATE(1404)] = 47499,
  [SMALL_STATE(1405)] = 47547,
  [SMALL_STATE(1406)] = 47595,
  [SMALL_STATE(1407)] = 47643,
  [SMALL_STATE(1408)] = 47691,
  [SMALL_STATE(1409)] = 47736,
  [SMALL_STATE(1410)] = 47781,
  [SMALL_STATE(1411)] = 47826,
  [SMALL_STATE(1412)] = 47871,
  [SMALL_STATE(1413)] = 47916,
  [SMALL_STATE(1414)] = 47961,
  [SMALL_STATE(1415)] = 47998,
  [SMALL_STATE(1416)] = 48035,
  [SMALL_STATE(1417)] = 48075,
  [SMALL_STATE(1418)] = 48125,
  [SMALL_STATE(1419)] = 48175,
  [SMALL_STATE(1420)] = 48215,
  [SMALL_STATE(1421)] = 48255,
  [SMALL_STATE(1422)] = 48300,
  [SMALL_STATE(1423)] = 48342,
  [SMALL_STATE(1424)] = 48381,
  [SMALL_STATE(1425)] = 48420,
  [SMALL_STATE(1426)] = 48459,
  [SMALL_STATE(1427)] = 48498,
  [SMALL_STATE(1428)] = 48537,
  [SMALL_STATE(1429)] = 48573,
  [SMALL_STATE(1430)] = 48609,
  [SMALL_STATE(1431)] = 48633,
  [SMALL_STATE(1432)] = 48669,
  [SMALL_STATE(1433)] = 48708,
  [SMALL_STATE(1434)] = 48747,
  [SMALL_STATE(1435)] = 48767,
  [SMALL_STATE(1436)] = 48801,
  [SMALL_STATE(1437)] = 48821,
  [SMALL_STATE(1438)] = 48841,
  [SMALL_STATE(1439)] = 48861,
  [SMALL_STATE(1440)] = 48881,
  [SMALL_STATE(1441)] = 48901,
  [SMALL_STATE(1442)] = 48937,
  [SMALL_STATE(1443)] = 48957,
  [SMALL_STATE(1444)] = 48977,
  [SMALL_STATE(1445)] = 48997,
  [SMALL_STATE(1446)] = 49017,
  [SMALL_STATE(1447)] = 49037,
  [SMALL_STATE(1448)] = 49057,
  [SMALL_STATE(1449)] = 49077,
  [SMALL_STATE(1450)] = 49097,
  [SMALL_STATE(1451)] = 49131,
  [SMALL_STATE(1452)] = 49165,
  [SMALL_STATE(1453)] = 49185,
  [SMALL_STATE(1454)] = 49205,
  [SMALL_STATE(1455)] = 49238,
  [SMALL_STATE(1456)] = 49271,
  [SMALL_STATE(1457)] = 49290,
  [SMALL_STATE(1458)] = 49315,
  [SMALL_STATE(1459)] = 49334,
  [SMALL_STATE(1460)] = 49367,
  [SMALL_STATE(1461)] = 49400,
  [SMALL_STATE(1462)] = 49433,
  [SMALL_STATE(1463)] = 49452,
  [SMALL_STATE(1464)] = 49471,
  [SMALL_STATE(1465)] = 49490,
  [SMALL_STATE(1466)] = 49509,
  [SMALL_STATE(1467)] = 49528,
  [SMALL_STATE(1468)] = 49547,
  [SMALL_STATE(1469)] = 49580,
  [SMALL_STATE(1470)] = 49599,
  [SMALL_STATE(1471)] = 49634,
  [SMALL_STATE(1472)] = 49653,
  [SMALL_STATE(1473)] = 49672,
  [SMALL_STATE(1474)] = 49705,
  [SMALL_STATE(1475)] = 49724,
  [SMALL_STATE(1476)] = 49743,
  [SMALL_STATE(1477)] = 49762,
  [SMALL_STATE(1478)] = 49781,
  [SMALL_STATE(1479)] = 49814,
  [SMALL_STATE(1480)] = 49833,
  [SMALL_STATE(1481)] = 49868,
  [SMALL_STATE(1482)] = 49901,
  [SMALL_STATE(1483)] = 49920,
  [SMALL_STATE(1484)] = 49953,
  [SMALL_STATE(1485)] = 49983,
  [SMALL_STATE(1486)] = 50017,
  [SMALL_STATE(1487)] = 50047,
  [SMALL_STATE(1488)] = 50081,
  [SMALL_STATE(1489)] = 50103,
  [SMALL_STATE(1490)] = 50124,
  [SMALL_STATE(1491)] = 50155,
  [SMALL_STATE(1492)] = 50174,
  [SMALL_STATE(1493)] = 50205,
  [SMALL_STATE(1494)] = 50230,
  [SMALL_STATE(1495)] = 50261,
  [SMALL_STATE(1496)] = 50292,
  [SMALL_STATE(1497)] = 50311,
  [SMALL_STATE(1498)] = 50336,
  [SMALL_STATE(1499)] = 50367,
  [SMALL_STATE(1500)] = 50390,
  [SMALL_STATE(1501)] = 50409,
  [SMALL_STATE(1502)] = 50427,
  [SMALL_STATE(1503)] = 50449,
  [SMALL_STATE(1504)] = 50473,
  [SMALL_STATE(1505)] = 50499,
  [SMALL_STATE(1506)] = 50527,
  [SMALL_STATE(1507)] = 50555,
  [SMALL_STATE(1508)] = 50577,
  [SMALL_STATE(1509)] = 50603,
  [SMALL_STATE(1510)] = 50625,
  [SMALL_STATE(1511)] = 50647,
  [SMALL_STATE(1512)] = 50675,
  [SMALL_STATE(1513)] = 50693,
  [SMALL_STATE(1514)] = 50721,
  [SMALL_STATE(1515)] = 50747,
  [SMALL_STATE(1516)] = 50765,
  [SMALL_STATE(1517)] = 50793,
  [SMALL_STATE(1518)] = 50811,
  [SMALL_STATE(1519)] = 50837,
  [SMALL_STATE(1520)] = 50855,
  [SMALL_STATE(1521)] = 50873,
  [SMALL_STATE(1522)] = 50893,
  [SMALL_STATE(1523)] = 50916,
  [SMALL_STATE(1524)] = 50939,
  [SMALL_STATE(1525)] = 50960,
  [SMALL_STATE(1526)] = 50983,
  [SMALL_STATE(1527)] = 51006,
  [SMALL_STATE(1528)] = 51031,
  [SMALL_STATE(1529)] = 51054,
  [SMALL_STATE(1530)] = 51077,
  [SMALL_STATE(1531)] = 51102,
  [SMALL_STATE(1532)] = 51125,
  [SMALL_STATE(1533)] = 51142,
  [SMALL_STATE(1534)] = 51165,
  [SMALL_STATE(1535)] = 51188,
  [SMALL_STATE(1536)] = 51211,
  [SMALL_STATE(1537)] = 51232,
  [SMALL_STATE(1538)] = 51257,
  [SMALL_STATE(1539)] = 51280,
  [SMALL_STATE(1540)] = 51303,
  [SMALL_STATE(1541)] = 51328,
  [SMALL_STATE(1542)] = 51353,
  [SMALL_STATE(1543)] = 51380,
  [SMALL_STATE(1544)] = 51401,
  [SMALL_STATE(1545)] = 51422,
  [SMALL_STATE(1546)] = 51445,
  [SMALL_STATE(1547)] = 51466,
  [SMALL_STATE(1548)] = 51491,
  [SMALL_STATE(1549)] = 51514,
  [SMALL_STATE(1550)] = 51537,
  [SMALL_STATE(1551)] = 51560,
  [SMALL_STATE(1552)] = 51583,
  [SMALL_STATE(1553)] = 51606,
  [SMALL_STATE(1554)] = 51627,
  [SMALL_STATE(1555)] = 51650,
  [SMALL_STATE(1556)] = 51673,
  [SMALL_STATE(1557)] = 51700,
  [SMALL_STATE(1558)] = 51725,
  [SMALL_STATE(1559)] = 51746,
  [SMALL_STATE(1560)] = 51769,
  [SMALL_STATE(1561)] = 51792,
  [SMALL_STATE(1562)] = 51813,
  [SMALL_STATE(1563)] = 51832,
  [SMALL_STATE(1564)] = 51857,
  [SMALL_STATE(1565)] = 51874,
  [SMALL_STATE(1566)] = 51895,
  [SMALL_STATE(1567)] = 51918,
  [SMALL_STATE(1568)] = 51939,
  [SMALL_STATE(1569)] = 51956,
  [SMALL_STATE(1570)] = 51979,
  [SMALL_STATE(1571)] = 52004,
  [SMALL_STATE(1572)] = 52027,
  [SMALL_STATE(1573)] = 52052,
  [SMALL_STATE(1574)] = 52075,
  [SMALL_STATE(1575)] = 52098,
  [SMALL_STATE(1576)] = 52121,
  [SMALL_STATE(1577)] = 52146,
  [SMALL_STATE(1578)] = 52171,
  [SMALL_STATE(1579)] = 52192,
  [SMALL_STATE(1580)] = 52215,
  [SMALL_STATE(1581)] = 52240,
  [SMALL_STATE(1582)] = 52261,
  [SMALL_STATE(1583)] = 52284,
  [SMALL_STATE(1584)] = 52305,
  [SMALL_STATE(1585)] = 52329,
  [SMALL_STATE(1586)] = 52357,
  [SMALL_STATE(1587)] = 52385,
  [SMALL_STATE(1588)] = 52407,
  [SMALL_STATE(1589)] = 52427,
  [SMALL_STATE(1590)] = 52455,
  [SMALL_STATE(1591)] = 52483,
  [SMALL_STATE(1592)] = 52505,
  [SMALL_STATE(1593)] = 52533,
  [SMALL_STATE(1594)] = 52559,
  [SMALL_STATE(1595)] = 52587,
  [SMALL_STATE(1596)] = 52607,
  [SMALL_STATE(1597)] = 52627,
  [SMALL_STATE(1598)] = 52644,
  [SMALL_STATE(1599)] = 52659,
  [SMALL_STATE(1600)] = 52676,
  [SMALL_STATE(1601)] = 52693,
  [SMALL_STATE(1602)] = 52710,
  [SMALL_STATE(1603)] = 52725,
  [SMALL_STATE(1604)] = 52744,
  [SMALL_STATE(1605)] = 52759,
  [SMALL_STATE(1606)] = 52776,
  [SMALL_STATE(1607)] = 52793,
  [SMALL_STATE(1608)] = 52810,
  [SMALL_STATE(1609)] = 52827,
  [SMALL_STATE(1610)] = 52848,
  [SMALL_STATE(1611)] = 52865,
  [SMALL_STATE(1612)] = 52886,
  [SMALL_STATE(1613)] = 52911,
  [SMALL_STATE(1614)] = 52928,
  [SMALL_STATE(1615)] = 52947,
  [SMALL_STATE(1616)] = 52964,
  [SMALL_STATE(1617)] = 52983,
  [SMALL_STATE(1618)] = 52998,
  [SMALL_STATE(1619)] = 53015,
  [SMALL_STATE(1620)] = 53030,
  [SMALL_STATE(1621)] = 53047,
  [SMALL_STATE(1622)] = 53062,
  [SMALL_STATE(1623)] = 53079,
  [SMALL_STATE(1624)] = 53094,
  [SMALL_STATE(1625)] = 53111,
  [SMALL_STATE(1626)] = 53132,
  [SMALL_STATE(1627)] = 53147,
  [SMALL_STATE(1628)] = 53162,
  [SMALL_STATE(1629)] = 53179,
  [SMALL_STATE(1630)] = 53194,
  [SMALL_STATE(1631)] = 53209,
  [SMALL_STATE(1632)] = 53230,
  [SMALL_STATE(1633)] = 53245,
  [SMALL_STATE(1634)] = 53262,
  [SMALL_STATE(1635)] = 53279,
  [SMALL_STATE(1636)] = 53302,
  [SMALL_STATE(1637)] = 53321,
  [SMALL_STATE(1638)] = 53338,
  [SMALL_STATE(1639)] = 53355,
  [SMALL_STATE(1640)] = 53372,
  [SMALL_STATE(1641)] = 53394,
  [SMALL_STATE(1642)] = 53416,
  [SMALL_STATE(1643)] = 53436,
  [SMALL_STATE(1644)] = 53456,
  [SMALL_STATE(1645)] = 53470,
  [SMALL_STATE(1646)] = 53484,
  [SMALL_STATE(1647)] = 53498,
  [SMALL_STATE(1648)] = 53512,
  [SMALL_STATE(1649)] = 53526,
  [SMALL_STATE(1650)] = 53540,
  [SMALL_STATE(1651)] = 53554,
  [SMALL_STATE(1652)] = 53572,
  [SMALL_STATE(1653)] = 53594,
  [SMALL_STATE(1654)] = 53614,
  [SMALL_STATE(1655)] = 53636,
  [SMALL_STATE(1656)] = 53658,
  [SMALL_STATE(1657)] = 53676,
  [SMALL_STATE(1658)] = 53694,
  [SMALL_STATE(1659)] = 53716,
  [SMALL_STATE(1660)] = 53738,
  [SMALL_STATE(1661)] = 53760,
  [SMALL_STATE(1662)] = 53782,
  [SMALL_STATE(1663)] = 53804,
  [SMALL_STATE(1664)] = 53818,
  [SMALL_STATE(1665)] = 53840,
  [SMALL_STATE(1666)] = 53858,
  [SMALL_STATE(1667)] = 53880,
  [SMALL_STATE(1668)] = 53900,
  [SMALL_STATE(1669)] = 53918,
  [SMALL_STATE(1670)] = 53936,
  [SMALL_STATE(1671)] = 53958,
  [SMALL_STATE(1672)] = 53980,
  [SMALL_STATE(1673)] = 53994,
  [SMALL_STATE(1674)] = 54012,
  [SMALL_STATE(1675)] = 54034,
  [SMALL_STATE(1676)] = 54056,
  [SMALL_STATE(1677)] = 54076,
  [SMALL_STATE(1678)] = 54094,
  [SMALL_STATE(1679)] = 54116,
  [SMALL_STATE(1680)] = 54134,
  [SMALL_STATE(1681)] = 54156,
  [SMALL_STATE(1682)] = 54178,
  [SMALL_STATE(1683)] = 54200,
  [SMALL_STATE(1684)] = 54216,
  [SMALL_STATE(1685)] = 54238,
  [SMALL_STATE(1686)] = 54260,
  [SMALL_STATE(1687)] = 54274,
  [SMALL_STATE(1688)] = 54294,
  [SMALL_STATE(1689)] = 54308,
  [SMALL_STATE(1690)] = 54330,
  [SMALL_STATE(1691)] = 54352,
  [SMALL_STATE(1692)] = 54370,
  [SMALL_STATE(1693)] = 54384,
  [SMALL_STATE(1694)] = 54398,
  [SMALL_STATE(1695)] = 54420,
  [SMALL_STATE(1696)] = 54440,
  [SMALL_STATE(1697)] = 54462,
  [SMALL_STATE(1698)] = 54482,
  [SMALL_STATE(1699)] = 54504,
  [SMALL_STATE(1700)] = 54526,
  [SMALL_STATE(1701)] = 54548,
  [SMALL_STATE(1702)] = 54570,
  [SMALL_STATE(1703)] = 54588,
  [SMALL_STATE(1704)] = 54606,
  [SMALL_STATE(1705)] = 54620,
  [SMALL_STATE(1706)] = 54642,
  [SMALL_STATE(1707)] = 54664,
  [SMALL_STATE(1708)] = 54678,
  [SMALL_STATE(1709)] = 54700,
  [SMALL_STATE(1710)] = 54722,
  [SMALL_STATE(1711)] = 54744,
  [SMALL_STATE(1712)] = 54758,
  [SMALL_STATE(1713)] = 54778,
  [SMALL_STATE(1714)] = 54796,
  [SMALL_STATE(1715)] = 54818,
  [SMALL_STATE(1716)] = 54833,
  [SMALL_STATE(1717)] = 54852,
  [SMALL_STATE(1718)] = 54871,
  [SMALL_STATE(1719)] = 54890,
  [SMALL_STATE(1720)] = 54905,
  [SMALL_STATE(1721)] = 54920,
  [SMALL_STATE(1722)] = 54935,
  [SMALL_STATE(1723)] = 54950,
  [SMALL_STATE(1724)] = 54967,
  [SMALL_STATE(1725)] = 54982,
  [SMALL_STATE(1726)] = 54999,
  [SMALL_STATE(1727)] = 55018,
  [SMALL_STATE(1728)] = 55033,
  [SMALL_STATE(1729)] = 55048,
  [SMALL_STATE(1730)] = 55059,
  [SMALL_STATE(1731)] = 55074,
  [SMALL_STATE(1732)] = 55085,
  [SMALL_STATE(1733)] = 55096,
  [SMALL_STATE(1734)] = 55111,
  [SMALL_STATE(1735)] = 55126,
  [SMALL_STATE(1736)] = 55145,
  [SMALL_STATE(1737)] = 55160,
  [SMALL_STATE(1738)] = 55175,
  [SMALL_STATE(1739)] = 55190,
  [SMALL_STATE(1740)] = 55205,
  [SMALL_STATE(1741)] = 55220,
  [SMALL_STATE(1742)] = 55235,
  [SMALL_STATE(1743)] = 55252,
  [SMALL_STATE(1744)] = 55269,
  [SMALL_STATE(1745)] = 55288,
  [SMALL_STATE(1746)] = 55307,
  [SMALL_STATE(1747)] = 55326,
  [SMALL_STATE(1748)] = 55341,
  [SMALL_STATE(1749)] = 55360,
  [SMALL_STATE(1750)] = 55379,
  [SMALL_STATE(1751)] = 55398,
  [SMALL_STATE(1752)] = 55417,
  [SMALL_STATE(1753)] = 55432,
  [SMALL_STATE(1754)] = 55447,
  [SMALL_STATE(1755)] = 55460,
  [SMALL_STATE(1756)] = 55479,
  [SMALL_STATE(1757)] = 55498,
  [SMALL_STATE(1758)] = 55515,
  [SMALL_STATE(1759)] = 55534,
  [SMALL_STATE(1760)] = 55549,
  [SMALL_STATE(1761)] = 55568,
  [SMALL_STATE(1762)] = 55583,
  [SMALL_STATE(1763)] = 55600,
  [SMALL_STATE(1764)] = 55619,
  [SMALL_STATE(1765)] = 55634,
  [SMALL_STATE(1766)] = 55649,
  [SMALL_STATE(1767)] = 55664,
  [SMALL_STATE(1768)] = 55683,
  [SMALL_STATE(1769)] = 55702,
  [SMALL_STATE(1770)] = 55721,
  [SMALL_STATE(1771)] = 55736,
  [SMALL_STATE(1772)] = 55753,
  [SMALL_STATE(1773)] = 55768,
  [SMALL_STATE(1774)] = 55785,
  [SMALL_STATE(1775)] = 55800,
  [SMALL_STATE(1776)] = 55819,
  [SMALL_STATE(1777)] = 55834,
  [SMALL_STATE(1778)] = 55851,
  [SMALL_STATE(1779)] = 55866,
  [SMALL_STATE(1780)] = 55881,
  [SMALL_STATE(1781)] = 55894,
  [SMALL_STATE(1782)] = 55911,
  [SMALL_STATE(1783)] = 55928,
  [SMALL_STATE(1784)] = 55945,
  [SMALL_STATE(1785)] = 55960,
  [SMALL_STATE(1786)] = 55975,
  [SMALL_STATE(1787)] = 55990,
  [SMALL_STATE(1788)] = 56005,
  [SMALL_STATE(1789)] = 56018,
  [SMALL_STATE(1790)] = 56035,
  [SMALL_STATE(1791)] = 56050,
  [SMALL_STATE(1792)] = 56065,
  [SMALL_STATE(1793)] = 56084,
  [SMALL_STATE(1794)] = 56099,
  [SMALL_STATE(1795)] = 56118,
  [SMALL_STATE(1796)] = 56135,
  [SMALL_STATE(1797)] = 56154,
  [SMALL_STATE(1798)] = 56171,
  [SMALL_STATE(1799)] = 56188,
  [SMALL_STATE(1800)] = 56203,
  [SMALL_STATE(1801)] = 56220,
  [SMALL_STATE(1802)] = 56235,
  [SMALL_STATE(1803)] = 56252,
  [SMALL_STATE(1804)] = 56267,
  [SMALL_STATE(1805)] = 56282,
  [SMALL_STATE(1806)] = 56298,
  [SMALL_STATE(1807)] = 56314,
  [SMALL_STATE(1808)] = 56330,
  [SMALL_STATE(1809)] = 56344,
  [SMALL_STATE(1810)] = 56358,
  [SMALL_STATE(1811)] = 56372,
  [SMALL_STATE(1812)] = 56388,
  [SMALL_STATE(1813)] = 56404,
  [SMALL_STATE(1814)] = 56418,
  [SMALL_STATE(1815)] = 56432,
  [SMALL_STATE(1816)] = 56442,
  [SMALL_STATE(1817)] = 56458,
  [SMALL_STATE(1818)] = 56474,
  [SMALL_STATE(1819)] = 56490,
  [SMALL_STATE(1820)] = 56506,
  [SMALL_STATE(1821)] = 56520,
  [SMALL_STATE(1822)] = 56536,
  [SMALL_STATE(1823)] = 56550,
  [SMALL_STATE(1824)] = 56562,
  [SMALL_STATE(1825)] = 56576,
  [SMALL_STATE(1826)] = 56590,
  [SMALL_STATE(1827)] = 56600,
  [SMALL_STATE(1828)] = 56616,
  [SMALL_STATE(1829)] = 56630,
  [SMALL_STATE(1830)] = 56644,
  [SMALL_STATE(1831)] = 56660,
  [SMALL_STATE(1832)] = 56674,
  [SMALL_STATE(1833)] = 56684,
  [SMALL_STATE(1834)] = 56694,
  [SMALL_STATE(1835)] = 56708,
  [SMALL_STATE(1836)] = 56720,
  [SMALL_STATE(1837)] = 56736,
  [SMALL_STATE(1838)] = 56750,
  [SMALL_STATE(1839)] = 56764,
  [SMALL_STATE(1840)] = 56778,
  [SMALL_STATE(1841)] = 56792,
  [SMALL_STATE(1842)] = 56804,
  [SMALL_STATE(1843)] = 56820,
  [SMALL_STATE(1844)] = 56834,
  [SMALL_STATE(1845)] = 56850,
  [SMALL_STATE(1846)] = 56866,
  [SMALL_STATE(1847)] = 56882,
  [SMALL_STATE(1848)] = 56896,
  [SMALL_STATE(1849)] = 56912,
  [SMALL_STATE(1850)] = 56928,
  [SMALL_STATE(1851)] = 56942,
  [SMALL_STATE(1852)] = 56958,
  [SMALL_STATE(1853)] = 56974,
  [SMALL_STATE(1854)] = 56984,
  [SMALL_STATE(1855)] = 56998,
  [SMALL_STATE(1856)] = 57014,
  [SMALL_STATE(1857)] = 57028,
  [SMALL_STATE(1858)] = 57042,
  [SMALL_STATE(1859)] = 57056,
  [SMALL_STATE(1860)] = 57072,
  [SMALL_STATE(1861)] = 57086,
  [SMALL_STATE(1862)] = 57100,
  [SMALL_STATE(1863)] = 57112,
  [SMALL_STATE(1864)] = 57128,
  [SMALL_STATE(1865)] = 57144,
  [SMALL_STATE(1866)] = 57160,
  [SMALL_STATE(1867)] = 57170,
  [SMALL_STATE(1868)] = 57186,
  [SMALL_STATE(1869)] = 57196,
  [SMALL_STATE(1870)] = 57212,
  [SMALL_STATE(1871)] = 57228,
  [SMALL_STATE(1872)] = 57244,
  [SMALL_STATE(1873)] = 57260,
  [SMALL_STATE(1874)] = 57274,
  [SMALL_STATE(1875)] = 57284,
  [SMALL_STATE(1876)] = 57294,
  [SMALL_STATE(1877)] = 57310,
  [SMALL_STATE(1878)] = 57320,
  [SMALL_STATE(1879)] = 57336,
  [SMALL_STATE(1880)] = 57346,
  [SMALL_STATE(1881)] = 57362,
  [SMALL_STATE(1882)] = 57376,
  [SMALL_STATE(1883)] = 57392,
  [SMALL_STATE(1884)] = 57406,
  [SMALL_STATE(1885)] = 57420,
  [SMALL_STATE(1886)] = 57434,
  [SMALL_STATE(1887)] = 57450,
  [SMALL_STATE(1888)] = 57466,
  [SMALL_STATE(1889)] = 57480,
  [SMALL_STATE(1890)] = 57494,
  [SMALL_STATE(1891)] = 57510,
  [SMALL_STATE(1892)] = 57524,
  [SMALL_STATE(1893)] = 57534,
  [SMALL_STATE(1894)] = 57544,
  [SMALL_STATE(1895)] = 57560,
  [SMALL_STATE(1896)] = 57574,
  [SMALL_STATE(1897)] = 57590,
  [SMALL_STATE(1898)] = 57602,
  [SMALL_STATE(1899)] = 57618,
  [SMALL_STATE(1900)] = 57632,
  [SMALL_STATE(1901)] = 57648,
  [SMALL_STATE(1902)] = 57664,
  [SMALL_STATE(1903)] = 57674,
  [SMALL_STATE(1904)] = 57688,
  [SMALL_STATE(1905)] = 57702,
  [SMALL_STATE(1906)] = 57716,
  [SMALL_STATE(1907)] = 57732,
  [SMALL_STATE(1908)] = 57746,
  [SMALL_STATE(1909)] = 57760,
  [SMALL_STATE(1910)] = 57776,
  [SMALL_STATE(1911)] = 57792,
  [SMALL_STATE(1912)] = 57808,
  [SMALL_STATE(1913)] = 57822,
  [SMALL_STATE(1914)] = 57838,
  [SMALL_STATE(1915)] = 57854,
  [SMALL_STATE(1916)] = 57870,
  [SMALL_STATE(1917)] = 57886,
  [SMALL_STATE(1918)] = 57896,
  [SMALL_STATE(1919)] = 57910,
  [SMALL_STATE(1920)] = 57924,
  [SMALL_STATE(1921)] = 57938,
  [SMALL_STATE(1922)] = 57948,
  [SMALL_STATE(1923)] = 57964,
  [SMALL_STATE(1924)] = 57974,
  [SMALL_STATE(1925)] = 57988,
  [SMALL_STATE(1926)] = 58002,
  [SMALL_STATE(1927)] = 58018,
  [SMALL_STATE(1928)] = 58034,
  [SMALL_STATE(1929)] = 58048,
  [SMALL_STATE(1930)] = 58064,
  [SMALL_STATE(1931)] = 58080,
  [SMALL_STATE(1932)] = 58094,
  [SMALL_STATE(1933)] = 58108,
  [SMALL_STATE(1934)] = 58124,
  [SMALL_STATE(1935)] = 58138,
  [SMALL_STATE(1936)] = 58154,
  [SMALL_STATE(1937)] = 58168,
  [SMALL_STATE(1938)] = 58182,
  [SMALL_STATE(1939)] = 58196,
  [SMALL_STATE(1940)] = 58212,
  [SMALL_STATE(1941)] = 58226,
  [SMALL_STATE(1942)] = 58242,
  [SMALL_STATE(1943)] = 58256,
  [SMALL_STATE(1944)] = 58272,
  [SMALL_STATE(1945)] = 58286,
  [SMALL_STATE(1946)] = 58300,
  [SMALL_STATE(1947)] = 58314,
  [SMALL_STATE(1948)] = 58328,
  [SMALL_STATE(1949)] = 58342,
  [SMALL_STATE(1950)] = 58358,
  [SMALL_STATE(1951)] = 58372,
  [SMALL_STATE(1952)] = 58382,
  [SMALL_STATE(1953)] = 58392,
  [SMALL_STATE(1954)] = 58405,
  [SMALL_STATE(1955)] = 58418,
  [SMALL_STATE(1956)] = 58429,
  [SMALL_STATE(1957)] = 58442,
  [SMALL_STATE(1958)] = 58455,
  [SMALL_STATE(1959)] = 58468,
  [SMALL_STATE(1960)] = 58479,
  [SMALL_STATE(1961)] = 58492,
  [SMALL_STATE(1962)] = 58505,
  [SMALL_STATE(1963)] = 58518,
  [SMALL_STATE(1964)] = 58529,
  [SMALL_STATE(1965)] = 58538,
  [SMALL_STATE(1966)] = 58549,
  [SMALL_STATE(1967)] = 58562,
  [SMALL_STATE(1968)] = 58573,
  [SMALL_STATE(1969)] = 58584,
  [SMALL_STATE(1970)] = 58597,
  [SMALL_STATE(1971)] = 58610,
  [SMALL_STATE(1972)] = 58621,
  [SMALL_STATE(1973)] = 58632,
  [SMALL_STATE(1974)] = 58645,
  [SMALL_STATE(1975)] = 58656,
  [SMALL_STATE(1976)] = 58669,
  [SMALL_STATE(1977)] = 58682,
  [SMALL_STATE(1978)] = 58693,
  [SMALL_STATE(1979)] = 58706,
  [SMALL_STATE(1980)] = 58717,
  [SMALL_STATE(1981)] = 58728,
  [SMALL_STATE(1982)] = 58739,
  [SMALL_STATE(1983)] = 58750,
  [SMALL_STATE(1984)] = 58761,
  [SMALL_STATE(1985)] = 58774,
  [SMALL_STATE(1986)] = 58785,
  [SMALL_STATE(1987)] = 58796,
  [SMALL_STATE(1988)] = 58809,
  [SMALL_STATE(1989)] = 58820,
  [SMALL_STATE(1990)] = 58831,
  [SMALL_STATE(1991)] = 58842,
  [SMALL_STATE(1992)] = 58853,
  [SMALL_STATE(1993)] = 58866,
  [SMALL_STATE(1994)] = 58877,
  [SMALL_STATE(1995)] = 58890,
  [SMALL_STATE(1996)] = 58901,
  [SMALL_STATE(1997)] = 58912,
  [SMALL_STATE(1998)] = 58925,
  [SMALL_STATE(1999)] = 58938,
  [SMALL_STATE(2000)] = 58951,
  [SMALL_STATE(2001)] = 58964,
  [SMALL_STATE(2002)] = 58977,
  [SMALL_STATE(2003)] = 58990,
  [SMALL_STATE(2004)] = 59003,
  [SMALL_STATE(2005)] = 59016,
  [SMALL_STATE(2006)] = 59029,
  [SMALL_STATE(2007)] = 59042,
  [SMALL_STATE(2008)] = 59053,
  [SMALL_STATE(2009)] = 59064,
  [SMALL_STATE(2010)] = 59075,
  [SMALL_STATE(2011)] = 59086,
  [SMALL_STATE(2012)] = 59099,
  [SMALL_STATE(2013)] = 59110,
  [SMALL_STATE(2014)] = 59121,
  [SMALL_STATE(2015)] = 59134,
  [SMALL_STATE(2016)] = 59143,
  [SMALL_STATE(2017)] = 59156,
  [SMALL_STATE(2018)] = 59169,
  [SMALL_STATE(2019)] = 59180,
  [SMALL_STATE(2020)] = 59189,
  [SMALL_STATE(2021)] = 59200,
  [SMALL_STATE(2022)] = 59209,
  [SMALL_STATE(2023)] = 59222,
  [SMALL_STATE(2024)] = 59233,
  [SMALL_STATE(2025)] = 59244,
  [SMALL_STATE(2026)] = 59257,
  [SMALL_STATE(2027)] = 59270,
  [SMALL_STATE(2028)] = 59279,
  [SMALL_STATE(2029)] = 59292,
  [SMALL_STATE(2030)] = 59301,
  [SMALL_STATE(2031)] = 59314,
  [SMALL_STATE(2032)] = 59327,
  [SMALL_STATE(2033)] = 59336,
  [SMALL_STATE(2034)] = 59347,
  [SMALL_STATE(2035)] = 59358,
  [SMALL_STATE(2036)] = 59367,
  [SMALL_STATE(2037)] = 59380,
  [SMALL_STATE(2038)] = 59391,
  [SMALL_STATE(2039)] = 59404,
  [SMALL_STATE(2040)] = 59417,
  [SMALL_STATE(2041)] = 59430,
  [SMALL_STATE(2042)] = 59443,
  [SMALL_STATE(2043)] = 59454,
  [SMALL_STATE(2044)] = 59467,
  [SMALL_STATE(2045)] = 59478,
  [SMALL_STATE(2046)] = 59489,
  [SMALL_STATE(2047)] = 59502,
  [SMALL_STATE(2048)] = 59513,
  [SMALL_STATE(2049)] = 59524,
  [SMALL_STATE(2050)] = 59535,
  [SMALL_STATE(2051)] = 59548,
  [SMALL_STATE(2052)] = 59561,
  [SMALL_STATE(2053)] = 59572,
  [SMALL_STATE(2054)] = 59585,
  [SMALL_STATE(2055)] = 59598,
  [SMALL_STATE(2056)] = 59609,
  [SMALL_STATE(2057)] = 59620,
  [SMALL_STATE(2058)] = 59629,
  [SMALL_STATE(2059)] = 59642,
  [SMALL_STATE(2060)] = 59651,
  [SMALL_STATE(2061)] = 59664,
  [SMALL_STATE(2062)] = 59675,
  [SMALL_STATE(2063)] = 59686,
  [SMALL_STATE(2064)] = 59699,
  [SMALL_STATE(2065)] = 59710,
  [SMALL_STATE(2066)] = 59721,
  [SMALL_STATE(2067)] = 59732,
  [SMALL_STATE(2068)] = 59745,
  [SMALL_STATE(2069)] = 59756,
  [SMALL_STATE(2070)] = 59767,
  [SMALL_STATE(2071)] = 59778,
  [SMALL_STATE(2072)] = 59789,
  [SMALL_STATE(2073)] = 59800,
  [SMALL_STATE(2074)] = 59811,
  [SMALL_STATE(2075)] = 59824,
  [SMALL_STATE(2076)] = 59835,
  [SMALL_STATE(2077)] = 59846,
  [SMALL_STATE(2078)] = 59857,
  [SMALL_STATE(2079)] = 59868,
  [SMALL_STATE(2080)] = 59879,
  [SMALL_STATE(2081)] = 59890,
  [SMALL_STATE(2082)] = 59901,
  [SMALL_STATE(2083)] = 59912,
  [SMALL_STATE(2084)] = 59923,
  [SMALL_STATE(2085)] = 59932,
  [SMALL_STATE(2086)] = 59943,
  [SMALL_STATE(2087)] = 59952,
  [SMALL_STATE(2088)] = 59963,
  [SMALL_STATE(2089)] = 59974,
  [SMALL_STATE(2090)] = 59987,
  [SMALL_STATE(2091)] = 60000,
  [SMALL_STATE(2092)] = 60011,
  [SMALL_STATE(2093)] = 60024,
  [SMALL_STATE(2094)] = 60037,
  [SMALL_STATE(2095)] = 60046,
  [SMALL_STATE(2096)] = 60055,
  [SMALL_STATE(2097)] = 60066,
  [SMALL_STATE(2098)] = 60077,
  [SMALL_STATE(2099)] = 60090,
  [SMALL_STATE(2100)] = 60101,
  [SMALL_STATE(2101)] = 60112,
  [SMALL_STATE(2102)] = 60123,
  [SMALL_STATE(2103)] = 60136,
  [SMALL_STATE(2104)] = 60147,
  [SMALL_STATE(2105)] = 60156,
  [SMALL_STATE(2106)] = 60167,
  [SMALL_STATE(2107)] = 60178,
  [SMALL_STATE(2108)] = 60191,
  [SMALL_STATE(2109)] = 60204,
  [SMALL_STATE(2110)] = 60213,
  [SMALL_STATE(2111)] = 60226,
  [SMALL_STATE(2112)] = 60237,
  [SMALL_STATE(2113)] = 60250,
  [SMALL_STATE(2114)] = 60263,
  [SMALL_STATE(2115)] = 60276,
  [SMALL_STATE(2116)] = 60287,
  [SMALL_STATE(2117)] = 60300,
  [SMALL_STATE(2118)] = 60311,
  [SMALL_STATE(2119)] = 60322,
  [SMALL_STATE(2120)] = 60335,
  [SMALL_STATE(2121)] = 60346,
  [SMALL_STATE(2122)] = 60359,
  [SMALL_STATE(2123)] = 60372,
  [SMALL_STATE(2124)] = 60381,
  [SMALL_STATE(2125)] = 60394,
  [SMALL_STATE(2126)] = 60405,
  [SMALL_STATE(2127)] = 60416,
  [SMALL_STATE(2128)] = 60427,
  [SMALL_STATE(2129)] = 60438,
  [SMALL_STATE(2130)] = 60449,
  [SMALL_STATE(2131)] = 60462,
  [SMALL_STATE(2132)] = 60471,
  [SMALL_STATE(2133)] = 60484,
  [SMALL_STATE(2134)] = 60495,
  [SMALL_STATE(2135)] = 60508,
  [SMALL_STATE(2136)] = 60519,
  [SMALL_STATE(2137)] = 60530,
  [SMALL_STATE(2138)] = 60541,
  [SMALL_STATE(2139)] = 60552,
  [SMALL_STATE(2140)] = 60561,
  [SMALL_STATE(2141)] = 60572,
  [SMALL_STATE(2142)] = 60581,
  [SMALL_STATE(2143)] = 60592,
  [SMALL_STATE(2144)] = 60605,
  [SMALL_STATE(2145)] = 60616,
  [SMALL_STATE(2146)] = 60627,
  [SMALL_STATE(2147)] = 60638,
  [SMALL_STATE(2148)] = 60651,
  [SMALL_STATE(2149)] = 60664,
  [SMALL_STATE(2150)] = 60675,
  [SMALL_STATE(2151)] = 60686,
  [SMALL_STATE(2152)] = 60697,
  [SMALL_STATE(2153)] = 60708,
  [SMALL_STATE(2154)] = 60719,
  [SMALL_STATE(2155)] = 60732,
  [SMALL_STATE(2156)] = 60743,
  [SMALL_STATE(2157)] = 60754,
  [SMALL_STATE(2158)] = 60765,
  [SMALL_STATE(2159)] = 60776,
  [SMALL_STATE(2160)] = 60787,
  [SMALL_STATE(2161)] = 60798,
  [SMALL_STATE(2162)] = 60811,
  [SMALL_STATE(2163)] = 60822,
  [SMALL_STATE(2164)] = 60833,
  [SMALL_STATE(2165)] = 60844,
  [SMALL_STATE(2166)] = 60855,
  [SMALL_STATE(2167)] = 60866,
  [SMALL_STATE(2168)] = 60877,
  [SMALL_STATE(2169)] = 60888,
  [SMALL_STATE(2170)] = 60901,
  [SMALL_STATE(2171)] = 60914,
  [SMALL_STATE(2172)] = 60927,
  [SMALL_STATE(2173)] = 60940,
  [SMALL_STATE(2174)] = 60953,
  [SMALL_STATE(2175)] = 60964,
  [SMALL_STATE(2176)] = 60977,
  [SMALL_STATE(2177)] = 60988,
  [SMALL_STATE(2178)] = 61001,
  [SMALL_STATE(2179)] = 61012,
  [SMALL_STATE(2180)] = 61023,
  [SMALL_STATE(2181)] = 61034,
  [SMALL_STATE(2182)] = 61047,
  [SMALL_STATE(2183)] = 61060,
  [SMALL_STATE(2184)] = 61073,
  [SMALL_STATE(2185)] = 61086,
  [SMALL_STATE(2186)] = 61097,
  [SMALL_STATE(2187)] = 61108,
  [SMALL_STATE(2188)] = 61119,
  [SMALL_STATE(2189)] = 61132,
  [SMALL_STATE(2190)] = 61145,
  [SMALL_STATE(2191)] = 61156,
  [SMALL_STATE(2192)] = 61169,
  [SMALL_STATE(2193)] = 61182,
  [SMALL_STATE(2194)] = 61193,
  [SMALL_STATE(2195)] = 61206,
  [SMALL_STATE(2196)] = 61217,
  [SMALL_STATE(2197)] = 61228,
  [SMALL_STATE(2198)] = 61239,
  [SMALL_STATE(2199)] = 61250,
  [SMALL_STATE(2200)] = 61261,
  [SMALL_STATE(2201)] = 61272,
  [SMALL_STATE(2202)] = 61283,
  [SMALL_STATE(2203)] = 61294,
  [SMALL_STATE(2204)] = 61307,
  [SMALL_STATE(2205)] = 61318,
  [SMALL_STATE(2206)] = 61329,
  [SMALL_STATE(2207)] = 61340,
  [SMALL_STATE(2208)] = 61351,
  [SMALL_STATE(2209)] = 61362,
  [SMALL_STATE(2210)] = 61373,
  [SMALL_STATE(2211)] = 61384,
  [SMALL_STATE(2212)] = 61395,
  [SMALL_STATE(2213)] = 61408,
  [SMALL_STATE(2214)] = 61419,
  [SMALL_STATE(2215)] = 61430,
  [SMALL_STATE(2216)] = 61441,
  [SMALL_STATE(2217)] = 61454,
  [SMALL_STATE(2218)] = 61467,
  [SMALL_STATE(2219)] = 61478,
  [SMALL_STATE(2220)] = 61491,
  [SMALL_STATE(2221)] = 61500,
  [SMALL_STATE(2222)] = 61509,
  [SMALL_STATE(2223)] = 61520,
  [SMALL_STATE(2224)] = 61531,
  [SMALL_STATE(2225)] = 61544,
  [SMALL_STATE(2226)] = 61557,
  [SMALL_STATE(2227)] = 61570,
  [SMALL_STATE(2228)] = 61579,
  [SMALL_STATE(2229)] = 61592,
  [SMALL_STATE(2230)] = 61601,
  [SMALL_STATE(2231)] = 61610,
  [SMALL_STATE(2232)] = 61621,
  [SMALL_STATE(2233)] = 61632,
  [SMALL_STATE(2234)] = 61643,
  [SMALL_STATE(2235)] = 61654,
  [SMALL_STATE(2236)] = 61665,
  [SMALL_STATE(2237)] = 61676,
  [SMALL_STATE(2238)] = 61687,
  [SMALL_STATE(2239)] = 61698,
  [SMALL_STATE(2240)] = 61709,
  [SMALL_STATE(2241)] = 61722,
  [SMALL_STATE(2242)] = 61733,
  [SMALL_STATE(2243)] = 61744,
  [SMALL_STATE(2244)] = 61755,
  [SMALL_STATE(2245)] = 61768,
  [SMALL_STATE(2246)] = 61778,
  [SMALL_STATE(2247)] = 61788,
  [SMALL_STATE(2248)] = 61796,
  [SMALL_STATE(2249)] = 61806,
  [SMALL_STATE(2250)] = 61816,
  [SMALL_STATE(2251)] = 61824,
  [SMALL_STATE(2252)] = 61832,
  [SMALL_STATE(2253)] = 61840,
  [SMALL_STATE(2254)] = 61850,
  [SMALL_STATE(2255)] = 61858,
  [SMALL_STATE(2256)] = 61866,
  [SMALL_STATE(2257)] = 61874,
  [SMALL_STATE(2258)] = 61882,
  [SMALL_STATE(2259)] = 61890,
  [SMALL_STATE(2260)] = 61898,
  [SMALL_STATE(2261)] = 61906,
  [SMALL_STATE(2262)] = 61914,
  [SMALL_STATE(2263)] = 61922,
  [SMALL_STATE(2264)] = 61930,
  [SMALL_STATE(2265)] = 61940,
  [SMALL_STATE(2266)] = 61950,
  [SMALL_STATE(2267)] = 61960,
  [SMALL_STATE(2268)] = 61970,
  [SMALL_STATE(2269)] = 61978,
  [SMALL_STATE(2270)] = 61988,
  [SMALL_STATE(2271)] = 61998,
  [SMALL_STATE(2272)] = 62008,
  [SMALL_STATE(2273)] = 62018,
  [SMALL_STATE(2274)] = 62028,
  [SMALL_STATE(2275)] = 62036,
  [SMALL_STATE(2276)] = 62046,
  [SMALL_STATE(2277)] = 62056,
  [SMALL_STATE(2278)] = 62066,
  [SMALL_STATE(2279)] = 62074,
  [SMALL_STATE(2280)] = 62084,
  [SMALL_STATE(2281)] = 62094,
  [SMALL_STATE(2282)] = 62102,
  [SMALL_STATE(2283)] = 62110,
  [SMALL_STATE(2284)] = 62118,
  [SMALL_STATE(2285)] = 62128,
  [SMALL_STATE(2286)] = 62136,
  [SMALL_STATE(2287)] = 62144,
  [SMALL_STATE(2288)] = 62152,
  [SMALL_STATE(2289)] = 62162,
  [SMALL_STATE(2290)] = 62170,
  [SMALL_STATE(2291)] = 62178,
  [SMALL_STATE(2292)] = 62186,
  [SMALL_STATE(2293)] = 62196,
  [SMALL_STATE(2294)] = 62204,
  [SMALL_STATE(2295)] = 62214,
  [SMALL_STATE(2296)] = 62222,
  [SMALL_STATE(2297)] = 62230,
  [SMALL_STATE(2298)] = 62238,
  [SMALL_STATE(2299)] = 62246,
  [SMALL_STATE(2300)] = 62256,
  [SMALL_STATE(2301)] = 62266,
  [SMALL_STATE(2302)] = 62276,
  [SMALL_STATE(2303)] = 62286,
  [SMALL_STATE(2304)] = 62296,
  [SMALL_STATE(2305)] = 62306,
  [SMALL_STATE(2306)] = 62316,
  [SMALL_STATE(2307)] = 62326,
  [SMALL_STATE(2308)] = 62336,
  [SMALL_STATE(2309)] = 62346,
  [SMALL_STATE(2310)] = 62356,
  [SMALL_STATE(2311)] = 62366,
  [SMALL_STATE(2312)] = 62376,
  [SMALL_STATE(2313)] = 62386,
  [SMALL_STATE(2314)] = 62396,
  [SMALL_STATE(2315)] = 62406,
  [SMALL_STATE(2316)] = 62416,
  [SMALL_STATE(2317)] = 62424,
  [SMALL_STATE(2318)] = 62434,
  [SMALL_STATE(2319)] = 62442,
  [SMALL_STATE(2320)] = 62452,
  [SMALL_STATE(2321)] = 62460,
  [SMALL_STATE(2322)] = 62468,
  [SMALL_STATE(2323)] = 62478,
  [SMALL_STATE(2324)] = 62488,
  [SMALL_STATE(2325)] = 62496,
  [SMALL_STATE(2326)] = 62504,
  [SMALL_STATE(2327)] = 62514,
  [SMALL_STATE(2328)] = 62524,
  [SMALL_STATE(2329)] = 62534,
  [SMALL_STATE(2330)] = 62544,
  [SMALL_STATE(2331)] = 62554,
  [SMALL_STATE(2332)] = 62564,
  [SMALL_STATE(2333)] = 62574,
  [SMALL_STATE(2334)] = 62584,
  [SMALL_STATE(2335)] = 62594,
  [SMALL_STATE(2336)] = 62602,
  [SMALL_STATE(2337)] = 62612,
  [SMALL_STATE(2338)] = 62620,
  [SMALL_STATE(2339)] = 62628,
  [SMALL_STATE(2340)] = 62638,
  [SMALL_STATE(2341)] = 62646,
  [SMALL_STATE(2342)] = 62654,
  [SMALL_STATE(2343)] = 62662,
  [SMALL_STATE(2344)] = 62670,
  [SMALL_STATE(2345)] = 62680,
  [SMALL_STATE(2346)] = 62688,
  [SMALL_STATE(2347)] = 62696,
  [SMALL_STATE(2348)] = 62706,
  [SMALL_STATE(2349)] = 62716,
  [SMALL_STATE(2350)] = 62724,
  [SMALL_STATE(2351)] = 62732,
  [SMALL_STATE(2352)] = 62742,
  [SMALL_STATE(2353)] = 62752,
  [SMALL_STATE(2354)] = 62760,
  [SMALL_STATE(2355)] = 62768,
  [SMALL_STATE(2356)] = 62778,
  [SMALL_STATE(2357)] = 62786,
  [SMALL_STATE(2358)] = 62796,
  [SMALL_STATE(2359)] = 62804,
  [SMALL_STATE(2360)] = 62812,
  [SMALL_STATE(2361)] = 62820,
  [SMALL_STATE(2362)] = 62828,
  [SMALL_STATE(2363)] = 62836,
  [SMALL_STATE(2364)] = 62844,
  [SMALL_STATE(2365)] = 62852,
  [SMALL_STATE(2366)] = 62860,
  [SMALL_STATE(2367)] = 62868,
  [SMALL_STATE(2368)] = 62878,
  [SMALL_STATE(2369)] = 62886,
  [SMALL_STATE(2370)] = 62894,
  [SMALL_STATE(2371)] = 62902,
  [SMALL_STATE(2372)] = 62910,
  [SMALL_STATE(2373)] = 62920,
  [SMALL_STATE(2374)] = 62930,
  [SMALL_STATE(2375)] = 62938,
  [SMALL_STATE(2376)] = 62946,
  [SMALL_STATE(2377)] = 62956,
  [SMALL_STATE(2378)] = 62964,
  [SMALL_STATE(2379)] = 62974,
  [SMALL_STATE(2380)] = 62982,
  [SMALL_STATE(2381)] = 62990,
  [SMALL_STATE(2382)] = 62998,
  [SMALL_STATE(2383)] = 63006,
  [SMALL_STATE(2384)] = 63014,
  [SMALL_STATE(2385)] = 63022,
  [SMALL_STATE(2386)] = 63032,
  [SMALL_STATE(2387)] = 63042,
  [SMALL_STATE(2388)] = 63052,
  [SMALL_STATE(2389)] = 63062,
  [SMALL_STATE(2390)] = 63070,
  [SMALL_STATE(2391)] = 63080,
  [SMALL_STATE(2392)] = 63088,
  [SMALL_STATE(2393)] = 63098,
  [SMALL_STATE(2394)] = 63106,
  [SMALL_STATE(2395)] = 63116,
  [SMALL_STATE(2396)] = 63126,
  [SMALL_STATE(2397)] = 63136,
  [SMALL_STATE(2398)] = 63144,
  [SMALL_STATE(2399)] = 63152,
  [SMALL_STATE(2400)] = 63160,
  [SMALL_STATE(2401)] = 63170,
  [SMALL_STATE(2402)] = 63180,
  [SMALL_STATE(2403)] = 63190,
  [SMALL_STATE(2404)] = 63200,
  [SMALL_STATE(2405)] = 63208,
  [SMALL_STATE(2406)] = 63218,
  [SMALL_STATE(2407)] = 63228,
  [SMALL_STATE(2408)] = 63236,
  [SMALL_STATE(2409)] = 63246,
  [SMALL_STATE(2410)] = 63256,
  [SMALL_STATE(2411)] = 63266,
  [SMALL_STATE(2412)] = 63276,
  [SMALL_STATE(2413)] = 63286,
  [SMALL_STATE(2414)] = 63296,
  [SMALL_STATE(2415)] = 63306,
  [SMALL_STATE(2416)] = 63316,
  [SMALL_STATE(2417)] = 63326,
  [SMALL_STATE(2418)] = 63336,
  [SMALL_STATE(2419)] = 63346,
  [SMALL_STATE(2420)] = 63354,
  [SMALL_STATE(2421)] = 63362,
  [SMALL_STATE(2422)] = 63372,
  [SMALL_STATE(2423)] = 63382,
  [SMALL_STATE(2424)] = 63392,
  [SMALL_STATE(2425)] = 63400,
  [SMALL_STATE(2426)] = 63408,
  [SMALL_STATE(2427)] = 63416,
  [SMALL_STATE(2428)] = 63426,
  [SMALL_STATE(2429)] = 63436,
  [SMALL_STATE(2430)] = 63444,
  [SMALL_STATE(2431)] = 63454,
  [SMALL_STATE(2432)] = 63464,
  [SMALL_STATE(2433)] = 63474,
  [SMALL_STATE(2434)] = 63482,
  [SMALL_STATE(2435)] = 63492,
  [SMALL_STATE(2436)] = 63502,
  [SMALL_STATE(2437)] = 63512,
  [SMALL_STATE(2438)] = 63522,
  [SMALL_STATE(2439)] = 63530,
  [SMALL_STATE(2440)] = 63540,
  [SMALL_STATE(2441)] = 63550,
  [SMALL_STATE(2442)] = 63560,
  [SMALL_STATE(2443)] = 63570,
  [SMALL_STATE(2444)] = 63580,
  [SMALL_STATE(2445)] = 63590,
  [SMALL_STATE(2446)] = 63598,
  [SMALL_STATE(2447)] = 63606,
  [SMALL_STATE(2448)] = 63616,
  [SMALL_STATE(2449)] = 63626,
  [SMALL_STATE(2450)] = 63636,
  [SMALL_STATE(2451)] = 63646,
  [SMALL_STATE(2452)] = 63656,
  [SMALL_STATE(2453)] = 63664,
  [SMALL_STATE(2454)] = 63674,
  [SMALL_STATE(2455)] = 63682,
  [SMALL_STATE(2456)] = 63692,
  [SMALL_STATE(2457)] = 63702,
  [SMALL_STATE(2458)] = 63710,
  [SMALL_STATE(2459)] = 63720,
  [SMALL_STATE(2460)] = 63728,
  [SMALL_STATE(2461)] = 63738,
  [SMALL_STATE(2462)] = 63746,
  [SMALL_STATE(2463)] = 63756,
  [SMALL_STATE(2464)] = 63764,
  [SMALL_STATE(2465)] = 63774,
  [SMALL_STATE(2466)] = 63784,
  [SMALL_STATE(2467)] = 63794,
  [SMALL_STATE(2468)] = 63802,
  [SMALL_STATE(2469)] = 63812,
  [SMALL_STATE(2470)] = 63820,
  [SMALL_STATE(2471)] = 63830,
  [SMALL_STATE(2472)] = 63840,
  [SMALL_STATE(2473)] = 63850,
  [SMALL_STATE(2474)] = 63860,
  [SMALL_STATE(2475)] = 63868,
  [SMALL_STATE(2476)] = 63876,
  [SMALL_STATE(2477)] = 63884,
  [SMALL_STATE(2478)] = 63894,
  [SMALL_STATE(2479)] = 63904,
  [SMALL_STATE(2480)] = 63914,
  [SMALL_STATE(2481)] = 63924,
  [SMALL_STATE(2482)] = 63934,
  [SMALL_STATE(2483)] = 63944,
  [SMALL_STATE(2484)] = 63954,
  [SMALL_STATE(2485)] = 63964,
  [SMALL_STATE(2486)] = 63974,
  [SMALL_STATE(2487)] = 63984,
  [SMALL_STATE(2488)] = 63992,
  [SMALL_STATE(2489)] = 64000,
  [SMALL_STATE(2490)] = 64010,
  [SMALL_STATE(2491)] = 64018,
  [SMALL_STATE(2492)] = 64028,
  [SMALL_STATE(2493)] = 64038,
  [SMALL_STATE(2494)] = 64048,
  [SMALL_STATE(2495)] = 64058,
  [SMALL_STATE(2496)] = 64066,
  [SMALL_STATE(2497)] = 64076,
  [SMALL_STATE(2498)] = 64084,
  [SMALL_STATE(2499)] = 64094,
  [SMALL_STATE(2500)] = 64102,
  [SMALL_STATE(2501)] = 64110,
  [SMALL_STATE(2502)] = 64120,
  [SMALL_STATE(2503)] = 64130,
  [SMALL_STATE(2504)] = 64138,
  [SMALL_STATE(2505)] = 64148,
  [SMALL_STATE(2506)] = 64156,
  [SMALL_STATE(2507)] = 64166,
  [SMALL_STATE(2508)] = 64174,
  [SMALL_STATE(2509)] = 64184,
  [SMALL_STATE(2510)] = 64194,
  [SMALL_STATE(2511)] = 64204,
  [SMALL_STATE(2512)] = 64212,
  [SMALL_STATE(2513)] = 64222,
  [SMALL_STATE(2514)] = 64232,
  [SMALL_STATE(2515)] = 64242,
  [SMALL_STATE(2516)] = 64250,
  [SMALL_STATE(2517)] = 64258,
  [SMALL_STATE(2518)] = 64266,
  [SMALL_STATE(2519)] = 64274,
  [SMALL_STATE(2520)] = 64284,
  [SMALL_STATE(2521)] = 64292,
  [SMALL_STATE(2522)] = 64300,
  [SMALL_STATE(2523)] = 64310,
  [SMALL_STATE(2524)] = 64320,
  [SMALL_STATE(2525)] = 64328,
  [SMALL_STATE(2526)] = 64338,
  [SMALL_STATE(2527)] = 64348,
  [SMALL_STATE(2528)] = 64358,
  [SMALL_STATE(2529)] = 64368,
  [SMALL_STATE(2530)] = 64378,
  [SMALL_STATE(2531)] = 64388,
  [SMALL_STATE(2532)] = 64396,
  [SMALL_STATE(2533)] = 64406,
  [SMALL_STATE(2534)] = 64416,
  [SMALL_STATE(2535)] = 64426,
  [SMALL_STATE(2536)] = 64433,
  [SMALL_STATE(2537)] = 64440,
  [SMALL_STATE(2538)] = 64447,
  [SMALL_STATE(2539)] = 64454,
  [SMALL_STATE(2540)] = 64461,
  [SMALL_STATE(2541)] = 64468,
  [SMALL_STATE(2542)] = 64475,
  [SMALL_STATE(2543)] = 64482,
  [SMALL_STATE(2544)] = 64489,
  [SMALL_STATE(2545)] = 64496,
  [SMALL_STATE(2546)] = 64503,
  [SMALL_STATE(2547)] = 64510,
  [SMALL_STATE(2548)] = 64517,
  [SMALL_STATE(2549)] = 64524,
  [SMALL_STATE(2550)] = 64531,
  [SMALL_STATE(2551)] = 64538,
  [SMALL_STATE(2552)] = 64545,
  [SMALL_STATE(2553)] = 64552,
  [SMALL_STATE(2554)] = 64559,
  [SMALL_STATE(2555)] = 64566,
  [SMALL_STATE(2556)] = 64573,
  [SMALL_STATE(2557)] = 64580,
  [SMALL_STATE(2558)] = 64587,
  [SMALL_STATE(2559)] = 64594,
  [SMALL_STATE(2560)] = 64601,
  [SMALL_STATE(2561)] = 64608,
  [SMALL_STATE(2562)] = 64615,
  [SMALL_STATE(2563)] = 64622,
  [SMALL_STATE(2564)] = 64629,
  [SMALL_STATE(2565)] = 64636,
  [SMALL_STATE(2566)] = 64643,
  [SMALL_STATE(2567)] = 64650,
  [SMALL_STATE(2568)] = 64657,
  [SMALL_STATE(2569)] = 64664,
  [SMALL_STATE(2570)] = 64671,
  [SMALL_STATE(2571)] = 64678,
  [SMALL_STATE(2572)] = 64685,
  [SMALL_STATE(2573)] = 64692,
  [SMALL_STATE(2574)] = 64699,
  [SMALL_STATE(2575)] = 64706,
  [SMALL_STATE(2576)] = 64713,
  [SMALL_STATE(2577)] = 64720,
  [SMALL_STATE(2578)] = 64727,
  [SMALL_STATE(2579)] = 64734,
  [SMALL_STATE(2580)] = 64741,
  [SMALL_STATE(2581)] = 64748,
  [SMALL_STATE(2582)] = 64755,
  [SMALL_STATE(2583)] = 64762,
  [SMALL_STATE(2584)] = 64769,
  [SMALL_STATE(2585)] = 64776,
  [SMALL_STATE(2586)] = 64783,
  [SMALL_STATE(2587)] = 64790,
  [SMALL_STATE(2588)] = 64797,
  [SMALL_STATE(2589)] = 64804,
  [SMALL_STATE(2590)] = 64811,
  [SMALL_STATE(2591)] = 64818,
  [SMALL_STATE(2592)] = 64825,
  [SMALL_STATE(2593)] = 64832,
  [SMALL_STATE(2594)] = 64839,
  [SMALL_STATE(2595)] = 64846,
  [SMALL_STATE(2596)] = 64853,
  [SMALL_STATE(2597)] = 64860,
  [SMALL_STATE(2598)] = 64867,
  [SMALL_STATE(2599)] = 64874,
  [SMALL_STATE(2600)] = 64881,
  [SMALL_STATE(2601)] = 64888,
  [SMALL_STATE(2602)] = 64895,
  [SMALL_STATE(2603)] = 64902,
  [SMALL_STATE(2604)] = 64909,
  [SMALL_STATE(2605)] = 64916,
  [SMALL_STATE(2606)] = 64923,
  [SMALL_STATE(2607)] = 64930,
  [SMALL_STATE(2608)] = 64937,
  [SMALL_STATE(2609)] = 64944,
  [SMALL_STATE(2610)] = 64951,
  [SMALL_STATE(2611)] = 64958,
  [SMALL_STATE(2612)] = 64965,
  [SMALL_STATE(2613)] = 64972,
  [SMALL_STATE(2614)] = 64979,
  [SMALL_STATE(2615)] = 64986,
  [SMALL_STATE(2616)] = 64993,
  [SMALL_STATE(2617)] = 65000,
  [SMALL_STATE(2618)] = 65007,
  [SMALL_STATE(2619)] = 65014,
  [SMALL_STATE(2620)] = 65021,
  [SMALL_STATE(2621)] = 65028,
  [SMALL_STATE(2622)] = 65035,
  [SMALL_STATE(2623)] = 65042,
  [SMALL_STATE(2624)] = 65049,
  [SMALL_STATE(2625)] = 65056,
  [SMALL_STATE(2626)] = 65063,
  [SMALL_STATE(2627)] = 65070,
  [SMALL_STATE(2628)] = 65077,
  [SMALL_STATE(2629)] = 65084,
  [SMALL_STATE(2630)] = 65091,
  [SMALL_STATE(2631)] = 65098,
  [SMALL_STATE(2632)] = 65105,
  [SMALL_STATE(2633)] = 65112,
  [SMALL_STATE(2634)] = 65119,
  [SMALL_STATE(2635)] = 65126,
  [SMALL_STATE(2636)] = 65133,
  [SMALL_STATE(2637)] = 65140,
  [SMALL_STATE(2638)] = 65147,
  [SMALL_STATE(2639)] = 65154,
  [SMALL_STATE(2640)] = 65161,
  [SMALL_STATE(2641)] = 65168,
  [SMALL_STATE(2642)] = 65175,
  [SMALL_STATE(2643)] = 65182,
  [SMALL_STATE(2644)] = 65189,
  [SMALL_STATE(2645)] = 65196,
  [SMALL_STATE(2646)] = 65203,
  [SMALL_STATE(2647)] = 65210,
  [SMALL_STATE(2648)] = 65217,
  [SMALL_STATE(2649)] = 65224,
  [SMALL_STATE(2650)] = 65231,
  [SMALL_STATE(2651)] = 65238,
  [SMALL_STATE(2652)] = 65245,
  [SMALL_STATE(2653)] = 65252,
  [SMALL_STATE(2654)] = 65259,
  [SMALL_STATE(2655)] = 65266,
  [SMALL_STATE(2656)] = 65273,
  [SMALL_STATE(2657)] = 65280,
  [SMALL_STATE(2658)] = 65287,
  [SMALL_STATE(2659)] = 65294,
  [SMALL_STATE(2660)] = 65301,
  [SMALL_STATE(2661)] = 65308,
  [SMALL_STATE(2662)] = 65315,
  [SMALL_STATE(2663)] = 65322,
  [SMALL_STATE(2664)] = 65329,
  [SMALL_STATE(2665)] = 65336,
  [SMALL_STATE(2666)] = 65343,
  [SMALL_STATE(2667)] = 65350,
  [SMALL_STATE(2668)] = 65357,
  [SMALL_STATE(2669)] = 65364,
  [SMALL_STATE(2670)] = 65371,
  [SMALL_STATE(2671)] = 65378,
  [SMALL_STATE(2672)] = 65385,
  [SMALL_STATE(2673)] = 65392,
  [SMALL_STATE(2674)] = 65399,
  [SMALL_STATE(2675)] = 65406,
  [SMALL_STATE(2676)] = 65413,
  [SMALL_STATE(2677)] = 65420,
  [SMALL_STATE(2678)] = 65427,
  [SMALL_STATE(2679)] = 65434,
  [SMALL_STATE(2680)] = 65441,
  [SMALL_STATE(2681)] = 65448,
  [SMALL_STATE(2682)] = 65455,
  [SMALL_STATE(2683)] = 65462,
  [SMALL_STATE(2684)] = 65469,
  [SMALL_STATE(2685)] = 65476,
  [SMALL_STATE(2686)] = 65483,
  [SMALL_STATE(2687)] = 65490,
  [SMALL_STATE(2688)] = 65497,
  [SMALL_STATE(2689)] = 65504,
  [SMALL_STATE(2690)] = 65511,
  [SMALL_STATE(2691)] = 65518,
  [SMALL_STATE(2692)] = 65525,
  [SMALL_STATE(2693)] = 65532,
  [SMALL_STATE(2694)] = 65539,
  [SMALL_STATE(2695)] = 65546,
  [SMALL_STATE(2696)] = 65553,
  [SMALL_STATE(2697)] = 65560,
  [SMALL_STATE(2698)] = 65567,
  [SMALL_STATE(2699)] = 65574,
  [SMALL_STATE(2700)] = 65581,
  [SMALL_STATE(2701)] = 65588,
  [SMALL_STATE(2702)] = 65595,
  [SMALL_STATE(2703)] = 65602,
  [SMALL_STATE(2704)] = 65609,
  [SMALL_STATE(2705)] = 65616,
  [SMALL_STATE(2706)] = 65623,
  [SMALL_STATE(2707)] = 65630,
  [SMALL_STATE(2708)] = 65637,
  [SMALL_STATE(2709)] = 65644,
  [SMALL_STATE(2710)] = 65651,
  [SMALL_STATE(2711)] = 65658,
  [SMALL_STATE(2712)] = 65665,
  [SMALL_STATE(2713)] = 65672,
  [SMALL_STATE(2714)] = 65679,
  [SMALL_STATE(2715)] = 65686,
  [SMALL_STATE(2716)] = 65693,
  [SMALL_STATE(2717)] = 65700,
  [SMALL_STATE(2718)] = 65707,
  [SMALL_STATE(2719)] = 65714,
  [SMALL_STATE(2720)] = 65721,
  [SMALL_STATE(2721)] = 65728,
  [SMALL_STATE(2722)] = 65735,
  [SMALL_STATE(2723)] = 65742,
  [SMALL_STATE(2724)] = 65749,
  [SMALL_STATE(2725)] = 65756,
  [SMALL_STATE(2726)] = 65763,
  [SMALL_STATE(2727)] = 65770,
  [SMALL_STATE(2728)] = 65777,
  [SMALL_STATE(2729)] = 65784,
  [SMALL_STATE(2730)] = 65791,
  [SMALL_STATE(2731)] = 65798,
  [SMALL_STATE(2732)] = 65805,
  [SMALL_STATE(2733)] = 65812,
  [SMALL_STATE(2734)] = 65819,
  [SMALL_STATE(2735)] = 65826,
  [SMALL_STATE(2736)] = 65833,
  [SMALL_STATE(2737)] = 65840,
  [SMALL_STATE(2738)] = 65847,
  [SMALL_STATE(2739)] = 65854,
  [SMALL_STATE(2740)] = 65861,
  [SMALL_STATE(2741)] = 65868,
  [SMALL_STATE(2742)] = 65875,
  [SMALL_STATE(2743)] = 65882,
  [SMALL_STATE(2744)] = 65889,
  [SMALL_STATE(2745)] = 65896,
  [SMALL_STATE(2746)] = 65903,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(856),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1414),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2242),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1758),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1480),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1542),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1247),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2253),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(93),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2736),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2735),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2732),
  [178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2730),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1392),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1427),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1807),
  [201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2726),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(232),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2157),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2722),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1213),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2267),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2712),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(223),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(302),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2269),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(114),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2710),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2709),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2271),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2276),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2277),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(305),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(305),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(307),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(627),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(310),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(725),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(876),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2705),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(821),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1121),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1122),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1460),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1643),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2148),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1473),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(117),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(311),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(313),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(261),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(315),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 134),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 134),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 134),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 134),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2733),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2352),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2742),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2746),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2330),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(816),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(941),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2493),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 3),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 3),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2275),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(112),
  [1109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2275),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(112),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 167),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 167),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2275),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 155),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 155),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 182),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 182),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 155),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 155),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 178),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 178),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 194),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 194),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 182),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 182),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 174),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 174),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 148),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 148),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 174),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 174),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 207),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 207),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 199),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 199),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 173),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 173),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 205),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 205),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 199),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 199),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 200),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 200),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 203),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 203),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 174),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 174),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 201),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 201),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 202),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 202),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 144),
  [1788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 144),
  [1790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, 0, 144),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, 0, 144),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, 0, 143),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, 0, 143),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2582),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1518),
  [1962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(821),
  [1965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2114),
  [1968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2253),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(128),
  [1976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [1979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(162),
  [1982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1478),
  [1985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1653),
  [1988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [1991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [2006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [2008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [2011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 139),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 139),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 50),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 50),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 138),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 138),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [2051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 51),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 51),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 94),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 94),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 91),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 91),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 92),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 92),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 52),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 52),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 137),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 137),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 138),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 138),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 19),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 19),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 93),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 93),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 53),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 53),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 152),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 152),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 196),
  [2281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 196),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 181),
  [2293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 181),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 180),
  [2303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 180),
  [2305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 179),
  [2307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 179),
  [2309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 177),
  [2315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 177),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 176),
  [2339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 176),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [2351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 21),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [2478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1392),
  [2481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [2484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1053),
  [2487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 60),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 22),
  [2514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2, 0, 0),
  [2674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 28),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 118),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 158),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [2715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [2718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [2721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1247),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [2729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1392),
  [2732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [2735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(700),
  [2738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [2741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [2748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 54),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 55),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 197),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [2766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 132),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 133),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 159),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 95),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [2790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 163),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 116),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 124),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 78),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 114),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 161),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 186),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 185),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 184),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 183),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [2974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [2977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [2980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2670),
  [2988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [2991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1392),
  [2994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [2997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1425),
  [3000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [3006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [3010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [3018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [3074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(325),
  [3077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1451),
  [3080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1451),
  [3083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1484),
  [3086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1802),
  [3089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [3097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1484),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 127),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 165),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 166),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 9),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 84),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [3132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(325),
  [3135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1450),
  [3138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1450),
  [3141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1802),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 27),
  [3150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(446),
  [3153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1454),
  [3156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1454),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1757),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 83),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 126),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(405),
  [3201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1461),
  [3204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1461),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1762),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 198),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 187),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 188),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 39),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 187),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 164),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [3236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 40),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 74),
  [3248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 39),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 11),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 85),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 164),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3288] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3295] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [3326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [3336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [3350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1410),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [3375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [3453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1404),
  [3456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1409),
  [3459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [3577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2721),
  [3580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2530),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [3599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [3607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [3617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [3625] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1411),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(365),
  [3638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2495),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [3677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2498),
  [3680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(111),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2498),
  [3690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(111),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1687),
  [3720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1925),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [3737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [3746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2498),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [3753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 13),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [3767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2586),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 0),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [3848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1513),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [3897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90), SHIFT_REPEAT(2273),
  [3900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [3902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2586),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [3925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1398),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 34),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2586),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [3972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [3982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1399),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [3987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1408),
  [3990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1413),
  [3993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [4004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [4014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1822),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [4027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1, 0, 0),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [4035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [4037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1713),
  [4040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [4042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2, 0, 0),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 2),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [4062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [4064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1956),
  [4067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1411),
  [4070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [4072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [4083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1959),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [4106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1881),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [4115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1612),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [4132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [4134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2184),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [4141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1411),
  [4144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [4162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [4184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [4224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(880),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [4231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 0),
  [4233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 2),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [4237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [4251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 75),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [4259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1782),
  [4262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 160),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [4268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(181),
  [4271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1813),
  [4282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 15),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 136),
  [4320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 6),
  [4322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 79),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [4338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(423),
  [4347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(178),
  [4350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [4355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 4),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [4369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 49),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [4385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 26),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 77),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [4399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [4402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 76),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3, 0, 0),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2, 0, 0),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [4416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 29),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 30),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 36),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [4432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 31),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [4436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 73),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [4442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 32),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [4450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 33),
  [4452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 109),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [4456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [4461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [4473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 115),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [4477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 71),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 70),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 136),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [4497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 120),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 121),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 123),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 67),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 57),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1494),
  [4558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2, 0, 0),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 49),
  [4575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [4582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 49),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [4586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 48),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1, 0, 0), SHIFT(2455),
  [4607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2, 0, 0),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 122),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 117),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0), SHIFT(2455),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [4669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 69),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 72),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 74),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [4757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 11),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [4805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [4830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 4),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2582),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [4849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 135),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [4869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 162),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [4879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3, 0, 0),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 153),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [4909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 16),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [4925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 3),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [5017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4, 0, 0),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [5065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [5105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 99),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [5115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [5131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [5133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 66),
  [5135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 42),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [5147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 58),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [5155] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_only_external_scanner_create(void);
void tree_sitter_php_only_external_scanner_destroy(void *);
bool tree_sitter_php_only_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_only_external_scanner_serialize(void *, char *);
void tree_sitter_php_only_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php_only(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_only_external_scanner_create,
      tree_sitter_php_only_external_scanner_destroy,
      tree_sitter_php_only_external_scanner_scan,
      tree_sitter_php_only_external_scanner_serialize,
      tree_sitter_php_only_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
